/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Z=["require","exports","vs/base/common/lifecycle","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/base/common/uri","vs/base/common/async","vs/base/common/platform","vs/base/common/path","vs/platform/files/common/files","vs/platform/environment/common/environment","vs/nls","vs/nls!vs/code/electron-browser/sharedProcess/sharedProcessMain","vs/platform/log/common/log","vs/base/common/errors","vs/base/common/network","vs/base/common/resources","vs/base/common/types","vs/base/common/arrays","vs/platform/storage/common/storage","vs/platform/userDataSync/common/userDataSync","vs/base/common/strings","vs/base/common/buffer","vs/base/node/pfs","vs/platform/configuration/common/configuration","vs/platform/telemetry/common/telemetry","vs/base/common/objects","fs","vs/platform/extensionManagement/common/extensionManagement","vs/base/common/cancellation","vs/base/common/uuid","vs/platform/product/common/productService","vs/base/common/json","vs/base/parts/ipc/common/ipc","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/registry/common/platform","vs/platform/product/common/product","vs/base/common/map","os","vs/platform/configuration/common/configurationRegistry","vs/platform/request/common/request","vs/base/common/jsonEdit","vs/base/common/extpath","vs/base/common/errorMessage","vs/platform/serviceMachineId/common/serviceMachineId","vs/platform/userDataSync/common/abstractSynchronizer","vs/base/common/jsonFormatter","vs/base/common/stream","child_process","vs/base/parts/ipc/node/ipc.cp","vs/platform/instantiation/common/descriptors","vs/platform/userDataSync/common/content","vs/base/common/iterator","vs/base/common/process","vs/base/common/date","vs/platform/localizations/common/localizations","vs/base/common/semver/semver","vs/platform/native/electron-sandbox/native","vs/platform/telemetry/common/telemetryUtils","vs/platform/userDataSync/common/userDataSyncAccount","vs/platform/userDataSync/common/userDataSyncMachines","vs/base/node/zip","vs/base/common/collections","vs/base/common/functional","vs/base/common/linkedList","vs/base/common/normalization","vs/base/node/decoder","vs/base/parts/storage/common/storage","vs/platform/extensions/common/extensionValidator","vs/platform/diagnostics/common/diagnostics","vs/platform/download/common/download","vs/platform/extensionRecommendations/common/extensionRecommendations","vs/platform/extensions/common/extensions","vs/platform/files/common/io","vs/platform/files/node/watcher/watcher","vs/platform/instantiation/common/serviceCollection","vs/platform/log/common/logIpc","vs/platform/log/node/spdlogLog","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/telemetry/common/telemetryIpc","vs/platform/telemetry/common/telemetryService","vs/platform/terminal/common/terminal","vs/platform/userDataSync/common/extensionsStorageSync","vs/platform/userDataSync/common/ignoredExtensions","vs/platform/userDataSync/common/userDataAutoSyncService","vs/base/common/assert","vs/base/common/decorators","vs/base/common/stopwatch","vs/base/common/console","vs/base/common/marshalling","vs/base/common/glob","vs/base/common/uriIpc","vs/base/node/macAddress","vs/base/node/id","vs/base/node/extpath","vs/base/node/ps","vs/base/node/userDataPath","vs/base/node/watcher","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-browser/ipc.mp","electron","vs/base/parts/request/browser/request","vs/base/parts/sandbox/electron-sandbox/globals","vs/nls!vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/base/node/processes","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/electron-sandbox/extensionTipsService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensionManagement/node/extensionsScanner","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/userDataSync/common/abstractSynchronizer","vs/nls!vs/platform/userDataSync/common/keybindingsSync","vs/nls!vs/platform/userDataSync/common/settingsSync","vs/nls!vs/platform/userDataSync/common/userDataAutoSyncService","vs/nls!vs/platform/userDataSync/common/userDataSync","vs/nls!vs/platform/userDataSync/common/userDataSyncMachines","vs/platform/extensionManagement/common/configRemotes","vs/platform/extensionManagement/common/extensionManagementIpc","vs/platform/extensionManagement/common/extensionNls","vs/platform/extensionRecommendations/electron-sandbox/extensionRecommendationsIpc","vs/platform/files/node/watcher/nsfw/watcherService","vs/platform/files/node/watcher/unix/watcherService","vs/platform/files/node/watcher/win32/csharpWatcherService","vs/platform/files/node/watcher/win32/watcherService","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/graph","vs/platform/checksum/common/checksumService","vs/platform/contextkey/common/contextkey","vs/code/electron-browser/sharedProcess/contrib/logsDataCleaner","vs/code/electron-browser/sharedProcess/contrib/storageDataCleaner","vs/code/electron-browser/sharedProcess/contrib/deprecatedExtensionsCleaner","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/checksum/node/checksumService","crypto","vs/platform/files/node/watcher/nodejs/watcherService","vs/platform/instantiation/common/instantiationService","vs/platform/ipc/electron-browser/mainProcessService","vs/platform/ipc/electron-sandbox/services","vs/code/electron-browser/sharedProcess/contrib/localizationsUpdater","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/files/common/fileService","vs/base/common/performance","vs/platform/files/node/diskFileSystemProvider","vs/platform/localizations/node/localizations","vs/platform/log/common/bufferLog","vs/platform/log/common/fileLog","vs/platform/log/node/loggerService","vs/code/electron-browser/sharedProcess/contrib/languagePackCachedDataCleaner","vs/code/electron-browser/sharedProcess/contrib/nodeCachedDataCleaner","vs/platform/environment/node/environmentService","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/request/browser/requestService","vs/platform/download/common/downloadService","vs/platform/extensionManagement/common/extensionTipsService","vs/platform/extensionManagement/common/extensionEnablementService","vs/platform/storage/common/storageIpc","vs/platform/storage/electron-sandbox/storageService","vs/platform/telemetry/common/commonProperties","vs/platform/diagnostics/node/diagnosticsService","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/extensionManagement/electron-sandbox/extensionTipsService","vs/platform/telemetry/common/telemetryLogAppender","vs/platform/telemetry/node/appInsightsAppender","vs/platform/telemetry/node/customEndpointTelemetryService","vs/platform/terminal/electron-sandbox/terminal","vs/platform/terminal/node/ptyHostService","vs/platform/userDataSync/common/extensionsMerge","vs/platform/userDataSync/common/keybindingsMerge","vs/platform/userDataSync/common/snippetsMerge","vs/platform/userDataSync/common/extensionsSync","vs/platform/userDataSync/common/globalStateMerge","vs/platform/userDataSync/common/globalStateSync","vs/platform/userDataSync/common/keybindingsSync","vs/platform/userDataSync/common/settingsMerge","vs/platform/userDataSync/common/settingsSync","vs/platform/userDataSync/common/snippetsSync","vs/platform/userDataSync/common/userDataSyncBackupStoreService","vs/platform/userDataSync/common/userDataSyncIpc","vs/platform/userDataSync/common/userDataSyncLog","vs/platform/userDataSync/common/userDataSyncResourceEnablementService","vs/platform/userDataSync/common/userDataSyncService","vs/platform/userDataSync/common/userDataSyncServiceIpc","vs/platform/userDataSync/common/userDataSyncStoreService","vs/platform/userDataSync/electron-sandbox/userDataAutoSyncService","vs/platform/windows/node/windowTracker","vs/platform/extensionManagement/node/extensionManagementUtil","vs/platform/extensionManagement/node/extensionsScanner","vs/platform/extensionManagement/node/extensionManagementService","string_decoder","path","util","yauzl","yazl","vs/code/electron-browser/sharedProcess/sharedProcessMain","graceful-fs"],ee=function(G){for(var e=[],v=0,k=G.length;v<k;v++)e[v]=Z[G[v]];return e};define(Z[85],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function v(k,U){if(!k)throw new Error(U?`Assertion failed (${U})`:"Assertion Failed")}e.ok=v}),define(Z[62],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const v=Object.prototype.hasOwnProperty;function k(I){const d=[];for(let E in I)v.call(I,E)&&d.push(I[E]);return d}e.values=k;function U(I,d){for(let E in I)if(v.call(I,E)&&d({key:E,value:I[E]},function(){delete I[E]})===!1)return}e.forEach=U;function R(I,d){const E=Object.create(null);for(const D of I){const a=d(D);let C=E[a];C||(C=E[a]=[]),C.push(D)}return E}e.groupBy=R;function A(I){const d=Object.create(null);return I&&I.forEach((E,D)=>{d[D]=E}),d}e.fromMap=A;function L(I,d){const E=[],D=[];for(let a of I)d.has(a)||E.push(a);for(let a of d)I.has(a)||D.push(a);return{removed:E,added:D}}e.diffSets=L;function g(I,d){const E=[],D=[];for(let[a,C]of I)d.has(a)||E.push(C);for(let[a,C]of d)I.has(a)||D.push(C);return{removed:E,added:D}}e.diffMaps=g;class S{constructor(){this.map=new Map}add(d,E){let D=this.map.get(d);D||(D=new Set,this.map.set(d,D)),D.add(E)}delete(d,E){const D=this.map.get(d);!D||(D.delete(E),D.size===0&&this.map.delete(d))}forEach(d,E){const D=this.map.get(d);!D||D.forEach(E)}}e.SetMap=S}),define(Z[86],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createMemoizer=e.createDecorator=void 0;function v(g){return(S,I,d)=>{let E=null,D=null;if(typeof d.value=="function"?(E="value",D=d.value):typeof d.get=="function"&&(E="get",D=d.get),!D)throw new Error("not supported");d[E]=g(D,I)}}e.createDecorator=v;let k=0;function U(){const g=`$memoize${k++}`;let S;const I=function(E,D,a){let C=null,b=null;if(typeof a.value=="function"?(C="value",b=a.value,b.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof a.get=="function"&&(C="get",b=a.get),!b)throw new Error("not supported");const p=`${g}:${D}`;a[C]=function(...y){return S=this,this.hasOwnProperty(p)||Object.defineProperty(this,p,{configurable:!0,enumerable:!1,writable:!0,value:b.apply(this,y)}),this[p]}};return I.clear=()=>{typeof S!="undefined"&&Object.getOwnPropertyNames(S).forEach(d=>{d.indexOf(g)===0&&delete S[d]})},I}e.createMemoizer=U;function R(g,S,I){return U()(g,S,I)}e.memoize=R;function A(g,S,I){return v((d,E)=>{const D=`$debounce$${E}`,a=`$debounce$result$${E}`;return function(...C){this[a]||(this[a]=I?I():void 0),clearTimeout(this[D]),S&&(this[a]=S(this[a],...C),C=[this[a]]),this[D]=setTimeout(()=>{d.apply(this,C),this[a]=I?I():void 0},g)}})}e.debounce=A;function L(g,S,I){return v((d,E)=>{const D=`$throttle$timer$${E}`,a=`$throttle$result$${E}`,C=`$throttle$lastRun$${E}`,b=`$throttle$pending$${E}`;return function(...p){if(this[a]||(this[a]=I?I():void 0),(this[C]===null||this[C]===void 0)&&(this[C]=-Number.MAX_VALUE),S&&(this[a]=S(this[a],...p)),!this[b]){const y=this[C]+g;y<=Date.now()?(this[C]=Date.now(),d.apply(this,[this[a]]),this[a]=I?I():void 0):(this[b]=!0,this[D]=setTimeout(()=>{this[b]=!1,this[C]=Date.now(),d.apply(this,[this[a]]),this[a]=I?I():void 0},y-Date.now()))}}})}e.throttle=L}),define(Z[14],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class v{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(t){setTimeout(()=>{throw t.stack?new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.listeners.push(t),()=>{this._removeListener(t)}}emit(t){this.listeners.forEach(n=>{n(t)})}_removeListener(t){this.listeners.splice(this.listeners.indexOf(t),1)}setUnexpectedErrorHandler(t){this.unexpectedErrorHandler=t}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(t){this.unexpectedErrorHandler(t),this.emit(t)}onUnexpectedExternalError(t){this.unexpectedErrorHandler(t)}}e.ErrorHandler=v,e.errorHandler=new v;function k(i){e.errorHandler.setUnexpectedErrorHandler(i)}e.setUnexpectedErrorHandler=k;function U(i){g(i)||e.errorHandler.onUnexpectedError(i)}e.onUnexpectedError=U;function R(i){g(i)||e.errorHandler.onUnexpectedExternalError(i)}e.onUnexpectedExternalError=R;function A(i){if(i instanceof Error){let{name:t,message:n}=i;const r=i.stacktrace||i.stack;return{$isError:!0,name:t,message:n,stack:r}}return i}e.transformErrorForSerialization=A;const L="Canceled";function g(i){return i instanceof Error&&i.name===L&&i.message===L}e.isPromiseCanceledError=g;class S extends Error{constructor(){super(L);this.name=this.message}}e.CancellationError=S;function I(){const i=new Error(L);return i.name=i.message,i}e.canceled=I;function d(i){return i?new Error(`Illegal argument: ${i}`):new Error("Illegal argument")}e.illegalArgument=d;function E(i){return i?new Error(`Illegal state: ${i}`):new Error("Illegal state")}e.illegalState=E;function D(i){return i?new Error(`readonly property '${i} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=D;function a(i){const t=new Error(`${i} has been disposed`);return t.name="DISPOSED",t}e.disposed=a;function C(i){return i?i.message?i.message:i.stack?i.stack.split(`
`)[0]:String(i):"Error"}e.getErrorMessage=C;class b extends Error{constructor(t){super("NotImplemented");t&&(this.message=t)}}e.NotImplementedError=b;class p extends Error{constructor(t){super("NotSupported");t&&(this.message=t)}}e.NotSupportedError=p;class y extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=y;function m(i){const t=i;return t instanceof Error&&Array.isArray(t.actions)}e.isErrorWithActions=m;function o(i,t=Object.create(null)){const n=new Error(i);return t.actions&&(n.actions=t.actions),n}e.createErrorWithActions=o}),define(Z[18],ee([0,1,14]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function k(x,j=0){return x[x.length-(1+j)]}e.tail=k;function U(x){if(x.length===0)throw new Error("Invalid tail call");return[x.slice(0,x.length-1),x[x.length-1]]}e.tail2=U;function R(x,j,F=(P,T)=>P===T){if(x===j)return!0;if(!x||!j||x.length!==j.length)return!1;for(let P=0,T=x.length;P<T;P++)if(!F(x[P],j[P]))return!1;return!0}e.equals=R;function A(x,j,F){let P=0,T=x.length-1;for(;P<=T;){const M=(P+T)/2|0,N=F(x[M],j);if(N<0)P=M+1;else if(N>0)T=M-1;else return M}return-(P+1)}e.binarySearch=A;function L(x,j){let F=0,P=x.length;if(P===0)return 0;for(;F<P;){const T=Math.floor((F+P)/2);j(x[T])?P=T:F=T+1}return F}e.findFirstInSorted=L;function g(x,j,F){if(x=x|0,x>=j.length)throw new TypeError("invalid index");let P=j[Math.floor(j.length*Math.random())],T=[],M=[],N=[];for(let W of j){const H=F(W,P);H<0?T.push(W):H>0?M.push(W):N.push(W)}return x<T.length?g(x,T,F):x<T.length+N.length?N[0]:g(x-(T.length+N.length),M,F)}e.quickSelect=g;function S(x,j){const F=[];let P;for(const T of x.slice(0).sort(j))!P||j(P[0],T)!==0?(P=[T],F.push(P)):P.push(T);return F}e.groupBy=S;function I(x,j,F){const P=[];function T(W,H,Q){if(!(H===0&&Q.length===0)){const X=P[P.length-1];X&&X.start+X.deleteCount===W?(X.deleteCount+=H,X.toInsert.push(...Q)):P.push({start:W,deleteCount:H,toInsert:Q})}}let M=0,N=0;for(;;){if(M===x.length){T(M,0,j.slice(N));break}if(N===j.length){T(M,x.length-M,[]);break}const W=x[M],H=j[N],Q=F(W,H);Q===0?(M+=1,N+=1):Q<0?(T(M,1,[]),M+=1):Q>0&&(T(M,0,[H]),N+=1)}return P}e.sortedDiff=I;function d(x,j,F){const P=I(x,j,F),T=[],M=[];for(const N of P)T.push(...x.slice(N.start,N.start+N.deleteCount)),M.push(...N.toInsert);return{removed:T,added:M}}e.delta=d;function E(x,j,F){if(F===0)return[];const P=x.slice(0,F).sort(j);return a(x,j,P,F,x.length),P}e.top=E;function D(x,j,F,P,T){return F===0?Promise.resolve([]):new Promise((M,N)=>{(async()=>{const W=x.length,H=x.slice(0,F).sort(j);for(let Q=F,X=Math.min(F+P,W);Q<W;Q=X,X=Math.min(X+P,W)){if(Q>F&&await new Promise(ie=>setTimeout(ie)),T&&T.isCancellationRequested)throw(0,v.canceled)();a(x,j,H,Q,X)}return H})().then(M,N)})}e.topAsync=D;function a(x,j,F,P,T){for(const M=F.length;P<T;P++){const N=x[P];if(j(N,F[M-1])<0){F.pop();const W=L(F,H=>j(N,H)<0);F.splice(W,0,N)}}}function C(x){return x.filter(j=>!!j)}e.coalesce=C;function b(x){let j=0;for(let F=0;F<x.length;F++)x[F]&&(x[j]=x[F],j+=1);x.length=j}e.coalesceInPlace=b;function p(x,j,F){x.splice(F,0,x.splice(j,1)[0])}e.move=p;function y(x){return!Array.isArray(x)||x.length===0}e.isFalsyOrEmpty=y;function m(x){return Array.isArray(x)&&x.length>0}e.isNonEmptyArray=m;function o(x,j){if(!j)return x.filter((P,T)=>x.indexOf(P)===T);const F=Object.create(null);return x.filter(P=>{const T=j(P);return F[T]?!1:(F[T]=!0,!0)})}e.distinct=o;function i(x){const j=new Set;return x.filter(F=>j.has(F)?!1:(j.add(F),!0))}e.distinctES6=i;function t(x){const j=Object.create(null);return F=>{const P=x(F);return j[P]?!1:(j[P]=!0,!0)}}e.uniqueFilter=t;function n(x,j){for(let F=x.length-1;F>=0;F--){const P=x[F];if(j(P))return F}return-1}e.lastIndex=n;function r(x,j){return x.length>0?x[0]:j}e.firstOrDefault=r;function u(x,j,F=(P,T)=>P===T){let P=0;for(let T=0,M=Math.min(x.length,j.length);T<M&&F(x[T],j[T]);T++)P++;return P}e.commonPrefixLength=u;function s(x){return[].concat(...x)}e.flatten=s;function c(x,j){let F=typeof j=="number"?x:0;typeof j=="number"?F=x:(F=0,j=x);const P=[];if(F<=j)for(let T=F;T<j;T++)P.push(T);else for(let T=F;T>j;T--)P.push(T);return P}e.range=c;function l(x,j,F){return x.reduce((P,T)=>(P[j(T)]=F?F(T):T,P),Object.create(null))}e.index=l;function f(x,j){return x.push(j),()=>w(x,j)}e.insert=f;function w(x,j){const F=x.indexOf(j);if(F>-1)return x.splice(F,1),j}e.remove=w;function h(x,j,F){const P=x.slice(0,j),T=x.slice(j);return P.concat(F,T)}e.arrayInsert=h;function O(x,j){let F;if(typeof j=="number"){let P=j;F=()=>{const T=Math.sin(P++)*179426549;return T-Math.floor(T)}}else F=Math.random;for(let P=x.length-1;P>0;P-=1){const T=Math.floor(F()*(P+1)),M=x[P];x[P]=x[T],x[T]=M}}e.shuffle=O;function _(x,j){const F=x.indexOf(j);F>-1&&(x.splice(F,1),x.unshift(j))}e.pushToStart=_;function $(x,j){const F=x.indexOf(j);F>-1&&(x.splice(F,1),x.push(j))}e.pushToEnd=$;function q(x,j){return Array.isArray(x)?x.map(j):j(x)}e.mapArrayOrNot=q;function V(x){return Array.isArray(x)?x:[x]}e.asArray=V;function z(x){return x[Math.floor(Math.random()*x.length)]}e.getRandomElement=z;function Y(x,j){for(const F of x){const P=j(F);if(P!==void 0)return P}}e.mapFind=Y}),define(Z[63],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function v(k){const U=this;let R=!1,A;return function(){return R||(R=!0,A=k.apply(U,arguments)),A}}e.once=v}),define(Z[52],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var v;(function(k){function U(i){return i&&typeof i=="object"&&typeof i[Symbol.iterator]=="function"}k.is=U;const R=Object.freeze([]);function A(){return R}k.empty=A;function*L(i){yield i}k.single=L;function g(i){return i||R}k.from=g;function S(i){return!i||i[Symbol.iterator]().next().done===!0}k.isEmpty=S;function I(i){return i[Symbol.iterator]().next().value}k.first=I;function d(i,t){for(const n of i)if(t(n))return!0;return!1}k.some=d;function E(i,t){for(const n of i)if(t(n))return n}k.find=E;function*D(i,t){for(const n of i)t(n)&&(yield n)}k.filter=D;function*a(i,t){for(const n of i)yield t(n)}k.map=a;function*C(...i){for(const t of i)for(const n of t)yield n}k.concat=C;function*b(i){for(const t of i)for(const n of t)yield n}k.concatNested=b;function p(i,t,n){let r=n;for(const u of i)r=t(r,u);return r}k.reduce=p;function*y(i,t,n=i.length){for(t<0&&(t+=i.length),n<0?n+=i.length:n>i.length&&(n=i.length);t<n;t++)yield i[t]}k.slice=y;function m(i,t=Number.POSITIVE_INFINITY){const n=[];if(t===0)return[n,i];const r=i[Symbol.iterator]();for(let u=0;u<t;u++){const s=r.next();if(s.done)return[n,k.empty()];n.push(s.value)}return[n,{[Symbol.iterator](){return r}}]}k.consume=m;function o(i,t,n=(r,u)=>r===u){const r=i[Symbol.iterator](),u=t[Symbol.iterator]();for(;;){const s=r.next(),c=u.next();if(s.done!==c.done)return!1;if(s.done)return!0;if(!n(s.value,c.value))return!1}}k.equals=o})(v=e.Iterable||(e.Iterable={}))}),define(Z[32],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var v;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(v=e.ScanError||(e.ScanError={}));var k;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(k=e.SyntaxKind||(e.SyntaxKind={}));var U;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(U=e.ParseErrorCode||(e.ParseErrorCode={}));var R;(function(t){t.DEFAULT={allowTrailingComma:!0}})(R=e.ParseOptions||(e.ParseOptions={}));function A(t,n=!1){let r=0,u=t.length,s="",c=0,l=16,f=0;function w(z){let Y=0,x=0;for(;Y<z;){const j=t.charCodeAt(r);if(j>=48&&j<=57)x=x*16+j-48;else if(j>=65&&j<=70)x=x*16+j-65+10;else if(j>=97&&j<=102)x=x*16+j-97+10;else break;r++,Y++}return Y<z&&(x=-1),x}function h(z){r=z,s="",c=0,l=16,f=0}function O(){const z=r;if(t.charCodeAt(r)===48)r++;else for(r++;r<t.length&&S(t.charCodeAt(r));)r++;if(r<t.length&&t.charCodeAt(r)===46)if(r++,r<t.length&&S(t.charCodeAt(r)))for(r++;r<t.length&&S(t.charCodeAt(r));)r++;else return f=3,t.substring(z,r);let Y=r;if(r<t.length&&(t.charCodeAt(r)===69||t.charCodeAt(r)===101))if(r++,(r<t.length&&t.charCodeAt(r)===43||t.charCodeAt(r)===45)&&r++,r<t.length&&S(t.charCodeAt(r))){for(r++;r<t.length&&S(t.charCodeAt(r));)r++;Y=r}else f=3;return t.substring(z,Y)}function _(){let z="",Y=r;for(;;){if(r>=u){z+=t.substring(Y,r),f=2;break}const x=t.charCodeAt(r);if(x===34){z+=t.substring(Y,r),r++;break}if(x===92){if(z+=t.substring(Y,r),r++,r>=u){f=2;break}switch(t.charCodeAt(r++)){case 34:z+='"';break;case 92:z+="\\";break;case 47:z+="/";break;case 98:z+="\b";break;case 102:z+="\f";break;case 110:z+=`
`;break;case 114:z+="\r";break;case 116:z+="	";break;case 117:const F=w(4);F>=0?z+=String.fromCharCode(F):f=4;break;default:f=5}Y=r;continue}if(x>=0&&x<=31)if(g(x)){z+=t.substring(Y,r),f=2;break}else f=6;r++}return z}function $(){if(s="",f=0,c=r,r>=u)return c=u,l=17;let z=t.charCodeAt(r);if(L(z)){do r++,s+=String.fromCharCode(z),z=t.charCodeAt(r);while(L(z));return l=15}if(g(z))return r++,s+=String.fromCharCode(z),z===13&&t.charCodeAt(r)===10&&(r++,s+=`
`),l=14;switch(z){case 123:return r++,l=1;case 125:return r++,l=2;case 91:return r++,l=3;case 93:return r++,l=4;case 58:return r++,l=6;case 44:return r++,l=5;case 34:return r++,s=_(),l=10;case 47:const Y=r-1;if(t.charCodeAt(r+1)===47){for(r+=2;r<u&&!g(t.charCodeAt(r));)r++;return s=t.substring(Y,r),l=12}if(t.charCodeAt(r+1)===42){r+=2;const x=u-1;let j=!1;for(;r<x;){if(t.charCodeAt(r)===42&&t.charCodeAt(r+1)===47){r+=2,j=!0;break}r++}return j||(r++,f=1),s=t.substring(Y,r),l=13}return s+=String.fromCharCode(z),r++,l=16;case 45:if(s+=String.fromCharCode(z),r++,r===u||!S(t.charCodeAt(r)))return l=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return s+=O(),l=11;default:for(;r<u&&q(z);)r++,z=t.charCodeAt(r);if(c!==r){switch(s=t.substring(c,r),s){case"true":return l=8;case"false":return l=9;case"null":return l=7}return l=16}return s+=String.fromCharCode(z),r++,l=16}}function q(z){if(L(z)||g(z))return!1;switch(z){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function V(){let z;do z=$();while(z>=12&&z<=15);return z}return{setPosition:h,getPosition:()=>r,scan:n?V:$,getToken:()=>l,getTokenValue:()=>s,getTokenOffset:()=>c,getTokenLength:()=>r-c,getTokenError:()=>f}}e.createScanner=A;function L(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function g(t){return t===10||t===13||t===8232||t===8233}function S(t){return t>=48&&t<=57}var I;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(I||(I={}));function d(t,n){const r=[],u=new Object;let s;const c={value:{},offset:0,length:0,type:"object",parent:void 0};let l=!1;function f(w,h,O,_){c.value=w,c.offset=h,c.length=O,c.type=_,c.colonOffset=void 0,s=c}try{m(t,{onObjectBegin:(w,h)=>{if(n<=w)throw u;s=void 0,l=n>w,r.push("")},onObjectProperty:(w,h,O)=>{if(n<h||(f(w,h,O,"property"),r[r.length-1]=w,n<=h+O))throw u},onObjectEnd:(w,h)=>{if(n<=w)throw u;s=void 0,r.pop()},onArrayBegin:(w,h)=>{if(n<=w)throw u;s=void 0,r.push(0)},onArrayEnd:(w,h)=>{if(n<=w)throw u;s=void 0,r.pop()},onLiteralValue:(w,h,O)=>{if(n<h||(f(w,h,O,i(w)),n<=h+O))throw u},onSeparator:(w,h,O)=>{if(n<=h)throw u;if(w===":"&&s&&s.type==="property")s.colonOffset=h,l=!1,s=void 0;else if(w===","){const _=r[r.length-1];typeof _=="number"?r[r.length-1]=_+1:(l=!0,r[r.length-1]=""),s=void 0}}})}catch(w){if(w!==u)throw w}return{path:r,previousNode:s,isAtPropertyKey:l,matches:w=>{let h=0;for(let O=0;h<w.length&&O<r.length;O++)if(w[h]===r[O]||w[h]==="*")h++;else if(w[h]!=="**")return!1;return h===w.length}}}e.getLocation=d;function E(t,n=[],r=R.DEFAULT){let u=null,s=[];const c=[];function l(w){Array.isArray(s)?s.push(w):u!==null&&(s[u]=w)}return m(t,{onObjectBegin:()=>{const w={};l(w),c.push(s),s=w,u=null},onObjectProperty:w=>{u=w},onObjectEnd:()=>{s=c.pop()},onArrayBegin:()=>{const w=[];l(w),c.push(s),s=w,u=null},onArrayEnd:()=>{s=c.pop()},onLiteralValue:l,onError:(w,h,O)=>{n.push({error:w,offset:h,length:O})}},r),s[0]}e.parse=E;function D(t,n=[],r=R.DEFAULT){let u={type:"array",offset:-1,length:-1,children:[],parent:void 0};function s(w){u.type==="property"&&(u.length=w-u.offset,u=u.parent)}function c(w){return u.children.push(w),w}m(t,{onObjectBegin:w=>{u=c({type:"object",offset:w,length:-1,parent:u,children:[]})},onObjectProperty:(w,h,O)=>{u=c({type:"property",offset:h,length:-1,parent:u,children:[]}),u.children.push({type:"string",value:w,offset:h,length:O,parent:u})},onObjectEnd:(w,h)=>{u.length=w+h-u.offset,u=u.parent,s(w+h)},onArrayBegin:(w,h)=>{u=c({type:"array",offset:w,length:-1,parent:u,children:[]})},onArrayEnd:(w,h)=>{u.length=w+h-u.offset,u=u.parent,s(w+h)},onLiteralValue:(w,h,O)=>{c({type:i(w),offset:h,length:O,parent:u,value:w}),s(h+O)},onSeparator:(w,h,O)=>{u.type==="property"&&(w===":"?u.colonOffset=h:w===","&&s(h))},onError:(w,h,O)=>{n.push({error:w,offset:h,length:O})}},r);const f=u.children[0];return f&&delete f.parent,f}e.parseTree=D;function a(t,n){if(!!t){let r=t;for(let u of n)if(typeof u=="string"){if(r.type!=="object"||!Array.isArray(r.children))return;let s=!1;for(const c of r.children)if(Array.isArray(c.children)&&c.children[0].value===u){r=c.children[1],s=!0;break}if(!s)return}else{const s=u;if(r.type!=="array"||s<0||!Array.isArray(r.children)||s>=r.children.length)return;r=r.children[s]}return r}}e.findNodeAtLocation=a;function C(t){if(!t.parent||!t.parent.children)return[];const n=C(t.parent);if(t.parent.type==="property"){const r=t.parent.children[0].value;n.push(r)}else if(t.parent.type==="array"){const r=t.parent.children.indexOf(t);r!==-1&&n.push(r)}return n}e.getNodePath=C;function b(t){switch(t.type){case"array":return t.children.map(b);case"object":const n=Object.create(null);for(let r of t.children){const u=r.children[1];u&&(n[r.children[0].value]=b(u))}return n;case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=b;function p(t,n,r=!1){return n>=t.offset&&n<t.offset+t.length||r&&n===t.offset+t.length}e.contains=p;function y(t,n,r=!1){if(p(t,n,r)){const u=t.children;if(Array.isArray(u))for(let s=0;s<u.length&&u[s].offset<=n;s++){const c=y(u[s],n,r);if(c)return c}return t}}e.findNodeAtOffset=y;function m(t,n,r=R.DEFAULT){const u=A(t,!1);function s(H){return H?()=>H(u.getTokenOffset(),u.getTokenLength()):()=>!0}function c(H){return H?Q=>H(Q,u.getTokenOffset(),u.getTokenLength()):()=>!0}const l=s(n.onObjectBegin),f=c(n.onObjectProperty),w=s(n.onObjectEnd),h=s(n.onArrayBegin),O=s(n.onArrayEnd),_=c(n.onLiteralValue),$=c(n.onSeparator),q=s(n.onComment),V=c(n.onError),z=r&&r.disallowComments,Y=r&&r.allowTrailingComma;function x(){for(;;){const H=u.scan();switch(u.getTokenError()){case 4:j(14);break;case 5:j(15);break;case 3:j(13);break;case 1:z||j(11);break;case 2:j(12);break;case 6:j(16);break}switch(H){case 12:case 13:z?j(10):q();break;case 16:j(1);break;case 15:case 14:break;default:return H}}}function j(H,Q=[],X=[]){if(V(H),Q.length+X.length>0){let ie=u.getToken();for(;ie!==17;){if(Q.indexOf(ie)!==-1){x();break}else if(X.indexOf(ie)!==-1)break;ie=x()}}}function F(H){const Q=u.getTokenValue();return H?_(Q):f(Q),x(),!0}function P(){switch(u.getToken()){case 11:let H=0;try{H=JSON.parse(u.getTokenValue()),typeof H!="number"&&(j(2),H=0)}catch(Q){j(2)}_(H);break;case 7:_(null);break;case 8:_(!0);break;case 9:_(!1);break;default:return!1}return x(),!0}function T(){return u.getToken()!==10?(j(3,[],[2,5]),!1):(F(!1),u.getToken()===6?($(":"),x(),W()||j(4,[],[2,5])):j(5,[],[2,5]),!0)}function M(){l(),x();let H=!1;for(;u.getToken()!==2&&u.getToken()!==17;){if(u.getToken()===5){if(H||j(4,[],[]),$(","),x(),u.getToken()===2&&Y)break}else H&&j(6,[],[]);T()||j(4,[],[2,5]),H=!0}return w(),u.getToken()!==2?j(7,[2],[]):x(),!0}function N(){h(),x();let H=!1;for(;u.getToken()!==4&&u.getToken()!==17;){if(u.getToken()===5){if(H||j(4,[],[]),$(","),x(),u.getToken()===4&&Y)break}else H&&j(6,[],[]);W()||j(4,[],[4,5]),H=!0}return O(),u.getToken()!==4?j(8,[4],[]):x(),!0}function W(){switch(u.getToken()){case 3:return N();case 1:return M();case 10:return F(!0);default:return P()}}return x(),u.getToken()===17?r.allowEmptyContent?!0:(j(4,[],[]),!1):W()?(u.getToken()!==17&&j(9,[],[]),!0):(j(4,[],[]),!1)}e.visit=m;function o(t,n){let r=A(t),u=[],s,c=0,l;do switch(l=r.getPosition(),s=r.scan(),s){case 12:case 13:case 17:c!==l&&u.push(t.substring(c,l)),n!==void 0&&u.push(r.getTokenValue().replace(/[^\r\n]/g,n)),c=r.getPosition();break}while(s!==17);return u.join("")}e.stripComments=o;function i(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=i}),define(Z[46],ee([0,1,32]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.format=void 0;function k(g,S,I){let d,E,D,a,C;if(S){for(a=S.offset,C=a+S.length,D=a;D>0&&!L(g,D-1);)D--;let c=C;for(;c<g.length&&!L(g,c);)c++;E=g.substring(D,c),d=R(E,I)}else E=g,d=0,D=0,a=0,C=g.length;const b=A(I,g);let p=!1,y=0,m;I.insertSpaces?m=U(" ",I.tabSize||4):m="	";const o=(0,v.createScanner)(E,!1);let i=!1;function t(){return b+U(m,d+y)}function n(){let c=o.scan();for(p=!1;c===15||c===14;)p=p||c===14,c=o.scan();return i=c===16||o.getTokenError()!==0,c}const r=[];function u(c,l,f){!i&&l<C&&f>a&&g.substring(l,f)!==c&&r.push({offset:l,length:f-l,content:c})}let s=n();if(s!==17){const c=o.getTokenOffset()+D,l=U(m,d);u(l,D,c)}for(;s!==17;){let c=o.getTokenOffset()+o.getTokenLength()+D,l=n(),f="";for(;!p&&(l===12||l===13);){const h=o.getTokenOffset()+D;u(" ",c,h),c=o.getTokenOffset()+o.getTokenLength()+D,f=l===12?t():"",l=n()}if(l===2)s!==1&&(y--,f=t());else if(l===4)s!==3&&(y--,f=t());else{switch(s){case 3:case 1:y++,f=t();break;case 5:case 12:f=t();break;case 13:p?f=t():f=" ";break;case 6:f=" ";break;case 10:if(l===6){f="";break}case 7:case 8:case 9:case 11:case 2:case 4:l===12||l===13?f=" ":l!==5&&l!==17&&(i=!0);break;case 16:i=!0;break}p&&(l===12||l===13)&&(f=t())}const w=o.getTokenOffset()+D;u(f,c,w),s=l}return r}e.format=k;function U(g,S){let I="";for(let d=0;d<S;d++)I+=g;return I}function R(g,S){let I=0,d=0;const E=S.tabSize||4;for(;I<g.length;){const D=g.charAt(I);if(D===" ")d++;else if(D==="	")d+=E;else break;I++}return Math.floor(d/E)}function A(g,S){for(let I=0;I<S.length;I++){const d=S.charAt(I);if(d==="\r")return I+1<S.length&&S.charAt(I+1)===`
`?`\r
`:"\r";if(d===`
`)return`
`}return g&&g.eol||`
`}e.getEOL=A;function L(g,S){return`\r
`.indexOf(g.charAt(S))!==-1}e.isEOL=L}),define(Z[41],ee([0,1,32,46]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function U(S,I,d){return R(S,I,void 0,d)}e.removeProperty=U;function R(S,I,d,E,D){const a=I.slice(),C=[],b=(0,v.parseTree)(S,C);let p,y;for(;a.length>0&&(y=a.pop(),p=(0,v.findNodeAtLocation)(b,a),p===void 0&&d!==void 0);)typeof y=="string"?d={[y]:d}:d=[d];if(p)if(p.type==="object"&&typeof y=="string"&&Array.isArray(p.children)){const m=(0,v.findNodeAtLocation)(p,[y]);if(m!==void 0)if(d===void 0){if(!m.parent)throw new Error("Malformed AST");const o=p.children.indexOf(m.parent);let i,t=m.parent.offset+m.parent.length;if(o>0){const n=p.children[o-1];i=n.offset+n.length}else i=p.offset+1,p.children.length>1&&(t=p.children[1].offset);return A(S,{offset:i,length:t-i,content:""},E)}else return A(S,{offset:m.offset,length:m.length,content:JSON.stringify(d)},E);else{if(d===void 0)return[];const o=`${JSON.stringify(y)}: ${JSON.stringify(d)}`,i=D?D(p.children.map(n=>n.children[0].value)):p.children.length;let t;if(i>0){const n=p.children[i-1];t={offset:n.offset+n.length,length:0,content:","+o}}else p.children.length===0?t={offset:p.offset+1,length:0,content:o}:t={offset:p.offset+1,length:0,content:o+","};return A(S,t,E)}}else if(p.type==="array"&&typeof y=="number"&&Array.isArray(p.children))if(d!==void 0){const m=`${JSON.stringify(d)}`;let o;if(p.children.length===0||y===0)o={offset:p.offset+1,length:0,content:p.children.length===0?m:m+","};else{const i=y===-1||y>p.children.length?p.children.length:y,t=p.children[i-1];o={offset:t.offset+t.length,length:0,content:","+m}}return A(S,o,E)}else{const m=y,o=p.children[m];let i;if(p.children.length===1)i={offset:p.offset+1,length:p.length-2,content:""};else if(p.children.length-1===m){const t=p.children[m-1],n=t.offset+t.length,r=p.offset+p.length;i={offset:n,length:r-2-n,content:""}}else i={offset:o.offset,length:p.children[m+1].offset-o.offset,content:""};return A(S,i,E)}else throw new Error(`Can not add ${typeof y!="number"?"index":"property"} to parent of type ${p.type}`);else{if(d===void 0)throw new Error("Can not delete in empty document");return A(S,{offset:b?b.offset:0,length:b?b.length:0,content:JSON.stringify(d)},E)}}e.setProperty=R;function A(S,I,d){let E=L(S,I),D=I.offset,a=I.offset+I.content.length;if(I.length===0||I.content.length===0){for(;D>0&&!(0,k.isEOL)(E,D-1);)D--;for(;a<E.length&&!(0,k.isEOL)(E,a);)a++}const C=(0,k.format)(E,{offset:D,length:a-D},d);for(let p=C.length-1;p>=0;p--){const y=C[p];E=L(E,y),D=Math.min(D,y.offset),a=Math.max(a,y.offset+y.length),a+=y.content.length-y.length}const b=S.length-(E.length-a)-D;return[{offset:D,length:b,content:E.substring(D,a)}]}e.withFormatting=A;function L(S,I){return S.substring(0,I.offset)+I.content+S.substring(I.offset+I.length)}e.applyEdit=L;function g(S,I){let d=I.slice(0).sort((D,a)=>{const C=D.offset-a.offset;return C===0?D.length-a.length:C}),E=S.length;for(let D=d.length-1;D>=0;D--){let a=d[D];if(a.offset+a.length<=E)S=L(S,a);else throw new Error("Overlapping edit");E=a.offset}return S}e.applyEdits=g}),define(Z[2],ee([0,1,63,52]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const U=!1;let R=null;function A(m){R=m}if(e.setDisposableTracker=A,U){const m="__is_disposable_tracked__";R=new class{trackDisposable(o){const i=new Error("Potentially leaked disposable").stack;setTimeout(()=>{o[m]||console.log(i)},3e3)}markTracked(o){if(o&&o!==C.None)try{o[m]=!0}catch(i){}}}}function L(m){!R||R.markTracked(m)}function g(m){return R&&R.trackDisposable(m),m}e.trackDisposable=g;class S extends Error{constructor(o){super(`Encountered errors while disposing of store. Errors: [${o.join(", ")}]`);this.errors=o}}e.MultiDisposeError=S;function I(m){return typeof m.dispose=="function"&&m.dispose.length===0}e.isDisposable=I;function d(m){if(k.Iterable.is(m)){let o=[];for(const i of m)if(i){L(i);try{i.dispose()}catch(t){o.push(t)}}if(o.length===1)throw o[0];if(o.length>1)throw new S(o);return Array.isArray(m)?[]:m}else if(m)return L(m),m.dispose(),m}e.dispose=d;function E(...m){return m.forEach(L),D(()=>d(m))}e.combinedDisposable=E;function D(m){const o=g({dispose:()=>{L(o),m()}});return o}e.toDisposable=D;class a{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(L(this),this._isDisposed=!0,this.clear())}clear(){try{d(this._toDispose.values())}finally{this._toDispose.clear()}}add(o){if(!o)return o;if(o===this)throw new Error("Cannot register a disposable on itself!");return L(o),this._isDisposed?a.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(o),o}}e.DisposableStore=a,a.DISABLE_DISPOSED_WARNING=!1;class C{constructor(){this._store=new a,g(this)}dispose(){L(this),this._store.dispose()}_register(o){if(o===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(o)}}e.Disposable=C,C.None=Object.freeze({dispose(){}});class b{constructor(){this._isDisposed=!1,g(this)}get value(){return this._isDisposed?void 0:this._value}set value(o){var i;this._isDisposed||o===this._value||((i=this._value)===null||i===void 0||i.dispose(),o&&L(o),this._value=o)}clear(){this.value=void 0}dispose(){var o;this._isDisposed=!0,L(this),(o=this._value)===null||o===void 0||o.dispose(),this._value=void 0}}e.MutableDisposable=b;class p{constructor(){this.references=new Map}acquire(o,...i){let t=this.references.get(o);t||(t={counter:0,object:this.createReferencedObject(o,...i)},this.references.set(o,t));const{object:n}=t,r=(0,v.once)(()=>{--t.counter==0&&(this.destroyReferencedObject(o,t.object),this.references.delete(o))});return t.counter++,{object:n,dispose:r}}}e.ReferenceCollection=p;class y{constructor(o){this.object=o}dispose(){}}e.ImmortalReference=y}),define(Z[64],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class v{constructor(R){this.element=R,this.next=v.Undefined,this.prev=v.Undefined}}v.Undefined=new v(void 0);class k{constructor(){this._first=v.Undefined,this._last=v.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===v.Undefined}clear(){this._first=v.Undefined,this._last=v.Undefined,this._size=0}unshift(R){return this._insert(R,!1)}push(R){return this._insert(R,!0)}_insert(R,A){const L=new v(R);if(this._first===v.Undefined)this._first=L,this._last=L;else if(A){const S=this._last;this._last=L,L.prev=S,S.next=L}else{const S=this._first;this._first=L,L.next=S,S.prev=L}this._size+=1;let g=!1;return()=>{g||(g=!0,this._remove(L))}}shift(){if(this._first!==v.Undefined){const R=this._first.element;return this._remove(this._first),R}}pop(){if(this._last!==v.Undefined){const R=this._last.element;return this._remove(this._last),R}}_remove(R){if(R.prev!==v.Undefined&&R.next!==v.Undefined){const A=R.prev;A.next=R.next,R.next.prev=A}else R.prev===v.Undefined&&R.next===v.Undefined?(this._first=v.Undefined,this._last=v.Undefined):R.next===v.Undefined?(this._last=this._last.prev,this._last.next=v.Undefined):R.prev===v.Undefined&&(this._first=this._first.next,this._first.prev=v.Undefined);this._size-=1}*[Symbol.iterator](){let R=this._first;for(;R!==v.Undefined;)yield R.element,R=R.next}}e.LinkedList=k});"use strict";(function(){function G(U){const R=[];typeof U=="number"&&R.push("code/timeOrigin",U);function A(g){R.push(g,Date.now())}function L(){const g=[];for(let S=0;S<R.length;S+=2)g.push({name:R[S],startTime:R[S+1]});return g}return{mark:A,getMarks:L}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?G():{mark(U){performance.mark(U)},getMarks(){let U=performance.timeOrigin;typeof U!="number"&&(U=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const R=[{name:"code/timeOrigin",startTime:Math.round(U)}];for(const A of performance.getEntriesByType("mark"))R.push({name:A.name,startTime:Math.round(U+A.startTime)});return R}};if(typeof process=="object"){const U=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return G(U)}else return console.trace("perf-util loaded in UNKNOWN environment"),G()}function v(U){return U.MonacoPerformanceMarks||(U.MonacoPerformanceMarks=e()),U.MonacoPerformanceMarks}var k;typeof global=="object"?k=global:typeof self=="object"?k=self:k={},typeof define=="function"?define("vs/base/common/performance",[],function(){return v(k)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=v(k):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),k.perf=v(k))})(),define(Z[7],ee([0,1]),function(G,e){"use strict";var v;Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.globals=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=void 0;const k="en";let U=!1,R=!1,A=!1,L=!1,g=!1,S=!1,I=!1,d,E=k,D,a;const C=typeof self=="object"?self:typeof global=="object"?global:{};let b;typeof process!="undefined"?b=process:typeof C.vscode!="undefined"&&(b=C.vscode.process);const p=typeof((v=b==null?void 0:b.versions)===null||v===void 0?void 0:v.electron)=="string"&&b.type==="renderer";if(e.isElectronSandboxed=p&&(b==null?void 0:b.sandboxed),e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const s=b==null?void 0:b.env.ENABLE_VSCODE_BROWSER_CODE_LOADING;if(typeof s=="string")return s==="none"||s==="code"||s==="bypassHeatCheck"||s==="bypassHeatCheckAndEagerCompile"?s:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!p)a=navigator.userAgent,U=a.indexOf("Windows")>=0,R=a.indexOf("Macintosh")>=0,I=(a.indexOf("Macintosh")>=0||a.indexOf("iPad")>=0||a.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,A=a.indexOf("Linux")>=0,S=!0,d=navigator.language,E=d;else if(typeof b=="object"){U=b.platform==="win32",R=b.platform==="darwin",A=b.platform==="linux",L=A&&!!b.env.SNAP&&!!b.env.SNAP_REVISION,d=k,E=k;const s=b.env.VSCODE_NLS_CONFIG;if(s)try{const c=JSON.parse(s),l=c.availableLanguages["*"];d=c.locale,E=l||k,D=c._translationsConfigFile}catch(c){}g=!0}else console.error("Unable to resolve platform.");var y;(function(s){s[s.Web=0]="Web",s[s.Mac=1]="Mac",s[s.Linux=2]="Linux",s[s.Windows=3]="Windows"})(y=e.Platform||(e.Platform={}));function m(s){switch(s){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=m;let o=0;R?o=1:U?o=3:A&&(o=2),e.isWindows=U,e.isMacintosh=R,e.isLinux=A,e.isLinuxSnap=L,e.isNative=g,e.isWeb=S,e.isIOS=I,e.platform=o,e.userAgent=a,e.language=E;var i;(function(s){function c(){return e.language}s.value=c;function l(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}s.isDefaultVariant=l;function f(){return e.language==="en"}s.isDefault=f})(i=e.Language||(e.Language={})),e.locale=d,e.translationsConfigFile=D,e.globals=C,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let l=[];e.globals.addEventListener("message",w=>{if(w.data&&w.data.vscodeSetImmediateId)for(let h=0,O=l.length;h<O;h++){const _=l[h];if(_.id===w.data.vscodeSetImmediateId){l.splice(h,1),_.callback();return}}});let f=0;return w=>{const h=++f;l.push({id:h,callback:w}),e.globals.postMessage({vscodeSetImmediateId:h},"*")}}if(b&&typeof b.nextTick=="function")return b.nextTick.bind(b);const c=Promise.resolve();return l=>c.then(l)}();var t;(function(s){s[s.Windows=1]="Windows",s[s.Macintosh=2]="Macintosh",s[s.Linux=3]="Linux"})(t=e.OperatingSystem||(e.OperatingSystem={})),e.OS=R||I?2:U?1:3;let n=!0,r=!1;function u(){if(!r){r=!0;const s=new Uint8Array(2);s[0]=1,s[1]=2,n=new Uint16Array(s.buffer)[0]===(2<<8)+1}return n}e.isLittleEndian=u}),define(Z[53],ee([0,1,7]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let k;typeof process!="undefined"?k=process:typeof v.globals.vscode!="undefined"?k={get platform(){return v.globals.vscode.process.platform},get env(){return v.globals.vscode.process.env},nextTick(U){return(0,v.setImmediate)(U)},cwd(){return v.globals.vscode.process.env.VSCODE_CWD||v.globals.vscode.process.execPath.substr(0,v.globals.vscode.process.execPath.lastIndexOf(v.globals.vscode.process.platform==="win32"?"\\":"/"))}}:k={get platform(){return v.isWindows?"win32":v.isMacintosh?"darwin":"linux"},nextTick(U){return(0,v.setImmediate)(U)},get env(){return Object.create(null)},cwd(){return"/"}},e.cwd=k.cwd,e.env=k.env,e.platform=k.platform,e.nextTick=k.nextTick}),define(Z[8],ee([0,1,53]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const k=65,U=97,R=90,A=122,L=46,g=47,S=92,I=58,d=63;class E extends Error{constructor(o,i,t){let n;typeof i=="string"&&i.indexOf("not ")===0?(n="must not be",i=i.replace(/^not /,"")):n="must be";const r=o.indexOf(".")!==-1?"property":"argument";let u=`The "${o}" ${r} ${n} of type ${i}`;u+=`. Received type ${typeof t}`,super(u),this.code="ERR_INVALID_ARG_TYPE"}}function D(m,o){if(typeof m!="string")throw new E(o,"string",m)}function a(m){return m===g||m===S}function C(m){return m===g}function b(m){return m>=k&&m<=R||m>=U&&m<=A}function p(m,o,i,t){let n="",r=0,u=-1,s=0,c=0;for(let l=0;l<=m.length;++l){if(l<m.length)c=m.charCodeAt(l);else{if(t(c))break;c=g}if(t(c)){if(!(u===l-1||s===1))if(s===2){if(n.length<2||r!==2||n.charCodeAt(n.length-1)!==L||n.charCodeAt(n.length-2)!==L){if(n.length>2){const f=n.lastIndexOf(i);f===-1?(n="",r=0):(n=n.slice(0,f),r=n.length-1-n.lastIndexOf(i)),u=l,s=0;continue}else if(n.length!==0){n="",r=0,u=l,s=0;continue}}o&&(n+=n.length>0?`${i}..`:"..",r=2)}else n.length>0?n+=`${i}${m.slice(u+1,l)}`:n=m.slice(u+1,l),r=l-u-1;u=l,s=0}else c===L&&s!==-1?++s:s=-1}return n}function y(m,o){if(o===null||typeof o!="object")throw new E("pathObject","Object",o);const i=o.dir||o.root,t=o.base||`${o.name||""}${o.ext||""}`;return i?i===o.root?`${i}${t}`:`${i}${m}${t}`:t}e.win32={resolve(...m){let o="",i="",t=!1;for(let n=m.length-1;n>=-1;n--){let r;if(n>=0){if(r=m[n],D(r,"path"),r.length===0)continue}else o.length===0?r=v.cwd():(r=v.env[`=${o}`]||v.cwd(),(r===void 0||r.slice(0,2).toLowerCase()!==o.toLowerCase()&&r.charCodeAt(2)===S)&&(r=`${o}\\`));const u=r.length;let s=0,c="",l=!1;const f=r.charCodeAt(0);if(u===1)a(f)&&(s=1,l=!0);else if(a(f))if(l=!0,a(r.charCodeAt(1))){let w=2,h=w;for(;w<u&&!a(r.charCodeAt(w));)w++;if(w<u&&w!==h){const O=r.slice(h,w);for(h=w;w<u&&a(r.charCodeAt(w));)w++;if(w<u&&w!==h){for(h=w;w<u&&!a(r.charCodeAt(w));)w++;(w===u||w!==h)&&(c=`\\\\${O}\\${r.slice(h,w)}`,s=w)}}}else s=1;else b(f)&&r.charCodeAt(1)===I&&(c=r.slice(0,2),s=2,u>2&&a(r.charCodeAt(2))&&(l=!0,s=3));if(c.length>0)if(o.length>0){if(c.toLowerCase()!==o.toLowerCase())continue}else o=c;if(t){if(o.length>0)break}else if(i=`${r.slice(s)}\\${i}`,t=l,l&&o.length>0)break}return i=p(i,!t,"\\",a),t?`${o}\\${i}`:`${o}${i}`||"."},normalize(m){D(m,"path");const o=m.length;if(o===0)return".";let i=0,t,n=!1;const r=m.charCodeAt(0);if(o===1)return C(r)?"\\":m;if(a(r))if(n=!0,a(m.charCodeAt(1))){let s=2,c=s;for(;s<o&&!a(m.charCodeAt(s));)s++;if(s<o&&s!==c){const l=m.slice(c,s);for(c=s;s<o&&a(m.charCodeAt(s));)s++;if(s<o&&s!==c){for(c=s;s<o&&!a(m.charCodeAt(s));)s++;if(s===o)return`\\\\${l}\\${m.slice(c)}\\`;s!==c&&(t=`\\\\${l}\\${m.slice(c,s)}`,i=s)}}}else i=1;else b(r)&&m.charCodeAt(1)===I&&(t=m.slice(0,2),i=2,o>2&&a(m.charCodeAt(2))&&(n=!0,i=3));let u=i<o?p(m.slice(i),!n,"\\",a):"";return u.length===0&&!n&&(u="."),u.length>0&&a(m.charCodeAt(o-1))&&(u+="\\"),t===void 0?n?`\\${u}`:u:n?`${t}\\${u}`:`${t}${u}`},isAbsolute(m){D(m,"path");const o=m.length;if(o===0)return!1;const i=m.charCodeAt(0);return a(i)||o>2&&b(i)&&m.charCodeAt(1)===I&&a(m.charCodeAt(2))},join(...m){if(m.length===0)return".";let o,i;for(let r=0;r<m.length;++r){const u=m[r];D(u,"path"),u.length>0&&(o===void 0?o=i=u:o+=`\\${u}`)}if(o===void 0)return".";let t=!0,n=0;if(typeof i=="string"&&a(i.charCodeAt(0))){++n;const r=i.length;r>1&&a(i.charCodeAt(1))&&(++n,r>2&&(a(i.charCodeAt(2))?++n:t=!1))}if(t){for(;n<o.length&&a(o.charCodeAt(n));)n++;n>=2&&(o=`\\${o.slice(n)}`)}return e.win32.normalize(o)},relative(m,o){if(D(m,"from"),D(o,"to"),m===o)return"";const i=e.win32.resolve(m),t=e.win32.resolve(o);if(i===t||(m=i.toLowerCase(),o=t.toLowerCase(),m===o))return"";let n=0;for(;n<m.length&&m.charCodeAt(n)===S;)n++;let r=m.length;for(;r-1>n&&m.charCodeAt(r-1)===S;)r--;const u=r-n;let s=0;for(;s<o.length&&o.charCodeAt(s)===S;)s++;let c=o.length;for(;c-1>s&&o.charCodeAt(c-1)===S;)c--;const l=c-s,f=u<l?u:l;let w=-1,h=0;for(;h<f;h++){const _=m.charCodeAt(n+h);if(_!==o.charCodeAt(s+h))break;_===S&&(w=h)}if(h!==f){if(w===-1)return t}else{if(l>f){if(o.charCodeAt(s+h)===S)return t.slice(s+h+1);if(h===2)return t.slice(s+h)}u>f&&(m.charCodeAt(n+h)===S?w=h:h===2&&(w=3)),w===-1&&(w=0)}let O="";for(h=n+w+1;h<=r;++h)(h===r||m.charCodeAt(h)===S)&&(O+=O.length===0?"..":"\\..");return s+=w,O.length>0?`${O}${t.slice(s,c)}`:(t.charCodeAt(s)===S&&++s,t.slice(s,c))},toNamespacedPath(m){if(typeof m!="string")return m;if(m.length===0)return"";const o=e.win32.resolve(m);if(o.length<=2)return m;if(o.charCodeAt(0)===S){if(o.charCodeAt(1)===S){const i=o.charCodeAt(2);if(i!==d&&i!==L)return`\\\\?\\UNC\\${o.slice(2)}`}}else if(b(o.charCodeAt(0))&&o.charCodeAt(1)===I&&o.charCodeAt(2)===S)return`\\\\?\\${o}`;return m},dirname(m){D(m,"path");const o=m.length;if(o===0)return".";let i=-1,t=0;const n=m.charCodeAt(0);if(o===1)return a(n)?m:".";if(a(n)){if(i=t=1,a(m.charCodeAt(1))){let s=2,c=s;for(;s<o&&!a(m.charCodeAt(s));)s++;if(s<o&&s!==c){for(c=s;s<o&&a(m.charCodeAt(s));)s++;if(s<o&&s!==c){for(c=s;s<o&&!a(m.charCodeAt(s));)s++;if(s===o)return m;s!==c&&(i=t=s+1)}}}}else b(n)&&m.charCodeAt(1)===I&&(i=o>2&&a(m.charCodeAt(2))?3:2,t=i);let r=-1,u=!0;for(let s=o-1;s>=t;--s)if(a(m.charCodeAt(s))){if(!u){r=s;break}}else u=!1;if(r===-1){if(i===-1)return".";r=i}return m.slice(0,r)},basename(m,o){o!==void 0&&D(o,"ext"),D(m,"path");let i=0,t=-1,n=!0,r;if(m.length>=2&&b(m.charCodeAt(0))&&m.charCodeAt(1)===I&&(i=2),o!==void 0&&o.length>0&&o.length<=m.length){if(o===m)return"";let u=o.length-1,s=-1;for(r=m.length-1;r>=i;--r){const c=m.charCodeAt(r);if(a(c)){if(!n){i=r+1;break}}else s===-1&&(n=!1,s=r+1),u>=0&&(c===o.charCodeAt(u)?--u==-1&&(t=r):(u=-1,t=s))}return i===t?t=s:t===-1&&(t=m.length),m.slice(i,t)}for(r=m.length-1;r>=i;--r)if(a(m.charCodeAt(r))){if(!n){i=r+1;break}}else t===-1&&(n=!1,t=r+1);return t===-1?"":m.slice(i,t)},extname(m){D(m,"path");let o=0,i=-1,t=0,n=-1,r=!0,u=0;m.length>=2&&m.charCodeAt(1)===I&&b(m.charCodeAt(0))&&(o=t=2);for(let s=m.length-1;s>=o;--s){const c=m.charCodeAt(s);if(a(c)){if(!r){t=s+1;break}continue}n===-1&&(r=!1,n=s+1),c===L?i===-1?i=s:u!==1&&(u=1):i!==-1&&(u=-1)}return i===-1||n===-1||u===0||u===1&&i===n-1&&i===t+1?"":m.slice(i,n)},format:y.bind(null,"\\"),parse(m){D(m,"path");const o={root:"",dir:"",base:"",ext:"",name:""};if(m.length===0)return o;const i=m.length;let t=0,n=m.charCodeAt(0);if(i===1)return a(n)?(o.root=o.dir=m,o):(o.base=o.name=m,o);if(a(n)){if(t=1,a(m.charCodeAt(1))){let w=2,h=w;for(;w<i&&!a(m.charCodeAt(w));)w++;if(w<i&&w!==h){for(h=w;w<i&&a(m.charCodeAt(w));)w++;if(w<i&&w!==h){for(h=w;w<i&&!a(m.charCodeAt(w));)w++;w===i?t=w:w!==h&&(t=w+1)}}}}else if(b(n)&&m.charCodeAt(1)===I){if(i<=2)return o.root=o.dir=m,o;if(t=2,a(m.charCodeAt(2))){if(i===3)return o.root=o.dir=m,o;t=3}}t>0&&(o.root=m.slice(0,t));let r=-1,u=t,s=-1,c=!0,l=m.length-1,f=0;for(;l>=t;--l){if(n=m.charCodeAt(l),a(n)){if(!c){u=l+1;break}continue}s===-1&&(c=!1,s=l+1),n===L?r===-1?r=l:f!==1&&(f=1):r!==-1&&(f=-1)}return s!==-1&&(r===-1||f===0||f===1&&r===s-1&&r===u+1?o.base=o.name=m.slice(u,s):(o.name=m.slice(u,r),o.base=m.slice(u,s),o.ext=m.slice(r,s))),u>0&&u!==t?o.dir=m.slice(0,u-1):o.dir=o.root,o},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...m){let o="",i=!1;for(let t=m.length-1;t>=-1&&!i;t--){const n=t>=0?m[t]:v.cwd();D(n,"path"),n.length!==0&&(o=`${n}/${o}`,i=n.charCodeAt(0)===g)}return o=p(o,!i,"/",C),i?`/${o}`:o.length>0?o:"."},normalize(m){if(D(m,"path"),m.length===0)return".";const o=m.charCodeAt(0)===g,i=m.charCodeAt(m.length-1)===g;return m=p(m,!o,"/",C),m.length===0?o?"/":i?"./":".":(i&&(m+="/"),o?`/${m}`:m)},isAbsolute(m){return D(m,"path"),m.length>0&&m.charCodeAt(0)===g},join(...m){if(m.length===0)return".";let o;for(let i=0;i<m.length;++i){const t=m[i];D(t,"path"),t.length>0&&(o===void 0?o=t:o+=`/${t}`)}return o===void 0?".":e.posix.normalize(o)},relative(m,o){if(D(m,"from"),D(o,"to"),m===o||(m=e.posix.resolve(m),o=e.posix.resolve(o),m===o))return"";const i=1,t=m.length,n=t-i,r=1,u=o.length-r,s=n<u?n:u;let c=-1,l=0;for(;l<s;l++){const w=m.charCodeAt(i+l);if(w!==o.charCodeAt(r+l))break;w===g&&(c=l)}if(l===s)if(u>s){if(o.charCodeAt(r+l)===g)return o.slice(r+l+1);if(l===0)return o.slice(r+l)}else n>s&&(m.charCodeAt(i+l)===g?c=l:l===0&&(c=0));let f="";for(l=i+c+1;l<=t;++l)(l===t||m.charCodeAt(l)===g)&&(f+=f.length===0?"..":"/..");return`${f}${o.slice(r+c)}`},toNamespacedPath(m){return m},dirname(m){if(D(m,"path"),m.length===0)return".";const o=m.charCodeAt(0)===g;let i=-1,t=!0;for(let n=m.length-1;n>=1;--n)if(m.charCodeAt(n)===g){if(!t){i=n;break}}else t=!1;return i===-1?o?"/":".":o&&i===1?"//":m.slice(0,i)},basename(m,o){o!==void 0&&D(o,"ext"),D(m,"path");let i=0,t=-1,n=!0,r;if(o!==void 0&&o.length>0&&o.length<=m.length){if(o===m)return"";let u=o.length-1,s=-1;for(r=m.length-1;r>=0;--r){const c=m.charCodeAt(r);if(c===g){if(!n){i=r+1;break}}else s===-1&&(n=!1,s=r+1),u>=0&&(c===o.charCodeAt(u)?--u==-1&&(t=r):(u=-1,t=s))}return i===t?t=s:t===-1&&(t=m.length),m.slice(i,t)}for(r=m.length-1;r>=0;--r)if(m.charCodeAt(r)===g){if(!n){i=r+1;break}}else t===-1&&(n=!1,t=r+1);return t===-1?"":m.slice(i,t)},extname(m){D(m,"path");let o=-1,i=0,t=-1,n=!0,r=0;for(let u=m.length-1;u>=0;--u){const s=m.charCodeAt(u);if(s===g){if(!n){i=u+1;break}continue}t===-1&&(n=!1,t=u+1),s===L?o===-1?o=u:r!==1&&(r=1):o!==-1&&(r=-1)}return o===-1||t===-1||r===0||r===1&&o===t-1&&o===i+1?"":m.slice(o,t)},format:y.bind(null,"/"),parse(m){D(m,"path");const o={root:"",dir:"",base:"",ext:"",name:""};if(m.length===0)return o;const i=m.charCodeAt(0)===g;let t;i?(o.root="/",t=1):t=0;let n=-1,r=0,u=-1,s=!0,c=m.length-1,l=0;for(;c>=t;--c){const f=m.charCodeAt(c);if(f===g){if(!s){r=c+1;break}continue}u===-1&&(s=!1,u=c+1),f===L?n===-1?n=c:l!==1&&(l=1):n!==-1&&(l=-1)}if(u!==-1){const f=r===0&&i?1:r;n===-1||l===0||l===1&&n===u-1&&n===r+1?o.base=o.name=m.slice(f,u):(o.name=m.slice(f,n),o.base=m.slice(f,u),o.ext=m.slice(n,u))}return r>0?o.dir=m.slice(0,r-1):i&&(o.dir="/"),o},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=v.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=v.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=v.platform==="win32"?e.win32.join:e.posix.join,e.resolve=v.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=v.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=v.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=v.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=v.platform==="win32"?e.win32.extname:e.posix.extname,e.format=v.platform==="win32"?e.win32.format:e.posix.format,e.parse=v.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=v.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=v.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=v.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),function(G,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var v=e();for(var k in v)(typeof exports=="object"?exports:G)[k]=v[k]}}(typeof self!="undefined"?self:this,function(){return function(G){var e={};function v(k){if(e[k])return e[k].exports;var U=e[k]={i:k,l:!1,exports:{}};return G[k].call(U.exports,U,U.exports,v),U.l=!0,U.exports}return v.m=G,v.c=e,v.d=function(k,U,R){v.o(k,U)||Object.defineProperty(k,U,{enumerable:!0,get:R})},v.r=function(k){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(k,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(k,"__esModule",{value:!0})},v.t=function(k,U){if(1&U&&(k=v(k)),8&U||4&U&&typeof k=="object"&&k&&k.__esModule)return k;var R=Object.create(null);if(v.r(R),Object.defineProperty(R,"default",{enumerable:!0,value:k}),2&U&&typeof k!="string")for(var A in k)v.d(R,A,function(L){return k[L]}.bind(null,A));return R},v.n=function(k){var U=k&&k.__esModule?function(){return k.default}:function(){return k};return v.d(U,"a",U),U},v.o=function(k,U){return Object.prototype.hasOwnProperty.call(k,U)},v.p="",v(v.s=0)}([function(G,e,v){(function(k){var U;e=G.exports=X,U=typeof k=="object"&&k.env&&k.env.NODE_DEBUG&&/\bsemver\b/i.test(k.env.NODE_DEBUG)?function(){var J=Array.prototype.slice.call(arguments,0);J.unshift("SEMVER"),console.log.apply(console,J)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var R=256,A=Number.MAX_SAFE_INTEGER||9007199254740991,L=e.re=[],g=e.src=[],S=0,I=S++;g[I]="0|[1-9]\\d*";var d=S++;g[d]="[0-9]+";var E=S++;g[E]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var D=S++;g[D]="("+g[I]+")\\.("+g[I]+")\\.("+g[I]+")";var a=S++;g[a]="("+g[d]+")\\.("+g[d]+")\\.("+g[d]+")";var C=S++;g[C]="(?:"+g[I]+"|"+g[E]+")";var b=S++;g[b]="(?:"+g[d]+"|"+g[E]+")";var p=S++;g[p]="(?:-("+g[C]+"(?:\\."+g[C]+")*))";var y=S++;g[y]="(?:-?("+g[b]+"(?:\\."+g[b]+")*))";var m=S++;g[m]="[0-9A-Za-z-]+";var o=S++;g[o]="(?:\\+("+g[m]+"(?:\\."+g[m]+")*))";var i=S++,t="v?"+g[D]+g[p]+"?"+g[o]+"?";g[i]="^"+t+"$";var n="[v=\\s]*"+g[a]+g[y]+"?"+g[o]+"?",r=S++;g[r]="^"+n+"$";var u=S++;g[u]="((?:<|>)?=?)";var s=S++;g[s]=g[d]+"|x|X|\\*";var c=S++;g[c]=g[I]+"|x|X|\\*";var l=S++;g[l]="[v=\\s]*("+g[c]+")(?:\\.("+g[c]+")(?:\\.("+g[c]+")(?:"+g[p]+")?"+g[o]+"?)?)?";var f=S++;g[f]="[v=\\s]*("+g[s]+")(?:\\.("+g[s]+")(?:\\.("+g[s]+")(?:"+g[y]+")?"+g[o]+"?)?)?";var w=S++;g[w]="^"+g[u]+"\\s*"+g[l]+"$";var h=S++;g[h]="^"+g[u]+"\\s*"+g[f]+"$";var O=S++;g[O]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var _=S++;g[_]="(?:~>?)";var $=S++;g[$]="(\\s*)"+g[_]+"\\s+",L[$]=new RegExp(g[$],"g");var q=S++;g[q]="^"+g[_]+g[l]+"$";var V=S++;g[V]="^"+g[_]+g[f]+"$";var z=S++;g[z]="(?:\\^)";var Y=S++;g[Y]="(\\s*)"+g[z]+"\\s+",L[Y]=new RegExp(g[Y],"g");var x=S++;g[x]="^"+g[z]+g[l]+"$";var j=S++;g[j]="^"+g[z]+g[f]+"$";var F=S++;g[F]="^"+g[u]+"\\s*("+n+")$|^$";var P=S++;g[P]="^"+g[u]+"\\s*("+t+")$|^$";var T=S++;g[T]="(\\s*)"+g[u]+"\\s*("+n+"|"+g[l]+")",L[T]=new RegExp(g[T],"g");var M=S++;g[M]="^\\s*("+g[l]+")\\s+-\\s+("+g[l]+")\\s*$";var N=S++;g[N]="^\\s*("+g[f]+")\\s+-\\s+("+g[f]+")\\s*$";var W=S++;g[W]="(<|>)?=?\\s*\\*";for(var H=0;H<35;H++)U(H,g[H]),L[H]||(L[H]=new RegExp(g[H]));function Q(J,ne){if(J instanceof X)return J;if(typeof J!="string"||J.length>R||!(ne?L[r]:L[i]).test(J))return null;try{return new X(J,ne)}catch(re){return null}}function X(J,ne){if(J instanceof X){if(J.loose===ne)return J;J=J.version}else if(typeof J!="string")throw new TypeError("Invalid Version: "+J);if(J.length>R)throw new TypeError("version is longer than "+R+" characters");if(!(this instanceof X))return new X(J,ne);U("SemVer",J,ne),this.loose=ne;var re=J.trim().match(ne?L[r]:L[i]);if(!re)throw new TypeError("Invalid Version: "+J);if(this.raw=J,this.major=+re[1],this.minor=+re[2],this.patch=+re[3],this.major>A||this.major<0)throw new TypeError("Invalid major version");if(this.minor>A||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>A||this.patch<0)throw new TypeError("Invalid patch version");re[4]?this.prerelease=re[4].split(".").map(function(ge){if(/^[0-9]+$/.test(ge)){var B=+ge;if(B>=0&&B<A)return B}return ge}):this.prerelease=[],this.build=re[5]?re[5].split("."):[],this.format()}e.parse=Q,e.valid=function(J,ne){var re=Q(J,ne);return re?re.version:null},e.clean=function(J,ne){var re=Q(J.trim().replace(/^[=v]+/,""),ne);return re?re.version:null},e.SemVer=X,X.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},X.prototype.toString=function(){return this.version},X.prototype.compare=function(J){return U("SemVer.compare",this.version,this.loose,J),J instanceof X||(J=new X(J,this.loose)),this.compareMain(J)||this.comparePre(J)},X.prototype.compareMain=function(J){return J instanceof X||(J=new X(J,this.loose)),se(this.major,J.major)||se(this.minor,J.minor)||se(this.patch,J.patch)},X.prototype.comparePre=function(J){if(J instanceof X||(J=new X(J,this.loose)),this.prerelease.length&&!J.prerelease.length)return-1;if(!this.prerelease.length&&J.prerelease.length)return 1;if(!this.prerelease.length&&!J.prerelease.length)return 0;var ne=0;do{var re=this.prerelease[ne],ge=J.prerelease[ne];if(U("prerelease compare",ne,re,ge),re===void 0&&ge===void 0)return 0;if(ge===void 0)return 1;if(re===void 0)return-1;if(re!==ge)return se(re,ge)}while(++ne)},X.prototype.inc=function(J,ne){switch(J){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",ne);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",ne);break;case"prepatch":this.prerelease.length=0,this.inc("patch",ne),this.inc("pre",ne);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",ne),this.inc("pre",ne);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var re=this.prerelease.length;--re>=0;)typeof this.prerelease[re]=="number"&&(this.prerelease[re]++,re=-2);re===-1&&this.prerelease.push(0)}ne&&(this.prerelease[0]===ne?isNaN(this.prerelease[1])&&(this.prerelease=[ne,0]):this.prerelease=[ne,0]);break;default:throw new Error("invalid increment argument: "+J)}return this.format(),this.raw=this.version,this},e.inc=function(J,ne,re,ge){typeof re=="string"&&(ge=re,re=void 0);try{return new X(J,re).inc(ne,ge).version}catch(B){return null}},e.diff=function(J,ne){if(we(J,ne))return null;var re=Q(J),ge=Q(ne);if(re.prerelease.length||ge.prerelease.length){for(var B in re)if((B==="major"||B==="minor"||B==="patch")&&re[B]!==ge[B])return"pre"+B;return"prerelease"}for(var B in re)if((B==="major"||B==="minor"||B==="patch")&&re[B]!==ge[B])return B},e.compareIdentifiers=se;var ie=/^[0-9]+$/;function se(J,ne){var re=ie.test(J),ge=ie.test(ne);return re&&ge&&(J=+J,ne=+ne),re&&!ge?-1:ge&&!re?1:J<ne?-1:J>ne?1:0}function ce(J,ne,re){return new X(J,re).compare(new X(ne,re))}function he(J,ne,re){return ce(J,ne,re)>0}function me(J,ne,re){return ce(J,ne,re)<0}function we(J,ne,re){return ce(J,ne,re)===0}function Ie(J,ne,re){return ce(J,ne,re)!==0}function Te(J,ne,re){return ce(J,ne,re)>=0}function ke(J,ne,re){return ce(J,ne,re)<=0}function Fe(J,ne,re,ge){var B;switch(ne){case"===":typeof J=="object"&&(J=J.version),typeof re=="object"&&(re=re.version),B=J===re;break;case"!==":typeof J=="object"&&(J=J.version),typeof re=="object"&&(re=re.version),B=J!==re;break;case"":case"=":case"==":B=we(J,re,ge);break;case"!=":B=Ie(J,re,ge);break;case">":B=he(J,re,ge);break;case">=":B=Te(J,re,ge);break;case"<":B=me(J,re,ge);break;case"<=":B=ke(J,re,ge);break;default:throw new TypeError("Invalid operator: "+ne)}return B}function Ue(J,ne){if(J instanceof Ue){if(J.loose===ne)return J;J=J.value}if(!(this instanceof Ue))return new Ue(J,ne);U("comparator",J,ne),this.loose=ne,this.parse(J),this.semver===Me?this.value="":this.value=this.operator+this.semver.version,U("comp",this)}e.rcompareIdentifiers=function(J,ne){return se(ne,J)},e.major=function(J,ne){return new X(J,ne).major},e.minor=function(J,ne){return new X(J,ne).minor},e.patch=function(J,ne){return new X(J,ne).patch},e.compare=ce,e.compareLoose=function(J,ne){return ce(J,ne,!0)},e.rcompare=function(J,ne,re){return ce(ne,J,re)},e.sort=function(J,ne){return J.sort(function(re,ge){return e.compare(re,ge,ne)})},e.rsort=function(J,ne){return J.sort(function(re,ge){return e.rcompare(re,ge,ne)})},e.gt=he,e.lt=me,e.eq=we,e.neq=Ie,e.gte=Te,e.lte=ke,e.cmp=Fe,e.Comparator=Ue;var Me={};function De(J,ne){if(J instanceof De)return J.loose===ne?J:new De(J.raw,ne);if(J instanceof Ue)return new De(J.value,ne);if(!(this instanceof De))return new De(J,ne);if(this.loose=ne,this.raw=J,this.set=J.split(/\s*\|\|\s*/).map(function(re){return this.parseRange(re.trim())},this).filter(function(re){return re.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+J);this.format()}function Oe(J){return!J||J.toLowerCase()==="x"||J==="*"}function $e(J,ne,re,ge,B,te,oe,ae,le,de,ve,ye,Ee){return((ne=Oe(re)?"":Oe(ge)?">="+re+".0.0":Oe(B)?">="+re+"."+ge+".0":">="+ne)+" "+(ae=Oe(le)?"":Oe(de)?"<"+(+le+1)+".0.0":Oe(ve)?"<"+le+"."+(+de+1)+".0":ye?"<="+le+"."+de+"."+ve+"-"+ye:"<="+ae)).trim()}function He(J,ne){for(var re=0;re<J.length;re++)if(!J[re].test(ne))return!1;if(ne.prerelease.length){for(re=0;re<J.length;re++)if(U(J[re].semver),J[re].semver!==Me&&J[re].semver.prerelease.length>0){var ge=J[re].semver;if(ge.major===ne.major&&ge.minor===ne.minor&&ge.patch===ne.patch)return!0}return!1}return!0}function Ne(J,ne,re){try{ne=new De(ne,re)}catch(ge){return!1}return ne.test(J)}function ze(J,ne,re,ge){var B,te,oe,ae,le;switch(J=new X(J,ge),ne=new De(ne,ge),re){case">":B=he,te=ke,oe=me,ae=">",le=">=";break;case"<":B=me,te=Te,oe=he,ae="<",le="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(Ne(J,ne,ge))return!1;for(var de=0;de<ne.set.length;++de){var ve=ne.set[de],ye=null,Ee=null;if(ve.forEach(function(be){be.semver===Me&&(be=new Ue(">=0.0.0")),ye=ye||be,Ee=Ee||be,B(be.semver,ye.semver,ge)?ye=be:oe(be.semver,Ee.semver,ge)&&(Ee=be)}),ye.operator===ae||ye.operator===le||(!Ee.operator||Ee.operator===ae)&&te(J,Ee.semver)||Ee.operator===le&&oe(J,Ee.semver))return!1}return!0}Ue.prototype.parse=function(J){var ne=this.loose?L[F]:L[P],re=J.match(ne);if(!re)throw new TypeError("Invalid comparator: "+J);this.operator=re[1],this.operator==="="&&(this.operator=""),re[2]?this.semver=new X(re[2],this.loose):this.semver=Me},Ue.prototype.toString=function(){return this.value},Ue.prototype.test=function(J){return U("Comparator.test",J,this.loose),this.semver===Me||(typeof J=="string"&&(J=new X(J,this.loose)),Fe(J,this.operator,this.semver,this.loose))},Ue.prototype.intersects=function(J,ne){if(!(J instanceof Ue))throw new TypeError("a Comparator is required");var re;if(this.operator==="")return re=new De(J.value,ne),Ne(this.value,re,ne);if(J.operator==="")return re=new De(this.value,ne),Ne(J.semver,re,ne);var ge=!(this.operator!==">="&&this.operator!==">"||J.operator!==">="&&J.operator!==">"),B=!(this.operator!=="<="&&this.operator!=="<"||J.operator!=="<="&&J.operator!=="<"),te=this.semver.version===J.semver.version,oe=!(this.operator!==">="&&this.operator!=="<="||J.operator!==">="&&J.operator!=="<="),ae=Fe(this.semver,"<",J.semver,ne)&&(this.operator===">="||this.operator===">")&&(J.operator==="<="||J.operator==="<"),le=Fe(this.semver,">",J.semver,ne)&&(this.operator==="<="||this.operator==="<")&&(J.operator===">="||J.operator===">");return ge||B||te&&oe||ae||le},e.Range=De,De.prototype.format=function(){return this.range=this.set.map(function(J){return J.join(" ").trim()}).join("||").trim(),this.range},De.prototype.toString=function(){return this.range},De.prototype.parseRange=function(J){var ne=this.loose;J=J.trim(),U("range",J,ne);var re=ne?L[N]:L[M];J=J.replace(re,$e),U("hyphen replace",J),J=J.replace(L[T],"$1$2$3"),U("comparator trim",J,L[T]),J=(J=(J=J.replace(L[$],"$1~")).replace(L[Y],"$1^")).split(/\s+/).join(" ");var ge=ne?L[F]:L[P],B=J.split(" ").map(function(te){return function(oe,ae){return U("comp",oe),oe=function(le,de){return le.trim().split(/\s+/).map(function(ve){return function(ye,Ee){U("caret",ye,Ee);var be=Ee?L[j]:L[x];return ye.replace(be,function(Pe,Se,pe,Ce,Re){var Ae;return U("caret",ye,Pe,Se,pe,Ce,Re),Oe(Se)?Ae="":Oe(pe)?Ae=">="+Se+".0.0 <"+(+Se+1)+".0.0":Oe(Ce)?Ae=Se==="0"?">="+Se+"."+pe+".0 <"+Se+"."+(+pe+1)+".0":">="+Se+"."+pe+".0 <"+(+Se+1)+".0.0":Re?(U("replaceCaret pr",Re),Re.charAt(0)!=="-"&&(Re="-"+Re),Ae=Se==="0"?pe==="0"?">="+Se+"."+pe+"."+Ce+Re+" <"+Se+"."+pe+"."+(+Ce+1):">="+Se+"."+pe+"."+Ce+Re+" <"+Se+"."+(+pe+1)+".0":">="+Se+"."+pe+"."+Ce+Re+" <"+(+Se+1)+".0.0"):(U("no pr"),Ae=Se==="0"?pe==="0"?">="+Se+"."+pe+"."+Ce+" <"+Se+"."+pe+"."+(+Ce+1):">="+Se+"."+pe+"."+Ce+" <"+Se+"."+(+pe+1)+".0":">="+Se+"."+pe+"."+Ce+" <"+(+Se+1)+".0.0"),U("caret return",Ae),Ae})}(ve,de)}).join(" ")}(oe,ae),U("caret",oe),oe=function(le,de){return le.trim().split(/\s+/).map(function(ve){return function(ye,Ee){var be=Ee?L[V]:L[q];return ye.replace(be,function(Pe,Se,pe,Ce,Re){var Ae;return U("tilde",ye,Pe,Se,pe,Ce,Re),Oe(Se)?Ae="":Oe(pe)?Ae=">="+Se+".0.0 <"+(+Se+1)+".0.0":Oe(Ce)?Ae=">="+Se+"."+pe+".0 <"+Se+"."+(+pe+1)+".0":Re?(U("replaceTilde pr",Re),Re.charAt(0)!=="-"&&(Re="-"+Re),Ae=">="+Se+"."+pe+"."+Ce+Re+" <"+Se+"."+(+pe+1)+".0"):Ae=">="+Se+"."+pe+"."+Ce+" <"+Se+"."+(+pe+1)+".0",U("tilde return",Ae),Ae})}(ve,de)}).join(" ")}(oe,ae),U("tildes",oe),oe=function(le,de){return U("replaceXRanges",le,de),le.split(/\s+/).map(function(ve){return function(ye,Ee){ye=ye.trim();var be=Ee?L[h]:L[w];return ye.replace(be,function(Pe,Se,pe,Ce,Re,Ae){U("xRange",ye,Pe,Se,pe,Ce,Re,Ae);var fe=Oe(pe),Le=fe||Oe(Ce),_e=Le||Oe(Re);return Se==="="&&_e&&(Se=""),fe?Pe=Se===">"||Se==="<"?"<0.0.0":"*":Se&&_e?(Le&&(Ce=0),_e&&(Re=0),Se===">"?(Se=">=",Le?(pe=+pe+1,Ce=0,Re=0):_e&&(Ce=+Ce+1,Re=0)):Se==="<="&&(Se="<",Le?pe=+pe+1:Ce=+Ce+1),Pe=Se+pe+"."+Ce+"."+Re):Le?Pe=">="+pe+".0.0 <"+(+pe+1)+".0.0":_e&&(Pe=">="+pe+"."+Ce+".0 <"+pe+"."+(+Ce+1)+".0"),U("xRange return",Pe),Pe})}(ve,de)}).join(" ")}(oe,ae),U("xrange",oe),oe=function(le,de){return U("replaceStars",le,de),le.trim().replace(L[W],"")}(oe,ae),U("stars",oe),oe}(te,ne)}).join(" ").split(/\s+/);return this.loose&&(B=B.filter(function(te){return!!te.match(ge)})),B=B.map(function(te){return new Ue(te,ne)})},De.prototype.intersects=function(J,ne){if(!(J instanceof De))throw new TypeError("a Range is required");return this.set.some(function(re){return re.every(function(ge){return J.set.some(function(B){return B.every(function(te){return ge.intersects(te,ne)})})})})},e.toComparators=function(J,ne){return new De(J,ne).set.map(function(re){return re.map(function(ge){return ge.value}).join(" ").trim().split(" ")})},De.prototype.test=function(J){if(!J)return!1;typeof J=="string"&&(J=new X(J,this.loose));for(var ne=0;ne<this.set.length;ne++)if(He(this.set[ne],J))return!0;return!1},e.satisfies=Ne,e.maxSatisfying=function(J,ne,re){var ge=null,B=null;try{var te=new De(ne,re)}catch(oe){return null}return J.forEach(function(oe){te.test(oe)&&(ge&&B.compare(oe)!==-1||(B=new X(ge=oe,re)))}),ge},e.minSatisfying=function(J,ne,re){var ge=null,B=null;try{var te=new De(ne,re)}catch(oe){return null}return J.forEach(function(oe){te.test(oe)&&(ge&&B.compare(oe)!==1||(B=new X(ge=oe,re)))}),ge},e.validRange=function(J,ne){try{return new De(J,ne).range||"*"}catch(re){return null}},e.ltr=function(J,ne,re){return ze(J,ne,"<",re)},e.gtr=function(J,ne,re){return ze(J,ne,">",re)},e.outside=ze,e.prerelease=function(J,ne){var re=Q(J,ne);return re&&re.prerelease.length?re.prerelease:null},e.intersects=function(J,ne,re){return J=new De(J,re),ne=new De(ne,re),J.intersects(ne)},e.coerce=function(J){if(J instanceof X)return J;if(typeof J!="string")return null;var ne=J.match(L[O]);return ne==null?null:Q((ne[1]||"0")+"."+(ne[2]||"0")+"."+(ne[3]||"0"))}}).call(this,v(1))},function(G,e){var v,k,U=G.exports={};function R(){throw new Error("setTimeout has not been defined")}function A(){throw new Error("clearTimeout has not been defined")}function L(b){if(v===setTimeout)return setTimeout(b,0);if((v===R||!v)&&setTimeout)return v=setTimeout,setTimeout(b,0);try{return v(b,0)}catch(p){try{return v.call(null,b,0)}catch(y){return v.call(this,b,0)}}}(function(){try{v=typeof setTimeout=="function"?setTimeout:R}catch(b){v=R}try{k=typeof clearTimeout=="function"?clearTimeout:A}catch(b){k=A}})();var g,S=[],I=!1,d=-1;function E(){I&&g&&(I=!1,g.length?S=g.concat(S):d=-1,S.length&&D())}function D(){if(!I){var b=L(E);I=!0;for(var p=S.length;p;){for(g=S,S=[];++d<p;)g&&g[d].run();d=-1,p=S.length}g=null,I=!1,function(y){if(k===clearTimeout)return clearTimeout(y);if((k===A||!k)&&clearTimeout)return k=clearTimeout,clearTimeout(y);try{k(y)}catch(m){try{return k.call(null,y)}catch(o){return k.call(this,y)}}}(b)}}function a(b,p){this.fun=b,this.array=p}function C(){}U.nextTick=function(b){var p=new Array(arguments.length-1);if(arguments.length>1)for(var y=1;y<arguments.length;y++)p[y-1]=arguments[y];S.push(new a(b,p)),S.length!==1||I||L(D)},a.prototype.run=function(){this.fun.apply(null,this.array)},U.title="browser",U.browser=!0,U.env={},U.argv=[],U.version="",U.versions={},U.on=C,U.addListener=C,U.once=C,U.off=C,U.removeListener=C,U.removeAllListeners=C,U.emit=C,U.prependListener=C,U.prependOnceListener=C,U.listeners=function(b){return[]},U.binding=function(b){throw new Error("process.binding is not supported")},U.cwd=function(){return"/"},U.chdir=function(b){throw new Error("process.chdir is not supported")},U.umask=function(){return 0}}])}),define(Z[87],ee([0,1,7]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const k=v.globals.performance&&typeof v.globals.performance.now=="function";class U{constructor(A){this._highResolution=k&&A,this._startTime=this._now(),this._stopTime=-1}static create(A=!0){return new U(A)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?v.globals.performance.now():Date.now()}}e.StopWatch=U}),define(Z[3],ee([0,1,14,63,2,64,87]),function(G,e,v,k,U,R,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.PauseableEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var L;(function(p){p.None=()=>U.Disposable.None;function y(V){return(z,Y=null,x)=>{let j=!1,F;return F=V(P=>{if(!j)return F?F.dispose():j=!0,z.call(Y,P)},null,x),j&&F.dispose(),F}}p.once=y;function m(V,z){return u((Y,x=null,j)=>V(F=>Y.call(x,z(F)),null,j))}p.map=m;function o(V,z){return u((Y,x=null,j)=>V(F=>{z(F),Y.call(x,F)},null,j))}p.forEach=o;function i(V,z){return u((Y,x=null,j)=>V(F=>z(F)&&Y.call(x,F),null,j))}p.filter=i;function t(V){return V}p.signal=t;function n(...V){return(z,Y=null,x)=>(0,U.combinedDisposable)(...V.map(j=>j(F=>z.call(Y,F),null,x)))}p.any=n;function r(V,z,Y){let x=Y;return m(V,j=>(x=z(x,j),x))}p.reduce=r;function u(V){let z;const Y=new E({onFirstListenerAdd(){z=V(Y.fire,Y)},onLastListenerRemove(){z.dispose()}});return Y.event}p.snapshot=u;function s(V,z,Y=100,x=!1,j){let F,P,T,M=0;const N=new E({leakWarningThreshold:j,onFirstListenerAdd(){F=V(W=>{M++,P=z(P,W),x&&!T&&(N.fire(P),P=void 0),clearTimeout(T),T=setTimeout(()=>{const H=P;P=void 0,T=void 0,(!x||M>1)&&N.fire(H),M=0},Y)})},onLastListenerRemove(){F.dispose()}});return N.event}p.debounce=s;function c(V){const z=new Date().getTime();return m(y(V),Y=>new Date().getTime()-z)}p.stopwatch=c;function l(V){let z=!0,Y;return i(V,x=>{const j=z||x!==Y;return z=!1,Y=x,j})}p.latch=l;function f(V,z=!1,Y=[]){let x=Y.slice(),j=V(T=>{x?x.push(T):P.fire(T)});const F=()=>{x&&x.forEach(T=>P.fire(T)),x=null},P=new E({onFirstListenerAdd(){j||(j=V(T=>P.fire(T)))},onFirstListenerDidAdd(){x&&(z?setTimeout(F):F())},onLastListenerRemove(){j&&j.dispose(),j=null}});return P.event}p.buffer=f;class w{constructor(z){this.event=z}map(z){return new w(m(this.event,z))}forEach(z){return new w(o(this.event,z))}filter(z){return new w(i(this.event,z))}reduce(z,Y){return new w(r(this.event,z,Y))}latch(){return new w(l(this.event))}debounce(z,Y=100,x=!1,j){return new w(s(this.event,z,Y,x,j))}on(z,Y,x){return this.event(z,Y,x)}once(z,Y,x){return y(this.event)(z,Y,x)}}function h(V){return new w(V)}p.chain=h;function O(V,z,Y=x=>x){const x=(...T)=>P.fire(Y(...T)),j=()=>V.on(z,x),F=()=>V.removeListener(z,x),P=new E({onFirstListenerAdd:j,onLastListenerRemove:F});return P.event}p.fromNodeEventEmitter=O;function _(V,z,Y=x=>x){const x=(...T)=>P.fire(Y(...T)),j=()=>V.addEventListener(z,x),F=()=>V.removeEventListener(z,x),P=new E({onFirstListenerAdd:j,onLastListenerRemove:F});return P.event}p.fromDOMEventEmitter=_;function $(V){const z=new E;let Y=!1;return V.then(void 0,()=>null).then(()=>{Y?z.fire(void 0):setTimeout(()=>z.fire(void 0),0)}),Y=!0,z.event}p.fromPromise=$;function q(V){return new Promise(z=>y(V)(z))}p.toPromise=q})(L=e.Event||(e.Event={}));class g{constructor(y){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${y}_${g._idPool++}`}start(y){this._stopWatch=new A.StopWatch(!0),this._listenerCount=y}stop(){if(this._stopWatch){const y=this._stopWatch.elapsed();this._elapsedOverall+=y,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${y.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}g._idPool=0;let S=-1;function I(p){const y=S;return S=p,{dispose(){S=y}}}e.setGlobalLeakWarningThreshold=I;class d{constructor(y,m=Math.random().toString(18).slice(2,5)){this.customThreshold=y,this.name=m,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(y){let m=S;if(typeof this.customThreshold=="number"&&(m=this.customThreshold),!(m<=0||y<m)){this._stacks||(this._stacks=new Map);const o=new Error().stack.split(`
`).slice(3).join(`
`),i=this._stacks.get(o)||0;if(this._stacks.set(o,i+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=m*.5;let t,n=0;for(const[r,u]of this._stacks)(!t||n<u)&&(t=r,n=u);console.warn(`[${this.name}] potential listener LEAK detected, having ${y} listeners already. MOST frequent listener (${n}):`),console.warn(t)}return()=>{const t=this._stacks.get(o)||0;this._stacks.set(o,t-1)}}}}class E{constructor(y){var m;this._disposed=!1,this._options=y,this._leakageMon=S>0?new d(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((m=this._options)===null||m===void 0?void 0:m._profName)?new g(this._options._profName):void 0}get event(){return this._event||(this._event=(y,m,o)=>{var i;this._listeners||(this._listeners=new R.LinkedList);const t=this._listeners.isEmpty();t&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const n=this._listeners.push(m?[y,m]:y);t&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,y,m);const r=(i=this._leakageMon)===null||i===void 0?void 0:i.check(this._listeners.size);let u;return u={dispose:()=>{r&&r(),u.dispose=E._noop,this._disposed||(n(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},o instanceof U.DisposableStore?o.add(u):Array.isArray(o)&&o.push(u),u}),this._event}fire(y){var m,o;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new R.LinkedList);for(let i of this._listeners)this._deliveryQueue.push([i,y]);for((m=this._perfMon)===null||m===void 0||m.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[i,t]=this._deliveryQueue.shift();try{typeof i=="function"?i.call(void 0,t):i[0].call(i[1],t)}catch(n){(0,v.onUnexpectedError)(n)}}(o=this._perfMon)===null||o===void 0||o.stop()}}dispose(){var y,m,o;(y=this._listeners)===null||y===void 0||y.clear(),(m=this._deliveryQueue)===null||m===void 0||m.clear(),(o=this._leakageMon)===null||o===void 0||o.dispose(),this._disposed=!0}}e.Emitter=E,E._noop=function(){};class D extends E{constructor(y){super(y);this._isPaused=0,this._eventQueue=new R.LinkedList,this._mergeFn=y==null?void 0:y.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const y=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(y))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(y){this._listeners&&(this._isPaused!==0?this._eventQueue.push(y):super.fire(y))}}e.PauseableEmitter=D;class a{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new E({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(y){const m={event:y,listener:null};this.events.push(m),this.hasListeners&&this.hook(m);const o=()=>{this.hasListeners&&this.unhook(m);const i=this.events.indexOf(m);this.events.splice(i,1)};return(0,U.toDisposable)((0,k.once)(o))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(y=>this.hook(y))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(y=>this.unhook(y))}hook(y){y.listener=y.event(m=>this.emitter.fire(m))}unhook(y){y.listener&&y.listener.dispose(),y.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=a;class C{constructor(){this.buffers=[]}wrapEvent(y){return(m,o,i)=>y(t=>{const n=this.buffers[this.buffers.length-1];n?n.push(()=>m.call(o,t)):m.call(o,t)},void 0,i)}bufferEvents(y){const m=[];this.buffers.push(m);const o=y();return this.buffers.pop(),m.forEach(i=>i()),o}}e.EventBufferer=C;class b{constructor(){this.listening=!1,this.inputEvent=L.None,this.inputEventListener=U.Disposable.None,this.emitter=new E({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(y){this.inputEvent=y,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=y(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=b}),define(Z[29],ee([0,1,3]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const k=Object.freeze(function(L,g){const S=setTimeout(L.bind(g),0);return{dispose(){clearTimeout(S)}}});var U;(function(L){function g(S){return S===L.None||S===L.Cancelled||S instanceof R?!0:!S||typeof S!="object"?!1:typeof S.isCancellationRequested=="boolean"&&typeof S.onCancellationRequested=="function"}L.isCancellationToken=g,L.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:v.Event.None}),L.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:k})})(U=e.CancellationToken||(e.CancellationToken={}));class R{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?k:(this._emitter||(this._emitter=new v.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class A{constructor(g){this._token=void 0,this._parentListener=void 0,this._parentListener=g&&g.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new R),this._token}cancel(){this._token?this._token instanceof R&&this._token.cancel():this._token=U.Cancelled}dispose(g=!1){g&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof R&&this._token.dispose():this._token=U.None}}e.CancellationTokenSource=A}),define(Z[47],ee([0,1,14,2]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transform=e.toReadable=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function U(b){const p=b;return p&&[p.on,p.pause,p.resume,p.destroy].every(y=>typeof y=="function")}e.isReadableStream=U;function R(b){const p=b;return p&&U(p.stream)&&Array.isArray(p.buffer)&&typeof p.ended=="boolean"}e.isReadableBufferedStream=R;function A(b,p){return new L(b,p)}e.newWriteableStream=A;class L{constructor(p,y){this.reducer=p,this.options=y,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(p){var y;if(!this.state.destroyed){if(this.state.flowing)this.emitData(p);else if(this.buffer.data.push(p),typeof((y=this.options)===null||y===void 0?void 0:y.highWaterMark)=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(m=>this.pendingWritePromises.push(m))}}error(p){this.state.destroyed||(this.state.flowing?this.emitError(p):this.buffer.error.push(p))}end(p){this.state.destroyed||(typeof p!="undefined"&&this.write(p),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(p){this.listeners.data.slice(0).forEach(y=>y(p))}emitError(p){this.listeners.error.length===0?(0,v.onUnexpectedError)(p):this.listeners.error.slice(0).forEach(y=>y(p))}emitEnd(){this.listeners.end.slice(0).forEach(p=>p())}on(p,y){if(!this.state.destroyed)switch(p){case"data":this.listeners.data.push(y),this.resume();break;case"end":this.listeners.end.push(y),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(y),this.state.flowing&&this.flowErrors();break}}removeListener(p,y){if(!this.state.destroyed){let m;switch(p){case"data":m=this.listeners.data;break;case"end":m=this.listeners.end;break;case"error":m=this.listeners.error;break}if(m){const o=m.indexOf(y);o>=0&&m.splice(o,1)}}}flowData(){if(this.buffer.data.length>0){const p=this.reducer(this.buffer.data);this.emitData(p),this.buffer.data.length=0;const y=[...this.pendingWritePromises];this.pendingWritePromises.length=0,y.forEach(m=>m())}}flowErrors(){if(this.listeners.error.length>0){for(const p of this.buffer.error)this.emitError(p);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function g(b,p){const y=[];let m;for(;(m=b.read())!==null;)y.push(m);return p(y)}e.consumeReadable=g;function S(b,p,y){const m=[];let o;for(;(o=b.read())!==null&&m.length<y;)m.push(o);return o===null&&m.length>0?p(m):{read:()=>{if(m.length>0)return m.shift();if(typeof o!="undefined"){const i=o;return o=void 0,i}return b.read()}}}e.peekReadable=S;function I(b,p){return new Promise((y,m)=>{const o=[];d(b,{onData:i=>{p&&o.push(i)},onError:i=>{p?m(i):y(void 0)},onEnd:()=>{y(p?p(o):void 0)}})})}e.consumeStream=I;function d(b,p){b.on("error",y=>p.onError(y)),b.on("end",()=>p.onEnd()),b.on("data",y=>p.onData(y))}e.listenStream=d;function E(b,p){return new Promise((y,m)=>{const o=new k.DisposableStore,i=[],t=u=>{if(i.push(u),i.length>p)return o.dispose(),b.pause(),y({stream:b,buffer:i,ended:!1})},n=u=>m(u),r=()=>y({stream:b,buffer:i,ended:!0});o.add((0,k.toDisposable)(()=>b.removeListener("error",n))),b.on("error",n),o.add((0,k.toDisposable)(()=>b.removeListener("end",r))),b.on("end",r),o.add((0,k.toDisposable)(()=>b.removeListener("data",t))),b.on("data",t)})}e.peekStream=E;function D(b,p){const y=A(p);return y.end(b),y}e.toStream=D;function a(b){let p=!1;return{read:()=>p?null:(p=!0,b)}}e.toReadable=a;function C(b,p,y){const m=A(y);return d(b,{onData:o=>m.write(p.data(o)),onError:o=>m.error(p.error?p.error(o):o),onEnd:()=>m.end()}),m}e.transform=C}),define(Z[21],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format=e.isFalsyOrWhitespace=void 0;function v(B){return!B||typeof B!="string"?!0:B.trim().length===0}e.isFalsyOrWhitespace=v;const k=/{(\d+)}/g;function U(B,...te){return te.length===0?B:B.replace(k,function(oe,ae){const le=parseInt(ae,10);return isNaN(le)||le<0||le>=te.length?oe:te[le]})}e.format=U;function R(B){return B.replace(/[<>&]/g,function(te){switch(te){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return te}})}e.escape=R;function A(B){return B.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=A;function L(B,te){let oe=0;const ae=te.charCodeAt(0);for(let le=B.length-1;le>=0;le--)B.charCodeAt(le)===ae&&oe++;return oe}e.count=L;function g(B,te,oe="\u2026"){return B.length<=te?B:`${B.substr(0,te)}${oe}`}e.truncate=g;function S(B,te=" "){const oe=I(B,te);return d(oe,te)}e.trim=S;function I(B,te){if(!B||!te)return B;const oe=te.length;if(oe===0||B.length===0)return B;let ae=0;for(;B.indexOf(te,ae)===ae;)ae=ae+oe;return B.substring(ae)}e.ltrim=I;function d(B,te){if(!B||!te)return B;const oe=te.length,ae=B.length;if(oe===0||ae===0)return B;let le=ae,de=-1;for(;de=B.lastIndexOf(te,le-1),!(de===-1||de+oe!==le);){if(de===0)return"";le=de}return B.substring(0,le)}e.rtrim=d;function E(B){return B.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=E;function D(B){return B.replace(/\*/g,"")}e.stripWildcards=D;function a(B,te,oe={}){if(!B)throw new Error("Cannot create regex from empty string");te||(B=A(B)),oe.wholeWord&&(/\B/.test(B.charAt(0))||(B="\\b"+B),/\B/.test(B.charAt(B.length-1))||(B=B+"\\b"));let ae="";return oe.global&&(ae+="g"),oe.matchCase||(ae+="i"),oe.multiline&&(ae+="m"),oe.unicode&&(ae+="u"),new RegExp(B,ae)}e.createRegExp=a;function C(B){return B.source==="^"||B.source==="^$"||B.source==="$"||B.source==="^\\s*$"?!1:!!(B.exec("")&&B.lastIndex===0)}e.regExpLeadsToEndlessLoop=C;function b(B){return!!B.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=b;function p(B){return(B.global?"g":"")+(B.ignoreCase?"i":"")+(B.multiline?"m":"")+(B.unicode?"u":"")}e.regExpFlags=p;function y(B){return B.split(/\r\n|\r|\n/)}e.splitLines=y;function m(B){for(let te=0,oe=B.length;te<oe;te++){const ae=B.charCodeAt(te);if(ae!==32&&ae!==9)return te}return-1}e.firstNonWhitespaceIndex=m;function o(B,te=0,oe=B.length){for(let ae=te;ae<oe;ae++){const le=B.charCodeAt(ae);if(le!==32&&le!==9)return B.substring(te,ae)}return B.substring(te,oe)}e.getLeadingWhitespace=o;function i(B,te=B.length-1){for(let oe=te;oe>=0;oe--){const ae=B.charCodeAt(oe);if(ae!==32&&ae!==9)return oe}return-1}e.lastNonWhitespaceIndex=i;function t(B,te){return B<te?-1:B>te?1:0}e.compare=t;function n(B,te,oe=0,ae=B.length,le=0,de=te.length){for(;oe<ae&&le<de;oe++,le++){let Ee=B.charCodeAt(oe),be=te.charCodeAt(le);if(Ee<be)return-1;if(Ee>be)return 1}const ve=ae-oe,ye=de-le;return ve<ye?-1:ve>ye?1:0}e.compareSubstring=n;function r(B,te){return u(B,te,0,B.length,0,te.length)}e.compareIgnoreCase=r;function u(B,te,oe=0,ae=B.length,le=0,de=te.length){for(;oe<ae&&le<de;oe++,le++){let Ee=B.charCodeAt(oe),be=te.charCodeAt(le);if(Ee!==be){const Pe=Ee-be;if(!(Pe===32&&c(be))&&!(Pe===-32&&c(Ee)))return s(Ee)&&s(be)?Pe:n(B.toLowerCase(),te.toLowerCase(),oe,ae,le,de)}}const ve=ae-oe,ye=de-le;return ve<ye?-1:ve>ye?1:0}e.compareSubstringIgnoreCase=u;function s(B){return B>=97&&B<=122}e.isLowerAsciiLetter=s;function c(B){return B>=65&&B<=90}e.isUpperAsciiLetter=c;function l(B){return s(B)||c(B)}function f(B,te){return B.length===te.length&&w(B,te)}e.equalsIgnoreCase=f;function w(B,te,oe=B.length){for(let ae=0;ae<oe;ae++){const le=B.charCodeAt(ae),de=te.charCodeAt(ae);if(le!==de){if(l(le)&&l(de)){const ve=Math.abs(le-de);if(ve!==0&&ve!==32)return!1}else if(String.fromCharCode(le).toLowerCase()!==String.fromCharCode(de).toLowerCase())return!1}}return!0}function h(B,te){const oe=te.length;return te.length>B.length?!1:w(B,te,oe)}e.startsWithIgnoreCase=h;function O(B,te){let oe,ae=Math.min(B.length,te.length);for(oe=0;oe<ae;oe++)if(B.charCodeAt(oe)!==te.charCodeAt(oe))return oe;return ae}e.commonPrefixLength=O;function _(B,te){let oe,ae=Math.min(B.length,te.length);const le=B.length-1,de=te.length-1;for(oe=0;oe<ae;oe++)if(B.charCodeAt(le-oe)!==te.charCodeAt(de-oe))return oe;return ae}e.commonSuffixLength=_;function $(B){return 55296<=B&&B<=56319}e.isHighSurrogate=$;function q(B){return 56320<=B&&B<=57343}e.isLowSurrogate=q;function V(B,te){return(B-55296<<10)+(te-56320)+65536}e.computeCodePoint=V;function z(B,te,oe){const ae=B.charCodeAt(oe);if($(ae)&&oe+1<te){const le=B.charCodeAt(oe+1);if(q(le))return V(ae,le)}return ae}e.getNextCodePoint=z;function Y(B,te){const oe=B.charCodeAt(te-1);if(q(oe)&&te>1){const ae=B.charCodeAt(te-2);if($(ae))return V(ae,oe)}return oe}function x(B,te){const oe=re.getInstance(),ae=te,le=B.length,de=z(B,le,te);te+=de>=65536?2:1;let ve=oe.getGraphemeBreakType(de);for(;te<le;){const ye=z(B,le,te),Ee=oe.getGraphemeBreakType(ye);if(J(ve,Ee))break;te+=ye>=65536?2:1,ve=Ee}return te-ae}e.nextCharLength=x;function j(B,te){const oe=re.getInstance(),ae=te,le=Y(B,te);te-=le>=65536?2:1;let de=oe.getGraphemeBreakType(le);for(;te>0;){const ve=Y(B,te),ye=oe.getGraphemeBreakType(ve);if(J(ye,de))break;te-=ve>=65536?2:1,de=ye}return ae-te}e.prevCharLength=j;function F(B,te){const oe=re.getInstance(),ae=B.length,le=te,de=z(B,ae,te),ve=oe.getGraphemeBreakType(de);te+=de>=65536?2:1;let ye=ve;for(;te<ae;){const be=z(B,ae,te),Pe=oe.getGraphemeBreakType(be);if(J(ye,Pe))break;te+=be>=65536?2:1,ye=Pe}const Ee=te;for(te=le,ye=ve;te>0;){const be=Y(B,te),Pe=oe.getGraphemeBreakType(be);if(J(Pe,ye))break;te-=be>=65536?2:1,ye=Pe}return[te,Ee]}function P(B,te){return te>0&&q(B.charCodeAt(te))?F(B,te-1):F(B,te)}e.getCharContainingOffset=P;function T(B){const te=B.length;let oe=0,ae=0;for(;ae<te;){const ve=z(B,te,ae);ae+=ve>=65536?2:1,ve<128?oe+=1:ve<2048?oe+=2:ve<65536?oe+=3:oe+=4}const le=new Uint8Array(oe);ae=0;let de=0;for(;ae<te;){const ve=z(B,te,ae);ae+=ve>=65536?2:1,ve<128?le[de++]=ve:ve<2048?(le[de++]=192|(ve&1984)>>>6,le[de++]=128|(ve&63)>>>0):ve<65536?(le[de++]=224|(ve&61440)>>>12,le[de++]=128|(ve&4032)>>>6,le[de++]=128|(ve&63)>>>0):(le[de++]=240|(ve&1835008)>>>18,le[de++]=128|(ve&258048)>>>12,le[de++]=128|(ve&4032)>>>6,le[de++]=128|(ve&63)>>>0)}return le}e.encodeUTF8=T;function M(B){const te=B.byteLength,oe=[];let ae=0;for(;ae<te;){const le=B[ae];let de;if(le>=240&&ae+3<te?de=(B[ae++]&7)<<18>>>0|(B[ae++]&63)<<12>>>0|(B[ae++]&63)<<6>>>0|(B[ae++]&63)<<0>>>0:le>=224&&ae+2<te?de=(B[ae++]&15)<<12>>>0|(B[ae++]&63)<<6>>>0|(B[ae++]&63)<<0>>>0:le>=192&&ae+1<te?de=(B[ae++]&31)<<6>>>0|(B[ae++]&63)<<0>>>0:de=B[ae++],de>=0&&de<=55295||de>=57344&&de<=65535)oe.push(String.fromCharCode(de));else if(de>=65536&&de<=1114111){const ve=de-65536,ye=55296+((ve&1047552)>>>10),Ee=56320+((ve&1023)>>>0);oe.push(String.fromCharCode(ye)),oe.push(String.fromCharCode(Ee))}else oe.push(String.fromCharCode(65533))}return oe.join("")}e.decodeUTF8=M;const N=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function W(B){return N.test(B)}e.containsRTL=W;const H=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function Q(B){return H.test(B)}e.containsEmoji=Q;const X=/^[\t\n\r\x20-\x7E]*$/;function ie(B){return X.test(B)}e.isBasicASCII=ie,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function se(B){return e.UNUSUAL_LINE_TERMINATORS.test(B)}e.containsUnusualLineTerminators=se;function ce(B){for(let te=0,oe=B.length;te<oe;te++)if(he(B.charCodeAt(te)))return!0;return!1}e.containsFullWidthCharacter=ce;function he(B){return B=+B,B>=11904&&B<=55215||B>=63744&&B<=64255||B>=65281&&B<=65374}e.isFullWidthCharacter=he;function me(B){return B>=127462&&B<=127487||B===8986||B===8987||B===9200||B===9203||B>=9728&&B<=10175||B===11088||B===11093||B>=127744&&B<=128591||B>=128640&&B<=128764||B>=128992&&B<=129003||B>=129280&&B<=129535||B>=129648&&B<=129750}e.isEmojiImprecise=me;function we(B,te){if(B.length<te)return B;const oe=/\b/g;let ae=0;for(;oe.test(B)&&!(B.length-oe.lastIndex<te);)ae=oe.lastIndex,oe.lastIndex+=1;return B.substring(ae).replace(/^\s/,"")}e.lcut=we;const Ie=/\x1B\x5B[12]?K/g,Te=/\x1b\[\d+m/g,ke=/\x1b\[0?m/g;function Fe(B){return B&&(B=B.replace(Ie,""),B=B.replace(Te,""),B=B.replace(ke,"")),B}e.removeAnsiEscapeCodes=Fe,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Ue(B){return!!(B&&B.length>0&&B.charCodeAt(0)===65279)}e.startsWithUTF8BOM=Ue;function Me(B){return Ue(B)?B.substr(1):B}e.stripUTF8BOM=Me;function De(B,te){if(!B||!te||B.length<te.length)return!1;const oe=te.length,ae=B.toLowerCase();let le=0,de=-1;for(;le<oe;){const ve=ae.indexOf(te[le],de+1);if(ve<0)return!1;de=ve,le++}return!0}e.fuzzyContains=De;function Oe(B,te=!1){return B?(te&&(B=B.replace(/\\./g,"")),B.toLowerCase()!==B):!1}e.containsUppercaseCharacter=Oe;function $e(B){return B.charAt(0).toUpperCase()+B.slice(1)}e.uppercaseFirstLetter=$e;function He(B,te=1){if(te===0)return"";let oe=-1;do oe=B.indexOf(`
`,oe+1),te--;while(te>0&&oe>=0);return oe===-1?B:(B[oe-1]==="\r"&&oe--,B.substr(0,oe))}e.getNLines=He;function Ne(B){const te=90-65+1;return B=B%(2*te),B<te?String.fromCharCode(97+B):String.fromCharCode(65+B-te)}e.singleLetterHash=Ne;function ze(B){return re.getInstance().getGraphemeBreakType(B)}e.getGraphemeBreakType=ze;function J(B,te){return B===0?te!==5&&te!==7:B===2&&te===3?!1:B===4||B===2||B===3||te===4||te===2||te===3?!0:!(B===8&&(te===8||te===9||te===11||te===12)||(B===11||B===9)&&(te===9||te===10)||(B===12||B===10)&&te===10||te===5||te===13||te===7||B===1||B===13&&te===14||B===6&&te===6)}e.breakBetweenGraphemeBreakType=J;var ne;(function(B){B[B.Other=0]="Other",B[B.Prepend=1]="Prepend",B[B.CR=2]="CR",B[B.LF=3]="LF",B[B.Control=4]="Control",B[B.Extend=5]="Extend",B[B.Regional_Indicator=6]="Regional_Indicator",B[B.SpacingMark=7]="SpacingMark",B[B.L=8]="L",B[B.V=9]="V",B[B.T=10]="T",B[B.LV=11]="LV",B[B.LVT=12]="LVT",B[B.ZWJ=13]="ZWJ",B[B.Extended_Pictographic=14]="Extended_Pictographic"})(ne=e.GraphemeBreakType||(e.GraphemeBreakType={}));class re{constructor(){this._data=ge()}static getInstance(){return re._INSTANCE||(re._INSTANCE=new re),re._INSTANCE}getGraphemeBreakType(te){if(te<32)return te===10?3:te===13?2:4;if(te<127)return 0;const oe=this._data,ae=oe.length/3;let le=1;for(;le<=ae;)if(te<oe[3*le])le=2*le;else if(te>oe[3*le+1])le=2*le+1;else return oe[3*le+2];return 0}}re._INSTANCE=null;function ge(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}}),define(Z[22],ee([0,1,21,47]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const U=typeof Buffer!="undefined",R=typeof TextEncoder!="undefined",A=typeof TextDecoder!="undefined";let L,g;class S{constructor(s){this.buffer=s,this.byteLength=this.buffer.byteLength}static alloc(s){return U?new S(Buffer.allocUnsafe(s)):new S(new Uint8Array(s))}static wrap(s){return U&&!Buffer.isBuffer(s)&&(s=Buffer.from(s.buffer,s.byteOffset,s.byteLength)),new S(s)}static fromString(s,c){return!((c==null?void 0:c.dontUseNodeBuffer)||!1)&&U?new S(Buffer.from(s)):R?(L||(L=new TextEncoder),new S(L.encode(s))):new S(v.encodeUTF8(s))}static concat(s,c){if(typeof c=="undefined"){c=0;for(let w=0,h=s.length;w<h;w++)c+=s[w].byteLength}const l=S.alloc(c);let f=0;for(let w=0,h=s.length;w<h;w++){const O=s[w];l.set(O,f),f+=O.byteLength}return l}toString(){return U?this.buffer.toString():A?(g||(g=new TextDecoder),g.decode(this.buffer)):v.decodeUTF8(this.buffer)}slice(s,c){return new S(this.buffer.subarray(s,c))}set(s,c){s instanceof S?this.buffer.set(s.buffer,c):this.buffer.set(s,c)}readUInt32BE(s){return E(this.buffer,s)}writeUInt32BE(s,c){D(this.buffer,s,c)}readUInt32LE(s){return a(this.buffer,s)}writeUInt32LE(s,c){C(this.buffer,s,c)}readUInt8(s){return b(this.buffer,s)}writeUInt8(s,c){p(this.buffer,s,c)}}e.VSBuffer=S;function I(u,s){return u[s+0]<<0>>>0|u[s+1]<<8>>>0}e.readUInt16LE=I;function d(u,s,c){u[c+0]=s&255,s=s>>>8,u[c+1]=s&255}e.writeUInt16LE=d;function E(u,s){return u[s]*2**24+u[s+1]*2**16+u[s+2]*2**8+u[s+3]}e.readUInt32BE=E;function D(u,s,c){u[c+3]=s,s=s>>>8,u[c+2]=s,s=s>>>8,u[c+1]=s,s=s>>>8,u[c]=s}e.writeUInt32BE=D;function a(u,s){return u[s+0]<<0>>>0|u[s+1]<<8>>>0|u[s+2]<<16>>>0|u[s+3]<<24>>>0}e.readUInt32LE=a;function C(u,s,c){u[c+0]=s&255,s=s>>>8,u[c+1]=s&255,s=s>>>8,u[c+2]=s&255,s=s>>>8,u[c+3]=s&255}e.writeUInt32LE=C;function b(u,s){return u[s]}e.readUInt8=b;function p(u,s,c){u[c]=s}e.writeUInt8=p;function y(u){return k.consumeReadable(u,s=>S.concat(s))}e.readableToBuffer=y;function m(u){return k.toReadable(u)}e.bufferToReadable=m;function o(u){return k.consumeStream(u,s=>S.concat(s))}e.streamToBuffer=o;async function i(u){return u.ended?S.concat(u.buffer):S.concat([...u.buffer,await o(u.stream)])}e.bufferedStreamToBuffer=i;function t(u){return k.toStream(u,s=>S.concat(s))}e.bufferToStream=t;function n(u){return k.transform(u,{data:s=>typeof s=="string"?S.fromString(s):S.wrap(s)},s=>S.concat(s))}e.streamToBufferReadableStream=n;function r(u){return k.newWriteableStream(s=>S.concat(s),u)}e.newWriteableBufferStream=r}),define(Z[17],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function v(s){return Array.isArray(s)}e.isArray=v;function k(s){return typeof s=="string"}e.isString=k;function U(s){return Array.isArray(s)&&s.every(c=>k(c))}e.isStringArray=U;function R(s){return typeof s=="object"&&s!==null&&!Array.isArray(s)&&!(s instanceof RegExp)&&!(s instanceof Date)}e.isObject=R;function A(s){return typeof s=="number"&&!isNaN(s)}e.isNumber=A;function L(s){return s===!0||s===!1}e.isBoolean=L;function g(s){return typeof s=="undefined"}e.isUndefined=g;function S(s){return!I(s)}e.isDefined=S;function I(s){return g(s)||s===null}e.isUndefinedOrNull=I;function d(s,c){if(!s)throw new Error(c?`Unexpected type, expected '${c}'`:"Unexpected type")}e.assertType=d;function E(s){if(I(s))throw new Error("Assertion Failed: argument is undefined or null");return s}e.assertIsDefined=E;function D(...s){const c=[];for(let l=0;l<s.length;l++){const f=s[l];if(I(f))throw new Error(`Assertion Failed: argument at index ${l} is undefined or null`);c.push(f)}return c}e.assertAllDefined=D;const a=Object.prototype.hasOwnProperty;function C(s){if(!R(s))return!1;for(let c in s)if(a.call(s,c))return!1;return!0}e.isEmptyObject=C;function b(s){return typeof s=="function"}e.isFunction=b;function p(...s){return s.length>0&&s.every(b)}e.areFunctions=p;function y(s,c){const l=Math.min(s.length,c.length);for(let f=0;f<l;f++)m(s[f],c[f])}e.validateConstraints=y;function m(s,c){if(k(c)){if(typeof s!==c)throw new Error(`argument does not match constraint: typeof ${c}`)}else if(b(c)){try{if(s instanceof c)return}catch(l){}if(!I(s)&&s.constructor===c||c.length===1&&c.call(void 0,s)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=m;function o(s){let c=[],l=Object.getPrototypeOf(s);for(;Object.prototype!==l;)c=c.concat(Object.getOwnPropertyNames(l)),l=Object.getPrototypeOf(l);return c}e.getAllPropertyNames=o;function i(s){const c=[];for(const l of o(s))typeof s[l]=="function"&&c.push(l);return c}e.getAllMethodNames=i;function t(s,c){const l=w=>function(){const h=Array.prototype.slice.call(arguments,0);return c(w,h)};let f={};for(const w of s)f[w]=l(w);return f}e.createProxyObject=t;function n(s){return s===null?void 0:s}e.withNullAsUndefined=n;function r(s){return typeof s=="undefined"?null:s}e.withUndefinedAsNull=r;function u(s){return class{constructor(){return new Proxy({},{get(c,l){if(c[l])return c[l];throw new Error(`Not Implemented: ${s}->${String(l)}`)}})}}}e.NotImplementedProxy=u}),define(Z[42],ee([0,1,7,21,8,17]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toSlashes=e.isPathSeparator=void 0;function A(n){return n===47||n===92}e.isPathSeparator=A;function L(n){return n.replace(/[\\/]/g,U.posix.sep)}e.toSlashes=L;function g(n,r=U.posix.sep){if(!n)return"";const u=n.length,s=n.charCodeAt(0);if(A(s)){if(A(n.charCodeAt(1))&&!A(n.charCodeAt(2))){let l=3;const f=l;for(;l<u&&!A(n.charCodeAt(l));l++);if(f!==l&&!A(n.charCodeAt(l+1))){for(l+=1;l<u;l++)if(A(n.charCodeAt(l)))return n.slice(0,l+1).replace(/[\\/]/g,r)}}return r}else if(b(s)&&n.charCodeAt(1)===58)return A(n.charCodeAt(2))?n.slice(0,2)+r:n.slice(0,2);let c=n.indexOf("://");if(c!==-1){for(c+=3;c<u;c++)if(A(n.charCodeAt(c)))return n.slice(0,c+1)}return""}e.getRoot=g;function S(n){if(!v.isWindows||!n||n.length<5)return!1;let r=n.charCodeAt(0);if(r!==92||(r=n.charCodeAt(1),r!==92))return!1;let u=2;const s=u;for(;u<n.length&&(r=n.charCodeAt(u),r!==92);u++);return!(s===u||(r=n.charCodeAt(u+1),isNaN(r)||r===92))}e.isUNC=S;const I=/[\\/:\*\?"<>\|]/g,d=/[\\/]/g,E=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function D(n,r=v.isWindows){const u=r?I:d;return!(!n||n.length===0||/^\s+$/.test(n)||(u.lastIndex=0,u.test(n))||r&&E.test(n)||n==="."||n===".."||r&&n[n.length-1]==="."||r&&n.length!==n.trim().length||n.length>255)}e.isValidBasename=D;function a(n,r,u){const s=n===r;return!u||s?s:!n||!r?!1:(0,k.equalsIgnoreCase)(n,r)}e.isEqual=a;function C(n,r,u,s=U.sep){if(n===r)return!0;if(!n||!r||r.length>n.length)return!1;if(u){if(!(0,k.startsWithIgnoreCase)(n,r))return!1;if(r.length===n.length)return!0;let l=r.length;return r.charAt(r.length-1)===s&&l--,n.charAt(l)===s}return r.charAt(r.length-1)!==s&&(r+=s),n.indexOf(r)===0}e.isEqualOrParent=C;function b(n){return n>=65&&n<=90||n>=97&&n<=122}e.isWindowsDriveLetter=b;function p(n,r){return v.isWindows&&n.endsWith(":")&&(n+=U.sep),(0,U.isAbsolute)(n)||(n=(0,U.join)(r,n)),n=(0,U.normalize)(n),v.isWindows?(n=(0,k.rtrim)(n,U.sep),n.endsWith(":")&&(n+=U.sep)):(n=(0,k.rtrim)(n,U.sep),n||(n=U.sep)),n}e.sanitizeFilePath=p;function y(n){const r=(0,U.normalize)(n);return v.isWindows?n.length>3?!1:m(r)&&(n.length===2||r.charCodeAt(2)===92):r===U.posix.sep}e.isRootOrDriveLetter=y;function m(n){return v.isWindows?b(n.charCodeAt(0))&&n.charCodeAt(1)===58:!1}e.hasDriveLetter=m;function o(n){return m(n)?n[0]:void 0}e.getDriveLetter=o;function i(n,r,u){return r.length>n.length?-1:n===r?0:(u&&(n=n.toLowerCase(),r=r.toLowerCase()),n.indexOf(r))}e.indexOfPath=i;function t(n){const r=n.split(":");let u,s,c;if(r.forEach(l=>{const f=Number(l);(0,R.isNumber)(f)?s===void 0?s=f:c===void 0&&(c=f):u=u?[u,l].join(":"):l}),!u)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:u,line:s!==void 0?s:void 0,column:c!==void 0?c:s!==void 0?1:void 0}}e.parseLineAndColumnAware=t}),define(Z[26],ee([0,1,17]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function k(a){if(!a||typeof a!="object"||a instanceof RegExp)return a;const C=Array.isArray(a)?[]:{};return Object.keys(a).forEach(b=>{a[b]&&typeof a[b]=="object"?C[b]=k(a[b]):C[b]=a[b]}),C}e.deepClone=k;function U(a){if(!a||typeof a!="object")return a;const C=[a];for(;C.length>0;){const b=C.shift();Object.freeze(b);for(const p in b)if(R.call(b,p)){const y=b[p];typeof y=="object"&&!Object.isFrozen(y)&&C.push(y)}}return a}e.deepFreeze=U;const R=Object.prototype.hasOwnProperty;function A(a,C){return L(a,C,new Set)}e.cloneAndChange=A;function L(a,C,b){if((0,v.isUndefinedOrNull)(a))return a;const p=C(a);if(typeof p!="undefined")return p;if((0,v.isArray)(a)){const y=[];for(const m of a)y.push(L(m,C,b));return y}if((0,v.isObject)(a)){if(b.has(a))throw new Error("Cannot clone recursive data-structure");b.add(a);const y={};for(let m in a)R.call(a,m)&&(y[m]=L(a[m],C,b));return b.delete(a),y}return a}function g(a,C,b=!0){return(0,v.isObject)(a)?((0,v.isObject)(C)&&Object.keys(C).forEach(p=>{p in a?b&&((0,v.isObject)(a[p])&&(0,v.isObject)(C[p])?g(a[p],C[p],b):a[p]=C[p]):a[p]=C[p]}),a):C}e.mixin=g;function S(a,C){if(a===C)return!0;if(a==null||C===null||C===void 0||typeof a!=typeof C||typeof a!="object"||Array.isArray(a)!==Array.isArray(C))return!1;let b,p;if(Array.isArray(a)){if(a.length!==C.length)return!1;for(b=0;b<a.length;b++)if(!S(a[b],C[b]))return!1}else{const y=[];for(p in a)y.push(p);y.sort();const m=[];for(p in C)m.push(p);if(m.sort(),!S(y,m))return!1;for(b=0;b<y.length;b++)if(!S(a[y[b]],C[y[b]]))return!1}return!0}e.equals=S;function I(a){const C=new Set;return JSON.stringify(a,(b,p)=>{if((0,v.isObject)(p)||Array.isArray(p)){if(C.has(p))return"[Circular]";C.add(p)}return p})}e.safeStringify=I;function d(a,C,b){const p=C(a);return typeof p=="undefined"?b:p}e.getOrDefault=d;function E(a,C){const b=Object.create(null);return!a||!C||Object.keys(C).forEach(y=>{const m=a[y],o=C[y];S(m,o)||(b[y]=o)}),b}e.distinct=E;function D(a,C){const b=C.toLowerCase(),p=Object.keys(a).find(y=>y.toLowerCase()===b);return p?a[p]:a[C]}e.getCaseInsensitive=D}),define(Z[5],ee([0,1,7,8]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const U=/^\w[\w\d+.-]*$/,R=/^\//,A=/^\/\//;function L(r,u){if(!r.scheme&&u)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${r.authority}", path: "${r.path}", query: "${r.query}", fragment: "${r.fragment}"}`);if(r.scheme&&!U.test(r.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(r.path){if(r.authority){if(!R.test(r.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(A.test(r.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function g(r,u){return!r&&!u?"file":r}function S(r,u){switch(r){case"https":case"http":case"file":u?u[0]!==d&&(u=d+u):u=d;break}return u}const I="",d="/",E=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class D{constructor(u,s,c,l,f,w=!1){typeof u=="object"?(this.scheme=u.scheme||I,this.authority=u.authority||I,this.path=u.path||I,this.query=u.query||I,this.fragment=u.fragment||I):(this.scheme=g(u,w),this.authority=s||I,this.path=S(this.scheme,c||I),this.query=l||I,this.fragment=f||I,L(this,w))}static isUri(u){return u instanceof D?!0:u?typeof u.authority=="string"&&typeof u.fragment=="string"&&typeof u.path=="string"&&typeof u.query=="string"&&typeof u.scheme=="string"&&typeof u.fsPath=="string"&&typeof u.with=="function"&&typeof u.toString=="function":!1}get fsPath(){return m(this,!1)}with(u){if(!u)return this;let{scheme:s,authority:c,path:l,query:f,fragment:w}=u;return s===void 0?s=this.scheme:s===null&&(s=I),c===void 0?c=this.authority:c===null&&(c=I),l===void 0?l=this.path:l===null&&(l=I),f===void 0?f=this.query:f===null&&(f=I),w===void 0?w=this.fragment:w===null&&(w=I),s===this.scheme&&c===this.authority&&l===this.path&&f===this.query&&w===this.fragment?this:new C(s,c,l,f,w)}static parse(u,s=!1){const c=E.exec(u);return c?new C(c[2]||I,n(c[4]||I),n(c[5]||I),n(c[7]||I),n(c[9]||I),s):new C(I,I,I,I,I)}static file(u){let s=I;if(v.isWindows&&(u=u.replace(/\\/g,d)),u[0]===d&&u[1]===d){const c=u.indexOf(d,2);c===-1?(s=u.substring(2),u=d):(s=u.substring(2,c),u=u.substring(c)||d)}return new C("file",s,u,I,I)}static from(u){return new C(u.scheme,u.authority,u.path,u.query,u.fragment)}static joinPath(u,...s){if(!u.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let c;return v.isWindows&&u.scheme==="file"?c=D.file(k.win32.join(m(u,!0),...s)).path:c=k.posix.join(u.path,...s),u.with({path:c})}toString(u=!1){return o(this,u)}toJSON(){return this}static revive(u){if(u){if(u instanceof D)return u;{const s=new C(u);return s._formatted=u.external,s._fsPath=u._sep===a?u.fsPath:null,s}}else return u}}e.URI=D;const a=v.isWindows?1:void 0;class C extends D{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=m(this,!1)),this._fsPath}toString(u=!1){return u?o(this,!0):(this._formatted||(this._formatted=o(this,!1)),this._formatted)}toJSON(){const u={$mid:1};return this._fsPath&&(u.fsPath=this._fsPath,u._sep=a),this._formatted&&(u.external=this._formatted),this.path&&(u.path=this.path),this.scheme&&(u.scheme=this.scheme),this.authority&&(u.authority=this.authority),this.query&&(u.query=this.query),this.fragment&&(u.fragment=this.fragment),u}}const b={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function p(r,u){let s,c=-1;for(let l=0;l<r.length;l++){const f=r.charCodeAt(l);if(f>=97&&f<=122||f>=65&&f<=90||f>=48&&f<=57||f===45||f===46||f===95||f===126||u&&f===47)c!==-1&&(s+=encodeURIComponent(r.substring(c,l)),c=-1),s!==void 0&&(s+=r.charAt(l));else{s===void 0&&(s=r.substr(0,l));const w=b[f];w!==void 0?(c!==-1&&(s+=encodeURIComponent(r.substring(c,l)),c=-1),s+=w):c===-1&&(c=l)}}return c!==-1&&(s+=encodeURIComponent(r.substring(c))),s!==void 0?s:r}function y(r){let u;for(let s=0;s<r.length;s++){const c=r.charCodeAt(s);c===35||c===63?(u===void 0&&(u=r.substr(0,s)),u+=b[c]):u!==void 0&&(u+=r[s])}return u!==void 0?u:r}function m(r,u){let s;return r.authority&&r.path.length>1&&r.scheme==="file"?s=`//${r.authority}${r.path}`:r.path.charCodeAt(0)===47&&(r.path.charCodeAt(1)>=65&&r.path.charCodeAt(1)<=90||r.path.charCodeAt(1)>=97&&r.path.charCodeAt(1)<=122)&&r.path.charCodeAt(2)===58?u?s=r.path.substr(1):s=r.path[1].toLowerCase()+r.path.substr(2):s=r.path,v.isWindows&&(s=s.replace(/\//g,"\\")),s}e.uriToFsPath=m;function o(r,u){const s=u?y:p;let c="",{scheme:l,authority:f,path:w,query:h,fragment:O}=r;if(l&&(c+=l,c+=":"),(f||l==="file")&&(c+=d,c+=d),f){let _=f.indexOf("@");if(_!==-1){const $=f.substr(0,_);f=f.substr(_+1),_=$.indexOf(":"),_===-1?c+=s($,!1):(c+=s($.substr(0,_),!1),c+=":",c+=s($.substr(_+1),!1)),c+="@"}f=f.toLowerCase(),_=f.indexOf(":"),_===-1?c+=s(f,!1):(c+=s(f.substr(0,_),!1),c+=f.substr(_))}if(w){if(w.length>=3&&w.charCodeAt(0)===47&&w.charCodeAt(2)===58){const _=w.charCodeAt(1);_>=65&&_<=90&&(w=`/${String.fromCharCode(_+32)}:${w.substr(3)}`)}else if(w.length>=2&&w.charCodeAt(1)===58){const _=w.charCodeAt(0);_>=65&&_<=90&&(w=`${String.fromCharCode(_+32)}:${w.substr(2)}`)}c+=s(w,!0)}return h&&(c+="?",c+=s(h,!1)),O&&(c+="#",c+=u?O:p(O,!1)),c}function i(r){try{return decodeURIComponent(r)}catch(u){return r.length>3?r.substr(0,3)+i(r.substr(3)):r}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function n(r){return r.match(t)?r.replace(t,u=>i(u)):r}}),define(Z[88],ee([0,1,5]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function k(S){const I=S;return I&&typeof I.type=="string"&&typeof I.severity=="string"}e.isRemoteConsoleLog=k;function U(S){const I=[];let d;try{const E=JSON.parse(S.arguments),D=E[E.length-1];D&&D.__$stack&&(E.pop(),d=D.__$stack),I.push(...E)}catch(E){I.push("Unable to log remote console arguments",S.arguments)}return{args:I,stack:d}}e.parse=U;function R(S){if(typeof S!="string")return R(U(S).stack);const I=S;if(I){const d=A(I),E=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(d||"");if(E&&E.length===4)return{uri:v.URI.file(E[1]),line:Number(E[2]),column:Number(E[3])}}}e.getFirstFrame=R;function A(S){if(!S)return S;const I=S.indexOf(`
`);return I===-1?S:S.substring(0,I)}function L(S,I){const{args:d,stack:E}=U(S),D=typeof d[0]=="string"&&d.length===1;let a=A(E);a&&(a=`(${a.trim()})`);let C=[];if(typeof d[0]=="string"?a&&D?C=[`%c[${I}] %c${d[0]} %c${a}`,g("blue"),g(""),g("grey")]:C=[`%c[${I}] %c${d[0]}`,g("blue"),g(""),...d.slice(1)]:C=[`%c[${I}]%`,g("blue"),...d],a&&!D&&C.push(a),typeof console[S.severity]!="function")throw new Error("Unknown console method");console[S.severity].apply(console,C)}e.log=L;function g(S){return`color: ${S}`}}),define(Z[37],ee([0,1,5,21]),function(G,e,v,k){"use strict";var U,R;Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function A(o,i,t){let n=o.get(i);return n===void 0&&(n=t,o.set(i,n)),n}e.getOrSet=A;function L(o){const i=[];return o.forEach((t,n)=>{i.push(`${n} => ${t}`)}),`Map(${o.size}) {${i.join(", ")}}`}e.mapToString=L;function g(o){const i=[];return o.forEach(t=>{i.push(t)}),`Set(${o.size}) {${i.join(", ")}}`}e.setToString=g;class S{constructor(){this._value="",this._pos=0}reset(i){return this._value=i,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(i){const t=i.charCodeAt(0),n=this._value.charCodeAt(this._pos);return t-n}value(){return this._value[this._pos]}}e.StringIterator=S;class I{constructor(i=!0){this._caseSensitive=i}reset(i){return this._value=i,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let i=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(i)this._from++;else break;else i=!1;return this}cmp(i){return this._caseSensitive?(0,k.compareSubstring)(i,this._value,0,i.length,this._from,this._to):(0,k.compareSubstringIgnoreCase)(i,this._value,0,i.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=I;class d{constructor(i=!0,t=!0){this._splitOnBackslash=i,this._caseSensitive=t}reset(i){return this._value=i.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let i=!0;for(;this._to<this._value.length;this._to++){const t=this._value.charCodeAt(this._to);if(t===47||this._splitOnBackslash&&t===92)if(i)this._from++;else break;else i=!1}return this}cmp(i){return this._caseSensitive?(0,k.compareSubstring)(i,this._value,0,i.length,this._from,this._to):(0,k.compareSubstringIgnoreCase)(i,this._value,0,i.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=d;var E;(function(o){o[o.Scheme=1]="Scheme",o[o.Authority=2]="Authority",o[o.Path=3]="Path",o[o.Query=4]="Query",o[o.Fragment=5]="Fragment"})(E||(E={}));class D{constructor(i){this._ignorePathCasing=i,this._states=[],this._stateIdx=0}reset(i){return this._value=i,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new d(!1,!this._ignorePathCasing(i)),this._pathIterator.reset(i.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(i){if(this._states[this._stateIdx]===1)return(0,k.compareIgnoreCase)(i,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,k.compareIgnoreCase)(i,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(i);if(this._states[this._stateIdx]===4)return(0,k.compare)(i,this._value.query);if(this._states[this._stateIdx]===5)return(0,k.compare)(i,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=D;class a{isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}}class C{constructor(i){this._iter=i}static forUris(i=()=>!1){return new C(new D(i))}static forPaths(){return new C(new d)}static forStrings(){return new C(new S)}static forConfigKeys(){return new C(new I)}clear(){this._root=void 0}set(i,t){const n=this._iter.reset(i);let r;for(this._root||(this._root=new a,this._root.segment=n.value()),r=this._root;;){const s=n.cmp(r.segment);if(s>0)r.left||(r.left=new a,r.left.segment=n.value()),r=r.left;else if(s<0)r.right||(r.right=new a,r.right.segment=n.value()),r=r.right;else if(n.hasNext())n.next(),r.mid||(r.mid=new a,r.mid.segment=n.value()),r=r.mid;else break}const u=r.value;return r.value=t,r.key=i,u}get(i){var t;return(t=this._getNode(i))===null||t===void 0?void 0:t.value}_getNode(i){const t=this._iter.reset(i);let n=this._root;for(;n;){const r=t.cmp(n.segment);if(r>0)n=n.left;else if(r<0)n=n.right;else if(t.hasNext())t.next(),n=n.mid;else break}return n}has(i){const t=this._getNode(i);return!((t==null?void 0:t.value)===void 0&&(t==null?void 0:t.mid)===void 0)}delete(i){return this._delete(i,!1)}deleteSuperstr(i){return this._delete(i,!0)}_delete(i,t){const n=this._iter.reset(i),r=[];let u=this._root;for(;u;){const s=n.cmp(u.segment);if(s>0)r.push([1,u]),u=u.left;else if(s<0)r.push([-1,u]),u=u.right;else if(n.hasNext())n.next(),r.push([0,u]),u=u.mid;else{for(t?(u.left=void 0,u.mid=void 0,u.right=void 0):u.value=void 0;r.length>0&&u.isEmpty();){let[c,l]=r.pop();switch(c){case 1:l.left=void 0;break;case 0:l.mid=void 0;break;case-1:l.right=void 0;break}u=l}break}}}findSubstr(i){const t=this._iter.reset(i);let n=this._root,r;for(;n;){const u=t.cmp(n.segment);if(u>0)n=n.left;else if(u<0)n=n.right;else if(t.hasNext())t.next(),r=n.value||r,n=n.mid;else break}return n&&n.value||r}findSuperstr(i){const t=this._iter.reset(i);let n=this._root;for(;n;){const r=t.cmp(n.segment);if(r>0)n=n.left;else if(r<0)n=n.right;else if(t.hasNext())t.next(),n=n.mid;else return n.mid?this._entries(n.mid):void 0}}forEach(i){for(const[t,n]of this)i(n,t)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(i){i&&(yield*this._entries(i.left),i.value&&(yield[i.key,i.value]),yield*this._entries(i.mid),yield*this._entries(i.right))}}e.TernarySearchTree=C;class b{constructor(i,t){this[U]="ResourceMap",i instanceof b?(this.map=new Map(i.map),this.toKey=t!=null?t:b.defaultToKey):(this.map=new Map,this.toKey=i!=null?i:b.defaultToKey)}set(i,t){return this.map.set(this.toKey(i),t),this}get(i){return this.map.get(this.toKey(i))}has(i){return this.map.has(this.toKey(i))}get size(){return this.map.size}clear(){this.map.clear()}delete(i){return this.map.delete(this.toKey(i))}forEach(i,t){typeof t!="undefined"&&(i=i.bind(t));for(let[n,r]of this.map)i(r,v.URI.parse(n),this)}values(){return this.map.values()}*keys(){for(let i of this.map.keys())yield v.URI.parse(i)}*entries(){for(let i of this.map.entries())yield[v.URI.parse(i[0]),i[1]]}*[(U=Symbol.toStringTag,Symbol.iterator)](){for(let i of this.map)yield[v.URI.parse(i[0]),i[1]]}}e.ResourceMap=b,b.defaultToKey=o=>o.toString();var p;(function(o){o[o.None=0]="None",o[o.AsOld=1]="AsOld",o[o.AsNew=2]="AsNew"})(p=e.Touch||(e.Touch={}));class y{constructor(){this[R]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){var i;return(i=this._head)===null||i===void 0?void 0:i.value}get last(){var i;return(i=this._tail)===null||i===void 0?void 0:i.value}has(i){return this._map.has(i)}get(i,t=0){const n=this._map.get(i);if(!!n)return t!==0&&this.touch(n,t),n.value}set(i,t,n=0){let r=this._map.get(i);if(r)r.value=t,n!==0&&this.touch(r,n);else{switch(r={key:i,value:t,next:void 0,previous:void 0},n){case 0:this.addItemLast(r);break;case 1:this.addItemFirst(r);break;case 2:this.addItemLast(r);break;default:this.addItemLast(r);break}this._map.set(i,r),this._size++}return this}delete(i){return!!this.remove(i)}remove(i){const t=this._map.get(i);if(!!t)return this._map.delete(i),this.removeItem(t),this._size--,t.value}shift(){if(!(!this._head&&!this._tail)){if(!this._head||!this._tail)throw new Error("Invalid list");const i=this._head;return this._map.delete(i.key),this.removeItem(i),this._size--,i.value}}forEach(i,t){const n=this._state;let r=this._head;for(;r;){if(t?i.bind(t)(r.value,r.key,this):i(r.value,r.key,this),this._state!==n)throw new Error("LinkedMap got modified during iteration.");r=r.next}}keys(){const i=this,t=this._state;let n=this._head;const r={[Symbol.iterator](){return r},next(){if(i._state!==t)throw new Error("LinkedMap got modified during iteration.");if(n){const u={value:n.key,done:!1};return n=n.next,u}else return{value:void 0,done:!0}}};return r}values(){const i=this,t=this._state;let n=this._head;const r={[Symbol.iterator](){return r},next(){if(i._state!==t)throw new Error("LinkedMap got modified during iteration.");if(n){const u={value:n.value,done:!1};return n=n.next,u}else return{value:void 0,done:!0}}};return r}entries(){const i=this,t=this._state;let n=this._head;const r={[Symbol.iterator](){return r},next(){if(i._state!==t)throw new Error("LinkedMap got modified during iteration.");if(n){const u={value:[n.key,n.value],done:!1};return n=n.next,u}else return{value:void 0,done:!0}}};return r}[(R=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(i){if(!(i>=this.size)){if(i===0){this.clear();return}let t=this._head,n=this.size;for(;t&&n>i;)this._map.delete(t.key),t=t.next,n--;this._head=t,this._size=n,t&&(t.previous=void 0),this._state++}}addItemFirst(i){if(!this._head&&!this._tail)this._tail=i;else if(this._head)i.next=this._head,this._head.previous=i;else throw new Error("Invalid list");this._head=i,this._state++}addItemLast(i){if(!this._head&&!this._tail)this._head=i;else if(this._tail)i.previous=this._tail,this._tail.next=i;else throw new Error("Invalid list");this._tail=i,this._state++}removeItem(i){if(i===this._head&&i===this._tail)this._head=void 0,this._tail=void 0;else if(i===this._head){if(!i.next)throw new Error("Invalid list");i.next.previous=void 0,this._head=i.next}else if(i===this._tail){if(!i.previous)throw new Error("Invalid list");i.previous.next=void 0,this._tail=i.previous}else{const t=i.next,n=i.previous;if(!t||!n)throw new Error("Invalid list");t.previous=n,n.next=t}i.next=void 0,i.previous=void 0,this._state++}touch(i,t){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(t!==1&&t!==2)){if(t===1){if(i===this._head)return;const n=i.next,r=i.previous;i===this._tail?(r.next=void 0,this._tail=r):(n.previous=r,r.next=n),i.previous=void 0,i.next=this._head,this._head.previous=i,this._head=i,this._state++}else if(t===2){if(i===this._tail)return;const n=i.next,r=i.previous;i===this._head?(n.previous=void 0,this._head=n):(n.previous=r,r.next=n),i.next=void 0,i.previous=this._tail,this._tail.next=i,this._tail=i,this._state++}}}toJSON(){const i=[];return this.forEach((t,n)=>{i.push([n,t])}),i}fromJSON(i){this.clear();for(const[t,n]of i)this.set(t,n)}}e.LinkedMap=y;class m extends y{constructor(i,t=1){super();this._limit=i,this._ratio=Math.min(Math.max(0,t),1)}get limit(){return this._limit}set limit(i){this._limit=i,this.checkTrim()}get ratio(){return this._ratio}set ratio(i){this._ratio=Math.min(Math.max(0,i),1),this.checkTrim()}get(i,t=2){return super.get(i,t)}peek(i){return super.get(i,0)}set(i,t){return super.set(i,t,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=m}),define(Z[89],ee([0,1,22,21,5]),function(G,e,v,k,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function R(S){return JSON.stringify(S,L)}e.stringify=R;function A(S){let I=JSON.parse(S);return I=g(I),I}e.parse=A;function L(S,I){return I instanceof RegExp?{$mid:2,source:I.source,flags:(0,k.regExpFlags)(I)}:I}function g(S,I=0){if(!S||I>200)return S;if(typeof S=="object"){switch(S.$mid){case 1:return U.URI.revive(S);case 2:return new RegExp(S.source,S.flags)}if(S instanceof v.VSBuffer||S instanceof Uint8Array)return S;if(Array.isArray(S))for(let d=0;d<S.length;++d)S[d]=g(S[d],I+1);else for(const d in S)Object.hasOwnProperty.call(S,d)&&(S[d]=g(S[d],I+1))}return S}e.revive=g}),define(Z[15],ee([0,1,5,7]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var U;(function(L){L.inMemory="inmemory",L.vscode="vscode",L.internal="private",L.walkThrough="walkThrough",L.walkThroughSnippet="walkThroughSnippet",L.http="http",L.https="https",L.file="file",L.mailto="mailto",L.untitled="untitled",L.data="data",L.command="command",L.vscodeRemote="vscode-remote",L.vscodeRemoteResource="vscode-remote-resource",L.userData="vscode-userdata",L.vscodeCustomEditor="vscode-custom-editor",L.vscodeNotebook="vscode-notebook",L.vscodeNotebookCell="vscode-notebook-cell",L.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",L.vscodeSettings="vscode-settings",L.vscodeWorkspaceTrust="vscode-workspace-trust",L.webviewPanel="webview-panel",L.vscodeWebview="vscode-webview",L.vscodeWebviewResource="vscode-webview-resource",L.extension="extension",L.vscodeFileResource="vscode-file"})(U=e.Schemas||(e.Schemas={}));class R{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(g){this._preferredWebSchema=g}setDelegate(g){this._delegate=g}set(g,S,I){this._hosts[g]=S,this._ports[g]=I}setConnectionToken(g,S){this._connectionTokens[g]=S}rewrite(g){if(this._delegate)return this._delegate(g);const S=g.authority;let I=this._hosts[S];I&&I.indexOf(":")!==-1&&(I=`[${I}]`);const d=this._ports[S],E=this._connectionTokens[S];let D=`path=${encodeURIComponent(g.path)}`;return typeof E=="string"&&(D+=`&tkn=${encodeURIComponent(E)}`),v.URI.from({scheme:k.isWeb?this._preferredWebSchema:U.vscodeRemoteResource,authority:`${I}:${d}`,path:"/vscode-remote-resource",query:D})}}e.RemoteAuthorities=new R;class A{constructor(){this.FALLBACK_AUTHORITY="vscode-app"}asBrowserUri(g,S,I){const d=this.toUri(g,S);return d.scheme===U.vscodeRemote?e.RemoteAuthorities.rewrite(d):k.isNative&&(I||k.isPreferringBrowserCodeLoad)&&d.scheme===U.file?d.with({scheme:U.vscodeFileResource,authority:d.authority||this.FALLBACK_AUTHORITY,query:null,fragment:null}):d}asFileUri(g,S){const I=this.toUri(g,S);return I.scheme===U.vscodeFileResource?I.with({scheme:U.file,authority:I.authority!==this.FALLBACK_AUTHORITY?I.authority:null,query:null,fragment:null}):I}toUri(g,S){return v.URI.isUri(g)?g:v.URI.parse(S.toUrl(g))}}e.FileAccess=new A}),define(Z[65],ee([0,1,37]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=e.canNormalize=void 0,e.canNormalize=typeof String.prototype.normalize=="function";const k=new v.LRUCache(1e4);function U(S){return g(S,"NFC",k)}e.normalizeNFC=U;const R=new v.LRUCache(1e4);function A(S){return g(S,"NFD",R)}e.normalizeNFD=A;const L=/[^\u0000-\u0080]/;function g(S,I,d){if(!e.canNormalize||!S)return S;const E=d.get(S);if(E)return E;let D;return L.test(S)?D=S.normalize(I):D=S,d.set(S,D),D}e.removeAccents=function(){if(e.canNormalize){const S=/[\u0300-\u036f]/g;return function(I){return A(I).replace(S,"")}}else return function(S){return S}}()}),define(Z[16],ee([0,1,42,8,5,21,15,7]),function(G,e,v,k,U,R,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function g(D){return(0,U.uriToFsPath)(D,!0)}e.originalFSPath=g;class S{constructor(a){this._ignorePathCasing=a}compare(a,C,b=!1){return a===C?0:(0,R.compare)(this.getComparisonKey(a,b),this.getComparisonKey(C,b))}isEqual(a,C,b=!1){return a===C?!0:!a||!C?!1:this.getComparisonKey(a,b)===this.getComparisonKey(C,b)}getComparisonKey(a,C=!1){return a.with({path:this._ignorePathCasing(a)?a.path.toLowerCase():void 0,fragment:C?null:void 0}).toString()}ignorePathCasing(a){return this._ignorePathCasing(a)}isEqualOrParent(a,C,b=!1){if(a.scheme===C.scheme){if(a.scheme===A.Schemas.file)return v.isEqualOrParent(g(a),g(C),this._ignorePathCasing(a))&&a.query===C.query&&(b||a.fragment===C.fragment);if((0,e.isEqualAuthority)(a.authority,C.authority))return v.isEqualOrParent(a.path,C.path,this._ignorePathCasing(a),"/")&&a.query===C.query&&(b||a.fragment===C.fragment)}return!1}joinPath(a,...C){return U.URI.joinPath(a,...C)}basenameOrAuthority(a){return(0,e.basename)(a)||a.authority}basename(a){return k.posix.basename(a.path)}extname(a){return k.posix.extname(a.path)}dirname(a){if(a.path.length===0)return a;let C;return a.scheme===A.Schemas.file?C=U.URI.file(k.dirname(g(a))).path:(C=k.posix.dirname(a.path),a.authority&&C.length&&C.charCodeAt(0)!==47&&(console.error(`dirname("${a.toString})) resulted in a relative path`),C="/")),a.with({path:C})}normalizePath(a){if(!a.path.length)return a;let C;return a.scheme===A.Schemas.file?C=U.URI.file(k.normalize(g(a))).path:C=k.posix.normalize(a.path),a.with({path:C})}relativePath(a,C){if(!(a.scheme!==C.scheme||!(0,e.isEqualAuthority)(a.authority,C.authority))){if(a.scheme===A.Schemas.file){const y=k.relative(g(a),g(C));return L.isWindows?v.toSlashes(y):y}let b=a.path||"/",p=C.path||"/";if(this._ignorePathCasing(a)){let y=0;for(const m=Math.min(b.length,p.length);y<m&&!(b.charCodeAt(y)!==p.charCodeAt(y)&&b.charAt(y).toLowerCase()!==p.charAt(y).toLowerCase());y++);b=p.substr(0,y)+b.substr(y)}return k.posix.relative(b,p)}}resolvePath(a,C){if(a.scheme===A.Schemas.file){const b=U.URI.file(k.resolve(g(a),C));return a.with({authority:b.authority,path:b.path})}return C.indexOf("/")===-1&&(C=v.toSlashes(C),/^[a-zA-Z]:(\/|$)/.test(C)&&(C="/"+C)),a.with({path:k.posix.resolve(a.path,C)})}isAbsolutePath(a){return!!a.path&&a.path[0]==="/"}isEqualAuthority(a,C){return a===C||(0,R.equalsIgnoreCase)(a,C)}hasTrailingPathSeparator(a,C=k.sep){if(a.scheme===A.Schemas.file){const b=g(a);return b.length>v.getRoot(b).length&&b[b.length-1]===C}else{const b=a.path;return b.length>1&&b.charCodeAt(b.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(a.fsPath)}}removeTrailingPathSeparator(a,C=k.sep){return(0,e.hasTrailingPathSeparator)(a,C)?a.with({path:a.path.substr(0,a.path.length-1)}):a}addTrailingPathSeparator(a,C=k.sep){let b=!1;if(a.scheme===A.Schemas.file){const p=g(a);b=p!==void 0&&p.length===v.getRoot(p).length&&p[p.length-1]===C}else{C="/";const p=a.path;b=p.length===1&&p.charCodeAt(p.length-1)===47}return!b&&!(0,e.hasTrailingPathSeparator)(a,C)?a.with({path:a.path+"/"}):a}}e.ExtUri=S,e.extUri=new S(()=>!1),e.extUriBiasedIgnorePathCase=new S(D=>D.scheme===A.Schemas.file?!L.isLinux:!0),e.extUriIgnorePathCase=new S(D=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function I(D,a){const C=[];for(let b=0;b<D.length;b++){const p=a(D[b]);D.some((y,m)=>m===b?!1:(0,e.isEqualOrParent)(p,a(y)))||C.push(D[b])}return C}e.distinctParents=I;var d;(function(D){D.META_DATA_LABEL="label",D.META_DATA_DESCRIPTION="description",D.META_DATA_SIZE="size",D.META_DATA_MIME="mime";function a(C){const b=new Map;C.path.substring(C.path.indexOf(";")+1,C.path.lastIndexOf(";")).split(";").forEach(m=>{const[o,i]=m.split(":");o&&i&&b.set(o,i)});const y=C.path.substring(0,C.path.indexOf(";"));return y&&b.set(D.META_DATA_MIME,y),b}D.parseMetaData=a})(d=e.DataUri||(e.DataUri={}));function E(D,a,C){if(a){let b=D.path;return b&&b[0]!==k.posix.sep&&(b=k.posix.sep+b),D.with({scheme:C,authority:a,path:b})}return D.with({scheme:C})}e.toLocalResource=E}),define(Z[6],ee([0,1,29,14,3,2,64,16]),function(G,e,v,k,U,R,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.AsyncEmitter=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function g(F){return!!F&&typeof F.then=="function"}e.isThenable=g;function S(F){const P=new v.CancellationTokenSource,T=F(P.token),M=new Promise((N,W)=>{P.token.onCancellationRequested(()=>{W((0,k.canceled)())}),Promise.resolve(T).then(H=>{P.dispose(),N(H)},H=>{P.dispose(),W(H)})});return new class{cancel(){P.cancel()}then(N,W){return M.then(N,W)}catch(N){return this.then(void 0,N)}finally(N){return M.finally(N)}}}e.createCancelablePromise=S;function I(F,P,T){return Promise.race([F,new Promise(M=>P.onCancellationRequested(()=>M(T)))])}e.raceCancellation=I;async function d(F){let P=-1;const T=F.map((N,W)=>N.then(H=>(P=W,H))),M=await Promise.race(T);return F.forEach((N,W)=>{W!==P&&N.cancel()}),M}e.raceCancellablePromises=d;function E(F,P,T){let M;const N=setTimeout(()=>{M==null||M(void 0),T==null||T()},P);return Promise.race([F.finally(()=>clearTimeout(N)),new Promise(W=>M=W)])}e.raceTimeout=E;function D(F){return new Promise((P,T)=>{const M=F();g(M)?M.then(P,T):P(M)})}e.asPromise=D;class a{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(P){if(this.activePromise){if(this.queuedPromiseFactory=P,!this.queuedPromise){const T=()=>{this.queuedPromise=null;const M=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,M};this.queuedPromise=new Promise(M=>{this.activePromise.then(T,T).then(M)})}return new Promise((T,M)=>{this.queuedPromise.then(T,M)})}return this.activePromise=P(),new Promise((T,M)=>{this.activePromise.then(N=>{this.activePromise=null,T(N)},N=>{this.activePromise=null,M(N)})})}}e.Throttler=a;class C{constructor(){this.current=Promise.resolve(null)}queue(P){return this.current=this.current.then(()=>P(),()=>P())}}e.Sequencer=C;class b{constructor(){this.promiseMap=new Map}queue(P,T){var M;const W=((M=this.promiseMap.get(P))!==null&&M!==void 0?M:Promise.resolve()).catch(()=>{}).then(T).finally(()=>{this.promiseMap.get(P)===W&&this.promiseMap.delete(P)});return this.promiseMap.set(P,W),W}}e.SequencerByKey=b;class p{constructor(P){this.defaultDelay=P,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(P,T=this.defaultDelay){return this.task=P,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((M,N)=>{this.doResolve=M,this.doReject=N}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const M=this.task;return this.task=null,M()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},T),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject((0,k.canceled)()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancelTimeout()}}e.Delayer=p;class y{constructor(P){this.delayer=new p(P),this.throttler=new a}trigger(P,T){return this.delayer.trigger(()=>this.throttler.queue(P),T)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=y;class m{constructor(){this._isOpen=!1,this._promise=new Promise((P,T)=>{this._completePromise=P})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=m;class o extends m{constructor(P){super();this._timeout=setTimeout(()=>this.open(),P)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=o;function i(F,P){return P?new Promise((T,M)=>{const N=setTimeout(T,F);P.onCancellationRequested(()=>{clearTimeout(N),M((0,k.canceled)())})}):S(T=>i(F,T))}e.timeout=i;function t(F,P=0){const T=setTimeout(F,P);return(0,R.toDisposable)(()=>clearTimeout(T))}e.disposableTimeout=t;function n(F){return F.then(void 0,P=>{})}e.ignoreErrors=n;function r(F){const P=[];let T=0;const M=F.length;function N(){return T<M?F[T++]():null}function W(H){H!=null&&P.push(H);const Q=N();return Q?Q.then(W):Promise.resolve(P)}return Promise.resolve(null).then(W)}e.sequence=r;function u(F,P=M=>!!M,T=null){let M=0;const N=F.length,W=()=>{if(M>=N)return Promise.resolve(T);const H=F[M++];return Promise.resolve(H()).then(X=>P(X)?Promise.resolve(X):W())};return W()}e.first=u;function s(F,P=M=>!!M,T=null){if(F.length===0)return Promise.resolve(T);let M=F.length;const N=()=>{var W,H;M=-1;for(const Q of F)(H=(W=Q).cancel)===null||H===void 0||H.call(W)};return new Promise((W,H)=>{for(const Q of F)Q.then(X=>{--M>=0&&P(X)?(N(),W(X)):M===0&&W(T)}).catch(X=>{--M>=0&&(N(),H(X))})})}e.firstParallel=s;class c{constructor(P){this._size=0,this.maxDegreeOfParalellism=P,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new U.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(P){return this._size++,new Promise((T,M)=>{this.outstandingPromises.push({factory:P,c:T,e:M}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const P=this.outstandingPromises.shift();this.runningPromises++;const T=P.factory();T.then(P.c,P.e),T.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=c;class l extends c{constructor(){super(1)}}e.Queue=l;class f{constructor(){this.queues=new Map}queueFor(P,T=L.extUri){const M=T.getComparisonKey(P);let N=this.queues.get(M);return N||(N=new l,U.Event.once(N.onFinished)(()=>{N==null||N.dispose(),this.queues.delete(M)}),this.queues.set(M,N)),N}dispose(){this.queues.forEach(P=>P.dispose()),this.queues.clear()}}e.ResourceQueue=f;class w{constructor(P,T){this._token=-1,typeof P=="function"&&typeof T=="number"&&this.setIfNotSet(P,T)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(P,T){this.cancel(),this._token=setTimeout(()=>{this._token=-1,P()},T)}setIfNotSet(P,T){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,P()},T))}}e.TimeoutTimer=w;class h{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(P,T){this.cancel(),this._token=setInterval(()=>{P()},T)}}e.IntervalTimer=h;class O{constructor(P,T){this.timeoutToken=-1,this.runner=P,this.timeout=T,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(P=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,P)}get delay(){return this.timeout}set delay(P){this.timeout=P}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=O;class _ extends O{constructor(P,T){super(P,T);this.units=[]}work(P){this.units.push(P),this.isScheduled()||this.schedule()}doRun(){const P=this.units;this.units=[],this.runner&&this.runner(P)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=_,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const F=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=P=>{const T=setTimeout(()=>P(F));let M=!1;return{dispose(){M||(M=!0,clearTimeout(T))}}}}else e.runWhenIdle=(F,P)=>{const T=requestIdleCallback(F,typeof P=="number"?{timeout:P}:void 0);let M=!1;return{dispose(){M||(M=!0,cancelIdleCallback(T))}}}}();class ${constructor(P){this._didRun=!1,this._executor=()=>{try{this._value=P()}catch(T){this._error=T}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=$;async function q(F,P,T){let M;for(let N=0;N<T;N++)try{return await F()}catch(W){M=W,await i(P)}throw M}e.retry=q;class V{hasPending(P){return this._pending?typeof P=="number"?this._pending.taskId===P:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){var P;(P=this._pending)===null||P===void 0||P.cancel()}setPending(P,T,M){return this._pending={taskId:P,cancel:()=>M==null?void 0:M(),promise:T},T.then(()=>this.donePending(P),()=>this.donePending(P)),T}donePending(P){this._pending&&P===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const P=this._next;this._next=void 0,P.run().then(P.promiseResolve,P.promiseReject)}}setNext(P){if(this._next)this._next.run=P;else{let T,M;const N=new Promise((W,H)=>{T=W,M=H});this._next={run:P,promise:N,promiseResolve:T,promiseReject:M}}return this._next.promise}}e.TaskSequentializer=V;class z{constructor(P){this.interval=P,this.lastIncrementTime=0,this.value=0}increment(){const P=Date.now();return P-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=P,this.value=0),this.value++,this.value}}e.IntervalCounter=z;class Y{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((P,T)=>{this.completeCallback=P,this.errorCallback=T})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(P){return new Promise(T=>{this.completeCallback(P),this.resolved=!0,T()})}error(P){return new Promise(T=>{this.errorCallback(P),this.rejected=!0,T()})}cancel(){new Promise(P=>{this.errorCallback((0,k.canceled)()),this.rejected=!0,P()})}}e.DeferredPromise=Y;class x extends U.Emitter{async fireAsync(P,T,M){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new A.LinkedList);for(const N of this._listeners)this._asyncDeliveryQueue.push([N,P]);for(;this._asyncDeliveryQueue.size>0&&!T.isCancellationRequested;){const[N,W]=this._asyncDeliveryQueue.shift(),H=[],Q=Object.assign(Object.assign({},W),{waitUntil:X=>{if(Object.isFrozen(H))throw new Error("waitUntil can NOT be called asynchronous");M&&(X=M(X,typeof N=="function"?N:N[0])),H.push(X)}});try{typeof N=="function"?N.call(void 0,Q):N[0].call(N[1],Q)}catch(X){(0,k.onUnexpectedError)(X);continue}Object.freeze(H),await j.settled(H).catch(X=>(0,k.onUnexpectedError)(X))}}}}e.AsyncEmitter=x;var j;(function(F){async function P(W){return typeof Promise.allSettled=="function"?T(W):M(W)}F.allSettled=P;async function T(W){return Promise.allSettled(W)}async function M(W){return Promise.all(W.map(H=>H.then(Q=>({status:"fulfilled",value:Q}),Q=>({status:"rejected",reason:Q}))))}async function N(W){let H;const Q=await Promise.all(W.map(X=>X.then(ie=>ie,ie=>{H||(H=ie)})));if(typeof H!="undefined")throw H;return Q}F.settled=N})(j=e.Promises||(e.Promises={}))}),define(Z[90],ee([0,1,21,42,8,37,6]),function(G,e,v,k,U,R,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.getEmptyExpression=void 0;function L(){return Object.create(null)}e.getEmptyExpression=L;const g="**",S="/",I="[/\\\\]",d="[^/\\\\]",E=/\//g;function D(T){switch(T){case 0:return"";case 1:return`${d}*?`;default:return`(?:${I}|${d}+${I}|${I}${d}+)*?`}}function a(T,M){if(!T)return[];const N=[];let W=!1,H=!1,Q="";for(const X of T){switch(X){case M:if(!W&&!H){N.push(Q),Q="";continue}break;case"{":W=!0;break;case"}":W=!1;break;case"[":H=!0;break;case"]":H=!1;break}Q+=X}return Q&&N.push(Q),N}e.splitGlobAware=a;function C(T){if(!T)return"";let M="";const N=a(T,S);if(N.every(W=>W===g))M=".*";else{let W=!1;N.forEach((H,Q)=>{if(H===g){W||(M+=D(2),W=!0);return}let X=!1,ie="",se=!1,ce="";for(const he of H){if(he!=="}"&&X){ie+=he;continue}if(se&&(he!=="]"||!ce)){let me;he==="-"?me=he:(he==="^"||he==="!")&&!ce?me="^":he===S?me="":me=v.escapeRegExpCharacters(he),ce+=me;continue}switch(he){case"{":X=!0;continue;case"[":se=!0;continue;case"}":M+=`(?:${a(ie,",").map(Ie=>C(Ie)).join("|")})`,X=!1,ie="";break;case"]":M+="["+ce+"]",se=!1,ce="";break;case"?":M+=d;continue;case"*":M+=D(1);continue;default:M+=v.escapeRegExpCharacters(he)}}Q<N.length-1&&(N[Q+1]!==g||Q+2<N.length)&&(M+=I),W=!1})}return M}const b=/^\*\*\/\*\.[\w\.-]+$/,p=/^\*\*\/([\w\.-]+)\/?$/,y=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,m=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,o=/^\*\*((\/[\w\.-]+)+)\/?$/,i=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new R.LRUCache(1e4),n=function(){return!1},r=function(){return null};function u(T,M){if(!T)return r;let N;typeof T!="string"?N=T.pattern:N=T,N=N.trim();const W=`${N}_${!!M.trimForExclusions}`;let H=t.get(W);if(H)return s(H,T);let Q;if(b.test(N)){const X=N.substr(4);H=function(ie,se){return typeof ie=="string"&&ie.endsWith(X)?N:null}}else(Q=p.exec(c(N,M)))?H=l(Q[1],N):(M.trimForExclusions?m:y).test(N)?H=f(N,M):(Q=o.exec(c(N,M)))?H=w(Q[1].substr(1),N,!0):(Q=i.exec(c(N,M)))?H=w(Q[1],N,!1):H=h(N);return t.set(W,H),s(H,T)}function s(T,M){return typeof M=="string"?T:function(N,W){return k.isEqualOrParent(N,M.base)?T(U.relative(M.base,N),W):null}}function c(T,M){return M.trimForExclusions&&T.endsWith("/**")?T.substr(0,T.length-2):T}function l(T,M){const N=`/${T}`,W=`\\${T}`,H=function(X,ie){return typeof X!="string"?null:ie?ie===T?M:null:X===T||X.endsWith(N)||X.endsWith(W)?M:null},Q=[T];return H.basenames=Q,H.patterns=[M],H.allBasenames=Q,H}function f(T,M){const N=P(T.slice(1,-1).split(",").map(ie=>u(ie,M)).filter(ie=>ie!==r),T),W=N.length;if(!W)return r;if(W===1)return N[0];const H=function(ie,se){for(let ce=0,he=N.length;ce<he;ce++)if(N[ce](ie,se))return T;return null},Q=N.find(ie=>!!ie.allBasenames);Q&&(H.allBasenames=Q.allBasenames);const X=N.reduce((ie,se)=>se.allPaths?ie.concat(se.allPaths):ie,[]);return X.length&&(H.allPaths=X),H}function w(T,M,N){const W=U.sep===U.posix.sep,H=W?T:T.replace(E,U.sep),Q=U.sep+H,X=U.posix.sep+T,ie=N?function(se,ce){return typeof se=="string"&&(se===H||se.endsWith(Q)||!W&&(se===T||se.endsWith(X)))?M:null}:function(se,ce){return typeof se=="string"&&(se===H||!W&&se===T)?M:null};return ie.allPaths=[(N?"*/":"./")+T],ie}function h(T){try{const M=new RegExp(`^${C(T)}$`);return function(N){return M.lastIndex=0,typeof N=="string"&&M.test(N)?T:null}}catch(M){return r}}function O(T,M,N){return!T||typeof M!="string"?!1:_(T)(M,void 0,N)}e.match=O;function _(T,M={}){if(!T)return n;if(typeof T=="string"||z(T)){const N=u(T,M);if(N===r)return n;const W=function(H,Q){return!!N(H,Q)};return N.allBasenames&&(W.allBasenames=N.allBasenames),N.allPaths&&(W.allPaths=N.allPaths),W}return j(T,M)}e.parse=_;function $(T){if(!!T){let M;return N=>(M||(M=(T()||Promise.resolve([])).then(W=>W?V(W):{})),M.then(W=>!!W[N]))}}e.hasSiblingPromiseFn=$;function q(T){if(!!T){let M;return N=>{if(!M){const W=T();M=W?V(W):{}}return!!M[N]}}}e.hasSiblingFn=q;function V(T){const M={};for(const N of T)M[N]=!0;return M}function z(T){const M=T;return M&&typeof M.base=="string"&&typeof M.pattern=="string"}e.isRelativePattern=z;function Y(T){return T.allBasenames||[]}e.getBasenameTerms=Y;function x(T){return T.allPaths||[]}e.getPathTerms=x;function j(T,M){const N=P(Object.getOwnPropertyNames(T).map(ie=>F(ie,T[ie],M)).filter(ie=>ie!==r)),W=N.length;if(!W)return r;if(!N.some(ie=>!!ie.requiresSiblings)){if(W===1)return N[0];const ie=function(he,me){for(let we=0,Ie=N.length;we<Ie;we++){const Te=N[we](he,me);if(Te)return Te}return null},se=N.find(he=>!!he.allBasenames);se&&(ie.allBasenames=se.allBasenames);const ce=N.reduce((he,me)=>me.allPaths?he.concat(me.allPaths):he,[]);return ce.length&&(ie.allPaths=ce),ie}const H=function(ie,se,ce){let he;for(let me=0,we=N.length;me<we;me++){const Ie=N[me];Ie.requiresSiblings&&ce&&(se||(se=U.basename(ie)),he||(he=se.substr(0,se.length-U.extname(ie).length)));const Te=Ie(ie,se,he,ce);if(Te)return Te}return null},Q=N.find(ie=>!!ie.allBasenames);Q&&(H.allBasenames=Q.allBasenames);const X=N.reduce((ie,se)=>se.allPaths?ie.concat(se.allPaths):ie,[]);return X.length&&(H.allPaths=X),H}function F(T,M,N){if(M===!1)return r;const W=u(T,N);if(W===r)return r;if(typeof M=="boolean")return W;if(M){const H=M.when;if(typeof H=="string"){const Q=(X,ie,se,ce)=>{if(!ce||!W(X,ie))return null;const he=H.replace("$(basename)",se),me=ce(he);return(0,A.isThenable)(me)?me.then(we=>we?T:null):me?T:null};return Q.requiresSiblings=!0,Q}}return W}function P(T,M){const N=T.filter(ie=>!!ie.basenames);if(N.length<2)return T;const W=N.reduce((ie,se)=>{const ce=se.basenames;return ce?ie.concat(ce):ie},[]);let H;if(M){H=[];for(let ie=0,se=W.length;ie<se;ie++)H.push(M)}else H=N.reduce((ie,se)=>{const ce=se.patterns;return ce?ie.concat(ce):ie},[]);const Q=function(ie,se){if(typeof ie!="string")return null;if(!se){let he;for(he=ie.length;he>0;he--){const me=ie.charCodeAt(he-1);if(me===47||me===92)break}se=ie.substr(he)}const ce=W.indexOf(se);return ce!==-1?H[ce]:null};Q.basenames=W,Q.patterns=H,Q.allBasenames=W;const X=T.filter(ie=>!ie.basenames);return X.push(Q),X}}),define(Z[91],ee([0,1,5]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function k(I){return I.toJSON()}class U{constructor(d){this._uriTransformer=d}transformIncoming(d){const E=this._uriTransformer.transformIncoming(d);return E===d?d:k(v.URI.from(E))}transformOutgoing(d){const E=this._uriTransformer.transformOutgoing(d);return E===d?d:k(v.URI.from(E))}transformOutgoingURI(d){const E=this._uriTransformer.transformOutgoing(d);return E===d?d:v.URI.from(E)}transformOutgoingScheme(d){return this._uriTransformer.transformOutgoingScheme(d)}}e.URITransformer=U,e.DefaultURITransformer=new class{transformIncoming(I){return I}transformOutgoing(I){return I}transformOutgoingURI(I){return I}transformOutgoingScheme(I){return I}};function R(I,d,E){if(!I||E>200)return null;if(typeof I=="object"){if(I instanceof v.URI)return d.transformOutgoing(I);for(let D in I)if(Object.hasOwnProperty.call(I,D)){const a=R(I[D],d,E+1);a!==null&&(I[D]=a)}}return null}function A(I,d){const E=R(I,d,0);return E===null?I:E}e.transformOutgoingURIs=A;function L(I,d,E,D){if(!I||D>200)return null;if(typeof I=="object"){if(I.$mid===1)return E?v.URI.revive(d.transformIncoming(I)):d.transformIncoming(I);for(let a in I)if(Object.hasOwnProperty.call(I,a)){const C=L(I[a],d,E,D+1);C!==null&&(I[a]=C)}}return null}function g(I,d){const E=L(I,d,!1,0);return E===null?I:E}e.transformIncomingURIs=g;function S(I,d){const E=L(I,d,!0,0);return E===null?I:E}e.transformAndReviveIncomingURIs=S}),define(Z[30],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const v=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function k(g){return v.test(g)}e.isUUID=k;const U=new Uint8Array(16),R=[];for(let g=0;g<256;g++)R.push(g.toString(16).padStart(2,"0"));let A;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?A=crypto.getRandomValues.bind(crypto):A=function(g){for(let S=0;S<g.length;S++)g[S]=Math.floor(Math.random()*256);return g};function L(){A(U),U[6]=U[6]&15|64,U[8]=U[8]&63|128;let g=0,S="";return S+=R[U[g++]],S+=R[U[g++]],S+=R[U[g++]],S+=R[U[g++]],S+="-",S+=R[U[g++]],S+=R[U[g++]],S+="-",S+=R[U[g++]],S+=R[U[g++]],S+="-",S+=R[U[g++]],S+=R[U[g++]],S+="-",S+=R[U[g++]],S+=R[U[g++]],S+=R[U[g++]],S+=R[U[g++]],S+=R[U[g++]],S+=R[U[g++]],S}e.generateUuid=L}),define(Z[66],ee([0,1,201]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class k{constructor(R="utf8"){this.stringDecoder=new v.StringDecoder(R),this.remaining=null}write(R){const A=[],L=this.remaining?this.remaining+this.stringDecoder.write(R):this.stringDecoder.write(R);if(L.length<1)return A;let g=0,S,I=g;for(;I<L.length;)if(S=L.charCodeAt(I),S===13||S===10){if(A.push(L.substring(g,I)),I++,I<L.length){const d=S;S=L.charCodeAt(I),(d===13&&S===10||d===10&&S===13)&&I++}g=I}else I++;return this.remaining=g<L.length?L.substr(g):null,A}end(){return this.remaining}}e.LineDecoder=k}),define(Z[92],ee([0,1,38]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const k=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function U(L){const g=L.replace(/\-/g,":").toLowerCase();return!k.has(g)}function R(){return new Promise(async(L,g)=>{const S=setTimeout(()=>g("Unable to retrieve mac address (timeout after 10s)"),1e4);try{L(await A())}catch(I){g(I)}finally{clearTimeout(S)}})}e.getMac=R;function A(){return new Promise((L,g)=>{try{const S=(0,v.networkInterfaces)();for(const[,I]of Object.entries(S))for(const d of I)if(U(d.mac))return L(d.mac);g("Unable to retrieve mac address (unexpected format)")}catch(S){g(S)}})}}),define(Z[93],ee([0,1,14,30,38,37,92]),function(G,e,v,k,U,R,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAdress(I){return this._virtualMachineOUIs||(this._virtualMachineOUIs=R.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(I)}value(){if(this._value===void 0){let I=0,d=0;const E=(0,U.networkInterfaces)();for(let D in E)if(Object.prototype.hasOwnProperty.call(E,D))for(const{mac:a,internal:C}of E[D])C||(d+=1,this._isVirtualMachineMacAdress(a.toUpperCase())&&(I+=1));this._value=d>0?I/d:0}return this._value}};let L;async function g(){return L||(L=(async()=>await S()||k.generateUuid())()),L}e.getMachineId=g;async function S(){try{const I=await new Promise((E,D)=>{G(["crypto"],E,D)}),d=await(0,A.getMac)();return I.createHash("sha256").update(d,"utf8").digest("hex")}catch(I){v.onUnexpectedError(I);return}}}),define(Z[23],ee([0,1,27,38,8,6,7,42,30,65,16,5]),function(G,e,v,k,U,R,A,L,g,S,I,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.exists=e.copy=e.move=e.writeFileSync=e.writeFile=e.SymlinkSupport=e.whenDeleted=e.readDirsInDir=e.readdirSync=e.readdir=e.rimrafSync=e.rimraf=e.RimRafMode=e.MAX_HEAP_SIZE=e.MAX_FILE_SIZE=void 0;const E=300*1024*1024,D=16*1024*1024*1024,a=700*1024*1024,C=700*2*1024*1024;e.MAX_FILE_SIZE=process.arch==="ia32"?E:D,e.MAX_HEAP_SIZE=process.arch==="ia32"?a:C;var b;(function(P){P[P.UNLINK=0]="UNLINK",P[P.MOVE=1]="MOVE"})(b=e.RimRafMode||(e.RimRafMode={}));async function p(P,T=b.UNLINK){if((0,L.isRootOrDriveLetter)(P))throw new Error("rimraf - will refuse to recursively delete root");return T===b.UNLINK?m(P):y(P)}e.rimraf=p;async function y(P){try{const T=(0,U.join)((0,k.tmpdir)(),(0,g.generateUuid)());try{await v.promises.rename(P,T)}catch(M){return m(P)}m(T).catch(M=>{})}catch(T){if(T.code!=="ENOENT")throw T}}async function m(P){return v.promises.rmdir(P,{recursive:!0,maxRetries:3})}function o(P){if((0,L.isRootOrDriveLetter)(P))throw new Error("rimraf - will refuse to recursively delete root");v.rmdirSync(P,{recursive:!0})}e.rimrafSync=o;async function i(P,T){return r(await(T?t(P):v.promises.readdir(P)))}e.readdir=i;async function t(P){try{return await v.promises.readdir(P,{withFileTypes:!0})}catch(N){console.warn("[node.js fs] readdir with filetypes failed with error: ",N)}const T=[],M=await i(P);for(const N of M){let W=!1,H=!1,Q=!1;try{const X=await v.promises.lstat((0,U.join)(P,N));W=X.isFile(),H=X.isDirectory(),Q=X.isSymbolicLink()}catch(X){console.warn("[node.js fs] unexpected error from lstat after readdir: ",X)}T.push({name:N,isFile:()=>W,isDirectory:()=>H,isSymbolicLink:()=>Q})}return T}function n(P){return r(v.readdirSync(P))}e.readdirSync=n;function r(P){return P.map(T=>typeof T=="string"?A.isMacintosh?(0,S.normalizeNFC)(T):T:(T.name=A.isMacintosh?(0,S.normalizeNFC)(T.name):T.name,T))}async function u(P){const T=await i(P),M=[];for(const N of T)await c.existsDirectory((0,U.join)(P,N))&&M.push(N);return M}e.readDirsInDir=u;function s(P,T=1e3){return new Promise(M=>{let N=!1;const W=setInterval(()=>{N||(N=!0,v.access(P,H=>{N=!1,H&&(clearInterval(W),M(void 0))}))},T)})}e.whenDeleted=s;var c;(function(P){async function T(W){let H;try{if(H=await v.promises.lstat(W),!H.isSymbolicLink())return{stat:H}}catch(Q){}try{return{stat:await v.promises.stat(W),symbolicLink:(H==null?void 0:H.isSymbolicLink())?{dangling:!1}:void 0}}catch(Q){if(Q.code==="ENOENT"&&H)return{stat:H,symbolicLink:{dangling:!0}};if(A.isWindows&&Q.code==="EACCES")try{return{stat:await v.promises.stat(await v.promises.readlink(W)),symbolicLink:{dangling:!1}}}catch(X){if(X.code==="ENOENT"&&H)return{stat:H,symbolicLink:{dangling:!0}};throw X}throw Q}}P.stat=T;async function M(W){try{const{stat:H,symbolicLink:Q}=await P.stat(W);return H.isFile()&&(Q==null?void 0:Q.dangling)!==!0}catch(H){}return!1}P.existsFile=M;async function N(W){try{const{stat:H,symbolicLink:Q}=await P.stat(W);return H.isDirectory()&&(Q==null?void 0:Q.dangling)!==!0}catch(H){}return!1}P.existsDirectory=N})(c=e.SymlinkSupport||(e.SymlinkSupport={}));const l=new R.ResourceQueue;function f(P,T,M){return l.queueFor(d.URI.file(P),I.extUriBiasedIgnorePathCase).queue(()=>{const N=_(M);return new Promise((W,H)=>h(P,T,N,Q=>Q?H(Q):W()))})}e.writeFile=f;let w=!0;function h(P,T,M,N){if(!w)return v.writeFile(P,T,{mode:M.mode,flag:M.flag},N);v.open(P,M.flag,M.mode,(W,H)=>{if(W)return N(W);v.writeFile(H,T,Q=>{if(Q)return v.close(H,()=>N(Q));v.fdatasync(H,X=>(X&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",X),w=!1),v.close(H,ie=>N(ie))))})})}function O(P,T,M){const N=_(M);if(!w)return v.writeFileSync(P,T,{mode:N.mode,flag:N.flag});const W=v.openSync(P,N.flag,N.mode);try{v.writeFileSync(W,T);try{v.fdatasyncSync(W)}catch(H){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",H),w=!1}}finally{v.closeSync(W)}}e.writeFileSync=O;function _(P){return P?{mode:typeof P.mode=="number"?P.mode:438,flag:typeof P.flag=="string"?P.flag:"w"}:{mode:438,flag:"w"}}async function $(P,T){if(P!==T){async function M(N){try{const W=await v.promises.lstat(N);if(W.isDirectory()||W.isSymbolicLink())return;const H=await v.promises.open(N,"a");try{await H.utimes(W.atime,new Date)}finally{await H.close()}}catch(W){}}try{await v.promises.rename(P,T),await M(T)}catch(N){if(P.toLowerCase()!==T.toLowerCase()&&N.code==="EXDEV"||P.endsWith("."))await q(P,T,{preserveSymlinks:!1}),await p(P,b.MOVE),await M(T);else throw N}}}e.move=$;async function q(P,T,M){return z(P,T,{root:{source:P,target:T},options:M,handledSourcePaths:new Set})}e.copy=q;const V=511;async function z(P,T,M){if(!M.handledSourcePaths.has(P)){M.handledSourcePaths.add(P);const{stat:N,symbolicLink:W}=await c.stat(P);if(W){if(M.options.preserveSymlinks)try{return await j(P,T,M)}catch(H){console.warn("[node.js fs] copy of symlink failed: ",H)}if(W.dangling)return}return N.isDirectory()?Y(P,T,N.mode&V,M):x(P,T,N.mode&V)}}async function Y(P,T,M,N){await v.promises.mkdir(T,{recursive:!0,mode:M});const W=await i(P);for(const H of W)await z((0,U.join)(P,H),(0,U.join)(T,H),N)}async function x(P,T,M){await v.promises.copyFile(P,T),await v.promises.chmod(T,M)}async function j(P,T,M){let N=await v.promises.readlink(P);(0,L.isEqualOrParent)(N,M.root.source,!A.isLinux)&&(N=(0,U.join)(M.root.target,N.substr(M.root.source.length+1))),await v.promises.symlink(N,T)}async function F(P){try{return await v.promises.access(P),!0}catch(T){return!1}}e.exists=F}),define(Z[94],ee([0,1,27,21,8,23]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcaseSync=void 0;function A(I){const d=(0,U.dirname)(I);if(I===d)return I;const E=((0,U.basename)(I)||I).toLowerCase();try{const a=(0,R.readdirSync)(d).filter(C=>C.toLowerCase()===E);if(a.length===1){const C=A(d);if(C)return(0,U.join)(C,a[0])}else if(a.length>1){const C=a.indexOf(E);if(C>=0){const b=A(d);if(b)return(0,U.join)(b,a[C])}}}catch(D){}return null}e.realcaseSync=A;async function L(I){try{return await v.promises.realpath(I)}catch(d){const E=S(I);return await v.promises.access(E,v.constants.R_OK),E}}e.realpath=L;function g(I){try{return v.realpathSync(I)}catch(d){const E=S(I);return v.accessSync(E,v.constants.R_OK),E}}e.realpathSync=g;function S(I){return(0,k.rtrim)((0,U.normalize)(I),U.sep)}}),define(Z[95],ee([0,1,48,15]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function U(A){return new Promise((L,g)=>{let S;const I=new Map;function d(a,C,b,p,y){const m=I.get(C);if(a===A||m){const o={name:E(b),cmd:b,pid:a,ppid:C,load:p,mem:y};I.set(a,o),a===A&&(S=o),m&&(m.children||(m.children=[]),m.children.push(o),m.children.length>1&&(m.children=m.children.sort((i,t)=>i.pid-t.pid)))}}function E(a){const C=/--disable-blink-features=Auxclick/,b=/\\watcher\\win32\\CodeHelper\.exe/,p=/--crashes-directory/,y=/\\pipe\\winpty-control/,m=/conhost\.exe/,o=/--type=([a-zA-Z-]+)/;if(b.exec(a))return"watcherService ";if(p.exec(a))return"electron-crash-reporter";if(y.exec(a))return"winpty-process";if(m.exec(a))return"console-window-host (Windows internal process)";let i=o.exec(a);if(i&&i.length===2)return i[1]==="renderer"?C.exec(a)?"shared-process":"window":i[1];const t=/[a-zA-Z-]+\.js/g;let n="";do i=t.exec(a),i&&(n+=i+" ");while(i);return n&&a.indexOf("node ")<0&&a.indexOf("node.exe")<0?`electron_node ${n}`:a}if(process.platform==="win32"){const a=C=>C.indexOf("\\\\?\\")===0||C.indexOf("\\??\\")===0?C.substr(4):C.indexOf('"\\\\?\\')===0||C.indexOf('"\\??\\')===0?'"'+C.substr(5):C;new Promise((C,b)=>{G(["windows-process-tree"],C,b)}).then(C=>{C.getProcessList(A,b=>{C.getProcessCpuUsage(b,p=>{const y=new Map;p.forEach(m=>{const o=a(m.commandLine||"");y.set(m.pid,{name:E(o),cmd:o,pid:m.pid,ppid:m.ppid,load:m.cpu||0,mem:m.memory||0})}),S=y.get(A),S?(y.forEach(m=>{const o=y.get(m.ppid);o&&(o.children||(o.children=[]),o.children.push(m))}),y.forEach(m=>{m.children&&(m.children=m.children.sort((o,i)=>o.pid-i.pid))}),L(S)):g(new Error(`Root process ${A} not found`))})},C.ProcessDataFlag.CommandLine|C.ProcessDataFlag.Memory)})}else{function D(){let a=[S];const C=[];for(;a.length;){const p=a.shift();p&&(C.push(p.pid),p.children&&(a=a.concat(p.children)))}let b=JSON.stringify(k.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",G).fsPath);b+=" "+C.join(" "),(0,v.exec)(b,{},(p,y,m)=>{if(p||m)g(p||new Error(m.toString()));else{const o=y.toString().split(`
`);for(let i=0;i<C.length;i++){const t=I.get(C[i]);t.load=parseFloat(o[i])}if(!S){g(new Error(`Root process ${A} not found`));return}L(S)}})}(0,v.exec)("which ps",{},(a,C,b)=>{if(a||b)if(process.platform!=="linux")g(a||new Error(b.toString()));else{const p=JSON.stringify(k.FileAccess.asFileUri("vs/base/node/ps.sh",G).fsPath);(0,v.exec)(p,{},(y,m,o)=>{y||o?g(y||new Error(o.toString())):(R(m,d),D())})}else{const p=C.toString().trim(),y="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,v.exec)(`${p} ${y}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(m,o,i)=>{m||i&&!i.includes("screen size is bogus")?g(m||new Error(i.toString())):(R(o,d),process.platform==="linux"?D():S?L(S):g(new Error(`Root process ${A} not found`)))})}})}})}e.listProcesses=U;function R(A,L){const g=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,S=A.toString().split(`
`);for(const I of S){const d=g.exec(I.trim());d&&d.length===6&&L(parseInt(d[1]),parseInt(d[2]),d[5],parseFloat(d[3]),parseFloat(d[4]))}}}),function(){"use strict";function G(e,v,k){function U(){let R=process.env.VSCODE_APPDATA;if(!R)switch(process.platform){case"win32":if(R=process.env.APPDATA,!R){const A=process.env.USERPROFILE;if(typeof A!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");R=e.join(A,"AppData","Roaming")}break;case"darwin":R=e.join(v.homedir(),"Library","Application Support");break;case"linux":R=process.env.XDG_CONFIG_HOME||e.join(v.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(R,k)}return{getDefaultUserDataPath:U}}if(typeof define=="function")define(Z[96],ee([0,202,38,15,16]),function(e,v,k,U,R){const A=R.dirname(U.FileAccess.asFileUri("",e)),L=e.__$__nodeRequire(R.joinPath(A,"package.json").fsPath);return G(v,k,L.name)});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../package.json"),v=require("path"),k=require("os");module.exports=G(v,k,e.name)}else throw new Error("Unknown context")}(),define(Z[97],ee([0,1,8,27,7,65,2,23]),function(G,e,v,k,U,R,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CHANGE_BUFFER_DELAY=e.watchFolder=e.watchFile=void 0;function g(d,E,D){return I({path:d,isDirectory:!1},E,D)}e.watchFile=g;function S(d,E,D){return I({path:d,isDirectory:!0},E,D)}e.watchFolder=S,e.CHANGE_BUFFER_DELAY=100;function I(d,E,D){const a=(0,v.basename)(d.path),C=new Map;let b=!1,p=[(0,A.toDisposable)(()=>{C.forEach(y=>(0,A.dispose)(y)),C.clear()})];try{const y=(0,k.watch)(d.path);p.push((0,A.toDisposable)(()=>{y.removeAllListeners(),y.close()}));const m=new Set;d.isDirectory&&(0,L.readdir)(d.path).then(o=>o.forEach(i=>m.add(i))),y.on("error",(o,i)=>{b||D(`Failed to watch ${d.path} for changes using fs.watch() (${o}, ${i})`)}),y.on("change",(o,i)=>{if(!b){let t="";if(i&&(t=i.toString(),U.isMacintosh&&(t=(0,R.normalizeNFC)(t))),!(!t||o!=="change"&&o!=="rename")){const n=d.isDirectory?(0,v.join)(d.path,t):d.path;if(d.isDirectory)if(o==="rename"){const r=C.get(n);r&&(0,A.dispose)(r);const u=setTimeout(async()=>{C.delete(n);const s=await(0,L.exists)(n);if(!b){let c;s?m.has(t)?c="changed":(c="added",m.add(t)):(m.delete(t),c="deleted"),E(c,n)}},e.CHANGE_BUFFER_DELAY);C.set(n,(0,A.toDisposable)(()=>clearTimeout(u)))}else{let r;m.has(t)?r="changed":(r="added",m.add(t)),E(r,n)}else if(o==="rename"||t!==a){const r=setTimeout(async()=>{const u=await(0,L.exists)(n);b||(u?(E("changed",n),p=[I(d,E,D)]):E("deleted",n))},e.CHANGE_BUFFER_DELAY);(0,A.dispose)(p),p=[(0,A.toDisposable)(()=>clearTimeout(r))]}else E("changed",n)}}})}catch(y){(0,L.exists)(d.path).then(m=>{m&&!b&&D(`Failed to watch ${d.path} for changes using fs.watch() (${y.toString()})`)})}return(0,A.toDisposable)(()=>{b=!0,p=(0,A.dispose)(p)})}}),define(Z[33],ee([0,1,3,2,6,29,14,22,18,17,89,21]),function(G,e,v,k,U,R,A,L,g,S,I,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var E;(function(F){F[F.Promise=100]="Promise",F[F.PromiseCancel=101]="PromiseCancel",F[F.EventListen=102]="EventListen",F[F.EventDispose=103]="EventDispose"})(E=e.RequestType||(e.RequestType={}));function D(F){switch(F){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var a;(function(F){F[F.Initialize=200]="Initialize",F[F.PromiseSuccess=201]="PromiseSuccess",F[F.PromiseError=202]="PromiseError",F[F.PromiseErrorObj=203]="PromiseErrorObj",F[F.EventFire=204]="EventFire"})(a=e.ResponseType||(e.ResponseType={}));function C(F){switch(F){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var b;(function(F){F[F.Uninitialized=0]="Uninitialized",F[F.Idle=1]="Idle"})(b||(b={}));class p{constructor(P){this.buffer=P,this.pos=0}read(P){const T=this.buffer.slice(this.pos,this.pos+P);return this.pos+=T.byteLength,T}}class y{constructor(){this.buffers=[]}get buffer(){return L.VSBuffer.concat(this.buffers)}write(P){this.buffers.push(P)}}var m;(function(F){F[F.Undefined=0]="Undefined",F[F.String=1]="String",F[F.Buffer=2]="Buffer",F[F.VSBuffer=3]="VSBuffer",F[F.Array=4]="Array",F[F.Object=5]="Object"})(m||(m={}));function o(F){const P=L.VSBuffer.alloc(4);return P.writeUInt32BE(F,0),P}function i(F){return F.read(4).readUInt32BE(0)}function t(F){const P=L.VSBuffer.alloc(1);return P.writeUInt8(F,0),P}const n={Undefined:t(m.Undefined),String:t(m.String),Buffer:t(m.Buffer),VSBuffer:t(m.VSBuffer),Array:t(m.Array),Object:t(m.Object)},r=typeof Buffer!="undefined";function u(F,P){if(typeof P=="undefined")F.write(n.Undefined);else if(typeof P=="string"){const T=L.VSBuffer.fromString(P);F.write(n.String),F.write(o(T.byteLength)),F.write(T)}else if(r&&Buffer.isBuffer(P)){const T=L.VSBuffer.wrap(P);F.write(n.Buffer),F.write(o(T.byteLength)),F.write(T)}else if(P instanceof L.VSBuffer)F.write(n.VSBuffer),F.write(o(P.byteLength)),F.write(P);else if(Array.isArray(P)){F.write(n.Array),F.write(o(P.length));for(const T of P)u(F,T)}else{const T=L.VSBuffer.fromString(JSON.stringify(P));F.write(n.Object),F.write(o(T.byteLength)),F.write(T)}}function s(F){switch(F.read(1).readUInt8(0)){case m.Undefined:return;case m.String:return F.read(i(F)).toString();case m.Buffer:return F.read(i(F)).buffer;case m.VSBuffer:return F.read(i(F));case m.Array:{const T=i(F),M=[];for(let N=0;N<T;N++)M.push(s(F));return M}case m.Object:return JSON.parse(F.read(i(F)).toString())}}class c{constructor(P,T,M=null,N=1e3){this.protocol=P,this.ctx=T,this.logger=M,this.timeoutDelay=N,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(W=>this.onRawMessage(W)),this.sendResponse({type:200})}registerChannel(P,T){this.channels.set(P,T),setTimeout(()=>this.flushPendingRequests(P),0)}sendResponse(P){switch(P.type){case 200:{const T=this.send([P.type]);this.logger&&this.logger.logOutgoing(T,0,1,C(P.type));return}case 201:case 202:case 204:case 203:{const T=this.send([P.type,P.id],P.data);this.logger&&this.logger.logOutgoing(T,P.id,1,C(P.type),P.data);return}}}send(P,T=void 0){const M=new y;return u(M,P),u(M,T),this.sendBuffer(M.buffer)}sendBuffer(P){try{return this.protocol.send(P),P.byteLength}catch(T){return 0}}onRawMessage(P){const T=new p(P),M=s(T),N=s(T),W=M[0];switch(W){case 100:return this.logger&&this.logger.logIncoming(P.byteLength,M[1],1,`${D(W)}: ${M[2]}.${M[3]}`,N),this.onPromise({type:W,id:M[1],channelName:M[2],name:M[3],arg:N});case 102:return this.logger&&this.logger.logIncoming(P.byteLength,M[1],1,`${D(W)}: ${M[2]}.${M[3]}`,N),this.onEventListen({type:W,id:M[1],channelName:M[2],name:M[3],arg:N});case 101:return this.logger&&this.logger.logIncoming(P.byteLength,M[1],1,`${D(W)}`),this.disposeActiveRequest({type:W,id:M[1]});case 103:return this.logger&&this.logger.logIncoming(P.byteLength,M[1],1,`${D(W)}`),this.disposeActiveRequest({type:W,id:M[1]})}}onPromise(P){const T=this.channels.get(P.channelName);if(!T){this.collectPendingRequest(P);return}const M=new R.CancellationTokenSource;let N;try{N=T.call(this.ctx,P.name,P.arg,M.token)}catch(Q){N=Promise.reject(Q)}const W=P.id;N.then(Q=>{this.sendResponse({id:W,data:Q,type:201}),this.activeRequests.delete(P.id)},Q=>{Q instanceof Error?this.sendResponse({id:W,data:{message:Q.message,name:Q.name,stack:Q.stack?Q.stack.split?Q.stack.split(`
`):Q.stack:void 0},type:202}):this.sendResponse({id:W,data:Q,type:203}),this.activeRequests.delete(P.id)});const H=(0,k.toDisposable)(()=>M.cancel());this.activeRequests.set(P.id,H)}onEventListen(P){const T=this.channels.get(P.channelName);if(!T){this.collectPendingRequest(P);return}const M=P.id,W=T.listen(this.ctx,P.name,P.arg)(H=>this.sendResponse({id:M,data:H,type:204}));this.activeRequests.set(P.id,W)}disposeActiveRequest(P){const T=this.activeRequests.get(P.id);T&&(T.dispose(),this.activeRequests.delete(P.id))}collectPendingRequest(P){let T=this.pendingRequests.get(P.channelName);T||(T=[],this.pendingRequests.set(P.channelName,T));const M=setTimeout(()=>{console.error(`Unknown channel: ${P.channelName}`),P.type===100&&this.sendResponse({id:P.id,data:{name:"Unknown channel",message:`Channel name '${P.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);T.push({request:P,timeoutTimer:M})}flushPendingRequests(P){const T=this.pendingRequests.get(P);if(T){for(const M of T)switch(clearTimeout(M.timeoutTimer),M.request.type){case 100:this.onPromise(M.request);break;case 102:this.onEventListen(M.request);break}this.pendingRequests.delete(P)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(P=>P.dispose()),this.activeRequests.clear()}}e.ChannelServer=c;var l;(function(F){F[F.LocalSide=0]="LocalSide",F[F.OtherSide=1]="OtherSide"})(l=e.RequestInitiator||(e.RequestInitiator={}));class f{constructor(P,T=null){this.protocol=P,this.isDisposed=!1,this.state=b.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new v.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(M=>this.onBuffer(M)),this.logger=T}getChannel(P){const T=this;return{call(M,N,W){return T.isDisposed?Promise.reject(A.canceled()):T.requestPromise(P,M,N,W)},listen(M,N){return T.isDisposed?Promise.reject(A.canceled()):T.requestEvent(P,M,N)}}}requestPromise(P,T,M,N=R.CancellationToken.None){const W=this.lastRequestId++,Q={id:W,type:100,channelName:P,name:T,arg:M};if(N.isCancellationRequested)return Promise.reject(A.canceled());let X;return new Promise((se,ce)=>{if(N.isCancellationRequested)return ce(A.canceled());const he=()=>{const Te=ke=>{switch(ke.type){case 201:this.handlers.delete(W),se(ke.data);break;case 202:this.handlers.delete(W);const Fe=new Error(ke.data.message);Fe.stack=ke.data.stack,Fe.name=ke.data.name,ce(Fe);break;case 203:this.handlers.delete(W),ce(ke.data);break}};this.handlers.set(W,Te),this.sendRequest(Q)};let me=null;this.state===b.Idle?he():(me=(0,U.createCancelablePromise)(Te=>this.whenInitialized()),me.then(()=>{me=null,he()}));const we=()=>{me?(me.cancel(),me=null):this.sendRequest({id:W,type:101}),ce(A.canceled())},Ie=N.onCancellationRequested(we);X=(0,k.combinedDisposable)((0,k.toDisposable)(we),Ie),this.activeRequests.add(X)}).finally(()=>{this.activeRequests.delete(X)})}requestEvent(P,T,M){const N=this.lastRequestId++,H={id:N,type:102,channelName:P,name:T,arg:M};let Q=null;const X=new v.Emitter({onFirstListenerAdd:()=>{Q=(0,U.createCancelablePromise)(se=>this.whenInitialized()),Q.then(()=>{Q=null,this.activeRequests.add(X),this.sendRequest(H)})},onLastListenerRemove:()=>{Q?(Q.cancel(),Q=null):(this.activeRequests.delete(X),this.sendRequest({id:N,type:103}))}}),ie=se=>X.fire(se.data);return this.handlers.set(N,ie),X.event}sendRequest(P){switch(P.type){case 100:case 102:{const T=this.send([P.type,P.id,P.channelName,P.name],P.arg);this.logger&&this.logger.logOutgoing(T,P.id,0,`${D(P.type)}: ${P.channelName}.${P.name}`,P.arg);return}case 101:case 103:{const T=this.send([P.type,P.id]);this.logger&&this.logger.logOutgoing(T,P.id,0,D(P.type));return}}}send(P,T=void 0){const M=new y;return u(M,P),u(M,T),this.sendBuffer(M.buffer)}sendBuffer(P){try{return this.protocol.send(P),P.byteLength}catch(T){return 0}}onBuffer(P){const T=new p(P),M=s(T),N=s(T),W=M[0];switch(W){case 200:return this.logger&&this.logger.logIncoming(P.byteLength,0,0,C(W)),this.onResponse({type:M[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(P.byteLength,M[1],0,C(W),N),this.onResponse({type:M[0],id:M[1],data:N})}}onResponse(P){if(P.type===200){this.state=b.Idle,this._onDidInitialize.fire();return}const T=this.handlers.get(P.id);T&&T(P)}whenInitialized(){return this.state===b.Idle?Promise.resolve():v.Event.toPromise(this.onDidInitialize)}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(P=>P.dispose()),this.activeRequests.clear()}}e.ChannelClient=f;class w{constructor(P){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new v.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new v.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,P(({protocol:T,onDidClientDisconnect:M})=>{v.Event.once(T.onMessage)(W=>{const H=new p(W),Q=s(H),X=new c(T,Q),ie=new f(T);this.channels.forEach((ce,he)=>X.registerChannel(he,ce));const se={channelServer:X,channelClient:ie,ctx:Q};this._connections.add(se),this._onDidAddConnection.fire(se),M(()=>{X.dispose(),ie.dispose(),this._connections.delete(se),this._onDidRemoveConnection.fire(se)})})})}get connections(){const P=[];return this._connections.forEach(T=>P.push(T)),P}getChannel(P,T){const M=this;return{call(N,W,H){let Q;if((0,S.isFunction)(T)){let ie=(0,g.getRandomElement)(M.connections.filter(T));Q=ie?Promise.resolve(ie):v.Event.toPromise(v.Event.filter(M.onDidAddConnection,T))}else Q=T.routeCall(M,N,W);const X=Q.then(ie=>ie.channelClient.getChannel(P));return O(X).call(N,W,H)},listen(N,W){if((0,S.isFunction)(T))return M.getMulticastEvent(P,T,N,W);const H=T.routeEvent(M,N,W).then(Q=>Q.channelClient.getChannel(P));return O(H).listen(N,W)}}}getMulticastEvent(P,T,M,N){const W=this;let H=new k.DisposableStore;const Q=new v.Emitter({onFirstListenerAdd:()=>{H=new k.DisposableStore;const X=new v.EventMultiplexer,ie=new Map,se=he=>{const we=he.channelClient.getChannel(P).listen(M,N),Ie=X.add(we);ie.set(he,Ie)},ce=he=>{const me=ie.get(he);!me||(me.dispose(),ie.delete(he))};W.connections.filter(T).forEach(se),v.Event.filter(W.onDidAddConnection,T)(se,void 0,H),W.onDidRemoveConnection(ce,void 0,H),X.event(Q.fire,Q,H),H.add(X)},onLastListenerRemove:()=>{H.dispose()}});return Q.event}registerChannel(P,T){this.channels.set(P,T),this._connections.forEach(M=>{M.channelServer.registerChannel(P,T)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=w;class h{constructor(P,T,M=null){const N=new y;u(N,T),P.send(N.buffer),this.channelClient=new f(P,M),this.channelServer=new c(P,T,M)}getChannel(P){return this.channelClient.getChannel(P)}registerChannel(P,T){this.channelServer.registerChannel(P,T)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=h;function O(F){return{call(P,T,M){return F.then(N=>N.call(P,T,M))},listen(P,T){const M=new v.Relay;return F.then(N=>M.input=N.listen(P,T)),M.event}}}e.getDelayedChannel=O;function _(F){let P=!1;return{call(T,M,N){return P?F.call(T,M,N):(0,U.timeout)(0).then(()=>P=!0).then(()=>F.call(T,M,N))},listen(T,M){if(P)return F.listen(T,M);const N=new v.Relay;return(0,U.timeout)(0).then(()=>P=!0).then(()=>N.input=F.listen(T,M)),N.event}}}e.getNextTickChannel=_;class ${constructor(P){this.fn=P}routeCall(P){return this.route(P)}routeEvent(P){return this.route(P)}async route(P){for(const T of P.connections)if(await Promise.resolve(this.fn(T.ctx)))return Promise.resolve(T);return await v.Event.toPromise(P.onDidAddConnection),await this.route(P)}}e.StaticRouter=$;var q;(function(F){function P(N,W){const H=N,Q=W&&W.disableMarshalling,X=new Map;for(const ie in H)M(ie)&&X.set(ie,v.Event.buffer(H[ie],!0));return new class{listen(ie,se){const ce=X.get(se);if(ce)return ce;throw new Error(`Event not found: ${se}`)}call(ie,se,ce){const he=H[se];if(typeof he=="function"){if(!Q&&Array.isArray(ce))for(let me=0;me<ce.length;me++)ce[me]=(0,I.revive)(ce[me]);return he.apply(H,ce)}throw new Error(`Method not found: ${se}`)}}}F.fromService=P;function T(N,W){const H=W&&W.disableMarshalling;return new Proxy({},{get(Q,X){var ie;if(typeof X=="string")return((ie=W==null?void 0:W.properties)===null||ie===void 0?void 0:ie.has(X))?W.properties.get(X):M(X)?N.listen(X):async function(...se){let ce;W&&!(0,S.isUndefinedOrNull)(W.context)?ce=[W.context,...se]:ce=se;const he=await N.call(X,ce);return H?he:(0,I.revive)(he)};throw new Error(`Property not found: ${String(X)}`)}})}F.toService=T;function M(N){return N[0]==="o"&&N[1]==="n"&&d.isUpperAsciiLetter(N.charCodeAt(2))}})(q=e.ProxyChannel||(e.ProxyChannel={}));const V=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function z(F){if(Array.isArray(F))return F;if(F&&typeof F=="object"&&typeof F.toString=="function"){let P=F.toString();if(P!=="[object Object]")return P}return F}function Y(F){return Array.isArray(F)?F.map(z):z(F)}function x(F,P,T,M,N,W,H){H=Y(H);const Q=V[N],X=Q[M%Q.length];let ie=[`%c[${F}]%c[${String(P).padStart(7," ")}]%c[len: ${String(T).padStart(5," ")}]%c${String(M).padStart(5," ")} - ${W}`,"color: darkgreen","color: grey","color: grey",`color: ${X}`];/\($/.test(W)?(ie=ie.concat(H),ie.push(")")):ie.push(H),console.log.apply(console,ie)}e.logWithColors=x;class j{constructor(P,T){this._outgoingPrefix=P,this._incomingPrefix=T,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(P,T,M,N,W){this._totalOutgoing+=P,x(this._outgoingPrefix,this._totalOutgoing,P,T,M,N,W)}logIncoming(P,T,M,N,W){this._totalIncoming+=P,x(this._incomingPrefix,this._totalIncoming,P,T,M,N,W)}}e.IPCLogger=j}),define(Z[98],ee([0,1,3,33,22]),function(G,e,v,k,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class R{constructor(g){this.port=g,this.onMessage=v.Event.fromDOMEventEmitter(this.port,"message",S=>U.VSBuffer.wrap(S.data)),g.start()}send(g){this.port.postMessage(g.buffer)}disconnect(){this.port.close()}}e.Protocol=R;class A extends k.IPCClient{constructor(g,S){const I=new R(g);super(I,S);this.protocol=I}dispose(){this.protocol.disconnect()}}e.Client=A}),define(Z[99],ee([0,1,100,3,33,98]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;class A extends U.IPCServer{static getOnDidClientConnect(){const g=k.Event.fromNodeEventEmitter(v.ipcRenderer,"vscode:createMessageChannel",(S,I)=>I);return k.Event.map(g,S=>{const{port1:I,port2:d}=new MessageChannel,D={protocol:new R.Protocol(I),onDidClientDisconnect:k.Event.fromDOMEventEmitter(I,"close")};return v.ipcRenderer.postMessage("vscode:createMessageChannelResult",S,[d]),D})}constructor(){super(A.getOnDidClientConnect())}}e.Server=A}),define(Z[101],ee([0,1,14,22]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.request=void 0;function U(L,g){L.proxyAuthorization&&(L.headers=Object.assign(Object.assign({},L.headers||{}),{"Proxy-Authorization":L.proxyAuthorization}));const S=new XMLHttpRequest;return new Promise((I,d)=>{S.open(L.type||"GET",L.url||"",!0,L.user,L.password),R(S,L),S.responseType="arraybuffer",S.onerror=E=>d(new Error(S.statusText&&"XHR failed: "+S.statusText||"XHR failed")),S.onload=E=>{I({res:{statusCode:S.status,headers:A(S)},stream:(0,k.bufferToStream)(k.VSBuffer.wrap(new Uint8Array(S.response)))})},S.ontimeout=E=>d(new Error(`XHR timeout: ${L.timeout}ms`)),L.timeout&&(S.timeout=L.timeout),S.send(L.data),g.onCancellationRequested(()=>{S.abort(),d((0,v.canceled)())})})}e.request=U;function R(L,g){if(g.headers){e:for(let S in g.headers){switch(S){case"User-Agent":case"Accept-Encoding":case"Content-Length":continue e}L.setRequestHeader(S,g.headers[S])}}}function A(L){const g=Object.create(null);for(const S of L.getAllResponseHeaders().split(/\r\n|\n|\r/g))if(S){const I=S.indexOf(":");g[S.substr(0,I).trim().toLowerCase()]=S.substr(I+1).trim()}return g}}),define(Z[102],ee([0,1,7]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.context=e.process=e.crashReporter=e.webFrame=e.ipcMessagePort=e.ipcRenderer=void 0,e.ipcRenderer=v.globals.vscode.ipcRenderer,e.ipcMessagePort=v.globals.vscode.ipcMessagePort,e.webFrame=v.globals.vscode.webFrame,e.crashReporter=v.globals.vscode.crashReporter,e.process=v.globals.vscode.process,e.context=v.globals.vscode.context}),define(Z[67],ee([0,1,2,3,6,17]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.StorageHint=void 0;var A;(function(I){I[I.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(A=e.StorageHint||(e.StorageHint={}));var L;(function(I){I[I.None=0]="None",I[I.Initialized=1]="Initialized",I[I.Closed=2]="Closed"})(L||(L={}));class g extends v.Disposable{constructor(d,E=Object.create(null)){super();this.database=d,this.options=E,this._onDidChangeStorage=this._register(new k.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=L.None,this.cache=new Map,this.flushDelayer=new U.ThrottledDelayer(g.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(d=>this.onDidChangeItemsExternal(d)))}onDidChangeItemsExternal(d){var E,D;(E=d.changed)===null||E===void 0||E.forEach((a,C)=>this.accept(C,a)),(D=d.deleted)===null||D===void 0||D.forEach(a=>this.accept(a,void 0))}accept(d,E){if(this.state!==L.Closed){let D=!1;(0,R.isUndefinedOrNull)(E)?D=this.cache.delete(d):this.cache.get(d)!==E&&(this.cache.set(d,E),D=!0),D&&this._onDidChangeStorage.fire(d)}}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===L.None&&(this.state=L.Initialized,this.options.hint!==A.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(d,E){const D=this.cache.get(d);return(0,R.isUndefinedOrNull)(D)?E:D}getBoolean(d,E){const D=this.get(d);return(0,R.isUndefinedOrNull)(D)?E:D==="true"}getNumber(d,E){const D=this.get(d);return(0,R.isUndefinedOrNull)(D)?E:parseInt(D,10)}async set(d,E){if(this.state!==L.Closed){if((0,R.isUndefinedOrNull)(E))return this.delete(d);const D=String(E);if(this.cache.get(d)!==D)return this.cache.set(d,D),this.pendingInserts.set(d,D),this.pendingDeletes.delete(d),this._onDidChangeStorage.fire(d),this.flushDelayer.trigger(()=>this.flushPending())}}async delete(d){if(this.state!==L.Closed&&!!this.cache.delete(d))return this.pendingDeletes.has(d)||this.pendingDeletes.add(d),this.pendingInserts.delete(d),this._onDidChangeStorage.fire(d),this.flushDelayer.trigger(()=>this.flushPending())}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=L.Closed;try{await this.flushDelayer.trigger(()=>this.flushPending(),0)}catch(d){}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!!this.hasPending){const d={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(d).finally(()=>{var E;if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)(E=this.whenFlushedCallbacks.pop())===null||E===void 0||E()})}}async whenFlushed(){if(!!this.hasPending)return new Promise(d=>this.whenFlushedCallbacks.push(d))}dispose(){this.flushDelayer.cancel(),this.flushDelayer.dispose(),super.dispose()}}e.Storage=g,g.DEFAULT_FLUSH_DELAY=100;class S{constructor(){this.onDidChangeItemsExternal=k.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(d){d.insert&&d.insert.forEach((E,D)=>this.items.set(D,E)),d.delete&&d.delete.forEach(E=>this.items.delete(E))}async close(){}}e.InMemoryStorageDatabase=S}),define(Z[103],ee([11,12]),function(G,e){return G.create("vs/base/common/date",e)}),define(Z[54],ee([0,1,103]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const k=60,U=k*60,R=U*24,A=R*7,L=R*30,g=R*365;function S(d,E){typeof d!="number"&&(d=d.getTime());const D=Math.round((new Date().getTime()-d)/1e3);if(D<-30)return(0,v.localize)(0,null,S(new Date().getTime()+D*1e3,!1));if(D<30)return(0,v.localize)(1,null);let a;return D<k?(a=D,E?a===1?(0,v.localize)(2,null,a):(0,v.localize)(3,null,a):a===1?(0,v.localize)(4,null,a):(0,v.localize)(5,null,a)):D<U?(a=Math.floor(D/k),E?a===1?(0,v.localize)(6,null,a):(0,v.localize)(7,null,a):a===1?(0,v.localize)(8,null,a):(0,v.localize)(9,null,a)):D<R?(a=Math.floor(D/U),E?a===1?(0,v.localize)(10,null,a):(0,v.localize)(11,null,a):a===1?(0,v.localize)(12,null,a):(0,v.localize)(13,null,a)):D<A?(a=Math.floor(D/R),E?a===1?(0,v.localize)(14,null,a):(0,v.localize)(15,null,a):a===1?(0,v.localize)(16,null,a):(0,v.localize)(17,null,a)):D<L?(a=Math.floor(D/A),E?a===1?(0,v.localize)(18,null,a):(0,v.localize)(19,null,a):a===1?(0,v.localize)(20,null,a):(0,v.localize)(21,null,a)):D<g?(a=Math.floor(D/L),E?a===1?(0,v.localize)(22,null,a):(0,v.localize)(23,null,a):a===1?(0,v.localize)(24,null,a):(0,v.localize)(25,null,a)):(a=Math.floor(D/g),E?a===1?(0,v.localize)(26,null,a):(0,v.localize)(27,null,a):a===1?(0,v.localize)(28,null,a):(0,v.localize)(29,null,a))}e.fromNow=S;function I(d){return d.getFullYear()+"-"+String(d.getMonth()+1).padStart(2,"0")+"-"+String(d.getDate()).padStart(2,"0")+"T"+String(d.getHours()).padStart(2,"0")+":"+String(d.getMinutes()).padStart(2,"0")+":"+String(d.getSeconds()).padStart(2,"0")+"."+(d.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=I}),define(Z[104],ee([11,12]),function(G,e){return G.create("vs/base/common/errorMessage",e)}),define(Z[43],ee([0,1,104,17,18]),function(G,e,v,k,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function R(S,I){return I&&(S.stack||S.stacktrace)?v.localize(0,null,L(S),A(S.stack)||A(S.stacktrace)):L(S)}function A(S){return Array.isArray(S)?S.join(`
`):S}function L(S){return typeof S.code=="string"&&typeof S.errno=="number"&&typeof S.syscall=="string"?v.localize(1,null,S.message):S.message||v.localize(2,null)}function g(S=null,I=!1){if(!S)return v.localize(3,null);if(Array.isArray(S)){const d=U.coalesce(S),E=g(d[0],I);return d.length>1?v.localize(4,null,E,d.length):E}if(k.isString(S))return S;if(S.detail){const d=S.detail;if(d.error)return R(d.error,I);if(d.exception)return R(d.exception,I)}return S.stack?R(S,I):S.message?S.message:v.localize(5,null)}e.toErrorMessage=g}),define(Z[105],ee([11,12]),function(G,e){return G.create("vs/base/node/processes",e)}),define(Z[106],ee([0,1,8,27,23,48,105,17,26,42,7,66,15]),function(G,e,v,k,U,R,A,L,g,S,I,d,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0;function D(o){switch(o){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function a(o,i){if(I.isWindows)try{const t={stdio:["pipe","pipe","ignore"]};i&&(t.cwd=i);const n=R.execFile("taskkill",["/T","/F","/PID",o.pid.toString()],t);return new Promise(r=>{n.once("error",u=>{r({success:!1,error:u})}),n.once("exit",(u,s)=>{r(u===0?{success:!0}:{success:!1,code:u!==null?u:1})})})}catch(t){return Promise.resolve({success:!1,error:t,code:t.status?D(t.status):1})}else if(I.isLinux||I.isMacintosh)try{const t=E.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",G).fsPath;return new Promise(n=>{R.execFile(t,[o.pid.toString()],{encoding:"utf8",shell:!0},(r,u,s)=>{n(r?{success:!1,error:r}:{success:!0})})})}catch(t){return Promise.resolve({success:!1,error:t})}else o.kill("SIGKILL");return Promise.resolve({success:!0})}function C(o=process.env){return o.comspec||"cmd.exe"}e.getWindowsShell=C;class b{constructor(i,t,n,r){if(t!==void 0&&n!==void 0&&r!==void 0)this.cmd=i,this.args=t,this.shell=n,this.options=r;else{const u=i;this.cmd=u.command,this.shell=u.isShellCommand,this.args=u.args.slice(0),this.options=u.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const u=Object.create(null);Object.keys(process.env).forEach(s=>{u[s]=process.env[s]}),Object.keys(this.options.env).forEach(s=>{u[s]=this.options.env[s]}),this.options.env=u}}getSanitizedCommand(){let i=this.cmd.toLowerCase();const t=i.lastIndexOf(v.sep);return t!==-1&&(i=i.substring(t+1)),b.WellKnowCommands[i]?i:"other"}start(i){return I.isWindows&&(this.options&&this.options.cwd&&S.isUNC(this.options.cwd)||!this.options&&S.isUNC(process.cwd()))?Promise.reject(new Error(A.localize(0,null))):this.useExec().then(t=>{let n,r;const u=new Promise((s,c)=>{n=s,r=c});if(t){let s=this.cmd;this.args&&(s=s+" "+this.args.join(" ")),this.childProcess=R.exec(s,this.options,(c,l,f)=>{this.childProcess=null;const w=c;w&&w.killed?r({killed:this.terminateRequested,stdout:l.toString(),stderr:f.toString()}):this.handleExec(n,i,c,l,f)})}else{let s=null;const c=l=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(l,n,i,r);const f={terminated:this.terminateRequested};L.isNumber(l)&&(f.cmdCode=l),n(f)};if(this.shell&&I.isWindows){const l=g.deepClone(this.options);l.windowsVerbatimArguments=!0,l.detached=!1;let f=!1,w=!1;const h=[];let O=this.ensureQuotes(this.cmd);h.push(O.value),f=O.quoted,this.args&&this.args.forEach($=>{O=this.ensureQuotes($),h.push(O.value),w=w&&O.quoted});const _=["/s","/c"];f?w?_.push('"'+h.join(" ")+'"'):h.length>1?_.push('"'+h[0]+'" '+h.slice(1).join(" ")):_.push('"'+h[0]+'"'):_.push(h.join(" ")),s=R.spawn(C(),_,l)}else this.cmd&&(s=R.spawn(this.cmd,this.args,this.options));s&&(this.childProcess=s,this.childProcessPromise=Promise.resolve(s),this.pidResolve&&(this.pidResolve(L.isNumber(s.pid)?s.pid:-1),this.pidResolve=void 0),s.on("error",l=>{this.childProcess=null,r({terminated:this.terminateRequested,error:l})}),s.pid&&(this.childProcess.on("close",c),this.handleSpawn(s,n,i,r,!0)))}return u})}handleClose(i,t,n,r){}ensureQuotes(i){return b.regexp.test(i)?{value:'"'+i+'"',quoted:!0}:{value:i,quoted:i.length>0&&i[0]==='"'&&i[i.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(i=>i.pid,i=>-1):new Promise(i=>{this.pidResolve=i})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(i=>(this.terminateRequested=!0,a(i,this.options.cwd).then(t=>(t.success&&(this.childProcess=null),t))),i=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(i=>{if(!this.shell||!I.isWindows)return i(!1);const t=R.spawn(C(),["/s","/c"]);t.on("error",n=>i(!0)),t.on("exit",n=>i(!1))})}}e.AbstractProcess=b,b.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},b.regexp=/^[^"].* .*[^"]/;class p extends b{constructor(i,t,n,r){super(i,t,n,r);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(i,t,n,r,u){[r,u].forEach((s,c)=>{const l=new d.LineDecoder;l.write(s).forEach(h=>{t({line:h,source:c===0?0:1})});const w=l.end();w&&t({line:w,source:c===0?0:1})}),i({terminated:this.terminateRequested,error:n})}handleSpawn(i,t,n,r,u){const s=new d.LineDecoder,c=new d.LineDecoder;i.stdout.on("data",l=>{s.write(l).forEach(w=>n({line:w,source:0}))}),i.stderr.on("data",l=>{c.write(l).forEach(w=>n({line:w,source:1}))}),this.stdoutLineDecoder=s,this.stderrLineDecoder=c}handleClose(i,t,n,r){const u=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;u&&n({line:u,source:0});const s=this.stderrLineDecoder?this.stderrLineDecoder.end():null;s&&n({line:s,source:1})}}e.LineProcess=p;function y(o){let i=[],t=!1;const n=function(r){if(t){i.push(r);return}(!o.send(r,s=>{if(s&&console.error(s),t=!1,i.length>0){const c=i.slice(0);i=[],c.forEach(l=>n(l))}})||I.isWindows)&&(t=!0)};return{send:n}}e.createQueuedSender=y;var m;(function(o){async function i(t,n,r){if(v.isAbsolute(t))return t;if(n===void 0&&(n=process.cwd()),v.dirname(t)!=="."||(r===void 0&&L.isString(process.env.PATH)&&(r=process.env.PATH.split(v.delimiter)),r===void 0||r.length===0))return v.join(n,t);async function s(c){return await U.exists(c)?!(await k.promises.stat(c)).isDirectory():!1}for(let c of r){let l;if(v.isAbsolute(c)?l=v.join(c,t):l=v.join(n,c,t),await s(l))return l;let f=l+".com";if(await s(f)||(f=l+".exe",await s(f)))return f}return v.join(n,t)}o.findExecutable=i})(m=e.win32||(e.win32={}))}),define(Z[49],ee([0,1,48,2,6,26,3,106,33,88,29,14,22,7]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class a extends g.ChannelServer{constructor(p){super({send:y=>{try{process.send&&process.send(y.buffer.toString("base64"))}catch(m){}},onMessage:A.Event.fromNodeEventEmitter(process,"message",y=>E.VSBuffer.wrap(Buffer.from(y,"base64")))},p);process.once("disconnect",()=>this.dispose())}}e.Server=a;class C{constructor(p,y){this.modulePath=p,this.options=y,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new A.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const m=y&&y.timeout?y.timeout:6e4;this.disposeDelayer=new U.Delayer(m),this.child=null,this._client=null}getChannel(p){const y=this;return{call(m,o,i){return y.requestPromise(p,m,o,i)},listen(m,o){return y.requestEvent(p,m,o)}}}requestPromise(p,y,m,o=I.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(o.isCancellationRequested)return Promise.reject(d.canceled());this.disposeDelayer.cancel();const i=this.getCachedChannel(p),t=(0,U.createCancelablePromise)(u=>i.call(y,m,u)),n=o.onCancellationRequested(()=>t.cancel()),r=(0,k.toDisposable)(()=>t.cancel());return this.activeRequests.add(r),t.finally(()=>{n.dispose(),this.activeRequests.delete(r),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),t}requestEvent(p,y,m){if(!this.disposeDelayer)return A.Event.None;this.disposeDelayer.cancel();let o;const i=new A.Emitter({onFirstListenerAdd:()=>{o=this.getCachedChannel(p).listen(y,m)(i.fire,i),this.activeRequests.add(o)},onLastListenerRemove:()=>{this.activeRequests.delete(o),o.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return i.event}get client(){if(!this._client){const p=this.options&&this.options.args?this.options.args:[],y=Object.create(null);y.env=Object.assign(Object.assign({},(0,R.deepClone)(process.env)),{VSCODE_PARENT_PID:String(process.pid)}),this.options&&this.options.env&&(y.env=Object.assign(Object.assign({},y.env),this.options.env)),this.options&&this.options.freshExecArgv&&(y.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(y.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(y.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),y.execArgv===void 0&&(y.execArgv=process.execArgv.filter(s=>!/^--inspect(-brk)?=/.test(s))),D.isMacintosh&&y.env&&delete y.env.DYLD_LIBRARY_PATH,this.child=(0,v.fork)(this.modulePath,p,y);const m=new A.Emitter;A.Event.fromNodeEventEmitter(this.child,"message",s=>s)(s=>{if((0,S.isRemoteConsoleLog)(s)){(0,S.log)(s,`IPC Library: ${this.options.serverName}`);return}m.fire(E.VSBuffer.wrap(Buffer.from(s,"base64")))});const i=this.options.useQueue?(0,L.createQueuedSender)(this.child):this.child,t=s=>this.child&&this.child.connected&&i.send(s.buffer.toString("base64")),n=m.event,r={send:t,onMessage:n};this._client=new g.ChannelClient(r);const u=()=>this.disposeClient();process.once("exit",u),this.child.on("error",s=>console.warn('IPC "'+this.options.serverName+'" errored with '+s)),this.child.on("exit",(s,c)=>{process.removeListener("exit",u),this.activeRequests.forEach(l=>(0,k.dispose)(l)),this.activeRequests.clear(),s!==0&&c!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+s+" and signal "+c),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:s,signal:c})})}return this._client}getCachedChannel(p){let y=this.channels.get(p);return y||(y=this.client.getChannel(p),this.channels.set(p,y)),y}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=C}),define(Z[107],ee([11,12]),function(G,e){return G.create("vs/base/node/zip",e)}),define(Z[108],ee([11,12]),function(G,e){return G.create("vs/platform/configuration/common/configurationRegistry",e)}),define(Z[109],ee([11,12]),function(G,e){return G.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(Z[110],ee([11,12]),function(G,e){return G.create("vs/platform/extensionManagement/electron-sandbox/extensionTipsService",e)}),define(Z[111],ee([11,12]),function(G,e){return G.create("vs/platform/extensionManagement/node/extensionManagementService",e)}),define(Z[112],ee([11,12]),function(G,e){return G.create("vs/platform/extensionManagement/node/extensionManagementUtil",e)}),define(Z[113],ee([11,12]),function(G,e){return G.create("vs/platform/extensionManagement/node/extensionsScanner",e)}),define(Z[114],ee([11,12]),function(G,e){return G.create("vs/platform/extensions/common/extensionValidator",e)}),define(Z[115],ee([11,12]),function(G,e){return G.create("vs/platform/files/common/fileService",e)}),define(Z[116],ee([11,12]),function(G,e){return G.create("vs/platform/files/common/files",e)}),define(Z[117],ee([11,12]),function(G,e){return G.create("vs/platform/files/common/io",e)}),define(Z[118],ee([11,12]),function(G,e){return G.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(Z[119],ee([11,12]),function(G,e){return G.create("vs/platform/request/common/request",e)}),define(Z[120],ee([11,12]),function(G,e){return G.create("vs/platform/telemetry/common/telemetryService",e)}),define(Z[121],ee([11,12]),function(G,e){return G.create("vs/platform/userDataSync/common/abstractSynchronizer",e)}),define(Z[122],ee([11,12]),function(G,e){return G.create("vs/platform/userDataSync/common/keybindingsSync",e)}),define(Z[123],ee([11,12]),function(G,e){return G.create("vs/platform/userDataSync/common/settingsSync",e)}),define(Z[124],ee([11,12]),function(G,e){return G.create("vs/platform/userDataSync/common/userDataAutoSyncService",e)}),define(Z[125],ee([11,12]),function(G,e){return G.create("vs/platform/userDataSync/common/userDataSync",e)}),define(Z[126],ee([11,12]),function(G,e){return G.create("vs/platform/userDataSync/common/userDataSyncMachines",e)}),define(Z[127],ee([0,1,5]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemotes=e.getDomainsOfRemotes=e.AllowedSecondLevelDomains=void 0;const k=/^([^@:]+@)?([^:]+):/,U=/^([^@:]+@)?([^:]+):(.+)$/,R=/^([^@]+@)?([^:]+)(:\d+)?$/,A=/([^@:.]+\.[^@:.]+)(:\d+)?$/,L=/^\s*url\s*=\s*(.+\S)\s*$/mg,g=/[^.]/g;e.AllowedSecondLevelDomains=["github.com","bitbucket.org","visualstudio.com","gitlab.com","heroku.com","azurewebsites.net","ibm.com","amazon.com","amazonaws.com","cloudapp.net","rhcloud.com","google.com","azure.com"];function S(b){const p=b.match(A);return p?p[1]:null}function I(b){if(b.indexOf("://")===-1){const p=b.match(k);return p?S(p[2]):null}try{const p=v.URI.parse(b);if(p.authority)return S(p.authority)}catch(p){}return null}function d(b,p){const y=new Set;let m;for(;m=L.exec(b);){const i=I(m[1]);i&&y.add(i)}const o=new Set(p);return Array.from(y).map(i=>o.has(i)?i:i.replace(g,"a"))}e.getDomainsOfRemotes=d;function E(b){const p=b.match(R);return p?p[2]:null}function D(b,p,y){return b&&p?(y&&p.endsWith(".git")&&(p=p.substr(0,p.length-4)),p.indexOf("/")===0?`${b}${p}`:`${b}/${p}`):null}function a(b,p){if(b.indexOf("://")===-1){const y=b.match(U);if(y)return D(y[2],y[3],p)}try{const y=v.URI.parse(b);if(y.authority)return D(E(y.authority),y.path,p)}catch(y){}return null}function C(b,p=!1){const y=[];let m;for(;m=L.exec(b);){const o=a(m[1],p);o&&y.push(o)}return y}e.getRemotes=C}),define(Z[128],ee([0,1,3,5,91,26,2]),function(G,e,v,k,U,R,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsChannel=e.ExtensionManagementChannelClient=e.ExtensionManagementChannel=void 0;function L(a,C){return k.URI.revive(C?C.transformIncoming(a):a)}function g(a,C){return C?C.transformOutgoingURI(a):a}function S(a,C){C=C||U.DefaultURITransformer;const b=a.manifest,p=(0,U.transformAndReviveIncomingURIs)(Object.assign(Object.assign({},a),{manifest:void 0}),C);return Object.assign(Object.assign({},p),{manifest:b})}function I(a,C){return C?(0,R.cloneAndChange)(a,b=>b instanceof k.URI?C.transformOutgoingURI(b):void 0):a}class d{constructor(C,b){this.service=C,this.getUriTransformer=b,this.onInstallExtension=v.Event.buffer(C.onInstallExtension,!0),this.onDidInstallExtension=v.Event.buffer(C.onDidInstallExtension,!0),this.onUninstallExtension=v.Event.buffer(C.onUninstallExtension,!0),this.onDidUninstallExtension=v.Event.buffer(C.onDidUninstallExtension,!0)}listen(C,b){const p=this.getUriTransformer(C);switch(b){case"onInstallExtension":return this.onInstallExtension;case"onDidInstallExtension":return v.Event.map(this.onDidInstallExtension,y=>Object.assign(Object.assign({},y),{local:y.local?I(y.local,p):y.local}));case"onUninstallExtension":return this.onUninstallExtension;case"onDidUninstallExtension":return this.onDidUninstallExtension}throw new Error("Invalid listen")}call(C,b,p){const y=this.getUriTransformer(C);switch(b){case"zip":return this.service.zip(S(p[0],y)).then(m=>g(m,y));case"unzip":return this.service.unzip(L(p[0],y));case"install":return this.service.install(L(p[0],y));case"getManifest":return this.service.getManifest(L(p[0],y));case"canInstall":return this.service.canInstall(p[0]);case"installFromGallery":return this.service.installFromGallery(p[0],p[1]);case"uninstall":return this.service.uninstall(S(p[0],y),p[1]);case"reinstallFromGallery":return this.service.reinstallFromGallery(S(p[0],y));case"getInstalled":return this.service.getInstalled(p[0]).then(m=>m.map(o=>I(o,y)));case"updateMetadata":return this.service.updateMetadata(S(p[0],y),p[1]).then(m=>I(m,y));case"updateExtensionScope":return this.service.updateExtensionScope(S(p[0],y),p[1]).then(m=>I(m,y));case"getExtensionsReport":return this.service.getExtensionsReport()}throw new Error("Invalid call")}}e.ExtensionManagementChannel=d;class E extends A.Disposable{constructor(C){super();this.channel=C,this._onInstallExtension=this._register(new v.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtension=this._register(new v.Emitter),this.onDidInstallExtension=this._onDidInstallExtension.event,this._onUninstallExtension=this._register(new v.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new v.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this._register(this.channel.listen("onInstallExtension")(b=>this._onInstallExtension.fire(b))),this._register(this.channel.listen("onDidInstallExtension")(b=>this._onDidInstallExtension.fire(Object.assign(Object.assign({},b),{local:b.local?S(b.local,null):b.local})))),this._register(this.channel.listen("onUninstallExtension")(b=>this._onUninstallExtension.fire(b))),this._register(this.channel.listen("onDidUninstallExtension")(b=>this._onDidUninstallExtension.fire(b)))}zip(C){return Promise.resolve(this.channel.call("zip",[C]).then(b=>k.URI.revive(b)))}unzip(C){return Promise.resolve(this.channel.call("unzip",[C]))}install(C){return Promise.resolve(this.channel.call("install",[C])).then(b=>S(b,null))}getManifest(C){return Promise.resolve(this.channel.call("getManifest",[C]))}async canInstall(C){return!0}installFromGallery(C,b){return Promise.resolve(this.channel.call("installFromGallery",[C,b])).then(p=>S(p,null))}uninstall(C,b){return Promise.resolve(this.channel.call("uninstall",[C,b]))}reinstallFromGallery(C){return Promise.resolve(this.channel.call("reinstallFromGallery",[C]))}getInstalled(C=null){return Promise.resolve(this.channel.call("getInstalled",[C])).then(b=>b.map(p=>S(p,null)))}updateMetadata(C,b){return Promise.resolve(this.channel.call("updateMetadata",[C,b])).then(p=>S(p,null))}updateExtensionScope(C,b){return Promise.resolve(this.channel.call("updateExtensionScope",[C,b])).then(p=>S(p,null))}getExtensionsReport(){return Promise.resolve(this.channel.call("getExtensionsReport"))}}e.ExtensionManagementChannelClient=E;class D{constructor(C){this.service=C}listen(C,b){throw new Error("Invalid listen")}call(C,b,p){switch(b){case"getConfigBasedTips":return this.service.getConfigBasedTips(k.URI.revive(p[0]));case"getImportantExecutableBasedTips":return this.service.getImportantExecutableBasedTips();case"getOtherExecutableBasedTips":return this.service.getOtherExecutableBasedTips();case"getAllWorkspacesTips":return this.service.getAllWorkspacesTips()}throw new Error("Invalid call")}}e.ExtensionTipsChannel=D}),define(Z[129],ee([0,1,26]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.localizeManifest=void 0;const k=/^%([\w\d.-]+)%$/i;function U(R,A){const L=g=>{if(typeof g=="string"){const S=k.exec(g);if(!!S)return A[S[1]]||g}};return(0,v.cloneAndChange)(R,L)}e.localizeManifest=U}),define(Z[130],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionRecommendationNotificationServiceChannel=e.ExtensionRecommendationNotificationServiceChannelClient=void 0;class v{constructor(R){this.channel=R}get ignoredRecommendations(){throw new Error("not supported")}promptImportantExtensionsInstallNotification(R,A,L,g){return this.channel.call("promptImportantExtensionsInstallNotification",[R,A,L,g])}promptWorkspaceRecommendations(R){throw new Error("not supported")}hasToIgnoreRecommendationNotifications(){throw new Error("not supported")}}e.ExtensionRecommendationNotificationServiceChannelClient=v;class k{constructor(R){this.service=R}listen(R,A){throw new Error(`Event not found: ${A}`)}call(R,A,L){switch(A){case"promptImportantExtensionsInstallNotification":return this.service.promptImportantExtensionsInstallNotification(L[0],L[1],L[2],L[3])}throw new Error(`Call not found: ${A}`)}}e.ExtensionRecommendationNotificationServiceChannel=k}),define(Z[68],ee([0,1,114]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVersionValid=e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const k=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/;function U(d){return d=d.trim(),d==="*"||k.test(d)}e.isValidVersionStr=U;function R(d){if(!U(d))return null;if(d=d.trim(),d==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let E=d.match(k);return E?{hasCaret:E[1]==="^",hasGreaterEquals:E[1]===">=",majorBase:E[2]==="x"?0:parseInt(E[2],10),majorMustEqual:E[2]!=="x",minorBase:E[4]==="x"?0:parseInt(E[4],10),minorMustEqual:E[4]!=="x",patchBase:E[6]==="x"?0:parseInt(E[6],10),patchMustEqual:E[6]!=="x",preRelease:E[8]||null}:null}e.parseVersion=R;function A(d){if(!d)return null;let E=d.majorBase,D=d.majorMustEqual,a=d.minorBase,C=d.minorMustEqual,b=d.patchBase,p=d.patchMustEqual;return d.hasCaret&&(E===0||(C=!1),p=!1),{majorBase:E,majorMustEqual:D,minorBase:a,minorMustEqual:C,patchBase:b,patchMustEqual:p,isMinimum:d.hasGreaterEquals}}e.normalizeVersion=A;function L(d,E){let D;typeof d=="string"?D=A(R(d)):D=d;let a;if(typeof E=="string"?a=A(R(E)):a=E,!D||!a)return!1;let C=D.majorBase,b=D.minorBase,p=D.patchBase,y=a.majorBase,m=a.minorBase,o=a.patchBase,i=a.majorMustEqual,t=a.minorMustEqual,n=a.patchMustEqual;return a.isMinimum?C>y?!0:C<y?!1:b>m?!0:b<m?!1:p>=o:(C===1&&y===0&&(!i||!t||!n)&&(y=1,m=0,o=0,i=!0,t=!1,n=!1),C<y?!1:C>y?!i:b<m?!1:b>m?!t:p<o?!1:p>o?!n:!0)}e.isValidVersion=L;function g(d,E,D){return E.isBuiltin||typeof E.main=="undefined"?!0:I(d,E.engines.vscode,D)}e.isValidExtensionVersion=g;function S(d,E){return d==="*"||I(E,d)}e.isEngineValid=S;function I(d,E,D=[]){let a=A(R(E));if(!a)return D.push(v.localize(0,null,E)),!1;if(a.majorBase===0){if(!a.majorMustEqual||!a.minorMustEqual)return D.push(v.localize(1,null,E)),!1}else if(!a.majorMustEqual)return D.push(v.localize(2,null,E)),!1;return L(d,a)?!0:(D.push(v.localize(3,null,d,E)),!1)}e.isVersionValid=I}),define(Z[131],ee([0,1,33,49,2,15]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class A extends U.Disposable{constructor(g,S,I,d){super();this.folders=g,this.onDidFilesChange=S,this.onLogMessage=I,this.verboseLogging=d,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const g=this._register(new k.Client(R.FileAccess.asFileUri("bootstrap-fork",G).fsPath,{serverName:"File Watcher (nsfw)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/nsfw/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(g.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=A.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=v.ProxyChannel.toService((0,v.getNextTickChannel)(g.getChannel("watcher"))),this.service.setVerboseLogging(this.verboseLogging),this._register(this.service.onDidChangeFile(S=>!this.isDisposed&&this.onDidFilesChange(S))),this._register(this.service.onDidLogMessage(S=>this.onLogMessage(S))),this.setFolders(this.folders)}setVerboseLogging(g){this.verboseLogging=g,!this.isDisposed&&this.service&&this.service.setVerboseLogging(g)}error(g){this.onLogMessage({type:"error",message:`[File Watcher (nsfw)] ${g}`})}setFolders(g){this.folders=g,this.service&&this.service.setRoots(g)}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=A,A.MAX_RESTARTS=5}),define(Z[132],ee([0,1,33,49,2,15]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class A extends U.Disposable{constructor(g,S,I,d,E={}){super();this.folders=g,this.onDidFilesChange=S,this.onLogMessage=I,this.verboseLogging=d,this.watcherOptions=E,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const g=this._register(new k.Client(R.FileAccess.asFileUri("bootstrap-fork",G).fsPath,{serverName:"File Watcher (chokidar)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/unix/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(g.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=A.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=v.ProxyChannel.toService((0,v.getNextTickChannel)(g.getChannel("watcher"))),this.service.init(Object.assign(Object.assign({},this.watcherOptions),{verboseLogging:this.verboseLogging})),this._register(this.service.onDidChangeFile(S=>!this.isDisposed&&this.onDidFilesChange(S))),this._register(this.service.onDidLogMessage(S=>this.onLogMessage(S))),this.service.setRoots(this.folders)}error(g){this.onLogMessage({type:"error",message:`[File Watcher (chokidar)] ${g}`})}setVerboseLogging(g){this.verboseLogging=g,this.service&&this.service.setVerboseLogging(g)}setFolders(g){this.folders=g,this.service&&this.service.setRoots(g)}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=A,A.MAX_RESTARTS=5}),define(Z[133],ee([0,1,48,66,90,15]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutOfProcessWin32FolderWatcher=void 0;class A{constructor(g,S,I,d,E){this.watchedFolder=g,this.eventCallback=I,this.logCallback=d,this.verboseLogging=E,this.restartCounter=0,Array.isArray(S)?this.ignored=S.map(D=>U.parse(D)):this.ignored=[],this.verboseLogging&&this.log(`Start watching: ${g}`),this.startWatcher()}startWatcher(){const g=[this.watchedFolder];this.verboseLogging&&g.push("-verbose"),this.handle=v.spawn(R.FileAccess.asFileUri("vs/platform/files/node/watcher/win32/CodeHelper.exe",G).fsPath,g);const S=new k.LineDecoder;this.handle.stdout.on("data",I=>{const d=[];S.write(I).forEach(E=>{const D=E.split("|");if(D.length===2){const a=Number(D[0]),C=D[1];if(a>=0&&a<3){if(this.ignored&&this.ignored.some(b=>b(C))){this.verboseLogging&&this.log(C);return}d.push({type:A.changeTypeMap[a],path:C})}else this.log(D[1])}}),d.length>0&&this.eventCallback(d)}),this.handle.on("error",I=>this.onError(I)),this.handle.stderr.on("data",I=>this.onError(I)),this.handle.on("exit",(I,d)=>this.onExit(I,d))}onError(g){this.error("process error: "+g.toString())}onExit(g,S){this.handle&&(this.error(`terminated unexpectedly (code: ${g}, signal: ${S})`),this.restartCounter<=A.MAX_RESTARTS?(this.error("is restarted again..."),this.restartCounter++,this.startWatcher()):this.error("Watcher failed to start after retrying for some time, giving up. Please report this as a bug report!"))}error(g){this.logCallback({type:"error",message:`[File Watcher (C#)] ${g}`})}log(g){this.logCallback({type:"trace",message:`[File Watcher (C#)] ${g}`})}dispose(){this.handle&&(this.handle.kill(),this.handle=void 0)}}e.OutOfProcessWin32FolderWatcher=A,A.MAX_RESTARTS=5,A.changeTypeMap=[0,1,2]}),define(Z[134],ee([0,1,133,8,21]),function(G,e,v,k,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class R{constructor(L,g,S,I){this.onDidFilesChange=g,this.onLogMessage=S,this.verboseLogging=I,this.service=void 0,this.folder=L[0],this.folder.path.indexOf("\\\\")===0&&this.folder.path.endsWith(k.posix.sep)&&(this.folder.path=(0,U.rtrim)(this.folder.path,k.posix.sep)),this.service=this.startWatching()}get isDisposed(){return!this.service}startWatching(){return new v.OutOfProcessWin32FolderWatcher(this.folder.path,this.folder.excludes,L=>this.onFileEvents(L),L=>this.onLogMessage(L),this.verboseLogging)}setVerboseLogging(L){this.verboseLogging=L,this.service&&(this.service.dispose(),this.service=this.startWatching())}onFileEvents(L){this.isDisposed||L.length>0&&this.onDidFilesChange(L)}dispose(){this.service&&(this.service.dispose(),this.service=void 0)}}e.FileWatcher=R}),define(Z[50],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createSyncDescriptor=e.SyncDescriptor=void 0;class v{constructor(R,A=[],L=!1){this.ctor=R,this.staticArguments=A,this.supportsDelayedInstantiation=L}}e.SyncDescriptor=v;const k=(U,...R)=>new v(U,R);e.createSyncDescriptor=k}),define(Z[135],ee([0,1,50]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const k=[];function U(A,L,g){L instanceof v.SyncDescriptor||(L=new v.SyncDescriptor(L,[],g)),k.push([A,L])}e.registerSingleton=U;function R(){return k}e.getSingletonServiceDescriptors=R}),define(Z[136],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class v{constructor(R){this.incoming=new Map,this.outgoing=new Map,this.data=R}}e.Node=v;class k{constructor(R){this._hashFn=R,this._nodes=new Map}roots(){const R=[];for(let A of this._nodes.values())A.outgoing.size===0&&R.push(A);return R}insertEdge(R,A){const L=this.lookupOrInsertNode(R),g=this.lookupOrInsertNode(A);L.outgoing.set(this._hashFn(A),g),g.incoming.set(this._hashFn(R),L)}removeNode(R){const A=this._hashFn(R);this._nodes.delete(A);for(let L of this._nodes.values())L.outgoing.delete(A),L.incoming.delete(A)}lookupOrInsertNode(R){const A=this._hashFn(R);let L=this._nodes.get(A);return L||(L=new v(R),this._nodes.set(A,L)),L}lookup(R){return this._nodes.get(this._hashFn(R))}isEmpty(){return this._nodes.size===0}toString(){let R=[];for(let[A,L]of this._nodes)R.push(`${A}, (incoming)[${[...L.incoming.keys()].join(", ")}], (outgoing)[${[...L.outgoing.keys()].join(",")}]`);return R.join(`
`)}}e.Graph=k}),define(Z[4],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.optional=e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var v;(function(L){L.serviceIds=new Map,L.DI_TARGET="$di$target",L.DI_DEPENDENCIES="$di$dependencies";function g(S){return S[L.DI_DEPENDENCIES]||[]}L.getServiceDependencies=g})(v=e._util||(e._util={})),e.IInstantiationService=U("instantiationService");function k(L,g,S,I){g[v.DI_TARGET]===g?g[v.DI_DEPENDENCIES].push({id:L,index:S,optional:I}):(g[v.DI_DEPENDENCIES]=[{id:L,index:S,optional:I}],g[v.DI_TARGET]=g)}function U(L){if(v.serviceIds.has(L))return v.serviceIds.get(L);const g=function(S,I,d){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");k(g,S,d,!1)};return g.toString=()=>L,v.serviceIds.set(L,g),g}e.createDecorator=U;function R(L){return L}e.refineServiceDecorator=R;function A(L){return function(g,S,I){if(arguments.length!==3)throw new Error("@optional-decorator can only be used to decorate a parameter");k(L,g,I,!0)}}e.optional=A}),define(Z[137],ee([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IChecksumService=void 0,e.IChecksumService=(0,v.createDecorator)("checksumService")}),define(Z[138],ee([0,1,21,4,7]),function(G,e,v,k,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyOrExpr=e.ContextKeyAndExpr=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.ContextKeyExpr=e.ContextKeyExprType=void 0;let R=U.userAgent||"";const A=new Map;A.set("false",!1),A.set("true",!0),A.set("isMac",U.isMacintosh),A.set("isLinux",U.isLinux),A.set("isWindows",U.isWindows),A.set("isWeb",U.isWeb),A.set("isMacNative",U.isMacintosh&&!U.isWeb),A.set("isEdge",R.indexOf("Edg/")>=0),A.set("isFirefox",R.indexOf("Firefox")>=0),A.set("isChrome",R.indexOf("Chrome")>=0),A.set("isSafari",R.indexOf("Safari")>=0),A.set("isIPad",R.indexOf("iPad")>=0);const L=Object.prototype.hasOwnProperty;var g;(function(w){w[w.False=0]="False",w[w.True=1]="True",w[w.Defined=2]="Defined",w[w.Not=3]="Not",w[w.Equals=4]="Equals",w[w.NotEquals=5]="NotEquals",w[w.And=6]="And",w[w.Regex=7]="Regex",w[w.NotRegex=8]="NotRegex",w[w.Or=9]="Or",w[w.In=10]="In",w[w.NotIn=11]="NotIn",w[w.Greater=12]="Greater",w[w.GreaterEquals=13]="GreaterEquals",w[w.Smaller=14]="Smaller",w[w.SmallerEquals=15]="SmallerEquals"})(g=e.ContextKeyExprType||(e.ContextKeyExprType={}));class S{static false(){return d.INSTANCE}static true(){return E.INSTANCE}static has(h){return D.create(h)}static equals(h,O){return a.create(h,O)}static notEquals(h,O){return p.create(h,O)}static regex(h,O){return n.create(h,O)}static in(h,O){return C.create(h,O)}static not(h){return y.create(h)}static and(...h){return u.create(h)}static or(...h){return s.create(h)}static greater(h,O){return m.create(h,O)}static less(h,O){return i.create(h,O)}static deserialize(h,O=!1){if(!!h)return this._deserializeOrExpression(h,O)}static _deserializeOrExpression(h,O){let _=h.split("||");return s.create(_.map($=>this._deserializeAndExpression($,O)))}static _deserializeAndExpression(h,O){let _=h.split("&&");return u.create(_.map($=>this._deserializeOne($,O)))}static _deserializeOne(h,O){if(h=h.trim(),h.indexOf("!=")>=0){let _=h.split("!=");return p.create(_[0].trim(),this._deserializeValue(_[1],O))}if(h.indexOf("==")>=0){let _=h.split("==");return a.create(_[0].trim(),this._deserializeValue(_[1],O))}if(h.indexOf("=~")>=0){let _=h.split("=~");return n.create(_[0].trim(),this._deserializeRegexValue(_[1],O))}if(h.indexOf(" in ")>=0){let _=h.split(" in ");return C.create(_[0].trim(),_[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(h)){const _=h.split(">=");return o.create(_[0].trim(),_[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(h)){const _=h.split(">");return m.create(_[0].trim(),_[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(h)){const _=h.split("<=");return t.create(_[0].trim(),_[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(h)){const _=h.split("<");return i.create(_[0].trim(),_[1].trim())}return/^\!\s*/.test(h)?y.create(h.substr(1).trim()):D.create(h)}static _deserializeValue(h,O){if(h=h.trim(),h==="true")return!0;if(h==="false")return!1;let _=/^'([^']*)'$/.exec(h);return _?_[1].trim():h}static _deserializeRegexValue(h,O){if((0,v.isFalsyOrWhitespace)(h)){if(O)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let _=h.indexOf("/"),$=h.lastIndexOf("/");if(_===$||_<0){if(O)throw new Error(`bad regexp-value '${h}', missing /-enclosure`);return console.warn(`bad regexp-value '${h}', missing /-enclosure`),null}let q=h.slice(_+1,$),V=h[$+1]==="i"?"i":"";try{return new RegExp(q,V)}catch(z){if(O)throw new Error(`bad regexp-value '${h}', parse error: ${z}`);return console.warn(`bad regexp-value '${h}', parse error: ${z}`),null}}}e.ContextKeyExpr=S;function I(w,h){return w.cmp(h)}class d{constructor(){this.type=0}cmp(h){return this.type-h.type}equals(h){return h.type===this.type}evaluate(h){return!1}serialize(){return"false"}keys(){return[]}map(h){return this}negate(){return E.INSTANCE}}e.ContextKeyFalseExpr=d,d.INSTANCE=new d;class E{constructor(){this.type=1}cmp(h){return this.type-h.type}equals(h){return h.type===this.type}evaluate(h){return!0}serialize(){return"true"}keys(){return[]}map(h){return this}negate(){return d.INSTANCE}}e.ContextKeyTrueExpr=E,E.INSTANCE=new E;class D{constructor(h){this.key=h,this.type=2}static create(h){const O=A.get(h);return typeof O=="boolean"?O?E.INSTANCE:d.INSTANCE:new D(h)}cmp(h){return h.type!==this.type?this.type-h.type:l(this.key,h.key)}equals(h){return h.type===this.type?this.key===h.key:!1}evaluate(h){return!!h.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(h){return h.mapDefined(this.key)}negate(){return y.create(this.key)}}e.ContextKeyDefinedExpr=D;class a{constructor(h,O){this.key=h,this.value=O,this.type=4}static create(h,O){if(typeof O=="boolean")return O?D.create(h):y.create(h);const _=A.get(h);return typeof _=="boolean"?O===(_?"true":"false")?E.INSTANCE:d.INSTANCE:new a(h,O)}cmp(h){return h.type!==this.type?this.type-h.type:f(this.key,this.value,h.key,h.value)}equals(h){return h.type===this.type?this.key===h.key&&this.value===h.value:!1}evaluate(h){return h.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(h){return h.mapEquals(this.key,this.value)}negate(){return p.create(this.key,this.value)}}e.ContextKeyEqualsExpr=a;class C{constructor(h,O){this.key=h,this.valueKey=O,this.type=10}static create(h,O){return new C(h,O)}cmp(h){return h.type!==this.type?this.type-h.type:f(this.key,this.valueKey,h.key,h.valueKey)}equals(h){return h.type===this.type?this.key===h.key&&this.valueKey===h.valueKey:!1}evaluate(h){const O=h.getValue(this.valueKey),_=h.getValue(this.key);return Array.isArray(O)?O.indexOf(_)>=0:typeof _=="string"&&typeof O=="object"&&O!==null?L.call(O,_):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(h){return h.mapIn(this.key,this.valueKey)}negate(){return b.create(this)}}e.ContextKeyInExpr=C;class b{constructor(h){this._actual=h,this.type=11}static create(h){return new b(h)}cmp(h){return h.type!==this.type?this.type-h.type:this._actual.cmp(h._actual)}equals(h){return h.type===this.type?this._actual.equals(h._actual):!1}evaluate(h){return!this._actual.evaluate(h)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(h){return new b(this._actual.map(h))}negate(){return this._actual}}e.ContextKeyNotInExpr=b;class p{constructor(h,O){this.key=h,this.value=O,this.type=5}static create(h,O){if(typeof O=="boolean")return O?y.create(h):D.create(h);const _=A.get(h);return typeof _=="boolean"?O===(_?"true":"false")?d.INSTANCE:E.INSTANCE:new p(h,O)}cmp(h){return h.type!==this.type?this.type-h.type:f(this.key,this.value,h.key,h.value)}equals(h){return h.type===this.type?this.key===h.key&&this.value===h.value:!1}evaluate(h){return h.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(h){return h.mapNotEquals(this.key,this.value)}negate(){return a.create(this.key,this.value)}}e.ContextKeyNotEqualsExpr=p;class y{constructor(h){this.key=h,this.type=3}static create(h){const O=A.get(h);return typeof O=="boolean"?O?d.INSTANCE:E.INSTANCE:new y(h)}cmp(h){return h.type!==this.type?this.type-h.type:l(this.key,h.key)}equals(h){return h.type===this.type?this.key===h.key:!1}evaluate(h){return!h.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(h){return h.mapNot(this.key)}negate(){return D.create(this.key)}}e.ContextKeyNotExpr=y;class m{constructor(h,O){this.key=h,this.value=O,this.type=12}static create(h,O){return new m(h,O)}cmp(h){return h.type!==this.type?this.type-h.type:f(this.key,this.value,h.key,h.value)}equals(h){return h.type===this.type?this.key===h.key&&this.value===h.value:!1}evaluate(h){return parseFloat(h.getValue(this.key))>parseFloat(this.value)}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(h){return h.mapGreater(this.key,this.value)}negate(){return t.create(this.key,this.value)}}e.ContextKeyGreaterExpr=m;class o{constructor(h,O){this.key=h,this.value=O,this.type=13}static create(h,O){return new o(h,O)}cmp(h){return h.type!==this.type?this.type-h.type:f(this.key,this.value,h.key,h.value)}equals(h){return h.type===this.type?this.key===h.key&&this.value===h.value:!1}evaluate(h){return parseFloat(h.getValue(this.key))>=parseFloat(this.value)}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(h){return h.mapGreaterEquals(this.key,this.value)}negate(){return i.create(this.key,this.value)}}e.ContextKeyGreaterEqualsExpr=o;class i{constructor(h,O){this.key=h,this.value=O,this.type=14}static create(h,O){return new i(h,O)}cmp(h){return h.type!==this.type?this.type-h.type:f(this.key,this.value,h.key,h.value)}equals(h){return h.type===this.type?this.key===h.key&&this.value===h.value:!1}evaluate(h){return parseFloat(h.getValue(this.key))<parseFloat(this.value)}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(h){return h.mapSmaller(this.key,this.value)}negate(){return o.create(this.key,this.value)}}e.ContextKeySmallerExpr=i;class t{constructor(h,O){this.key=h,this.value=O,this.type=15}static create(h,O){return new t(h,O)}cmp(h){return h.type!==this.type?this.type-h.type:f(this.key,this.value,h.key,h.value)}equals(h){return h.type===this.type?this.key===h.key&&this.value===h.value:!1}evaluate(h){return parseFloat(h.getValue(this.key))<=parseFloat(this.value)}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(h){return h.mapSmallerEquals(this.key,this.value)}negate(){return m.create(this.key,this.value)}}e.ContextKeySmallerEqualsExpr=t;class n{constructor(h,O){this.key=h,this.regexp=O,this.type=7}static create(h,O){return new n(h,O)}cmp(h){if(h.type!==this.type)return this.type-h.type;if(this.key<h.key)return-1;if(this.key>h.key)return 1;const O=this.regexp?this.regexp.source:"",_=h.regexp?h.regexp.source:"";return O<_?-1:O>_?1:0}equals(h){if(h.type===this.type){const O=this.regexp?this.regexp.source:"",_=h.regexp?h.regexp.source:"";return this.key===h.key&&O===_}return!1}evaluate(h){let O=h.getValue(this.key);return this.regexp?this.regexp.test(O):!1}serialize(){const h=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${h}`}keys(){return[this.key]}map(h){return h.mapRegex(this.key,this.regexp)}negate(){return r.create(this)}}e.ContextKeyRegexExpr=n;class r{constructor(h){this._actual=h,this.type=8}static create(h){return new r(h)}cmp(h){return h.type!==this.type?this.type-h.type:this._actual.cmp(h._actual)}equals(h){return h.type===this.type?this._actual.equals(h._actual):!1}evaluate(h){return!this._actual.evaluate(h)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(h){return new r(this._actual.map(h))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=r;class u{constructor(h){this.expr=h,this.type=6}static create(h){return u._normalizeArr(h)}cmp(h){if(h.type!==this.type)return this.type-h.type;if(this.expr.length<h.expr.length)return-1;if(this.expr.length>h.expr.length)return 1;for(let O=0,_=this.expr.length;O<_;O++){const $=I(this.expr[O],h.expr[O]);if($!==0)return $}return 0}equals(h){if(h.type===this.type){if(this.expr.length!==h.expr.length)return!1;for(let O=0,_=this.expr.length;O<_;O++)if(!this.expr[O].equals(h.expr[O]))return!1;return!0}return!1}evaluate(h){for(let O=0,_=this.expr.length;O<_;O++)if(!this.expr[O].evaluate(h))return!1;return!0}static _normalizeArr(h){const O=[];let _=!1;for(const $ of h)if(!!$){if($.type===1){_=!0;continue}if($.type===0)return d.INSTANCE;if($.type===6){O.push(...$.expr);continue}O.push($)}if(O.length===0&&_)return E.INSTANCE;if(O.length!==0){if(O.length===1)return O[0];for(O.sort(I);O.length>1;){const $=O[O.length-1];if($.type!==9)break;O.pop();const q=O.pop(),V=s.create($.expr.map(z=>u.create([z,q])));V&&(O.push(V),O.sort(I))}return O.length===1?O[0]:new u(O)}}serialize(){return this.expr.map(h=>h.serialize()).join(" && ")}keys(){const h=[];for(let O of this.expr)h.push(...O.keys());return h}map(h){return new u(this.expr.map(O=>O.map(h)))}negate(){let h=[];for(let O of this.expr)h.push(O.negate());return s.create(h)}}e.ContextKeyAndExpr=u;class s{constructor(h){this.expr=h,this.type=9}static create(h){const O=s._normalizeArr(h);if(O.length!==0)return O.length===1?O[0]:new s(O)}cmp(h){if(h.type!==this.type)return this.type-h.type;if(this.expr.length<h.expr.length)return-1;if(this.expr.length>h.expr.length)return 1;for(let O=0,_=this.expr.length;O<_;O++){const $=I(this.expr[O],h.expr[O]);if($!==0)return $}return 0}equals(h){if(h.type===this.type){if(this.expr.length!==h.expr.length)return!1;for(let O=0,_=this.expr.length;O<_;O++)if(!this.expr[O].equals(h.expr[O]))return!1;return!0}return!1}evaluate(h){for(let O=0,_=this.expr.length;O<_;O++)if(this.expr[O].evaluate(h))return!0;return!1}static _normalizeArr(h){let O=[],_=!1;if(h){for(let $=0,q=h.length;$<q;$++){const V=h[$];if(!!V){if(V.type===0){_=!0;continue}if(V.type===1)return[E.INSTANCE];if(V.type===9){O=O.concat(V.expr);continue}O.push(V)}}if(O.length===0&&_)return[d.INSTANCE];O.sort(I)}return O}serialize(){return this.expr.map(h=>h.serialize()).join(" || ")}keys(){const h=[];for(let O of this.expr)h.push(...O.keys());return h}map(h){return new s(this.expr.map(O=>O.map(h)))}negate(){let h=[];for(let _ of this.expr)h.push(_.negate());const O=_=>_.type===9?_.expr:[_];for(;h.length>1;){const _=h.shift(),$=h.shift(),q=[];for(const V of O(_))for(const z of O($))q.push(S.and(V,z));h.unshift(S.or(...q))}return h[0]}}e.ContextKeyOrExpr=s;class c extends D{constructor(h,O,_){super(h);this.key=h,this._defaultValue=O,typeof _=="object"?c._info.push(Object.assign(Object.assign({},_),{key:h})):_!==!0&&c._info.push({key:h,description:_,type:O!=null?typeof O:void 0})}static all(){return c._info.values()}bindTo(h){return h.createKey(this.key,this._defaultValue)}getValue(h){return h.getContextKeyValue(this.key)}toNegated(){return S.not(this.key)}isEqualTo(h){return S.equals(this.key,h)}notEqualsTo(h){return S.notEquals(this.key,h)}}e.RawContextKey=c,c._info=[],e.IContextKeyService=(0,k.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function l(w,h){return w<h?-1:w>h?1:0}function f(w,h,O,_){return w<O?-1:w>O?1:h<_?-1:h>_?1:0}}),define(Z[69],ee([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=(0,v.createDecorator)(e.ID);function k(U){return!!U.hostName&&!!U.errorMessage}e.isRemoteDiagnosticError=k}),define(Z[70],ee([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDownloadService=void 0,e.IDownloadService=(0,v.createDecorator)("downloadService")}),define(Z[10],ee([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,v.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,v.refineServiceDecorator)(e.IEnvironmentService)});var ue=this&&this.__decorate||function(G,e,v,k){var U=arguments.length,R=U<3?e:k===null?k=Object.getOwnPropertyDescriptor(e,v):k,A;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")R=Reflect.decorate(G,e,v,k);else for(var L=G.length-1;L>=0;L--)(A=G[L])&&(R=(U<3?A(R):U>3?A(e,v,R):A(e,v))||R);return U>3&&R&&Object.defineProperty(e,v,R),R},K=this&&this.__param||function(G,e){return function(v,k){e(v,k,G)}};define(Z[139],ee([0,1,10,8,23,14,2,6]),function(G,e,v,k,U,R,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogsDataCleaner=void 0;let g=class extends A.Disposable{constructor(I){super();this.environmentService=I,this.cleanUpOldLogsSoon()}cleanUpOldLogsSoon(){let I=setTimeout(()=>{I=void 0;const d=(0,k.basename)(this.environmentService.logsPath),E=(0,k.dirname)(this.environmentService.logsPath);(0,U.readdir)(E).then(D=>{const C=D.filter(p=>/^\d{8}T\d{6}$/.test(p)).sort().filter((p,y)=>p!==d),b=C.slice(0,Math.max(0,C.length-9));return L.Promises.settled(b.map(p=>(0,U.rimraf)((0,k.join)(E,p))))}).then(null,R.onUnexpectedError)},10*1e3);this._register((0,A.toDisposable)(()=>{I&&(clearTimeout(I),I=void 0)}))}};g=ue([K(0,v.IEnvironmentService)],g),e.LogsDataCleaner=g}),define(Z[140],ee([0,1,27,10,8,23,14,2]),function(G,e,v,k,U,R,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDataCleaner=void 0;let g=class ot extends L.Disposable{constructor(I,d){super();this.backupWorkspacesPath=I,this.environmentService=d,this.cleanUpStorageSoon()}cleanUpStorageSoon(){let I=setTimeout(()=>{I=void 0,(async()=>{try{const d=await v.promises.readFile(this.backupWorkspacesPath,"utf8"),D=JSON.parse(d).emptyWorkspaceInfos.map(b=>b.backupFolder),a=await(0,R.readdir)(this.environmentService.workspaceStorageHome.fsPath),C=[];a.forEach(b=>{b.length!==ot.NON_EMPTY_WORKSPACE_ID_LENGTH&&D.indexOf(b)===-1&&C.push((0,R.rimraf)((0,U.join)(this.environmentService.workspaceStorageHome.fsPath,b)))}),await Promise.all(C)}catch(d){(0,A.onUnexpectedError)(d)}})()},30*1e3);this._register((0,L.toDisposable)(()=>{I&&(clearTimeout(I),I=void 0)}))}};g.NON_EMPTY_WORKSPACE_ID_LENGTH=128/4,g=ue([K(1,k.INativeEnvironmentService)],g),e.StorageDataCleaner=g}),define(Z[28],ee([0,1,109,4,15]),function(G,e,v,k,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.INSTALL_ERROR_INCOMPATIBLE=e.INSTALL_ERROR_MALICIOUS=e.INSTALL_ERROR_NOT_SUPPORTED=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN);function R(d){return d&&typeof d=="object"&&typeof d.id=="string"&&(!d.uuid||typeof d.uuid=="string")}e.isIExtensionIdentifier=R;var A;(function(d){d[d.NoneOrRelevance=0]="NoneOrRelevance",d[d.LastUpdatedDate=1]="LastUpdatedDate",d[d.Title=2]="Title",d[d.PublisherName=3]="PublisherName",d[d.InstallCount=4]="InstallCount",d[d.PublishedDate=5]="PublishedDate",d[d.AverageRating=6]="AverageRating",d[d.WeightedRating=12]="WeightedRating"})(A=e.SortBy||(e.SortBy={}));var L;(function(d){d[d.Default=0]="Default",d[d.Ascending=1]="Ascending",d[d.Descending=2]="Descending"})(L=e.SortOrder||(e.SortOrder={}));var g;(function(d){d.Uninstall="uninstall"})(g=e.StatisticType||(e.StatisticType={}));var S;(function(d){d[d.None=0]="None",d[d.Install=1]="Install",d[d.Update=2]="Update"})(S=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,k.createDecorator)("extensionGalleryService"),e.INSTALL_ERROR_NOT_SUPPORTED="notsupported",e.INSTALL_ERROR_MALICIOUS="malicious",e.INSTALL_ERROR_INCOMPATIBLE="incompatible";class I extends Error{constructor(E,D){super(E);this.code=D}}e.ExtensionManagementError=I,e.IExtensionManagementService=(0,k.createDecorator)("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,k.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,k.createDecorator)("IExtensionTipsService"),e.DefaultIconPath=U.FileAccess.asBrowserUri("./media/defaultIcon.png",G).toString(!0),e.ExtensionsLabel=(0,v.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,v.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,k.createDecorator)("IExtensionManagementCLIService")}),define(Z[141],ee([0,1,2,28]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DeprecatedExtensionsCleaner=void 0;let U=class extends v.Disposable{constructor(A){super();this.extensionManagementService=A,this._register(A),this.cleanUpDeprecatedExtensions()}cleanUpDeprecatedExtensions(){this.extensionManagementService.removeDeprecatedExtensions()}};U=ue([K(0,k.IExtensionManagementService)],U),e.DeprecatedExtensionsCleaner=U}),define(Z[71],ee([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionRecommendationNotificationService=e.RecommendationsNotificationResult=e.RecommendationSourceToString=e.RecommendationSource=void 0;var k;(function(A){A[A.FILE=1]="FILE",A[A.WORKSPACE=2]="WORKSPACE",A[A.EXE=3]="EXE"})(k=e.RecommendationSource||(e.RecommendationSource={}));function U(A){switch(A){case 1:return"file";case 2:return"workspace";case 3:return"exe"}}e.RecommendationSourceToString=U;var R;(function(A){A.Ignored="ignored",A.Cancelled="cancelled",A.TooMany="toomany",A.IncompatibleWindow="incompatibleWindow",A.Accepted="reacted"})(R=e.RecommendationsNotificationResult||(e.RecommendationsNotificationResult={})),e.IExtensionRecommendationNotificationService=(0,v.createDecorator)("IExtensionRecommendationNotificationService")}),define(Z[72],ee([0,1,21,4]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isAuthenticaionProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin";function U(S){return S&&typeof S=="object"&&typeof S.id=="string"&&(!S.uuid||typeof S.uuid=="string")}e.isIExtensionIdentifier=U,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var R;(function(S){S[S.System=0]="System",S[S.User=1]="User"})(R=e.ExtensionType||(e.ExtensionType={}));class A{constructor(I){this.value=I,this._lower=I.toLowerCase()}static equals(I,d){if(typeof I=="undefined"||I===null)return typeof d=="undefined"||d===null;if(typeof d=="undefined"||d===null)return!1;if(typeof I=="string"||typeof d=="string"){let E=typeof I=="string"?I:I.value,D=typeof d=="string"?d:d.value;return v.equalsIgnoreCase(E,D)}return I._lower===d._lower}static toKey(I){return typeof I=="string"?I.toLowerCase():I._lower}}e.ExtensionIdentifier=A;function L(S){return S.contributes&&S.contributes.localizations?S.contributes.localizations.length>0:!1}e.isLanguagePackExtension=L;function g(S){return S.contributes&&S.contributes.authentication?S.contributes.authentication.length>0:!1}e.isAuthenticaionProviderExtension=g,e.IBuiltinExtensionsScannerService=(0,k.createDecorator)("IBuiltinExtensionsScannerService")}),define(Z[34],ee([0,1,21,72]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function U(D,a){return D.uuid&&a.uuid?D.uuid===a.uuid:D.id===a.id?!0:(0,v.compareIgnoreCase)(D.id,a.id)===0}e.areSameExtensions=U;class R{constructor(a,C){this.version=C,this.id=a.id,this.uuid=a.uuid}key(){return`${this.id}-${this.version}`}equals(a){return a instanceof R?U(this,a)&&this.version===a.version:!1}}e.ExtensionIdentifierWithVersion=R;function A(D,a){return`${D}.${a}`}e.getExtensionId=A;function L(D){return D.toLocaleLowerCase()}e.adoptToGalleryExtensionId=L;function g(D,a){return L(A(D,a))}e.getGalleryExtensionId=g;function S(D,a){const C=[],b=p=>{for(const y of C)if(y.some(m=>U(a(m),a(p))))return y;return null};for(const p of D){const y=b(p);y?y.push(p):C.push([p])}return C}e.groupByExtension=S;function I(D){return{id:D.identifier.id,name:D.manifest.name,galleryId:null,publisherId:D.publisherId,publisherName:D.manifest.publisher,publisherDisplayName:D.publisherDisplayName,dependencies:D.manifest.extensionDependencies&&D.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=I;function d(D){return Object.assign({id:D.identifier.id,name:D.name,galleryId:D.identifier.uuid,publisherId:D.publisherId,publisherName:D.publisher,publisherDisplayName:D.publisherDisplayName,dependencies:!!(D.properties.dependencies&&D.properties.dependencies.length>0)},D.telemetryData)}e.getGalleryExtensionTelemetryData=d,e.BetterMergeId=new k.ExtensionIdentifier("pprice.better-merge");function E(D){const a=new Set;for(const C of D)C.malicious&&a.add(C.id.id);return a}e.getMaliciousExtensionsSet=E}),define(Z[142],ee([0,1,2,8,72,23]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsManifestCache=void 0;class A extends v.Disposable{constructor(g,S){super();this.environmentService=g,this.extensionsManifestCache=(0,k.join)(this.environmentService.userDataPath,U.MANIFEST_CACHE_FOLDER,U.USER_MANIFEST_CACHE_FILE),this._register(S.onDidInstallExtension(I=>this.onDidInstallExtension(I))),this._register(S.onDidUninstallExtension(I=>this.onDidUnInstallExtension(I)))}onDidInstallExtension(g){g.error||this.invalidate()}onDidUnInstallExtension(g){g.error||this.invalidate()}invalidate(){R.rimraf(this.extensionsManifestCache,R.RimRafMode.MOVE).then(()=>{},()=>{})}}e.ExtensionsManifestCache=A}),define(Z[9],ee([0,1,116,8,5,4,21,17,37]),function(G,e,v,k,U,R,A,L,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FileType=e.IFileService=void 0,e.IFileService=(0,R.createDecorator)("fileService");var S;(function(_){_[_.Unknown=0]="Unknown",_[_.File=1]="File",_[_.Directory=2]="Directory",_[_.SymbolicLink=64]="SymbolicLink"})(S=e.FileType||(e.FileType={}));var I;(function(_){_[_.FileReadWrite=2]="FileReadWrite",_[_.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",_[_.FileReadStream=16]="FileReadStream",_[_.FileFolderCopy=8]="FileFolderCopy",_[_.PathCaseSensitive=1024]="PathCaseSensitive",_[_.Readonly=2048]="Readonly",_[_.Trash=4096]="Trash"})(I=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function d(_){return!!(_.capabilities&2)}e.hasReadWriteCapability=d;function E(_){return!!(_.capabilities&8)}e.hasFileFolderCopyCapability=E;function D(_){return!!(_.capabilities&4)}e.hasOpenReadWriteCloseCapability=D;function a(_){return!!(_.capabilities&16)}e.hasFileReadStreamCapability=a;var C;(function(_){_.FileExists="EntryExists",_.FileNotFound="EntryNotFound",_.FileNotADirectory="EntryNotADirectory",_.FileIsADirectory="EntryIsADirectory",_.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",_.FileTooLarge="EntryTooLarge",_.NoPermissions="NoPermissions",_.Unavailable="Unavailable",_.Unknown="Unknown"})(C=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class b extends Error{constructor($,q){super($);this.code=q}}e.FileSystemProviderError=b;function p(_,$){const q=new b(_.toString(),$);return m(q,$),q}e.createFileSystemProviderError=p;function y(_){return _||p((0,v.localize)(0,null),C.Unknown)}e.ensureFileSystemProviderError=y;function m(_,$){return _.name=$?`${$} (FileSystemError)`:"FileSystemError",_}e.markAsFileSystemProviderError=m;function o(_){if(!_)return C.Unknown;if(_ instanceof b)return _.code;const $=/^(.+) \(FileSystemError\)$/.exec(_.name);if(!$)return C.Unknown;switch($[1]){case C.FileExists:return C.FileExists;case C.FileIsADirectory:return C.FileIsADirectory;case C.FileNotADirectory:return C.FileNotADirectory;case C.FileNotFound:return C.FileNotFound;case C.FileExceedsMemoryLimit:return C.FileExceedsMemoryLimit;case C.FileTooLarge:return C.FileTooLarge;case C.NoPermissions:return C.NoPermissions;case C.Unavailable:return C.Unavailable}return C.Unknown}e.toFileSystemProviderErrorCode=o;function i(_){if(_ instanceof c)return _.fileOperationResult;switch(o(_)){case C.FileNotFound:return 1;case C.FileIsADirectory:return 0;case C.FileNotADirectory:return 10;case C.NoPermissions:return 6;case C.FileExists:return 4;case C.FileExceedsMemoryLimit:return 9;case C.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=i;var t;(function(_){_[_.CREATE=0]="CREATE",_[_.DELETE=1]="DELETE",_[_.MOVE=2]="MOVE",_[_.COPY=3]="COPY"})(t=e.FileOperation||(e.FileOperation={}));class n{constructor($,q,V){this.resource=$,this.operation=q,this.target=V}isOperation($){return this.operation===$}}e.FileOperationEvent=n;var r;(function(_){_[_.UPDATED=0]="UPDATED",_[_.ADDED=1]="ADDED",_[_.DELETED=2]="DELETED"})(r=e.FileChangeType||(e.FileChangeType={}));class u{constructor($,q){this.ignorePathCasing=q,this.added=void 0,this.updated=void 0,this.deleted=void 0,this.changes=$;for(const V of $)switch(V.type){case 1:this.added||(this.added=g.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.added.set(V.resource,V);break;case 0:this.updated||(this.updated=g.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.updated.set(V.resource,V);break;case 2:this.deleted||(this.deleted=g.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.deleted.set(V.resource,V);break}}contains($,...q){return this.doContains($,{includeChildren:!1},...q)}affects($,...q){return this.doContains($,{includeChildren:!0},...q)}doContains($,q,...V){var z,Y,x,j,F,P;if(!$)return!1;const T=V.length>0;return!!((!T||V.includes(1))&&(((z=this.added)===null||z===void 0?void 0:z.get($))||q.includeChildren&&((Y=this.added)===null||Y===void 0?void 0:Y.findSuperstr($)))||(!T||V.includes(0))&&(((x=this.updated)===null||x===void 0?void 0:x.get($))||q.includeChildren&&((j=this.updated)===null||j===void 0?void 0:j.findSuperstr($)))||(!T||V.includes(2))&&(((F=this.deleted)===null||F===void 0?void 0:F.findSubstr($))||q.includeChildren&&((P=this.deleted)===null||P===void 0?void 0:P.findSuperstr($))))}getAdded(){return this.getOfType(1)}gotAdded(){return!!this.added}getDeleted(){return this.getOfType(2)}gotDeleted(){return!!this.deleted}getUpdated(){return this.getOfType(0)}gotUpdated(){return!!this.updated}getOfType($){const q=[],V=$===1?this.added:$===0?this.updated:this.deleted;if(V)for(const[,z]of V)q.push(z);return q}filter($){return new u(this.changes.filter(q=>$(q)),this.ignorePathCasing)}}e.FileChangesEvent=u;function s(_,$,q){return!_||!$||_===$||$.length>_.length?!1:($.charAt($.length-1)!==k.sep&&($+=k.sep),q?(0,A.startsWithIgnoreCase)(_,$):_.indexOf($)===0)}e.isParent=s;class c extends Error{constructor($,q,V){super($);this.fileOperationResult=q,this.options=V}static isFileOperationError($){return $ instanceof Error&&!(0,L.isUndefinedOrNull)($.fileOperationResult)}}e.FileOperationError=c;var l;(function(_){_[_.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",_[_.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",_[_.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",_[_.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",_[_.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",_[_.FILE_READ_ONLY=5]="FILE_READ_ONLY",_[_.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",_[_.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",_[_.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",_[_.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",_[_.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",_[_.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(l=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var f;(function(_){_[_.FILE=0]="FILE",_[_.FOLDER=1]="FOLDER",_[_.ROOT_FOLDER=2]="ROOT_FOLDER"})(f=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function w(_){if(!(typeof _.size!="number"||typeof _.mtime!="number"))return _.mtime.toString(29)+_.size.toString(31)}e.etag=w;async function h(_,$){if(!$.canHandleResource(U.URI.from({scheme:_.scheme})))return new Promise(q=>{const V=$.onDidChangeFileSystemProviderRegistrations(z=>{z.scheme===_.scheme&&z.added&&(V.dispose(),q())})})}e.whenProviderRegistered=h,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class O{static formatSize($){return(0,L.isNumber)($)||($=0),$<O.KB?(0,v.localize)(1,null,$.toFixed(0)):$<O.MB?(0,v.localize)(2,null,($/O.KB).toFixed(2)):$<O.GB?(0,v.localize)(3,null,($/O.MB).toFixed(2)):$<O.TB?(0,v.localize)(4,null,($/O.GB).toFixed(2)):(0,v.localize)(5,null,($/O.TB).toFixed(2))}}e.ByteSize=O,O.KB=1024,O.MB=O.KB*O.KB,O.GB=O.MB*O.KB,O.TB=O.GB*O.KB}),define(Z[143],ee([0,1,144,47,9]),function(G,e,v,k,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ChecksumService=void 0;let R=class{constructor(L){this.fileService=L}checksum(L){return new Promise(async(g,S)=>{const I=(0,v.createHash)("md5"),d=(await this.fileService.readFileStream(L)).value;(0,k.listenStream)(d,{onData:E=>I.update(E.buffer),onError:E=>S(E),onEnd:()=>g(I.digest("base64").replace(/=+$/,""))})})}};R=ue([K(0,U.IFileService)],R),e.ChecksumService=R}),define(Z[73],ee([0,1,117,22,9,14]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function A(I,d,E,D,a,C){let b;try{await L(I,d,E,D,a,C)}catch(p){b=p}finally{b&&a.errorTransformer&&(b=a.errorTransformer(b)),typeof b!="undefined"&&E.error(b),E.end()}}e.readFileIntoStream=A;async function L(I,d,E,D,a,C){g(C);const b=await I.open(d,{create:!1});try{g(C);let p=0,y=0,m=a&&typeof a.length=="number"?a.length:void 0,o=k.VSBuffer.alloc(Math.min(a.bufferSize,typeof m=="number"?m:a.bufferSize)),i=a&&typeof a.position=="number"?a.position:0,t=0;do y=await I.read(b,i,o.buffer,t,o.byteLength-t),i+=y,t+=y,p+=y,typeof m=="number"&&(m-=y),t===o.byteLength&&(await E.write(D(o)),o=k.VSBuffer.alloc(Math.min(a.bufferSize,typeof m=="number"?m:a.bufferSize)),t=0);while(y>0&&(typeof m!="number"||m>0)&&g(C)&&S(p,a));if(t>0){let n=t;typeof m=="number"&&(n=Math.min(t,m)),E.write(D(o.slice(0,n)))}}catch(p){throw(0,U.ensureFileSystemProviderError)(p)}finally{await I.close(b)}}function g(I){if(I.isCancellationRequested)throw(0,R.canceled)();return!0}function S(I,d){if(d==null?void 0:d.limits){if(typeof d.limits.memory=="number"&&I>d.limits.memory)throw(0,U.createFileSystemProviderError)((0,v.localize)(0,null),U.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof d.limits.size=="number"&&I>d.limits.size)throw(0,U.createFileSystemProviderError)((0,v.localize)(1,null),U.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(Z[74],ee([0,1,5,9,7]),function(G,e,v,k,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeFileChanges=e.toFileChanges=void 0;function R(g){return g.map(S=>({type:S.type,resource:v.URI.file(S.path)}))}e.toFileChanges=R;function A(g){const S=new L;for(const I of g)S.processEvent(I);return S.normalize()}e.normalizeFileChanges=A;class L{constructor(){this.normalized=[],this.mapPathToChange=new Map}processEvent(S){const I=this.mapPathToChange.get(S.path);if(I){const d=I.type,E=S.type;d===1&&E===2?(this.mapPathToChange.delete(S.path),this.normalized.splice(this.normalized.indexOf(I),1)):d===2&&E===1?I.type=0:d===1&&E===0||(I.type=E)}else this.normalized.push(S),this.mapPathToChange.set(S.path,S)}normalize(){const S=[],I=[];return this.normalized.filter(d=>d.type!==2?(S.push(d),!1):!0).sort((d,E)=>d.path.length-E.path.length).filter(d=>I.some(E=>(0,k.isParent)(d.path,E,!U.isLinux))?!1:(I.push(d.path),!0)).concat(S)}}}),define(Z[145],ee([0,1,74,2,23,94,97,6,8]),function(G,e,v,k,U,R,A,L,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class S extends k.Disposable{constructor(d,E,D,a){super();this.path=d,this.onDidFilesChange=E,this.onLogMessage=D,this.verboseLogging=a,this.fileChangesDelayer=this._register(new L.ThrottledDelayer(A.CHANGE_BUFFER_DELAY*2)),this.fileChangesBuffer=[],this.startWatching()}setVerboseLogging(d){this.verboseLogging=d}async startWatching(){try{const{stat:d,symbolicLink:E}=await U.SymlinkSupport.stat(this.path);if(this.isDisposed)return;let D=this.path;if(E)try{D=await(0,R.realpath)(D)}catch(a){if(this.onError(a),E.dangling)return}d.isDirectory()?this._register((0,A.watchFolder)(D,(a,C)=>{this.onFileChange({type:a==="changed"?0:a==="added"?1:2,path:(0,g.join)(this.path,(0,g.basename)(C))})},a=>this.onError(a))):this._register((0,A.watchFile)(D,a=>{this.onFileChange({type:a==="changed"?0:2,path:this.path})},a=>this.onError(a)))}catch(d){d.code!=="ENOENT"&&this.onError(d)}}onFileChange(d){this.fileChangesBuffer.push(d),this.verboseLogging&&this.onVerbose(`${d.type===1?"[ADDED]":d.type===2?"[DELETED]":"[CHANGED]"} ${d.path}`),this.fileChangesDelayer.trigger(async()=>{const E=this.fileChangesBuffer;this.fileChangesBuffer=[];const D=(0,v.normalizeFileChanges)(E);this.verboseLogging&&D.forEach(a=>{this.onVerbose(`>> normalized ${a.type===1?"[ADDED]":a.type===2?"[DELETED]":"[CHANGED]"} ${a.path}`)}),D.length>0&&this.onDidFilesChange(D)})}onError(d){this.isDisposed||this.onLogMessage({type:"error",message:`[File Watcher (node.js)] ${d}`})}onVerbose(d){this.isDisposed||this.onLogMessage({type:"trace",message:`[File Watcher (node.js)] ${d}`})}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=S}),define(Z[75],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class v{constructor(...U){this._entries=new Map;for(let[R,A]of U)this.set(R,A)}set(U,R){const A=this._entries.get(U);return this._entries.set(U,R),A}has(U){return this._entries.has(U)}get(U){return this._entries.get(U)}}e.ServiceCollection=v}),define(Z[146],ee([0,1,14,136,50,4,75,6]),function(G,e,v,k,U,R,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const g=!1;class S extends Error{constructor(a){super("cyclic dependency between services");this.message=a.toString()}}class I{constructor(a=new A.ServiceCollection,C=!1,b){this._activeInstantiations=new Set,this._services=a,this._strict=C,this._parent=b,this._services.set(R.IInstantiationService,this)}createChild(a){return new I(a,this._strict,this)}invokeFunction(a,...C){let b=E.traceInvocation(a),p=!1;try{return a({get:(m,o)=>{if(p)throw(0,v.illegalState)("service accessor is only valid during the invocation of its target method");const i=this._getOrCreateServiceInstance(m,b);if(!i&&o!==R.optional)throw new Error(`[invokeFunction] unknown service '${m}'`);return i}},...C)}finally{p=!0,b.stop()}}createInstance(a,...C){let b,p;return a instanceof U.SyncDescriptor?(b=E.traceCreation(a.ctor),p=this._createInstance(a.ctor,a.staticArguments.concat(C),b)):(b=E.traceCreation(a),p=this._createInstance(a,C,b)),b.stop(),p}_createInstance(a,C=[],b){let p=R._util.getServiceDependencies(a).sort((o,i)=>o.index-i.index),y=[];for(const o of p){let i=this._getOrCreateServiceInstance(o.id,b);if(!i&&this._strict&&!o.optional)throw new Error(`[createInstance] ${a.name} depends on UNKNOWN service ${o.id}.`);y.push(i)}let m=p.length>0?p[0].index:C.length;if(C.length!==m){console.warn(`[createInstance] First service dependency of ${a.name} at position ${m+1} conflicts with ${C.length} static arguments`);let o=m-C.length;o>0?C=C.concat(new Array(o)):C=C.slice(0,m)}return new a(...[...C,...y])}_setServiceInstance(a,C){if(this._services.get(a)instanceof U.SyncDescriptor)this._services.set(a,C);else if(this._parent)this._parent._setServiceInstance(a,C);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(a){let C=this._services.get(a);return!C&&this._parent?this._parent._getServiceInstanceOrDescriptor(a):C}_getOrCreateServiceInstance(a,C){let b=this._getServiceInstanceOrDescriptor(a);return b instanceof U.SyncDescriptor?this._safeCreateAndCacheServiceInstance(a,b,C.branch(a,!0)):(C.branch(a,!1),b)}_safeCreateAndCacheServiceInstance(a,C,b){if(this._activeInstantiations.has(a))throw new Error(`illegal state - RECURSIVELY instantiating service '${a}'`);this._activeInstantiations.add(a);try{return this._createAndCacheServiceInstance(a,C,b)}finally{this._activeInstantiations.delete(a)}}_createAndCacheServiceInstance(a,C,b){const p=new k.Graph(o=>o.id.toString());let y=0;const m=[{id:a,desc:C,_trace:b}];for(;m.length;){const o=m.pop();if(p.lookupOrInsertNode(o),y++>1e3)throw new S(p);for(let i of R._util.getServiceDependencies(o.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(i.id);if(!t&&!i.optional&&console.warn(`[createInstance] ${a} depends on ${i.id} which is NOT registered.`),t instanceof U.SyncDescriptor){const n={id:i.id,desc:t,_trace:o._trace.branch(i.id,!0)};p.insertEdge(o,n),m.push(n)}}}for(;;){const o=p.roots();if(o.length===0){if(!p.isEmpty())throw new S(p);break}for(const{data:i}of o){if(this._getServiceInstanceOrDescriptor(i.id)instanceof U.SyncDescriptor){const n=this._createServiceInstanceWithOwner(i.id,i.desc.ctor,i.desc.staticArguments,i.desc.supportsDelayedInstantiation,i._trace);this._setServiceInstance(i.id,n)}p.removeNode(i)}}return this._getServiceInstanceOrDescriptor(a)}_createServiceInstanceWithOwner(a,C,b=[],p,y){if(this._services.get(a)instanceof U.SyncDescriptor)return this._createServiceInstance(C,b,p,y);if(this._parent)return this._parent._createServiceInstanceWithOwner(a,C,b,p,y);throw new Error(`illegalState - creating UNKNOWN service instance ${C.name}`)}_createServiceInstance(a,C=[],b,p){if(b){const y=new L.IdleValue(()=>this._createInstance(a,C,p));return new Proxy(Object.create(null),{get(m,o){if(o in m)return m[o];let i=y.value,t=i[o];return typeof t!="function"||(t=t.bind(i),m[o]=t),t},set(m,o,i){return y.value[o]=i,!0}})}else return this._createInstance(a,C,p)}}e.InstantiationService=I;var d;(function(D){D[D.Creation=0]="Creation",D[D.Invocation=1]="Invocation",D[D.Branch=2]="Branch"})(d||(d={}));class E{constructor(a,C){this.type=a,this.name=C,this._start=Date.now(),this._dep=[]}static traceInvocation(a){return g?new E(1,a.name||a.toString().substring(0,42).replace(/\n/g,"")):E._None}static traceCreation(a){return g?new E(0,a.name):E._None}branch(a,C){let b=new E(2,a.toString());return this._dep.push([a,C,b]),b}stop(){let a=Date.now()-this._start;E._totals+=a;let C=!1;function b(y,m){let o=[],i=new Array(y+1).join("	");for(const[t,n,r]of m._dep)if(n&&r){C=!0,o.push(`${i}CREATES -> ${t}`);let u=b(y+1,r);u&&o.push(u)}else o.push(`${i}uses -> ${t}`);return o.join(`
`)}let p=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${b(1,this)}`,`DONE, took ${a.toFixed(2)}ms (grand total ${E._totals.toFixed(2)}ms)`];(a>2||C)&&console.log(p.join(`
`))}}E._None=new class extends E{constructor(){super(-1,null)}stop(){}branch(){return this}},E._totals=0}),define(Z[147],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MessagePortMainProcessService=void 0;class v{constructor(U,R){this.server=U,this.router=R}getChannel(U){return this.server.getChannel(U,this.router)}registerChannel(U,R){this.server.registerChannel(U,R)}}e.MessagePortMainProcessService=v}),define(Z[148],ee([0,1,33,50,135,4]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerSharedProcessRemoteService=e.ISharedProcessService=e.registerMainProcessRemoteService=e.IMainProcessService=void 0;class A{constructor(D,a,C){const b=C.getChannel(D);return L(a)?new a.channelClientCtor(b):v.ProxyChannel.toService(b,a==null?void 0:a.proxyOptions)}}function L(E){const D=E;return!!(D==null?void 0:D.channelClientCtor)}e.IMainProcessService=(0,R.createDecorator)("mainProcessService");let g=class extends A{constructor(D,a,C){super(D,a,C)}};g=ue([K(2,e.IMainProcessService)],g);function S(E,D,a){(0,U.registerSingleton)(E,new k.SyncDescriptor(g,[D,a],a==null?void 0:a.supportsDelayedInstantiation))}e.registerMainProcessRemoteService=S,e.ISharedProcessService=(0,R.createDecorator)("sharedProcessService");let I=class extends A{constructor(D,a,C){super(D,a,C)}};I=ue([K(2,e.ISharedProcessService)],I);function d(E,D,a){(0,U.registerSingleton)(E,new k.SyncDescriptor(I,[D,a],a==null?void 0:a.supportsDelayedInstantiation))}e.registerSharedProcessRemoteService=d}),define(Z[55],ee([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isValidLocalization=e.ILocalizationsService=void 0,e.ILocalizationsService=(0,v.createDecorator)("localizationsService");function k(U){if(typeof U.languageId!="string"||!Array.isArray(U.translations)||U.translations.length===0)return!1;for(const R of U.translations)if(typeof R.id!="string"||typeof R.path!="string")return!1;return!(U.languageName&&typeof U.languageName!="string"||U.localizedLanguageName&&typeof U.localizedLanguageName!="string")}e.isValidLocalization=k}),define(Z[149],ee([0,1,2,55]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LocalizationsUpdater=void 0;let U=class extends v.Disposable{constructor(A){super();this.localizationsService=A,this.updateLocalizations()}updateLocalizations(){this.localizationsService.update()}};U=ue([K(0,k.ILocalizationsService)],U),e.LocalizationsUpdater=U}),define(Z[13],ee([0,1,4,2,7,3,43]),function(G,e,v,k,U,R,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,v.createDecorator)("logService"),e.ILoggerService=(0,v.createDecorator)("loggerService");function L(){return new Date().toISOString()}var g;(function(o){o[o.Trace=0]="Trace",o[o.Debug=1]="Debug",o[o.Info=2]="Info",o[o.Warning=3]="Warning",o[o.Error=4]="Error",o[o.Critical=5]="Critical",o[o.Off=6]="Off"})(g=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=g.Info;class S extends k.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new R.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(i){this.level!==i&&(this.level=i,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=S;class I extends S{constructor(i){super();this.logAlways=i}checkLogLevel(i){return this.logAlways||this.getLevel()<=i}trace(i,...t){this.checkLogLevel(g.Trace)&&this.log(g.Trace,this.format([i,...t]))}debug(i,...t){this.checkLogLevel(g.Debug)&&this.log(g.Debug,this.format([i,...t]))}info(i,...t){this.checkLogLevel(g.Info)&&this.log(g.Info,this.format([i,...t]))}warn(i,...t){this.checkLogLevel(g.Warning)&&this.log(g.Warning,this.format([i,...t]))}error(i,...t){if(this.checkLogLevel(g.Error))if(i instanceof Error){const n=Array.prototype.slice.call(arguments);n[0]=i.stack,this.log(g.Error,this.format(n))}else this.log(g.Error,this.format([i,...t]))}critical(i,...t){this.checkLogLevel(g.Critical)&&this.log(g.Critical,this.format([i,...t]))}flush(){}format(i){let t="";for(let n=0;n<i.length;n++){let r=i[n];if(typeof r=="object")try{r=JSON.stringify(r)}catch(u){}t+=(n>0?" ":"")+r}return t}}e.AbstractMessageLogger=I;class d extends S{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i),this.useColors=!U.isWindows}trace(i,...t){this.getLevel()<=g.Trace&&(this.useColors?console.log(`[90m[main ${L()}][0m`,i,...t):console.log(`[main ${L()}]`,i,...t))}debug(i,...t){this.getLevel()<=g.Debug&&(this.useColors?console.log(`[90m[main ${L()}][0m`,i,...t):console.log(`[main ${L()}]`,i,...t))}info(i,...t){this.getLevel()<=g.Info&&(this.useColors?console.log(`[90m[main ${L()}][0m`,i,...t):console.log(`[main ${L()}]`,i,...t))}warn(i,...t){this.getLevel()<=g.Warning&&(this.useColors?console.warn(`[93m[main ${L()}][0m`,i,...t):console.warn(`[main ${L()}]`,i,...t))}error(i,...t){this.getLevel()<=g.Error&&(this.useColors?console.error(`[91m[main ${L()}][0m`,i,...t):console.error(`[main ${L()}]`,i,...t))}critical(i,...t){this.getLevel()<=g.Critical&&(this.useColors?console.error(`[90m[main ${L()}][0m`,i,...t):console.error(`[main ${L()}]`,i,...t))}dispose(){}flush(){}}e.ConsoleMainLogger=d;class E extends S{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i)}trace(i,...t){this.getLevel()<=g.Trace&&console.log("%cTRACE","color: #888",i,...t)}debug(i,...t){this.getLevel()<=g.Debug&&console.log("%cDEBUG","background: #eee; color: #888",i,...t)}info(i,...t){this.getLevel()<=g.Info&&console.log("%c INFO","color: #33f",i,...t)}warn(i,...t){this.getLevel()<=g.Warning&&console.log("%c WARN","color: #993",i,...t)}error(i,...t){this.getLevel()<=g.Error&&console.log("%c  ERR","color: #f33",i,...t)}critical(i,...t){this.getLevel()<=g.Critical&&console.log("%cCRITI","background: #f33; color: white",i,...t)}dispose(){}flush(){}}e.ConsoleLogger=E;class D extends S{constructor(i,t=e.DEFAULT_LOG_LEVEL){super();this.adapter=i,this.setLevel(t)}trace(i,...t){this.getLevel()<=g.Trace&&this.adapter.log(g.Trace,[this.extractMessage(i),...t])}debug(i,...t){this.getLevel()<=g.Debug&&this.adapter.log(g.Debug,[this.extractMessage(i),...t])}info(i,...t){this.getLevel()<=g.Info&&this.adapter.log(g.Info,[this.extractMessage(i),...t])}warn(i,...t){this.getLevel()<=g.Warning&&this.adapter.log(g.Warning,[this.extractMessage(i),...t])}error(i,...t){this.getLevel()<=g.Error&&this.adapter.log(g.Error,[this.extractMessage(i),...t])}critical(i,...t){this.getLevel()<=g.Critical&&this.adapter.log(g.Critical,[this.extractMessage(i),...t])}extractMessage(i){return typeof i=="string"?i:(0,A.toErrorMessage)(i,this.getLevel()<=g.Trace)}dispose(){}flush(){}}e.AdapterLogger=D;class a extends S{constructor(i){super();this.logServices=i,i.length&&this.setLevel(i[0].getLevel())}setLevel(i){for(const t of this.logServices)t.setLevel(i);super.setLevel(i)}trace(i,...t){for(const n of this.logServices)n.trace(i,...t)}debug(i,...t){for(const n of this.logServices)n.debug(i,...t)}info(i,...t){for(const n of this.logServices)n.info(i,...t)}warn(i,...t){for(const n of this.logServices)n.warn(i,...t)}error(i,...t){for(const n of this.logServices)n.error(i,...t)}critical(i,...t){for(const n of this.logServices)n.critical(i,...t)}flush(){for(const i of this.logServices)i.flush()}dispose(){for(const i of this.logServices)i.dispose()}}e.MultiplexLogService=a;class C extends k.Disposable{constructor(i){super();this.logger=i,this._register(i)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(i){this.logger.setLevel(i)}getLevel(){return this.logger.getLevel()}trace(i,...t){this.logger.trace(i,...t)}debug(i,...t){this.logger.debug(i,...t)}info(i,...t){this.logger.info(i,...t)}warn(i,...t){this.logger.warn(i,...t)}error(i,...t){this.logger.error(i,...t)}critical(i,...t){this.logger.critical(i,...t)}flush(){this.logger.flush()}}e.LogService=C;class b{constructor(){this.onDidChangeLogLevel=new R.Emitter().event}setLevel(i){}getLevel(){return g.Info}trace(i,...t){}debug(i,...t){}info(i,...t){}warn(i,...t){}error(i,...t){}critical(i,...t){}dispose(){}flush(){}}e.NullLogService=b;function p(o){if(o.verbose)return g.Trace;if(typeof o.logLevel=="string"){const i=y(o.logLevel.toLowerCase());if(i!==void 0)return i}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=p;function y(o){switch(o){case"trace":return g.Trace;case"debug":return g.Debug;case"info":return g.Info;case"warn":return g.Warning;case"error":return g.Error;case"critical":return g.Critical;case"off":return g.Off}}e.parseLogLevel=y;function m(o){switch(o){case g.Trace:return"trace";case g.Debug:return"debug";case g.Info:return"info";case g.Warning:return"warn";case g.Error:return"error";case g.Critical:return"critical";case g.Off:return"off"}}e.LogLevelToString=m}),define(Z[150],ee([0,1,27,2,9,28,10,5,16,34,13,30,56,7,6]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsDownloader=void 0;const C=/^([^.]+\..+)-(\d+\.\d+\.\d+)$/;let b=class extends k.Disposable{constructor(y,m,o,i){super();this.fileService=m,this.extensionGalleryService=o,this.logService=i,this.extensionsDownloadDir=L.URI.file(y.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(y,m){await this.cleanUpPromise;const o=this.getName(y),i=(0,g.joinPath)(this.extensionsDownloadDir,o);if(!await this.fileService.exists(i)){const t=(0,g.joinPath)(this.extensionsDownloadDir,`.${o}`);await this.fileService.exists(t)||await this.extensionGalleryService.download(y,t,m),await this.rename(t,i,Date.now()+2*60*1e3)}return i}async delete(y){}async rename(y,m,o){try{await v.promises.rename(y.fsPath,m.fsPath)}catch(i){if(D.isWindows&&i&&i.code==="EPERM"&&Date.now()<o)return this.logService.info(`Failed renaming ${y} to ${m} with 'EPERM' error. Trying again...`),this.rename(y,m,o);throw i}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const y=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(y.children){const m=[],o=[];for(const n of y.children){const r=this.parse(n.name);r&&o.push([r,n])}const i=(0,S.groupByExtension)(o,([n])=>n),t=[];for(const n of i)n.sort((r,u)=>E.rcompare(r[0].version,u[0].version)),m.push(...n.slice(1).map(r=>r[1].resource)),t.push(n[0][1]);t.sort((n,r)=>n.mtime-r.mtime),m.push(...t.slice(0,Math.max(0,t.length-this.cache)).map(n=>n.resource)),await a.Promises.settled(m.map(n=>(this.logService.trace("Deleting vsix from cache",n.path),this.fileService.del(n))))}}catch(y){this.logService.error(y)}}getName(y){return this.cache?new S.ExtensionIdentifierWithVersion(y.identifier,y.version).key().toLowerCase():(0,d.generateUuid)()}parse(y){const m=C.exec(y);return m&&m[1]&&m[2]?new S.ExtensionIdentifierWithVersion({id:m[1]},m[2]):null}};b=ue([K(0,A.INativeEnvironmentService),K(1,U.IFileService),K(2,R.IExtensionGalleryService),K(3,I.ILogService)],b),e.ExtensionsDownloader=b}),define(Z[151],ee([0,1,2,13,48,43,8,6,3,15,23,10]),function(G,e,v,k,U,R,A,L,g,S,I,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsLifecycle=void 0;let E=class extends v.Disposable{constructor(a,C){super();this.environmentService=a,this.logService=C,this.processesLimiter=new L.Limiter(5)}async postUninstall(a){const C=this.parseScript(a,"uninstall");return C&&(this.logService.info(a.identifier.id,a.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(C.script,"uninstall",C.args,!0,a).then(()=>this.logService.info(a.identifier.id,a.manifest.version,"Finished running post uninstall script"),b=>this.logService.error(a.identifier.id,a.manifest.version,`Failed to run post uninstall script: ${b}`)))),(0,I.rimraf)(this.getExtensionStoragePath(a)).then(void 0,b=>this.logService.error("Error while removing extension storage path",b))}parseScript(a,C){const b=`vscode:${C}`;if(a.location.scheme===S.Schemas.file&&a.manifest&&a.manifest.scripts&&typeof a.manifest.scripts[b]=="string"){const p=a.manifest.scripts[b].split(" ");return p.length<2||p[0]!=="node"||!p[1]?(this.logService.warn(a.identifier.id,a.manifest.version,`${b} should be a node script`),null):{script:(0,A.join)(a.location.fsPath,p[1]),args:p.slice(2)||[]}}return null}runLifecycleHook(a,C,b,p,y){return new Promise((m,o)=>{const i=this.start(a,C,b,y);let t;const n=r=>{t&&(clearTimeout(t),t=null),r?o(r):m(void 0)};i.on("error",r=>{n((0,R.toErrorMessage)(r)||"Unknown")}),i.on("exit",(r,u)=>{n(r?`post-${C} process exited with code ${r}`:void 0)}),p&&(t=setTimeout(()=>{t=null,i.kill(),o("timed out")},5e3))})}start(a,C,b,p){const y={silent:!0,execArgv:void 0},m=(0,U.fork)(a,[`--type=extension-post-${C}`,...b],y);m.stdout.setEncoding("utf8"),m.stderr.setEncoding("utf8");const o=g.Event.fromNodeEventEmitter(m.stdout,"data"),i=g.Event.fromNodeEventEmitter(m.stderr,"data");o(r=>this.logService.info(p.identifier.id,p.manifest.version,`post-${C}`,r)),i(r=>this.logService.error(p.identifier.id,p.manifest.version,`post-${C}`,r));const t=g.Event.any(g.Event.map(o,r=>({data:`%c${r}`,format:[""]})),g.Event.map(i,r=>({data:`%c${r}`,format:["color: red"]})));return g.Event.debounce(t,(r,u)=>r?{data:r.data+u.data,format:[...r.format,...u.format]}:{data:u.data,format:u.format},100)(r=>{console.group(p.identifier.id),console.log(r.data,...r.format),console.groupEnd()}),m}getExtensionStoragePath(a){return(0,A.join)(this.environmentService.globalStorageHome.fsPath,a.identifier.id.toLowerCase())}};E=ue([K(0,d.IEnvironmentService),K(1,k.ILogService)],E),e.ExtensionsLifecycle=E}),define(Z[152],ee([0,1,115,153,2,9,3,16,37,18,13,22,47,6,29,15,73,52]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let y=class extends U.Disposable{constructor(o){super();this.logService=o,this.BUFFER_SIZE=64*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new A.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new A.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new A.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new A.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onError=this._register(new A.Emitter),this.onError=this._onError.event,this._onDidFilesChange=this._register(new A.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this.activeWatchers=new Map,this.writeQueue=this._register(new D.ResourceQueue)}registerProvider(o,i){if(this.provider.has(o))throw new Error(`A filesystem provider for the scheme '${o}' is already registered.`);(0,k.mark)(`code/registerFilesystem/${o}`),this.provider.set(o,i),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:o,provider:i});const t=new U.DisposableStore;return t.add(i.onDidChangeFile(n=>this._onDidFilesChange.fire(new R.FileChangesEvent(n,!this.isPathCaseSensitive(i))))),t.add(i.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:i,scheme:o}))),typeof i.onDidErrorOccur=="function"&&t.add(i.onDidErrorOccur(n=>this._onError.fire(new Error(n)))),(0,U.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:o,provider:i}),this.provider.delete(o),(0,U.dispose)(t)})}async activateProvider(o){const i=[];this._onWillActivateFileSystemProvider.fire({scheme:o,join(t){i.push(t)}}),!this.provider.has(o)&&await D.Promises.settled(i)}canHandleResource(o){return this.provider.has(o.scheme)}hasCapability(o,i){const t=this.provider.get(o.scheme);return!!(t&&t.capabilities&i)}listCapabilities(){return p.Iterable.map(this.provider,([o,i])=>({scheme:o,capabilities:i.capabilities}))}async withProvider(o){if(!(0,L.isAbsolutePath)(o))throw new R.FileOperationError((0,v.localize)(0,null,this.resourceForError(o)),8);await this.activateProvider(o.scheme);const i=this.provider.get(o.scheme);if(!i){const t=new Error;throw t.name="ENOPRO",t.message=(0,v.localize)(1,null,o.toString()),t}return i}async withReadProvider(o){const i=await this.withProvider(o);if((0,R.hasOpenReadWriteCloseCapability)(i)||(0,R.hasReadWriteCapability)(i)||(0,R.hasFileReadStreamCapability)(i))return i;throw new Error(`Filesystem provider for scheme '${o.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(o){const i=await this.withProvider(o);if((0,R.hasOpenReadWriteCloseCapability)(i)||(0,R.hasReadWriteCapability)(i))return i;throw new Error(`Filesystem provider for scheme '${o.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(o,i){try{return await this.doResolveFile(o,i)}catch(t){throw(0,R.toFileSystemProviderErrorCode)(t)===R.FileSystemProviderErrorCode.FileNotFound?new R.FileOperationError((0,v.localize)(2,null,this.resourceForError(o)),1):(0,R.ensureFileSystemProviderError)(t)}}async doResolveFile(o,i){const t=await this.withProvider(o),n=this.isPathCaseSensitive(t),r=i==null?void 0:i.resolveTo,u=i==null?void 0:i.resolveSingleChildDescendants,s=i==null?void 0:i.resolveMetadata,c=await t.stat(o);let l;return this.toFileStat(t,o,c,void 0,!!s,(f,w)=>(l||(l=g.TernarySearchTree.forUris(()=>!n),l.set(o,!0),(0,S.isNonEmptyArray)(r)&&r.forEach(h=>l.set(h,!0))),Boolean(l.findSuperstr(f.resource)||l.get(f.resource))?!0:f.isDirectory&&u?w===1:!1))}async toFileStat(o,i,t,n,r,u){const{providerExtUri:s}=this.getExtUri(o),c={resource:i,name:s.basename(i),isFile:(t.type&R.FileType.File)!=0,isDirectory:(t.type&R.FileType.Directory)!=0,isSymbolicLink:(t.type&R.FileType.SymbolicLink)!=0,mtime:t.mtime,ctime:t.ctime,size:t.size,etag:(0,R.etag)({mtime:t.mtime,size:t.size})};if(c.isDirectory&&u(c,n)){try{const l=await o.readdir(i),f=await D.Promises.settled(l.map(async([w,h])=>{try{const O=s.joinPath(i,w),_=r?await o.stat(O):{type:h};return await this.toFileStat(o,O,_,l.length,r,u)}catch(O){return this.logService.trace(O),null}}));c.children=(0,S.coalesce)(f)}catch(l){this.logService.trace(l),c.children=[]}return c}return c}async resolveAll(o){return D.Promises.settled(o.map(async i=>{try{return{stat:await this.doResolveFile(i.resource,i.options),success:!0}}catch(t){return this.logService.trace(t),{stat:void 0,success:!1}}}))}async exists(o){const i=await this.withProvider(o);try{return!!await i.stat(o)}catch(t){return!1}}async canCreateFile(o,i){try{await this.doValidateCreateFile(o,i)}catch(t){return t}return!0}async doValidateCreateFile(o,i){if(!(i==null?void 0:i.overwrite)&&await this.exists(o))throw new R.FileOperationError((0,v.localize)(3,null,this.resourceForError(o)),3,i)}async createFile(o,i=d.VSBuffer.fromString(""),t){await this.doValidateCreateFile(o,t);const n=await this.writeFile(o,i);return this._onDidRunOperation.fire(new R.FileOperationEvent(o,0,n)),n}async writeFile(o,i,t){const n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),{providerExtUri:r}=this.getExtUri(n);try{await this.validateWriteFile(n,o,t)||await this.mkdirp(n,r.dirname(o));let s;if((0,R.hasReadWriteCapability)(n)&&!(i instanceof d.VSBuffer))if((0,E.isReadableStream)(i)){const c=await(0,E.peekStream)(i,3);c.ended?s=d.VSBuffer.concat(c.buffer):s=c}else s=(0,E.peekReadable)(i,c=>d.VSBuffer.concat(c),3);else s=i;!(0,R.hasOpenReadWriteCloseCapability)(n)||(0,R.hasReadWriteCapability)(n)&&s instanceof d.VSBuffer?await this.doWriteUnbuffered(n,o,s):await this.doWriteBuffered(n,o,s instanceof d.VSBuffer?(0,d.bufferToReadable)(s):s)}catch(u){throw new R.FileOperationError((0,v.localize)(4,null,this.resourceForError(o),(0,R.ensureFileSystemProviderError)(u).toString()),(0,R.toFileOperationResult)(u),t)}return this.resolve(o,{resolveMetadata:!0})}async validateWriteFile(o,i,t){let n;try{n=await o.stat(i)}catch(r){return}if((n.type&R.FileType.Directory)!=0)throw new R.FileOperationError((0,v.localize)(5,null,this.resourceForError(i)),0,t);if(t&&typeof t.mtime=="number"&&typeof t.etag=="string"&&t.etag!==R.ETAG_DISABLED&&typeof n.mtime=="number"&&typeof n.size=="number"&&t.mtime<n.mtime&&t.etag!==(0,R.etag)({mtime:t.mtime,size:n.size}))throw new R.FileOperationError((0,v.localize)(6,null),3,t);return n}async readFile(o,i){const t=await this.withReadProvider(o);return(i==null?void 0:i.atomic)?this.doReadFileAtomic(t,o,i):this.doReadFile(t,o,i)}async doReadFileAtomic(o,i,t){return new Promise((n,r)=>{this.writeQueue.queueFor(i,this.getExtUri(o).providerExtUri).queue(async()=>{try{const u=await this.doReadFile(o,i,t);n(u)}catch(u){r(u)}})})}async doReadFile(o,i,t){const n=await this.doReadFileStream(o,i,Object.assign(Object.assign({},t),{preferUnbuffered:!0}));return Object.assign(Object.assign({},n),{value:await(0,d.streamToBuffer)(n.value)})}async readFileStream(o,i){const t=await this.withReadProvider(o);return this.doReadFileStream(t,o,i)}async doReadFileStream(o,i,t){const n=new a.CancellationTokenSource,r=this.validateReadFile(i,t).then(s=>s,s=>{throw n.cancel(),s});let u;try{t&&typeof t.etag=="string"&&t.etag!==R.ETAG_DISABLED&&await r,!((0,R.hasOpenReadWriteCloseCapability)(o)||(0,R.hasFileReadStreamCapability)(o))||(0,R.hasReadWriteCapability)(o)&&(t==null?void 0:t.preferUnbuffered)?u=this.readFileUnbuffered(o,i,t):(0,R.hasFileReadStreamCapability)(o)?u=this.readFileStreamed(o,i,n.token,t):u=this.readFileBuffered(o,i,n.token,t);const s=await r;return Object.assign(Object.assign({},s),{value:u})}catch(s){throw u&&await(0,E.consumeStream)(u),new R.FileOperationError((0,v.localize)(7,null,this.resourceForError(i),(0,R.ensureFileSystemProviderError)(s).toString()),(0,R.toFileOperationResult)(s),t)}}readFileStreamed(o,i,t,n=Object.create(null)){const r=o.readFileStream(i,n,t);return(0,E.transform)(r,{data:u=>u instanceof d.VSBuffer?u:d.VSBuffer.wrap(u),error:u=>new R.FileOperationError((0,v.localize)(8,null,this.resourceForError(i),(0,R.ensureFileSystemProviderError)(u).toString()),(0,R.toFileOperationResult)(u),n)},u=>d.VSBuffer.concat(u))}readFileBuffered(o,i,t,n=Object.create(null)){const r=(0,d.newWriteableBufferStream)();return(0,b.readFileIntoStream)(o,i,r,u=>u,Object.assign(Object.assign({},n),{bufferSize:this.BUFFER_SIZE,errorTransformer:u=>new R.FileOperationError((0,v.localize)(9,null,this.resourceForError(i),(0,R.ensureFileSystemProviderError)(u).toString()),(0,R.toFileOperationResult)(u),n)}),t),r}readFileUnbuffered(o,i,t){const n=(0,E.newWriteableStream)(r=>d.VSBuffer.concat(r));return(async()=>{try{let r=await o.readFile(i);t&&typeof t.position=="number"&&(r=r.slice(t.position)),t&&typeof t.length=="number"&&(r=r.slice(0,t.length)),this.validateReadFileLimits(i,r.byteLength,t),n.end(d.VSBuffer.wrap(r))}catch(r){n.error(r),n.end()}})(),n}async validateReadFile(o,i){const t=await this.resolve(o,{resolveMetadata:!0});if(t.isDirectory)throw new R.FileOperationError((0,v.localize)(10,null,this.resourceForError(o)),0,i);if(i&&typeof i.etag=="string"&&i.etag!==R.ETAG_DISABLED&&i.etag===t.etag)throw new R.FileOperationError((0,v.localize)(11,null),2,i);return this.validateReadFileLimits(o,t.size,i),t}validateReadFileLimits(o,i,t){if(t==null?void 0:t.limits){let n;if(typeof t.limits.memory=="number"&&i>t.limits.memory&&(n=9),typeof t.limits.size=="number"&&i>t.limits.size&&(n=7),typeof n=="number")throw new R.FileOperationError((0,v.localize)(12,null,this.resourceForError(o)),n)}}async canMove(o,i,t){return this.doCanMoveCopy(o,i,"move",t)}async canCopy(o,i,t){return this.doCanMoveCopy(o,i,"copy",t)}async doCanMoveCopy(o,i,t,n){if(o.toString()!==i.toString())try{const r=t==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o):await this.withReadProvider(o),u=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i);await this.doValidateMoveCopy(r,o,u,i,t,n)}catch(r){return r}return!0}async move(o,i,t){const n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i),u=await this.doMoveCopy(n,o,r,i,"move",!!t),s=await this.resolve(i,{resolveMetadata:!0});return this._onDidRunOperation.fire(new R.FileOperationEvent(o,u==="move"?2:3,s)),s}async copy(o,i,t){const n=await this.withReadProvider(o),r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i),u=await this.doMoveCopy(n,o,r,i,"copy",!!t),s=await this.resolve(i,{resolveMetadata:!0});return this._onDidRunOperation.fire(new R.FileOperationEvent(o,u==="copy"?3:2,s)),s}async doMoveCopy(o,i,t,n,r,u){if(i.toString()===n.toString())return r;const{exists:s,isSameResourceWithDifferentPathCase:c}=await this.doValidateMoveCopy(o,i,t,n,r,u);if(s&&!c&&u&&await this.del(n,{recursive:!0}),await this.mkdirp(t,this.getExtUri(t).providerExtUri.dirname(n)),r==="copy"){if(o===t&&(0,R.hasFileFolderCopyCapability)(o))await o.copy(i,n,{overwrite:u});else{const l=await this.resolve(i);l.isDirectory?await this.doCopyFolder(o,l,t,n):await this.doCopyFile(o,i,t,n)}return r}else return o===t?(await o.rename(i,n,{overwrite:u}),r):(await this.doMoveCopy(o,i,t,n,"copy",u),await this.del(i,{recursive:!0}),"copy")}async doCopyFile(o,i,t,n){if((0,R.hasOpenReadWriteCloseCapability)(o)&&(0,R.hasOpenReadWriteCloseCapability)(t))return this.doPipeBuffered(o,i,t,n);if((0,R.hasOpenReadWriteCloseCapability)(o)&&(0,R.hasReadWriteCapability)(t))return this.doPipeBufferedToUnbuffered(o,i,t,n);if((0,R.hasReadWriteCapability)(o)&&(0,R.hasOpenReadWriteCloseCapability)(t))return this.doPipeUnbufferedToBuffered(o,i,t,n);if((0,R.hasReadWriteCapability)(o)&&(0,R.hasReadWriteCapability)(t))return this.doPipeUnbuffered(o,i,t,n)}async doCopyFolder(o,i,t,n){await t.mkdir(n),Array.isArray(i.children)&&await D.Promises.settled(i.children.map(async r=>{const u=this.getExtUri(t).providerExtUri.joinPath(n,r.name);return r.isDirectory?this.doCopyFolder(o,await this.resolve(r.resource),t,u):this.doCopyFile(o,r.resource,t,u)}))}async doValidateMoveCopy(o,i,t,n,r,u){let s=!1;if(o===t){const{providerExtUri:l,isPathCaseSensitive:f}=this.getExtUri(o);if(f||(s=l.isEqual(i,n)),s&&r==="copy")throw new Error((0,v.localize)(13,null,this.resourceForError(i),this.resourceForError(n)));if(!s&&l.isEqualOrParent(n,i))throw new Error((0,v.localize)(14,null,this.resourceForError(i),this.resourceForError(n)))}const c=await this.exists(n);if(c&&!s){if(!u)throw new R.FileOperationError((0,v.localize)(15,null,this.resourceForError(i),this.resourceForError(n)),4);if(o===t){const{providerExtUri:l}=this.getExtUri(o);if(l.isEqualOrParent(i,n))throw new Error((0,v.localize)(16,null,this.resourceForError(i),this.resourceForError(n)))}}return{exists:c,isSameResourceWithDifferentPathCase:s}}getExtUri(o){const i=this.isPathCaseSensitive(o);return{providerExtUri:i?L.extUri:L.extUriIgnorePathCase,isPathCaseSensitive:i}}isPathCaseSensitive(o){return!!(o.capabilities&1024)}async createFolder(o){const i=this.throwIfFileSystemIsReadonly(await this.withProvider(o),o);await this.mkdirp(i,o);const t=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new R.FileOperationEvent(o,0,t)),t}async mkdirp(o,i){const t=[],{providerExtUri:n}=this.getExtUri(o);for(;!n.isEqual(i,n.dirname(i));)try{if(((await o.stat(i)).type&R.FileType.Directory)==0)throw new Error((0,v.localize)(17,null,this.resourceForError(i)));break}catch(r){if((0,R.toFileSystemProviderErrorCode)(r)!==R.FileSystemProviderErrorCode.FileNotFound)throw r;t.push(n.basename(i)),i=n.dirname(i)}for(let r=t.length-1;r>=0;r--){i=n.joinPath(i,t[r]);try{await o.mkdir(i)}catch(u){if((0,R.toFileSystemProviderErrorCode)(u)!==R.FileSystemProviderErrorCode.FileExists)throw u}}}async canDelete(o,i){try{await this.doValidateDelete(o,i)}catch(t){return t}return!0}async doValidateDelete(o,i){const t=this.throwIfFileSystemIsReadonly(await this.withProvider(o),o);if(!!(i==null?void 0:i.useTrash)&&!(t.capabilities&4096))throw new Error((0,v.localize)(18,null,this.resourceForError(o)));const r=await this.exists(o);if(!r)throw new R.FileOperationError((0,v.localize)(19,null,this.resourceForError(o)),1);if(!!!(i==null?void 0:i.recursive)&&r){const s=await this.resolve(o);if(s.isDirectory&&Array.isArray(s.children)&&s.children.length>0)throw new Error((0,v.localize)(20,null,this.resourceForError(o)))}return t}async del(o,i){const t=await this.doValidateDelete(o,i),n=!!(i==null?void 0:i.useTrash),r=!!(i==null?void 0:i.recursive);await t.delete(o,{recursive:r,useTrash:n}),this._onDidRunOperation.fire(new R.FileOperationEvent(o,1))}watch(o,i={recursive:!1,excludes:[]}){let t=!1,n=()=>{t=!0};return this.doWatch(o,i).then(r=>{t?(0,U.dispose)(r):n=()=>(0,U.dispose)(r)},r=>this.logService.error(r)),(0,U.toDisposable)(()=>n())}async doWatch(o,i){const t=await this.withProvider(o),n=this.toWatchKey(t,o,i),r=this.activeWatchers.get(n)||{count:0,disposable:t.watch(o,i)};return this.activeWatchers.has(n)||this.activeWatchers.set(n,r),r.count+=1,(0,U.toDisposable)(()=>{r.count--,r.count===0&&((0,U.dispose)(r.disposable),this.activeWatchers.delete(n))})}toWatchKey(o,i,t){const{providerExtUri:n}=this.getExtUri(o);return[n.getComparisonKey(i),String(t.recursive),t.excludes.join()].join()}dispose(){super.dispose(),this.activeWatchers.forEach(o=>(0,U.dispose)(o.disposable)),this.activeWatchers.clear()}async doWriteBuffered(o,i,t){return this.writeQueue.queueFor(i,this.getExtUri(o).providerExtUri).queue(async()=>{const n=await o.open(i,{create:!0});try{(0,E.isReadableStream)(t)||(0,E.isReadableBufferedStream)(t)?await this.doWriteStreamBufferedQueued(o,n,t):await this.doWriteReadableBufferedQueued(o,n,t)}catch(r){throw(0,R.ensureFileSystemProviderError)(r)}finally{await o.close(n)}})}async doWriteStreamBufferedQueued(o,i,t){let n=0,r;if((0,E.isReadableBufferedStream)(t)){if(t.buffer.length>0){const u=d.VSBuffer.concat(t.buffer);await this.doWriteBuffer(o,i,u,u.byteLength,n,0),n+=u.byteLength}if(t.ended)return;r=t.stream}else r=t;return new Promise(async(u,s)=>{(0,E.listenStream)(r,{onData:async c=>{r.pause();try{await this.doWriteBuffer(o,i,c,c.byteLength,n,0)}catch(l){return s(l)}n+=c.byteLength,setTimeout(()=>r.resume())},onError:c=>s(c),onEnd:()=>u()})})}async doWriteReadableBufferedQueued(o,i,t){let n=0,r;for(;(r=t.read())!==null;)await this.doWriteBuffer(o,i,r,r.byteLength,n,0),n+=r.byteLength}async doWriteBuffer(o,i,t,n,r,u){let s=0;for(;s<n;)s+=await o.write(i,r+s,t.buffer,u+s,n-s)}async doWriteUnbuffered(o,i,t){return this.writeQueue.queueFor(i,this.getExtUri(o).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(o,i,t))}async doWriteUnbufferedQueued(o,i,t){let n;t instanceof d.VSBuffer?n=t:(0,E.isReadableStream)(t)?n=await(0,d.streamToBuffer)(t):(0,E.isReadableBufferedStream)(t)?n=await(0,d.bufferedStreamToBuffer)(t):n=(0,d.readableToBuffer)(t),await o.writeFile(i,n.buffer,{create:!0,overwrite:!0})}async doPipeBuffered(o,i,t,n){return this.writeQueue.queueFor(n,this.getExtUri(t).providerExtUri).queue(()=>this.doPipeBufferedQueued(o,i,t,n))}async doPipeBufferedQueued(o,i,t,n){let r,u;try{r=await o.open(i,{create:!1}),u=await t.open(n,{create:!0});const s=d.VSBuffer.alloc(this.BUFFER_SIZE);let c=0,l=0,f=0;do f=await o.read(r,c,s.buffer,l,s.byteLength-l),await this.doWriteBuffer(t,u,s,f,c,l),c+=f,l+=f,l===s.byteLength&&(l=0);while(f>0)}catch(s){throw(0,R.ensureFileSystemProviderError)(s)}finally{await D.Promises.settled([typeof r=="number"?o.close(r):Promise.resolve(),typeof u=="number"?t.close(u):Promise.resolve()])}}async doPipeUnbuffered(o,i,t,n){return this.writeQueue.queueFor(n,this.getExtUri(t).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(o,i,t,n))}async doPipeUnbufferedQueued(o,i,t,n){return t.writeFile(n,await o.readFile(i),{create:!0,overwrite:!0})}async doPipeUnbufferedToBuffered(o,i,t,n){return this.writeQueue.queueFor(n,this.getExtUri(t).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(o,i,t,n))}async doPipeUnbufferedToBufferedQueued(o,i,t,n){const r=await t.open(n,{create:!0});try{const u=await o.readFile(i);await this.doWriteBuffer(t,r,d.VSBuffer.wrap(u),u.byteLength,0,0)}catch(u){throw(0,R.ensureFileSystemProviderError)(u)}finally{await t.close(r)}}async doPipeBufferedToUnbuffered(o,i,t,n){const r=await(0,d.streamToBuffer)(this.readFileBuffered(o,i,a.CancellationToken.None));await this.doWriteUnbuffered(t,n,r)}throwIfFileSystemIsReadonly(o,i){if(o.capabilities&2048)throw new R.FileOperationError((0,v.localize)(21,null,this.resourceForError(i)),6);return o}resourceForError(o){return o.scheme===C.Schemas.file?o.fsPath:o.toString(!0)}};y=ue([K(0,I.ILogService)],y),e.FileService=y}),define(Z[154],ee([0,1,27,203,2,9,3,7,23,8,16,42,6,13,118,74,132,134,131,145,47,73,18,22]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b,p,y,m,o,i,t,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0;class r extends U.Disposable{constructor(s,c){var l;super();this.logService=s,this.options=c,this.BUFFER_SIZE=((l=this.options)===null||l===void 0?void 0:l.bufferSize)||64*1024,this.onDidChangeCapabilities=A.Event.None,this.mapHandleToPos=new Map,this.writeHandles=new Set,this.canFlush=!0,this._onDidWatchErrorOccur=this._register(new A.Emitter),this.onDidErrorOccur=this._onDidWatchErrorOccur.event,this._onDidChangeFile=this._register(new A.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this.recursiveFoldersToWatch=[],this.recursiveWatchRequestDelayer=this._register(new E.ThrottledDelayer(0))}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8,L.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(s){try{const{stat:c,symbolicLink:l}=await g.SymlinkSupport.stat(this.toFilePath(s));return{type:this.toType(c,l),ctime:c.birthtime.getTime(),mtime:c.mtime.getTime(),size:c.size}}catch(c){throw this.toFileSystemProviderError(c)}}async readdir(s){try{const c=await(0,g.readdir)(this.toFilePath(s),{withFileTypes:!0}),l=[];return await Promise.all(c.map(async f=>{try{let w;f.isSymbolicLink()?w=(await this.stat((0,I.joinPath)(s,f.name))).type:w=this.toType(f),l.push([f.name,w])}catch(w){this.logService.trace(w)}})),l}catch(c){throw this.toFileSystemProviderError(c)}}toType(s,c){let l;return(c==null?void 0:c.dangling)?l=R.FileType.Unknown:s.isFile()?l=R.FileType.File:s.isDirectory()?l=R.FileType.Directory:l=R.FileType.Unknown,c&&(l|=R.FileType.SymbolicLink),l}async readFile(s){try{const c=this.toFilePath(s);return await v.promises.readFile(c)}catch(c){throw this.toFileSystemProviderError(c)}}readFileStream(s,c,l){const f=(0,o.newWriteableStream)(w=>n.VSBuffer.concat(w.map(h=>n.VSBuffer.wrap(h))).buffer);return(0,i.readFileIntoStream)(this,s,f,w=>w.buffer,Object.assign(Object.assign({},c),{bufferSize:this.BUFFER_SIZE}),l),f}async writeFile(s,c,l){let f;try{const w=this.toFilePath(s);if(!l.create||!l.overwrite){if(await(0,g.exists)(w)){if(!l.overwrite)throw(0,R.createFileSystemProviderError)((0,a.localize)(0,null),R.FileSystemProviderErrorCode.FileExists)}else if(!l.create)throw(0,R.createFileSystemProviderError)((0,a.localize)(1,null),R.FileSystemProviderErrorCode.FileNotFound)}f=await this.open(s,{create:!0}),await this.write(f,0,c,0,c.byteLength)}catch(w){throw this.toFileSystemProviderError(w)}finally{typeof f=="number"&&await this.close(f)}}async open(s,c){try{const l=this.toFilePath(s);let f;if(c.create){if(L.isWindows)try{await v.promises.truncate(l,0),f="r+"}catch(h){h.code!=="ENOENT"&&this.logService.trace(h)}f||(f="w")}else f="r";const w=await(0,k.promisify)(v.open)(l,f);return this.mapHandleToPos.set(w,0),c.create&&this.writeHandles.add(w),w}catch(l){throw this.toFileSystemProviderError(l)}}async close(s){try{if(this.mapHandleToPos.delete(s),this.writeHandles.delete(s)&&this.canFlush)try{await(0,k.promisify)(v.fdatasync)(s)}catch(c){this.canFlush=!1,this.logService.error(c)}return await(0,k.promisify)(v.close)(s)}catch(c){throw this.toFileSystemProviderError(c)}}async read(s,c,l,f,w){const h=this.normalizePos(s,c);let O=null;try{const _=await(0,k.promisify)(v.read)(s,l,f,w,h);return typeof _=="number"?O=_:O=_.bytesRead,O}catch(_){throw this.toFileSystemProviderError(_)}finally{this.updatePos(s,h,O)}}normalizePos(s,c){return c===this.mapHandleToPos.get(s)?null:c}updatePos(s,c,l){const f=this.mapHandleToPos.get(s);typeof f=="number"&&(typeof c=="number"||(typeof l=="number"?this.mapHandleToPos.set(s,f+l):this.mapHandleToPos.delete(s)))}async write(s,c,l,f,w){return(0,E.retry)(()=>this.doWrite(s,c,l,f,w),100,3)}async doWrite(s,c,l,f,w){const h=this.normalizePos(s,c);let O=null;try{const _=await(0,k.promisify)(v.write)(s,l,f,w,h);return typeof _=="number"?O=_:O=_.bytesWritten,O}catch(_){throw this.toFileSystemProviderError(_)}finally{this.updatePos(s,h,O)}}async mkdir(s){try{await v.promises.mkdir(this.toFilePath(s))}catch(c){throw this.toFileSystemProviderError(c)}}async delete(s,c){try{const l=this.toFilePath(s);await this.doDelete(l,c)}catch(l){throw this.toFileSystemProviderError(l)}}async doDelete(s,c){c.recursive?await(0,g.rimraf)(s,g.RimRafMode.MOVE):await v.promises.unlink(s)}async rename(s,c,l){const f=this.toFilePath(s),w=this.toFilePath(c);if(f!==w)try{await this.validateTargetDeleted(s,c,"move",l.overwrite),await(0,g.move)(f,w)}catch(h){throw(h.code==="EINVAL"||h.code==="EBUSY"||h.code==="ENAMETOOLONG")&&(h=new Error((0,a.localize)(2,null,(0,S.basename)(f),(0,S.basename)((0,S.dirname)(w)),h.toString()))),this.toFileSystemProviderError(h)}}async copy(s,c,l){const f=this.toFilePath(s),w=this.toFilePath(c);if(f!==w)try{await this.validateTargetDeleted(s,c,"copy",l.overwrite),await(0,g.copy)(f,w,{preserveSymlinks:!0})}catch(h){throw(h.code==="EINVAL"||h.code==="EBUSY"||h.code==="ENAMETOOLONG")&&(h=new Error((0,a.localize)(3,null,(0,S.basename)(f),(0,S.basename)((0,S.dirname)(w)),h.toString()))),this.toFileSystemProviderError(h)}}async validateTargetDeleted(s,c,l,f){const w=this.toFilePath(s),h=this.toFilePath(c);let O=!1;if(!!(this.capabilities&1024)||(O=(0,d.isEqual)(w,h,!0)),O&&l==="copy")throw(0,R.createFileSystemProviderError)((0,a.localize)(4,null),R.FileSystemProviderErrorCode.FileExists);if(!O&&await(0,g.exists)(h)){if(!f)throw(0,R.createFileSystemProviderError)((0,a.localize)(5,null),R.FileSystemProviderErrorCode.FileExists);await this.delete(c,{recursive:!0,useTrash:!1})}}watch(s,c){return c.recursive?this.watchRecursive(s,c.excludes):this.watchNonRecursive(s)}watchRecursive(s,c){const l={path:this.toFilePath(s),excludes:c},f=(0,t.insert)(this.recursiveFoldersToWatch,l);return this.refreshRecursiveWatchers(),(0,U.toDisposable)(()=>{f(),this.refreshRecursiveWatchers()})}refreshRecursiveWatchers(){this.recursiveWatchRequestDelayer.trigger(async()=>{this.doRefreshRecursiveWatchers()})}doRefreshRecursiveWatchers(){var s,c,l;if(this.recursiveWatcher instanceof y.FileWatcher)this.recursiveWatcher.setFolders(this.recursiveFoldersToWatch);else if((0,U.dispose)(this.recursiveWatcher),this.recursiveWatcher=void 0,this.recursiveFoldersToWatch.length>0){let f,w;((c=(s=this.options)===null||s===void 0?void 0:s.watcher)===null||c===void 0?void 0:c.usePolling)?(f=b.FileWatcher,w=(l=this.options)===null||l===void 0?void 0:l.watcher):this.recursiveFoldersToWatch.length===1?L.isWindows?f=p.FileWatcher:f=b.FileWatcher:f=y.FileWatcher,this.recursiveWatcher=new f(this.recursiveFoldersToWatch,h=>this._onDidChangeFile.fire((0,C.toFileChanges)(h)),h=>{h.type==="error"&&this._onDidWatchErrorOccur.fire(h.message),this.logService[h.type](h.message)},this.logService.getLevel()===D.LogLevel.Trace,w),this.recursiveWatcherLogLevelListener||(this.recursiveWatcherLogLevelListener=this.logService.onDidChangeLogLevel(()=>{this.recursiveWatcher&&this.recursiveWatcher.setVerboseLogging(this.logService.getLevel()===D.LogLevel.Trace)}))}}watchNonRecursive(s){const c=new m.FileWatcher(this.toFilePath(s),f=>this._onDidChangeFile.fire((0,C.toFileChanges)(f)),f=>{f.type==="error"&&this._onDidWatchErrorOccur.fire(f.message),this.logService[f.type](f.message)},this.logService.getLevel()===D.LogLevel.Trace),l=this.logService.onDidChangeLogLevel(()=>{c.setVerboseLogging(this.logService.getLevel()===D.LogLevel.Trace)});return(0,U.combinedDisposable)(c,l)}toFilePath(s){return(0,S.normalize)(s.fsPath)}toFileSystemProviderError(s){if(s instanceof R.FileSystemProviderError)return s;let c;switch(s.code){case"ENOENT":c=R.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":c=R.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":c=R.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":c=R.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":c=R.FileSystemProviderErrorCode.NoPermissions;break;default:c=R.FileSystemProviderErrorCode.Unknown}return(0,R.createFileSystemProviderError)(s,c)}dispose(){super.dispose(),(0,U.dispose)(this.recursiveWatcher),this.recursiveWatcher=void 0,(0,U.dispose)(this.recursiveWatcherLogLevelListener),this.recursiveWatcherLogLevelListener=void 0}}e.DiskFileSystemProvider=r}),define(Z[155],ee([0,1,23,27,144,28,2,10,6,34,13,55,18,3,15,8]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LocalizationsService=void 0;let b=class extends A.Disposable{constructor(m,o,i){super();this.extensionManagementService=m,this.logService=i,this._onDidLanguagesChange=this._register(new D.Emitter),this.onDidLanguagesChange=this._onDidLanguagesChange.event,this.cache=this._register(new p(o,i)),this._register(m.onDidInstallExtension(({local:t})=>this.onDidInstallExtension(t))),this._register(m.onDidUninstallExtension(({identifier:t})=>this.onDidUninstallExtension(t)))}getLanguageIds(){return this.cache.getLanguagePacks().then(m=>{const o=["en",...Object.keys(m)];return(0,E.distinct)(o)})}onDidInstallExtension(m){m&&m.manifest&&m.manifest.contributes&&m.manifest.contributes.localizations&&m.manifest.contributes.localizations.length&&(this.logService.debug("Adding language packs from the extension",m.identifier.id),this.update().then(o=>{o&&this._onDidLanguagesChange.fire()}))}onDidUninstallExtension(m){this.cache.getLanguagePacks().then(o=>{Object.keys(o).some(i=>o[i]&&o[i].extensions.some(t=>(0,S.areSameExtensions)(t.extensionIdentifier,m)))&&(this.logService.debug("Removing language packs from the extension",m.id),this.update().then(i=>{i&&this._onDidLanguagesChange.fire()}))})}async update(){const[m,o]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),i=await this.cache.update(o);return!(0,E.equals)(Object.keys(m),Object.keys(i))}};b=ue([K(0,R.IExtensionManagementService),K(1,L.INativeEnvironmentService),K(2,I.ILogService)],b),e.LocalizationsService=b;let p=class extends A.Disposable{constructor(m,o){super();this.logService=o,this.languagePacks={},this.languagePacksFilePath=(0,C.join)(m.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new g.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(m){return this.withLanguagePacks(o=>{Object.keys(o).forEach(i=>delete o[i]),this.createLanguagePacksFromExtensions(o,...m)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(m,...o){for(const i of o)i&&i.manifest&&i.manifest.contributes&&i.manifest.contributes.localizations&&i.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(m,i);Object.keys(m).forEach(i=>this.updateHash(m[i]))}createLanguagePacksFromExtension(m,o){const i=o.identifier,t=o.manifest.contributes&&o.manifest.contributes.localizations?o.manifest.contributes.localizations:[];for(const n of t)if(o.location.scheme===a.Schemas.file&&(0,d.isValidLocalization)(n)){let r=m[n.languageId];r||(r={hash:"",extensions:[],translations:{}},m[n.languageId]=r);let u=r.extensions.filter(s=>(0,S.areSameExtensions)(s.extensionIdentifier,i))[0];u?u.version=o.manifest.version:r.extensions.push({extensionIdentifier:i,version:o.manifest.version});for(const s of n.translations)r.translations[s.id]=(0,C.join)(o.location.fsPath,s.path)}}updateHash(m){if(m){const o=(0,U.createHash)("md5");for(const i of m.extensions)o.update(i.extensionIdentifier.uuid||i.extensionIdentifier.id).update(i.version);m.hash=o.digest("hex")}}withLanguagePacks(m=()=>null){return this.languagePacksFileLimiter.queue(()=>{let o=null;return k.promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,i=>i.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(i)).then(i=>{try{return JSON.parse(i)}catch(t){return{}}}).then(i=>(o=m(i),i)).then(i=>{for(const n of Object.keys(i))i[n]||delete i[n];this.languagePacks=i,this.initializedCache=!0;const t=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",t),(0,v.writeFile)(this.languagePacksFilePath,t)}).then(()=>o,i=>this.logService.error(i))})}};p=ue([K(0,L.INativeEnvironmentService),K(1,I.ILogService)],p)}),define(Z[156],ee([0,1,13]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BufferLogService=void 0;function k(R,A){switch(A){case v.LogLevel.Trace:return R.trace;case v.LogLevel.Debug:return R.debug;case v.LogLevel.Info:return R.info;case v.LogLevel.Warning:return R.warn;case v.LogLevel.Error:return R.error;case v.LogLevel.Critical:return R.critical;default:throw new Error("Invalid log level")}}class U extends v.AbstractLogger{constructor(A=v.DEFAULT_LOG_LEVEL){super();this.buffer=[],this._logger=void 0,this.setLevel(A),this._register(this.onDidChangeLogLevel(L=>{this._logger&&this._logger.setLevel(L)}))}set logger(A){this._logger=A;for(const{level:L,args:g}of this.buffer)k(A,L).apply(A,g);this.buffer=[]}_log(A,...L){this._logger?k(this._logger,A).apply(this._logger,L):this.getLevel()<=A&&this.buffer.push({level:A,args:L})}trace(A,...L){this._log(v.LogLevel.Trace,A,...L)}debug(A,...L){this._log(v.LogLevel.Debug,A,...L)}info(A,...L){this._log(v.LogLevel.Info,A,...L)}warn(A,...L){this._log(v.LogLevel.Warning,A,...L)}error(A,...L){this._log(v.LogLevel.Error,A,...L)}critical(A,...L){this._log(v.LogLevel.Critical,A,...L)}dispose(){this._logger&&this._logger.dispose()}flush(){this._logger&&this._logger.flush()}}e.BufferLogService=U}),define(Z[157],ee([0,1,13,9,6,22,16,2,4,156]),function(G,e,v,k,U,R,A,L,g,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileLoggerService=e.FileLogger=void 0;const I=5*k.ByteSize.MB;let d=class extends v.AbstractLogger{constructor(a,C,b,p){super();this.name=a,this.resource=C,this.fileService=p,this.backupIndex=1,this.setLevel(b),this.queue=this._register(new U.Queue),this.initializePromise=this.initialize()}trace(){this.getLevel()<=v.LogLevel.Trace&&this._log(v.LogLevel.Trace,this.format(arguments))}debug(){this.getLevel()<=v.LogLevel.Debug&&this._log(v.LogLevel.Debug,this.format(arguments))}info(){this.getLevel()<=v.LogLevel.Info&&this._log(v.LogLevel.Info,this.format(arguments))}warn(){this.getLevel()<=v.LogLevel.Warning&&this._log(v.LogLevel.Warning,this.format(arguments))}error(){if(this.getLevel()<=v.LogLevel.Error){const a=arguments[0];if(a instanceof Error){const C=Array.prototype.slice.call(arguments);C[0]=a.stack,this._log(v.LogLevel.Error,this.format(C))}else this._log(v.LogLevel.Error,this.format(arguments))}}critical(){this.getLevel()<=v.LogLevel.Critical&&this._log(v.LogLevel.Critical,this.format(arguments))}flush(){}log(a,C){this._log(a,this.format(C))}async initialize(){try{await this.fileService.createFile(this.resource)}catch(a){if(a.fileOperationResult!==3)throw a}}_log(a,C){this.queue.queue(async()=>{await this.initializePromise;let b=await this.loadContent();b.length>I&&(await this.fileService.writeFile(this.getBackupResource(),R.VSBuffer.fromString(b)),b=""),b+=`[${this.getCurrentTimestamp()}] [${this.name}] [${this.stringifyLogLevel(a)}] ${C}
`,await this.fileService.writeFile(this.resource,R.VSBuffer.fromString(b))})}getCurrentTimestamp(){const a=p=>p<10?`0${p}`:p,C=p=>p<10?`00${p}`:p<100?`0${p}`:p,b=new Date;return`${b.getFullYear()}-${a(b.getMonth()+1)}-${a(b.getDate())} ${a(b.getHours())}:${a(b.getMinutes())}:${a(b.getSeconds())}.${C(b.getMilliseconds())}`}getBackupResource(){return this.backupIndex=this.backupIndex>5?1:this.backupIndex,(0,A.joinPath)((0,A.dirname)(this.resource),`${(0,A.basename)(this.resource)}_${this.backupIndex++}`)}async loadContent(){try{return(await this.fileService.readFile(this.resource)).value.toString()}catch(a){return""}}stringifyLogLevel(a){switch(a){case v.LogLevel.Critical:return"critical";case v.LogLevel.Debug:return"debug";case v.LogLevel.Error:return"error";case v.LogLevel.Info:return"info";case v.LogLevel.Trace:return"trace";case v.LogLevel.Warning:return"warning"}return""}format(a){let C="";for(let b=0;b<a.length;b++){let p=a[b];if(typeof p=="object")try{p=JSON.stringify(p)}catch(y){}C+=(b>0?" ":"")+p}return C}};d=ue([K(3,k.IFileService)],d),e.FileLogger=d;let E=class extends L.Disposable{constructor(a,C,b){super();this.logService=a,this.instantiationService=C,this.fileService=b,this.loggers=new Map,this._register(a.onDidChangeLogLevel(p=>this.loggers.forEach(y=>y.setLevel(p))))}createLogger(a){let C=this.loggers.get(a.toString());return C||(C=new S.BufferLogService(this.logService.getLevel()),this.loggers.set(a.toString(),C),(0,k.whenProviderRegistered)(a,this.fileService).then(()=>C.logger=this.instantiationService.createInstance(d,(0,A.basename)(a),a,this.logService.getLevel()))),C}dispose(){this.loggers.forEach(a=>a.dispose()),this.loggers.clear(),super.dispose()}};E=ue([K(0,v.ILogService),K(1,g.IInstantiationService),K(2,k.IFileService)],E),e.FileLoggerService=E}),define(Z[76],ee([0,1,13,3,5]),function(G,e,v,k,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class R{constructor(E){this.service=E,this.onDidChangeLogLevel=k.Event.buffer(E.onDidChangeLogLevel,!0)}listen(E,D){switch(D){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${D}`)}async call(E,D,a){switch(D){case"setLevel":return this.service.setLevel(a)}throw new Error(`Call not found: ${D}`)}}e.LogLevelChannel=R;class A{constructor(E){this.channel=E}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(E){A.setLevel(this.channel,E)}static setLevel(E,D){return E.call("setLevel",D)}}e.LogLevelChannelClient=A;class L{constructor(E){this.loggerService=E,this.loggers=new Map}listen(E,D){throw new Error(`Event not found: ${D}`)}async call(E,D,a){switch(D){case"createLogger":this.createLogger(U.URI.revive(a[0]),a[1]);return;case"log":return this.log(U.URI.revive(a[0]),a[1]);case"consoleLog":return this.consoleLog(a[0],a[1])}throw new Error(`Call not found: ${D}`)}createLogger(E,D){this.loggers.set(E.toString(),this.loggerService.createLogger(E,D))}consoleLog(E,D){let a=console.log;switch(E){case v.LogLevel.Error:a=console.error;break;case v.LogLevel.Warning:a=console.warn;break;case v.LogLevel.Info:a=console.info;break}a.call(console,...D)}log(E,D){const a=this.loggers.get(E.toString());if(!a)throw new Error("Create the logger before logging");for(const[C,b]of D)switch(C){case v.LogLevel.Trace:a.trace(b);break;case v.LogLevel.Debug:a.debug(b);break;case v.LogLevel.Info:a.info(b);break;case v.LogLevel.Warning:a.warn(b);break;case v.LogLevel.Error:a.error(b);break;case v.LogLevel.Critical:a.critical(b);break;default:throw new Error("Invalid log level")}}}e.LoggerChannel=L;class g{constructor(E){this.channel=E}createConsoleMainLogger(){return new v.AdapterLogger({log:(E,D)=>{this.channel.call("consoleLog",[E,D])}})}createLogger(E,D){return new S(this.channel,E,D)}}e.LoggerChannelClient=g;class S extends v.AbstractMessageLogger{constructor(E,D,a){super(a==null?void 0:a.always);this.channel=E,this.file=D,this.isLoggerCreated=!1,this.buffer=[],this.channel.call("createLogger",[D,a]).then(()=>{this._log(this.buffer),this.isLoggerCreated=!0})}log(E,D){this._log([[E,D]])}_log(E){this.isLoggerCreated?this.channel.call("log",[this.file,E]):this.buffer.push(...E)}}class I extends v.LogService{constructor(E,D){super(D);this.parent=E,this._register(E.onDidChangeLogLevel(a=>D.setLevel(a)))}setLevel(E){super.setLevel(E),this.parent.setLevel(E)}}e.FollowerLogService=I}),define(Z[77],ee([0,1,13,9]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=e.createRotatingLogger=void 0;async function U(g,S,I,d){try{const E=await new Promise((D,a)=>{G(["spdlog"],D,a)});return E.setAsyncMode(8192,500),E.createRotatingLoggerAsync(g,S,I,d)}catch(E){console.error(E)}return null}function R(g,S,I,d){return G.__$__nodeRequire("spdlog").createRotatingLogger(g,S,I,d)}e.createRotatingLogger=R;function A(g,S,I){switch(S){case v.LogLevel.Trace:g.trace(I);break;case v.LogLevel.Debug:g.debug(I);break;case v.LogLevel.Info:g.info(I);break;case v.LogLevel.Warning:g.warn(I);break;case v.LogLevel.Error:g.error(I);break;case v.LogLevel.Critical:g.critical(I);break;default:throw new Error("Invalid log level")}}class L extends v.AbstractMessageLogger{constructor(S,I,d,E){super();this.name=S,this.filepath=I,this.rotating=d,this.buffer=[],this.setLevel(E),this._loggerCreationPromise=this._createSpdLogLogger(),this._register(this.onDidChangeLogLevel(D=>{this._logger&&this._logger.setLevel(D)}))}_createSpdLogLogger(){const S=this.rotating?6:1,I=30/S*k.ByteSize.MB;return U(this.name,this.filepath,I,S).then(d=>{if(d){this._logger=d,this._logger.setLevel(this.getLevel());for(const{level:E,message:D}of this.buffer)A(this._logger,E,D);this.buffer=[]}})}log(S,I){this._logger?A(this._logger,S,I):this.getLevel()<=S&&this.buffer.push({level:S,message:I})}clearFormatters(){this._logger?this._logger.clearFormatters():this._loggerCreationPromise.then(()=>this.clearFormatters())}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=L}),define(Z[158],ee([0,1,13,2,16,15,157,77,9,30]),function(G,e,v,k,U,R,A,L,g,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LoggerService=void 0;let I=class extends k.Disposable{constructor(E,D){super();this.logService=E,this.fileService=D,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(E.onDidChangeLogLevel(a=>this.logLevelChangeableLoggers.forEach(C=>C.setLevel(a))))}createLogger(E,D){var a;let C=this.loggers.get(E.toString());return C||(E.scheme===R.Schemas.file?(C=new L.SpdLogLogger((D==null?void 0:D.name)||(0,S.generateUuid)(),E.fsPath,!(D==null?void 0:D.donotRotate),this.logService.getLevel()),(D==null?void 0:D.donotUseFormatters)&&C.clearFormatters()):C=new A.FileLogger((a=D==null?void 0:D.name)!==null&&a!==void 0?a:(0,U.basename)(E),E,this.logService.getLevel(),this.fileService),this.loggers.set(E.toString(),C),(D==null?void 0:D.always)?C.setLevel(v.LogLevel.Trace):this.logLevelChangeableLoggers.push(C)),C}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(E=>E.dispose()),this.loggers.clear(),super.dispose()}};I=ue([K(0,v.ILogService),K(1,g.IFileService)],I),e.LoggerService=I}),define(Z[57],ee([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeHostService=void 0,e.INativeHostService=(0,v.createDecorator)("nativeHostService")}),define(Z[36],ee([0,1,7,53,15,16]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let A;if(v.isWeb||typeof G=="undefined"||typeof G.__$__nodeRequire!="function")A={},Object.keys(A).length===0&&Object.assign(A,{version:"1.55.0-dev",nameShort:v.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",nameLong:v.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","ms-vscode.github-browser"]});else{const L=(0,R.dirname)(U.FileAccess.asFileUri("",G));A=G.__$__nodeRequire((0,R.joinPath)(L,"product.json").fsPath);const g=G.__$__nodeRequire((0,R.joinPath)(L,"package.json").fsPath);k.env.VSCODE_DEV&&Object.assign(A,{nameShort:`${A.nameShort} Dev`,nameLong:`${A.nameLong} Dev`,dataFolderName:`${A.dataFolderName}-dev`}),Object.assign(A,{version:g.version})}e.default=A}),define(Z[159],ee([0,1,27,8,23,36,2,14,13,10]),function(G,e,v,k,U,R,A,L,g,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguagePackCachedDataCleaner=void 0;let I=class extends A.Disposable{constructor(E,D){super();this._environmentService=E,this._logService=D,this._environmentService.isBuilt&&this._manageCachedDataSoon()}_manageCachedDataSoon(){let E=setTimeout(async()=>{E=void 0,this._logService.info("Starting to clean up unused language packs.");const D=R.default.nameLong.indexOf("Insiders")>=0?1e3*60*60*24*7:1e3*60*60*24*30*3;try{const a=Object.create(null),C=JSON.parse(await v.promises.readFile(k.join(this._environmentService.userDataPath,"languagepacks.json"),"utf8"));for(let m of Object.keys(C)){const o=C[m];a[`${o.hash}.${m}`]=!0}const b=k.join(this._environmentService.userDataPath,"clp");if(!await U.exists(b))return;for(let m of await U.readdir(b)){if(a[m]){this._logService.info(`Skipping directory ${m}. Language pack still in use.`);continue}this._logService.info("Removing unused language pack:",m),await U.rimraf(k.join(b,m))}const y=Date.now();for(let m of Object.keys(a)){const o=k.join(b,m);for(let i of await U.readdir(o))if(i!=="tcf.json"){const t=k.join(o,i),n=await v.promises.stat(t);n.isDirectory()&&y-n.mtime.getTime()>D&&(this._logService.info("Removing language pack cache entry: ",k.join(m,i)),await U.rimraf(t))}}}catch(a){(0,L.onUnexpectedError)(a)}},40*1e3);this._register((0,A.toDisposable)(()=>{E!==void 0&&clearTimeout(E)}))}};I=ue([K(0,S.INativeEnvironmentService),K(1,g.ILogService)],I),e.LanguagePackCachedDataCleaner=I}),define(Z[160],ee([0,1,27,8,14,2,23,36]),function(G,e,v,k,U,R,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeCachedDataCleaner=void 0;class g{constructor(I){this.nodeCachedDataDir=I,this._disposables=new R.DisposableStore,this._manageCachedDataSoon()}dispose(){this._disposables.dispose()}_manageCachedDataSoon(){if(!!this.nodeCachedDataDir){const I=(0,k.dirname)(this.nodeCachedDataDir),d=(0,k.basename)(this.nodeCachedDataDir);let E=setTimeout(()=>{E=void 0,(0,A.readdir)(I).then(D=>{const a=Date.now(),C=[];return D.forEach(b=>{if(b!==d){const p=(0,k.join)(I,b);C.push(v.promises.stat(p).then(y=>{if(y.isDirectory()&&a-y.mtime.getTime()>g._DataMaxAge)return(0,A.rimraf)(p)}))}}),Promise.all(C)}).then(void 0,U.onUnexpectedError)},30*1e3);this._disposables.add((0,R.toDisposable)(()=>{E&&(clearTimeout(E),E=void 0)}))}}}e.NodeCachedDataCleaner=g,g._DataMaxAge=L.default.nameLong.indexOf("Insiders")>=0?1e3*60*60*24*7:1e3*60*60*24*30*3}),define(Z[161],ee([0,1,38,36,96,8,16,86,54,15,5]),function(G,e,v,k,U,R,A,L,g,S,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseUserDataDir=e.parsePathArg=e.parseSearchPort=e.parseExtensionHostPort=e.NativeEnvironmentService=void 0;class d{constructor(y){if(this._args=y,!y.logsPath){const m=(0,g.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");y.logsPath=(0,R.join)(this.userDataPath,"logs",m)}this.logsPath=y.logsPath}get args(){return this._args}get appRoot(){return(0,R.dirname)(S.FileAccess.asFileUri("",G).fsPath)}get userHome(){return I.URI.file((0,v.homedir)())}get userDataPath(){const y=process.env.VSCODE_PORTABLE;return y?(0,R.join)(y,"user-data"):b(this._args,process)}get appSettingsHome(){return I.URI.file((0,R.join)(this.userDataPath,"User"))}get tmpDir(){return I.URI.file((0,v.tmpdir)())}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return(0,A.joinPath)(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return(0,A.joinPath)(this.userRoamingDataHome,"sync")}get userDataSyncLogResource(){return I.URI.file((0,R.join)(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,A.joinPath)(I.URI.file((0,R.join)(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return I.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return I.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return(0,A.joinPath)(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return(0,A.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const y=process.env.VSCODE_PORTABLE;return y?I.URI.file((0,R.join)(y,"argv.json")):(0,A.joinPath)(this.userHome,k.default.dataFolderName,"argv.json")}get snippetsHome(){return(0,A.joinPath)(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this._args.extensionDevelopmentPath}get untitledWorkspacesHome(){return I.URI.file((0,R.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,R.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const y=C(this._args["builtin-extensions-dir"],process);return y||(0,R.normalize)((0,R.join)(S.FileAccess.asFileUri("",G).fsPath,"..","extensions"))}get extensionsDownloadPath(){const y=C(this._args["extensions-download-dir"],process);return y||(0,R.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const y=C(this._args["extensions-dir"],process);if(y)return y;const m=process.env.VSCODE_EXTENSIONS;if(m)return m;const o=process.env.VSCODE_PORTABLE;return o?(0,R.join)(o,"extensions"):(0,A.joinPath)(this.userHome,k.default.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const y=this._args.extensionDevelopmentPath;if(Array.isArray(y))return y.map(m=>/^[^:/?#]+?:\/\//.test(m)?I.URI.parse(m):I.URI.file((0,R.normalize)(m)))}get extensionTestsLocationURI(){const y=this._args.extensionTestsPath;if(y)return/^[^:/?#]+?:\/\//.test(y)?I.URI.parse(y):I.URI.file((0,R.normalize)(y))}get disableExtensions(){if(this._args["disable-extensions"])return!0;const y=this._args["disable-extension"];if(y){if(typeof y=="string")return[y];if(Array.isArray(y)&&y.length>0)return y}return!1}get debugExtensionHost(){return E(this._args,this.isBuilt)}get debugRenderer(){return!!this._args.debugRenderer}get isBuilt(){return!process.env.VSCODE_DEV}get verbose(){return!!this._args.verbose}get logLevel(){return this._args.log}get serviceMachineIdResource(){return(0,A.joinPath)(I.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this._args["crash-reporter-id"]}get crashReporterDirectory(){return this._args["crash-reporter-directory"]}get driverHandle(){return this._args.driver}get telemetryLogResource(){return I.URI.file((0,R.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this._args["disable-telemetry"]}}ue([L.memoize],d.prototype,"appRoot",null),ue([L.memoize],d.prototype,"userHome",null),ue([L.memoize],d.prototype,"userDataPath",null),ue([L.memoize],d.prototype,"appSettingsHome",null),ue([L.memoize],d.prototype,"tmpDir",null),ue([L.memoize],d.prototype,"userRoamingDataHome",null),ue([L.memoize],d.prototype,"settingsResource",null),ue([L.memoize],d.prototype,"userDataSyncHome",null),ue([L.memoize],d.prototype,"userDataSyncLogResource",null),ue([L.memoize],d.prototype,"sync",null),ue([L.memoize],d.prototype,"machineSettingsResource",null),ue([L.memoize],d.prototype,"globalStorageHome",null),ue([L.memoize],d.prototype,"workspaceStorageHome",null),ue([L.memoize],d.prototype,"keybindingsResource",null),ue([L.memoize],d.prototype,"keyboardLayoutResource",null),ue([L.memoize],d.prototype,"argvResource",null),ue([L.memoize],d.prototype,"snippetsHome",null),ue([L.memoize],d.prototype,"isExtensionDevelopment",null),ue([L.memoize],d.prototype,"untitledWorkspacesHome",null),ue([L.memoize],d.prototype,"installSourcePath",null),ue([L.memoize],d.prototype,"builtinExtensionsPath",null),ue([L.memoize],d.prototype,"extensionsPath",null),ue([L.memoize],d.prototype,"extensionDevelopmentLocationURI",null),ue([L.memoize],d.prototype,"extensionTestsLocationURI",null),ue([L.memoize],d.prototype,"debugExtensionHost",null),ue([L.memoize],d.prototype,"serviceMachineIdResource",null),ue([L.memoize],d.prototype,"telemetryLogResource",null),e.NativeEnvironmentService=d;function E(p,y){return a(p["inspect-extensions"],p["inspect-brk-extensions"],5870,y,p.debugId)}e.parseExtensionHostPort=E;function D(p,y){return a(p["inspect-search"],p["inspect-brk-search"],5876,y)}e.parseSearchPort=D;function a(p,y,m,o,i){const n=Number(y||p)||(o?null:m),r=n?Boolean(!!y):!1;return{port:n,break:r,debugId:i}}function C(p,y){if(!!p){const m=(0,R.resolve)(p);return(0,R.normalize)(p)===m?m:(0,R.resolve)(y.env.VSCODE_CWD||y.cwd(),p)}}e.parsePathArg=C;function b(p,y){return C(p["user-data-dir"],y)||(0,R.resolve)((0,U.getDefaultUserDataPath)())}e.parseUserDataDir=b}),define(Z[31],ee([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IProductService=void 0,e.IProductService=(0,v.createDecorator)("productService")}),define(Z[35],ee([0,1,17,85]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class U{constructor(){this.data=new Map}add(A,L){k.ok(v.isString(A)),k.ok(v.isObject(L)),k.ok(!this.data.has(A),"There is already an extension with this id"),this.data.set(A,L)}knows(A){return this.data.has(A)}as(A){return this.data.get(A)||null}}e.Registry=new U}),define(Z[78],ee([0,1,35,3]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function U(L){return L.length>0&&L.charAt(L.length-1)==="#"?L.substring(0,L.length-1):L}class R{constructor(){this._onDidChangeSchema=new k.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(g,S){this.schemasById[U(g)]=S,this._onDidChangeSchema.fire(g)}notifySchemaChanged(g){this._onDidChangeSchema.fire(g)}getSchemaContributions(){return{schemas:this.schemasById}}}const A=new R;v.Registry.add(e.Extensions.JSONContribution,A)}),define(Z[39],ee([0,1,108,3,35,17,78]),function(G,e,v,k,U,R,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.overrideIdentifierFromKey=e.OVERRIDE_PROPERTY_PATTERN=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=void 0,e.Extensions={Configuration:"base.contributions.configuration"};var L;(function(b){b[b.APPLICATION=1]="APPLICATION",b[b.MACHINE=2]="MACHINE",b[b.WINDOW=3]="WINDOW",b[b.RESOURCE=4]="RESOURCE",b[b.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",b[b.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(L=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const g=U.Registry.as(A.Extensions.JSONContribution);class S{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new k.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new k.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:v.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},g.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(p,y=!0){this.registerConfigurations([p],y)}registerConfigurations(p,y=!0){const m=[];p.forEach(o=>{m.push(...this.validateAndRegisterProperties(o,y)),this.configurationContributors.push(o),this.registerJSONConfiguration(o)}),g.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(m)}deregisterConfigurations(p){const y=[],m=o=>{if(o.properties)for(const i in o.properties)y.push(i),delete this.configurationProperties[i],this.removeFromSchema(i,o.properties[i]);o.allOf&&o.allOf.forEach(i=>m(i))};for(const o of p){m(o);const i=this.configurationContributors.indexOf(o);i!==-1&&this.configurationContributors.splice(i,1)}g.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(y)}registerDefaultConfigurations(p){const y=[],m=[];for(const o of p)for(const i in o)if(y.push(i),e.OVERRIDE_PROPERTY_PATTERN.test(i)){this.defaultValues[i]=Object.assign(Object.assign({},this.defaultValues[i]||{}),o[i]);const t={type:"object",default:this.defaultValues[i],description:v.localize(1,null,i),$ref:e.resourceLanguageSettingsSchemaId};m.push(d(i)),this.configurationProperties[i]=t,this.defaultLanguageConfigurationOverridesNode.properties[i]=t}else{this.defaultValues[i]=o[i];const t=this.configurationProperties[i];t&&(this.updatePropertyDefaultValue(i,t),this.updateSchema(i,t))}this.registerOverrideIdentifiers(m),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(y)}deregisterDefaultConfigurations(p){const y=[];for(const m of p)for(const o in m)if(y.push(o),delete this.defaultValues[o],e.OVERRIDE_PROPERTY_PATTERN.test(o))delete this.configurationProperties[o],delete this.defaultLanguageConfigurationOverridesNode.properties[o];else{const i=this.configurationProperties[o];i&&(this.updatePropertyDefaultValue(o,i),this.updateSchema(o,i))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(y)}notifyConfigurationSchemaUpdated(...p){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(p){for(const y of p)this.overrideIdentifiers.add(y);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(p,y=!0,m=3){m=R.isUndefinedOrNull(p.scope)?m:p.scope;let o=[],i=p.properties;if(i)for(let n in i){if(y&&a(n)){delete i[n];continue}const r=i[n];if(this.updatePropertyDefaultValue(n,r),e.OVERRIDE_PROPERTY_PATTERN.test(n)?r.scope=void 0:r.scope=R.isUndefinedOrNull(r.scope)?m:r.scope,i[n].hasOwnProperty("included")&&!i[n].included){this.excludedConfigurationProperties[n]=i[n],delete i[n];continue}else this.configurationProperties[n]=i[n];!i[n].deprecationMessage&&i[n].markdownDeprecationMessage&&(i[n].deprecationMessage=i[n].markdownDeprecationMessage),o.push(n)}let t=p.allOf;if(t)for(let n of t)o.push(...this.validateAndRegisterProperties(n,y,m));return o}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(p){const y=m=>{let o=m.properties;if(o)for(const t in o)this.updateSchema(t,o[t]);let i=m.allOf;i&&i.forEach(y)};y(p)}updateSchema(p,y){switch(e.allSettings.properties[p]=y,y.scope){case 1:e.applicationSettings.properties[p]=y;break;case 2:e.machineSettings.properties[p]=y;break;case 6:e.machineOverridableSettings.properties[p]=y;break;case 3:e.windowSettings.properties[p]=y;break;case 4:e.resourceSettings.properties[p]=y;break;case 5:e.resourceSettings.properties[p]=y,this.resourceLanguageSettingsSchema.properties[p]=y;break}}removeFromSchema(p,y){switch(delete e.allSettings.properties[p],y.scope){case 1:delete e.applicationSettings.properties[p];break;case 2:delete e.machineSettings.properties[p];break;case 6:delete e.machineOverridableSettings.properties[p];break;case 3:delete e.windowSettings.properties[p];break;case 4:case 5:delete e.resourceSettings.properties[p];break}}updateOverridePropertyPatternKey(){for(const p of this.overrideIdentifiers.values()){const y=`[${p}]`,m={type:"object",description:v.localize(2,null),errorMessage:v.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(y,m),e.allSettings.properties[y]=m,e.applicationSettings.properties[y]=m,e.machineSettings.properties[y]=m,e.machineOverridableSettings.properties[y]=m,e.windowSettings.properties[y]=m,e.resourceSettings.properties[y]=m}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(p,y){let m=this.defaultValues[p];R.isUndefined(m)&&(m=y.default),R.isUndefined(m)&&(m=E(y.type)),y.default=m}}const I="\\[.*\\]$";e.OVERRIDE_PROPERTY_PATTERN=new RegExp(I);function d(b){return b.substring(1,b.length-1)}e.overrideIdentifierFromKey=d;function E(b){switch(Array.isArray(b)?b[0]:b){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=E;const D=new S;U.Registry.add(e.Extensions.Configuration,D);function a(b){return b.trim()?e.OVERRIDE_PROPERTY_PATTERN.test(b)?v.localize(5,null,b):D.getConfigurationProperties()[b]!==void 0?v.localize(6,null,b):null:v.localize(4,null)}e.validateProperty=a;function C(){const b=[],p=D.getConfigurationProperties();for(const y of Object.keys(p))b.push([y,p[y].scope]);return b.push(["launch",4]),b.push(["task",4]),b}e.getScopes=C}),define(Z[24],ee([0,1,26,17,5,35,4,39]),function(G,e,v,k,U,R,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.keyFromOverrideIdentifier=e.getDefaultValues=e.getConfigurationKeys=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.toOverrides=e.compare=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,A.createDecorator)("configurationService");function g(n){return n&&typeof n=="object"&&(!n.overrideIdentifier||typeof n.overrideIdentifier=="string")&&(!n.resource||n.resource instanceof U.URI)}e.isConfigurationOverrides=g;var S;(function(n){n[n.USER=1]="USER",n[n.USER_LOCAL=2]="USER_LOCAL",n[n.USER_REMOTE=3]="USER_REMOTE",n[n.WORKSPACE=4]="WORKSPACE",n[n.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",n[n.DEFAULT=6]="DEFAULT",n[n.MEMORY=7]="MEMORY"})(S=e.ConfigurationTarget||(e.ConfigurationTarget={}));function I(n){switch(n){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=I;function d(n,r){const u=r?n?r.keys.filter(O=>n.keys.indexOf(O)===-1):[...r.keys]:[],s=n?r?n.keys.filter(O=>r.keys.indexOf(O)===-1):[...n.keys]:[],c=[];if(r&&n){for(const O of n.keys)if(r.keys.indexOf(O)!==-1){const _=p(n.contents,O),$=p(r.contents,O);v.equals(_,$)||c.push(O)}}const l=[],f=O=>{const _={};for(const $ of O)for(const q of $.identifiers)_[i(q)]=$;return _},w=r?f(r.overrides):{},h=n?f(n.overrides):{};if(Object.keys(w).length)for(const O of u){const _=w[O];_&&l.push([(0,L.overrideIdentifierFromKey)(O),_.keys])}if(Object.keys(h).length)for(const O of s){const _=h[O];_&&l.push([(0,L.overrideIdentifierFromKey)(O),_.keys])}if(Object.keys(w).length&&Object.keys(h).length)for(const O of c){const _=h[O],$=w[O];if(_&&$){const q=d({contents:_.contents,keys:_.keys,overrides:[]},{contents:$.contents,keys:$.keys,overrides:[]});l.push([(0,L.overrideIdentifierFromKey)(O),[...q.added,...q.removed,...q.updated]])}}return{added:u,removed:s,updated:c,overrides:l}}e.compare=d;function E(n,r){const u=[];for(const s of Object.keys(n))if(L.OVERRIDE_PROPERTY_PATTERN.test(s)){const c={};for(const l in n[s])c[l]=n[s][l];u.push({identifiers:[(0,L.overrideIdentifierFromKey)(s).trim()],keys:Object.keys(c),contents:D(c,r)})}return u}e.toOverrides=E;function D(n,r){const u=Object.create(null);for(let s in n)a(u,s,n[s],r);return u}e.toValuesTree=D;function a(n,r,u,s){const c=r.split("."),l=c.pop();let f=n;for(let w=0;w<c.length;w++){let h=c[w],O=f[h];switch(typeof O){case"undefined":O=f[h]=Object.create(null);break;case"object":break;default:s(`Ignoring ${r} as ${c.slice(0,w+1).join(".")} is ${JSON.stringify(O)}`);return}f=O}if(typeof f=="object"&&f!==null)try{f[l]=u}catch(w){s(`Ignoring ${r} as ${c.join(".")} is ${JSON.stringify(f)}`)}else s(`Ignoring ${r} as ${c.join(".")} is ${JSON.stringify(f)}`)}e.addToValueTree=a;function C(n,r){const u=r.split(".");b(n,u)}e.removeFromValueTree=C;function b(n,r){const u=r.shift();if(r.length===0){delete n[u];return}if(Object.keys(n).indexOf(u)!==-1){const s=n[u];typeof s=="object"&&!Array.isArray(s)&&(b(s,r),Object.keys(s).length===0&&delete n[u])}}function p(n,r,u){function s(f,w){let h=f;for(const O of w){if(typeof h!="object"||h===null)return;h=h[O]}return h}const c=r.split("."),l=s(n,c);return typeof l=="undefined"?u:l}e.getConfigurationValue=p;function y(n,r,u){Object.keys(r).forEach(s=>{s!=="__proto__"&&(s in n?k.isObject(n[s])&&k.isObject(r[s])?y(n[s],r[s],u):u&&(n[s]=r[s]):n[s]=r[s])})}e.merge=y;function m(){const n=R.Registry.as(L.Extensions.Configuration).getConfigurationProperties();return Object.keys(n)}e.getConfigurationKeys=m;function o(){const n=Object.create(null),r=R.Registry.as(L.Extensions.Configuration).getConfigurationProperties();for(let u in r){let s=r[u].default;a(n,u,s,c=>console.error(`Conflict in default settings: ${c}`))}return n}e.getDefaultValues=o;function i(n){return`[${n}]`}e.keyFromOverrideIdentifier=i;function t(n,r,u){const s=n.inspect(r),c=n.inspect(u);return typeof s.userValue!="undefined"||typeof s.workspaceValue!="undefined"||typeof s.workspaceFolderValue!="undefined"?s.value:typeof c.userValue!="undefined"||typeof c.workspaceValue!="undefined"||typeof c.workspaceFolderValue!="undefined"?c.value:s.defaultValue}e.getMigratedSettingValue=t}),define(Z[162],ee([0,1,32,37,18,17,26,5,39,24,35,2,3]),function(G,e,v,k,U,R,A,L,g,S,I,d,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class D{constructor(t={},n=[],r=[]){this._contents=t,this._keys=n,this._overrides=r,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(t){return t?(0,S.getConfigurationValue)(this.contents,t):this.contents}getOverrideValue(t,n){const r=this.getContentsForOverrideIdentifer(n);return r?t?(0,S.getConfigurationValue)(r,t):r:void 0}getKeysForOverrideIdentifier(t){for(const n of this.overrides)if(n.identifiers.indexOf(t)!==-1)return n.keys;return[]}override(t){const n=this.getContentsForOverrideIdentifer(t);if(!n||typeof n!="object"||!Object.keys(n).length)return this;let r={};for(const u of U.distinct([...Object.keys(this.contents),...Object.keys(n)])){let s=this.contents[u],c=n[u];c&&(typeof s=="object"&&typeof c=="object"?(s=A.deepClone(s),this.mergeContents(s,c)):s=c),r[u]=s}return new D(r,this.keys,this.overrides)}merge(...t){const n=A.deepClone(this.contents),r=A.deepClone(this.overrides),u=[...this.keys];for(const s of t){this.mergeContents(n,s.contents);for(const c of s.overrides){const[l]=r.filter(f=>U.equals(f.identifiers,c.identifiers));l?this.mergeContents(l.contents,c.contents):r.push(A.deepClone(c))}for(const c of s.keys)u.indexOf(c)===-1&&u.push(c)}return new D(n,u,r)}freeze(){return this.isFrozen=!0,this}mergeContents(t,n){for(const r of Object.keys(n)){if(r in t&&R.isObject(t[r])&&R.isObject(n[r])){this.mergeContents(t[r],n[r]);continue}t[r]=A.deepClone(n[r])}}checkAndFreeze(t){return this.isFrozen&&!Object.isFrozen(t)?A.deepFreeze(t):t}getContentsForOverrideIdentifer(t){for(const n of this.overrides)if(n.identifiers.indexOf(t)!==-1)return n.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(t,n){this.addKey(t),(0,S.addToValueTree)(this.contents,t,n,r=>{throw new Error(r)})}removeValue(t){this.removeKey(t)&&(0,S.removeFromValueTree)(this.contents,t)}addKey(t){let n=this.keys.length;for(let r=0;r<n;r++)t.indexOf(this.keys[r])===0&&(n=r);this.keys.splice(n,1,t)}removeKey(t){let n=this.keys.indexOf(t);return n!==-1?(this.keys.splice(n,1),!0):!1}}e.ConfigurationModel=D;class a extends D{constructor(){const t=(0,S.getDefaultValues)(),n=(0,S.getConfigurationKeys)(),r=[];for(const u of Object.keys(t))g.OVERRIDE_PROPERTY_PATTERN.test(u)&&r.push({identifiers:[(0,g.overrideIdentifierFromKey)(u).trim()],keys:Object.keys(t[u]),contents:(0,S.toValuesTree)(t[u],s=>console.error(`Conflict in default settings file: ${s}`))});super(t,n,r)}}e.DefaultConfigurationModel=a;class C{constructor(t,n){this._name=t,this._scopes=n,this._raw=null,this._configurationModel=null,this._parseErrors=[]}get configurationModel(){return this._configurationModel||new D}get errors(){return this._parseErrors}parseContent(t){if(!R.isUndefinedOrNull(t)){const n=this.doParseContent(t);this.parseRaw(n)}}parseRaw(t){this._raw=t;const n=this.doParseRaw(t);this._configurationModel=new D(n.contents,n.keys,n.overrides)}parse(){this._raw&&this.parseRaw(this._raw)}doParseContent(t){let n={},r=null,u=[],s=[],c=[];function l(w){Array.isArray(u)?u.push(w):r&&(u[r]=w)}let f={onObjectBegin:()=>{let w={};l(w),s.push(u),u=w,r=null},onObjectProperty:w=>{r=w},onObjectEnd:()=>{u=s.pop()},onArrayBegin:()=>{let w=[];l(w),s.push(u),u=w,r=null},onArrayEnd:()=>{u=s.pop()},onLiteralValue:l,onError:(w,h,O)=>{c.push({error:w,offset:h,length:O})}};if(t)try{v.visit(t,f),n=u[0]||{}}catch(w){console.error(`Error while parsing settings file ${this._name}: ${w}`),this._parseErrors=[w]}return n}doParseRaw(t){if(this._scopes){const s=I.Registry.as(g.Extensions.Configuration).getConfigurationProperties();t=this.filterByScope(t,s,!0,this._scopes)}const n=(0,S.toValuesTree)(t,s=>console.error(`Conflict in settings file ${this._name}: ${s}`)),r=Object.keys(t),u=(0,S.toOverrides)(t,s=>console.error(`Conflict in settings file ${this._name}: ${s}`));return{contents:n,keys:r,overrides:u}}filterByScope(t,n,r,u){const s={};for(let c in t)if(g.OVERRIDE_PROPERTY_PATTERN.test(c)&&r)s[c]=this.filterByScope(t[c],n,!1,u);else{const l=this.getScope(c,n);(l===void 0||u.indexOf(l)!==-1)&&(s[c]=t[c])}return s}getScope(t,n){const r=n[t];return r?typeof r.scope!="undefined"?r.scope:3:void 0}}e.ConfigurationModelParser=C;class b extends d.Disposable{constructor(t,n,r,u){super();this.userSettingsResource=t,this.scopes=n,this.fileService=u,this._onDidChange=this._register(new E.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new C(this.userSettingsResource.toString(),this.scopes),this._register(this.fileService.watch(r.dirname(this.userSettingsResource))),this._register(E.Event.filter(this.fileService.onDidFilesChange,s=>s.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const t=await this.fileService.readFile(this.userSettingsResource);return this.parser.parseContent(t.value.toString()||"{}"),this.parser.configurationModel}catch(t){return new D}}reprocess(){return this.parser.parse(),this.parser.configurationModel}}e.UserSettings=b;class p{constructor(t,n,r=new D,u=new D,s=new k.ResourceMap,c=new D,l=new k.ResourceMap,f=!0){this._defaultConfiguration=t,this._localUserConfiguration=n,this._remoteUserConfiguration=r,this._workspaceConfiguration=u,this._folderConfigurations=s,this._memoryConfiguration=c,this._memoryConfigurationByResource=l,this._freeze=f,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new k.ResourceMap,this._userConfiguration=null}getValue(t,n,r){return this.getConsolidateConfigurationModel(n,r).getValue(t)}updateValue(t,n,r={}){let u;r.resource?(u=this._memoryConfigurationByResource.get(r.resource),u||(u=new D,this._memoryConfigurationByResource.set(r.resource,u))):u=this._memoryConfiguration,n===void 0?u.removeValue(t):u.setValue(t,n),r.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(t,n,r){const u=this.getConsolidateConfigurationModel(n,r),s=this.getFolderConfigurationModelForResource(n.resource,r),c=n.resource?this._memoryConfigurationByResource.get(n.resource)||this._memoryConfiguration:this._memoryConfiguration,l=n.overrideIdentifier?this._defaultConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this._defaultConfiguration.freeze().getValue(t),f=n.overrideIdentifier?this.userConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this.userConfiguration.freeze().getValue(t),w=n.overrideIdentifier?this.localUserConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this.localUserConfiguration.freeze().getValue(t),h=n.overrideIdentifier?this.remoteUserConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this.remoteUserConfiguration.freeze().getValue(t),O=r?n.overrideIdentifier?this._workspaceConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this._workspaceConfiguration.freeze().getValue(t):void 0,_=s?n.overrideIdentifier?s.freeze().override(n.overrideIdentifier).getValue(t):s.freeze().getValue(t):void 0,$=n.overrideIdentifier?c.override(n.overrideIdentifier).getValue(t):c.getValue(t),q=u.getValue(t),V=U.distinct(U.flatten(u.overrides.map(z=>z.identifiers))).filter(z=>u.getOverrideValue(t,z)!==void 0);return{defaultValue:l,userValue:f,userLocalValue:w,userRemoteValue:h,workspaceValue:O,workspaceFolderValue:_,memoryValue:$,value:q,default:l!==void 0?{value:this._defaultConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,user:f!==void 0?{value:this.userConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,userLocal:w!==void 0?{value:this.localUserConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,userRemote:h!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,workspace:O!==void 0?{value:this._workspaceConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,workspaceFolder:_!==void 0?{value:s==null?void 0:s.freeze().getValue(t),override:n.overrideIdentifier?s==null?void 0:s.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,memory:$!==void 0?{value:c.getValue(t),override:n.overrideIdentifier?c.getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,overrideIdentifiers:V.length?V:void 0}}keys(t){const n=this.getFolderConfigurationModelForResource(void 0,t);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:n?n.freeze().keys:[]}}updateDefaultConfiguration(t){this._defaultConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(t){this._localUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(t){this._remoteUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(t){this._workspaceConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(t,n){this._folderConfigurations.set(t,n),this._foldersConsolidatedConfigurations.delete(t)}deleteFolderConfiguration(t){this.folderConfigurations.delete(t),this._foldersConsolidatedConfigurations.delete(t)}compareAndUpdateDefaultConfiguration(t,n){const r=n.filter(u=>g.OVERRIDE_PROPERTY_PATTERN.test(u)).map(u=>{const s=(0,g.overrideIdentifierFromKey)(u),c=this._defaultConfiguration.getKeysForOverrideIdentifier(s),l=t.getKeysForOverrideIdentifier(s),f=[...l.filter(w=>c.indexOf(w)===-1),...c.filter(w=>l.indexOf(w)===-1),...c.filter(w=>!A.equals(this._defaultConfiguration.override(s).getValue(w),t.override(s).getValue(w)))];return[s,f]});return this.updateDefaultConfiguration(t),{keys:n,overrides:r}}compareAndUpdateLocalUserConfiguration(t){const{added:n,updated:r,removed:u,overrides:s}=(0,S.compare)(this.localUserConfiguration,t),c=[...n,...r,...u];return c.length&&this.updateLocalUserConfiguration(t),{keys:c,overrides:s}}compareAndUpdateRemoteUserConfiguration(t){const{added:n,updated:r,removed:u,overrides:s}=(0,S.compare)(this.remoteUserConfiguration,t);let c=[...n,...r,...u];return c.length&&this.updateRemoteUserConfiguration(t),{keys:c,overrides:s}}compareAndUpdateWorkspaceConfiguration(t){const{added:n,updated:r,removed:u,overrides:s}=(0,S.compare)(this.workspaceConfiguration,t);let c=[...n,...r,...u];return c.length&&this.updateWorkspaceConfiguration(t),{keys:c,overrides:s}}compareAndUpdateFolderConfiguration(t,n){const r=this.folderConfigurations.get(t),{added:u,updated:s,removed:c,overrides:l}=(0,S.compare)(r,n);let f=[...u,...s,...c];return(f.length||!r)&&this.updateFolderConfiguration(t,n),{keys:f,overrides:l}}compareAndDeleteFolderConfiguration(t){const n=this.folderConfigurations.get(t);if(!n)throw new Error("Unknown folder");this.deleteFolderConfiguration(t);const{added:r,updated:u,removed:s,overrides:c}=(0,S.compare)(n,void 0);return{keys:[...r,...u,...s],overrides:c}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(t,n){let r=this.getConsolidatedConfigurationModelForResource(t,n);return t.overrideIdentifier?r.override(t.overrideIdentifier):r}getConsolidatedConfigurationModelForResource({resource:t},n){let r=this.getWorkspaceConsolidatedConfiguration();if(n&&t){const u=n.getFolder(t);u&&(r=this.getFolderConsolidatedConfiguration(u.uri)||r);const s=this._memoryConfigurationByResource.get(t);s&&(r=r.merge(s))}return r}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(t){let n=this._foldersConsolidatedConfigurations.get(t);if(!n){const r=this.getWorkspaceConsolidatedConfiguration(),u=this._folderConfigurations.get(t);u?(n=r.merge(u),this._freeze&&(n=n.freeze()),this._foldersConsolidatedConfigurations.set(t,n)):n=r}return n}getFolderConfigurationModelForResource(t,n){if(n&&t){const r=n.getFolder(t);if(r)return this._folderConfigurations.get(r.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((t,n)=>{const{contents:r,overrides:u,keys:s}=this._folderConfigurations.get(n);return t.push([n,{contents:r,overrides:u,keys:s}]),t},[])}}allKeys(){const t=new Set;return this._defaultConfiguration.freeze().keys.forEach(n=>t.add(n)),this.userConfiguration.freeze().keys.forEach(n=>t.add(n)),this._workspaceConfiguration.freeze().keys.forEach(n=>t.add(n)),this._folderConfigurations.forEach(n=>n.freeze().keys.forEach(r=>t.add(r))),[...t.values()]}getAllKeysForOverrideIdentifier(t){const n=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(t).forEach(r=>n.add(r)),this.userConfiguration.getKeysForOverrideIdentifier(t).forEach(r=>n.add(r)),this._workspaceConfiguration.getKeysForOverrideIdentifier(t).forEach(r=>n.add(r)),this._folderConfigurations.forEach(r=>r.getKeysForOverrideIdentifier(t).forEach(u=>n.add(u))),[...n.values()]}static parse(t){const n=this.parseConfigurationModel(t.defaults),r=this.parseConfigurationModel(t.user),u=this.parseConfigurationModel(t.workspace),s=t.folders.reduce((c,l)=>(c.set(L.URI.revive(l[0]),this.parseConfigurationModel(l[1])),c),new k.ResourceMap);return new p(n,r,new D,u,s,new D,new k.ResourceMap,!1)}static parseConfigurationModel(t){return new D(t.contents,t.keys,t.overrides).freeze()}}e.Configuration=p;function y(...i){if(i.length===0)return{keys:[],overrides:[]};if(i.length===1)return i[0];const t=new Set,n=new Map;for(const u of i)u.keys.forEach(s=>t.add(s)),u.overrides.forEach(([s,c])=>{const l=(0,k.getOrSet)(n,s,new Set);c.forEach(f=>l.add(f))});const r=[];return n.forEach((u,s)=>r.push([s,[...u.values()]])),{keys:[...t.values()],overrides:r}}e.mergeChanges=y;class m{constructor(t,n,r,u){this.change=t,this.previous=n,this.currentConfiguraiton=r,this.currentWorkspace=u,this._previousConfiguration=void 0;const s=new Set;t.keys.forEach(l=>s.add(l)),t.overrides.forEach(([,l])=>l.forEach(f=>s.add(f))),this.affectedKeys=[...s.values()];const c=new D;this.affectedKeys.forEach(l=>c.setValue(l,{})),this.affectedKeysTree=c.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=p.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(t,n){var r;if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,t)){if(n){const u=this.previousConfiguration?this.previousConfiguration.getValue(t,n,(r=this.previous)===null||r===void 0?void 0:r.workspace):void 0,s=this.currentConfiguraiton.getValue(t,n,this.currentWorkspace);return!A.equals(u,s)}return!0}return!1}doesAffectedKeysTreeContains(t,n){let r=(0,S.toValuesTree)({[n]:!0},()=>{}),u;for(;typeof r=="object"&&(u=Object.keys(r)[0]);){if(t=t[u],!t)return!1;r=r[u]}return!0}}e.ConfigurationChangeEvent=m;class o extends m{constructor(t,n,r,u){super({keys:t.allKeys(),overrides:[]},void 0,t,n);this.source=r,this.sourceConfig=u}}e.AllKeysConfigurationChangeEvent=o}),define(Z[163],ee([0,1,35,39,2,24,162,3,6,16]),function(G,e,v,k,U,R,A,L,g,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class I extends U.Disposable{constructor(E,D){super();this.settingsResource=E,this._onDidChangeConfiguration=this._register(new L.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new A.UserSettings(this.settingsResource,void 0,S.extUriBiasedIgnorePathCase,D)),this.configuration=new A.Configuration(new A.DefaultConfigurationModel,new A.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new g.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(v.Registry.as(k.Extensions.Configuration).onDidUpdateConfiguration(a=>this.onDidDefaultConfigurationChange(a))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const E=await this.userConfiguration.loadConfiguration();this.configuration=new A.Configuration(new A.DefaultConfigurationModel,E)}getConfigurationData(){return this.configuration.toData()}getValue(E,D){const a=typeof E=="string"?E:void 0,C=(0,R.isConfigurationOverrides)(E)?E:(0,R.isConfigurationOverrides)(D)?D:{};return this.configuration.getValue(a,C,void 0)}updateValue(E,D,a,C){return Promise.reject(new Error("not supported"))}inspect(E){return this.configuration.inspect(E,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const E=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(E)}onDidChangeUserConfiguration(E){const D=this.configuration.toData(),a=this.configuration.compareAndUpdateLocalUserConfiguration(E);this.trigger(a,D,1)}onDidDefaultConfigurationChange(E){const D=this.configuration.toData(),a=this.configuration.compareAndUpdateDefaultConfiguration(new A.DefaultConfigurationModel,E);this.trigger(a,D,6)}trigger(E,D,a){const C=new A.ConfigurationChangeEvent(E,{data:D},this.configuration);C.source=a,C.sourceConfig=this.getTargetConfiguration(a),this._onDidChangeConfiguration.fire(C)}getTargetConfiguration(E){switch(E){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=I}),define(Z[164],ee([0,1,24,13,101]),function(G,e,v,k,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let R=class{constructor(L,g){this.configurationService=L,this.logService=g}request(L,g){return this.logService.trace("RequestService#request",L.url),L.proxyAuthorization||(L.proxyAuthorization=this.configurationService.getValue("http.proxyAuthorization")),(0,U.request)(L,g)}async resolveProxy(L){}};R=ue([K(0,v.IConfigurationService),K(1,k.ILogService)],R),e.RequestService=R}),define(Z[40],ee([0,1,119,4,39,35,22]),function(G,e,v,k,U,R,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.asJson=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=(0,k.createDecorator)("requestService");function L(d){return d.res.statusCode&&d.res.statusCode>=200&&d.res.statusCode<300||d.res.statusCode===1223}e.isSuccess=L;function g(d){return d.res.statusCode===204}async function S(d){if(!L(d))throw new Error("Server returned "+d.res.statusCode);return g(d)?null:(await(0,A.streamToBuffer)(d.stream)).toString()}e.asText=S;async function I(d){if(!L(d))throw new Error("Server returned "+d.res.statusCode);if(g(d))return null;const D=(await(0,A.streamToBuffer)(d.stream)).toString();try{return JSON.parse(D)}catch(a){throw a.message+=`:
`+D,a}}e.asJson=I,R.Registry.as(U.Extensions.Configuration).registerConfiguration({id:"http",order:15,title:(0,v.localize)(0,null),type:"object",properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,v.localize)(1,null)},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,v.localize)(2,null)},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,v.localize)(3,null)},"http.proxySupport":{type:"string",enum:["off","on","override"],enumDescriptions:[(0,v.localize)(4,null),(0,v.localize)(5,null),(0,v.localize)(6,null)],default:"override",description:(0,v.localize)(7,null)},"http.systemCertificates":{type:"boolean",default:!0,description:(0,v.localize)(8,null)}}})}),define(Z[165],ee([0,1,40,29,9,15]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DownloadService=void 0;let A=class{constructor(g,S){this.requestService=g,this.fileService=S}async download(g,S,I=k.CancellationToken.None){if(g.scheme===R.Schemas.file||g.scheme===R.Schemas.vscodeRemote){await this.fileService.copy(g,S);return}const d={type:"GET",url:g.toString()},E=await this.requestService.request(d,I);if(E.res.statusCode===200)await this.fileService.writeFile(S,E.stream);else{const D=await(0,v.asText)(E);throw new Error(`Expected 200, got back ${E.res.statusCode} instead.

${D}`)}}};A=ue([K(0,v.IRequestService),K(1,U.IFileService)],A),e.DownloadService=A}),define(Z[166],ee([0,1,31,9,18,62,40,29,13,16,127,2]),function(G,e,v,k,U,R,A,L,g,S,I,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsService=void 0;let E=class extends d.Disposable{constructor(a,C,b,p){super();this.fileService=a,this.productService=C,this.requestService=b,this.logService=p,this.allConfigBasedTips=new Map,this.productService.configBasedExtensionTips&&(0,R.forEach)(this.productService.configBasedExtensionTips,({value:y})=>this.allConfigBasedTips.set(y.configPath,y))}getConfigBasedTips(a){return this.getValidConfigBasedTips(a)}getAllWorkspacesTips(){return this.fetchWorkspacesTips()}async getImportantExecutableBasedTips(){return[]}async getOtherExecutableBasedTips(){return[]}async getValidConfigBasedTips(a){const C=[];for(const[b,p]of this.allConfigBasedTips)try{const y=await this.fileService.readFile((0,S.joinPath)(a,b)),m=new Map;(0,R.forEach)(p.recommendations,({key:i,value:t})=>{if((0,U.isNonEmptyArray)(t.remotes))for(const n of t.remotes)m.set(n,{extensionId:i,extensionName:t.name,configName:p.configName,important:!!t.important,isExtensionPack:!!t.isExtensionPack});else C.push({extensionId:i,extensionName:t.name,configName:p.configName,important:!!t.important,isExtensionPack:!!t.isExtensionPack})});const o=(0,I.getDomainsOfRemotes)(y.value.toString(),[...m.keys()]);for(const i of o){const t=m.get(i);t&&C.push(t)}}catch(y){}return C}async fetchWorkspacesTips(){var a,C;if(!((a=this.productService.extensionsGallery)===null||a===void 0?void 0:a.recommendationsUrl))return[];try{const b=await this.requestService.request({type:"GET",url:(C=this.productService.extensionsGallery)===null||C===void 0?void 0:C.recommendationsUrl},L.CancellationToken.None);if(b.res.statusCode!==200)return[];const p=await(0,A.asJson)(b);return p?p.workspaceRecommendations||[]:[]}catch(b){return this.logService.error(b),[]}}};E=ue([K(0,k.IFileService),K(1,v.IProductService),K(2,A.IRequestService),K(3,g.ILogService)],E),e.ExtensionTipsService=E}),define(Z[44],ee([0,1,30,22]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function U(R,A,L){let g=L&&L.get("storage.serviceMachineId",0)||null;if(g)return g;try{const I=(await A.readFile(R.serviceMachineIdResource)).value.toString();g=(0,v.isUUID)(I)?I:null}catch(S){g=null}if(!g){g=(0,v.generateUuid)();try{await A.writeFile(R.serviceMachineIdResource,k.VSBuffer.fromString(g))}catch(S){}}return L&&L.store("storage.serviceMachineId",g,0,1),g}e.getServiceMachineId=U}),define(Z[19],ee([0,1,4,3,2,17,67,6]),function(G,e,v,k,U,R,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const g="__$__targetStorageMarker";e.IStorageService=(0,v.createDecorator)("storageService");var S;(function(C){C[C.NONE=0]="NONE",C[C.SHUTDOWN=1]="SHUTDOWN"})(S=e.WillSaveStateReason||(e.WillSaveStateReason={}));var I;(function(C){C[C.GLOBAL=0]="GLOBAL",C[C.WORKSPACE=1]="WORKSPACE"})(I=e.StorageScope||(e.StorageScope={}));var d;(function(C){C[C.USER=0]="USER",C[C.MACHINE=1]="MACHINE"})(d=e.StorageTarget||(e.StorageTarget={}));class E extends U.Disposable{constructor(b={flushInterval:E.DEFAULT_FLUSH_INTERVAL}){super();this.options=b,this._onDidChangeValue=this._register(new k.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new k.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new k.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new L.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new U.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,L.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,U.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{await this.doInitialize(),this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(b,p){p===g?(b===0?this._globalKeyTargets=void 0:b===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:b})):this._onDidChangeValue.fire({scope:b,key:p,target:this.getKeyTargets(b)[p]})}emitWillSaveState(b){this._onWillSaveState.fire({reason:b})}get(b,p,y){var m;return(m=this.getStorage(p))===null||m===void 0?void 0:m.get(b,y)}getBoolean(b,p,y){var m;return(m=this.getStorage(p))===null||m===void 0?void 0:m.getBoolean(b,y)}getNumber(b,p,y){var m;return(m=this.getStorage(p))===null||m===void 0?void 0:m.getNumber(b,y)}store(b,p,y,m){if((0,R.isUndefinedOrNull)(p)){this.remove(b,y);return}this.withPausedEmitters(()=>{var o;this.updateKeyTarget(b,y,m),(o=this.getStorage(y))===null||o===void 0||o.set(b,p)})}remove(b,p){this.withPausedEmitters(()=>{var y;this.updateKeyTarget(b,p,void 0),(y=this.getStorage(p))===null||y===void 0||y.delete(b)})}withPausedEmitters(b){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{b()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(b,p){const y=[],m=this.getKeyTargets(b);for(const o of Object.keys(m))m[o]===p&&y.push(o);return y}updateKeyTarget(b,p,y){var m,o;const i=this.getKeyTargets(p);typeof y=="number"?i[b]!==y&&(i[b]=y,(m=this.getStorage(p))===null||m===void 0||m.set(g,JSON.stringify(i))):typeof i[b]=="number"&&(delete i[b],(o=this.getStorage(p))===null||o===void 0||o.set(g,JSON.stringify(i)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(b){return b===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(b){const p=this.get(g,b);if(p)try{return JSON.parse(p)}catch(y){}return Object.create(null)}isNew(b){return this.getBoolean(e.IS_NEW_KEY,b)===!0}async flush(){var b,p,y,m;this._onWillSaveState.fire({reason:S.NONE}),await L.Promises.settled([(p=(b=this.getStorage(0))===null||b===void 0?void 0:b.whenFlushed())!==null&&p!==void 0?p:Promise.resolve(),(m=(y=this.getStorage(1))===null||y===void 0?void 0:y.whenFlushed())!==null&&m!==void 0?m:Promise.resolve()])}async logStorage(){var b,p,y,m,o,i;const t=(p=(b=this.getStorage(0))===null||b===void 0?void 0:b.items)!==null&&p!==void 0?p:new Map,n=(m=(y=this.getStorage(1))===null||y===void 0?void 0:y.items)!==null&&m!==void 0?m:new Map;return a(t,n,(o=this.getLogDetails(0))!==null&&o!==void 0?o:"",(i=this.getLogDetails(1))!==null&&i!==void 0?i:"")}}e.AbstractStorageService=E,E.DEFAULT_FLUSH_INTERVAL=60*1e3;class D extends E{constructor(){super();this.globalStorage=new A.Storage(new A.InMemoryStorageDatabase),this.workspaceStorage=new A.Storage(new A.InMemoryStorageDatabase),this._register(this.workspaceStorage.onDidChangeStorage(b=>this.emitDidChangeValue(1,b))),this._register(this.globalStorage.onDidChangeStorage(b=>this.emitDidChangeValue(0,b)))}getStorage(b){return b===0?this.globalStorage:this.workspaceStorage}getLogDetails(b){return b===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(b){}}e.InMemoryStorageService=D;async function a(C,b,p,y){const m=s=>{try{return JSON.parse(s)}catch(c){return s}},o=new Map,i=new Map;C.forEach((s,c)=>{o.set(c,s),i.set(c,m(s))});const t=new Map,n=new Map;b.forEach((s,c)=>{t.set(c,s),n.set(c,m(s))}),console.group(`Storage: Global (path: ${p})`);let r=[];o.forEach((s,c)=>{r.push({key:c,value:s})}),console.table(r),console.groupEnd(),console.log(i),console.group(`Storage: Workspace (path: ${y})`);let u=[];t.forEach((s,c)=>{u.push({key:c,value:s})}),console.table(u),console.groupEnd(),console.log(n)}e.logStorage=a}),define(Z[167],ee([0,1,3,2,28,34,19,17]),function(G,e,v,k,U,R,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageManager=e.GlobalExtensionEnablementService=void 0;let g=class extends k.Disposable{constructor(d){super();this._onDidChangeEnablement=new v.Emitter,this.onDidChangeEnablement=this._onDidChangeEnablement.event,this.storageManger=this._register(new S(d)),this._register(this.storageManger.onDidChange(E=>this._onDidChangeEnablement.fire({extensions:E,source:"storage"})))}async enableExtension(d,E){return this._removeFromDisabledExtensions(d)?(this._onDidChangeEnablement.fire({extensions:[d],source:E}),!0):!1}async disableExtension(d,E){return this._addToDisabledExtensions(d)?(this._onDidChangeEnablement.fire({extensions:[d],source:E}),!0):!1}getDisabledExtensions(){return this._getExtensions(U.DISABLED_EXTENSIONS_STORAGE_PATH)}async getDisabledExtensionsAsync(){return this.getDisabledExtensions()}_addToDisabledExtensions(d){let E=this.getDisabledExtensions();return E.every(D=>!(0,R.areSameExtensions)(D,d))?(E.push(d),this._setDisabledExtensions(E),!0):!1}_removeFromDisabledExtensions(d){let E=this.getDisabledExtensions();for(let D=0;D<E.length;D++){const a=E[D];if((0,R.areSameExtensions)(a,d))return E.splice(D,1),this._setDisabledExtensions(E),!0}return!1}_setDisabledExtensions(d){this._setExtensions(U.DISABLED_EXTENSIONS_STORAGE_PATH,d)}_getExtensions(d){return this.storageManger.get(d,0)}_setExtensions(d,E){this.storageManger.set(d,E,0)}};g=ue([K(0,A.IStorageService)],g),e.GlobalExtensionEnablementService=g;class S extends k.Disposable{constructor(d){super();this.storageService=d,this.storage=Object.create(null),this._onDidChange=this._register(new v.Emitter),this.onDidChange=this._onDidChange.event,this._register(d.onDidChangeValue(E=>this.onDidStorageChange(E)))}get(d,E){let D;return E===0?((0,L.isUndefinedOrNull)(this.storage[d])&&(this.storage[d]=this._get(d,E)),D=this.storage[d]):D=this._get(d,E),JSON.parse(D)}set(d,E,D){let a=JSON.stringify(E.map(({id:b,uuid:p})=>({id:b,uuid:p})));this._get(d,D)!==a&&(D===0&&(E.length?this.storage[d]=a:delete this.storage[d]),this._set(d,E.length?a:void 0,D))}onDidStorageChange(d){if(d.scope===0&&!(0,L.isUndefinedOrNull)(this.storage[d.key])&&this._get(d.key,d.scope)!==this.storage[d.key]){const D=this.get(d.key,d.scope);delete this.storage[d.key];const a=this.get(d.key,d.scope),C=D.filter(p=>!a.some(y=>(0,R.areSameExtensions)(p,y))),b=a.filter(p=>!D.some(y=>(0,R.areSameExtensions)(y,p)));(C.length||b.length)&&this._onDidChange.fire([...C,...b])}}_get(d,E){return this.storageService.get(d,E,"[]")}_set(d,E,D){E?this.storageService.store(d,E,D,1):this.storageService.remove(d,D)}}e.StorageManager=S}),define(Z[168],ee([0,1,3,2]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDatabaseChannelClient=void 0;class U extends k.Disposable{constructor(S,I){super();this.channel=S,this.workspace=I}async getItems(){const S={workspace:this.workspace},I=await this.channel.call("getItems",S);return new Map(I)}updateItems(S){const I={workspace:this.workspace};return S.insert&&(I.insert=Array.from(S.insert.entries())),S.delete&&(I.delete=Array.from(S.delete.values())),this.channel.call("updateItems",I)}}class R extends U{constructor(S){super(S,void 0);this._onDidChangeItemsExternal=this._register(new v.Emitter),this.onDidChangeItemsExternal=this._onDidChangeItemsExternal.event,this.registerListeners()}registerListeners(){this._register(this.channel.listen("onDidChangeGlobalStorage")(S=>this.onDidChangeGlobalStorage(S)))}onDidChangeGlobalStorage(S){(Array.isArray(S.changed)||Array.isArray(S.deleted))&&this._onDidChangeItemsExternal.fire({changed:S.changed?new Map(S.changed):void 0,deleted:S.deleted?new Set(S.deleted):void 0})}async close(){this.dispose()}}class A extends U{constructor(S,I){super(S,I);this.onDidChangeItemsExternal=v.Event.None}async close(){const S={workspace:this.workspace};return this.channel.call("close",S)}}class L extends k.Disposable{constructor(S,I){super();this.channel=S,this.workspace=I,this._globalStorage=void 0,this._workspaceStorage=void 0}get globalStorage(){return this._globalStorage||(this._globalStorage=new R(this.channel)),this._globalStorage}get workspaceStorage(){return!this._workspaceStorage&&this.workspace&&(this._workspaceStorage=new A(this.channel,this.workspace)),this._workspaceStorage}}e.StorageDatabaseChannelClient=L}),define(Z[169],ee([0,1,2,19,67,6,153,168,16]),function(G,e,v,k,U,R,A,L,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeStorageService=void 0;class S extends k.AbstractStorageService{constructor(d,E,D){super();this.mainProcessService=E,this.environmentService=D,this.workspaceStorage=void 0,this.workspaceStorageId=void 0,this.workspaceStorageDisposable=this._register(new v.MutableDisposable),this.globalStorage=this.createGlobalStorage(),this.workspaceStorage=this.createWorkspaceStorage(d)}createGlobalStorage(){const d=new L.StorageDatabaseChannelClient(this.mainProcessService.getChannel("storage"),void 0),E=new U.Storage(d.globalStorage);return this._register(E.onDidChangeStorage(D=>this.emitDidChangeValue(0,D))),E}createWorkspaceStorage(d){const E=new L.StorageDatabaseChannelClient(this.mainProcessService.getChannel("storage"),d);if(E.workspaceStorage){const D=new U.Storage(E.workspaceStorage);return this.workspaceStorageDisposable.value=D.onDidChangeStorage(a=>this.emitDidChangeValue(1,a)),this.workspaceStorageId=d==null?void 0:d.id,D}else{this.workspaceStorageDisposable.clear(),this.workspaceStorageId=void 0;return}}async doInitialize(){var d,E;(0,A.mark)("code/willInitStorage");try{await R.Promises.settled([this.globalStorage.init(),(E=(d=this.workspaceStorage)===null||d===void 0?void 0:d.init())!==null&&E!==void 0?E:Promise.resolve()])}finally{(0,A.mark)("code/didInitStorage")}}getStorage(d){return d===0?this.globalStorage:this.workspaceStorage}getLogDetails(d){return d===0?this.environmentService.globalStorageHome.fsPath:this.workspaceStorageId?`${(0,g.joinPath)(this.environmentService.workspaceStorageHome,this.workspaceStorageId,"state.vscdb").fsPath}`:void 0}async close(){var d,E;this.stopFlushWhenIdle(),this.emitWillSaveState(k.WillSaveStateReason.SHUTDOWN),await R.Promises.settled([this.globalStorage.close(),(E=(d=this.workspaceStorage)===null||d===void 0?void 0:d.close())!==null&&E!==void 0?E:Promise.resolve()])}async migrate(d){var E;const D=this.workspaceStorage,a=(E=D==null?void 0:D.items)!==null&&E!==void 0?E:new Map;D&&(await D.close(),D.dispose()),this.workspaceStorage=this.createWorkspaceStorage(d),await this.workspaceStorage.init();for(const[C,b]of a)this.workspaceStorage.set(C,b)}}e.NativeStorageService=S}),define(Z[170],ee([0,1,7,53,30,5]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveCommonProperties=void 0;async function A(g,S,I,d,E,D,a,C,b){const p=Object.create(null);p["common.machineId"]=D,p.sessionID=(0,U.generateUuid)()+Date.now(),p.commitHash=d,p.version=E,p["common.platformVersion"]=(S||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),p["common.platform"]=(0,v.PlatformToString)(v.platform),p["common.nodePlatform"]=k.platform,p["common.nodeArch"]=I,p["common.product"]=b||"desktop";const y=L(a||[]);y&&(p["common.msftInternal"]=y);let m=0;const o=Date.now();Object.defineProperties(p,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-o,enumerable:!0},"common.sequence":{get:()=>m++,enumerable:!0}}),v.isLinuxSnap&&(p["common.snap"]="true");try{const i=await g.readFile(R.URI.file(C));p["common.source"]=i.value.toString().slice(0,30)}catch(i){}return p}e.resolveCommonProperties=A;function L(g){const S=k.env.USERDNSDOMAIN;if(!S)return!1;const I=S.toLowerCase();return g.some(d=>I===d)}}),define(Z[25],ee([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.instanceStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=(0,v.createDecorator)("telemetryService"),e.ICustomEndpointTelemetryService=(0,v.createDecorator)("customEndpointTelemetryService"),e.instanceStorageKey="telemetry.instanceId",e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId"}),define(Z[171],ee([0,1,38,93,69,27,8,32,95,36,7,5,25,52,15,9,23]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;async function p(t,n){const r=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.yml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i}],u=new Map,s=new Map,c=2e4;function l(h,O,_,$){const q=O.substring(h.length+1);return new Promise(async V=>{var z,Y,x;let j;try{j=await(0,b.readdir)(O,{withFileTypes:!0})}catch(T){V();return}if($.count>=c){$.count+=j.length,$.maxReached=!0,V();return}let F=j.length;if(F===0){V();return}let P=j;$.count+j.length>c&&($.maxReached=!0,F=c-$.count,P=j.slice(0,F)),$.count+=j.length;for(const T of P)if(T.isDirectory()){if(_.includes(T.name)||await l(h,(0,A.join)(O,T.name),_,$),--F==0){V();return}}else{const M=T.name.lastIndexOf(".");if(M>=0){const N=T.name.substring(M+1);N&&u.set(N,((z=u.get(N))!==null&&z!==void 0?z:0)+1)}for(const N of r)((Y=N.relativePathPattern)===null||Y===void 0?void 0:Y.test(q))!==!1&&N.filePattern.test(T.name)&&s.set(N.tag,((x=s.get(N.tag))!==null&&x!==void 0?x:0)+1);if(--F==0){V();return}}})}const f={count:0,maxReached:!1};await l(t,t,n,f);const w=await o(t);return{configFiles:y(s),fileTypes:y(u),fileCount:f.count,maxFilesReached:f.maxReached,launchConfigFiles:w}}e.collectWorkspaceStats=p;function y(t){return[...D.Iterable.map(t.entries(),([n,r])=>({name:n,count:r}))].sort((n,r)=>r.count-n.count)}function m(){const t={os:`${v.type()} ${v.arch()} ${v.release()}`,memory:`${(v.totalmem()/C.ByteSize.GB).toFixed(2)}GB (${(v.freemem()/C.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(k.virtualMachineHint.value()*100)}%`},n=v.cpus();return n&&n.length>0&&(t.cpus=`${n[0].model} (${n.length} x ${n[0].speed})`),t}e.getMachineInfo=m;function o(t){let n=new Map,r=(0,A.join)(t,".vscode","launch.json");return new Promise((u,s)=>{(0,R.exists)(r,c=>{if(c)(0,R.readFile)(r,(l,f)=>{if(l)return u([]);const w=[],h=(0,L.parse)(f.toString(),w);if(w.length)return console.log(`Unable to parse ${r}`),u([]);if((0,L.getNodeType)(h)==="object"&&h.configurations)for(const O of h.configurations){const _=O.type;_&&(n.has(_)?n.set(_,n.get(_)+1):n.set(_,1))}return u(y(n))});else return u([])})})}e.collectLaunchConfigs=o;let i=class{constructor(n){this.telemetryService=n}formatMachineInfo(n){const r=[];return r.push(`OS Version:       ${n.os}`),r.push(`CPUs:             ${n.cpus}`),r.push(`Memory (System):  ${n.memory}`),r.push(`VM:               ${n.vmHint}`),r.join(`
`)}formatEnvironment(n){const r=[];r.push(`Version:          ${S.default.nameShort} ${S.default.version} (${S.default.commit||"Commit unknown"}, ${S.default.date||"Date unknown"})`),r.push(`OS Version:       ${v.type()} ${v.arch()} ${v.release()}`);const u=v.cpus();return u&&u.length>0&&r.push(`CPUs:             ${u[0].model} (${u.length} x ${u[0].speed})`),r.push(`Memory (System):  ${(v.totalmem()/C.ByteSize.GB).toFixed(2)}GB (${(v.freemem()/C.ByteSize.GB).toFixed(2)}GB free)`),I.isWindows||r.push(`Load (avg):       ${v.loadavg().map(s=>Math.round(s)).join(", ")}`),r.push(`VM:               ${Math.round(k.virtualMachineHint.value()*100)}%`),r.push(`Screen Reader:    ${n.screenReader?"yes":"no"}`),r.push(`Process Argv:     ${n.mainArguments.join(" ")}`),r.push(`GPU Status:       ${this.expandGPUFeatures(n.gpuFeatureStatus)}`),r.join(`
`)}async getPerformanceInfo(n,r){return Promise.all([(0,g.listProcesses)(n.mainPID),this.formatWorkspaceMetadata(n)]).then(async u=>{let[s,c]=u,l=this.formatProcessList(n,s);return r.forEach(f=>{if((0,U.isRemoteDiagnosticError)(f))l+=`
${f.errorMessage}`,c+=`
${f.errorMessage}`;else if(l+=`

Remote: ${f.hostName}`,f.processes&&(l+=`
${this.formatProcessList(n,f.processes)}`),f.workspaceMetadata){c+=`
|  Remote: ${f.hostName}`;for(const w of Object.keys(f.workspaceMetadata)){const h=f.workspaceMetadata[w];let O=`${h.fileCount} files`;h.maxFilesReached&&(O=`more than ${O}`),c+=`|    Folder (${w}): ${O}`,c+=this.formatWorkspaceStats(h)}}}),{processInfo:l,workspaceInfo:c}})}async getSystemInfo(n,r){const{memory:u,vmHint:s,os:c,cpus:l}=m(),f={os:c,memory:u,cpus:l,vmHint:s,processArgs:`${n.mainArguments.join(" ")}`,gpuStatus:n.gpuFeatureStatus,screenReader:`${n.screenReader?"yes":"no"}`,remoteData:r};return I.isWindows||(f.load=`${v.loadavg().map(w=>Math.round(w)).join(", ")}`),I.isLinux&&(f.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(f)}async getDiagnostics(n,r){const u=[];return(0,g.listProcesses)(n.mainPID).then(async s=>(u.push(""),u.push(this.formatEnvironment(n)),u.push(""),u.push(this.formatProcessList(n,s)),n.windows.some(c=>c.folderURIs&&c.folderURIs.length>0&&!c.remoteAuthority)&&(u.push(""),u.push("Workspace Stats: "),u.push(await this.formatWorkspaceMetadata(n))),r.forEach(c=>{if((0,U.isRemoteDiagnosticError)(c))u.push(`
${c.errorMessage}`);else if(u.push(`

`),u.push(`Remote:           ${c.hostName}`),u.push(this.formatMachineInfo(c.machineInfo)),c.processes&&u.push(this.formatProcessList(n,c.processes)),c.workspaceMetadata)for(const l of Object.keys(c.workspaceMetadata)){const f=c.workspaceMetadata[l];let w=`${f.fileCount} files`;f.maxFilesReached&&(w=`more than ${w}`),u.push(`Folder (${l}): ${w}`),u.push(this.formatWorkspaceStats(f))}}),u.push(""),u.push(""),u.join(`
`)))}formatWorkspaceStats(n){const r=[],u=60;let s=0;const c=(h,O)=>{const _=` ${h}(${O})`;s+_.length>u?(r.push(l),l="|                 ",s=l.length):s+=_.length,l+=_};let l="|      File types:";const f=10;let w=n.fileTypes.length>f?f:n.fileTypes.length;for(let h=0;h<w;h++){const O=n.fileTypes[h];c(O.name,O.count)}if(r.push(l),n.configFiles.length>=0&&(l="|      Conf files:",s=0,n.configFiles.forEach(h=>{c(h.name,h.count)}),r.push(l)),n.launchConfigFiles.length>0){let h="|      Launch Configs:";n.launchConfigFiles.forEach(O=>{h+=O.count>1?` ${O.name}(${O.count})`:` ${O.name}`}),r.push(h)}return r.join(`
`)}expandGPUFeatures(n){const r=Math.max(...Object.keys(n).map(u=>u.length));return Object.keys(n).map(u=>`${u}:  ${" ".repeat(r-u.length)}  ${n[u]}`).join(`
                  `)}formatWorkspaceMetadata(n){const r=[],u=[];return n.windows.forEach(s=>{s.folderURIs.length===0||!!s.remoteAuthority||(r.push(`|  Window (${s.title})`),s.folderURIs.forEach(c=>{const l=d.URI.revive(c);if(l.scheme===a.Schemas.file){const f=l.fsPath;u.push(p(f,["node_modules",".git"]).then(w=>{let h=`${w.fileCount} files`;w.maxFilesReached&&(h=`more than ${h}`),r.push(`|    Folder (${(0,A.basename)(f)}): ${h}`),r.push(this.formatWorkspaceStats(w))}).catch(w=>{r.push(`|      Error: Unable to collect workspace stats for folder ${f} (${w.toString()})`)}))}else r.push(`|    Folder (${l.toString()}): Workspace stats not available.`)}))}),Promise.all(u).then(s=>r.join(`
`)).catch(s=>`Unable to collect workspace stats: ${s}`)}formatProcessList(n,r){const u=new Map;n.windows.forEach(c=>u.set(c.pid,c.title));const s=[];return s.push("CPU %	Mem MB	   PID	Process"),r&&this.formatProcessItem(n.mainPID,u,s,r,0),s.join(`
`)}formatProcessItem(n,r,u,s,c){const l=c===0;let f;l?f=s.pid===n?`${S.default.applicationName} main`:"remote agent":(f=`${"  ".repeat(c)} ${s.name}`,s.name==="window"&&(f=`${f} (${r.get(s.pid)})`));const w=process.platform==="win32"?s.mem:v.totalmem()*(s.mem/100);u.push(`${s.load.toFixed(0).padStart(5," ")}	${(w/C.ByteSize.MB).toFixed(0).padStart(6," ")}	${s.pid.toFixed(0).padStart(6," ")}	${f}`),Array.isArray(s.children)&&s.children.forEach(h=>this.formatProcessItem(n,r,u,h,c+1))}async reportWorkspaceStats(n){for(const{uri:r}of n.folders){const u=d.URI.revive(r);if(u.scheme===a.Schemas.file){const s=u.fsPath;try{const c=await p(s,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":n.telemetryId,rendererSessionId:n.rendererSessionId}),c.fileTypes.forEach(l=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:n.rendererSessionId,type:l.name,count:l.count})}),c.launchConfigFiles.forEach(l=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:n.rendererSessionId,type:l.name,count:l.count})}),c.configFiles.forEach(l=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:n.rendererSessionId,type:l.name,count:l.count})})}catch(c){}}}}};i=ue([K(0,E.ITelemetryService)],i),e.DiagnosticsService=i}),define(Z[172],ee([0,1,14,28,34,26,25,40,68,10,29,13,9,5,31,19,44,4,16]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b,p,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=e.ExtensionGalleryService=void 0;var m;(function(P){P[P.None=0]="None",P[P.IncludeVersions=1]="IncludeVersions",P[P.IncludeFiles=2]="IncludeFiles",P[P.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",P[P.IncludeSharedAccounts=8]="IncludeSharedAccounts",P[P.IncludeVersionProperties=16]="IncludeVersionProperties",P[P.ExcludeNonValidated=32]="ExcludeNonValidated",P[P.IncludeInstallationTargets=64]="IncludeInstallationTargets",P[P.IncludeAssetUri=128]="IncludeAssetUri",P[P.IncludeStatistics=256]="IncludeStatistics",P[P.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",P[P.Unpublished=4096]="Unpublished"})(m||(m={}));function o(...P){return String(P.reduce((T,M)=>T|M,0))}var i;(function(P){P[P.Tag=1]="Tag",P[P.ExtensionId=4]="ExtensionId",P[P.Category=5]="Category",P[P.ExtensionName=7]="ExtensionName",P[P.Target=8]="Target",P[P.Featured=9]="Featured",P[P.SearchText=10]="SearchText",P[P.ExcludeWithFlags=12]="ExcludeWithFlags"})(i||(i={}));const t={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},n={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},u={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:m.None,criteria:[],assetTypes:[]};class s{constructor(T=u){this.state=T}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(T,M=this.state.pageSize){return new s(Object.assign(Object.assign({},this.state),{pageNumber:T,pageSize:M}))}withFilter(T,...M){const N=[...this.state.criteria,...M.length?M.map(W=>({filterType:T,value:W})):[{filterType:T}]];return new s(Object.assign(Object.assign({},this.state),{criteria:N}))}withSortBy(T){return new s(Object.assign(Object.assign({},this.state),{sortBy:T}))}withSortOrder(T){return new s(Object.assign(Object.assign({},this.state),{sortOrder:T}))}withFlags(...T){return new s(Object.assign(Object.assign({},this.state),{flags:T.reduce((M,N)=>M|N,0)}))}withAssetTypes(...T){return new s(Object.assign(Object.assign({},this.state),{assetTypes:T}))}get raw(){const{criteria:T,pageNumber:M,pageSize:N,sortBy:W,sortOrder:H,flags:Q,assetTypes:X}=this.state;return{filters:[{criteria:T,pageNumber:M,pageSize:N,sortBy:W,sortOrder:H}],assetTypes:X,flags:Q}}get searchText(){const T=this.state.criteria.filter(M=>M.filterType===i.SearchText)[0];return T&&T.value?T.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(T=>String(T.filterType)),sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function c(P,T){const M=(P||[]).filter(N=>N.statisticName===T)[0];return M?M.value:0}function l(P){const T="Microsoft.VisualStudio.Code.Translation.";return P.files.filter(N=>N.assetType.indexOf(T)===0).reduce((N,W)=>{const H=O(P,W.assetType);return H&&N.push([W.assetType.substring(T.length),H]),N},[])}function f(P){if(P.properties){const T=P.properties.filter(W=>W.key===t.Repository),M=new RegExp("((git|ssh|http(s)?)|(git@[w.]+))(:(//)?)([w.@:/-~]+)(.git)(/)?"),N=T.filter(W=>M.test(W.value))[0];return N?{uri:N.value,fallbackUri:N.value}:null}return O(P,t.Repository)}function w(P){return{uri:`${P.fallbackAssetUri}/${t.VSIX}?redirect=true`,fallbackUri:`${P.fallbackAssetUri}/${t.VSIX}`}}function h(P){const T=O(P,t.Icon);if(T)return T;const M=k.DefaultIconPath;return{uri:M,fallbackUri:M}}function O(P,T){return P.files.filter(N=>N.assetType===T)[0]?{uri:`${P.assetUri}/${T}`,fallbackUri:`${P.fallbackAssetUri}/${T}`}:null}function _(P,T){const M=P.properties?P.properties.filter(W=>W.key===T):[],N=M.length>0&&M[0].value;return N?N.split(",").map(W=>(0,U.adoptToGalleryExtensionId)(W)):[]}function $(P){const T=P.properties?P.properties.filter(M=>M.key===n.Engine):[];return T.length>0&&T[0].value||""}function q(P){const T=P.properties?P.properties.filter(N=>N.key===n.LocalizedLanguages):[],M=T.length>0&&T[0].value||"";return M?M.split(","):[]}function V(P){return P.indexOf("preview")!==-1}function z(P){const T=P.properties?P.properties.find(M=>M.key===n.WebExtension):void 0;return!!T&&T.value==="true"}function Y(P){return P.files.some(T=>T.assetType.startsWith("Microsoft.VisualStudio.Code.WebResources"))?(0,y.joinPath)(D.URI.parse(P.assetUri),"Microsoft.VisualStudio.Code.WebResources","extension"):void 0}function x(P,T,M,N,W){const H={manifest:O(T,t.Manifest),readme:O(T,t.Details),changelog:O(T,t.Changelog),license:O(T,t.License),repository:f(T),download:w(T),icon:h(T),coreTranslations:l(T)};return{identifier:{id:(0,U.getGalleryExtensionId)(P.publisher.publisherName,P.extensionName),uuid:P.extensionId},name:P.extensionName,version:T.version,date:T.lastUpdated,displayName:P.displayName,publisherId:P.publisher.publisherId,publisher:P.publisher.publisherName,publisherDisplayName:P.publisher.displayName,description:P.shortDescription||"",installCount:c(P.statistics,"install"),rating:c(P.statistics,"averagerating"),ratingCount:c(P.statistics,"ratingcount"),assetUri:D.URI.parse(T.assetUri),webResource:Y(T),assetTypes:T.files.map(({assetType:Q})=>Q),assets:H,properties:{dependencies:_(T,n.Dependency),extensionPack:_(T,n.ExtensionPack),engine:$(T),localizedLanguages:q(T),webExtension:z(T)},telemetryData:{index:(N.pageNumber-1)*N.pageSize+M,searchText:N.searchText,querySource:W},preview:V(P.flags)}}let j=class{constructor(T,M,N,W,H,Q,X){this.requestService=T,this.logService=M,this.environmentService=N,this.telemetryService=W,this.fileService=H,this.productService=Q;const ie=Q.extensionsGallery;this.extensionsGalleryUrl=ie&&ie.serviceUrl,this.extensionsControlUrl=ie&&ie.controlUrl,this.commonHeadersPromise=F(Q.version,this.environmentService,this.fileService,X)}api(T=""){return`${this.extensionsGalleryUrl}${T}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(T,M){const N=[];let{total:W,firstPage:H,getPage:Q}=await this.query({names:T,pageSize:T.length},M);N.push(...H);for(let X=1;N.length<W&&(H=await Q(X,M),H.length);X++)N.push(...H);return N}async getCompatibleExtension(T,M){const N=await this.getCompatibleExtensionByEngine(T,M);return(N==null?void 0:N.properties.webExtension)?N.webResource?N:null:N}async getCompatibleExtensionByEngine(T,M){const N=(0,k.isIExtensionIdentifier)(T)?null:T;if(N&&N.properties.engine&&(0,g.isEngineValid)(N.properties.engine,this.productService.version))return N;const{id:W,uuid:H}=N?N.identifier:T;let Q=new s().withFlags(m.IncludeAssetUri,m.IncludeStatistics,m.IncludeFiles,m.IncludeVersionProperties).withPage(1,1).withFilter(i.Target,"Microsoft.VisualStudio.Code");H?Q=Q.withFilter(i.ExtensionId,H):Q=Q.withFilter(i.ExtensionName,W);const{galleryExtensions:X}=await this.queryGallery(Q,I.CancellationToken.None),[ie]=X;if(!ie||!ie.versions.length)return null;if(M){const ce=ie.versions.filter(he=>he.version===M)[0];if(ce){const he=x(ie,ce,0,Q);if(he.properties.engine&&(0,g.isEngineValid)(he.properties.engine,this.productService.version))return he}return null}const se=await this.getLastValidExtensionVersion(ie,ie.versions);return se?x(ie,se,0,Q):null}async query(T,M){const N=I.CancellationToken.isCancellationToken(T)?{}:T,W=I.CancellationToken.isCancellationToken(T)?T:M;if(!this.isEnabled())throw new Error("No extension gallery service configured.");let H=N.text||"";const Q=(0,R.getOrDefault)(N,me=>me.pageSize,50);let X=new s().withFlags(m.IncludeLatestVersionOnly,m.IncludeAssetUri,m.IncludeStatistics,m.IncludeFiles,m.IncludeVersionProperties).withPage(1,Q).withFilter(i.Target,"Microsoft.VisualStudio.Code");H?(H=H.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(me,we,Ie)=>(X=X.withFilter(i.Category,Ie||we),"")),H=H.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(me,we,Ie)=>(X=X.withFilter(i.Tag,Ie||we),"")),H=H.replace(/\bfeatured(\s+|\b|$)/g,()=>(X=X.withFilter(i.Featured),"")),H=H.trim(),H&&(H=H.length<200?H:H.substring(0,200),X=X.withFilter(i.SearchText,H)),X=X.withSortBy(0)):N.ids?X=X.withFilter(i.ExtensionId,...N.ids):N.names?X=X.withFilter(i.ExtensionName,...N.names):X=X.withSortBy(4),typeof N.sortBy=="number"&&(X=X.withSortBy(N.sortBy)),typeof N.sortOrder=="number"&&(X=X.withSortOrder(N.sortOrder));const{galleryExtensions:ie,total:se}=await this.queryGallery(X,W),ce=ie.map((me,we)=>x(me,me.versions[0],we,X,N.source)),he=async(me,we)=>{if(we.isCancellationRequested)throw(0,v.canceled)();const Ie=X.withPage(me+1),{galleryExtensions:Te}=await this.queryGallery(Ie,we);return Te.map((ke,Fe)=>x(ke,ke.versions[0],Fe,Ie,N.source))};return{firstPage:ce,total:se,pageSize:X.pageSize,getPage:he}}async queryGallery(T,M){if(!this.isEnabled())throw new Error("No extension gallery service configured.");T=T.withFlags(T.flags,m.ExcludeNonValidated).withFilter(i.ExcludeWithFlags,o(m.Unpublished));const N=await this.commonHeadersPromise,W=JSON.stringify(T.raw),H=Object.assign(Object.assign({},N),{"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(W.length)}),Q=new Date().getTime();let X,ie,se=0;try{if(X=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:W,headers:H},M),X.res.statusCode&&X.res.statusCode>=400&&X.res.statusCode<500)return{galleryExtensions:[],total:se};const ce=await(0,L.asJson)(X);if(ce){const he=ce.results[0],me=he.extensions,we=he.resultMetadata&&he.resultMetadata.filter(Ie=>Ie.metadataType==="ResultCount")[0];return se=we&&we.metadataItems.filter(Ie=>Ie.name==="TotalCount")[0].count||0,{galleryExtensions:me,total:se}}return{galleryExtensions:[],total:se}}catch(ce){throw ie=ce,ce}finally{this.telemetryService.publicLog2("galleryService:query",Object.assign(Object.assign({},T.telemetryData),{requestBodySize:String(W.length),duration:new Date().getTime()-Q,success:!!X&&(0,L.isSuccess)(X),responseBodySize:X==null?void 0:X.res.headers["Content-Length"],statusCode:X?String(X.res.statusCode):void 0,errorCode:ie?(0,v.isPromiseCanceledError)(ie)?"canceled":(0,v.getErrorMessage)(ie).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(se)}))}}async reportStatistic(T,M,N,W){if(!!this.isEnabled()){const H=await this.commonHeadersPromise,Q=Object.assign(Object.assign({},H),{Accept:"*/*;api-version=4.0-preview.1"});try{await this.requestService.request({type:"POST",url:this.api(`/publishers/${T}/extensions/${M}/${N}/stats?statType=${W}`),headers:Q},I.CancellationToken.None)}catch(X){}}}async download(T,M,N){this.logService.trace("ExtensionGalleryService#download",T.identifier.id);const W=(0,U.getGalleryExtensionTelemetryData)(T),H=new Date().getTime(),Q=ce=>this.telemetryService.publicLog("galleryService:downloadVSIX",Object.assign(Object.assign({},W),{duration:ce})),X=N===1?"install":N===2?"update":"",ie=X?{uri:`${T.assets.download.uri}&${X}=true`,fallbackUri:`${T.assets.download.fallbackUri}?${X}=true`}:T.assets.download,se=await this.getAsset(ie);await this.fileService.writeFile(M,se.stream),Q(new Date().getTime()-H)}async getReadme(T,M){if(T.assets.readme){const N=await this.getAsset(T.assets.readme,{},M);return await(0,L.asText)(N)||""}return""}async getManifest(T,M){if(T.assets.manifest){const N=await this.getAsset(T.assets.manifest,{},M),W=await(0,L.asText)(N);return W?JSON.parse(W):null}return null}async getCoreTranslation(T,M){const N=T.assets.coreTranslations.filter(W=>W[0]===M.toUpperCase())[0];if(N){const W=await this.getAsset(N[1]),H=await(0,L.asText)(W);return H?JSON.parse(H):null}return null}async getChangelog(T,M){if(T.assets.changelog){const N=await this.getAsset(T.assets.changelog,{},M);return await(0,L.asText)(N)||""}return""}async getAllVersions(T,M){let N=new s().withFlags(m.IncludeVersions,m.IncludeFiles,m.IncludeVersionProperties).withPage(1,1).withFilter(i.Target,"Microsoft.VisualStudio.Code");T.identifier.uuid?N=N.withFilter(i.ExtensionId,T.identifier.uuid):N=N.withFilter(i.ExtensionName,T.identifier.id);const W=[],{galleryExtensions:H}=await this.queryGallery(N,I.CancellationToken.None);return H.length&&(M?await Promise.all(H[0].versions.map(async Q=>{let X;try{X=await this.getEngine(Q)}catch(ie){}X&&(0,g.isEngineValid)(X,this.productService.version)&&W.push({version:Q.version,date:Q.lastUpdated})})):W.push(...H[0].versions.map(Q=>({version:Q.version,date:Q.lastUpdated})))),W}async getAsset(T,M={},N=I.CancellationToken.None){const W=await this.commonHeadersPromise,H={type:"GET"},Q=Object.assign(Object.assign({},W),M.headers||{});M=Object.assign(Object.assign(Object.assign({},M),H),{headers:Q});const X=T.uri,ie=T.fallbackUri,se=Object.assign(Object.assign({},M),{url:X});try{const ce=await this.requestService.request(se,N);if(ce.res.statusCode===200)return ce;const he=await(0,L.asText)(ce);throw new Error(`Expected 200, got back ${ce.res.statusCode} instead.

${he}`)}catch(ce){if((0,v.isPromiseCanceledError)(ce))throw ce;const he=(0,v.getErrorMessage)(ce);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:X,message:he});const me=Object.assign(Object.assign({},M),{url:ie});return this.requestService.request(me,N)}}async getLastValidExtensionVersion(T,M){const N=this.getLastValidExtensionVersionFromProperties(T,M);return N||this.getLastValidExtensionVersionRecursively(T,M)}getLastValidExtensionVersionFromProperties(T,M){for(const N of M){const W=$(N);if(!W)return null;if((0,g.isEngineValid)(W,this.productService.version))return N}return null}async getEngine(T){const M=$(T);if(M)return M;const N=O(T,t.Manifest);if(!N)throw new Error("Manifest was not found");const W={"Accept-Encoding":"gzip"},H=await this.getAsset(N,{headers:W}),Q=await(0,L.asJson)(H);if(Q)return Q.engines.vscode;throw new Error("Error while reading manifest")}async getLastValidExtensionVersionRecursively(T,M){if(!M.length)return null;const N=M[0],W=await this.getEngine(N);return(0,g.isEngineValid)(W,this.productService.version)?(N.properties=N.properties||[],N.properties.push({key:n.Engine,value:W}),N):this.getLastValidExtensionVersionRecursively(T,M.slice(1))}async getExtensionsReport(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return[];const T=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},I.CancellationToken.None);if(T.res.statusCode!==200)throw new Error("Could not get extensions report.");const M=await(0,L.asJson)(T),N=new Map;if(M)for(const W of M.malicious){const H=N.get(W)||{id:{id:W},malicious:!0,slow:!1};H.malicious=!0,N.set(W,H)}return[...N.values()]}};j=ue([K(0,L.IRequestService),K(1,d.ILogService),K(2,S.IEnvironmentService),K(3,A.ITelemetryService),K(4,E.IFileService),K(5,a.IProductService),K(6,(0,p.optional)(C.IStorageService))],j),e.ExtensionGalleryService=j;async function F(P,T,M,N){const W={"X-Market-Client-Id":`VSCode ${P}`,"User-Agent":`VSCode ${P}`},H=await(0,b.getServiceMachineId)(T,M,N);return W["X-Market-User-Id"]=H,W}e.resolveMarketplaceHeaders=F}),define(Z[173],ee([0,1,5,8,31,10,102,9,7,18,28,62,40,13,166,6,25,71,110,19,3,57]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b,p,y,m,o,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsService=void 0;const t="extensionTips/promptedExecutableTips",n="extensionTips/lastPromptedMediumImpExeTime";let r=class extends a.ExtensionTipsService{constructor(s,c,l,f,w,h,O,_,$,q){super(O,_,$,q);this.environmentService=s,this.telemetryService=c,this.extensionManagementService=l,this.storageService=f,this.nativeHostService=w,this.extensionRecommendationNotificationService=h,this.highImportanceExecutableTips=new Map,this.mediumImportanceExecutableTips=new Map,this.allOtherExecutableTips=new Map,this.highImportanceTipsByExe=new Map,this.mediumImportanceTipsByExe=new Map,_.exeBasedExtensionTips&&(0,d.forEach)(_.exeBasedExtensionTips,({key:V,value:z})=>{const Y=[],x=[],j=[];(0,d.forEach)(z.recommendations,({key:F,value:P})=>{P.important?z.important?Y.push({extensionId:F,extensionName:P.name,isExtensionPack:!!P.isExtensionPack}):x.push({extensionId:F,extensionName:P.name,isExtensionPack:!!P.isExtensionPack}):j.push({extensionId:F,extensionName:P.name,isExtensionPack:!!P.isExtensionPack})}),Y.length&&this.highImportanceExecutableTips.set(V,{exeFriendlyName:z.friendlyName,windowsPath:z.windowsPath,recommendations:Y}),x.length&&this.mediumImportanceExecutableTips.set(V,{exeFriendlyName:z.friendlyName,windowsPath:z.windowsPath,recommendations:x}),j.length&&this.allOtherExecutableTips.set(V,{exeFriendlyName:z.friendlyName,windowsPath:z.windowsPath,recommendations:j})}),(0,C.timeout)(3e3).then(async()=>{await this.collectTips(),this.promptHighImportanceExeBasedTip(),this.promptMediumImportanceExeBasedTip()})}async getImportantExecutableBasedTips(){const s=await this.getValidExecutableBasedExtensionTips(this.highImportanceExecutableTips),c=await this.getValidExecutableBasedExtensionTips(this.mediumImportanceExecutableTips);return[...s,...c]}getOtherExecutableBasedTips(){return this.getValidExecutableBasedExtensionTips(this.allOtherExecutableTips)}async collectTips(){const s=await this.getValidExecutableBasedExtensionTips(this.highImportanceExecutableTips),c=await this.getValidExecutableBasedExtensionTips(this.mediumImportanceExecutableTips),l=await this.extensionManagementService.getInstalled();this.highImportanceTipsByExe=this.groupImportantTipsByExe(s,l),this.mediumImportanceTipsByExe=this.groupImportantTipsByExe(c,l)}groupImportantTipsByExe(s,c){const l=new Map;s.forEach(_=>l.set(_.extensionId.toLowerCase(),_));const{installed:f,uninstalled:w}=this.groupByInstalled([...l.keys()],c);for(const _ of f){const $=l.get(_);$&&this.telemetryService.publicLog2("exeExtensionRecommendations:alreadyInstalled",{extensionId:_,exeName:(0,k.basename)($.windowsPath)})}for(const _ of w){const $=l.get(_);$&&this.telemetryService.publicLog2("exeExtensionRecommendations:notInstalled",{extensionId:_,exeName:(0,k.basename)($.windowsPath)})}const h=this.getPromptedExecutableTips(),O=new Map;for(const _ of w){const $=l.get(_);if($&&(!h[$.exeName]||!h[$.exeName].includes($.extensionId))){let q=O.get($.exeName);q||(q=[],O.set($.exeName,q)),q.push($)}}return O}promptHighImportanceExeBasedTip(){if(this.highImportanceTipsByExe.size!==0){const[s,c]=[...this.highImportanceTipsByExe.entries()][0];this.promptExeRecommendations(c).then(l=>{switch(l){case"reacted":this.addToRecommendedExecutables(c[0].exeName,c);break;case"ignored":this.highImportanceTipsByExe.delete(s);break;case"incompatibleWindow":const f=o.Event.once(o.Event.latch(o.Event.any(this.nativeHostService.onDidOpenWindow,this.nativeHostService.onDidFocusWindow)));this._register(f(()=>this.promptHighImportanceExeBasedTip()));break;case"toomany":const w=this._register((0,C.disposableTimeout)(()=>{w.dispose(),this.promptHighImportanceExeBasedTip()},60*60*1e3));break}})}}promptMediumImportanceExeBasedTip(){if(this.mediumImportanceTipsByExe.size!==0){const s=this.getLastPromptedMediumExeTime(),c=Date.now()-s,l=7*24*60*60*1e3;if(c<l){const h=this._register((0,C.disposableTimeout)(()=>{h.dispose(),this.promptMediumImportanceExeBasedTip()},l-c));return}const[f,w]=[...this.mediumImportanceTipsByExe.entries()][0];this.promptExeRecommendations(w).then(h=>{switch(h){case"reacted":this.updateLastPromptedMediumExeTime(Date.now()),this.mediumImportanceTipsByExe.delete(f),this.addToRecommendedExecutables(w[0].exeName,w);const O=this._register((0,C.disposableTimeout)(()=>{O.dispose(),this.promptMediumImportanceExeBasedTip()},l));break;case"ignored":this.mediumImportanceTipsByExe.delete(f),this.promptMediumImportanceExeBasedTip();break;case"incompatibleWindow":const _=o.Event.once(o.Event.latch(o.Event.any(this.nativeHostService.onDidOpenWindow,this.nativeHostService.onDidFocusWindow)));this._register(_(()=>this.promptMediumImportanceExeBasedTip()));break;case"toomany":const $=this._register((0,C.disposableTimeout)(()=>{$.dispose(),this.promptMediumImportanceExeBasedTip()},60*60*1e3));break}})}}promptExeRecommendations(s){const c=s.map(({extensionId:f})=>f.toLowerCase()),l=(0,y.localize)(0,null,s[0].exeFriendlyName);return this.extensionRecommendationNotificationService.promptImportantExtensionsInstallNotification(c,l,`@exe:"${s[0].exeName}"`,3)}getLastPromptedMediumExeTime(){let s=this.storageService.getNumber(n,0);return s||(s=Date.now(),this.updateLastPromptedMediumExeTime(s)),s}updateLastPromptedMediumExeTime(s){this.storageService.store(n,s,0,1)}getPromptedExecutableTips(){return JSON.parse(this.storageService.get(t,0,"{}"))}addToRecommendedExecutables(s,c){const l=this.getPromptedExecutableTips();l[s]=c.map(({extensionId:f})=>f.toLowerCase()),this.storageService.store(t,JSON.stringify(l),0,0)}groupByInstalled(s,c){const l=[],f=[],w=c.reduce((h,O)=>(h.add(O.identifier.id.toLowerCase()),h),new Set);return s.forEach(h=>{w.has(h.toLowerCase())?l.push(h):f.push(h)}),{installed:l,uninstalled:f}}async getValidExecutableBasedExtensionTips(s){const c=[],l=new Map;for(const f of s.keys()){const w=s.get(f);if(!(!w||!(0,S.isNonEmptyArray)(w.recommendations))){const h=[];g.isWindows?w.windowsPath&&h.push(w.windowsPath.replace("%USERPROFILE%",A.process.env.USERPROFILE).replace("%ProgramFiles(x86)%",A.process.env["ProgramFiles(x86)"]).replace("%ProgramFiles%",A.process.env.ProgramFiles).replace("%APPDATA%",A.process.env.APPDATA).replace("%WINDIR%",A.process.env.WINDIR)):(h.push((0,k.join)("/usr/local/bin",f)),h.push((0,k.join)("/usr/bin",f)),h.push((0,k.join)(this.environmentService.userHome.fsPath,f)));for(const O of h){let _=l.get(O);if(_===void 0&&(_=await this.fileService.exists(v.URI.file(O)),l.set(O,_)),_)for(const{extensionId:$,extensionName:q,isExtensionPack:V}of w.recommendations)c.push({extensionId:$,extensionName:q,isExtensionPack:V,exeName:f,exeFriendlyName:w.exeFriendlyName,windowsPath:w.windowsPath})}}}return c}};r=ue([K(0,R.INativeEnvironmentService),K(1,b.ITelemetryService),K(2,I.IExtensionManagementService),K(3,m.IStorageService),K(4,i.INativeHostService),K(5,p.IExtensionRecommendationNotificationService),K(6,L.IFileService),K(7,U.IProductService),K(8,E.IRequestService),K(9,D.ILogService)],r),e.ExtensionTipsService=r}),define(Z[79],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class v{constructor(R){this.appender=R}listen(R,A){throw new Error(`Event not found: ${A}`)}call(R,A,{eventName:L,data:g}){return this.appender.log(L,g),Promise.resolve(null)}}e.TelemetryAppenderChannel=v;class k{constructor(R){this.channel=R}log(R,A){return this.channel.call("log",{eventName:R,data:A}).then(void 0,L=>`Failed to log telemetry: ${console.warn(L)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=k}),define(Z[80],ee([0,1,36,120,21,4,24,39,2,26,35]),function(G,e,v,k,U,R,A,L,g,S,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let d=class{constructor(a,C){this._configurationService=C,this._experimentProperties={},this._disposables=new g.DisposableStore,this._cleanupPatterns=[],this._appender=a.appender,this._commonProperties=a.commonProperties||Promise.resolve({}),this._piiPaths=a.piiPaths||[],this._userOptIn=!0,this._enabled=!0,this.sendErrorTelemetry=!!a.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let b of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,U.escapeRegExpCharacters)(b),"gi"));this._configurationService&&(this._updateUserOptIn(),this._configurationService.onDidChangeConfiguration(this._updateUserOptIn,this,this._disposables),this.publicLog2("optInStatus",{optIn:this._userOptIn}),this._commonProperties.then(b=>{const p=/^[a-f0-9]+$/i.test(b["common.machineId"]);this.publicLog2("machineIdFallback",{usingFallbackGuid:!p})}))}setExperimentProperty(a,C){this._experimentProperties[a]=C}setEnabled(a){this._enabled=a}_updateUserOptIn(){var a;const C=(a=this._configurationService)===null||a===void 0?void 0:a.getValue(E);this._userOptIn=C?C.enableTelemetry:this._userOptIn}get isOptedIn(){return this._userOptIn&&this._enabled}async getTelemetryInfo(){const a=await this._commonProperties;let C=a.sessionID,b=a["common.instanceId"],p=a["common.machineId"],y=a["common.firstSessionDate"],m=a["common.msftInternal"];return{sessionId:C,instanceId:b,machineId:p,firstSessionDate:y,msftInternal:m}}dispose(){this._disposables.dispose()}publicLog(a,C,b){return this.isOptedIn?this._commonProperties.then(p=>{C=(0,S.mixin)(C,p),C=(0,S.mixin)(C,this._experimentProperties),C=(0,S.cloneAndChange)(C,y=>{if(typeof y=="string")return this._cleanupInfo(y,b)}),this._appender.log(a,C)},p=>{console.error(p)}):Promise.resolve(void 0)}publicLog2(a,C,b){return this.publicLog(a,C,b)}publicLogError(a,C){return this.sendErrorTelemetry?this.publicLog(a,C,!0):Promise.resolve(void 0)}publicLogError2(a,C){return this.publicLogError(a,C)}_cleanupInfo(a,C){let b=a;if(C){const p=[];for(let i of this._cleanupPatterns)for(;;){const t=i.exec(a);if(!t)break;p.push([t.index,i.lastIndex])}const y=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,m=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let o=0;for(b="";;){const i=m.exec(a);if(!i)break;!y.test(i[0])&&p.every(([t,n])=>i.index<t||i.index>=n)&&(b+=a.substring(o,i.index)+"<REDACTED: user-file-path>",o=m.lastIndex)}o<a.length&&(b+=a.substr(o))}for(let p of this._cleanupPatterns)b=b.replace(p,"");return b}};d.IDLE_START_EVENT_NAME="UserIdleStart",d.IDLE_STOP_EVENT_NAME="UserIdleStop",d=ue([K(1,(0,R.optional)(A.IConfigurationService))],d),e.TelemetryService=d;const E="telemetry";I.Registry.as(L.Extensions.Configuration).registerConfiguration({id:E,order:110,type:"object",title:(0,k.localize)(0,null),properties:{"telemetry.enableTelemetry":{type:"boolean",markdownDescription:v.default.privacyStatementUrl?(0,k.localize)(2,null,v.default.privacyStatementUrl):(0,k.localize)(1,null),default:!0,tags:["usesOnlineServices"]}}})}),define(Z[58],ee([0,1,24,26,17,6]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cleanRemoteAuthority=e.validateTelemetryData=e.configurationTelemetry=e.NullAppender=e.combinedAppender=e.NullEndpointTelemetryService=e.NullTelemetryService=void 0,e.NullTelemetryService=new class{constructor(){this.sendErrorTelemetry=!1,this.isOptedIn=!0}publicLog(a,C){return Promise.resolve(void 0)}publicLog2(a,C){return this.publicLog(a,C)}publicLogError(a,C){return Promise.resolve(void 0)}publicLogError2(a,C){return this.publicLogError(a,C)}setExperimentProperty(){}setEnabled(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}};class A{async publicLog(C,b,p){}async publicLogError(C,b,p){}}e.NullEndpointTelemetryService=A;function L(...a){return{log:(C,b)=>a.forEach(p=>p.log(C,b)),flush:()=>R.Promises.settled(a.map(C=>C.flush()))}}e.combinedAppender=L,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function g(a,C){return C.onDidChangeConfiguration(b=>{b.source!==6&&a.publicLog2("updateConfiguration",{configurationSource:(0,v.ConfigurationTargetToString)(b.source),configurationKeys:E(b.sourceConfig)})})}e.configurationTelemetry=g;function S(a){const C=Object.create(null),b=Object.create(null),p=Object.create(null);d(a,p);for(let y in p){y=y.length>150?y.substr(y.length-149):y;const m=p[y];typeof m=="number"?b[y]=m:typeof m=="boolean"?b[y]=m?1:0:typeof m=="string"?C[y]=m.substring(0,1023):typeof m!="undefined"&&m!==null&&(C[y]=m)}return{properties:C,measurements:b}}e.validateTelemetryData=S;function I(a){if(!a)return"none";let C="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(p=>{a.indexOf(`${p}+`)===0&&(C=p)}),C}e.cleanRemoteAuthority=I;function d(a,C,b=0,p){if(!!a)for(let y of Object.getOwnPropertyNames(a)){const m=a[y],o=p?p+y:y;Array.isArray(m)?C[o]=(0,k.safeStringify)(m):m instanceof Date?C[o]=m.toISOString():(0,U.isObject)(m)?b<2?d(m,C,b+1,o+"."):C[o]=(0,k.safeStringify)(m):C[o]=m}}function E(a){if(!a)return[];const C=[];return D(C,"",a),C}function D(a,C,b){b&&typeof b=="object"&&!Array.isArray(b)?Object.keys(b).forEach(p=>D(a,C?`${C}.${p}`:p,b[p])):a.push(C)}}),define(Z[174],ee([0,1,2,10,13,58]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryLogAppender=void 0;let A=class extends v.Disposable{constructor(g,S){super();this.logger=this._register(g.createLogger(S.telemetryLogResource)),this.logger.info("The below are logs for every telemetry event sent from VS Code once the log level is set to trace."),this.logger.info("===========================================================")}flush(){return Promise.resolve(void 0)}log(g,S){this.logger.trace(`telemetry/${g}`,(0,R.validateTelemetryData)(S))}};A=ue([K(0,U.ILoggerService),K(1,k.IEnvironmentService)],A),e.TelemetryLogAppender=A}),define(Z[175],ee([0,1,14,26,58]),function(G,e,v,k,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AppInsightsAppender=void 0;async function R(L){const g=await new Promise((I,d)=>{G(["applicationinsights"],I,d)});let S;return g.defaultClient?(S=new g.TelemetryClient(L),S.channel.setUseDiskRetryCaching(!0)):(g.setup(L).setAutoCollectRequests(!1).setAutoCollectPerformance(!1).setAutoCollectExceptions(!1).setAutoCollectDependencies(!1).setAutoDependencyCorrelation(!1).setAutoCollectConsole(!1).setInternalLogging(!1,!1).setUseDiskRetryCaching(!0).start(),S=g.defaultClient),L.indexOf("AIF-")===0&&(S.config.endpointUrl="https://vortex.data.microsoft.com/collect/v1"),S}class A{constructor(g,S,I){this._eventPrefix=g,this._defaultData=S,this._defaultData||(this._defaultData=Object.create(null)),typeof I=="function"?this._aiClient=I():this._aiClient=I,this._asyncAIClient=null}_withAIClient(g){if(!!this._aiClient){if(typeof this._aiClient!="string"){g(this._aiClient);return}this._asyncAIClient||(this._asyncAIClient=R(this._aiClient)),this._asyncAIClient.then(S=>{g(S)},S=>{(0,v.onUnexpectedError)(S),console.error(S)})}}log(g,S){!this._aiClient||(S=(0,k.mixin)(S,this._defaultData),S=(0,U.validateTelemetryData)(S),this._withAIClient(I=>I.trackEvent({name:this._eventPrefix+"/"+g,properties:S.properties,measurements:S.measurements})))}flush(){return this._aiClient?new Promise(g=>{this._withAIClient(S=>{S.flush({callback:()=>{this._aiClient=void 0,g(void 0)}})})}):Promise.resolve(void 0)}}e.AppInsightsAppender=A}),define(Z[176],ee([0,1,49,79,15,80,24,25]),function(G,e,v,k,U,R,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CustomEndpointTelemetryService=void 0;let g=class{constructor(I,d){this.configurationService=I,this.telemetryService=d,this.customTelemetryServices=new Map}async getCustomTelemetryService(I){if(!this.customTelemetryServices.has(I.id)){const{machineId:d,sessionId:E}=await this.telemetryService.getTelemetryInfo(),D=Object.create(null);D["common.vscodemachineid"]=d,D["common.vscodesessionid"]=E;const a=[I.id,JSON.stringify(D),I.aiKey],b=new v.Client(U.FileAccess.asFileUri("bootstrap-fork",G).fsPath,{serverName:"Debug Telemetry",timeout:1e3*60*5,args:a,env:{ELECTRON_RUN_AS_NODE:1,VSCODE_PIPE_LOGGING:"true",VSCODE_AMD_ENTRYPOINT:"vs/workbench/contrib/debug/node/telemetryApp"}}).getChannel("telemetryAppender"),p=new k.TelemetryAppenderClient(b);this.customTelemetryServices.set(I.id,new R.TelemetryService({appender:p,sendErrorTelemetry:I.sendErrorTelemetry},this.configurationService))}return this.customTelemetryServices.get(I.id)}async publicLog(I,d,E){await(await this.getCustomTelemetryService(I)).publicLog(d,E)}async publicLogError(I,d,E){await(await this.getCustomTelemetryService(I)).publicLogError(d,E)}};g=ue([K(0,A.IConfigurationService),K(1,L.ITelemetryService)],g),e.CustomEndpointTelemetryService=g}),define(Z[81],ee([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FlowControlConstants=e.LocalReconnectConstants=e.HeartbeatConstants=e.IPtyService=e.ILocalTerminalService=e.TerminalIpcChannels=e.WindowsShellType=void 0;var k;(function(g){g.CommandPrompt="cmd",g.PowerShell="pwsh",g.Wsl="wsl",g.GitBash="gitbash"})(k=e.WindowsShellType||(e.WindowsShellType={}));var U;(function(g){g.LocalPty="localPty",g.PtyHost="ptyHost",g.Log="log",g.Heartbeat="heartbeat"})(U=e.TerminalIpcChannels||(e.TerminalIpcChannels={})),e.ILocalTerminalService=(0,v.createDecorator)("localTerminalService"),e.IPtyService=(0,v.createDecorator)("ptyService");var R;(function(g){g[g.BeatInterval=5e3]="BeatInterval",g[g.FirstWaitMultiplier=1.2]="FirstWaitMultiplier",g[g.SecondWaitMultiplier=1]="SecondWaitMultiplier",g[g.CreateProcessTimeout=5e3]="CreateProcessTimeout"})(R=e.HeartbeatConstants||(e.HeartbeatConstants={}));var A;(function(g){g[g.ReconnectionGraceTime=6e4]="ReconnectionGraceTime",g[g.ReconnectionShortGraceTime=6e3]="ReconnectionShortGraceTime"})(A=e.LocalReconnectConstants||(e.LocalReconnectConstants={}));var L;(function(g){g[g.HighWatermarkChars=1e5]="HighWatermarkChars",g[g.LowWatermarkChars=5e3]="LowWatermarkChars",g[g.CharCountAckSize=5e3]="CharCountAckSize"})(L=e.FlowControlConstants||(e.FlowControlConstants={}))}),define(Z[177],ee([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ILocalPtyService=void 0,e.ILocalPtyService=(0,v.createDecorator)("localPtyService")}),define(Z[178],ee([0,1,2,13,81,49,15,33,3,76]),function(G,e,v,k,U,R,A,L,g,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PtyHostService=void 0;var I;(function(D){D[D.MaxRestarts=5]="MaxRestarts"})(I||(I={}));let d=0,E=class extends v.Disposable{constructor(a){super();this._logService=a,this._restartCount=0,this._isDisposed=!1,this._onPtyHostExit=this._register(new g.Emitter),this.onPtyHostExit=this._onPtyHostExit.event,this._onPtyHostStart=this._register(new g.Emitter),this.onPtyHostStart=this._onPtyHostStart.event,this._onPtyHostUnresponsive=this._register(new g.Emitter),this.onPtyHostUnresponsive=this._onPtyHostUnresponsive.event,this._onPtyHostResponsive=this._register(new g.Emitter),this.onPtyHostResponsive=this._onPtyHostResponsive.event,this._onProcessData=this._register(new g.Emitter),this.onProcessData=this._onProcessData.event,this._onProcessExit=this._register(new g.Emitter),this.onProcessExit=this._onProcessExit.event,this._onProcessReady=this._register(new g.Emitter),this.onProcessReady=this._onProcessReady.event,this._onProcessReplay=this._register(new g.Emitter),this.onProcessReplay=this._onProcessReplay.event,this._onProcessTitleChanged=this._register(new g.Emitter),this.onProcessTitleChanged=this._onProcessTitleChanged.event,this._onProcessShellTypeChanged=this._register(new g.Emitter),this.onProcessShellTypeChanged=this._onProcessShellTypeChanged.event,this._onProcessOverrideDimensions=this._register(new g.Emitter),this.onProcessOverrideDimensions=this._onProcessOverrideDimensions.event,this._onProcessResolvedShellLaunchConfig=this._register(new g.Emitter),this.onProcessResolvedShellLaunchConfig=this._onProcessResolvedShellLaunchConfig.event,this._onProcessOrphanQuestion=this._register(new g.Emitter),this.onProcessOrphanQuestion=this._onProcessOrphanQuestion.event,this._register((0,v.toDisposable)(()=>this._disposePtyHost())),[this._client,this._proxy]=this._startPtyHost()}_startPtyHost(){const a=new R.Client(A.FileAccess.asFileUri("bootstrap-fork",G).fsPath,{serverName:"Pty Host",args:["--type=ptyHost"],env:{VSCODE_LAST_PTY_ID:d,VSCODE_AMD_ENTRYPOINT:"vs/platform/terminal/node/ptyHostMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}});this._onPtyHostStart.fire(),L.ProxyChannel.toService(a.getChannel(U.TerminalIpcChannels.Heartbeat)).onBeat(()=>this._handleHeartbeat()),this._register(a.onDidProcessExit(y=>{this._onPtyHostExit.fire(y.code),this._isDisposed||(this._restartCount<=I.MaxRestarts?(this._logService.error(`ptyHost terminated unexpectedly with code ${y.code}`),this._restartCount++,this.restartPtyHost()):this._logService.error(`ptyHost terminated unexpectedly with code ${y.code}, giving up`))}));const b=a.getChannel(U.TerminalIpcChannels.Log);this._register(this._logService.onDidChangeLogLevel(()=>{S.LogLevelChannelClient.setLevel(b,this._logService.getLevel())}));const p=L.ProxyChannel.toService(a.getChannel(U.TerminalIpcChannels.PtyHost));return this._register(p.onProcessData(y=>this._onProcessData.fire(y))),this._register(p.onProcessExit(y=>this._onProcessExit.fire(y))),this._register(p.onProcessReady(y=>this._onProcessReady.fire(y))),this._register(p.onProcessTitleChanged(y=>this._onProcessTitleChanged.fire(y))),this._register(p.onProcessShellTypeChanged(y=>this._onProcessShellTypeChanged.fire(y))),this._register(p.onProcessOverrideDimensions(y=>this._onProcessOverrideDimensions.fire(y))),this._register(p.onProcessResolvedShellLaunchConfig(y=>this._onProcessResolvedShellLaunchConfig.fire(y))),this._register(p.onProcessReplay(y=>this._onProcessReplay.fire(y))),this._register(p.onProcessOrphanQuestion(y=>this._onProcessOrphanQuestion.fire(y))),[a,p]}dispose(){this._isDisposed=!0,super.dispose()}async createProcess(a,C,b,p,y,m,o,i,t,n){const r=setTimeout(()=>this._handleUnresponsiveCreateProcess(),U.HeartbeatConstants.CreateProcessTimeout),u=await this._proxy.createProcess(a,C,b,p,y,m,o,i,t,n);return clearTimeout(r),d=Math.max(d,u),u}attachToProcess(a){return this._proxy.attachToProcess(a)}detachFromProcess(a){return this._proxy.detachFromProcess(a)}listProcesses(a){return this._proxy.listProcesses(a)}start(a){return this._proxy.start(a)}shutdown(a,C){return this._proxy.shutdown(a,C)}input(a,C){return this._proxy.input(a,C)}resize(a,C,b){return this._proxy.resize(a,C,b)}acknowledgeDataEvent(a,C){return this._proxy.acknowledgeDataEvent(a,C)}getInitialCwd(a){return this._proxy.getInitialCwd(a)}getCwd(a){return this._proxy.getCwd(a)}getLatency(a){return this._proxy.getLatency(a)}orphanQuestionReply(a){return this._proxy.orphanQuestionReply(a)}setTerminalLayoutInfo(a){return this._proxy.setTerminalLayoutInfo(a)}async getTerminalLayoutInfo(a){return await this._proxy.getTerminalLayoutInfo(a)}async restartPtyHost(){this._disposePtyHost(),[this._client,this._proxy]=this._startPtyHost()}_disposePtyHost(){this._proxy.shutdownAll&&this._proxy.shutdownAll(),this._client.dispose()}_handleHeartbeat(){this._clearHeartbeatTimeouts(),this._heartbeatFirstTimeout=setTimeout(()=>this._handleHeartbeatFirstTimeout(),U.HeartbeatConstants.BeatInterval*U.HeartbeatConstants.FirstWaitMultiplier),this._onPtyHostResponsive.fire()}_handleHeartbeatFirstTimeout(){this._logService.warn(`No ptyHost heartbeat after ${U.HeartbeatConstants.BeatInterval*U.HeartbeatConstants.FirstWaitMultiplier/1e3} seconds`),this._heartbeatFirstTimeout=void 0,this._heartbeatSecondTimeout=setTimeout(()=>this._handleHeartbeatSecondTimeout(),U.HeartbeatConstants.BeatInterval*U.HeartbeatConstants.SecondWaitMultiplier)}_handleHeartbeatSecondTimeout(){this._logService.error(`No ptyHost heartbeat after ${(U.HeartbeatConstants.BeatInterval*U.HeartbeatConstants.FirstWaitMultiplier+U.HeartbeatConstants.BeatInterval*U.HeartbeatConstants.FirstWaitMultiplier)/1e3} seconds`),this._heartbeatSecondTimeout=void 0,this._onPtyHostUnresponsive.fire()}_handleUnresponsiveCreateProcess(){this._clearHeartbeatTimeouts(),this._logService.error(`No ptyHost response to createProcess after ${U.HeartbeatConstants.CreateProcessTimeout/1e3} seconds`),this._onPtyHostUnresponsive.fire()}_clearHeartbeatTimeouts(){this._heartbeatFirstTimeout&&(clearTimeout(this._heartbeatFirstTimeout),this._heartbeatFirstTimeout=void 0),this._heartbeatSecondTimeout&&(clearTimeout(this._heartbeatSecondTimeout),this._heartbeatSecondTimeout=void 0)}};E=ue([K(0,k.ILogService)],E),e.PtyHostService=E}),define(Z[51],ee([0,1,41]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLineEndOffset=e.getLineStartOffset=e.edit=void 0;function k(A,L,g,S){const I=(0,v.setProperty)(A,L,g,S)[0];return I&&(A=A.substring(0,I.offset)+I.content+A.substring(I.offset+I.length)),A}e.edit=k;function U(A,L,g){let S=g;for(;S>=0;){if(A.charAt(S)===L.charAt(L.length-1)&&L.length===1)return S+1;if(S--,L.length===2&&S>=0&&A.charAt(S)===L.charAt(0))return S+2}return 0}e.getLineStartOffset=U;function R(A,L,g){let S=g;for(;S>=0;)if(A.charAt(S)===L.charAt(L.length-1)&&L.length===1||(S++,L.length===2&&S>=0&&A.charAt(S)===L.charAt(1)))return S;return A.length-1}e.getLineEndOffset=R}),define(Z[179],ee([0,1,26,56]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=void 0;function U(d,E,D,a,C){var b,p;const y=[],m=[],o=[];if(!E){const $=d.filter(({identifier:q})=>C.every(V=>V.toLowerCase()!==q.id.toLowerCase()));return{added:y,removed:m,updated:o,remote:$.length>0?$:null}}d=d.map(S),E=E.map(S),D=D?D.map(S):null;const i=new Map,t=$=>{$.uuid&&i.set($.id.toLowerCase(),$.uuid)};d.forEach(({identifier:$})=>t($)),E.forEach(({identifier:$})=>t($)),D&&D.forEach(({identifier:$})=>t($));const n=$=>{const q=$.identifier.uuid||i.get($.identifier.id.toLowerCase());return q?`uuid:${q}`:`id:${$.identifier.id.toLowerCase()}`},r=($,q)=>($.set(n(q),q),$),u=d.reduce(r,new Map),s=E.reduce(r,new Map),c=E.reduce(($,q)=>{const V=n(q);q=(0,v.deepClone)(q);const z=u.get(V);return z&&(z.installed&&(q.installed=!0),q.version||(q.version=z.version)),r($,q)},new Map),l=D?D.reduce(r,new Map):null,f=a.reduce(r,new Map),w=C.reduce(($,q)=>{const V=i.get(q.toLowerCase());return $.add(V?`uuid:${V}`:`id:${q.toLowerCase()}`)},new Set),h=R(u,s,w);if(h.added.size>0||h.removed.size>0||h.updated.size>0){const $=R(l,u,w),q=R(l,s,w),V=(z,Y)=>{const x=u.get(z);if(x){const j=s.get(z);return Object.assign(Object.assign({},Y?j:x),{version:(j.version&&k.gt(j.version,x.version),x.version),state:A(x,j,l==null?void 0:l.get(z))})}};for(const z of q.removed.values()){const Y=u.get(z);Y&&m.push(Y.identifier)}for(const z of q.added.values())if($.added.has(z)){if(h.updated.has(z)){const Y=V(z,!0);Y&&(o.push(I(Y,z)),c.set(z,Y))}}else{const Y=s.get(z);Y.installed&&y.push(I(Y,z))}for(const z of q.updated.values()){const Y=V(z,!0);Y&&(o.push(I(Y,z)),c.set(z,Y))}for(const z of $.added.values())q.added.has(z)||c.set(z,u.get(z));for(const z of $.updated.values())if(!q.removed.has(z)&&!q.updated.has(z)){const Y=V(z,!1);Y&&(((b=c.get(z))===null||b===void 0?void 0:b.installed)&&(Y.installed=!0),c.set(z,Y))}for(const z of $.removed.values())!f.has(z)&&!q.updated.has(z)&&((p=l==null?void 0:l.get(z))===null||p===void 0?void 0:p.installed)&&c.delete(z)}const O=[],_=R(s,c,new Set,{checkInstalledProperty:!0,checkVersionProperty:!0});return(_.added.size>0||_.updated.size>0||_.removed.size>0)&&c.forEach(($,q)=>O.push(I($,q))),{added:y,removed:m,updated:o,remote:O.length?O:null}}e.merge=U;function R(d,E,D,{checkInstalledProperty:a,checkVersionProperty:C}={checkInstalledProperty:!1,checkVersionProperty:!1}){const b=d?[...d.keys()].filter(i=>!D.has(i)):[],p=[...E.keys()].filter(i=>!D.has(i)),y=p.filter(i=>b.indexOf(i)===-1).reduce((i,t)=>(i.add(t),i),new Set),m=b.filter(i=>p.indexOf(i)===-1).reduce((i,t)=>(i.add(t),i),new Set),o=new Set;for(const i of b)if(!m.has(i)){const t=d.get(i),n=E.get(i);(!n||t.disabled!==n.disabled||!g(t.state,n.state)||C&&t.version!==n.version||a&&t.installed!==n.installed)&&o.add(i)}return{added:y,removed:m,updated:o}}function A(d,E,D){const a=d.state,C=E.state,b=D==null?void 0:D.state;if(!E.version||a&&k.gt(d.version,E.version))return a;if(C&&k.gt(E.version,d.version)||!a)return C;if(!C)return a;const p=(0,v.deepClone)(a),y=b?L(b,C):{added:Object.keys(C).reduce((o,i)=>(o.add(i),o),new Set),removed:new Set,updated:new Set},m=b?L(b,a):{added:Object.keys(a).reduce((o,i)=>(o.add(i),o),new Set),removed:new Set,updated:new Set};for(const o of[...y.added.values(),...y.updated.values()])p[o]=C[o];for(const o of y.removed.values())m.updated.has(o)||delete p[o];return p}function L(d,E){const D=Object.keys(d),a=Object.keys(E),C=a.filter(y=>D.indexOf(y)===-1).reduce((y,m)=>(y.add(m),y),new Set),b=D.filter(y=>a.indexOf(y)===-1).reduce((y,m)=>(y.add(m),y),new Set),p=new Set;for(const y of D)if(!b.has(y)){const m=d[y],o=E[y];(0,v.equals)(m,o)||p.add(y)}return{added:C,removed:b,updated:p}}function g(d={},E={}){const{added:D,removed:a,updated:C}=L(d,E);return D.size===0&&a.size===0&&C.size===0}function S(d){return Object.assign(Object.assign({},d),{disabled:!!d.disabled,installed:!!d.installed})}function I(d,E){const D={identifier:{id:d.identifier.id,uuid:E.startsWith("uuid:")?E.substring("uuid:".length):void 0}};return d.version&&(D.version=d.version),d.disabled&&(D.disabled=!0),d.installed&&(D.installed=!0),d.state&&(D.state=d.state),D}}),define(Z[82],ee([0,1,18,3,2,34,4,31,19]),function(G,e,v,k,U,R,A,L,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsStorageSyncService=e.IExtensionsStorageSyncService=void 0,e.IExtensionsStorageSyncService=(0,A.createDecorator)("IExtensionsStorageSyncService");const S=/^extensionKeys\/([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;let I=class Ye extends U.Disposable{constructor(E,D){super();this.storageService=E,this.productService=D,this._onDidChangeExtensionsStorage=this._register(new k.Emitter),this.onDidChangeExtensionsStorage=this._onDidChangeExtensionsStorage.event,this.extensionsWithKeysForSync=new Set,this.initialize(),this._register(this.storageService.onDidChangeValue(a=>this.onDidChangeStorageValue(a)))}static toKey(E){return`extensionKeys/${(0,R.adoptToGalleryExtensionId)(E.id)}@${E.version}`}static fromKey(E){const D=S.exec(E);if(D&&D[1])return{id:D[1],version:D[2]}}initialize(){const E=this.storageService.keys(0,1);for(const D of E){const a=Ye.fromKey(D);a&&this.extensionsWithKeysForSync.add(a.id.toLowerCase())}}onDidChangeStorageValue(E){if(E.scope===0){if(this.extensionsWithKeysForSync.has(E.key.toLowerCase())){this._onDidChangeExtensionsStorage.fire();return}const D=Ye.fromKey(E.key);if(D){this.extensionsWithKeysForSync.add(D.id.toLowerCase()),this._onDidChangeExtensionsStorage.fire();return}}}setKeysForSync(E,D){this.storageService.store(Ye.toKey(E),JSON.stringify(D),0,1)}getKeysForSync(E){var D;const a=(D=this.productService.extensionSyncedKeys)===null||D===void 0?void 0:D[E.id.toLowerCase()],C=this.storageService.get(Ye.toKey(E),0),b=C?JSON.parse(C):void 0;return b&&a?(0,v.distinct)([...b,...a]):b||a}};I=ue([K(0,g.IStorageService),K(1,L.IProductService)],I),e.ExtensionsStorageSyncService=I}),define(Z[83],ee([0,1,18,24,4]),function(G,e,v,k,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IgnoredExtensionsManagementService=e.IIgnoredExtensionsManagementService=void 0,e.IIgnoredExtensionsManagementService=(0,U.createDecorator)("IIgnoredExtensionsManagementService");let R=class{constructor(L){this.configurationService=L}hasToNeverSyncExtension(L){return this.getConfiguredIgnoredExtensions().includes(L.toLowerCase())}hasToAlwaysSyncExtension(L){return this.getConfiguredIgnoredExtensions().includes(`-${L.toLowerCase()}`)}updateIgnoredExtensions(L,g){let S=[...this.configurationService.getValue("settingsSync.ignoredExtensions")].map(I=>I.toLowerCase());return S=S.filter(I=>I!==L&&I!==`-${L}`),g&&S.push(L.toLowerCase()),this.configurationService.updateValue("settingsSync.ignoredExtensions",S.length?S:void 0,1)}updateSynchronizedExtensions(L,g){let S=[...this.configurationService.getValue("settingsSync.ignoredExtensions")].map(I=>I.toLowerCase());return S=S.filter(I=>I!==L&&I!==`-${L}`),g&&S.push(`-${L.toLowerCase()}`),this.configurationService.updateValue("settingsSync.ignoredExtensions",S.length?S:void 0,1)}getIgnoredExtensions(L){const g=L.filter(E=>E.isMachineScoped).map(E=>E.identifier.id.toLowerCase()),S=this.getConfiguredIgnoredExtensions().map(E=>E.toLowerCase()),I=[],d=[];if(Array.isArray(S))for(const E of S)E.startsWith("-")?d.push(E.substring(1)):I.push(E);return(0,v.distinct)([...g,...I].filter(E=>d.indexOf(E)===-1))}getConfiguredIgnoredExtensions(){let L=this.configurationService.inspect("settingsSync.ignoredExtensions").userValue;return L!==void 0||(L=this.configurationService.inspect("sync.ignoredExtensions").userValue,L!==void 0)?L:(this.configurationService.getValue("settingsSync.ignoredExtensions")||[]).map(g=>g.toLowerCase())}};R=ue([K(0,k.IConfigurationService)],R),e.IgnoredExtensionsManagementService=R}),define(Z[180],ee([0,1,26,32,18,138,51]),function(G,e,v,k,U,R,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=e.parseKeybindings=void 0;function L(o){return(0,k.parse)(o)||[]}e.parseKeybindings=L;async function g(o,i,t,n,r){const u=L(o),s=L(i),c=t?L(t):null,l=[...u,...s,...c||[]].map(x=>x.key),f=await r.resolveUserBindings(l);let w=I(u,s,c,f);if(!w.hasLocalForwarded&&!w.hasRemoteForwarded)return{mergeContent:o,hasChanges:!1,hasConflicts:!1};if(!w.hasLocalForwarded&&w.hasRemoteForwarded)return{mergeContent:i,hasChanges:!0,hasConflicts:!1};if(w.hasLocalForwarded&&!w.hasRemoteForwarded)return{mergeContent:o,hasChanges:!0,hasConflicts:!1};const h=E(u),O=E(s),_=c?E(c):null,$=a(h,O,f),q=_?a(_,h,f):{added:[...h.keys()].reduce((x,j)=>(x.add(j),x),new Set),removed:new Set,updated:new Set},V=_?a(_,O,f):{added:[...O.keys()].reduce((x,j)=>(x.add(j),x),new Set),removed:new Set,updated:new Set},z=S($,q,V);let Y=o;for(const x of z.removed.values())z.conflicts.has(x)||(Y=y(Y,x,n));for(const x of z.added.values())if(!z.conflicts.has(x)){const j=O.get(x);if(j.some(F=>F.command!==`-${x}`&&w.conflicts.has(f[F.key]))){z.conflicts.add(x);continue}Y=p(Y,j,n)}for(const x of z.updated.values())if(!z.conflicts.has(x)){const j=O.get(x);if(j.some(F=>F.command!==`-${x}`&&w.conflicts.has(f[F.key]))){z.conflicts.add(x);continue}Y=m(Y,x,j,n)}return{mergeContent:Y,hasChanges:!0,hasConflicts:z.conflicts.size>0}}e.merge=g;function S(o,i,t){const n=new Set,r=new Set,u=new Set,s=new Set;for(const c of i.removed.values())t.updated.has(c)&&s.add(c);for(const c of t.removed.values())s.has(c)||(i.updated.has(c)?s.add(c):r.add(c));for(const c of i.added.values())s.has(c)||t.added.has(c)&&o.updated.has(c)&&s.add(c);for(const c of t.added.values())s.has(c)||(i.added.has(c)?o.updated.has(c)&&s.add(c):n.add(c));for(const c of i.updated.values())s.has(c)||t.updated.has(c)&&o.updated.has(c)&&s.add(c);for(const c of t.updated.values())s.has(c)||(i.updated.has(c)?o.updated.has(c)&&s.add(c):u.add(c));return{added:n,removed:r,updated:u,conflicts:s}}function I(o,i,t,n){const r=new Set,u=d(o,n),s=d(i,n),c=t?d(t,n):null,l=D(u,s);if(l.added.size===0&&l.removed.size===0&&l.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!1,added:r,removed:r,updated:r,conflicts:r};const f=c?D(c,u):{added:[...u.keys()].reduce((q,V)=>(q.add(V),q),new Set),removed:new Set,updated:new Set};if(f.added.size===0&&f.removed.size===0&&f.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!0,added:r,removed:r,updated:r,conflicts:r};const w=c?D(c,s):{added:[...s.keys()].reduce((q,V)=>(q.add(V),q),new Set),removed:new Set,updated:new Set};if(w.added.size===0&&w.removed.size===0&&w.updated.size===0)return{hasLocalForwarded:!0,hasRemoteForwarded:!1,added:r,removed:r,updated:r,conflicts:r};const{added:h,removed:O,updated:_,conflicts:$}=S(l,f,w);return{hasLocalForwarded:!0,hasRemoteForwarded:!0,added:h,removed:O,updated:_,conflicts:$}}function d(o,i){const t=new Map;for(const n of o){const r=i[n.key];let u=t.get(r);u||(u=[],t.set(r,u)),u.push(n)}return t}function E(o){const i=new Map;for(const t of o){const n=t.command[0]==="-"?t.command.substring(1):t.command;let r=i.get(n);r||(r=[],i.set(n,r)),r.push(t)}return i}function D(o,i){const t=[...o.keys()],n=[...i.keys()],r=n.filter(c=>t.indexOf(c)===-1).reduce((c,l)=>(c.add(l),c),new Set),u=t.filter(c=>n.indexOf(c)===-1).reduce((c,l)=>(c.add(l),c),new Set),s=new Set;for(const c of t)if(!u.has(c)){const l=o.get(c).map(w=>Object.assign(Object.assign({},w),{key:c})),f=i.get(c).map(w=>Object.assign(Object.assign({},w),{key:c}));(0,U.equals)(l,f,(w,h)=>b(w,h))||s.add(c)}return{added:r,removed:u,updated:s}}function a(o,i,t){const n=[...o.keys()],r=[...i.keys()],u=r.filter(l=>n.indexOf(l)===-1).reduce((l,f)=>(l.add(f),l),new Set),s=n.filter(l=>r.indexOf(l)===-1).reduce((l,f)=>(l.add(f),l),new Set),c=new Set;for(const l of n)if(!s.has(l)){const f=o.get(l).map(h=>Object.assign(Object.assign({},h),{key:t[h.key]})),w=i.get(l).map(h=>Object.assign(Object.assign({},h),{key:t[h.key]}));C(f,w)||c.add(l)}return{added:u,removed:s,updated:c}}function C(o,i){return!(!(0,U.equals)(o.filter(({command:t})=>t[0]!=="-"),i.filter(({command:t})=>t[0]!=="-"),(t,n)=>b(t,n))||!(0,U.equals)(o.filter(({command:t})=>t[0]==="-"),i.filter(({command:t})=>t[0]==="-"),(t,n)=>b(t,n)))}function b(o,i){if(o.command!==i.command||o.key!==i.key)return!1;const t=R.ContextKeyExpr.deserialize(o.when),n=R.ContextKeyExpr.deserialize(i.when);return!(t&&!n||!t&&n||t&&n&&!t.equals(n)||!v.equals(o.args,i.args))}function p(o,i,t){for(const n of i)o=A.edit(o,[-1],n,t);return o}function y(o,i,t){const n=L(o);for(let r=n.length-1;r>=0;r--)(n[r].command===i||n[r].command===`-${i}`)&&(o=A.edit(o,[r],void 0,t));return o}function m(o,i,t,n){const r=L(o),u=r.findIndex(s=>s.command===i||s.command===`-${i}`);for(let s=r.length-1;s>=0;s--)(r[s].command===i||r[s].command===`-${i}`)&&(o=A.edit(o,[s],void 0,n));for(let s=t.length-1;s>=0;s--)o=A.edit(o,[u],t[s],n);return o}}),define(Z[181],ee([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.areSame=e.merge=void 0;function v(R,A,L){const g={},S={},I=new Set;if(!A)return{local:{added:g,updated:S,removed:[...I.values()]},remote:{added:R,updated:{},removed:[]},conflicts:[]};const d=k(R,A);if(d.added.size===0&&d.removed.size===0&&d.updated.size===0)return{local:{added:g,updated:S,removed:[...I.values()]},remote:{added:{},updated:{},removed:[]},conflicts:[]};const E=k(L,R),D=k(L,A),a={},C={},b=new Set,p=new Set;for(const y of E.removed.values())D.updated.has(y)?g[y]=A[y]:b.add(y);for(const y of D.removed.values())p.has(y)||(E.updated.has(y)?p.add(y):I.add(y));for(const y of E.updated.values())p.has(y)||(D.updated.has(y)?d.updated.has(y)&&p.add(y):C[y]=R[y]);for(const y of D.updated.values())p.has(y)||(E.updated.has(y)?d.updated.has(y)&&p.add(y):R[y]!==void 0&&(S[y]=A[y]));for(const y of E.added.values())p.has(y)||(D.added.has(y)?d.updated.has(y)&&p.add(y):a[y]=R[y]);for(const y of D.added.values())p.has(y)||(E.added.has(y)?d.updated.has(y)&&p.add(y):g[y]=A[y]);return{local:{added:g,removed:[...I.values()],updated:S},remote:{added:a,removed:[...b.values()],updated:C},conflicts:[...p.values()]}}e.merge=v;function k(R,A){const L=R?Object.keys(R):[],g=A?Object.keys(A):[],S=g.filter(E=>L.indexOf(E)===-1).reduce((E,D)=>(E.add(D),E),new Set),I=L.filter(E=>g.indexOf(E)===-1).reduce((E,D)=>(E.add(D),E),new Set),d=new Set;for(const E of L)if(!I.has(E)){const D=R[E],a=A[E];D!==a&&d.add(E)}return{added:S,removed:I,updated:d}}function U(R,A){const{added:L,removed:g,updated:S}=k(R,A);return L.size===0&&g.size===0&&S.size===0}e.areSame=U}),define(Z[20],ee([0,1,4,28,35,39,125,78,16,18,17]),function(G,e,v,k,U,R,A,L,g,S,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSyncResourceFromLocalPreview=e.PREVIEW_DIR_NAME=e.USER_DATA_SYNC_SCHEME=e.IUserDataSyncLogService=e.IUserDataSyncUtilService=e.IUserDataAutoSyncService=e.IUserDataAutoSyncEnablementService=e.IUserDataSyncService=e.IUserDataSyncResourceEnablementService=e.getEnablementKey=e.SYNC_SERVICE_URL_TYPE=e.MergeState=e.Change=e.SyncStatus=e.UserDataAutoSyncError=e.UserDataSyncStoreError=e.UserDataSyncError=e.UserDataSyncErrorCode=e.createSyncHeaders=e.HEADER_EXECUTION_ID=e.HEADER_OPERATION_ID=e.IUserDataSyncBackupStoreService=e.IUserDataSyncStoreService=e.IUserDataSyncStoreManagementService=e.ALL_SYNC_RESOURCES=e.SyncResource=e.isAuthenticationProvider=e.registerConfiguration=e.getDefaultIgnoredSettings=e.getDisallowedIgnoredSettings=e.CONFIGURATION_SYNC_STORE_KEY=void 0,e.CONFIGURATION_SYNC_STORE_KEY="configurationSync.store";function d(){const s=U.Registry.as(R.Extensions.Configuration).getConfigurationProperties();return Object.keys(s).filter(c=>!!s[c].disallowSyncIgnore)}e.getDisallowedIgnoredSettings=d;function E(){const s=U.Registry.as(R.Extensions.Configuration).getConfigurationProperties(),c=Object.keys(s).filter(w=>!!s[w].ignoreSync),l=Object.keys(s).filter(w=>s[w].scope===2||s[w].scope===6),f=d();return(0,S.distinct)([e.CONFIGURATION_SYNC_STORE_KEY,...c,...l,...f])}e.getDefaultIgnoredSettings=E;function D(){const s="vscode://schemas/ignoredSettings",c=U.Registry.as(R.Extensions.Configuration);c.registerConfiguration({id:"settingsSync",order:30,title:(0,A.localize)(0,null),type:"object",properties:{"settingsSync.keybindingsPerPlatform":{type:"boolean",description:(0,A.localize)(1,null),default:!0,scope:1,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredExtensions":{type:"array",markdownDescription:(0,A.localize)(2,null),items:[{type:"string",pattern:k.EXTENSION_IDENTIFIER_PATTERN,errorMessage:(0,A.localize)(3,null)}],default:[],scope:1,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredSettings":{type:"array",description:(0,A.localize)(4,null),default:[],scope:1,$ref:s,additionalProperties:!0,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]}}});const l=U.Registry.as(L.Extensions.JSONContribution),f=()=>{const w=d(),h=E().filter(q=>q!==e.CONFIGURATION_SYNC_STORE_KEY),O=Object.keys(R.allSettings.properties).filter(q=>h.indexOf(q)===-1),_=h.filter(q=>w.indexOf(q)===-1),$={items:{type:"string",enum:[...O,..._.map(q=>`-${q}`)]}};l.registerSchema(s,$)};return c.onDidUpdateConfiguration(()=>f())}e.registerConfiguration=D;function a(s){return s&&(0,I.isObject)(s)&&(0,I.isString)(s.id)&&(0,I.isArray)(s.scopes)}e.isAuthenticationProvider=a;var C;(function(s){s.Settings="settings",s.Keybindings="keybindings",s.Snippets="snippets",s.Extensions="extensions",s.GlobalState="globalState"})(C=e.SyncResource||(e.SyncResource={})),e.ALL_SYNC_RESOURCES=["settings","keybindings","snippets","extensions","globalState"],e.IUserDataSyncStoreManagementService=(0,v.createDecorator)("IUserDataSyncStoreManagementService"),e.IUserDataSyncStoreService=(0,v.createDecorator)("IUserDataSyncStoreService"),e.IUserDataSyncBackupStoreService=(0,v.createDecorator)("IUserDataSyncBackupStoreService"),e.HEADER_OPERATION_ID="x-operation-id",e.HEADER_EXECUTION_ID="X-Execution-Id";function b(s){const c={};return c[e.HEADER_EXECUTION_ID]=s,c}e.createSyncHeaders=b;var p;(function(s){s.Unauthorized="Unauthorized",s.Conflict="Conflict",s.Gone="Gone",s.PreconditionFailed="PreconditionFailed",s.TooLarge="TooLarge",s.UpgradeRequired="UpgradeRequired",s.PreconditionRequired="PreconditionRequired",s.TooManyRequests="RemoteTooManyRequests",s.TooManyRequestsAndRetryAfter="TooManyRequestsAndRetryAfter",s.RequestFailed="RequestFailed",s.RequestCanceled="RequestCanceled",s.RequestTimeout="RequestTimeout",s.NoRef="NoRef",s.TurnedOff="TurnedOff",s.SessionExpired="SessionExpired",s.ServiceChanged="ServiceChanged",s.DefaultServiceChanged="DefaultServiceChanged",s.LocalTooManyRequests="LocalTooManyRequests",s.LocalPreconditionFailed="LocalPreconditionFailed",s.LocalInvalidContent="LocalInvalidContent",s.LocalError="LocalError",s.IncompatibleLocalContent="IncompatibleLocalContent",s.IncompatibleRemoteContent="IncompatibleRemoteContent",s.UnresolvedConflicts="UnresolvedConflicts",s.Unknown="Unknown"})(p=e.UserDataSyncErrorCode||(e.UserDataSyncErrorCode={}));class y extends Error{constructor(c,l,f,w){super(c);this.code=l,this.resource=f,this.operationId=w,this.name=`${this.code} (UserDataSyncError) syncResource:${this.resource||"unknown"} operationId:${this.operationId||"unknown"}`}}e.UserDataSyncError=y;class m extends y{constructor(c,l,f,w){super(c,f,void 0,w);this.url=l,this.operationId=w}}e.UserDataSyncStoreError=m;class o extends y{constructor(c,l){super(c,l)}}e.UserDataAutoSyncError=o,function(s){function c(l){if(l instanceof s)return l;const f=/^(.+) \(UserDataSyncError\) syncResource:(.+) operationId:(.+)$/.exec(l.name);if(f&&f[1]){const w=f[2]==="unknown"?void 0:f[2],h=f[3]==="unknown"?void 0:f[3];return new s(l.message,f[1],w,h)}return new s(l.message,p.Unknown)}s.toUserDataSyncError=c}(y=e.UserDataSyncError||(e.UserDataSyncError={}));var i;(function(s){s.Uninitialized="uninitialized",s.Idle="idle",s.Syncing="syncing",s.HasConflicts="hasConflicts"})(i=e.SyncStatus||(e.SyncStatus={}));var t;(function(s){s[s.None=0]="None",s[s.Added=1]="Added",s[s.Modified=2]="Modified",s[s.Deleted=3]="Deleted"})(t=e.Change||(e.Change={}));var n;(function(s){s.Preview="preview",s.Conflict="conflict",s.Accepted="accepted"})(n=e.MergeState||(e.MergeState={})),e.SYNC_SERVICE_URL_TYPE="sync.store.url.type";function r(s){return`sync.enable.${s}`}e.getEnablementKey=r,e.IUserDataSyncResourceEnablementService=(0,v.createDecorator)("IUserDataSyncResourceEnablementService"),e.IUserDataSyncService=(0,v.createDecorator)("IUserDataSyncService"),e.IUserDataAutoSyncEnablementService=(0,v.createDecorator)("IUserDataAutoSyncEnablementService"),e.IUserDataAutoSyncService=(0,v.createDecorator)("IUserDataAutoSyncService"),e.IUserDataSyncUtilService=(0,v.createDecorator)("IUserDataSyncUtilService"),e.IUserDataSyncLogService=(0,v.createDecorator)("IUserDataSyncLogService"),e.USER_DATA_SYNC_SCHEME="vscode-userdata-sync",e.PREVIEW_DIR_NAME="preview";function u(s,c){if(s.scheme!==e.USER_DATA_SYNC_SCHEME)return s=s.with({scheme:c.userDataSyncHome.scheme}),e.ALL_SYNC_RESOURCES.filter(l=>(0,g.isEqualOrParent)(s,(0,g.joinPath)(c.userDataSyncHome,l,e.PREVIEW_DIR_NAME)))[0]}e.getSyncResourceFromLocalPreview=u}),define(Z[45],ee([0,1,2,9,22,5,20,10,16,6,3,25,32,121,24,17,21,18,44,19,29]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b,p,y,m,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractInitializer=e.AbstractJsonFileSynchroniser=e.AbstractFileSynchroniser=e.AbstractSynchroniser=e.isSyncData=void 0;function i(c){return!!(c&&c.version!==void 0&&typeof c.version=="number"&&c.content!==void 0&&typeof c.content=="string"&&(Object.keys(c).length===2||Object.keys(c).length===3&&c.machineId!==void 0&&typeof c.machineId=="string"))}e.isSyncData=i;function t(c,l,f){return f.joinPath(l.userDataSyncHome,c,`lastSync${c}.json`)}let n=class extends v.Disposable{constructor(l,f,w,h,O,_,$,q,V,z){super();this.resource=l,this.fileService=f,this.environmentService=w,this.userDataSyncStoreService=O,this.userDataSyncBackupStoreService=_,this.userDataSyncResourceEnablementService=$,this.telemetryService=q,this.logService=V,this.configurationService=z,this.syncPreviewPromise=null,this._status="idle",this._onDidChangStatus=this._register(new I.Emitter),this.onDidChangeStatus=this._onDidChangStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new I.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this.localChangeTriggerScheduler=new S.RunOnceScheduler(()=>this.doTriggerLocalChange(),50),this._onDidChangeLocal=this._register(new I.Emitter),this.onDidChangeLocal=this._onDidChangeLocal.event,this.syncHeaders={},this.syncResourceLogLabel=(0,b.uppercaseFirstLetter)(this.resource),this.extUri=this.fileService.hasCapability(w.userDataSyncHome,1024)?g.extUri:g.extUriIgnorePathCase,this.syncFolder=this.extUri.joinPath(w.userDataSyncHome,l),this.syncPreviewFolder=this.extUri.joinPath(this.syncFolder,A.PREVIEW_DIR_NAME),this.lastSyncResource=t(l,w,this.extUri),this.currentMachineIdPromise=(0,y.getServiceMachineId)(w,f,h)}get status(){return this._status}get conflicts(){return this._conflicts}isEnabled(){return this.userDataSyncResourceEnablementService.isResourceEnabled(this.resource)}async triggerLocalChange(){this.isEnabled()&&this.localChangeTriggerScheduler.schedule()}async doTriggerLocalChange(){if(this.status==="hasConflicts"){this.logService.info(`${this.syncResourceLogLabel}: In conflicts state and local change detected. Syncing again...`);const l=await this.syncPreviewPromise;this.syncPreviewPromise=null;const f=await this.performSync(l.remoteUserData,l.lastSyncUserData,!0);this.setStatus(f)}else{this.logService.trace(`${this.syncResourceLogLabel}: Checking for local changes...`);const l=await this.getLastSyncUserData();(l?(await this.doGenerateSyncResourcePreview(l,l,!0,o.CancellationToken.None)).resourcePreviews.some(({remoteChange:w})=>w!==0):!0)&&this._onDidChangeLocal.fire()}}setStatus(l){if(this._status!==l){const f=this._status;l==="hasConflicts"&&this.telemetryService.publicLog2("sync/conflictsDetected",{source:this.resource}),f==="hasConflicts"&&l==="idle"&&this.telemetryService.publicLog2("sync/conflictsResolved",{source:this.resource}),this._status=l,this._onDidChangStatus.fire(l)}}async sync(l,f={}){await this._sync(l,!0,f)}async preview(l,f={}){return this._sync(l,!1,f)}async apply(l,f={}){try{this.syncHeaders=Object.assign({},f);const w=await this.doApply(l);return this.setStatus(w),this.syncPreviewPromise}finally{this.syncHeaders={}}}async _sync(l,f,w){try{if(this.syncHeaders=Object.assign({},w),!this.isEnabled())return this.status!=="idle"&&await this.stop(),this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as it is disabled.`),null;if(this.status==="hasConflicts")return this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as there are conflicts.`),this.syncPreviewPromise;if(this.status==="syncing")return this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as it is running already.`),this.syncPreviewPromise;this.logService.trace(`${this.syncResourceLogLabel}: Started synchronizing ${this.resource.toLowerCase()}...`),this.setStatus("syncing");let h="idle";try{const O=await this.getLastSyncUserData(),_=await this.getLatestRemoteUserData(l,O);return h=await this.performSync(_,O,f),h==="hasConflicts"?this.logService.info(`${this.syncResourceLogLabel}: Detected conflicts while synchronizing ${this.resource.toLowerCase()}.`):h==="idle"&&this.logService.trace(`${this.syncResourceLogLabel}: Finished synchronizing ${this.resource.toLowerCase()}.`),this.syncPreviewPromise||null}finally{this.setStatus(h)}}finally{this.syncHeaders={}}}async replace(l){const f=await this.resolveContent(l);if(!f)return!1;const w=this.parseSyncData(f);if(!w)return!1;await this.stop();try{this.logService.trace(`${this.syncResourceLogLabel}: Started resetting ${this.resource.toLowerCase()}...`),this.setStatus("syncing");const h=await this.getLastSyncUserData(),O=await this.getLatestRemoteUserData(null,h),_=await this.generateSyncPreview({ref:O.ref,syncData:w},h,o.CancellationToken.None),$=[];for(const q of _){const V=await this.getAcceptResult(q,q.remoteResource,void 0,o.CancellationToken.None),{remoteChange:z}=await this.getAcceptResult(q,q.previewResource,q.remoteContent,o.CancellationToken.None);$.push([q,Object.assign(Object.assign({},V),{remoteChange:z!==0?z:2})])}await this.applyResult(O,h,$,!1),this.logService.info(`${this.syncResourceLogLabel}: Finished resetting ${this.resource.toLowerCase()}.`)}finally{this.setStatus("idle")}return!0}async getLatestRemoteUserData(l,f){if(f){const w=l&&l.latest?l.latest[this.resource]:void 0;if(f.ref===w||w===void 0&&f.syncData===null)return f}return this.getRemoteUserData(f)}async performSync(l,f,w){if(l.syncData&&l.syncData.version>this.version)throw this.telemetryService.publicLog2("sync/incompatible",{source:this.resource}),new A.UserDataSyncError((0,D.localize)(0,null,this.resource,this.version,l.syncData.version),A.UserDataSyncErrorCode.IncompatibleLocalContent,this.resource);try{return await this.doSync(l,f,w)}catch(h){if(h instanceof A.UserDataSyncError)switch(h.code){case A.UserDataSyncErrorCode.LocalPreconditionFailed:return this.logService.info(`${this.syncResourceLogLabel}: Failed to synchronize ${this.syncResourceLogLabel} as there is a new local version available. Synchronizing again...`),this.performSync(l,f,w);case A.UserDataSyncErrorCode.Conflict:case A.UserDataSyncErrorCode.PreconditionFailed:return this.logService.info(`${this.syncResourceLogLabel}: Failed to synchronize as there is a new remote version available. Synchronizing again...`),l=await this.getRemoteUserData(null),f=await this.getLastSyncUserData(),this.performSync(l,f,w)}throw h}}async doSync(l,f,w){try{this.syncPreviewPromise||(this.syncPreviewPromise=(0,S.createCancelablePromise)(O=>this.doGenerateSyncResourcePreview(l,f,w,O)));const h=await this.syncPreviewPromise;return this.updateConflicts(h.resourcePreviews),h.resourcePreviews.some(({mergeState:O})=>O==="conflict")?"hasConflicts":w?await this.doApply(!1):"syncing"}catch(h){throw this.syncPreviewPromise=null,h}}async merge(l){return await this.updateSyncResourcePreview(l,async f=>{const w=await this.getMergeResult(f,o.CancellationToken.None);await this.fileService.writeFile(f.previewResource,U.VSBuffer.fromString((w==null?void 0:w.content)||""));const h=w&&!w.hasConflicts?await this.getAcceptResult(f,f.previewResource,void 0,o.CancellationToken.None):void 0;return f.acceptResult=h,f.mergeState=w.hasConflicts?"conflict":h?"accepted":"preview",f.localChange=h?h.localChange:w.localChange,f.remoteChange=h?h.remoteChange:w.remoteChange,f}),this.syncPreviewPromise}async accept(l,f){return await this.updateSyncResourcePreview(l,async w=>{const h=await this.getAcceptResult(w,l,f,o.CancellationToken.None);return w.acceptResult=h,w.mergeState="accepted",w.localChange=h.localChange,w.remoteChange=h.remoteChange,w}),this.syncPreviewPromise}async discard(l){return await this.updateSyncResourcePreview(l,async f=>{const w=await this.getMergeResult(f,o.CancellationToken.None);return await this.fileService.writeFile(f.previewResource,U.VSBuffer.fromString(w.content||"")),f.acceptResult=void 0,f.mergeState="preview",f.localChange=w.localChange,f.remoteChange=w.remoteChange,f}),this.syncPreviewPromise}async updateSyncResourcePreview(l,f){if(!!this.syncPreviewPromise){let w=await this.syncPreviewPromise;const h=w.resourcePreviews.findIndex(({localResource:O,remoteResource:_,previewResource:$})=>this.extUri.isEqual(O,l)||this.extUri.isEqual(_,l)||this.extUri.isEqual($,l));h!==-1&&(this.syncPreviewPromise=(0,S.createCancelablePromise)(async O=>{const _=[...w.resourcePreviews];return _[h]=await f(_[h]),Object.assign(Object.assign({},w),{resourcePreviews:_})}),w=await this.syncPreviewPromise,this.updateConflicts(w.resourcePreviews),w.resourcePreviews.some(({mergeState:O})=>O==="conflict")?this.setStatus("hasConflicts"):this.setStatus("syncing"))}}async doApply(l){if(!this.syncPreviewPromise)return"idle";const f=await this.syncPreviewPromise;return f.resourcePreviews.some(({mergeState:w})=>w==="conflict")?"hasConflicts":f.resourcePreviews.some(({mergeState:w})=>w!=="accepted")?"syncing":(await this.applyResult(f.remoteUserData,f.lastSyncUserData,f.resourcePreviews.map(w=>[w,w.acceptResult]),l),this.syncPreviewPromise=null,await this.clearPreviewFolder(),"idle")}async clearPreviewFolder(){try{await this.fileService.del(this.syncPreviewFolder,{recursive:!0})}catch(l){}}updateConflicts(l){const f=l.filter(({mergeState:w})=>w==="conflict");(0,p.equals)(this._conflicts,f,(w,h)=>this.extUri.isEqual(w.previewResource,h.previewResource))||(this._conflicts=f,this._onDidChangeConflicts.fire(f))}async hasPreviouslySynced(){return!!await this.getLastSyncUserData()}async getRemoteSyncResourceHandles(){return(await this.userDataSyncStoreService.getAllRefs(this.resource)).map(({created:f,ref:w})=>({created:f,uri:this.toRemoteBackupResource(w)}))}async getLocalSyncResourceHandles(){return(await this.userDataSyncBackupStoreService.getAllRefs(this.resource)).map(({created:f,ref:w})=>({created:f,uri:this.toLocalBackupResource(w)}))}toRemoteBackupResource(l){return R.URI.from({scheme:A.USER_DATA_SYNC_SCHEME,authority:"remote-backup",path:`/${this.resource}/${l}`})}toLocalBackupResource(l){return R.URI.from({scheme:A.USER_DATA_SYNC_SCHEME,authority:"local-backup",path:`/${this.resource}/${l}`})}async getMachineId({uri:l}){const f=this.extUri.basename(l);if(this.extUri.isEqual(l,this.toRemoteBackupResource(f))){const{content:w}=await this.getUserData(f);if(w){const h=this.parseSyncData(w);return h==null?void 0:h.machineId}}}async resolveContent(l){const f=this.extUri.basename(l);if(this.extUri.isEqual(l,this.toRemoteBackupResource(f))){const{content:w}=await this.getUserData(f);return w}return this.extUri.isEqual(l,this.toLocalBackupResource(f))?this.userDataSyncBackupStoreService.resolveContent(this.resource,f):null}async resolvePreviewContent(l){const f=this.syncPreviewPromise?await this.syncPreviewPromise:null;if(f)for(const w of f.resourcePreviews){if(this.extUri.isEqual(w.acceptedResource,l))return w.acceptResult?w.acceptResult.content:null;if(this.extUri.isEqual(w.remoteResource,l))return w.remoteContent;if(this.extUri.isEqual(w.localResource,l))return w.localContent}return null}async resetLocal(){try{await this.fileService.del(this.lastSyncResource)}catch(l){}}async doGenerateSyncResourcePreview(l,f,w,h){var O;const _=await this.currentMachineIdPromise,$=!!((O=l.syncData)===null||O===void 0?void 0:O.machineId)&&l.syncData.machineId===_,q=f===null&&$?l:f,V=await this.generateSyncPreview(l,q,h),z=[];for(const Y of V){const x=Y.previewResource.with({scheme:A.USER_DATA_SYNC_SCHEME,authority:"accepted"});if(Y.localChange===0&&Y.remoteChange===0)z.push(Object.assign(Object.assign({},Y),{acceptedResource:x,acceptResult:{content:null,localChange:0,remoteChange:0},mergeState:"accepted"}));else{const j=w?await this.getMergeResult(Y,h):void 0;if(h.isCancellationRequested)break;await this.fileService.writeFile(Y.previewResource,U.VSBuffer.fromString((j==null?void 0:j.content)||""));const F=j&&!j.hasConflicts?await this.getAcceptResult(Y,Y.previewResource,void 0,h):void 0;z.push(Object.assign(Object.assign({},Y),{acceptResult:F,mergeState:(j==null?void 0:j.hasConflicts)?"conflict":F?"accepted":"preview",localChange:F?F.localChange:j?j.localChange:Y.localChange,remoteChange:F?F.remoteChange:j?j.remoteChange:Y.remoteChange}))}}return{remoteUserData:l,lastSyncUserData:f,resourcePreviews:z,isLastSyncFromCurrentMachine:$}}async getLastSyncUserData(){try{const l=await this.fileService.readFile(this.lastSyncResource),f=JSON.parse(l.value.toString()),w=f;if(w.content===null)return{ref:f.ref,syncData:null};const h=JSON.parse(w.content);if(i(h))return Object.assign(Object.assign({},f),{syncData:h,content:void 0})}catch(l){l instanceof k.FileOperationError&&l.fileOperationResult===1||this.logService.error(l)}return null}async updateLastSyncUserData(l,f={}){const w=Object.assign({ref:l.ref,content:l.syncData?JSON.stringify(l.syncData):null},f);await this.fileService.writeFile(this.lastSyncResource,U.VSBuffer.fromString(JSON.stringify(w)))}async getRemoteUserData(l){const{ref:f,content:w}=await this.getUserData(l);let h=null;return w!==null&&(h=this.parseSyncData(w)),{ref:f,syncData:h}}parseSyncData(l){try{const f=JSON.parse(l);if(i(f))return f}catch(f){this.logService.error(f)}throw new A.UserDataSyncError((0,D.localize)(1,null),A.UserDataSyncErrorCode.IncompatibleRemoteContent,this.resource)}async getUserData(l){if((0,C.isString)(l)){const f=await this.userDataSyncStoreService.resolveContent(this.resource,l);return{ref:l,content:f}}else{const f=l?{ref:l.ref,content:l.syncData?JSON.stringify(l.syncData):null}:null;return this.userDataSyncStoreService.read(this.resource,f,this.syncHeaders)}}async updateRemoteUserData(l,f){const w=await this.currentMachineIdPromise,h={version:this.version,machineId:w,content:l};return f=await this.userDataSyncStoreService.write(this.resource,JSON.stringify(h),f,this.syncHeaders),{ref:f,syncData:h}}async backupLocal(l){const f={version:this.version,content:l};return this.userDataSyncBackupStoreService.backup(this.resource,JSON.stringify(f))}async stop(){this.status!=="idle"&&(this.logService.trace(`${this.syncResourceLogLabel}: Stopping synchronizing ${this.resource.toLowerCase()}.`),this.syncPreviewPromise&&(this.syncPreviewPromise.cancel(),this.syncPreviewPromise=null),this.updateConflicts([]),await this.clearPreviewFolder(),this.setStatus("idle"),this.logService.info(`${this.syncResourceLogLabel}: Stopped synchronizing ${this.resource.toLowerCase()}.`))}};n=ue([K(1,k.IFileService),K(2,L.IEnvironmentService),K(3,m.IStorageService),K(4,A.IUserDataSyncStoreService),K(5,A.IUserDataSyncBackupStoreService),K(6,A.IUserDataSyncResourceEnablementService),K(7,d.ITelemetryService),K(8,A.IUserDataSyncLogService),K(9,a.IConfigurationService)],n),e.AbstractSynchroniser=n;let r=class extends n{constructor(l,f,w,h,O,_,$,q,V,z,Y){super(f,w,h,O,_,$,q,V,z,Y);this.file=l,this._register(this.fileService.watch(this.extUri.dirname(l))),this._register(this.fileService.onDidFilesChange(x=>this.onFileChanges(x)))}async getLocalFileContent(){try{return await this.fileService.readFile(this.file)}catch(l){return null}}async updateLocalFileContent(l,f,w){try{f?await this.fileService.writeFile(this.file,U.VSBuffer.fromString(l),w?void 0:f):await this.fileService.createFile(this.file,U.VSBuffer.fromString(l),{overwrite:w})}catch(h){throw h instanceof k.FileOperationError&&h.fileOperationResult===1||h instanceof k.FileOperationError&&h.fileOperationResult===3?new A.UserDataSyncError(h.message,A.UserDataSyncErrorCode.LocalPreconditionFailed):h}}onFileChanges(l){!l.contains(this.file)||this.triggerLocalChange()}};r=ue([K(2,k.IFileService),K(3,L.IEnvironmentService),K(4,m.IStorageService),K(5,A.IUserDataSyncStoreService),K(6,A.IUserDataSyncBackupStoreService),K(7,A.IUserDataSyncResourceEnablementService),K(8,d.ITelemetryService),K(9,A.IUserDataSyncLogService),K(10,a.IConfigurationService)],r),e.AbstractFileSynchroniser=r;let u=class extends r{constructor(l,f,w,h,O,_,$,q,V,z,Y,x){super(l,f,w,h,O,_,$,q,V,z,x);this.userDataSyncUtilService=Y,this._formattingOptions=void 0}hasErrors(l){const f=[];return(0,E.parse)(l,f,{allowEmptyContent:!0,allowTrailingComma:!0}),f.length>0}getFormattingOptions(){return this._formattingOptions||(this._formattingOptions=this.userDataSyncUtilService.resolveFormattingOptions(this.file)),this._formattingOptions}};u=ue([K(2,k.IFileService),K(3,L.IEnvironmentService),K(4,m.IStorageService),K(5,A.IUserDataSyncStoreService),K(6,A.IUserDataSyncBackupStoreService),K(7,A.IUserDataSyncResourceEnablementService),K(8,d.ITelemetryService),K(9,A.IUserDataSyncLogService),K(10,A.IUserDataSyncUtilService),K(11,a.IConfigurationService)],u),e.AbstractJsonFileSynchroniser=u;let s=class{constructor(l,f,w,h){this.resource=l,this.environmentService=f,this.logService=w,this.fileService=h,this.extUri=this.fileService.hasCapability(f.userDataSyncHome,1024)?g.extUri:g.extUriIgnorePathCase,this.lastSyncResource=t(this.resource,f,g.extUri)}async initialize({ref:l,content:f}){if(!f){this.logService.info("Remote content does not exist.",this.resource);return}const w=this.parseSyncData(f);if(!!w){if(await this.fileService.exists(this.lastSyncResource)){this.logService.info("Remote content does not exist.",this.resource);return}try{await this.doInitialize({ref:l,syncData:w})}catch(O){this.logService.error(O)}}}parseSyncData(l){try{const f=JSON.parse(l);if(i(f))return f}catch(f){this.logService.error(f)}this.logService.info("Cannot parse sync data as it is not compatible with the current version.",this.resource)}async updateLastSyncUserData(l,f={}){const w=Object.assign({ref:l.ref,content:l.syncData?JSON.stringify(l.syncData):null},f);await this.fileService.writeFile(this.lastSyncResource,U.VSBuffer.fromString(JSON.stringify(w)))}};s=ue([K(1,L.IEnvironmentService),K(2,A.IUserDataSyncLogService),K(3,k.IFileService)],s),e.AbstractInitializer=s}),define(Z[182],ee([0,1,20,3,10,28,34,9,24,179,45,25,5,46,41,21,19,29,83,14,82,6]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b,p,y,m,o,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsInitializer=e.ExtensionsSynchroniser=void 0;async function t(c,l){const f=JSON.parse(c.content);if(c.version===1||c.version===2){const w=(await l.getInstalled(0)).filter(h=>h.isBuiltin);for(const h of f)c.version===1&&(h.enabled===!1&&(h.disabled=!0),delete h.enabled),c.version===2&&w.every(O=>!(0,A.areSameExtensions)(O.identifier,h.identifier))&&(h.installed=!0)}return f}function n(c,l,f){const w=f.get((0,A.getExtensionId)(c,l),0)||"{}";return JSON.parse(w)}function r(c,l,f,w){w.store((0,A.getExtensionId)(c,l),JSON.stringify(f),0,1)}let u=class rt extends I.AbstractSynchroniser{constructor(l,f,w,h,O,_,$,q,V,z,Y,x,j,F){super("extensions",f,l,w,h,O,x,j,V,Y);this.storageService=w,this.extensionManagementService=_,this.extensionEnablementService=$,this.ignoredExtensionsManagementService=q,this.extensionGalleryService=z,this.extensionsStorageSyncService=F,this.version=5,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"extensions.json"),this.localResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(k.Event.debounce(k.Event.any(k.Event.filter(this.extensionManagementService.onDidInstallExtension,P=>!!P.gallery),k.Event.filter(this.extensionManagementService.onDidUninstallExtension,P=>!P.error),this.extensionEnablementService.onDidChangeEnablement,this.extensionsStorageSyncService.onDidChangeExtensionsStorage),()=>{},500)(()=>this.triggerLocalChange()))}isEnabled(){return super.isEnabled()&&this.extensionGalleryService.isEnabled()}async generateSyncPreview(l,f){const w=l.syncData?await t(l.syncData,this.extensionManagementService):null,h=(f==null?void 0:f.skippedExtensions)||[],O=(f==null?void 0:f.syncData)?await t(f.syncData,this.extensionManagementService):null,_=await this.extensionManagementService.getInstalled(),$=this.getLocalExtensions(_),q=this.ignoredExtensionsManagementService.getIgnoredExtensions(_);w?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote extensions with local extensions...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote extensions does not exist. Synchronizing extensions for the first time.`);const{added:V,removed:z,updated:Y,remote:x}=(0,S.merge)($,w,O,h,q),j={added:V,removed:z,updated:Y,remote:x,content:this.getPreviewContent($,V,Y,z),localChange:V.length>0||z.length>0||Y.length>0?2:0,remoteChange:x!==null?2:0};return[{skippedExtensions:h,localResource:this.localResource,localContent:this.format($),localExtensions:$,remoteResource:this.remoteResource,remoteContent:w?this.format(w):null,previewResource:this.previewResource,previewResult:j,localChange:j.localChange,remoteChange:j.remoteChange,acceptedResource:this.acceptedResource}]}getPreviewContent(l,f,w,h){const O=[...f,...w],_=new Set,$=q=>{_.add(q.id.toLowerCase()),q.uuid&&_.add(q.uuid)};O.forEach(({identifier:q})=>$(q)),h.forEach($);for(const q of l)_.has(q.identifier.id.toLowerCase())||q.identifier.uuid&&_.has(q.identifier.uuid)||O.push(q);return this.format(O)}async getMergeResult(l,f){return Object.assign(Object.assign({},l.previewResult),{hasConflicts:!1})}async getAcceptResult(l,f,w,h){if(this.extUri.isEqual(f,this.localResource))return this.acceptLocal(l);if(this.extUri.isEqual(f,this.remoteResource))return this.acceptRemote(l);if(this.extUri.isEqual(f,this.previewResource))return l.previewResult;throw new Error(`Invalid Resource: ${f.toString()}`)}async acceptLocal(l){const f=await this.extensionManagementService.getInstalled(),w=this.ignoredExtensionsManagementService.getIgnoredExtensions(f),h=(0,S.merge)(l.localExtensions,null,null,l.skippedExtensions,w),{added:O,removed:_,updated:$,remote:q}=h;return{content:l.localContent,added:O,removed:_,updated:$,remote:q,localChange:O.length>0||_.length>0||$.length>0?2:0,remoteChange:q!==null?2:0}}async acceptRemote(l){const f=await this.extensionManagementService.getInstalled(),w=this.ignoredExtensionsManagementService.getIgnoredExtensions(f),h=l.remoteContent?JSON.parse(l.remoteContent):null;if(h!==null){const O=(0,S.merge)(l.localExtensions,h,l.localExtensions,[],w),{added:_,removed:$,updated:q,remote:V}=O;return{content:l.remoteContent,added:_,removed:$,updated:q,remote:V,localChange:_.length>0||$.length>0||q.length>0?2:0,remoteChange:V!==null?2:0}}else return{content:l.remoteContent,added:[],removed:[],updated:[],remote:null,localChange:0,remoteChange:0}}async applyResult(l,f,w,h){let{skippedExtensions:O,localExtensions:_}=w[0][0],{added:$,removed:q,updated:V,remote:z,localChange:Y,remoteChange:x}=w[0][1];if(Y===0&&x===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing extensions.`),Y!==0&&(await this.backupLocal(JSON.stringify(_)),O=await this.updateLocalExtensions($,q,V,O)),z){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote extensions...`);const j=JSON.stringify(z);l=await this.updateRemoteUserData(j,h?null:l.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote extensions`)}(f==null?void 0:f.ref)!==l.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized extensions...`),await this.updateLastSyncUserData(l,{skippedExtensions:O}),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized extensions`))}async getAssociatedResources({uri:l}){return[{resource:this.extUri.joinPath(l,"extensions.json"),comparableResource:rt.EXTENSIONS_DATA_URI}]}async resolveContent(l){if(this.extUri.isEqual(l,rt.EXTENSIONS_DATA_URI)){const w=await this.extensionManagementService.getInstalled(),h=this.ignoredExtensionsManagementService.getIgnoredExtensions(w),O=this.getLocalExtensions(w).filter(_=>!h.some($=>(0,A.areSameExtensions)({id:$},_.identifier)));return this.format(O)}if(this.extUri.isEqual(this.remoteResource,l)||this.extUri.isEqual(this.localResource,l)||this.extUri.isEqual(this.acceptedResource,l))return this.resolvePreviewContent(l);let f=await super.resolveContent(l);if(f)return f;if(f=await super.resolveContent(this.extUri.dirname(l)),f){const w=this.parseSyncData(f);if(w)switch(this.extUri.basename(l)){case"extensions.json":return this.format(this.parseExtensions(w))}}return null}format(l){l.sort((h,O)=>!h.identifier.uuid&&O.identifier.uuid?-1:h.identifier.uuid&&!O.identifier.uuid?1:(0,C.compare)(h.identifier.id,O.identifier.id));const f=JSON.stringify(l),w=(0,D.format)(f,void 0,{});return(0,a.applyEdits)(f,w)}async hasLocalData(){try{const l=await this.extensionManagementService.getInstalled();if(this.getLocalExtensions(l).some(w=>w.installed||w.disabled))return!0}catch(l){}return!1}async updateLocalExtensions(l,f,w,h){const O=[],_=[],$=await this.extensionManagementService.getInstalled();if(f.length){const V=$.filter(({identifier:z,isBuiltin:Y})=>!Y&&f.some(x=>(0,A.areSameExtensions)(z,x)));await i.Promises.settled(V.map(async z=>{this.logService.trace(`${this.syncResourceLogLabel}: Uninstalling local extension...`,z.identifier.id),await this.extensionManagementService.uninstall(z,{donotIncludePack:!0,donotCheckDependents:!0}),this.logService.info(`${this.syncResourceLogLabel}: Uninstalled local extension.`,z.identifier.id),O.push(z.identifier)}))}(l.length||w.length)&&await i.Promises.settled([...l,...w].map(async V=>{const z=$.find(x=>(0,A.areSameExtensions)(x.identifier,V.identifier));if(z&&z.isBuiltin){V.state&&z.manifest.version===V.version&&this.updateExtensionState(V.state,z.manifest.publisher,z.manifest.name,z.manifest.version),V.disabled?(this.logService.trace(`${this.syncResourceLogLabel}: Disabling extension...`,V.identifier.id),await this.extensionEnablementService.disableExtension(V.identifier),this.logService.info(`${this.syncResourceLogLabel}: Disabled extension`,V.identifier.id)):(this.logService.trace(`${this.syncResourceLogLabel}: Enabling extension...`,V.identifier.id),await this.extensionEnablementService.enableExtension(V.identifier),this.logService.info(`${this.syncResourceLogLabel}: Enabled extension`,V.identifier.id)),O.push(V.identifier);return}const Y=await this.extensionGalleryService.getCompatibleExtension(V.identifier);if(V.state&&(z?z.manifest.version===V.version:!!Y)){const x=z?z.manifest.publisher:Y.publisher,j=z?z.manifest.name:Y.name;this.updateExtensionState(V.state,x,j,z==null?void 0:z.manifest.version)}if(Y)try{V.disabled?(this.logService.trace(`${this.syncResourceLogLabel}: Disabling extension...`,V.identifier.id,Y.version),await this.extensionEnablementService.disableExtension(Y.identifier),this.logService.info(`${this.syncResourceLogLabel}: Disabled extension`,V.identifier.id,Y.version)):(this.logService.trace(`${this.syncResourceLogLabel}: Enabling extension...`,V.identifier.id,Y.version),await this.extensionEnablementService.enableExtension(Y.identifier),this.logService.info(`${this.syncResourceLogLabel}: Enabled extension`,V.identifier.id,Y.version)),z||(this.logService.trace(`${this.syncResourceLogLabel}: Installing extension...`,V.identifier.id,Y.version),await this.extensionManagementService.installFromGallery(Y,{isMachineScoped:!1,donotIncludePackAndDependencies:!0}),this.logService.info(`${this.syncResourceLogLabel}: Installed extension.`,V.identifier.id,Y.version),O.push(Y.identifier))}catch(x){_.push(V),this.logService.error(x),this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension`,Y.displayName||Y.identifier.id)}else _.push(V)}));const q=[];for(const V of h)O.some(z=>(0,A.areSameExtensions)(z,V.identifier))||q.push(V);for(const V of _)q.some(z=>(0,A.areSameExtensions)(z.identifier,V.identifier))||q.push(V);return q}updateExtensionState(l,f,w,h){const O=n(f,w,this.storageService),_=h?this.extensionsStorageSyncService.getKeysForSync({id:(0,A.getGalleryExtensionId)(f,w),version:h}):void 0;_?_.forEach($=>{O[$]=l[$]}):Object.keys(l).forEach($=>O[$]=l[$]),r(f,w,O,this.storageService)}parseExtensions(l){return JSON.parse(l.content)}getLocalExtensions(l){const f=this.extensionEnablementService.getDisabledExtensions();return l.map(({identifier:w,isBuiltin:h,manifest:O})=>{const _={identifier:w,version:O.version};f.some($=>(0,A.areSameExtensions)($,w))&&(_.disabled=!0),h||(_.installed=!0);try{const $=this.extensionsStorageSyncService.getKeysForSync({id:w.id,version:O.version});if($){const q=n(O.publisher,O.name,this.storageService);_.state=Object.keys(q).reduce((V,z)=>($.includes(z)&&(V[z]=q[z]),V),{})}}catch($){this.logService.info(`${this.syncResourceLogLabel}: Error while parsing extension state`,(0,m.getErrorMessage)($))}return _})}};u.EXTENSIONS_DATA_URI=E.URI.from({scheme:v.USER_DATA_SYNC_SCHEME,authority:"extensions",path:"/extensions.json"}),u=ue([K(0,U.IEnvironmentService),K(1,L.IFileService),K(2,b.IStorageService),K(3,v.IUserDataSyncStoreService),K(4,v.IUserDataSyncBackupStoreService),K(5,R.IExtensionManagementService),K(6,R.IGlobalExtensionEnablementService),K(7,y.IIgnoredExtensionsManagementService),K(8,v.IUserDataSyncLogService),K(9,R.IExtensionGalleryService),K(10,g.IConfigurationService),K(11,v.IUserDataSyncResourceEnablementService),K(12,d.ITelemetryService),K(13,o.IExtensionsStorageSyncService)],u),e.ExtensionsSynchroniser=u;let s=class extends I.AbstractInitializer{constructor(l,f,w,h,O,_,$,q){super("extensions",$,q,_);this.extensionManagementService=l,this.galleryService=f,this.extensionEnablementService=w,this.storageService=h,this.ignoredExtensionsManagementService=O}async doInitialize(l){const f=l.syncData?await t(l.syncData,this.extensionManagementService):null;if(!f){this.logService.info("Skipping initializing extensions because remote extensions does not exist.");return}await this.initializeRemoteExtensions(f)}async initializeRemoteExtensions(l){const f=[],w=await this.extensionManagementService.getInstalled(),h=new Map,O=[],_={names:[],uuids:[]},$=[];for(const q of l)if(!this.ignoredExtensionsManagementService.hasToNeverSyncExtension(q.identifier.id)){const V=w.find(z=>(0,A.areSameExtensions)(z.identifier,q.identifier));V?(O.push({syncExtension:q,installedExtension:V}),q.disabled&&$.push(q.identifier)):q.installed&&(h.set(q.identifier.id.toLowerCase(),q),q.identifier.uuid?_.uuids.push(q.identifier.uuid):_.names.push(q.identifier.id),q.disabled&&$.push(q.identifier))}for(const{syncExtension:q,installedExtension:V}of O)if(q.state){const z=n(V.manifest.publisher,V.manifest.name,this.storageService);Object.keys(q.state).forEach(Y=>z[Y]=q.state[Y]),r(V.manifest.publisher,V.manifest.name,z,this.storageService)}if($.length)for(const q of $)this.logService.trace("Disabling extension...",q.id),await this.extensionEnablementService.disableExtension(q),this.logService.info("Disabling extension",q.id);if(_.names.length||_.uuids.length){const q=(await this.galleryService.query({ids:_.uuids,names:_.names,pageSize:_.uuids.length+_.names.length},p.CancellationToken.None)).firstPage;for(const V of q)try{const z=h.get(V.identifier.id.toLowerCase());z.state&&r(V.publisher,V.name,z.state,this.storageService),this.logService.trace("Installing extension...",V.identifier.id);const Y=await this.extensionManagementService.installFromGallery(V,{isMachineScoped:!1});$.some(x=>(0,A.areSameExtensions)(x,V.identifier))||f.push(Y),this.logService.info("Installed extension.",V.identifier.id)}catch(z){this.logService.error(z)}}return f}};s=ue([K(0,R.IExtensionManagementService),K(1,R.IExtensionGalleryService),K(2,R.IGlobalExtensionEnablementService),K(3,b.IStorageService),K(4,y.IIgnoredExtensionsManagementService),K(5,L.IFileService),K(6,U.IEnvironmentService),K(7,v.IUserDataSyncLogService)],s),e.ExtensionsInitializer=s}),define(Z[183],ee([0,1,26,20]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=void 0;function U(L,g,S,I,d){if(!g)return{remote:Object.keys(L).length>0?L:null,local:{added:{},removed:[],updated:{}}};const E=R(L,g);if(E.added.size===0&&E.removed.size===0&&E.updated.size===0)return{remote:null,local:{added:{},removed:[],updated:{}}};const D=S?R(S,g):{added:Object.keys(g).reduce((y,m)=>(y.add(m),y),new Set),removed:new Set,updated:new Set},a=S?R(S,L):{added:Object.keys(L).reduce((y,m)=>(y.add(m),y),new Set),removed:new Set,updated:new Set},C={added:{},removed:[],updated:{}},b=v.deepClone(g),p=!S;for(const y of a.added.values())y!==k.SYNC_SERVICE_URL_TYPE&&p&&D.added.has(y)||(b[y]=L[y]);for(const y of a.updated.values())b[y]=L[y];for(const y of a.removed.values())I.unregistered.includes(y)||delete b[y];for(const y of D.added.values()){const m=g[y];if(I.machine.includes(y)){d.info(`GlobalState: Skipped adding ${y} in local storage because it is declared as machine scoped.`);continue}if(!(S&&a.added.has(y))){const o=L[y];o&&o.value===m.value||y===k.SYNC_SERVICE_URL_TYPE&&p&&a.added.has(y)||(o?C.updated[y]=m:C.added[y]=m)}}for(const y of D.updated.values()){const m=g[y];if(I.machine.includes(y)){d.info(`GlobalState: Skipped updating ${y} in local storage because it is declared as machine scoped.`);continue}if(!(a.updated.has(y)||a.removed.has(y))){const o=L[y];o&&o.value===m.value||(C.updated[y]=m)}}for(const y of D.removed.values()){if(I.machine.includes(y)){d.trace(`GlobalState: Skipped removing ${y} in local storage because it is declared as machine scoped.`);continue}a.updated.has(y)||a.removed.has(y)||C.removed.push(y)}return{local:C,remote:A(b,g)?null:b}}e.merge=U;function R(L,g){const S=Object.keys(L),I=Object.keys(g),d=I.filter(a=>S.indexOf(a)===-1).reduce((a,C)=>(a.add(C),a),new Set),E=S.filter(a=>I.indexOf(a)===-1).reduce((a,C)=>(a.add(C),a),new Set),D=new Set;for(const a of S)if(!E.has(a)){const C=L[a],b=g[a];v.equals(C,b)||D.add(a)}return{added:d,removed:E,updated:D}}function A(L,g){const{added:S,removed:I,updated:d}=R(L,g);return S.size===0&&I.size===0&&d.size===0}}),define(Z[184],ee([0,1,20,22,3,10,9,51,183,32,45,25,24,5,46,41,19,7,44,30,13]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b,p,y,m,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncStoreTypeSynchronizer=e.GlobalStateInitializer=e.GlobalStateSynchroniser=void 0;const i="globalState.argv.",t=["locale"];function n(l){const f=l.storage?Object.keys(l.storage).sort():[],w={};f.forEach(_=>w[_]=l.storage[_]),l.storage=w;const h=JSON.stringify(l),O=(0,a.format)(h,void 0,{});return(0,C.applyEdits)(h,O)}const r=1;let u=class st extends I.AbstractSynchroniser{constructor(f,w,h,O,_,$,q,V,z){super("globalState",f,_,z,w,h,$,q,O,V);this.environmentService=_,this.storageService=z,this.version=r,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"globalState.json"),this.localResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(f.watch(this.extUri.dirname(this.environmentService.argvResource))),this._register(U.Event.any(U.Event.filter(f.onDidFilesChange,Y=>Y.contains(this.environmentService.argvResource)),U.Event.filter(z.onDidChangeValue,Y=>Y.scope===0&&Y.target!==void 0?Y.target===0:z.keys(0,0).includes(Y.key)),this.storageService.onDidChangeTarget)(()=>this.triggerLocalChange()))}async generateSyncPreview(f,w,h){const O=f.syncData?JSON.parse(f.syncData.content):null,_=w&&w.syncData?JSON.parse(w.syncData.content):null,$=await this.getLocalGlobalState();O?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote ui state with local ui state...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote ui state does not exist. Synchronizing ui state for the first time.`);const q=this.getStorageKeys(_),{local:V,remote:z}=(0,g.merge)($.storage,O?O.storage:null,_?_.storage:null,q,this.logService),Y={content:null,local:V,remote:z,localChange:Object.keys(V.added).length>0||Object.keys(V.updated).length>0||V.removed.length>0?2:0,remoteChange:z!==null?2:0};return[{localResource:this.localResource,localContent:n($),localUserData:$,remoteResource:this.remoteResource,remoteContent:O?n(O):null,previewResource:this.previewResource,previewResult:Y,localChange:Y.localChange,remoteChange:Y.remoteChange,acceptedResource:this.acceptedResource,storageKeys:q}]}async getMergeResult(f,w){return Object.assign(Object.assign({},f.previewResult),{hasConflicts:!1})}async getAcceptResult(f,w,h,O){if(this.extUri.isEqual(w,this.localResource))return this.acceptLocal(f);if(this.extUri.isEqual(w,this.remoteResource))return this.acceptRemote(f);if(this.extUri.isEqual(w,this.previewResource))return f.previewResult;throw new Error(`Invalid Resource: ${w.toString()}`)}async acceptLocal(f){return{content:f.localContent,local:{added:{},removed:[],updated:{}},remote:f.localUserData.storage,localChange:0,remoteChange:2}}async acceptRemote(f){if(f.remoteContent!==null){const w=JSON.parse(f.remoteContent),{local:h,remote:O}=(0,g.merge)(f.localUserData.storage,w.storage,null,f.storageKeys,this.logService);return{content:f.remoteContent,local:h,remote:O,localChange:Object.keys(h.added).length>0||Object.keys(h.updated).length>0||h.removed.length>0?2:0,remoteChange:O!==null?2:0}}else return{content:f.remoteContent,local:{added:{},removed:[],updated:{}},remote:null,localChange:0,remoteChange:0}}async applyResult(f,w,h,O){let{localUserData:_}=h[0][0],{local:$,remote:q,localChange:V,remoteChange:z}=h[0][1];if(V===0&&z===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing ui state.`),V!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local ui state...`),await this.backupLocal(JSON.stringify(_)),await this.writeLocalGlobalState($),this.logService.info(`${this.syncResourceLogLabel}: Updated local ui state`)),z!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote ui state...`);const Y=JSON.stringify({storage:q});f=await this.updateRemoteUserData(Y,O?null:f.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote ui state`)}(w==null?void 0:w.ref)!==f.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized ui state...`),await this.updateLastSyncUserData(f),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized ui state`))}async getAssociatedResources({uri:f}){return[{resource:this.extUri.joinPath(f,"globalState.json"),comparableResource:st.GLOBAL_STATE_DATA_URI}]}async resolveContent(f){if(this.extUri.isEqual(f,st.GLOBAL_STATE_DATA_URI)){const h=await this.getLocalGlobalState();return n(h)}if(this.extUri.isEqual(this.remoteResource,f)||this.extUri.isEqual(this.localResource,f)||this.extUri.isEqual(this.acceptedResource,f))return this.resolvePreviewContent(f);let w=await super.resolveContent(f);if(w)return w;if(w=await super.resolveContent(this.extUri.dirname(f)),w){const h=this.parseSyncData(w);if(h)switch(this.extUri.basename(f)){case"globalState.json":return n(JSON.parse(h.content))}}return null}async hasLocalData(){var f;try{const{storage:w}=await this.getLocalGlobalState();if(Object.keys(w).length>1||((f=w[`${i}.locale`])===null||f===void 0?void 0:f.value)!=="en")return!0}catch(w){}return!1}async getLocalGlobalState(){const f={},w=await this.getLocalArgvContent(),h=(0,S.parse)(w);for(const O of t)h[O]!==void 0&&(f[`${i}${O}`]={version:1,value:h[O]});for(const O of this.storageService.keys(0,0)){const _=this.storageService.get(O,0);_&&(f[O]={version:1,value:_})}return{storage:f}}async getLocalArgvContent(){try{return(await this.fileService.readFile(this.environmentService.argvResource)).value.toString()}catch(f){}return"{}"}async writeLocalGlobalState({added:f,removed:w,updated:h}){const O={},_={},$=(V,z)=>{for(const Y of V){if(Y.startsWith(i)){O[Y.substring(i.length)]=z?z[Y].value:void 0;continue}if(z){const x=z[Y];x.value!==String(this.storageService.get(Y,0))&&(_[Y]=x.value)}else this.storageService.get(Y,0)!==void 0&&(_[Y]=void 0)}};if($(Object.keys(f),f),$(Object.keys(h),h),$(w),Object.keys(O).length&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating locale...`),await this.updateArgv(O),this.logService.info(`${this.syncResourceLogLabel}: Updated locale`)),Object.keys(_).length){this.logService.trace(`${this.syncResourceLogLabel}: Updating global state...`);for(const V of Object.keys(_))this.storageService.store(V,_[V],0,0);this.logService.info(`${this.syncResourceLogLabel}: Updated global state`,Object.keys(_))}}async updateArgv(f){const w=await this.getLocalArgvContent();let h=w;for(const O of Object.keys(f))h=(0,L.edit)(h,[O],f[O],{});w!==h&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating locale...`),await this.fileService.writeFile(this.environmentService.argvResource,k.VSBuffer.fromString(h)),this.logService.info(`${this.syncResourceLogLabel}: Updated locale.`))}getStorageKeys(f){const w=this.storageService.keys(0,0),h=this.storageService.keys(0,1),O=[...w,...h],_=(f==null?void 0:f.storage)?Object.keys(f.storage).filter($=>!$.startsWith(i)&&!O.includes($)&&this.storageService.get($,0)!==void 0):[];if(!p.isWeb){const $=[...v.ALL_SYNC_RESOURCES.map(q=>(0,v.getEnablementKey)(q)),v.SYNC_SERVICE_URL_TYPE];_.push(...$),h.push(...$)}return{user:w,machine:h,unregistered:_}}};u.GLOBAL_STATE_DATA_URI=D.URI.from({scheme:v.USER_DATA_SYNC_SCHEME,authority:"globalState",path:"/globalState.json"}),u=ue([K(0,A.IFileService),K(1,v.IUserDataSyncStoreService),K(2,v.IUserDataSyncBackupStoreService),K(3,v.IUserDataSyncLogService),K(4,R.IEnvironmentService),K(5,v.IUserDataSyncResourceEnablementService),K(6,d.ITelemetryService),K(7,E.IConfigurationService),K(8,b.IStorageService)],u),e.GlobalStateSynchroniser=u;let s=class extends I.AbstractInitializer{constructor(f,w,h,O){super("globalState",h,O,w);this.storageService=f}async doInitialize(f){const w=f.syncData?JSON.parse(f.syncData.content):null;if(!w){this.logService.info("Skipping initializing global state because remote global state does not exist.");return}const h={},O={};for(const _ of Object.keys(w.storage))_.startsWith(i)?h[_.substring(i.length)]=w.storage[_].value:this.storageService.get(_,0)===void 0&&(O[_]=w.storage[_].value);if(Object.keys(h).length){let _="{}";try{_=(await this.fileService.readFile(this.environmentService.argvResource)).value.toString()}catch($){}for(const $ of Object.keys(h))_=(0,L.edit)(_,[$],h[$],{});await this.fileService.writeFile(this.environmentService.argvResource,k.VSBuffer.fromString(_))}if(Object.keys(O).length)for(const _ of Object.keys(O))this.storageService.store(_,O[_],0,0)}};s=ue([K(0,b.IStorageService),K(1,A.IFileService),K(2,R.IEnvironmentService),K(3,v.IUserDataSyncLogService)],s),e.GlobalStateInitializer=s;let c=class{constructor(f,w,h,O,_){this.userDataSyncStoreClient=f,this.storageService=w,this.environmentService=h,this.fileService=O,this.logService=_}getSyncStoreType(f){var w;const h=this.parseGlobalState(f);return(w=h==null?void 0:h.storage[v.SYNC_SERVICE_URL_TYPE])===null||w===void 0?void 0:w.value}async sync(f){const w=(0,v.createSyncHeaders)((0,m.generateUuid)());try{return await this.doSync(f,w)}catch(h){if(h instanceof v.UserDataSyncError)switch(h.code){case v.UserDataSyncErrorCode.PreconditionFailed:return this.logService.info("Failed to synchronize UserDataSyncStoreType as there is a new remote version available. Synchronizing again..."),this.doSync(f,w)}throw h}}async doSync(f,w){const h=await this.userDataSyncStoreClient.read("globalState",null,w),O=this.parseGlobalState(h)||{storage:{}};O.storage[v.SYNC_SERVICE_URL_TYPE]={value:f,version:r};const _=await(0,y.getServiceMachineId)(this.environmentService,this.fileService,this.storageService),$={version:r,machineId:_,content:n(O)};await this.userDataSyncStoreClient.write("globalState",JSON.stringify($),h.ref,w)}parseGlobalState({content:f}){if(!f)return null;const w=JSON.parse(f);if((0,I.isSyncData)(w))return w?JSON.parse(w.content):null;throw new Error("Invalid remote data")}};c=ue([K(1,b.IStorageService),K(2,R.IEnvironmentService),K(3,A.IFileService),K(4,o.ILogService)],c),e.UserDataSyncStoreTypeSynchronizer=c}),define(Z[185],ee([0,1,9,20,180,32,122,10,24,7,17,18,45,25,19,22,3]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeybindingsInitializer=e.KeybindingsSynchroniser=e.getKeybindingsContentFromSyncContent=void 0;function p(o,i){const t=JSON.parse(o);if(!i)return(0,I.isUndefined)(t.all)?null:t.all;switch(S.OS){case 2:return(0,I.isUndefined)(t.mac)?null:t.mac;case 3:return(0,I.isUndefined)(t.linux)?null:t.linux;case 1:return(0,I.isUndefined)(t.windows)?null:t.windows}}e.getKeybindingsContentFromSyncContent=p;let y=class extends E.AbstractJsonFileSynchroniser{constructor(i,t,n,r,u,s,c,l,f,w){super(c.keybindingsResource,"keybindings",s,c,l,i,t,u,w,n,f,r);this.version=2,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"keybindings.json"),this.localResource=this.previewResource.with({scheme:k.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:k.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:k.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(b.Event.filter(r.onDidChangeConfiguration,h=>h.affectsConfiguration("settingsSync.keybindingsPerPlatform"))(()=>this.triggerLocalChange()))}async generateSyncPreview(i,t,n){const r=i.syncData?this.getKeybindingsContentFromSyncContent(i.syncData.content):null,u=t?this.getKeybindingsContentFromLastSyncUserData(t):null,s=await this.getLocalFileContent(),c=await this.getFormattingOptions();let l=null,f=!1,w=!1,h=!1;if(r){let _=s?s.value.toString():"[]";if(_=_||"[]",this.hasErrors(_))throw new k.UserDataSyncError((0,A.localize)(0,null),k.UserDataSyncErrorCode.LocalInvalidContent,this.resource);if(!u||u!==_||u!==r){this.logService.trace(`${this.syncResourceLogLabel}: Merging remote keybindings with local keybindings...`);const $=await(0,U.merge)(_,r,u,c,this.userDataSyncUtilService);$.hasChanges&&(l=$.mergeContent,h=$.hasConflicts,f=h||$.mergeContent!==_,w=h||$.mergeContent!==r)}}else s&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote keybindings does not exist. Synchronizing keybindings for the first time.`),l=s.value.toString(),w=!0);const O={content:l,localChange:f?s?2:1:0,remoteChange:w?2:0,hasConflicts:h};return[{fileContent:s,localResource:this.localResource,localContent:s?s.value.toString():null,localChange:O.localChange,remoteResource:this.remoteResource,remoteContent:r,remoteChange:O.remoteChange,previewResource:this.previewResource,previewResult:O,acceptedResource:this.acceptedResource}]}async getMergeResult(i,t){return i.previewResult}async getAcceptResult(i,t,n,r){if(this.extUri.isEqual(t,this.localResource))return{content:i.fileContent?i.fileContent.value.toString():null,localChange:0,remoteChange:2};if(this.extUri.isEqual(t,this.remoteResource))return{content:i.remoteContent,localChange:2,remoteChange:0};if(this.extUri.isEqual(t,this.previewResource))return n===void 0?{content:i.previewResult.content,localChange:i.previewResult.localChange,remoteChange:i.previewResult.remoteChange}:{content:n,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${t.toString()}`)}async applyResult(i,t,n,r){var u;const{fileContent:s}=n[0][0];let{content:c,localChange:l,remoteChange:f}=n[0][1];if(l===0&&f===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing keybindings.`),c!==null&&(c=c.trim(),c=c||"[]",this.hasErrors(c)))throw new k.UserDataSyncError((0,A.localize)(1,null),k.UserDataSyncErrorCode.LocalInvalidContent,this.resource);if(l!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local keybindings...`),s&&await this.backupLocal(this.toSyncContent(s.value.toString())),await this.updateLocalFileContent(c||"[]",s,r),this.logService.info(`${this.syncResourceLogLabel}: Updated local keybindings`)),f!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote keybindings...`);const w=this.toSyncContent(c||"[]",(u=i.syncData)===null||u===void 0?void 0:u.content);i=await this.updateRemoteUserData(w,r?null:i.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote keybindings`)}try{await this.fileService.del(this.previewResource)}catch(w){}(t==null?void 0:t.ref)!==i.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized keybindings...`),await this.updateLastSyncUserData(i,{platformSpecific:this.syncKeybindingsPerPlatform()}),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized keybindings`))}async hasLocalData(){try{const i=await this.getLocalFileContent();if(i){const t=(0,R.parse)(i.value.toString());if((0,d.isNonEmptyArray)(t))return!0}}catch(i){if(i.fileOperationResult!==1)return!0}return!1}async getAssociatedResources({uri:i}){const t=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(i,"keybindings.json"),comparableResource:t}]}async resolveContent(i){if(this.extUri.isEqual(this.remoteResource,i)||this.extUri.isEqual(this.localResource,i)||this.extUri.isEqual(this.acceptedResource,i))return this.resolvePreviewContent(i);let t=await super.resolveContent(i);if(t)return t;if(t=await super.resolveContent(this.extUri.dirname(i)),t){const n=this.parseSyncData(t);if(n)switch(this.extUri.basename(i)){case"keybindings.json":return this.getKeybindingsContentFromSyncContent(n.content)}}return null}getKeybindingsContentFromLastSyncUserData(i){return!i.syncData||i.platformSpecific!==void 0&&i.platformSpecific!==this.syncKeybindingsPerPlatform()?null:this.getKeybindingsContentFromSyncContent(i.syncData.content)}getKeybindingsContentFromSyncContent(i){try{return p(i,this.syncKeybindingsPerPlatform())}catch(t){return this.logService.error(t),null}}toSyncContent(i,t){let n={};try{n=JSON.parse(t||"{}")}catch(r){this.logService.error(r)}switch(this.syncKeybindingsPerPlatform()?delete n.all:n.all=i,S.OS){case 2:n.mac=i;break;case 3:n.linux=i;break;case 1:n.windows=i;break}return JSON.stringify(n)}syncKeybindingsPerPlatform(){let i=this.configurationService.inspect("settingsSync.keybindingsPerPlatform").userValue;return i!==void 0||(i=this.configurationService.inspect("sync.keybindingsPerPlatform").userValue,i!==void 0)?i:this.configurationService.getValue("settingsSync.keybindingsPerPlatform")}};y=ue([K(0,k.IUserDataSyncStoreService),K(1,k.IUserDataSyncBackupStoreService),K(2,k.IUserDataSyncLogService),K(3,g.IConfigurationService),K(4,k.IUserDataSyncResourceEnablementService),K(5,v.IFileService),K(6,L.IEnvironmentService),K(7,a.IStorageService),K(8,k.IUserDataSyncUtilService),K(9,D.ITelemetryService)],y),e.KeybindingsSynchroniser=y;let m=class extends E.AbstractInitializer{constructor(i,t,n){super("keybindings",t,n,i)}async doInitialize(i){const t=i.syncData?this.getKeybindingsContentFromSyncContent(i.syncData.content):null;if(!t){this.logService.info("Skipping initializing keybindings because remote keybindings does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing keybindings because local keybindings exist.");return}await this.fileService.writeFile(this.environmentService.keybindingsResource,C.VSBuffer.fromString(t)),await this.updateLastSyncUserData(i)}async isEmpty(){try{const i=await this.fileService.readFile(this.environmentService.settingsResource),t=(0,R.parse)(i.value.toString());return!(0,d.isNonEmptyArray)(t)}catch(i){return i.fileOperationResult===1}}getKeybindingsContentFromSyncContent(i){try{return p(i,!0)}catch(t){return this.logService.error(t),null}}};m=ue([K(0,v.IFileService),K(1,L.IEnvironmentService),K(2,k.IUserDataSyncLogService)],m),e.KeybindingsInitializer=m}),define(Z[186],ee([0,1,26,32,41,46,51,20,18]),function(G,e,v,k,U,R,A,L,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.addSetting=e.isEmpty=e.areSame=e.merge=e.updateIgnoredSettings=e.getIgnoredSettings=void 0;function S(c,l,f){let w=[];f?w=d(f):w=I(l);const h=[],O=[...(0,L.getDisallowedIgnoredSettings)()];if(Array.isArray(w))for(const _ of w)_.startsWith("-")?O.push(_.substring(1)):h.push(_);return(0,g.distinct)([...c,...h].filter(_=>O.indexOf(_)===-1))}e.getIgnoredSettings=S;function I(c){let l=c.inspect("settingsSync.ignoredSettings").userValue;return l!==void 0||(l=c.inspect("sync.ignoredSettings").userValue,l!==void 0)?l:c.getValue("settingsSync.ignoredSettings")||[]}function d(c){const l=(0,k.parse)(c);return l?l["settingsSync.ignoredSettings"]||l["sync.ignoredSettings"]||[]:[]}function E(c,l,f,w){if(f.length){const h=s(l),O=(0,k.parse)(l),_=(0,k.parse)(c),$=[];for(const q of f){const V=O[q],z=_[q];V===void 0?c=A.edit(c,[q],void 0,w):z!==void 0?c=A.edit(c,[q],V,w):$.push(i(q,h))}$.sort((q,V)=>q.startOffset-V.startOffset),$.forEach(q=>c=p(q.setting.key,l,c,w))}return c}e.updateIgnoredSettings=E;function D(c,l,f,w,h,O){const _=E(c,l,w,O),$=f!==_,q=f!==l;if(!$&&!q)return{conflictsSettings:[],localContent:null,remoteContent:null,hasConflicts:!1};if($&&!q)return{conflictsSettings:[],localContent:null,remoteContent:_,hasConflicts:!1};if(q&&!$)return{conflictsSettings:[],localContent:E(l,c,w,O),remoteContent:null,hasConflicts:!1};if(f===null&&C(c)){const se=a(c,l,w)?null:E(l,c,w,O);return{conflictsSettings:[],localContent:se,remoteContent:null,hasConflicts:!1}}let V=c,z=l;const Y=(0,k.parse)(c),x=(0,k.parse)(l),j=f?(0,k.parse)(f):null,F=w.reduce((se,ce)=>(se.add(ce),se),new Set),P=b(Y,x,F),T=b(j,Y,F),M=b(j,x,F),N=new Map,W=new Set,H=se=>{W.add(se);const ce=h.filter(({key:he})=>he===se)[0];ce?(V=A.edit(V,[se],ce.value,O),z=A.edit(z,[se],ce.value,O)):N.set(se,{key:se,localValue:Y[se],remoteValue:x[se]})};for(const se of T.removed.values())M.updated.has(se)?H(se):z=A.edit(z,[se],void 0,O);for(const se of M.removed.values())W.has(se)||(T.updated.has(se)?H(se):V=A.edit(V,[se],void 0,O));for(const se of T.updated.values())W.has(se)||(M.updated.has(se)?P.updated.has(se)&&H(se):z=A.edit(z,[se],Y[se],O));for(const se of M.updated.values())W.has(se)||(T.updated.has(se)?P.updated.has(se)&&H(se):V=A.edit(V,[se],x[se],O));for(const se of T.added.values())W.has(se)||(M.added.has(se)?P.updated.has(se)&&H(se):z=p(se,V,z,O));for(const se of M.added.values())W.has(se)||(T.added.has(se)?P.updated.has(se)&&H(se):V=p(se,z,V,O));const Q=N.size>0||!a(V,z,w),X=Q||!a(V,c,[]),ie=Q||!a(z,l,[]);return{localContent:X?V:null,remoteContent:ie?z:null,conflictsSettings:[...N.values()],hasConflicts:Q}}e.merge=D;function a(c,l,f){if(c===l)return!0;const w=(0,k.parse)(c),h=(0,k.parse)(l),O=f.reduce((q,V)=>(q.add(V),q),new Set),_=s(c).filter(q=>!(q.setting&&O.has(q.setting.key))),$=s(l).filter(q=>!(q.setting&&O.has(q.setting.key)));if(_.length!==$.length)return!1;for(let q=0;q<_.length;q++){const V=_[q],z=$[q];if(V.setting&&z.setting){if(V.setting.key!==z.setting.key||!v.equals(w[V.setting.key],h[V.setting.key]))return!1}else if(!V.setting&&!z.setting){if(V.value!==z.value)return!1}else return!1}return!0}e.areSame=a;function C(c){return c?s(c).length===0:!0}e.isEmpty=C;function b(c,l,f){const w=c?Object.keys(c).filter(q=>!f.has(q)):[],h=Object.keys(l).filter(q=>!f.has(q)),O=h.filter(q=>w.indexOf(q)===-1).reduce((q,V)=>(q.add(V),q),new Set),_=w.filter(q=>h.indexOf(q)===-1).reduce((q,V)=>(q.add(V),q),new Set),$=new Set;if(c){for(const q of w)if(!_.has(q)){const V=c[q],z=l[q];v.equals(V,z)||$.add(q)}}return{added:O,removed:_,updated:$}}function p(c,l,f,w){const h=(0,k.parse)(l),O=s(l),_=s(f),$=y(c,O,_);return m(f,c,h[c],$,_,w)}e.addSetting=p;function y(c,l,f){const w=l.findIndex(O=>{var _;return((_=O.setting)===null||_===void 0?void 0:_.key)===c}),h=l[w-1];if(h){if(h.setting){const _=i(h.setting.key,f);if(_)return{index:f.indexOf(_),insertAfter:!0}}else{const _=t(w,l);if(_){const $=i(_.setting.key,f);if($){const q=n(f.indexOf($),f),V=r(l,_,l[w]);if(q){const z=r(f,$,q),Y=u(V,z);return Y?{index:f.indexOf(Y),insertAfter:!0}:{index:f.indexOf(q),insertAfter:!1}}else{const z=r(f,$,f[f.length-1]),Y=u(V,z);return Y?{index:f.indexOf(Y),insertAfter:!0}:{index:f.length-1,insertAfter:!0}}}}}const O=l[w+1];if(O)if(O.setting){const _=i(O.setting.key,f);if(_)return{index:f.indexOf(_),insertAfter:!1}}else{const _=n(w,l);if(_){const $=i(_.setting.key,f);if($){const q=t(f.indexOf($),f),V=r(l,l[w],_);if(q){const z=r(f,q,$),Y=u(V.reverse(),z.reverse());return Y?{index:f.indexOf(Y),insertAfter:!1}:{index:f.indexOf(q),insertAfter:!0}}else{const z=r(f,f[0],$),Y=u(V.reverse(),z.reverse());return Y?{index:f.indexOf(Y),insertAfter:!1}:{index:0,insertAfter:!1}}}}}}return{index:f.length-1,insertAfter:!0}}function m(c,l,f,w,h,O){let _;return w.index===-1?_=(0,U.setProperty)(c,[l],f,O):_=o(c,l,f,w,h,O).map($=>(0,U.withFormatting)(c,$,O)[0]),(0,U.applyEdits)(c,_)}function o(c,l,f,w,h,O){var _;const $=`${JSON.stringify(l)}: ${JSON.stringify(f)}`,q=(0,R.getEOL)(O,c),V=h[w.index];if(w.insertAfter){const z=[];if(V.setting)z.push({offset:V.endOffset,length:0,content:","+$});else{const Y=n(w.index,h),x=t(w.index,h),j=(_=x==null?void 0:x.setting)===null||_===void 0?void 0:_.commaOffset;x&&j===void 0&&z.push({offset:x.endOffset,length:0,content:","});const F=j!==void 0&&j>V.endOffset;z.push({offset:F?j+1:V.endOffset,length:0,content:Y?q+$+",":q+$})}return z}else{if(V.setting)return[{offset:V.startOffset,length:0,content:$+","}];const z=(h[w.index-1]&&!h[w.index-1].setting?q:"")+$+(n(w.index,h)?",":"")+q;return[{offset:V.startOffset,length:0,content:z}]}}function i(c,l){return l.filter(f=>{var w;return((w=f.setting)===null||w===void 0?void 0:w.key)===c})[0]}function t(c,l){for(let f=c-1;f>=0;f--)if(l[f].setting)return l[f]}function n(c,l){for(let f=c+1;f<l.length;f++)if(l[f].setting)return l[f]}function r(c,l,f){const w=c.indexOf(l),h=c.indexOf(f);return c.filter((O,_)=>w<_&&_<h)}function u(c,l){if(c.length&&l.length){let f=0;for(;f<l.length&&f<c.length;f++)if(c[f].value!==l[f].value)return l[f-1];return l[f-1]}}function s(c){const l=[];let f=-1,w,h;const O={onObjectBegin:_=>{f++},onObjectProperty:(_,$,q)=>{f===0&&(w=$,h=_)},onObjectEnd:(_,$)=>{f--,f===0&&l.push({startOffset:w,endOffset:_+$,value:c.substring(w,_+$),setting:{key:h,commaOffset:void 0}})},onArrayBegin:(_,$)=>{f++},onArrayEnd:(_,$)=>{f--,f===0&&l.push({startOffset:w,endOffset:_+$,value:c.substring(w,_+$),setting:{key:h,commaOffset:void 0}})},onLiteralValue:(_,$,q)=>{f===0&&l.push({startOffset:w,endOffset:$+q,value:c.substring(w,$+q),setting:{key:h,commaOffset:void 0}})},onSeparator:(_,$,q)=>{if(f===0&&_===","){let V=l.length-1;for(;V>=0&&!l[V].setting;V--);const z=l[V];z&&l.splice(V,1,{startOffset:z.startOffset,endOffset:z.endOffset,value:z.value,setting:{key:z.setting.key,commaOffset:$}})}},onComment:(_,$)=>{f===0&&l.push({startOffset:_,endOffset:_+$,value:c.substring(_,_+$)})}};return(0,k.visit)(c,O),l}}),define(Z[187],ee([0,1,9,20,22,123,3,10,24,186,51,45,25,28,19,41]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SettingsInitializer=e.SettingsSynchroniser=e.parseSettingsSyncContent=void 0;function b(i){return i&&i.settings&&typeof i.settings=="string"&&Object.keys(i).length===1}function p(i){const t=JSON.parse(i);return b(t)?t:{settings:i}}e.parseSettingsSyncContent=p;let y=class extends d.AbstractJsonFileSynchroniser{constructor(t,n,r,u,s,c,l,f,w,h,O){super(n.settingsResource,"settings",t,n,r,u,s,w,h,c,l,f);this.extensionManagementService=O,this.version=2,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"settings.json"),this.localResource=this.previewResource.with({scheme:k.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:k.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:k.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._defaultIgnoredSettings=void 0}async generateSyncPreview(t,n,r){const u=await this.getLocalFileContent(),s=await this.getFormattingOptions(),c=this.getSettingsSyncContent(t),l=n?this.getSettingsSyncContent(n):null,f=await this.getIgnoredSettings();let w=null,h=!1,O=!1,_=!1;if(c){let q=u?u.value.toString().trim():"{}";q=q||"{}",this.validateContent(q),this.logService.trace(`${this.syncResourceLogLabel}: Merging remote settings with local settings...`);const V=(0,S.merge)(q,c.settings,l?l.settings:null,f,[],s);w=V.localContent||V.remoteContent,h=V.localContent!==null,O=V.remoteContent!==null,_=V.hasConflicts}else u&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote settings does not exist. Synchronizing settings for the first time.`),w=u.value.toString(),O=!0);const $={content:w,localChange:h?2:0,remoteChange:O?2:0,hasConflicts:_};return[{fileContent:u,localResource:this.localResource,localContent:u?u.value.toString():null,localChange:$.localChange,remoteResource:this.remoteResource,remoteContent:c?c.settings:null,remoteChange:$.remoteChange,previewResource:this.previewResource,previewResult:$,acceptedResource:this.acceptedResource}]}async getMergeResult(t,n){const r=await this.getFormattingOptions(),u=await this.getIgnoredSettings();return Object.assign(Object.assign({},t.previewResult),{content:t.previewResult.content?(0,S.updateIgnoredSettings)(t.previewResult.content,"{}",u,r):null})}async getAcceptResult(t,n,r,u){const s=await this.getFormattingOptions(),c=await this.getIgnoredSettings();if(this.extUri.isEqual(n,this.localResource))return{content:t.fileContent?(0,S.updateIgnoredSettings)(t.fileContent.value.toString(),"{}",c,s):null,localChange:0,remoteChange:2};if(this.extUri.isEqual(n,this.remoteResource))return{content:t.remoteContent!==null?(0,S.updateIgnoredSettings)(t.remoteContent,t.fileContent?t.fileContent.value.toString():"{}",c,s):null,localChange:2,remoteChange:0};if(this.extUri.isEqual(n,this.previewResource))return r===void 0?{content:t.previewResult.content,localChange:t.previewResult.localChange,remoteChange:t.previewResult.remoteChange}:{content:r!==null?(0,S.updateIgnoredSettings)(r,t.fileContent?t.fileContent.value.toString():"{}",c,s):null,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${n.toString()}`)}async applyResult(t,n,r,u){const{fileContent:s}=r[0][0];let{content:c,localChange:l,remoteChange:f}=r[0][1];if(l===0&&f===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing settings.`),c=c?c.trim():"{}",c=c||"{}",this.validateContent(c),l!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local settings...`),s&&await this.backupLocal(JSON.stringify(this.toSettingsSyncContent(s.value.toString()))),await this.updateLocalFileContent(c,s,u),await this.configurationService.reloadConfiguration(2),this.logService.info(`${this.syncResourceLogLabel}: Updated local settings`)),f!==0){const w=await this.getFormattingOptions(),h=this.getSettingsSyncContent(t),O=await this.getIgnoredSettings(c);c=(0,S.updateIgnoredSettings)(c,h?h.settings:"{}",O,w),this.logService.trace(`${this.syncResourceLogLabel}: Updating remote settings...`),t=await this.updateRemoteUserData(JSON.stringify(this.toSettingsSyncContent(c)),u?null:t.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote settings`)}try{await this.fileService.del(this.previewResource)}catch(w){}(n==null?void 0:n.ref)!==t.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized settings...`),await this.updateLastSyncUserData(t),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized settings`))}async hasLocalData(){try{const t=await this.getLocalFileContent();if(t){const n=await this.getFormattingOptions(),r=(0,I.edit)(t.value.toString(),[k.CONFIGURATION_SYNC_STORE_KEY],void 0,n);return!(0,S.isEmpty)(r)}}catch(t){if(t.fileOperationResult!==1)return!0}return!1}async getAssociatedResources({uri:t}){const n=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(t,"settings.json"),comparableResource:n}]}async resolveContent(t){if(this.extUri.isEqual(this.remoteResource,t)||this.extUri.isEqual(this.localResource,t)||this.extUri.isEqual(this.acceptedResource,t))return this.resolvePreviewContent(t);let n=await super.resolveContent(t);if(n)return n;if(n=await super.resolveContent(this.extUri.dirname(t)),n){const r=this.parseSyncData(n);if(r){const u=this.parseSettingsSyncContent(r.content);if(u)switch(this.extUri.basename(t)){case"settings.json":return u.settings}}}return null}async resolvePreviewContent(t){let n=await super.resolvePreviewContent(t);if(n){const r=await this.getFormattingOptions(),u=await this.getIgnoredSettings();n=(0,S.updateIgnoredSettings)(n,"{}",u,r)}return n}getSettingsSyncContent(t){return t.syncData?this.parseSettingsSyncContent(t.syncData.content):null}parseSettingsSyncContent(t){try{return p(t)}catch(n){this.logService.error(n)}return null}toSettingsSyncContent(t){return{settings:t}}async getIgnoredSettings(t){if(!this._defaultIgnoredSettings){this._defaultIgnoredSettings=this.userDataSyncUtilService.resolveDefaultIgnoredSettings();const r=A.Event.any(A.Event.filter(this.extensionManagementService.onDidInstallExtension,u=>!!u.gallery),A.Event.filter(this.extensionManagementService.onDidUninstallExtension,u=>!u.error))(()=>{r.dispose(),this._defaultIgnoredSettings=void 0})}const n=await this._defaultIgnoredSettings;return(0,S.getIgnoredSettings)(n,this.configurationService,t)}validateContent(t){if(this.hasErrors(t))throw new k.UserDataSyncError((0,R.localize)(0,null),k.UserDataSyncErrorCode.LocalInvalidContent,this.resource)}async recoverSettings(){try{const t=await this.getLocalFileContent();if(!t)return;const n=JSON.parse(t.value.toString());if(!o(n))return;this.telemetryService.publicLog2("sync/settingsCorrupted");const r=this.parseSettingsSyncContent(n.content);if(!r||!r.settings)return;let u=r.settings;const s=await this.getFormattingOptions();for(const c in n)if(["version","content","machineId"].indexOf(c)===-1&&n[c]!==void 0){const l=(0,C.setProperty)(u,[c],n[c],s);l.length&&(u=(0,C.applyEdits)(u,l))}await this.fileService.writeFile(this.file,U.VSBuffer.fromString(u))}catch(t){}}};y=ue([K(0,v.IFileService),K(1,L.IEnvironmentService),K(2,a.IStorageService),K(3,k.IUserDataSyncStoreService),K(4,k.IUserDataSyncBackupStoreService),K(5,k.IUserDataSyncLogService),K(6,k.IUserDataSyncUtilService),K(7,g.IConfigurationService),K(8,k.IUserDataSyncResourceEnablementService),K(9,E.ITelemetryService),K(10,D.IExtensionManagementService)],y),e.SettingsSynchroniser=y;let m=class extends d.AbstractInitializer{constructor(t,n,r){super("settings",n,r,t)}async doInitialize(t){const n=t.syncData?this.parseSettingsSyncContent(t.syncData.content):null;if(!n){this.logService.info("Skipping initializing settings because remote settings does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing settings because local settings exist.");return}await this.fileService.writeFile(this.environmentService.settingsResource,U.VSBuffer.fromString(n.settings)),await this.updateLastSyncUserData(t)}async isEmpty(){try{const t=await this.fileService.readFile(this.environmentService.settingsResource);return(0,S.isEmpty)(t.value.toString().trim())}catch(t){return t.fileOperationResult===1}}parseSettingsSyncContent(t){try{return p(t)}catch(n){this.logService.error(n)}return null}};m=ue([K(0,v.IFileService),K(1,L.IEnvironmentService),K(2,k.IUserDataSyncLogService)],m),e.SettingsInitializer=m;function o(i){return!!(i&&i.version!==void 0&&typeof i.version=="number"&&i.content!==void 0&&typeof i.content=="string"&&i.machineId!==void 0&&typeof i.machineId=="string")}}),define(Z[188],ee([0,1,20,10,9,24,45,25,22,181,19,26,3]),function(G,e,v,k,U,R,A,L,g,S,I,d,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnippetsInitializer=e.SnippetsSynchroniser=void 0;let D=class extends A.AbstractSynchroniser{constructor(b,p,y,m,o,i,t,n,r){super("snippets",p,b,y,m,o,n,r,i,t);this.version=1,this.snippetsFolder=b.snippetsHome,this._register(this.fileService.watch(b.userRoamingDataHome)),this._register(this.fileService.watch(this.snippetsFolder)),this._register(E.Event.filter(this.fileService.onDidFilesChange,u=>u.affects(this.snippetsFolder))(()=>this.triggerLocalChange()))}async generateSyncPreview(b,p,y){const m=await this.getSnippetsFileContents(),o=this.toSnippetsContents(m),i=b.syncData?this.parseSnippets(b.syncData):null,t=p&&p.syncData?this.parseSnippets(p.syncData):null;i?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote snippets with local snippets...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote snippets does not exist. Synchronizing snippets for the first time.`);const n=(0,S.merge)(o,i,t);return this.getResourcePreviews(n,m,i||{})}async getMergeResult(b,p){return b.previewResult}async getAcceptResult(b,p,y,m){if(this.extUri.isEqualOrParent(p,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"})))return{content:b.fileContent?b.fileContent.value.toString():null,localChange:0,remoteChange:b.fileContent?b.remoteContent!==null?2:1:3};if(this.extUri.isEqualOrParent(p,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"})))return{content:b.remoteContent,localChange:b.remoteContent!==null?b.fileContent?2:1:3,remoteChange:0};if(this.extUri.isEqualOrParent(p,this.syncPreviewFolder))return y===void 0?{content:b.previewResult.content,localChange:b.previewResult.localChange,remoteChange:b.previewResult.remoteChange}:{content:y,localChange:y===null?b.fileContent!==null?3:0:2,remoteChange:y===null?b.remoteContent!==null?3:0:2};throw new Error(`Invalid Resource: ${p.toString()}`)}async applyResult(b,p,y,m){const o=y.map(([i,t])=>Object.assign(Object.assign({},i),{acceptResult:t}));o.every(({localChange:i,remoteChange:t})=>i===0&&t===0)&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing snippets.`),o.some(({localChange:i})=>i!==0)&&(await this.updateLocalBackup(o),await this.updateLocalSnippets(o,m)),o.some(({remoteChange:i})=>i!==0)&&(b=await this.updateRemoteSnippets(o,b,m)),(p==null?void 0:p.ref)!==b.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized snippets...`),await this.updateLastSyncUserData(b),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized snippets`));for(const{previewResource:i}of o)try{await this.fileService.del(i)}catch(t){}}getResourcePreviews(b,p,y){const m=new Map;for(const o of Object.keys(b.local.added)){const i={content:b.local.added[o],hasConflicts:!1,localChange:1,remoteChange:0};m.set(o,{fileContent:null,localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),localContent:null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:y[o],previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const o of Object.keys(b.local.updated)){const i={content:b.local.updated[o],hasConflicts:!1,localChange:2,remoteChange:0};m.set(o,{localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:p[o],localContent:p[o].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:y[o],previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const o of b.local.removed){const i={content:null,hasConflicts:!1,localChange:3,remoteChange:0};m.set(o,{localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:p[o],localContent:p[o].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const o of Object.keys(b.remote.added)){const i={content:b.remote.added[o],hasConflicts:!1,localChange:0,remoteChange:1};m.set(o,{localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:p[o],localContent:p[o].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const o of Object.keys(b.remote.updated)){const i={content:b.remote.updated[o],hasConflicts:!1,localChange:0,remoteChange:2};m.set(o,{localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:p[o],localContent:p[o].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:y[o],previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const o of b.remote.removed){const i={content:null,hasConflicts:!1,localChange:0,remoteChange:3};m.set(o,{localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:null,localContent:null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:y[o],previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const o of b.conflicts){const i={content:p[o]?p[o].value.toString():null,hasConflicts:!0,localChange:p[o]?2:1,remoteChange:y[o]?2:1};m.set(o,{localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:p[o]||null,localContent:p[o]?p[o].value.toString():null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:y[o]||null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const o of Object.keys(p))if(!m.has(o)){const i={content:p[o]?p[o].value.toString():null,hasConflicts:!1,localChange:0,remoteChange:0};m.set(o,{localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:p[o]||null,localContent:p[o]?p[o].value.toString():null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:y[o]||null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}return[...m.values()]}async getAssociatedResources({uri:b}){let p=await super.resolveContent(b);if(p){const y=this.parseSyncData(p);if(y){const m=this.parseSnippets(y),o=[];for(const i of Object.keys(m)){const t=this.extUri.joinPath(b,i),n=this.extUri.joinPath(this.snippetsFolder,i),r=await this.fileService.exists(n);o.push({resource:t,comparableResource:r?n:this.extUri.joinPath(this.syncPreviewFolder,i).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"})})}return o}}return[]}async resolveContent(b){if(this.extUri.isEqualOrParent(b,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}))||this.extUri.isEqualOrParent(b,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}))||this.extUri.isEqualOrParent(b,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})))return this.resolvePreviewContent(b);let p=await super.resolveContent(b);if(p)return p;if(p=await super.resolveContent(this.extUri.dirname(b)),p){const y=this.parseSyncData(p);if(y)return this.parseSnippets(y)[this.extUri.basename(b)]||null}return null}async hasLocalData(){try{const b=await this.getSnippetsFileContents();if(Object.keys(b).length)return!0}catch(b){}return!1}async updateLocalBackup(b){const p={};for(const y of b)y.fileContent&&(p[this.extUri.basename(y.localResource)]=y.fileContent);await this.backupLocal(JSON.stringify(this.toSnippetsContents(p)))}async updateLocalSnippets(b,p){for(const{fileContent:y,acceptResult:m,localResource:o,remoteResource:i,localChange:t}of b)if(t!==0){const n=i?this.extUri.basename(i):this.extUri.basename(o),r=this.extUri.joinPath(this.snippetsFolder,n);t===3?(this.logService.trace(`${this.syncResourceLogLabel}: Deleting snippet...`,this.extUri.basename(r)),await this.fileService.del(r),this.logService.info(`${this.syncResourceLogLabel}: Deleted snippet`,this.extUri.basename(r))):t===1?(this.logService.trace(`${this.syncResourceLogLabel}: Creating snippet...`,this.extUri.basename(r)),await this.fileService.createFile(r,g.VSBuffer.fromString(m.content),{overwrite:p}),this.logService.info(`${this.syncResourceLogLabel}: Created snippet`,this.extUri.basename(r))):(this.logService.trace(`${this.syncResourceLogLabel}: Updating snippet...`,this.extUri.basename(r)),await this.fileService.writeFile(r,g.VSBuffer.fromString(m.content),p?void 0:y),this.logService.info(`${this.syncResourceLogLabel}: Updated snippet`,this.extUri.basename(r)))}}async updateRemoteSnippets(b,p,y){const m=p.syncData?this.parseSnippets(p.syncData):{},o=(0,d.deepClone)(m);for(const{acceptResult:i,localResource:t,remoteResource:n,remoteChange:r}of b)if(r!==0){const u=t?this.extUri.basename(t):this.extUri.basename(n);r===3?delete o[u]:o[u]=i.content}return(0,S.areSame)(m,o)||(this.logService.trace(`${this.syncResourceLogLabel}: Updating remote snippets...`),p=await this.updateRemoteUserData(JSON.stringify(o),y?null:p.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote snippets`)),p}parseSnippets(b){return JSON.parse(b.content)}toSnippetsContents(b){const p={};for(const y of Object.keys(b))p[y]=b[y].value.toString();return p}async getSnippetsFileContents(){const b={};let p;try{p=await this.fileService.resolve(this.snippetsFolder)}catch(y){if(y instanceof U.FileOperationError&&y.fileOperationResult===1)return b;throw y}for(const y of p.children||[]){const m=y.resource,o=this.extUri.extname(m);if(o===".json"||o===".code-snippets"){const i=this.extUri.relativePath(this.snippetsFolder,m),t=await this.fileService.readFile(m);b[i]=t}}return b}};D=ue([K(0,k.IEnvironmentService),K(1,U.IFileService),K(2,I.IStorageService),K(3,v.IUserDataSyncStoreService),K(4,v.IUserDataSyncBackupStoreService),K(5,v.IUserDataSyncLogService),K(6,R.IConfigurationService),K(7,v.IUserDataSyncResourceEnablementService),K(8,L.ITelemetryService)],D),e.SnippetsSynchroniser=D;let a=class extends A.AbstractInitializer{constructor(b,p,y){super("snippets",p,y,b)}async doInitialize(b){const p=b.syncData?JSON.parse(b.syncData.content):null;if(!p){this.logService.info("Skipping initializing snippets because remote snippets does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing snippets because local snippets exist.");return}for(const m of Object.keys(p)){const o=p[m];if(o){const i=this.extUri.joinPath(this.environmentService.snippetsHome,m);await this.fileService.createFile(i,g.VSBuffer.fromString(o)),this.logService.info("Created snippet",this.extUri.basename(i))}}await this.updateLastSyncUserData(b)}async isEmpty(){var b;try{return!((b=(await this.fileService.resolve(this.environmentService.snippetsHome)).children)===null||b===void 0?void 0:b.length)}catch(p){return p.fileOperationResult===1}}};a=ue([K(0,U.IFileService),K(1,k.IEnvironmentService),K(2,v.IUserDataSyncLogService)],a),e.SnippetsInitializer=a}),define(Z[59],ee([0,1,4,3,2,20]),function(G,e,v,k,U,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncAccountService=e.IUserDataSyncAccountService=void 0,e.IUserDataSyncAccountService=(0,v.createDecorator)("IUserDataSyncAccountService");let A=class extends U.Disposable{constructor(g){super();this.userDataSyncStoreService=g,this._onDidChangeAccount=this._register(new k.Emitter),this.onDidChangeAccount=this._onDidChangeAccount.event,this._onTokenFailed=this._register(new k.Emitter),this.onTokenFailed=this._onTokenFailed.event,this.wasTokenFailed=!1,this._register(g.onTokenFailed(()=>{this.updateAccount(void 0),this._onTokenFailed.fire(this.wasTokenFailed),this.wasTokenFailed=!0})),this._register(g.onTokenSucceed(()=>this.wasTokenFailed=!1))}get account(){return this._account}async updateAccount(g){(g&&this._account?g.token!==this._account.token||g.authenticationProviderId!==this._account.authenticationProviderId:g!==this._account)&&(this._account=g,this._account&&this.userDataSyncStoreService.setAuthToken(this._account.token,this._account.authenticationProviderId),this._onDidChangeAccount.fire(g))}};A=ue([K(0,R.IUserDataSyncStoreService)],A),e.UserDataSyncAccountService=A}),define(Z[189],ee([0,1,2,20,16,24,9,10,54,22,6]),function(G,e,v,k,U,R,A,L,g,S,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncBackupStoreService=void 0;let d=class extends v.Disposable{constructor(D,a,C,b){super();this.environmentService=D,this.fileService=a,this.configurationService=C,this.logService=b,k.ALL_SYNC_RESOURCES.forEach(p=>this.cleanUpBackup(p))}async getAllRefs(D){const a=(0,U.joinPath)(this.environmentService.userDataSyncHome,D),C=await this.fileService.resolve(a);return C.children?C.children.filter(p=>p.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(p.name)).sort().reverse().map(p=>({ref:p.name,created:this.getCreationTime(p)})):[]}async resolveContent(D,a){if(!a){const C=await this.getAllRefs(D);C.length&&(a=C[C.length-1].ref)}if(a){const C=(0,U.joinPath)(this.environmentService.userDataSyncHome,D,a);return(await this.fileService.readFile(C)).value.toString()}return null}async backup(D,a){const C=(0,U.joinPath)(this.environmentService.userDataSyncHome,D),b=(0,U.joinPath)(C,`${(0,g.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}.json`);try{await this.fileService.writeFile(b,S.VSBuffer.fromString(a))}catch(p){this.logService.error(p)}try{this.cleanUpBackup(D)}catch(p){}}async cleanUpBackup(D){const a=(0,U.joinPath)(this.environmentService.userDataSyncHome,D);try{try{if(!await this.fileService.exists(a))return}catch(b){return}const C=await this.fileService.resolve(a);if(C.children){const b=C.children.filter(o=>o.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(o.name)).sort(),p=1e3*60*60*24*(this.configurationService.getValue("sync.localBackupDuration")||30);let y=b.filter(o=>Date.now()-this.getCreationTime(o)>p);const m=b.length-y.length;m<10&&(y=y.slice(10-m)),await I.Promises.settled(y.map(async o=>{this.logService.info("Deleting from backup",o.resource.path),await this.fileService.del(o.resource)}))}}catch(C){this.logService.error(C)}}getCreationTime(D){return D.ctime||new Date(parseInt(D.name.substring(0,4)),parseInt(D.name.substring(4,6))-1,parseInt(D.name.substring(6,8)),parseInt(D.name.substring(9,11)),parseInt(D.name.substring(11,13)),parseInt(D.name.substring(13,15))).getTime()}};d=ue([K(0,L.IEnvironmentService),K(1,A.IFileService),K(2,R.IConfigurationService),K(3,k.IUserDataSyncLogService)],d),e.UserDataSyncBackupStoreService=d}),define(Z[190],ee([0,1,5,2]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncStoreManagementServiceChannelClient=e.UserDataSyncStoreManagementServiceChannel=e.UserDataSyncAccountServiceChannel=e.UserDataSyncMachinesServiceChannel=e.UserDataSyncUtilServiceClient=e.UserDataSycnUtilServiceChannel=e.UserDataAutoSyncChannel=void 0;class U{constructor(E){this.service=E}listen(E,D){switch(D){case"onError":return this.service.onError}throw new Error(`Event not found: ${D}`)}call(E,D,a){switch(D){case"triggerSync":return this.service.triggerSync(a[0],a[1],a[2]);case"turnOn":return this.service.turnOn();case"turnOff":return this.service.turnOff(a[0])}throw new Error("Invalid call")}}e.UserDataAutoSyncChannel=U;class R{constructor(E){this.service=E}listen(E,D){throw new Error(`Event not found: ${D}`)}call(E,D,a){switch(D){case"resolveDefaultIgnoredSettings":return this.service.resolveDefaultIgnoredSettings();case"resolveUserKeybindings":return this.service.resolveUserBindings(a[0]);case"resolveFormattingOptions":return this.service.resolveFormattingOptions(v.URI.revive(a[0]))}throw new Error("Invalid call")}}e.UserDataSycnUtilServiceChannel=R;class A{constructor(E){this.channel=E}async resolveDefaultIgnoredSettings(){return this.channel.call("resolveDefaultIgnoredSettings")}async resolveUserBindings(E){return this.channel.call("resolveUserKeybindings",[E])}async resolveFormattingOptions(E){return this.channel.call("resolveFormattingOptions",[E])}}e.UserDataSyncUtilServiceClient=A;class L{constructor(E){this.service=E}listen(E,D){switch(D){case"onDidChange":return this.service.onDidChange}throw new Error(`Event not found: ${D}`)}async call(E,D,a){switch(D){case"getMachines":return this.service.getMachines();case"addCurrentMachine":return this.service.addCurrentMachine();case"removeCurrentMachine":return this.service.removeCurrentMachine();case"renameMachine":return this.service.renameMachine(a[0],a[1]);case"setEnablement":return this.service.setEnablement(a[0],a[1])}throw new Error("Invalid call")}}e.UserDataSyncMachinesServiceChannel=L;class g{constructor(E){this.service=E}listen(E,D){switch(D){case"onDidChangeAccount":return this.service.onDidChangeAccount;case"onTokenFailed":return this.service.onTokenFailed}throw new Error(`Event not found: ${D}`)}call(E,D,a){switch(D){case"_getInitialData":return Promise.resolve(this.service.account);case"updateAccount":return this.service.updateAccount(a)}throw new Error("Invalid call")}}e.UserDataSyncAccountServiceChannel=g;class S{constructor(E){this.service=E}listen(E,D){switch(D){case"onDidChangeUserDataSyncStore":return this.service.onDidChangeUserDataSyncStore}throw new Error(`Event not found: ${D}`)}call(E,D,a){switch(D){case"switch":return this.service.switch(a[0]);case"getPreviousUserDataSyncStore":return this.service.getPreviousUserDataSyncStore()}throw new Error("Invalid call")}}e.UserDataSyncStoreManagementServiceChannel=S;class I extends k.Disposable{constructor(E){super();this.channel=E,this.onDidChangeUserDataSyncStore=this.channel.listen("onDidChangeUserDataSyncStore")}async switch(E){return this.channel.call("switch",[E])}async getPreviousUserDataSyncStore(){const E=await this.channel.call("getPreviousUserDataSyncStore");return this.revive(E)}revive(E){return{url:v.URI.revive(E.url),type:E.type,defaultUrl:v.URI.revive(E.defaultUrl),insidersUrl:v.URI.revive(E.insidersUrl),stableUrl:v.URI.revive(E.stableUrl),canSwitch:E.canSwitch,authenticationProviders:E.authenticationProviders}}}e.UserDataSyncStoreManagementServiceChannelClient=I}),define(Z[191],ee([0,1,13,10]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncLogService=void 0;let U=class extends v.AbstractLogger{constructor(A,L){super();this.logger=this._register(A.createLogger(L.userDataSyncLogResource,{name:"settingssync"}))}trace(A,...L){this.logger.trace(A,...L)}debug(A,...L){this.logger.debug(A,...L)}info(A,...L){this.logger.info(A,...L)}warn(A,...L){this.logger.warn(A,...L)}error(A,...L){this.logger.error(A,...L)}critical(A,...L){this.logger.critical(A,...L)}flush(){this.logger.flush()}};U=ue([K(0,v.ILoggerService),K(1,k.IEnvironmentService)],U),e.UserDataSyncLogService=U}),define(Z[60],ee([0,1,4,2,44,10,9,19,20,126,31,7,21,3]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncMachinesService=e.IUserDataSyncMachinesService=void 0,e.IUserDataSyncMachinesService=(0,v.createDecorator)("IUserDataSyncMachinesService");const a="sync.currentMachineName";let C=class xe extends k.Disposable{constructor(p,y,m,o,i,t){super();this.storageService=m,this.userDataSyncStoreService=o,this.logService=i,this.productService=t,this._onDidChange=this._register(new D.Emitter),this.onDidChange=this._onDidChange.event,this.userData=null,this.currentMachineIdPromise=(0,U.getServiceMachineId)(p,y,m)}async getMachines(p){const y=await this.currentMachineIdPromise;return(await this.readMachinesData(p)).machines.map(o=>Object.assign(Object.assign({},o),{isCurrent:o.id===y}))}async addCurrentMachine(p){const y=await this.currentMachineIdPromise,m=await this.readMachinesData(p);m.machines.some(({id:o})=>o===y)||(m.machines.push({id:y,name:this.computeCurrentMachineName(m.machines)}),await this.writeMachinesData(m))}async removeCurrentMachine(p){const y=await this.currentMachineIdPromise,m=await this.readMachinesData(p),o=m.machines.filter(({id:i})=>i!==y);o.length!==m.machines.length&&(m.machines=o,await this.writeMachinesData(m))}async renameMachine(p,y,m){const o=await this.currentMachineIdPromise,i=await this.readMachinesData(m),t=i.machines.find(({id:n})=>n===p);t&&(t.name=y,await this.writeMachinesData(i),i.machines.some(({id:n})=>n===o)&&this.storageService.store(a,y,0,1))}async setEnablement(p,y){const m=await this.readMachinesData(),o=m.machines.find(({id:i})=>i===p);o&&(o.disabled=y?void 0:!0,await this.writeMachinesData(m))}computeCurrentMachineName(p){const y=this.storageService.get(a,0);if(y)return y;const m=`${this.productService.nameLong} (${(0,d.PlatformToString)(d.isWeb?0:d.platform)})`,o=new RegExp(`${(0,E.escapeRegExpCharacters)(m)}\\s#(\\d+)`);let i=0;for(const t of p){const n=o.exec(t.name),r=n?parseInt(n[1]):0;i=r>i?r:i}return`${m} #${i+1}`}async readMachinesData(p){this.userData=await this.readUserData(p);const y=this.parse(this.userData);if(y.version!==xe.VERSION)throw new Error((0,S.localize)(0,null,this.productService.nameLong));return y}async writeMachinesData(p){var y;const m=JSON.stringify(p),o=await this.userDataSyncStoreService.write(xe.RESOURCE,m,((y=this.userData)===null||y===void 0?void 0:y.ref)||null);this.userData={ref:o,content:m},this._onDidChange.fire()}async readUserData(p){if(this.userData){const y=p&&p.latest?p.latest[xe.RESOURCE]:void 0;if(this.userData.ref===y)return this.userData;if(y===void 0&&this.userData.content===null)return this.userData}return this.userDataSyncStoreService.read(xe.RESOURCE,this.userData)}parse(p){if(p.content!==null)try{return JSON.parse(p.content)}catch(y){this.logService.error(y)}return{version:xe.VERSION,machines:[]}}};C.VERSION=1,C.RESOURCE="machines",C=ue([K(0,R.IEnvironmentService),K(1,A.IFileService),K(2,L.IStorageService),K(3,g.IUserDataSyncStoreService),K(4,g.IUserDataSyncLogService),K(5,I.IProductService)],C),e.UserDataSyncMachinesService=C}),define(Z[84],ee([0,1,6,3,2,20,59,25,14,19,10,60,124,54,5,16,7,31]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataAutoSyncService=e.UserDataAutoSyncEnablementService=void 0;const y="sync.enable",m="sync.disableMachineEventually",o="sync.sessionId",i="sync.storeUrl",t="sync.productQuality";let n=class extends U.Disposable{constructor(c,l,f){super();this.storageService=c,this.environmentService=l,this.userDataSyncStoreManagementService=f,this._onDidChangeEnablement=new k.Emitter,this.onDidChangeEnablement=this._onDidChangeEnablement.event,this._register(c.onDidChangeValue(w=>this.onDidStorageChange(w)))}isEnabled(c){switch(this.environmentService.sync){case"on":return!0;case"off":return!1}return this.storageService.getBoolean(y,0,!!c)}canToggleEnablement(){return this.userDataSyncStoreManagementService.userDataSyncStore!==void 0&&this.environmentService.sync===void 0}setEnablement(c){c&&!this.canToggleEnablement()||this.storageService.store(y,c,0,1)}onDidStorageChange(c){if(c.scope===0&&y===c.key){this._onDidChangeEnablement.fire(this.isEnabled());return}}};n=ue([K(0,S.IStorageService),K(1,I.IEnvironmentService),K(2,R.IUserDataSyncStoreManagementService)],n),e.UserDataAutoSyncEnablementService=n;let r=class extends U.Disposable{constructor(c,l,f,w,h,O,_,$,q,V,z){var Y;super();this.userDataSyncStoreManagementService=l,this.userDataSyncStoreService=f,this.userDataSyncResourceEnablementService=w,this.userDataSyncService=h,this.logService=O,this.userDataSyncAccountService=_,this.telemetryService=$,this.userDataSyncMachinesService=q,this.storageService=V,this.autoSync=this._register(new U.MutableDisposable),this.successiveFailures=0,this.lastSyncTriggerTime=void 0,this._onError=this._register(new k.Emitter),this.onError=this._onError.event,this.sources=[],this.userDataAutoSyncEnablementService=z,this.syncTriggerDelayer=this._register(new v.Delayer(0)),this.lastSyncUrl=this.syncUrl,this.syncUrl=(Y=l.userDataSyncStore)===null||Y===void 0?void 0:Y.url,this.previousProductQuality=this.productQuality,this.productQuality=c.quality,this.syncUrl&&(this.logService.info("Using settings sync service",this.syncUrl.toString()),this._register(l.onDidChangeUserDataSyncStore(()=>{var x,j;(0,C.isEqual)(this.syncUrl,(x=l.userDataSyncStore)===null||x===void 0?void 0:x.url)||(this.lastSyncUrl=this.syncUrl,this.syncUrl=(j=l.userDataSyncStore)===null||j===void 0?void 0:j.url,this.syncUrl&&this.logService.info("Using settings sync service",this.syncUrl.toString()))})),this.userDataAutoSyncEnablementService.isEnabled()?this.logService.info("Auto Sync is enabled."):this.logService.info("Auto Sync is disabled."),this.updateAutoSync(),this.hasToDisableMachineEventually()&&this.disableMachineEventually(),this._register(_.onDidChangeAccount(()=>this.updateAutoSync())),this._register(f.onDidChangeDonotMakeRequestsUntil(()=>this.updateAutoSync())),this._register(k.Event.debounce(h.onDidChangeLocal,(x,j)=>x?[...x,j]:[j],1e3)(x=>this.triggerSync(x,!1,!1))),this._register(k.Event.filter(this.userDataSyncResourceEnablementService.onDidChangeResourceEnablement,([,x])=>x)(()=>this.triggerSync(["resourceEnablement"],!1,!1))),this._register(this.userDataSyncStoreManagementService.onDidChangeUserDataSyncStore(()=>this.triggerSync(["userDataSyncStoreChanged"],!1,!1))))}get syncUrl(){const c=this.storageService.get(i,0);return c?a.URI.parse(c):void 0}set syncUrl(c){c?this.storageService.store(i,c.toString(),0,1):this.storageService.remove(i,0)}get productQuality(){return this.storageService.get(t,0)}set productQuality(c){c?this.storageService.store(t,c,0,1):this.storageService.remove(t,0)}updateAutoSync(){const{enabled:c,message:l}=this.isAutoSyncEnabled();c?this.autoSync.value===void 0&&(this.autoSync.value=new u(this.lastSyncUrl,1e3*60*5,this.userDataSyncStoreManagementService,this.userDataSyncStoreService,this.userDataSyncService,this.userDataSyncMachinesService,this.logService,this.storageService),this.autoSync.value.register(this.autoSync.value.onDidStartSync(()=>this.lastSyncTriggerTime=new Date().getTime())),this.autoSync.value.register(this.autoSync.value.onDidFinishSync(f=>this.onDidFinishSync(f))),this.startAutoSync()&&this.autoSync.value.start()):(this.syncTriggerDelayer.cancel(),this.autoSync.value!==void 0?(l&&this.logService.info(l),this.autoSync.clear()):l&&this.userDataAutoSyncEnablementService.isEnabled()&&this.logService.info(l))}startAutoSync(){return!0}isAutoSyncEnabled(){return this.userDataAutoSyncEnablementService.isEnabled()?this.userDataSyncAccountService.account?this.userDataSyncStoreService.donotMakeRequestsUntil?{enabled:!1,message:`Auto Sync: Suspended until ${(0,D.toLocalISOString)(this.userDataSyncStoreService.donotMakeRequestsUntil)} because server is not accepting requests until then.`}:{enabled:!0}:{enabled:!1,message:"Auto Sync: Suspended until auth token is available."}:{enabled:!1,message:"Auto Sync: Disabled."}}async turnOn(){this.stopDisableMachineEventually(),this.lastSyncUrl=this.syncUrl,this.updateEnablement(!0)}async turnOff(c,l,f){try{this.userDataSyncAccountService.account&&!f&&await this.userDataSyncMachinesService.removeCurrentMachine(),this.updateEnablement(!1),this.storageService.remove(o,0),c?(this.telemetryService.publicLog2("sync/turnOffEveryWhere"),await this.userDataSyncService.reset()):await this.userDataSyncService.resetLocal()}catch(w){if(l)this.logService.error(w),this.updateEnablement(!1);else throw w}}updateEnablement(c){this.userDataAutoSyncEnablementService.isEnabled()!==c&&(this.telemetryService.publicLog2(y,{enabled:c}),this.userDataAutoSyncEnablementService.setEnablement(c),this.updateAutoSync())}hasProductQualityChanged(){return!!this.previousProductQuality&&!!this.productQuality&&this.previousProductQuality!==this.productQuality}async onDidFinishSync(c){if(!c){this.successiveFailures=0;return}const l=R.UserDataSyncError.toUserDataSyncError(c);l instanceof R.UserDataAutoSyncError&&this.telemetryService.publicLog2("autosync/error",{code:l.code,service:this.userDataSyncStoreManagementService.userDataSyncStore.url.toString()}),l.code===R.UserDataSyncErrorCode.SessionExpired?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because current session is expired")):l.code===R.UserDataSyncErrorCode.TurnedOff?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because sync is turned off in the cloud")):l.code===R.UserDataSyncErrorCode.LocalTooManyRequests||l.code===R.UserDataSyncErrorCode.TooManyRequests?(await this.turnOff(!1,!0,!0),this.disableMachineEventually(),this.logService.info("Auto Sync: Turned off sync because of making too many requests to server")):l.code===R.UserDataSyncErrorCode.UpgradeRequired||l.code===R.UserDataSyncErrorCode.Gone?(await this.turnOff(!1,!0,!0),this.disableMachineEventually(),this.logService.info("Auto Sync: Turned off sync because current client is not compatible with server. Requires client upgrade.")):l.code===R.UserDataSyncErrorCode.IncompatibleLocalContent?(await this.turnOff(!1,!0),this.logService.info(`Auto Sync: Turned off sync because server has ${l.resource} content with newer version than of client. Requires client upgrade.`)):l.code===R.UserDataSyncErrorCode.IncompatibleRemoteContent?(await this.turnOff(!1,!0),this.logService.info(`Auto Sync: Turned off sync because server has ${l.resource} content with older version than of client. Requires server reset.`)):l.code===R.UserDataSyncErrorCode.ServiceChanged||l.code===R.UserDataSyncErrorCode.DefaultServiceChanged?b.isWeb&&l.code===R.UserDataSyncErrorCode.DefaultServiceChanged&&!this.hasProductQualityChanged()?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because default sync service is changed.")):(await this.turnOff(!1,!0,!0),await this.turnOn(),this.logService.info("Auto Sync: Sync Service changed. Turned off auto sync, reset local state and turned on auto sync.")):(this.logService.error(l),this.successiveFailures++),this._onError.fire(l)}async disableMachineEventually(){this.storageService.store(m,!0,0,1),await(0,v.timeout)(1e3*60*10),!!this.hasToDisableMachineEventually()&&(this.stopDisableMachineEventually(),!this.userDataAutoSyncEnablementService.isEnabled()&&this.userDataSyncAccountService.account&&await this.userDataSyncMachinesService.removeCurrentMachine())}hasToDisableMachineEventually(){return this.storageService.getBoolean(m,0,!1)}stopDisableMachineEventually(){this.storageService.remove(m,0)}async triggerSync(c,l,f){if(this.autoSync.value===void 0)return this.syncTriggerDelayer.cancel();if(l&&this.lastSyncTriggerTime&&Math.round((new Date().getTime()-this.lastSyncTriggerTime)/1e3)<10){this.logService.debug("Auto Sync: Skipped. Limited to once per 10 seconds.");return}return this.sources.push(...c),this.syncTriggerDelayer.trigger(async()=>{this.logService.trace("activity sources",...this.sources),this.telemetryService.publicLog2("sync/triggered",{sources:this.sources}),this.sources=[],this.autoSync.value&&await this.autoSync.value.sync("Activity",f)},this.successiveFailures?this.getSyncTriggerDelayTime()*1*Math.min(Math.pow(2,this.successiveFailures),60):this.getSyncTriggerDelayTime())}getSyncTriggerDelayTime(){return 1e3}};r=ue([K(0,p.IProductService),K(1,R.IUserDataSyncStoreManagementService),K(2,R.IUserDataSyncStoreService),K(3,R.IUserDataSyncResourceEnablementService),K(4,R.IUserDataSyncService),K(5,R.IUserDataSyncLogService),K(6,A.IUserDataSyncAccountService),K(7,L.ITelemetryService),K(8,d.IUserDataSyncMachinesService),K(9,S.IStorageService),K(10,R.IUserDataAutoSyncEnablementService)],r),e.UserDataAutoSyncService=r;class u extends U.Disposable{constructor(c,l,f,w,h,O,_,$){super();this.lastSyncUrl=c,this.interval=l,this.userDataSyncStoreManagementService=f,this.userDataSyncStoreService=w,this.userDataSyncService=h,this.userDataSyncMachinesService=O,this.logService=_,this.storageService=$,this.intervalHandler=this._register(new U.MutableDisposable),this._onDidStartSync=this._register(new k.Emitter),this.onDidStartSync=this._onDidStartSync.event,this._onDidFinishSync=this._register(new k.Emitter),this.onDidFinishSync=this._onDidFinishSync.event}start(){this._register(this.onDidFinishSync(()=>this.waitUntilNextIntervalAndSync())),this._register((0,U.toDisposable)(()=>{this.syncPromise&&(this.syncPromise.cancel(),this.logService.info("Auto sync: Cancelled sync that is in progress"),this.syncPromise=void 0),this.syncTask&&this.syncTask.stop(),this.logService.info("Auto Sync: Stopped")})),this.logService.info("Auto Sync: Started"),this.sync(u.INTERVAL_SYNCING,!1)}waitUntilNextIntervalAndSync(){this.intervalHandler.value=(0,v.disposableTimeout)(()=>this.sync(u.INTERVAL_SYNCING,!1),this.interval)}sync(c,l){const f=(0,v.createCancelablePromise)(async w=>{if(this.syncPromise)try{this.logService.debug("Auto Sync: Waiting until sync is finished."),await this.syncPromise}catch(h){if((0,g.isPromiseCanceledError)(h))return}return this.doSync(c,l,w)});return this.syncPromise=f,this.syncPromise.finally(()=>this.syncPromise=void 0),this.syncPromise}hasSyncServiceChanged(){var c;return this.lastSyncUrl!==void 0&&!(0,C.isEqual)(this.lastSyncUrl,(c=this.userDataSyncStoreManagementService.userDataSyncStore)===null||c===void 0?void 0:c.url)}async hasDefaultServiceChanged(){const c=await this.userDataSyncStoreManagementService.getPreviousUserDataSyncStore(),l=this.userDataSyncStoreManagementService.userDataSyncStore;return!!l&&!!c&&(!(0,C.isEqual)(l.defaultUrl,c.defaultUrl)||!(0,C.isEqual)(l.insidersUrl,c.insidersUrl)||!(0,C.isEqual)(l.stableUrl,c.stableUrl))}async doSync(c,l,f){this.logService.info(`Auto Sync: Triggered by ${c}`),this._onDidStartSync.fire();let w;try{if(this.syncTask=await this.userDataSyncService.createSyncTask(l),f.isCancellationRequested)return;let h=this.syncTask.manifest;if(h===null&&await this.userDataSyncService.hasPreviouslySynced())throw this.hasSyncServiceChanged()?await this.hasDefaultServiceChanged()?new R.UserDataAutoSyncError((0,E.localize)(0,null),R.UserDataSyncErrorCode.DefaultServiceChanged):new R.UserDataAutoSyncError((0,E.localize)(1,null),R.UserDataSyncErrorCode.ServiceChanged):new R.UserDataAutoSyncError((0,E.localize)(2,null),R.UserDataSyncErrorCode.TurnedOff);const O=this.storageService.get(o,0);if(O&&h&&O!==h.session)throw this.hasSyncServiceChanged()?await this.hasDefaultServiceChanged()?new R.UserDataAutoSyncError((0,E.localize)(3,null),R.UserDataSyncErrorCode.DefaultServiceChanged):new R.UserDataAutoSyncError((0,E.localize)(4,null),R.UserDataSyncErrorCode.ServiceChanged):new R.UserDataAutoSyncError((0,E.localize)(5,null),R.UserDataSyncErrorCode.SessionExpired);const _=await this.userDataSyncMachinesService.getMachines(h||void 0);if(f.isCancellationRequested)return;const $=_.find(q=>q.isCurrent);if($==null?void 0:$.disabled)throw new R.UserDataAutoSyncError((0,E.localize)(6,null),R.UserDataSyncErrorCode.TurnedOff);if(await this.syncTask.run(),h===null&&(h=await this.userDataSyncStoreService.manifest()),h&&h.session!==O&&this.storageService.store(o,h.session,0,1),f.isCancellationRequested)return;$||await this.userDataSyncMachinesService.addCurrentMachine(h||void 0)}catch(h){this.logService.error(h),w=h}this._onDidFinishSync.fire(w)}register(c){return super._register(c)}}u.INTERVAL_SYNCING="Interval"}),define(Z[192],ee([0,1,20,2,3,19,25,7]),function(G,e,v,k,U,R,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncResourceEnablementService=void 0;let g=class extends k.Disposable{constructor(I,d){super();this.storageService=I,this.telemetryService=d,this._onDidChangeResourceEnablement=new U.Emitter,this.onDidChangeResourceEnablement=this._onDidChangeResourceEnablement.event,this._register(I.onDidChangeValue(E=>this.onDidStorageChange(E)))}isResourceEnabled(I){return this.storageService.getBoolean((0,v.getEnablementKey)(I),0,!0)}setResourceEnablement(I,d){if(this.isResourceEnabled(I)!==d){const E=(0,v.getEnablementKey)(I);this.telemetryService.publicLog2(E,{enabled:d}),this.storeResourceEnablement(E,d)}}storeResourceEnablement(I,d){this.storageService.store(I,d,0,L.isWeb?0:1)}onDidStorageChange(I){if(I.scope===0){const d=v.ALL_SYNC_RESOURCES.filter(E=>(0,v.getEnablementKey)(E)===I.key)[0];if(d){this._onDidChangeResourceEnablement.fire([d,this.isResourceEnabled(d)]);return}}}};g=ue([K(0,R.IStorageService),K(1,A.ITelemetryService)],g),e.UserDataSyncResourceEnablementService=g}),define(Z[193],ee([0,1,20,2,4,3,182,185,184,43,25,18,19,187,16,188,30,6,14]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b,p,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncService=void 0;const m="sync.lastSyncTime";let o=class extends k.Disposable{constructor(r,u,s,c,l,f){super();this.userDataSyncStoreService=r,this.userDataSyncStoreManagementService=u,this.instantiationService=s,this.logService=c,this.telemetryService=l,this.storageService=f,this._status="uninitialized",this._onDidChangeStatus=this._register(new R.Emitter),this.onDidChangeStatus=this._onDidChangeStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new R.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this._syncErrors=[],this._onSyncErrors=this._register(new R.Emitter),this.onSyncErrors=this._onSyncErrors.event,this._lastSyncTime=void 0,this._onDidChangeLastSyncTime=this._register(new R.Emitter),this.onDidChangeLastSyncTime=this._onDidChangeLastSyncTime.event,this._onDidResetLocal=this._register(new R.Emitter),this.onDidResetLocal=this._onDidResetLocal.event,this._onDidResetRemote=this._register(new R.Emitter),this.onDidResetRemote=this._onDidResetRemote.event,this.recoveredSettings=!1,this.settingsSynchroniser=this._register(this.instantiationService.createInstance(D.SettingsSynchroniser)),this.keybindingsSynchroniser=this._register(this.instantiationService.createInstance(L.KeybindingsSynchroniser)),this.snippetsSynchroniser=this._register(this.instantiationService.createInstance(C.SnippetsSynchroniser)),this.globalStateSynchroniser=this._register(this.instantiationService.createInstance(g.GlobalStateSynchroniser)),this.extensionsSynchroniser=this._register(this.instantiationService.createInstance(A.ExtensionsSynchroniser)),this.synchronisers=[this.settingsSynchroniser,this.keybindingsSynchroniser,this.snippetsSynchroniser,this.globalStateSynchroniser,this.extensionsSynchroniser],this.updateStatus(),this.userDataSyncStoreManagementService.userDataSyncStore&&(this._register(R.Event.any(...this.synchronisers.map(w=>R.Event.map(w.onDidChangeStatus,()=>{})))(()=>this.updateStatus())),this._register(R.Event.any(...this.synchronisers.map(w=>R.Event.map(w.onDidChangeConflicts,()=>{})))(()=>this.updateConflicts()))),this._lastSyncTime=this.storageService.getNumber(m,0,void 0),this.onDidChangeLocal=R.Event.any(...this.synchronisers.map(w=>R.Event.map(w.onDidChangeLocal,()=>w.resource)))}get status(){return this._status}get conflicts(){return this._conflicts}get lastSyncTime(){return this._lastSyncTime}async createSyncTask(r){await this.checkEnablement();const u=(0,b.generateUuid)();let s;try{const w=(0,v.createSyncHeaders)(u);r&&(w["Cache-Control"]="no-cache"),s=await this.userDataSyncStoreService.manifest(w)}catch(w){const h=v.UserDataSyncError.toUserDataSyncError(w);throw this.reportUserDataSyncError(h,u),h}let c=!1;const l=this;let f;return{manifest:s,run(){if(c)throw new Error("Can run a task only once");return f=(0,p.createCancelablePromise)(w=>l.sync(s,u,w)),f.finally(()=>f=void 0)},async stop(){if(f&&f.cancel(),l.status!=="idle")return l.stop()}}}async createManualSyncTask(){await this.checkEnablement();const r=(0,b.generateUuid)(),u=(0,v.createSyncHeaders)(r);let s;try{s=await this.userDataSyncStoreService.manifest(u)}catch(c){const l=v.UserDataSyncError.toUserDataSyncError(c);throw this.reportUserDataSyncError(l,r),l}return new i(r,s,u,this.synchronisers,this.logService)}async sync(r,u,s){if(this.recoveredSettings||(await this.settingsSynchroniser.recoverSettings(),this.recoveredSettings=!0),!s.isCancellationRequested){const c=new Date().getTime();this._syncErrors=[];try{this.logService.trace("Sync started."),this.status!=="hasConflicts"&&this.setStatus("syncing");const l=(0,v.createSyncHeaders)(u);for(const f of this.synchronisers){if(s.isCancellationRequested)return;try{await f.sync(r,l)}catch(w){if(w instanceof v.UserDataSyncError)switch(w.code){case v.UserDataSyncErrorCode.TooLarge:throw new v.UserDataSyncError(w.message,w.code,f.resource);case v.UserDataSyncErrorCode.TooManyRequests:case v.UserDataSyncErrorCode.TooManyRequestsAndRetryAfter:case v.UserDataSyncErrorCode.LocalTooManyRequests:case v.UserDataSyncErrorCode.Gone:case v.UserDataSyncErrorCode.UpgradeRequired:case v.UserDataSyncErrorCode.IncompatibleRemoteContent:case v.UserDataSyncErrorCode.IncompatibleLocalContent:throw w}const h=v.UserDataSyncError.toUserDataSyncError(w);this.reportUserDataSyncError(h,u),this.logService.error(w),this.logService.error(`${f.resource}: ${(0,S.toErrorMessage)(w)}`),this._syncErrors.push([f.resource,h])}}this.logService.info(`Sync done. Took ${new Date().getTime()-c}ms`),this.updateLastSyncTime()}catch(l){const f=v.UserDataSyncError.toUserDataSyncError(l);throw this.reportUserDataSyncError(f,u),f}finally{this.updateStatus(),this._onSyncErrors.fire(this._syncErrors)}}}async stop(){if(this.status!=="idle")for(const r of this.synchronisers)try{r.status!=="idle"&&await r.stop()}catch(u){this.logService.error(u)}}async replace(r){await this.checkEnablement();for(const u of this.synchronisers)if(await u.replace(r))return}async accept(r,u,s,c){await this.checkEnablement();const l=this.getSynchroniser(r);await l.accept(u,s),c&&await l.apply(!1,(0,v.createSyncHeaders)((0,b.generateUuid)()))}async resolveContent(r){for(const u of this.synchronisers){const s=await u.resolveContent(r);if(s)return s}return null}getRemoteSyncResourceHandles(r){return this.getSynchroniser(r).getRemoteSyncResourceHandles()}getLocalSyncResourceHandles(r){return this.getSynchroniser(r).getLocalSyncResourceHandles()}getAssociatedResources(r,u){return this.getSynchroniser(r).getAssociatedResources(u)}getMachineId(r,u){return this.getSynchroniser(r).getMachineId(u)}async hasLocalData(){const r=[this.settingsSynchroniser,this.keybindingsSynchroniser,this.snippetsSynchroniser,this.extensionsSynchroniser];for(const u of r)if(await u.hasLocalData())return!0;return!1}async reset(){await this.checkEnablement(),await this.resetRemote(),await this.resetLocal()}async resetRemote(){await this.checkEnablement();try{await this.userDataSyncStoreService.clear(),this.logService.info("Cleared data on server")}catch(r){this.logService.error(r)}this._onDidResetRemote.fire()}async resetLocal(){await this.checkEnablement(),this.storageService.remove(m,0);for(const r of this.synchronisers)try{await r.resetLocal()}catch(u){this.logService.error(`${r.resource}: ${(0,S.toErrorMessage)(u)}`),this.logService.error(u)}this._onDidResetLocal.fire(),this.logService.info("Did reset the local sync state.")}async hasPreviouslySynced(){for(const r of this.synchronisers)if(await r.hasPreviouslySynced())return!0;return!1}setStatus(r){const u=this._status;this._status!==r&&(this._status=r,this._onDidChangeStatus.fire(r),u==="hasConflicts"&&this.updateLastSyncTime())}updateStatus(){this.updateConflicts();const r=this.computeStatus();this.setStatus(r)}updateConflicts(){const r=this.computeConflicts();(0,d.equals)(this._conflicts,r,([u,s],[c,l])=>u===u&&(0,d.equals)(s,l,(f,w)=>(0,a.isEqual)(f.previewResource,w.previewResource)))||(this._conflicts=this.computeConflicts(),this._onDidChangeConflicts.fire(r))}computeStatus(){return this.userDataSyncStoreManagementService.userDataSyncStore?this.synchronisers.some(r=>r.status==="hasConflicts")?"hasConflicts":this.synchronisers.some(r=>r.status==="syncing")?"syncing":"idle":"uninitialized"}updateLastSyncTime(){this.status==="idle"&&(this._lastSyncTime=new Date().getTime(),this.storageService.store(m,this._lastSyncTime,0,1),this._onDidChangeLastSyncTime.fire(this._lastSyncTime))}reportUserDataSyncError(r,u){this.telemetryService.publicLog2("sync/error",{code:r.code,url:r instanceof v.UserDataSyncStoreError?r.url:void 0,resource:r.resource,executionId:u,service:this.userDataSyncStoreManagementService.userDataSyncStore.url.toString()})}computeConflicts(){return this.synchronisers.filter(r=>r.status==="hasConflicts").map(r=>[r.resource,r.conflicts.map(t)])}getSynchroniser(r){return this.synchronisers.find(u=>u.resource===r)}async checkEnablement(){if(!this.userDataSyncStoreManagementService.userDataSyncStore)throw new Error("Not enabled")}};o=ue([K(0,v.IUserDataSyncStoreService),K(1,v.IUserDataSyncStoreManagementService),K(2,U.IInstantiationService),K(3,v.IUserDataSyncLogService),K(4,I.ITelemetryService),K(5,E.IStorageService)],o),e.UserDataSyncService=o;class i extends k.Disposable{constructor(r,u,s,c,l){super();this.id=r,this.manifest=u,this.syncHeaders=s,this.synchronisers=c,this.logService=l,this.synchronizingResources=[],this._onSynchronizeResources=this._register(new R.Emitter),this.onSynchronizeResources=this._onSynchronizeResources.event,this.isDisposed=!1}get status(){return this.synchronisers.some(r=>r.status==="hasConflicts")?"hasConflicts":this.synchronisers.some(r=>r.status==="syncing")?"syncing":"idle"}async preview(){try{if(this.isDisposed)throw new Error("Disposed");return this.previewsPromise||(this.previewsPromise=(0,p.createCancelablePromise)(r=>this.getPreviews(r))),this.previews||(this.previews=await this.previewsPromise),this.previews}catch(r){throw this.logService.error(r),r}}async accept(r,u){try{return await this.performAction(r,s=>s.accept(r,u))}catch(s){throw this.logService.error(s),s}}async merge(r){try{return r?await this.performAction(r,u=>u.merge(r)):await this.mergeAll()}catch(u){throw this.logService.error(u),u}}async discard(r){try{return await this.performAction(r,u=>u.discard(r))}catch(u){throw this.logService.error(u),u}}async discardConflicts(){try{if(!this.previews)throw new Error("Missing preview. Create preview and try again.");if(this.synchronizingResources.length)throw new Error("Cannot discard while synchronizing resources");const r=[];for(const[,u]of this.previews)for(const s of u.resourcePreviews)s.mergeState==="conflict"&&r.push(s.previewResource);for(const u of r)await this.discard(u);return this.previews}catch(r){throw this.logService.error(r),r}}async apply(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");const r=[];for(const[u,s]of this.previews){this.synchronizingResources.push([u,s.resourcePreviews.map(f=>f.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const c=this.synchronisers.find(f=>f.resource===u);for(const f of s.resourcePreviews)(f.localChange!==0||f.remoteChange!==0)&&f.mergeState==="preview"&&await c.merge(f.previewResource);const l=await c.apply(!1,this.syncHeaders);l&&r.push(this.toSyncResourcePreview(c.resource,l)),this.synchronizingResources.splice(this.synchronizingResources.findIndex(f=>f[0]===u),1),this._onSynchronizeResources.fire(this.synchronizingResources)}return this.previews=r,this.previews}catch(r){throw this.logService.error(r),r}}async pull(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");for(const[r,u]of this.previews){this.synchronizingResources.push([r,u.resourcePreviews.map(c=>c.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const s=this.synchronisers.find(c=>c.resource===r);for(const c of u.resourcePreviews)await s.accept(c.remoteResource);await s.apply(!0,this.syncHeaders),this.synchronizingResources.splice(this.synchronizingResources.findIndex(c=>c[0]===r),1),this._onSynchronizeResources.fire(this.synchronizingResources)}this.previews=[]}catch(r){throw this.logService.error(r),r}}async push(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");for(const[r,u]of this.previews){this.synchronizingResources.push([r,u.resourcePreviews.map(c=>c.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const s=this.synchronisers.find(c=>c.resource===r);for(const c of u.resourcePreviews)await s.accept(c.localResource);await s.apply(!0,this.syncHeaders),this.synchronizingResources.splice(this.synchronizingResources.findIndex(c=>c[0]===r),1),this._onSynchronizeResources.fire(this.synchronizingResources)}this.previews=[]}catch(r){throw this.logService.error(r),r}}async stop(){for(const r of this.synchronisers)try{await r.stop()}catch(u){(0,y.isPromiseCanceledError)(u)||this.logService.error(u)}this.reset()}async performAction(r,u){if(!this.previews)throw new Error("Missing preview. Create preview and try again.");const s=this.previews.findIndex(([,$])=>$.resourcePreviews.some(({localResource:q,previewResource:V,remoteResource:z})=>(0,a.isEqual)(r,q)||(0,a.isEqual)(r,V)||(0,a.isEqual)(r,z)));if(s===-1)return this.previews;const[c,l]=this.previews[s],f=l.resourcePreviews.find(({localResource:$,remoteResource:q,previewResource:V})=>(0,a.isEqual)($,r)||(0,a.isEqual)(q,r)||(0,a.isEqual)(V,r));if(!f)return this.previews;let w=this.synchronizingResources.find($=>$[0]===c);w||(w=[c,[]],this.synchronizingResources.push(w)),w[1].some($=>(0,a.isEqual)($,f.localResource))||(w[1].push(f.localResource),this._onSynchronizeResources.fire(this.synchronizingResources));const h=this.synchronisers.find($=>$.resource===this.previews[s][0]),O=await u(h);O?this.previews.splice(s,1,this.toSyncResourcePreview(h.resource,O)):this.previews.splice(s,1);const _=this.synchronizingResources.findIndex($=>$[0]===c);return this.synchronizingResources[_][1].splice(w[1].findIndex($=>(0,a.isEqual)($,f.localResource)),1),w[1].length||(this.synchronizingResources.splice(_,1),this._onSynchronizeResources.fire(this.synchronizingResources)),this.previews}async mergeAll(){if(!this.previews)throw new Error("You need to create preview before merging or applying");if(this.synchronizingResources.length)throw new Error("Cannot merge or apply while synchronizing resources");const r=[];for(const[u,s]of this.previews){this.synchronizingResources.push([u,s.resourcePreviews.map(f=>f.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const c=this.synchronisers.find(f=>f.resource===u);let l=s;for(const f of s.resourcePreviews)(f.localChange!==0||f.remoteChange!==0)&&f.mergeState==="preview"&&(l=await c.merge(f.previewResource));l&&r.push(this.toSyncResourcePreview(c.resource,l)),this.synchronizingResources.splice(this.synchronizingResources.findIndex(f=>f[0]===u),1),this._onSynchronizeResources.fire(this.synchronizingResources)}return this.previews=r,this.previews}async getPreviews(r){const u=[];for(const s of this.synchronisers){if(r.isCancellationRequested)return[];const c=await s.preview(this.manifest,this.syncHeaders);c&&u.push(this.toSyncResourcePreview(s.resource,c))}return u}toSyncResourcePreview(r,u){return[r,{isLastSyncFromCurrentMachine:u.isLastSyncFromCurrentMachine,resourcePreviews:u.resourcePreviews.map(t)}]}reset(){this.previewsPromise&&(this.previewsPromise.cancel(),this.previewsPromise=void 0),this.previews=void 0,this.synchronizingResources=[]}dispose(){this.reset(),this.isDisposed=!0}}function t(n){return{localResource:n.localResource,previewResource:n.previewResource,remoteResource:n.remoteResource,acceptedResource:n.acceptedResource,localChange:n.localChange,remoteChange:n.remoteChange,mergeState:n.mergeState}}}),define(Z[194],ee([0,1,3,20,5,2,17]),function(G,e,v,k,U,R,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncChannelClient=e.UserDataSyncChannel=void 0;class L{constructor(d,E){this.service=d,this.logService=E,this.manualSyncTasks=new Map,this.onManualSynchronizeResources=new v.Emitter}listen(d,E){switch(E){case"onDidChangeStatus":return this.service.onDidChangeStatus;case"onDidChangeConflicts":return this.service.onDidChangeConflicts;case"onDidChangeLocal":return this.service.onDidChangeLocal;case"onDidChangeLastSyncTime":return this.service.onDidChangeLastSyncTime;case"onSyncErrors":return this.service.onSyncErrors;case"onDidResetLocal":return this.service.onDidResetLocal;case"onDidResetRemote":return this.service.onDidResetRemote;case"manualSync/onSynchronizeResources":return this.onManualSynchronizeResources.event}throw new Error(`Event not found: ${E}`)}async call(d,E,D){try{return await this._call(d,E,D)}catch(a){throw this.logService.error(a),a}}async _call(d,E,D){switch(E){case"_getInitialData":return Promise.resolve([this.service.status,this.service.conflicts,this.service.lastSyncTime]);case"replace":return this.service.replace(U.URI.revive(D[0]));case"reset":return this.service.reset();case"resetRemote":return this.service.resetRemote();case"resetLocal":return this.service.resetLocal();case"hasPreviouslySynced":return this.service.hasPreviouslySynced();case"hasLocalData":return this.service.hasLocalData();case"accept":return this.service.accept(D[0],U.URI.revive(D[1]),D[2],D[3]);case"resolveContent":return this.service.resolveContent(U.URI.revive(D[0]));case"getLocalSyncResourceHandles":return this.service.getLocalSyncResourceHandles(D[0]);case"getRemoteSyncResourceHandles":return this.service.getRemoteSyncResourceHandles(D[0]);case"getAssociatedResources":return this.service.getAssociatedResources(D[0],{created:D[1].created,uri:U.URI.revive(D[1].uri)});case"getMachineId":return this.service.getMachineId(D[0],{created:D[1].created,uri:U.URI.revive(D[1].uri)});case"createManualSyncTask":return this.createManualSyncTask()}if(E.startsWith("manualSync/")){const a=E.substring("manualSync/".length),C=D[0],b=this.getManualSyncTask(C);switch(D=D.slice(1),a){case"preview":return b.preview();case"accept":return b.accept(U.URI.revive(D[0]),D[1]);case"merge":return b.merge(U.URI.revive(D[0]));case"discard":return b.discard(U.URI.revive(D[0]));case"discardConflicts":return b.discardConflicts();case"apply":return b.apply();case"pull":return b.pull();case"push":return b.push();case"stop":return b.stop();case"_getStatus":return b.status;case"dispose":return this.disposeManualSyncTask(b)}}throw new Error("Invalid call")}getManualSyncTask(d){const E=this.manualSyncTasks.get(this.createKey(d));if(!E)throw new Error(`Manual sync taks not found: ${d}`);return E.manualSyncTask}async createManualSyncTask(){const d=new R.DisposableStore,E=d.add(await this.service.createManualSyncTask());return d.add(E.onSynchronizeResources(D=>this.onManualSynchronizeResources.fire({manualSyncTaskId:E.id,data:D}))),this.manualSyncTasks.set(this.createKey(E.id),{manualSyncTask:E,disposables:d}),{id:E.id,manifest:E.manifest,status:E.status}}disposeManualSyncTask(d){var E;d.dispose();const D=this.createKey(d.id);(E=this.manualSyncTasks.get(D))===null||E===void 0||E.disposables.dispose(),this.manualSyncTasks.delete(D)}createKey(d){return`manualSyncTask-${d}`}}e.UserDataSyncChannel=L;class g extends R.Disposable{constructor(d){super();this._status="uninitialized",this._onDidChangeStatus=this._register(new v.Emitter),this.onDidChangeStatus=this._onDidChangeStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new v.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this._lastSyncTime=void 0,this._onDidChangeLastSyncTime=this._register(new v.Emitter),this.onDidChangeLastSyncTime=this._onDidChangeLastSyncTime.event,this._onSyncErrors=this._register(new v.Emitter),this.onSyncErrors=this._onSyncErrors.event,this.channel={call(E,D,a){return d.call(E,D,a).then(null,C=>{throw k.UserDataSyncError.toUserDataSyncError(C)})},listen(E,D){return d.listen(E,D)}},this.channel.call("_getInitialData").then(([E,D,a])=>{this.updateStatus(E),this.updateConflicts(D),a&&this.updateLastSyncTime(a),this._register(this.channel.listen("onDidChangeStatus")(C=>this.updateStatus(C))),this._register(this.channel.listen("onDidChangeLastSyncTime")(C=>this.updateLastSyncTime(C)))}),this._register(this.channel.listen("onDidChangeConflicts")(E=>this.updateConflicts(E))),this._register(this.channel.listen("onSyncErrors")(E=>this._onSyncErrors.fire(E.map(([D,a])=>[D,k.UserDataSyncError.toUserDataSyncError(a)]))))}get status(){return this._status}get onDidChangeLocal(){return this.channel.listen("onDidChangeLocal")}get conflicts(){return this._conflicts}get lastSyncTime(){return this._lastSyncTime}get onDidResetLocal(){return this.channel.listen("onDidResetLocal")}get onDidResetRemote(){return this.channel.listen("onDidResetRemote")}createSyncTask(){throw new Error("not supported")}async createManualSyncTask(){const{id:d,manifest:E,status:D}=await this.channel.call("createManualSyncTask"),a=this,C=new S(d,E,D,{async call(b,p,y){return a.channel.call(`manualSync/${b}`,[d,...(0,A.isArray)(p)?p:[p]],y)},listen(b,p){return v.Event.map(v.Event.filter(a.channel.listen(`manualSync/${b}`,p),y=>!C.isDiposed()&&y.manualSyncTaskId===d),y=>y.data)}});return C}replace(d){return this.channel.call("replace",[d])}reset(){return this.channel.call("reset")}resetRemote(){return this.channel.call("resetRemote")}resetLocal(){return this.channel.call("resetLocal")}hasPreviouslySynced(){return this.channel.call("hasPreviouslySynced")}hasLocalData(){return this.channel.call("hasLocalData")}accept(d,E,D,a){return this.channel.call("accept",[d,E,D,a])}resolveContent(d){return this.channel.call("resolveContent",[d])}async getLocalSyncResourceHandles(d){return(await this.channel.call("getLocalSyncResourceHandles",[d])).map(({created:D,uri:a})=>({created:D,uri:U.URI.revive(a)}))}async getRemoteSyncResourceHandles(d){return(await this.channel.call("getRemoteSyncResourceHandles",[d])).map(({created:D,uri:a})=>({created:D,uri:U.URI.revive(a)}))}async getAssociatedResources(d,E){return(await this.channel.call("getAssociatedResources",[d,E])).map(({resource:a,comparableResource:C})=>({resource:U.URI.revive(a),comparableResource:U.URI.revive(C)}))}async getMachineId(d,E){return this.channel.call("getMachineId",[d,E])}async updateStatus(d){this._status=d,this._onDidChangeStatus.fire(d)}async updateConflicts(d){this._conflicts=d.map(([E,D])=>[E,D.map(a=>Object.assign(Object.assign({},a),{localResource:U.URI.revive(a.localResource),remoteResource:U.URI.revive(a.remoteResource),previewResource:U.URI.revive(a.previewResource)}))]),this._onDidChangeConflicts.fire(this._conflicts)}updateLastSyncTime(d){this._lastSyncTime!==d&&(this._lastSyncTime=d,this._onDidChangeLastSyncTime.fire(d))}}e.UserDataSyncChannelClient=g;class S extends R.Disposable{constructor(d,E,D,a){super();this.id=d,this.manifest=E,this._disposed=!1,this._status=D;const C=this;this.channel={async call(b,p,y){try{const m=await a.call(b,p,y);return C.isDiposed()||(C._status=await a.call("_getStatus")),m}catch(m){throw k.UserDataSyncError.toUserDataSyncError(m)}},listen(b,p){return a.listen(b,p)}}}get onSynchronizeResources(){return this.channel.listen("onSynchronizeResources")}get status(){return this._status}async preview(){const d=await this.channel.call("preview");return this.deserializePreviews(d)}async accept(d,E){const D=await this.channel.call("accept",[d,E]);return this.deserializePreviews(D)}async merge(d){const E=await this.channel.call("merge",[d]);return this.deserializePreviews(E)}async discard(d){const E=await this.channel.call("discard",[d]);return this.deserializePreviews(E)}async discardConflicts(){const d=await this.channel.call("discardConflicts");return this.deserializePreviews(d)}async apply(){const d=await this.channel.call("apply");return this.deserializePreviews(d)}pull(){return this.channel.call("pull")}push(){return this.channel.call("push")}stop(){return this.channel.call("stop")}isDiposed(){return this._disposed}dispose(){this._disposed=!0,this.channel.call("dispose")}deserializePreviews(d){return d.map(([E,D])=>[E,{isLastSyncFromCurrentMachine:D.isLastSyncFromCurrentMachine,resourcePreviews:D.resourcePreviews.map(a=>Object.assign(Object.assign({},a),{localResource:U.URI.revive(a.localResource),remoteResource:U.URI.revive(a.remoteResource),previewResource:U.URI.revive(a.previewResource),acceptedResource:U.URI.revive(a.acceptedResource)}))}])}}}),define(Z[195],ee([0,1,2,20,40,16,29,24,31,44,10,9,19,30,7,3,6,17,5,14]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b,p,y,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestsSession=e.UserDataSyncStoreService=e.UserDataSyncStoreClient=e.UserDataSyncStoreManagementService=e.AbstractUserDataSyncStoreManagementService=void 0;const o="sync.previous.store",i="sync.donot-make-requests-until",t="sync.user-session-id",n="sync.machine-session-id",r=100,u=1e3*60*5;let s=class extends v.Disposable{constructor(O,_,$){super();this.productService=O,this.configurationService=_,this.storageService=$,this._onDidChangeUserDataSyncStore=this._register(new C.Emitter),this.onDidChangeUserDataSyncStore=this._onDidChangeUserDataSyncStore.event,this.updateUserDataSyncStore(),this._register(C.Event.filter($.onDidChangeValue,q=>{var V;return q.key===k.SYNC_SERVICE_URL_TYPE&&q.scope===0&&this.userDataSyncStoreType!==((V=this.userDataSyncStore)===null||V===void 0?void 0:V.type)})(()=>this.updateUserDataSyncStore()))}get userDataSyncStore(){return this._userDataSyncStore}get userDataSyncStoreType(){return this.storageService.get(k.SYNC_SERVICE_URL_TYPE,0)}set userDataSyncStoreType(O){this.storageService.store(k.SYNC_SERVICE_URL_TYPE,O,0,a.isWeb?0:1)}updateUserDataSyncStore(){this._userDataSyncStore=this.toUserDataSyncStore(this.productService[k.CONFIGURATION_SYNC_STORE_KEY],this.configurationService.getValue(k.CONFIGURATION_SYNC_STORE_KEY)),this._onDidChangeUserDataSyncStore.fire()}toUserDataSyncStore(O,_){O=a.isWeb&&(O==null?void 0:O.web)?Object.assign(Object.assign({},O),O.web):O;const $=Object.assign(Object.assign({},O||{}),_||{});if($&&(0,p.isString)($.url)&&(0,p.isObject)($.authenticationProviders)&&Object.keys($.authenticationProviders).every(q=>(0,p.isArray)($.authenticationProviders[q].scopes))){const q=$,V=!!q.canSwitch&&!(_==null?void 0:_.url),z=q.url===q.insidersUrl?"insiders":"stable",Y=(V?this.userDataSyncStoreType:void 0)||z,x=(_==null?void 0:_.url)||(Y==="insiders"?q.insidersUrl:Y==="stable"?q.stableUrl:q.url);return{url:y.URI.parse(x),type:Y,defaultType:z,defaultUrl:y.URI.parse(q.url),stableUrl:y.URI.parse(q.stableUrl),insidersUrl:y.URI.parse(q.insidersUrl),canSwitch:V,authenticationProviders:Object.keys(q.authenticationProviders).reduce((j,F)=>(j.push({id:F,scopes:q.authenticationProviders[F].scopes}),j),[])}}}};s=ue([K(0,g.IProductService),K(1,L.IConfigurationService),K(2,E.IStorageService)],s),e.AbstractUserDataSyncStoreManagementService=s;let c=class extends s{constructor(O,_,$){super(O,_,$);const q=this.storageService.get(o,0);q&&(this.previousConfigurationSyncStore=JSON.parse(q));const V=this.productService[k.CONFIGURATION_SYNC_STORE_KEY];V?this.storageService.store(o,JSON.stringify(V),0,1):this.storageService.remove(o,0)}async switch(O){O!==this.userDataSyncStoreType&&(this.userDataSyncStoreType=O,this.updateUserDataSyncStore())}async getPreviousUserDataSyncStore(){return this.toUserDataSyncStore(this.previousConfigurationSyncStore)}};c=ue([K(0,g.IProductService),K(1,L.IConfigurationService),K(2,E.IStorageService)],c),e.UserDataSyncStoreManagementService=c;let l=class extends v.Disposable{constructor(O,_,$,q,V,z,Y){super();this.requestService=$,this.logService=q,this.storageService=Y,this._onTokenFailed=this._register(new C.Emitter),this.onTokenFailed=this._onTokenFailed.event,this._onTokenSucceed=this._register(new C.Emitter),this.onTokenSucceed=this._onTokenSucceed.event,this._donotMakeRequestsUntil=void 0,this._onDidChangeDonotMakeRequestsUntil=this._register(new C.Emitter),this.onDidChangeDonotMakeRequestsUntil=this._onDidChangeDonotMakeRequestsUntil.event,this.resetDonotMakeRequestsUntilPromise=void 0,this.updateUserDataSyncStoreUrl(O),this.commonHeadersPromise=(0,S.getServiceMachineId)(V,z,Y).then(x=>{const j={"X-Client-Name":`${_.applicationName}${a.isWeb?"-web":""}`,"X-Client-Version":_.version,"X-Machine-Id":x};return _.commit&&(j["X-Client-Commit"]=_.commit),j}),this.session=new w(r,u,this.requestService,this.logService),this.initDonotMakeRequestsUntil(),this._register((0,v.toDisposable)(()=>{this.resetDonotMakeRequestsUntilPromise&&(this.resetDonotMakeRequestsUntilPromise.cancel(),this.resetDonotMakeRequestsUntilPromise=void 0)}))}get donotMakeRequestsUntil(){return this._donotMakeRequestsUntil}setAuthToken(O,_){this.authToken={token:O,type:_}}updateUserDataSyncStoreUrl(O){this.userDataSyncStoreUrl=O?(0,R.joinPath)(O,"v1"):void 0}initDonotMakeRequestsUntil(){const O=this.storageService.getNumber(i,0);O&&Date.now()<O&&this.setDonotMakeRequestsUntil(new Date(O))}setDonotMakeRequestsUntil(O){var _;((_=this._donotMakeRequestsUntil)===null||_===void 0?void 0:_.getTime())!==(O==null?void 0:O.getTime())&&(this._donotMakeRequestsUntil=O,this.resetDonotMakeRequestsUntilPromise&&(this.resetDonotMakeRequestsUntilPromise.cancel(),this.resetDonotMakeRequestsUntilPromise=void 0),this._donotMakeRequestsUntil?(this.storageService.store(i,this._donotMakeRequestsUntil.getTime(),0,1),this.resetDonotMakeRequestsUntilPromise=(0,b.createCancelablePromise)($=>(0,b.timeout)(this._donotMakeRequestsUntil.getTime()-Date.now(),$).then(()=>this.setDonotMakeRequestsUntil(void 0))),this.resetDonotMakeRequestsUntilPromise.then(null,$=>null)):this.storageService.remove(i,0),this._onDidChangeDonotMakeRequestsUntil.fire())}async getAllRefs(O){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const _=(0,R.joinPath)(this.userDataSyncStoreUrl,"resource",O),$={},q=await this.request(_.toString(),{type:"GET",headers:$},[],A.CancellationToken.None);return(await(0,U.asJson)(q)||[]).map(({url:z,created:Y})=>({ref:(0,R.relativePath)(_,_.with({path:z})),created:Y*1e3}))}async resolveContent(O,_){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const $=(0,R.joinPath)(this.userDataSyncStoreUrl,"resource",O,_).toString(),q={};q["Cache-Control"]="no-cache";const V=await this.request($,{type:"GET",headers:q},[],A.CancellationToken.None);return await(0,U.asText)(V)}async delete(O){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const _=(0,R.joinPath)(this.userDataSyncStoreUrl,"resource",O).toString(),$={};await this.request(_,{type:"DELETE",headers:$},[],A.CancellationToken.None)}async read(O,_,$={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const q=(0,R.joinPath)(this.userDataSyncStoreUrl,"resource",O,"latest").toString();$=Object.assign({},$),$["Cache-Control"]="no-cache",_&&($["If-None-Match"]=_.ref);const V=await this.request(q,{type:"GET",headers:$},[304],A.CancellationToken.None);if(V.res.statusCode===304)return _;const z=V.res.headers.etag;if(!z)throw new k.UserDataSyncStoreError("Server did not return the ref",q,k.UserDataSyncErrorCode.NoRef,V.res.headers[k.HEADER_OPERATION_ID]);const Y=await(0,U.asText)(V);return{ref:z,content:Y}}async write(O,_,$,q={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const V=(0,R.joinPath)(this.userDataSyncStoreUrl,"resource",O).toString();q=Object.assign({},q),q["Content-Type"]="text/plain",$&&(q["If-Match"]=$);const z=await this.request(V,{type:"POST",data:_,headers:q},[],A.CancellationToken.None),Y=z.res.headers.etag;if(!Y)throw new k.UserDataSyncStoreError("Server did not return the ref",V,k.UserDataSyncErrorCode.NoRef,z.res.headers[k.HEADER_OPERATION_ID]);return Y}async manifest(O={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const _=(0,R.joinPath)(this.userDataSyncStoreUrl,"manifest").toString();O=Object.assign({},O),O["Content-Type"]="application/json";const $=await this.request(_,{type:"GET",headers:O},[],A.CancellationToken.None),q=await(0,U.asJson)($),V=this.storageService.get(t,0);return V&&q&&V!==q.session&&this.clearSession(),q===null&&V&&this.clearSession(),q&&this.storageService.store(t,q.session,0,1),q}async clear(){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const O=(0,R.joinPath)(this.userDataSyncStoreUrl,"resource").toString(),_={"Content-Type":"text/plain"};await this.request(O,{type:"DELETE",headers:_},[],A.CancellationToken.None),this.clearSession()}clearSession(){this.storageService.remove(t,0),this.storageService.remove(n,0)}async request(O,_,$,q){if(!this.authToken)throw new k.UserDataSyncStoreError("No Auth Token Available",O,k.UserDataSyncErrorCode.Unauthorized,void 0);if(this._donotMakeRequestsUntil&&Date.now()<this._donotMakeRequestsUntil.getTime())throw new k.UserDataSyncStoreError(`${_.type} request '${O}' failed because of too many requests (429).`,O,k.UserDataSyncErrorCode.TooManyRequestsAndRetryAfter,void 0);this.setDonotMakeRequestsUntil(void 0);const V=await this.commonHeadersPromise;_.headers=Object.assign(Object.assign(Object.assign({},_.headers||{}),V),{"X-Account-Type":this.authToken.type,authorization:`Bearer ${this.authToken.token}`}),this.addSessionHeaders(_.headers),this.logService.trace("Sending request to server",{url:O,type:_.type,headers:Object.assign(Object.assign({},_.headers),{authorization:void 0})});let z;try{z=await this.session.request(O,_,q)}catch(F){if(!(F instanceof k.UserDataSyncStoreError)){const P=(0,m.isPromiseCanceledError)(F)?k.UserDataSyncErrorCode.RequestCanceled:(0,m.getErrorMessage)(F).startsWith("XHR timeout")?k.UserDataSyncErrorCode.RequestTimeout:k.UserDataSyncErrorCode.RequestFailed;F=new k.UserDataSyncStoreError(`Connection refused for the request '${O}'.`,O,P,void 0)}throw this.logService.info("Request failed",O),F}const Y=z.res.headers[k.HEADER_OPERATION_ID],x={url:O,status:z.res.statusCode,"execution-id":_.headers[k.HEADER_EXECUTION_ID],"operation-id":Y},j=(0,U.isSuccess)(z)||z.res.statusCode&&$.indexOf(z.res.statusCode)!==-1;if(j?this.logService.trace("Request succeeded",x):this.logService.info("Request failed",x),z.res.statusCode===401)throw this.authToken=void 0,this._onTokenFailed.fire(),new k.UserDataSyncStoreError(`Request '${O}' failed because of Unauthorized (401).`,O,k.UserDataSyncErrorCode.Unauthorized,Y);if(this._onTokenSucceed.fire(),z.res.statusCode===409)throw new k.UserDataSyncStoreError(`${_.type} request '${O}' failed because of Conflict (409). There is new data for this resource. Make the request again with latest data.`,O,k.UserDataSyncErrorCode.Conflict,Y);if(z.res.statusCode===410)throw new k.UserDataSyncStoreError(`${_.type} request '${O}' failed because the requested resource is not longer available (410).`,O,k.UserDataSyncErrorCode.Gone,Y);if(z.res.statusCode===412)throw new k.UserDataSyncStoreError(`${_.type} request '${O}' failed because of Precondition Failed (412). There is new data for this resource. Make the request again with latest data.`,O,k.UserDataSyncErrorCode.PreconditionFailed,Y);if(z.res.statusCode===413)throw new k.UserDataSyncStoreError(`${_.type} request '${O}' failed because of too large payload (413).`,O,k.UserDataSyncErrorCode.TooLarge,Y);if(z.res.statusCode===426)throw new k.UserDataSyncStoreError(`${_.type} request '${O}' failed with status Upgrade Required (426). Please upgrade the client and try again.`,O,k.UserDataSyncErrorCode.UpgradeRequired,Y);if(z.res.statusCode===429){const F=z.res.headers["retry-after"];throw F?(this.setDonotMakeRequestsUntil(new Date(Date.now()+parseInt(F)*1e3)),new k.UserDataSyncStoreError(`${_.type} request '${O}' failed because of too many requests (429).`,O,k.UserDataSyncErrorCode.TooManyRequestsAndRetryAfter,Y)):new k.UserDataSyncStoreError(`${_.type} request '${O}' failed because of too many requests (429).`,O,k.UserDataSyncErrorCode.TooManyRequests,Y)}if(!j)throw new k.UserDataSyncStoreError("Server returned "+z.res.statusCode,O,k.UserDataSyncErrorCode.Unknown,Y);return z}addSessionHeaders(O){let _=this.storageService.get(n,0);_===void 0&&(_=(0,D.generateUuid)(),this.storageService.store(n,_,0,1)),O["X-Machine-Session-Id"]=_;const $=this.storageService.get(t,0);$!==void 0&&(O["X-User-Session-Id"]=$)}};l=ue([K(1,g.IProductService),K(2,U.IRequestService),K(3,k.IUserDataSyncLogService),K(4,I.IEnvironmentService),K(5,d.IFileService),K(6,E.IStorageService)],l),e.UserDataSyncStoreClient=l;let f=class extends l{constructor(O,_,$,q,V,z,Y){var x;super((x=O.userDataSyncStore)===null||x===void 0?void 0:x.url,_,$,q,V,z,Y);this._register(O.onDidChangeUserDataSyncStore(()=>{var j;return this.updateUserDataSyncStoreUrl((j=O.userDataSyncStore)===null||j===void 0?void 0:j.url)}))}};f=ue([K(0,k.IUserDataSyncStoreManagementService),K(1,g.IProductService),K(2,U.IRequestService),K(3,k.IUserDataSyncLogService),K(4,I.IEnvironmentService),K(5,d.IFileService),K(6,E.IStorageService)],f),e.UserDataSyncStoreService=f;class w{constructor(O,_,$,q){this.limit=O,this.interval=_,this.requestService=$,this.logService=q,this.requests=[],this.startTime=void 0}request(O,_,$){if(this.isExpired()&&this.reset(),_.url=O,this.requests.length>=this.limit)throw this.logService.info("Too many requests",...this.requests),new k.UserDataSyncStoreError(`Too many requests. Only ${this.limit} requests allowed in ${this.interval/(1e3*60)} minutes.`,O,k.UserDataSyncErrorCode.LocalTooManyRequests,void 0);return this.startTime=this.startTime||new Date,this.requests.push(O),this.requestService.request(_,$)}isExpired(){return this.startTime!==void 0&&new Date().getTime()-this.startTime.getTime()>this.interval}reset(){this.requests=[],this.startTime=void 0}}e.RequestsSession=w}),define(Z[196],ee([0,1,20,3,57,84,59,25,19,60,31]),function(G,e,v,k,U,R,A,L,g,S,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataAutoSyncService=void 0;let d=class extends R.UserDataAutoSyncService{constructor(D,a,C,b,p,y,m,o,i,t,n,r){super(D,a,C,b,p,m,o,i,t,n,r);this._register(k.Event.debounce(k.Event.any(k.Event.map(y.onDidFocusWindow,()=>"windowFocus"),k.Event.map(y.onDidOpenWindow,()=>"windowOpen")),(u,s)=>u?[...u,s]:[s],1e3)(u=>this.triggerSync(u,!0,!1)))}};d=ue([K(0,I.IProductService),K(1,v.IUserDataSyncStoreManagementService),K(2,v.IUserDataSyncStoreService),K(3,v.IUserDataSyncResourceEnablementService),K(4,v.IUserDataSyncService),K(5,U.INativeHostService),K(6,v.IUserDataSyncLogService),K(7,A.IUserDataSyncAccountService),K(8,L.ITelemetryService),K(9,S.IUserDataSyncMachinesService),K(10,g.IStorageService),K(11,v.IUserDataAutoSyncEnablementService)],d),e.UserDataAutoSyncService=d}),define(Z[197],ee([0,1,3,2,6]),function(G,e,v,k,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class R extends k.Disposable{constructor({onDidOpenWindow:L,onDidFocusWindow:g,getActiveWindowId:S}){super();this.disposables=this._register(new k.DisposableStore),v.Event.latch(v.Event.any(L,g))(this.setActiveWindow,this,this.disposables),this.firstActiveWindowIdPromise=(0,U.createCancelablePromise)(()=>S()),(async()=>{try{const d=await this.firstActiveWindowIdPromise;this.activeWindowId=typeof this.activeWindowId=="number"?this.activeWindowId:d}catch(d){}finally{this.firstActiveWindowIdPromise=void 0}})()}setActiveWindow(L){this.firstActiveWindowIdPromise&&(this.firstActiveWindowIdPromise.cancel(),this.firstActiveWindowIdPromise=void 0),this.activeWindowId=L}async getActiveClientId(){return`window:${this.firstActiveWindowIdPromise?await this.firstActiveWindowIdPromise:this.activeWindowId}`}}e.ActiveWindowManager=R}),define(Z[61],ee([0,1,107,8,27,6,23,204,205,17]),function(G,e,v,k,U,R,A,L,g,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buffer=e.extract=e.zip=e.ExtractError=void 0;class I extends Error{constructor(t,n){let r=n.message;switch(t){case"CorruptZip":r=`Corrupt ZIP: ${r}`;break}super(r);this.type=t,this.cause=n}}e.ExtractError=I;function d(i){const t=i.externalFileAttributes>>16||33188;return[448,56,7].map(n=>t&n).reduce((n,r)=>n+r,t&61440)}function E(i){if(i instanceof I)return i;let t;return/end of central directory record signature not found/.test(i.message)&&(t="CorruptZip"),new I(t,i)}function D(i,t,n,r,u,s){const c=k.dirname(t),l=k.join(r,c);if(!l.startsWith(r))return Promise.reject(new Error(v.localize(0,null,t)));const f=k.join(r,t);let w;return s.onCancellationRequested(()=>{w&&w.destroy()}),Promise.resolve(U.promises.mkdir(l,{recursive:!0})).then(()=>new Promise((h,O)=>{if(!s.isCancellationRequested)try{w=(0,U.createWriteStream)(f,{mode:n}),w.once("close",()=>h()),w.once("error",O),i.once("error",O),i.pipe(w)}catch(_){O(_)}}))}function a(i,t,n,r){let u=(0,R.createCancelablePromise)(()=>Promise.resolve()),s=0;return r.onCancellationRequested(()=>{u.cancel(),i.close()}),new Promise((c,l)=>{const f=new R.Sequencer,w=h=>{h.isCancellationRequested||(s++,i.readEntry())};i.once("error",l),i.once("close",()=>u.then(()=>{r.isCancellationRequested||i.entryCount===s?c():l(new I("Incomplete",new Error(v.localize(1,null,s,i.entryCount))))},l)),i.readEntry(),i.on("entry",h=>{if(!r.isCancellationRequested){if(!n.sourcePathRegex.test(h.fileName)){w(r);return}const O=h.fileName.replace(n.sourcePathRegex,"");if(/\/$/.test(O)){const q=k.join(t,O);u=(0,R.createCancelablePromise)(V=>U.promises.mkdir(q,{recursive:!0}).then(()=>w(V)).then(void 0,l));return}const _=b(i,h),$=d(h);u=(0,R.createCancelablePromise)(q=>f.queue(()=>_.then(V=>D(V,O,$,t,n,q).then(()=>w(q)))).then(null,l))}})})}function C(i,t=!1){return new Promise((n,r)=>{(0,L.open)(i,t?{lazyEntries:!0}:void 0,(u,s)=>{u?r(E(u)):n((0,S.assertIsDefined)(s))})})}function b(i,t){return new Promise((n,r)=>{i.openReadStream(t,(u,s)=>{u?r(E(u)):n((0,S.assertIsDefined)(s))})})}function p(i,t){return new Promise((n,r)=>{const u=new g.ZipFile;t.forEach(c=>{c.contents?u.addBuffer(typeof c.contents=="string"?Buffer.from(c.contents,"utf8"):c.contents,c.path):c.localPath&&u.addFile(c.localPath,c.path)}),u.end();const s=(0,U.createWriteStream)(i);u.outputStream.pipe(s),u.outputStream.once("error",r),s.once("error",r),s.once("finish",()=>n(i))})}e.zip=p;function y(i,t,n={},r){const u=new RegExp(n.sourcePath?`^${n.sourcePath}`:"");let s=C(i,!0);return n.overwrite&&(s=s.then(c=>(0,A.rimraf)(t).then(()=>c))),s.then(c=>a(c,t,{sourcePathRegex:u},r))}e.extract=y;function m(i,t){return C(i).then(n=>new Promise((r,u)=>{n.on("entry",s=>{s.fileName===t&&b(n,s).then(c=>r(c),c=>u(c))}),n.once("close",()=>u(new Error(v.localize(2,null,t))))}))}function o(i,t){return m(i,t).then(n=>new Promise((r,u)=>{const s=[];n.once("error",u),n.on("data",c=>s.push(c)),n.on("end",()=>r(Buffer.concat(s)))}))}e.buffer=o}),define(Z[198],ee([0,1,61,112]),function(G,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getManifest=void 0;function U(R){return(0,v.buffer)(R,"extension/package.json").then(A=>{try{return JSON.parse(A.toString("utf8"))}catch(L){throw new Error((0,k.localize)(0,null))}})}e.getManifest=U}),define(Z[199],ee([0,1,27,56,2,23,8,13,28,34,6,5,10,129,113,31,61,7,18,15]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b,p,y,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsScanner=void 0;const o="scanningSystem",i="scanningUser",t="extracting",n="deleting",r="renaming";let u=class extends U.Disposable{constructor(c,l,f,w){super();this.beforeRemovingExtension=c,this.logService=l,this.environmentService=f,this.productService=w,this._devSystemExtensionsPath=null,this.systemExtensionsPath=f.builtinExtensionsPath,this.extensionsPath=f.extensionsPath,this.uninstalledPath=A.join(this.extensionsPath,".obsolete"),this.uninstalledFileLimiter=new I.Queue}async cleanUp(){await this.removeUninstalledExtensions(),await this.removeOutdatedExtensions()}async scanExtensions(c){const l=[];(c===null||c===0)&&l.push(this.scanSystemExtensions().then(null,f=>Promise.reject(new g.ExtensionManagementError(this.joinErrors(f).message,o)))),(c===null||c===1)&&l.push(this.scanUserExtensions(!0).then(null,f=>Promise.reject(new g.ExtensionManagementError(this.joinErrors(f).message,i))));try{const f=await Promise.all(l);return(0,y.flatten)(f)}catch(f){throw this.joinErrors(f)}}async scanUserExtensions(c){this.logService.trace("Started scanning user extensions");let[l,f]=await Promise.all([this.getUninstalledExtensions(),this.scanAllUserExtensions()]);return f=f.filter(w=>!l[new S.ExtensionIdentifierWithVersion(w.identifier,w.manifest.version).key()]),c&&(f=(0,S.groupByExtension)(f,h=>h.identifier).map(h=>h.sort((O,_)=>k.rcompare(O.manifest.version,_.manifest.version))[0])),this.logService.trace("Scanned user extensions:",f.length),f}async scanAllUserExtensions(){return this.scanExtensionsInDir(this.extensionsPath,1)}async extractUserExtension(c,l,f){const w=c.key(),h=A.join(this.extensionsPath,`.${w}`),O=A.join(this.extensionsPath,w);try{await R.rimraf(O)}catch($){try{await R.rimraf(O)}catch(q){}throw new g.ExtensionManagementError((0,a.localize)(0,null,O,c.id),n)}await this.extractAtLocation(c,l,h,f);try{await this.rename(c,h,O,Date.now()+2*60*1e3),this.logService.info("Renamed to",O)}catch($){this.logService.info("Rename failed. Deleting from extracted location",h);try{R.rimraf(h)}catch(q){}throw $}let _=null;try{_=await this.scanExtension(w,this.extensionsPath,1)}catch($){}if(_)return _;throw new Error((0,a.localize)(1,null,this.extensionsPath))}async saveMetadataForLocalExtension(c,l){this.setMetadata(c,l),l.isMachineScoped=l.isMachineScoped||void 0,l.isBuiltin=l.isBuiltin||void 0;const f=A.join(c.location.fsPath,"package.json"),w=await v.promises.readFile(f,"utf8"),{manifest:h}=await this.parseManifest(w);return h.__metadata=l,await R.writeFile(f,JSON.stringify(h,null,"	")),c}getUninstalledExtensions(){return this.withUninstalledExtensions(c=>c)}async withUninstalledExtensions(c){return this.uninstalledFileLimiter.queue(async()=>{let l;try{l=await v.promises.readFile(this.uninstalledPath,"utf8")}catch(h){if(h.code!=="ENOENT")throw h}let f={};if(l)try{f=JSON.parse(l)}catch(h){}const w=c(f);return Object.keys(f).length?await R.writeFile(this.uninstalledPath,JSON.stringify(f)):await R.rimraf(this.uninstalledPath),w})}async removeExtension(c,l){this.logService.trace(`Deleting ${l} extension from disk`,c.identifier.id,c.location.fsPath),await R.rimraf(c.location.fsPath),this.logService.info("Deleted from disk",c.identifier.id,c.location.fsPath)}async removeUninstalledExtension(c){await this.removeExtension(c,"uninstalled"),await this.withUninstalledExtensions(l=>delete l[new S.ExtensionIdentifierWithVersion(c.identifier,c.manifest.version).key()])}async extractAtLocation(c,l,f,w){this.logService.trace(`Started extracting the extension from ${l} to ${f}`);try{await R.rimraf(f)}catch(h){throw new g.ExtensionManagementError(this.joinErrors(h).message,n)}try{await(0,b.extract)(l,f,{sourcePath:"extension",overwrite:!0},w),this.logService.info(`Extracted extension to ${f}:`,c.id)}catch(h){try{await R.rimraf(f)}catch(O){}throw new g.ExtensionManagementError(h.message,h instanceof b.ExtractError&&h.type?h.type:t)}}async rename(c,l,f,w){try{await v.promises.rename(l,f)}catch(h){if(p.isWindows&&h&&h.code==="EPERM"&&Date.now()<w)return this.logService.info(`Failed renaming ${l} to ${f} with 'EPERM' error. Trying again...`,c.id),this.rename(c,l,f,w);throw new g.ExtensionManagementError(h.message||(0,a.localize)(2,null,l,f),h.code||r)}}async scanSystemExtensions(){this.logService.trace("Started scanning system extensions");const c=this.scanDefaultSystemExtensions();if(this.environmentService.isBuilt)return c;const l=this.scanDevSystemExtensions(),[f,w]=await Promise.all([c,l]);return[...f,...w]}async scanExtensionsInDir(c,l){const f=new I.Limiter(10),w=await R.readdir(c);return(await Promise.all(w.map(O=>f.queue(()=>this.scanExtension(O,c,l))))).filter(O=>O&&O.identifier)}async scanExtension(c,l,f){if(f===1&&c.indexOf(".")===0)return null;const w=A.join(l,c);try{const h=await R.readdir(w),{manifest:O,metadata:_}=await this.readManifest(w),$=h.filter(j=>/^readme(\.txt|\.md|)$/i.test(j))[0],q=$?d.URI.file(A.join(w,$)):void 0,V=h.filter(j=>/^changelog(\.txt|\.md|)$/i.test(j))[0],z=V?d.URI.file(A.join(w,V)):void 0,Y={id:(0,S.getGalleryExtensionId)(O.publisher,O.name)},x={type:f,identifier:Y,manifest:O,location:d.URI.file(w),readmeUrl:q,changelogUrl:z,publisherDisplayName:null,publisherId:null,isMachineScoped:!1,isBuiltin:f===0};return _&&this.setMetadata(x,_),x}catch(h){return this.logService.trace(h),null}}async scanDefaultSystemExtensions(){const c=await this.scanExtensionsInDir(this.systemExtensionsPath,0);return this.logService.trace("Scanned system extensions:",c.length),c}async scanDevSystemExtensions(){const c=this.getDevSystemExtensionsList();if(c.length){const l=await this.scanExtensionsInDir(this.devSystemExtensionsPath,0);return this.logService.trace("Scanned dev system extensions:",l.length),l.filter(f=>c.some(w=>(0,S.areSameExtensions)(f.identifier,{id:w})))}else return[]}setMetadata(c,l){c.publisherDisplayName=l.publisherDisplayName||null,c.publisherId=l.publisherId||null,c.identifier.uuid=l.id,c.isMachineScoped=!!l.isMachineScoped,c.isBuiltin=c.type===0||!!l.isBuiltin}async removeUninstalledExtensions(){const c=await this.getUninstalledExtensions(),l=await this.scanAllUserExtensions(),f=new Set;for(const O of l)c[new S.ExtensionIdentifierWithVersion(O.identifier,O.manifest.version).key()]||f.add(O.identifier.id.toLowerCase());const w=(0,S.groupByExtension)(l,O=>O.identifier);await I.Promises.settled(w.map(async O=>{const _=O.sort(($,q)=>k.rcompare($.manifest.version,q.manifest.version))[0];f.has(_.identifier.id.toLowerCase())||await this.beforeRemovingExtension(_)}));const h=l.filter(O=>c[new S.ExtensionIdentifierWithVersion(O.identifier,O.manifest.version).key()]);await I.Promises.settled(h.map(O=>this.removeUninstalledExtension(O)))}async removeOutdatedExtensions(){const c=await this.scanAllUserExtensions(),l=[],f=(0,S.groupByExtension)(c,w=>w.identifier);l.push(...(0,y.flatten)(f.map(w=>w.sort((h,O)=>k.rcompare(h.manifest.version,O.manifest.version)).slice(1)))),await I.Promises.settled(l.map(w=>this.removeExtension(w,"outdated")))}getDevSystemExtensionsList(){return(this.productService.builtInExtensions||[]).map(c=>c.name)}joinErrors(c){const l=Array.isArray(c)?c:[c];return l.length===1?l[0]instanceof Error?l[0]:new Error(l[0]):l.reduce((f,w)=>new Error(`${f.message}${f.message?",":""}${w instanceof Error?w.message:w}`),new Error(""))}get devSystemExtensionsPath(){return this._devSystemExtensionsPath||(this._devSystemExtensionsPath=A.normalize(A.join(m.FileAccess.asFileUri("",G).fsPath,"..",".build","builtInExtensions"))),this._devSystemExtensionsPath}async readManifest(c){const l=[v.promises.readFile(A.join(c,"package.json"),"utf8").then(O=>this.parseManifest(O)),v.promises.readFile(A.join(c,"package.nls.json"),"utf8").then(void 0,O=>O.code!=="ENOENT"?Promise.reject(O):"{}").then(O=>JSON.parse(O))],[{manifest:f,metadata:w},h]=await Promise.all(l);return{manifest:(0,D.localizeManifest)(f,h),metadata:w}}parseManifest(c){return new Promise((l,f)=>{try{const w=JSON.parse(c),h=w.__metadata||null;l({manifest:w,metadata:h})}catch(w){f(new Error((0,a.localize)(3,null)))}})}};u=ue([K(1,L.ILogService),K(2,E.INativeEnvironmentService),K(3,C.IProductService)],u),e.ExtensionsScanner=u}),define(Z[200],ee([0,1,27,111,8,23,2,18,61,28,34,10,6,3,56,5,36,7,13,142,43,25,68,16,30,70,4,15,29,198,150,199,151]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b,p,y,m,o,i,t,n,r,u,s,c,l,f,w,h,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionManagementService=void 0;const _="unsetUninstalled",$="downloading",q="validating",V="local",z="unknown";let Y=class extends A.Disposable{constructor(j,F,P,T,M,N){super();this.environmentService=j,this.galleryService=F,this.logService=P,this.downloadService=T,this.telemetryService=M,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new D.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtension=this._register(new D.Emitter),this.onDidInstallExtension=this._onDidInstallExtension.event,this._onUninstallExtension=this._register(new D.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new D.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event;const W=this._register(N.createInstance(O.ExtensionsLifecycle));this.extensionsScanner=this._register(N.createInstance(h.ExtensionsScanner,H=>W.postUninstall(H))),this.manifestCache=this._register(new m.ExtensionsManifestCache(j,this)),this.extensionsDownloader=this._register(N.createInstance(w.ExtensionsDownloader)),this._register((0,A.toDisposable)(()=>{this.installingExtensions.forEach(H=>H.cancel()),this.uninstallingExtensions.forEach(H=>H.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async zip(j){this.logService.trace("ExtensionManagementService#zip",j.identifier.id);const F=await this.collectFiles(j),P=await(0,g.zip)((0,n.joinPath)(this.environmentService.tmpDir,(0,r.generateUuid)()).fsPath,F);return C.URI.file(P)}async unzip(j){return this.logService.trace("ExtensionManagementService#unzip",j.toString()),(await this.install(j)).identifier}async getManifest(j){const F=await this.downloadVsix(j),P=U.resolve(F.fsPath);return(0,f.getManifest)(P)}async collectFiles(j){const F=async T=>{let M=await R.readdir(T);M=M.map(H=>U.join(T,H));const N=await Promise.all(M.map(H=>v.promises.stat(H)));let W=Promise.resolve([]);return N.forEach((H,Q)=>{const X=M[Q];H.isFile()&&(W=W.then(ie=>[...ie,X])),H.isDirectory()&&(W=W.then(ie=>F(X).then(se=>[...ie,...se])))}),W};return(await F(j.location.fsPath)).map(T=>({path:`extension/${U.relative(j.location.fsPath,T)}`,localPath:T}))}async install(j,F={}){return this.logService.trace("ExtensionManagementService#install",j.toString()),(0,E.createCancelablePromise)(async P=>{const T=await this.downloadVsix(j),M=U.resolve(T.fsPath),N=await(0,f.getManifest)(M),W={id:(0,I.getGalleryExtensionId)(N.publisher,N.name)};let H=1;if(N.engines&&N.engines.vscode&&!(0,t.isEngineValid)(N.engines.vscode,b.default.version))throw new Error(k.localize(0,null,W.id,b.default.version));const Q=new I.ExtensionIdentifierWithVersion(W,N.version),ie=(await this.getInstalled(1)).find(ce=>(0,I.areSameExtensions)(W,ce.identifier));if(ie)if(F.isMachineScoped=F.isMachineScoped||ie.isMachineScoped,F.isBuiltin=F.isBuiltin||ie.isBuiltin,H=2,Q.equals(new I.ExtensionIdentifierWithVersion(ie.identifier,ie.manifest.version)))try{await this.extensionsScanner.removeExtension(ie,"existing")}catch(ce){throw new Error(k.localize(1,null,N.displayName||N.name))}else a.gt(ie.manifest.version,N.version)&&await this.uninstallExtension(ie);else{const ce=await this.unsetUninstalledAndGetLocal(Q);if(ce)try{await this.extensionsScanner.removeExtension(ce,"existing")}catch(he){throw new Error(k.localize(2,null,N.displayName||N.name))}}this.logService.info("Installing the extension:",W.id),this._onInstallExtension.fire({identifier:W,zipPath:M});let se;try{se=await this.getGalleryMetadata((0,I.getGalleryExtensionId)(N.publisher,N.name))}catch(ce){}try{const ce=await this.installFromZipPath(Q,M,Object.assign(Object.assign({},se||{}),F),F,H,P);return this.logService.info("Successfully installed the extension:",W.id),ce}catch(ce){throw this.logService.error("Failed to install the extension:",W.id,ce.message),ce}})}async downloadVsix(j){if(j.scheme===c.Schemas.file)return j;if(!this.downloadService)throw new Error("Download service is not available");const F=(0,n.joinPath)(this.environmentService.tmpDir,(0,r.generateUuid)());return await this.downloadService.download(j,F),F}async installFromZipPath(j,F,P,T,M,N){try{const W=await this.installExtension({zipPath:F,identifierWithVersion:j,metadata:P},N);try{await this.installDependenciesAndPackExtensions(W,void 0,T)}catch(H){(0,L.isNonEmptyArray)(W.manifest.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",W.identifier.id,H.message),(0,L.isNonEmptyArray)(W.manifest.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",W.identifier.id,H.message)}return this._onDidInstallExtension.fire({identifier:j,zipPath:F,local:W,operation:M}),W}catch(W){throw this._onDidInstallExtension.fire({identifier:j,zipPath:F,operation:M,error:W}),W}}async canInstall(j){return!0}async installFromGallery(j,F={}){if(!this.galleryService.isEnabled())throw new Error(k.localize(3,null));try{j=await this.checkAndGetCompatibleVersion(j)}catch(M){const N=M&&M.code?M.code:z;throw this.logService.error("Failed to install extension:",j.identifier.id,M?M.message:N),this.reportTelemetry(this.getTelemetryEvent(1),(0,I.getGalleryExtensionTelemetryData)(j),void 0,M),M instanceof Error&&(M.name=N),M}const P=new I.ExtensionIdentifierWithVersion(j.identifier,j.version).key();let T=this.installingExtensions.get(P);return T||(T=(0,E.createCancelablePromise)(M=>this.doInstallFromGallery(j,F,M)),this.installingExtensions.set(P,T),T.finally(()=>this.installingExtensions.delete(P))),T}async doInstallFromGallery(j,F,P){const T=new Date().getTime();let M=1;this.logService.info("Installing extension:",j.identifier.id),this._onInstallExtension.fire({identifier:j.identifier,gallery:j});try{const W=(await this.getInstalled(1)).find(X=>(0,I.areSameExtensions)(X.identifier,j.identifier));W&&(M=2);const H=await this.downloadInstallableExtension(j,M);H.metadata.isMachineScoped=F.isMachineScoped||(W==null?void 0:W.isMachineScoped),H.metadata.isBuiltin=F.isBuiltin||(W==null?void 0:W.isBuiltin);const Q=await this.installExtension(H,P);try{await this.extensionsDownloader.delete(C.URI.file(H.zipPath))}catch(X){}if(!F.donotIncludePackAndDependencies)try{await this.installDependenciesAndPackExtensions(Q,W,F)}catch(X){try{await this.uninstall(Q)}catch(ie){}throw X}return W&&a.neq(W.manifest.version,j.version)&&await this.setUninstalled(W),this.logService.info("Extensions installed successfully:",j.identifier.id),this._onDidInstallExtension.fire({identifier:j.identifier,gallery:j,local:Q,operation:M}),this.reportTelemetry(this.getTelemetryEvent(M),(0,I.getGalleryExtensionTelemetryData)(j),new Date().getTime()-T,void 0),Q}catch(N){const W=N&&N.code?N.code:z;throw this.logService.error("Failed to install extension:",j.identifier.id,N?N.message:W),this._onDidInstallExtension.fire({identifier:j.identifier,gallery:j,operation:M,error:W}),this.reportTelemetry(this.getTelemetryEvent(M),(0,I.getGalleryExtensionTelemetryData)(j),new Date().getTime()-T,N),N instanceof Error&&(N.name=W),N}}async checkAndGetCompatibleVersion(j){if(await this.isMalicious(j))throw new S.ExtensionManagementError(k.localize(4,null),S.INSTALL_ERROR_MALICIOUS);const F=await this.galleryService.getCompatibleExtension(j);if(!F)throw new S.ExtensionManagementError(k.localize(5,null,j.identifier.id,b.default.version),S.INSTALL_ERROR_INCOMPATIBLE);return F}async reinstallFromGallery(j){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",j.identifier.id),!this.galleryService.isEnabled())throw new Error(k.localize(6,null));const F=await this.findGalleryExtension(j);if(!F)throw new Error(k.localize(7,null));await this.setUninstalled(j);try{await this.extensionsScanner.removeUninstalledExtension(j)}catch(P){throw new Error(k.localize(8,null,(0,o.toErrorMessage)(P)))}await this.installFromGallery(F)}getTelemetryEvent(j){return j===2?"extensionGallery:update":"extensionGallery:install"}async isMalicious(j){const F=await this.getExtensionsReport();return(0,I.getMaliciousExtensionsSet)(F).has(j.identifier.id)}async downloadInstallableExtension(j,F){const P={id:j.identifier.uuid,publisherId:j.publisherId,publisherDisplayName:j.publisherDisplayName};let T;try{this.logService.trace("Started downloading extension:",j.identifier.id);const M=await this.extensionsDownloader.downloadExtension(j,F);this.logService.info("Downloaded extension:",j.identifier.id,T),T=M.fsPath}catch(M){throw new S.ExtensionManagementError(this.joinErrors(M).message,$)}try{const M=await(0,f.getManifest)(T);return{zipPath:T,identifierWithVersion:new I.ExtensionIdentifierWithVersion(j.identifier,M.version),metadata:P}}catch(M){throw new S.ExtensionManagementError(this.joinErrors(M).message,q)}}async installExtension(j,F){try{const P=await this.unsetUninstalledAndGetLocal(j.identifierWithVersion);if(P)return j.metadata?this.extensionsScanner.saveMetadataForLocalExtension(P,j.metadata):P}catch(P){throw p.isMacintosh?new S.ExtensionManagementError(k.localize(9,null),_):new S.ExtensionManagementError(k.localize(10,null),_)}return this.extractAndInstall(j,F)}async unsetUninstalledAndGetLocal(j){return await this.isUninstalled(j)?(this.logService.trace("Removing the extension from uninstalled list:",j.id),await this.unsetUninstalled(j),this.logService.info("Removed the extension from uninstalled list:",j.id),(await this.getInstalled(1)).find(T=>new I.ExtensionIdentifierWithVersion(T.identifier,T.manifest.version).equals(j))||null):null}async extractAndInstall({zipPath:j,identifierWithVersion:F,metadata:P},T){let M=await this.extensionsScanner.extractUserExtension(F,j,T);return this.logService.info("Installation completed.",F.id),P&&(M=await this.extensionsScanner.saveMetadataForLocalExtension(M,P)),M}async installDependenciesAndPackExtensions(j,F,P){if(!!this.galleryService.isEnabled()){const T=j.manifest.extensionDependencies||[];if(j.manifest.extensionPack)for(const M of j.manifest.extensionPack)F&&F.manifest.extensionPack&&F.manifest.extensionPack.some(N=>(0,I.areSameExtensions)({id:N},{id:M}))||T.every(N=>!(0,I.areSameExtensions)({id:N},{id:M}))&&T.push(M);if(T.length){const M=await this.getInstalled(),N=T.filter(W=>M.every(({identifier:H})=>!(0,I.areSameExtensions)(H,{id:W})));if(N.length){const H=(await this.galleryService.query({names:N,pageSize:T.length},l.CancellationToken.None)).firstPage;try{await E.Promises.settled(H.map(Q=>this.installFromGallery(Q,P)))}catch(Q){try{await this.rollback(H)}catch(X){}throw Q}}}}}async rollback(j){const P=(await this.getInstalled(1)).filter(T=>j.some(M=>new I.ExtensionIdentifierWithVersion(T.identifier,T.manifest.version).equals(new I.ExtensionIdentifierWithVersion(M.identifier,M.version))));await E.Promises.settled(P.map(T=>this.uninstall(T)))}async uninstall(j,F={}){this.logService.trace("ExtensionManagementService#uninstall",j.identifier.id);const P=await this.getInstalled(1),T=P.find(M=>(0,I.areSameExtensions)(M.identifier,j.identifier));if(!T)throw new Error(k.localize(11,null,j.manifest.displayName||j.manifest.name));try{await this.checkForDependenciesAndUninstall(T,P,F)}catch(M){throw this.joinErrors(M)}}async updateMetadata(j,F){return this.logService.trace("ExtensionManagementService#updateMetadata",j.identifier.id),j=await this.extensionsScanner.saveMetadataForLocalExtension(j,Object.assign(Object.assign({},j.manifest.__metadata||{}),F)),this.manifestCache.invalidate(),j}async updateExtensionScope(j,F){return this.logService.trace("ExtensionManagementService#updateExtensionScope",j.identifier.id),j=await this.extensionsScanner.saveMetadataForLocalExtension(j,Object.assign(Object.assign({},j.manifest.__metadata||{}),{isMachineScoped:F})),this.manifestCache.invalidate(),j}async getGalleryMetadata(j){const F=await this.findGalleryExtensionByName(j);return F?{id:F.identifier.uuid,publisherDisplayName:F.publisherDisplayName,publisherId:F.publisherId}:void 0}async findGalleryExtension(j){if(j.identifier.uuid){const F=await this.findGalleryExtensionById(j.identifier.uuid);return F||this.findGalleryExtensionByName(j.identifier.id)}return this.findGalleryExtensionByName(j.identifier.id)}async findGalleryExtensionById(j){return(await this.galleryService.query({ids:[j],pageSize:1},l.CancellationToken.None)).firstPage[0]}async findGalleryExtensionByName(j){return(await this.galleryService.query({names:[j],pageSize:1},l.CancellationToken.None)).firstPage[0]}joinErrors(j){const F=Array.isArray(j)?j:[j];return F.length===1?F[0]instanceof Error?F[0]:new Error(F[0]):F.reduce((P,T)=>new Error(`${P.message}${P.message?",":""}${T instanceof Error?T.message:T}`),new Error(""))}async checkForDependenciesAndUninstall(j,F,P){try{await this.preUninstallExtension(j);const T=P.donotIncludePack?[]:this.getAllPackExtensionsToUninstall(j,F);await this.uninstallExtensions(j,T,F,P)}catch(T){throw await this.postUninstallExtension(j,new S.ExtensionManagementError(T instanceof Error?T.message:T,V)),T}await this.postUninstallExtension(j)}async uninstallExtensions(j,F,P,T){const M=[j,...F];if(!T.donotCheckDependents)for(const N of M)this.checkForDependents(N,M,P,j);await E.Promises.settled([this.uninstallExtension(j),...F.map(N=>this.doUninstall(N))])}checkForDependents(j,F,P,T){const M=this.getDependents(j,P);if(M.length){const N=M.filter(W=>F.indexOf(W)===-1);if(N.length)throw new Error(this.getDependentsErrorMessage(j,N,T))}}getDependentsErrorMessage(j,F,P){return P===j?F.length===1?k.localize(12,null,P.manifest.displayName||P.manifest.name,F[0].manifest.displayName||F[0].manifest.name):F.length===2?k.localize(13,null,P.manifest.displayName||P.manifest.name,F[0].manifest.displayName||F[0].manifest.name,F[1].manifest.displayName||F[1].manifest.name):k.localize(14,null,P.manifest.displayName||P.manifest.name,F[0].manifest.displayName||F[0].manifest.name,F[1].manifest.displayName||F[1].manifest.name):F.length===1?k.localize(15,null,P.manifest.displayName||P.manifest.name,j.manifest.displayName||j.manifest.name,F[0].manifest.displayName||F[0].manifest.name):F.length===2?k.localize(16,null,P.manifest.displayName||P.manifest.name,j.manifest.displayName||j.manifest.name,F[0].manifest.displayName||F[0].manifest.name,F[1].manifest.displayName||F[1].manifest.name):k.localize(17,null,P.manifest.displayName||P.manifest.name,j.manifest.displayName||j.manifest.name,F[0].manifest.displayName||F[0].manifest.name,F[1].manifest.displayName||F[1].manifest.name)}getAllPackExtensionsToUninstall(j,F,P=[]){if(P.indexOf(j)!==-1)return[];P.push(j);const T=j.manifest.extensionPack?j.manifest.extensionPack:[];if(T.length){const M=F.filter(W=>!W.isBuiltin&&T.some(H=>(0,I.areSameExtensions)({id:H},W.identifier))),N=[];for(const W of M)N.push(...this.getAllPackExtensionsToUninstall(W,F,P));return[...M,...N]}return[]}getDependents(j,F){return F.filter(P=>P.manifest.extensionDependencies&&P.manifest.extensionDependencies.some(T=>(0,I.areSameExtensions)({id:T},j.identifier)))}async doUninstall(j){try{await this.preUninstallExtension(j),await this.uninstallExtension(j)}catch(F){throw await this.postUninstallExtension(j,new S.ExtensionManagementError(F instanceof Error?F.message:F,V)),F}await this.postUninstallExtension(j)}async preUninstallExtension(j){if(!await R.exists(j.location.fsPath))throw new Error(k.localize(18,null));this.logService.info("Uninstalling extension:",j.identifier.id),this._onUninstallExtension.fire(j.identifier)}async uninstallExtension(j){let F=this.uninstallingExtensions.get(j.identifier.id);return F||(F=(0,E.createCancelablePromise)(async()=>{const P=await this.extensionsScanner.scanUserExtensions(!1);await this.setUninstalled(...P.filter(T=>(0,I.areSameExtensions)(T.identifier,j.identifier)))}),this.uninstallingExtensions.set(j.identifier.id,F),F.finally(()=>this.uninstallingExtensions.delete(j.identifier.id))),F}async postUninstallExtension(j,F){if(F)this.logService.error("Failed to uninstall extension:",j.identifier.id,F.message);else if(this.logService.info("Successfully uninstalled extension:",j.identifier.id),j.identifier.uuid)try{await this.galleryService.reportStatistic(j.manifest.publisher,j.manifest.name,j.manifest.version,"uninstall")}catch(T){}this.reportTelemetry("extensionGallery:uninstall",(0,I.getLocalExtensionTelemetryData)(j),void 0,F);const P=F?F instanceof S.ExtensionManagementError?F.code:z:void 0;this._onDidUninstallExtension.fire({identifier:j.identifier,error:P})}getInstalled(j=null){return this.extensionsScanner.scanExtensions(j)}removeDeprecatedExtensions(){return this.extensionsScanner.cleanUp()}async isUninstalled(j){return(await this.filterUninstalled(j)).length===1}filterUninstalled(...j){return this.extensionsScanner.withUninstalledExtensions(F=>{const P=[];for(const T of j)F[T.key()]&&P.push(T.key());return P})}setUninstalled(...j){const F=j.map(P=>new I.ExtensionIdentifierWithVersion(P.identifier,P.manifest.version));return this.extensionsScanner.withUninstalledExtensions(P=>(F.forEach(T=>P[T.key()]=!0),P))}unsetUninstalled(j){return this.extensionsScanner.withUninstalledExtensions(F=>delete F[j.key()])}getExtensionsReport(){const j=new Date().getTime();return(!this.reportedExtensions||j-this.lastReportTimestamp>1e3*60*5)&&(this.reportedExtensions=this.updateReportCache(),this.lastReportTimestamp=j),this.reportedExtensions}async updateReportCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const j=await this.galleryService.getExtensionsReport();return this.logService.trace(`ExtensionManagementService.refreshReportedCache - got ${j.length} reported extensions from service`),j}catch(j){return this.logService.trace("ExtensionManagementService.refreshReportedCache - failed to get extension report"),[]}}reportTelemetry(j,F,P,T){const M=T?T instanceof S.ExtensionManagementError?T.code:z:void 0;this.telemetryService.publicLogError(j,Object.assign(Object.assign({},F),{success:!T,duration:P,errorcode:M}))}};Y=ue([K(0,d.INativeEnvironmentService),K(1,S.IExtensionGalleryService),K(2,y.ILogService),K(3,(0,s.optional)(u.IDownloadService)),K(4,i.ITelemetryService),K(5,s.IInstantiationService)],Y),e.ExtensionManagementService=Y}),define(Z[206],ee([0,1,27,38,207,100,36,99,33,75,50,146,10,161,128,28,200,172,24,163,40,164,25,58,170,79,80,175,13,76,155,55,2,165,70,160,159,140,139,148,147,77,171,69,152,9,154,15,31,20,193,195,190,57,158,191,196,169,19,167,192,59,189,173,60,71,130,197,174,84,83,82,4,149,141,14,43,8,81,178,177,194,137,143,176]),function(G,e,v,k,U,R,A,L,g,S,I,d,E,D,a,C,b,p,y,m,o,i,t,n,r,u,s,c,l,f,w,h,O,_,$,q,V,z,Y,x,j,F,P,T,M,N,W,H,Q,X,ie,se,ce,he,me,we,Ie,Te,ke,Fe,Ue,Me,De,Oe,$e,He,Ne,ze,J,ne,re,ge,B,te,oe,ae,le,de,ve,ye,Ee,be,Pe,Se,pe){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.main=void 0;class Ce extends O.Disposable{constructor(fe){super();this.configuration=fe,this.server=this._register(new L.Server),(0,U.gracefulify)(v),this.registerListeners()}registerListeners(){const fe=()=>this.dispose();process.once("exit",fe),R.ipcRenderer.once("vscode:electron-main->shared-process=exit",fe)}async open(){const fe=await this.initServices();(0,X.registerConfiguration)(),fe.invokeFunction(Le=>{const _e=Le.get(l.ILogService);_e.trace("sharedProcess configuration",JSON.stringify(this.configuration)),this.initChannels(Le),this.registerErrorHandler(_e)}),this._register((0,O.combinedDisposable)(new q.NodeCachedDataCleaner(this.configuration.nodeCachedDataDir),fe.createInstance(V.LanguagePackCachedDataCleaner),fe.createInstance(z.StorageDataCleaner,this.configuration.backupWorkspacesPath),fe.createInstance(Y.LogsDataCleaner),fe.createInstance(te.LocalizationsUpdater),fe.createInstance(oe.DeprecatedExtensionsCleaner)))}async initServices(){const fe=new S.ServiceCollection,Le=new D.NativeEnvironmentService(this.configuration.args);fe.set(E.INativeEnvironmentService,Le);const _e=new g.StaticRouter(je=>je==="main"),Ze=new f.LogLevelChannelClient(this.server.getChannel("logLevel",_e)),et=this._register(new l.MultiplexLogService([this._register(new l.ConsoleLogger(this.configuration.logLevel)),this._register(new F.SpdLogLogger("sharedprocess",(0,de.join)(Le.logsPath,"sharedprocess.log"),!0,this.configuration.logLevel))])),qe=this._register(new f.FollowerLogService(Ze,et));fe.set(l.ILogService,qe);const Ge=new j.MessagePortMainProcessService(this.server,_e);fe.set(x.IMainProcessService,Ge);const Be=this._register(new M.FileService(qe));fe.set(N.IFileService,Be);const tt=this._register(new W.DiskFileSystemProvider(qe));Be.registerProvider(H.Schemas.file,tt);const We=this._register(new m.ConfigurationService(Le.settingsResource,Be));fe.set(y.IConfigurationService,We),await We.initialize();const Ke=new Te.NativeStorageService(void 0,Ge,Le);fe.set(ke.IStorageService,Ke),await Ke.initialize(),this._register((0,O.toDisposable)(()=>Ke.flush())),fe.set(Q.IProductService,Object.assign({_serviceBrand:void 0},A.default)),fe.set(o.IRequestService,new I.SyncDescriptor(i.RequestService)),fe.set(Pe.IChecksumService,new I.SyncDescriptor(Se.ChecksumService));const Je=g.ProxyChannel.toService(Ge.getChannel("nativeHost"),{context:this.configuration.windowId});fe.set(he.INativeHostService,Je),fe.set($.IDownloadService,new I.SyncDescriptor(_.DownloadService));const it=this._register(new ze.ActiveWindowManager(Je)),nt=new g.StaticRouter(je=>it.getActiveClientId().then(ft=>je===ft));fe.set(He.IExtensionRecommendationNotificationService,new Ne.ExtensionRecommendationNotificationServiceChannelClient(this.server.getChannel("extensionRecommendationNotification",nt)));const Xe=this._register(new me.LoggerService(qe,Be));fe.set(l.ILoggerService,Xe);const{appRoot:at,extensionsPath:ct,extensionDevelopmentLocationURI:lt,isBuilt:ut,installSourcePath:ht}=Le;let Qe,Ve;if(!lt&&!Le.disableTelemetry&&A.default.enableTelemetry){if(Ve=new J.TelemetryLogAppender(Xe,Le),A.default.aiConfig&&A.default.aiConfig.asimovKey&&ut){const je=new c.AppInsightsAppender("monacoworkbench",null,A.default.aiConfig.asimovKey);this._register((0,O.toDisposable)(()=>je.flush())),Ve=(0,n.combinedAppender)(je,Ve)}Qe=new s.TelemetryService({appender:Ve,commonProperties:(0,r.resolveCommonProperties)(Be,(0,k.release)(),process.arch,A.default.commit,A.default.version,this.configuration.machineId,A.default.msftInternalDomains,ht),sendErrorTelemetry:!0,piiPaths:[at,ct]},We)}else Qe=n.NullTelemetryService,Ve=n.NullAppender;this.server.registerChannel("telemetryAppender",new u.TelemetryAppenderChannel(Ve)),fe.set(t.ITelemetryService,Qe);const dt=new pe.CustomEndpointTelemetryService(We,Qe);return fe.set(t.ICustomEndpointTelemetryService,dt),fe.set(C.IExtensionManagementService,new I.SyncDescriptor(b.ExtensionManagementService)),fe.set(C.IExtensionGalleryService,new I.SyncDescriptor(p.ExtensionGalleryService)),fe.set(C.IExtensionTipsService,new I.SyncDescriptor(Oe.ExtensionTipsService)),fe.set(h.ILocalizationsService,new I.SyncDescriptor(w.LocalizationsService)),fe.set(T.IDiagnosticsService,new I.SyncDescriptor(P.DiagnosticsService)),fe.set(Me.IUserDataSyncAccountService,new I.SyncDescriptor(Me.UserDataSyncAccountService)),fe.set(X.IUserDataSyncLogService,new I.SyncDescriptor(we.UserDataSyncLogService)),fe.set(X.IUserDataSyncUtilService,new ce.UserDataSyncUtilServiceClient(this.server.getChannel("userDataSyncUtil",je=>je.ctx!=="main"))),fe.set(C.IGlobalExtensionEnablementService,new I.SyncDescriptor(Fe.GlobalExtensionEnablementService)),fe.set(re.IIgnoredExtensionsManagementService,new I.SyncDescriptor(re.IgnoredExtensionsManagementService)),fe.set(ge.IExtensionsStorageSyncService,new I.SyncDescriptor(ge.ExtensionsStorageSyncService)),fe.set(X.IUserDataSyncStoreManagementService,new I.SyncDescriptor(se.UserDataSyncStoreManagementService)),fe.set(X.IUserDataSyncStoreService,new I.SyncDescriptor(se.UserDataSyncStoreService)),fe.set($e.IUserDataSyncMachinesService,new I.SyncDescriptor($e.UserDataSyncMachinesService)),fe.set(X.IUserDataSyncBackupStoreService,new I.SyncDescriptor(De.UserDataSyncBackupStoreService)),fe.set(X.IUserDataAutoSyncEnablementService,new I.SyncDescriptor(ne.UserDataAutoSyncEnablementService)),fe.set(X.IUserDataSyncResourceEnablementService,new I.SyncDescriptor(Ue.UserDataSyncResourceEnablementService)),fe.set(X.IUserDataSyncService,new I.SyncDescriptor(ie.UserDataSyncService)),fe.set(Ee.ILocalPtyService,this._register(new ye.PtyHostService(qe))),new d.InstantiationService(fe)}initChannels(fe){const Le=new a.ExtensionManagementChannel(fe.get(C.IExtensionManagementService),()=>null);this.server.registerChannel("extensions",Le);const _e=g.ProxyChannel.fromService(fe.get(h.ILocalizationsService));this.server.registerChannel("localizations",_e);const Ze=g.ProxyChannel.fromService(fe.get(T.IDiagnosticsService));this.server.registerChannel("diagnostics",Ze);const et=new a.ExtensionTipsChannel(fe.get(C.IExtensionTipsService));this.server.registerChannel("extensionTipsService",et);const qe=g.ProxyChannel.fromService(fe.get(Pe.IChecksumService));this.server.registerChannel("checksum",qe);const Ge=new ce.UserDataSyncMachinesServiceChannel(fe.get($e.IUserDataSyncMachinesService));this.server.registerChannel("userDataSyncMachines",Ge);const Be=g.ProxyChannel.fromService(fe.get(t.ICustomEndpointTelemetryService));this.server.registerChannel("customEndpointTelemetry",Be);const tt=new ce.UserDataSyncAccountServiceChannel(fe.get(Me.IUserDataSyncAccountService));this.server.registerChannel("userDataSyncAccount",tt);const We=new ce.UserDataSyncStoreManagementServiceChannel(fe.get(X.IUserDataSyncStoreManagementService));this.server.registerChannel("userDataSyncStoreManagement",We);const Ke=new be.UserDataSyncChannel(fe.get(X.IUserDataSyncService),fe.get(l.ILogService));this.server.registerChannel("userDataSync",Ke);const Je=this._register(fe.get(B.IInstantiationService).createInstance(Ie.UserDataAutoSyncService)),it=new ce.UserDataAutoSyncChannel(Je);this.server.registerChannel("userDataAutoSync",it);const nt=fe.get(Ee.ILocalPtyService),Xe=g.ProxyChannel.fromService(nt);this.server.registerChannel(ve.TerminalIpcChannels.LocalPty,Xe)}registerErrorHandler(fe){window.addEventListener("unhandledrejection",Le=>{(0,ae.onUnexpectedError)(Le.reason),Le.preventDefault()}),(0,ae.setUnexpectedErrorHandler)(Le=>{const _e=(0,le.toErrorMessage)(Le,!0);!_e||fe.error(`[uncaught exception in sharedProcess]: ${_e}`)})}}async function Re(Ae){const fe=new Ce(Ae);R.ipcRenderer.send("vscode:shared-process->electron-main=ipc-ready"),await fe.open(),R.ipcRenderer.send("vscode:shared-process->electron-main=init-done")}e.main=Re})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/9b2ee7fb7d970b9a628fdb3545bdd01d67078d16/core/vs/code/electron-browser/sharedProcess/sharedProcessMain.js.map
