/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var pe=["require","exports","vs/base/common/uri","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/base/common/lifecycle","vs/base/common/path","vs/workbench/api/common/extHostTypes","vs/base/common/strings","vs/base/common/platform","vs/base/common/network","vs/base/common/arrays","vs/platform/log/common/log","vs/workbench/api/common/extHostRpcService","vs/base/common/types","vs/nls","vs/nls!vs/workbench/services/extensions/node/extensionHostProcess","vs/base/common/errors","vs/base/common/async","vs/workbench/api/common/extHostTypeConverters","vs/base/common/cancellation","vs/base/common/objects","vs/base/common/map","vs/base/common/resources","vs/base/node/pfs","vs/base/common/buffer","vs/workbench/api/common/extHostInitDataService","vs/base/common/uuid","vs/platform/extensions/common/extensions","vs/base/common/extpath","vs/workbench/services/search/common/search","vs/workbench/api/common/extHostWorkspace","vs/base/common/glob","vs/workbench/api/common/extHostTerminalService","vs/workbench/api/common/extHostConfiguration","vs/base/common/process","fs","vs/workbench/api/common/extHostDocumentsAndEditors","child_process","vs/platform/registry/common/platform","vs/workbench/services/extensions/common/extensions","vs/workbench/api/common/extHostExtensionService","vs/editor/common/core/range","vs/workbench/api/common/extHostDebugService","vs/base/common/stopwatch","vs/base/common/codicons","os","vs/editor/common/core/position","vs/platform/files/common/files","vs/workbench/api/common/extHostTunnelService","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/api/common/extHostCommands","vs/base/common/assert","vs/base/common/collections","vs/base/common/decorators","vs/base/common/json","vs/base/common/linkedList","vs/base/common/marshalling","vs/base/common/errorMessage","vs/platform/contextkey/common/contextkey","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostOutput","vs/workbench/api/common/extHostWebview","vs/workbench/api/common/extHostTask","vs/base/common/performance","vs/workbench/api/common/extHostSearch","vs/base/common/functional","vs/base/common/idGenerator","vs/base/common/iterator","vs/base/common/numbers","vs/base/common/hash","vs/base/common/severity","vs/base/common/normalization","vs/base/common/labels","vs/editor/common/modes/languageSelector","vs/base/node/processes","vs/platform/instantiation/common/extensions","vs/editor/common/modes","vs/platform/instantiation/common/serviceCollection","vs/platform/configuration/common/configurationRegistry","vs/platform/configuration/common/configuration","vs/workbench/api/common/shared/webview","vs/workbench/api/common/exHostSecretState","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostStorage","vs/workbench/api/common/extHostStoragePaths","vs/workbench/services/search/node/ripgrepSearchUtils","vs/base/common/stream","vs/base/common/uint","vs/base/common/filters","vs/base/common/htmlContent","vs/base/common/comparers","vs/base/common/fuzzyScorer","vs/base/common/uriIpc","string_decoder","vs/base/node/powershell","vs/base/parts/ipc/common/ipc","vs/base/parts/ipc/common/ipc.net","vs/editor/common/core/characterClassifier","vs/editor/common/model","vs/editor/common/model/wordHelper","vs/editor/common/services/semanticTokensDto","vs/editor/common/viewModel/prefixSumComputer","vs/platform/instantiation/common/descriptors","vs/platform/log/node/spdlogLog","vs/platform/markers/common/markers","vs/platform/progress/common/progress","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteHosts","vs/platform/workspaces/common/workspaces","vs/workbench/api/common/cache","vs/workbench/api/common/extHostTelemetry","vs/workbench/contrib/debug/common/abstractDebugAdapter","net","vs/workbench/api/common/extHostDocumentData","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostWindow","vs/workbench/services/search/common/searchExtTypes","vs/workbench/services/search/common/textSearchManager","vs/workbench/services/search/node/textSearchManager","vs/workbench/services/search/node/ripgrepTextSearchEngine","vs/base/parts/ipc/node/ipc.net","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/lazy","vs/base/common/processes","vs/base/common/iconLabels","vs/base/node/decoder","vs/base/node/extpath","vs/editor/common/controller/wordCharacterClassifier","vs/editor/common/core/selection","vs/editor/common/model/textModelSearch","vs/editor/common/modes/languageConfiguration","vs/editor/common/modes/linkComputer","vs/editor/common/modes/tokenizationRegistry","vs/editor/common/model/mirrorTextModel","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/nls!vs/editor/common/config/editorOptions","vs/editor/common/config/editorOptions","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/theme/common/iconRegistry","vs/nls!vs/platform/workspaces/common/workspaces","vs/nls!vs/workbench/api/common/extHost.api.impl","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionActivator","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/api/node/extHostDebugService","vs/nls!vs/workbench/common/views","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/debug/node/debugAdapter","vs/nls!vs/workbench/contrib/externalTerminal/node/externalTerminalService","vs/nls!vs/workbench/contrib/search/common/queryBuilder","vs/nls!vs/workbench/contrib/tasks/common/taskService","vs/nls!vs/workbench/contrib/terminal/common/terminal","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/platform/editor/common/editor","vs/platform/instantiation/common/graph","vs/editor/common/services/modelService","vs/editor/common/modes/languageFeatureRegistry","vs/platform/commands/common/commands","vs/platform/environment/common/environment","vs/platform/extensionManagement/common/extensionManagement","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/instantiation/common/instantiationService","vs/platform/notification/common/notification","vs/platform/product/common/product","vs/platform/configuration/common/configurationModels","vs/platform/sign/node/signService","vs/platform/terminal/common/terminalDataBuffering","vs/platform/terminal/node/terminalEnvironment","vs/platform/theme/common/theme","vs/platform/theme/common/themeService","vs/platform/theme/common/iconRegistry","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostCodeInsets","vs/workbench/common/views","vs/workbench/api/common/apiCommands","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/contrib/debug/node/debugAdapter","vs/workbench/contrib/externalTerminal/node/externalTerminal","vs/workbench/contrib/externalTerminal/node/externalTerminalService","vs/workbench/contrib/debug/node/terminals","vs/workbench/api/common/extHostNotebookConcatDocument","vs/workbench/api/common/extHostTheming","vs/workbench/contrib/tasks/common/taskService","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/contrib/terminal/common/terminal","vs/workbench/contrib/terminal/common/terminalEnvironment","vs/workbench/contrib/terminal/node/terminal","vs/workbench/contrib/testing/common/testCollection","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostProgress","vs/workbench/api/common/extHostTreeViews","vs/workbench/contrib/testing/common/ownedTestCollection","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/api/node/extHostLogService","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/node/extHostDownloadService","vs/workbench/api/node/extHostOutputService","vs/workbench/api/node/extHostTunnelService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/api/common/extHostTesting","vs/workbench/contrib/search/common/queryBuilder","vs/workbench/api/common/shared/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/api/node/extHostDebugService","vs/workbench/api/node/extHostTask","vs/workbench/api/node/extHostTerminalService","vs/workbench/services/extensions/common/extensionHostMain","vs/workbench/services/search/common/fileSearchManager","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/common/extHost.common.services","vs/workbench/services/textfile/common/encoding","vs/workbench/services/extensions/node/proxyResolver","http","vs/workbench/services/search/node/ripgrepFileSearch","vscode-ripgrep","vs/workbench/services/search/node/fileSearch","vs/workbench/services/search/node/ripgrepSearchProvider","vs/workbench/services/search/node/textSearchAdapter","vs/workbench/services/search/node/rawSearchService","vs/workbench/api/node/extHostSearch","vs/workbench/api/node/extHostCLIServer","vs/workbench/api/node/extHostExtensionService","vs/workbench/api/node/extHost.node.services","vs/workbench/services/extensions/node/extensionHostProcessSetup","vs/base/common/marked/marked","https","tls","vscode-proxy-agent","events","vscode-regexpp","graceful-fs","crypto","zlib","minimist","vs/workbench/services/extensions/node/extensionHostProcess"],ve=function(Q){for(var e=[],v=0,D=Q.length;v<D;v++)e[v]=pe[Q[v]];return e};define(pe[53],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function v(D,A){if(!D)throw new Error(A?`Assertion failed (${A})`:"Assertion Failed")}e.ok=v}),define(pe[54],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const v=Object.prototype.hasOwnProperty;function D(T){const k=[];for(let b in T)v.call(T,b)&&k.push(T[b]);return k}e.values=D;function A(T,k){for(let b in T)if(v.call(T,b)&&k({key:b,value:T[b]},function(){delete T[b]})===!1)return}e.forEach=A;function I(T,k){const b=Object.create(null);for(const f of T){const l=k(f);let m=b[l];m||(m=b[l]=[]),m.push(f)}return b}e.groupBy=I;function C(T){const k=Object.create(null);return T&&T.forEach((b,f)=>{k[f]=b}),k}e.fromMap=C;function P(T,k){const b=[],f=[];for(let l of T)k.has(l)||b.push(l);for(let l of k)T.has(l)||f.push(l);return{removed:b,added:f}}e.diffSets=P;function y(T,k){const b=[],f=[];for(let[l,m]of T)k.has(l)||b.push(m);for(let[l,m]of k)T.has(l)||f.push(m);return{removed:b,added:f}}e.diffMaps=y;class i{constructor(){this.map=new Map}add(k,b){let f=this.map.get(k);f||(f=new Set,this.map.set(k,f)),f.add(b)}delete(k,b){const f=this.map.get(k);!f||(f.delete(b),f.size===0&&this.map.delete(k))}forEach(k,b){const f=this.map.get(k);!f||f.forEach(b)}}e.SetMap=i}),define(pe[55],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createMemoizer=e.createDecorator=void 0;function v(y){return(i,T,k)=>{let b=null,f=null;if(typeof k.value=="function"?(b="value",f=k.value):typeof k.get=="function"&&(b="get",f=k.get),!f)throw new Error("not supported");k[b]=y(f,T)}}e.createDecorator=v;let D=0;function A(){const y=`$memoize${D++}`;let i;const T=function(b,f,l){let m=null,S=null;if(typeof l.value=="function"?(m="value",S=l.value,S.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof l.get=="function"&&(m="get",S=l.get),!S)throw new Error("not supported");const g=`${y}:${f}`;l[m]=function(..._){return i=this,this.hasOwnProperty(g)||Object.defineProperty(this,g,{configurable:!0,enumerable:!1,writable:!0,value:S.apply(this,_)}),this[g]}};return T.clear=()=>{typeof i!="undefined"&&Object.getOwnPropertyNames(i).forEach(k=>{k.indexOf(y)===0&&delete i[k]})},T}e.createMemoizer=A;function I(y,i,T){return A()(y,i,T)}e.memoize=I;function C(y,i,T){return v((k,b)=>{const f=`$debounce$${b}`,l=`$debounce$result$${b}`;return function(...m){this[l]||(this[l]=T?T():void 0),clearTimeout(this[f]),i&&(this[l]=i(this[l],...m),m=[this[l]]),this[f]=setTimeout(()=>{k.apply(this,m),this[l]=T?T():void 0},y)}})}e.debounce=C;function P(y,i,T){return v((k,b)=>{const f=`$throttle$timer$${b}`,l=`$throttle$result$${b}`,m=`$throttle$lastRun$${b}`,S=`$throttle$pending$${b}`;return function(...g){if(this[l]||(this[l]=T?T():void 0),(this[m]===null||this[m]===void 0)&&(this[m]=-Number.MAX_VALUE),i&&(this[l]=i(this[l],...g)),!this[S]){const _=this[m]+y;_<=Date.now()?(this[m]=Date.now(),k.apply(this,[this[l]]),this[l]=T?T():void 0):(this[S]=!0,this[f]=setTimeout(()=>{this[S]=!1,this[m]=Date.now(),k.apply(this,[this[l]]),this[l]=T?T():void 0},_-Date.now()))}}})}e.throttle=P}),define(pe[18],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class v{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(t){setTimeout(()=>{throw t.stack?new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.listeners.push(t),()=>{this._removeListener(t)}}emit(t){this.listeners.forEach(r=>{r(t)})}_removeListener(t){this.listeners.splice(this.listeners.indexOf(t),1)}setUnexpectedErrorHandler(t){this.unexpectedErrorHandler=t}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(t){this.unexpectedErrorHandler(t),this.emit(t)}onUnexpectedExternalError(t){this.unexpectedErrorHandler(t)}}e.ErrorHandler=v,e.errorHandler=new v;function D(o){e.errorHandler.setUnexpectedErrorHandler(o)}e.setUnexpectedErrorHandler=D;function A(o){y(o)||e.errorHandler.onUnexpectedError(o)}e.onUnexpectedError=A;function I(o){y(o)||e.errorHandler.onUnexpectedExternalError(o)}e.onUnexpectedExternalError=I;function C(o){if(o instanceof Error){let{name:t,message:r}=o;const s=o.stacktrace||o.stack;return{$isError:!0,name:t,message:r,stack:s}}return o}e.transformErrorForSerialization=C;const P="Canceled";function y(o){return o instanceof Error&&o.name===P&&o.message===P}e.isPromiseCanceledError=y;class i extends Error{constructor(){super(P);this.name=this.message}}e.CancellationError=i;function T(){const o=new Error(P);return o.name=o.message,o}e.canceled=T;function k(o){return o?new Error(`Illegal argument: ${o}`):new Error("Illegal argument")}e.illegalArgument=k;function b(o){return o?new Error(`Illegal state: ${o}`):new Error("Illegal state")}e.illegalState=b;function f(o){return o?new Error(`readonly property '${o} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=f;function l(o){const t=new Error(`${o} has been disposed`);return t.name="DISPOSED",t}e.disposed=l;function m(o){return o?o.message?o.message:o.stack?o.stack.split(`
`)[0]:String(o):"Error"}e.getErrorMessage=m;class S extends Error{constructor(t){super("NotImplemented");t&&(this.message=t)}}e.NotImplementedError=S;class g extends Error{constructor(t){super("NotSupported");t&&(this.message=t)}}e.NotSupportedError=g;class _ extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=_;function u(o){const t=o;return t instanceof Error&&Array.isArray(t.actions)}e.isErrorWithActions=u;function c(o,t=Object.create(null)){const r=new Error(o);return t.actions&&(r.actions=t.actions),r}e.createErrorWithActions=c}),define(pe[12],ve([0,1,18]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function D(N,W=0){return N[N.length-(1+W)]}e.tail=D;function A(N){if(N.length===0)throw new Error("Invalid tail call");return[N.slice(0,N.length-1),N[N.length-1]]}e.tail2=A;function I(N,W,M=(O,F)=>O===F){if(N===W)return!0;if(!N||!W||N.length!==W.length)return!1;for(let O=0,F=N.length;O<F;O++)if(!M(N[O],W[O]))return!1;return!0}e.equals=I;function C(N,W,M){let O=0,F=N.length-1;for(;O<=F;){const B=(O+F)/2|0,V=M(N[B],W);if(V<0)O=B+1;else if(V>0)F=B-1;else return B}return-(O+1)}e.binarySearch=C;function P(N,W){let M=0,O=N.length;if(O===0)return 0;for(;M<O;){const F=Math.floor((M+O)/2);W(N[F])?O=F:M=F+1}return M}e.findFirstInSorted=P;function y(N,W,M){if(N=N|0,N>=W.length)throw new TypeError("invalid index");let O=W[Math.floor(W.length*Math.random())],F=[],B=[],V=[];for(let G of W){const ce=M(G,O);ce<0?F.push(G):ce>0?B.push(G):V.push(G)}return N<F.length?y(N,F,M):N<F.length+V.length?V[0]:y(N-(F.length+V.length),B,M)}e.quickSelect=y;function i(N,W){const M=[];let O;for(const F of N.slice(0).sort(W))!O||W(O[0],F)!==0?(O=[F],M.push(O)):O.push(F);return M}e.groupBy=i;function T(N,W,M){const O=[];function F(G,ce,me){if(!(ce===0&&me.length===0)){const Pe=O[O.length-1];Pe&&Pe.start+Pe.deleteCount===G?(Pe.deleteCount+=ce,Pe.toInsert.push(...me)):O.push({start:G,deleteCount:ce,toInsert:me})}}let B=0,V=0;for(;;){if(B===N.length){F(B,0,W.slice(V));break}if(V===W.length){F(B,N.length-B,[]);break}const G=N[B],ce=W[V],me=M(G,ce);me===0?(B+=1,V+=1):me<0?(F(B,1,[]),B+=1):me>0&&(F(B,0,[ce]),V+=1)}return O}e.sortedDiff=T;function k(N,W,M){const O=T(N,W,M),F=[],B=[];for(const V of O)F.push(...N.slice(V.start,V.start+V.deleteCount)),B.push(...V.toInsert);return{removed:F,added:B}}e.delta=k;function b(N,W,M){if(M===0)return[];const O=N.slice(0,M).sort(W);return l(N,W,O,M,N.length),O}e.top=b;function f(N,W,M,O,F){return M===0?Promise.resolve([]):new Promise((B,V)=>{(async()=>{const G=N.length,ce=N.slice(0,M).sort(W);for(let me=M,Pe=Math.min(M+O,G);me<G;me=Pe,Pe=Math.min(Pe+O,G)){if(me>M&&await new Promise(Ie=>setTimeout(Ie)),F&&F.isCancellationRequested)throw(0,v.canceled)();l(N,W,ce,me,Pe)}return ce})().then(B,V)})}e.topAsync=f;function l(N,W,M,O,F){for(const B=M.length;O<F;O++){const V=N[O];if(W(V,M[B-1])<0){M.pop();const G=P(M,ce=>W(V,ce)<0);M.splice(G,0,V)}}}function m(N){return N.filter(W=>!!W)}e.coalesce=m;function S(N){let W=0;for(let M=0;M<N.length;M++)N[M]&&(N[W]=N[M],W+=1);N.length=W}e.coalesceInPlace=S;function g(N,W,M){N.splice(M,0,N.splice(W,1)[0])}e.move=g;function _(N){return!Array.isArray(N)||N.length===0}e.isFalsyOrEmpty=_;function u(N){return Array.isArray(N)&&N.length>0}e.isNonEmptyArray=u;function c(N,W){if(!W)return N.filter((O,F)=>N.indexOf(O)===F);const M=Object.create(null);return N.filter(O=>{const F=W(O);return M[F]?!1:(M[F]=!0,!0)})}e.distinct=c;function o(N){const W=new Set;return N.filter(M=>W.has(M)?!1:(W.add(M),!0))}e.distinctES6=o;function t(N){const W=Object.create(null);return M=>{const O=N(M);return W[O]?!1:(W[O]=!0,!0)}}e.uniqueFilter=t;function r(N,W){for(let M=N.length-1;M>=0;M--){const O=N[M];if(W(O))return M}return-1}e.lastIndex=r;function s(N,W){return N.length>0?N[0]:W}e.firstOrDefault=s;function a(N,W,M=(O,F)=>O===F){let O=0;for(let F=0,B=Math.min(N.length,W.length);F<B&&M(N[F],W[F]);F++)O++;return O}e.commonPrefixLength=a;function n(N){return[].concat(...N)}e.flatten=n;function d(N,W){let M=typeof W=="number"?N:0;typeof W=="number"?M=N:(M=0,W=N);const O=[];if(M<=W)for(let F=M;F<W;F++)O.push(F);else for(let F=M;F>W;F--)O.push(F);return O}e.range=d;function p(N,W,M){return N.reduce((O,F)=>(O[W(F)]=M?M(F):F,O),Object.create(null))}e.index=p;function E(N,W){return N.push(W),()=>h(N,W)}e.insert=E;function h(N,W){const M=N.indexOf(W);if(M>-1)return N.splice(M,1),W}e.remove=h;function w(N,W,M){const O=N.slice(0,W),F=N.slice(W);return O.concat(M,F)}e.arrayInsert=w;function R(N,W){let M;if(typeof W=="number"){let O=W;M=()=>{const F=Math.sin(O++)*179426549;return F-Math.floor(F)}}else M=Math.random;for(let O=N.length-1;O>0;O-=1){const F=Math.floor(M()*(O+1)),B=N[O];N[O]=N[F],N[F]=B}}e.shuffle=R;function L(N,W){const M=N.indexOf(W);M>-1&&(N.splice(M,1),N.unshift(W))}e.pushToStart=L;function U(N,W){const M=N.indexOf(W);M>-1&&(N.splice(M,1),N.push(W))}e.pushToEnd=U;function J(N,W){return Array.isArray(N)?N.map(W):W(N)}e.mapArrayOrNot=J;function Z(N){return Array.isArray(N)?N:[N]}e.asArray=Z;function z(N){return N[Math.floor(Math.random()*N.length)]}e.getRandomElement=z;function q(N,W){for(const M of N){const O=W(M);if(O!==void 0)return O}}e.mapFind=q}),define(pe[70],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function v(D){const A=this;let I=!1,C;return function(){return I||(I=!0,C=D.apply(A,arguments)),C}}e.once=v}),define(pe[71],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class v{constructor(A){this._prefix=A,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=v,e.defaultGenerator=new v("id#")}),define(pe[72],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var v;(function(D){function A(o){return o&&typeof o=="object"&&typeof o[Symbol.iterator]=="function"}D.is=A;const I=Object.freeze([]);function C(){return I}D.empty=C;function*P(o){yield o}D.single=P;function y(o){return o||I}D.from=y;function i(o){return!o||o[Symbol.iterator]().next().done===!0}D.isEmpty=i;function T(o){return o[Symbol.iterator]().next().value}D.first=T;function k(o,t){for(const r of o)if(t(r))return!0;return!1}D.some=k;function b(o,t){for(const r of o)if(t(r))return r}D.find=b;function*f(o,t){for(const r of o)t(r)&&(yield r)}D.filter=f;function*l(o,t){for(const r of o)yield t(r)}D.map=l;function*m(...o){for(const t of o)for(const r of t)yield r}D.concat=m;function*S(o){for(const t of o)for(const r of t)yield r}D.concatNested=S;function g(o,t,r){let s=r;for(const a of o)s=t(s,a);return s}D.reduce=g;function*_(o,t,r=o.length){for(t<0&&(t+=o.length),r<0?r+=o.length:r>o.length&&(r=o.length);t<r;t++)yield o[t]}D.slice=_;function u(o,t=Number.POSITIVE_INFINITY){const r=[];if(t===0)return[r,o];const s=o[Symbol.iterator]();for(let a=0;a<t;a++){const n=s.next();if(n.done)return[r,D.empty()];r.push(n.value)}return[r,{[Symbol.iterator](){return s}}]}D.consume=u;function c(o,t,r=(s,a)=>s===a){const s=o[Symbol.iterator](),a=t[Symbol.iterator]();for(;;){const n=s.next(),d=a.next();if(n.done!==d.done)return!1;if(n.done)return!0;if(!r(n.value,d.value))return!1}}D.equals=c})(v=e.Iterable||(e.Iterable={}))}),define(pe[56],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var v;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(v=e.ScanError||(e.ScanError={}));var D;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(D=e.SyntaxKind||(e.SyntaxKind={}));var A;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(A=e.ParseErrorCode||(e.ParseErrorCode={}));var I;(function(t){t.DEFAULT={allowTrailingComma:!0}})(I=e.ParseOptions||(e.ParseOptions={}));function C(t,r=!1){let s=0,a=t.length,n="",d=0,p=16,E=0;function h(z){let q=0,N=0;for(;q<z;){const W=t.charCodeAt(s);if(W>=48&&W<=57)N=N*16+W-48;else if(W>=65&&W<=70)N=N*16+W-65+10;else if(W>=97&&W<=102)N=N*16+W-97+10;else break;s++,q++}return q<z&&(N=-1),N}function w(z){s=z,n="",d=0,p=16,E=0}function R(){const z=s;if(t.charCodeAt(s)===48)s++;else for(s++;s<t.length&&i(t.charCodeAt(s));)s++;if(s<t.length&&t.charCodeAt(s)===46)if(s++,s<t.length&&i(t.charCodeAt(s)))for(s++;s<t.length&&i(t.charCodeAt(s));)s++;else return E=3,t.substring(z,s);let q=s;if(s<t.length&&(t.charCodeAt(s)===69||t.charCodeAt(s)===101))if(s++,(s<t.length&&t.charCodeAt(s)===43||t.charCodeAt(s)===45)&&s++,s<t.length&&i(t.charCodeAt(s))){for(s++;s<t.length&&i(t.charCodeAt(s));)s++;q=s}else E=3;return t.substring(z,q)}function L(){let z="",q=s;for(;;){if(s>=a){z+=t.substring(q,s),E=2;break}const N=t.charCodeAt(s);if(N===34){z+=t.substring(q,s),s++;break}if(N===92){if(z+=t.substring(q,s),s++,s>=a){E=2;break}switch(t.charCodeAt(s++)){case 34:z+='"';break;case 92:z+="\\";break;case 47:z+="/";break;case 98:z+="\b";break;case 102:z+="\f";break;case 110:z+=`
`;break;case 114:z+="\r";break;case 116:z+="	";break;case 117:const M=h(4);M>=0?z+=String.fromCharCode(M):E=4;break;default:E=5}q=s;continue}if(N>=0&&N<=31)if(y(N)){z+=t.substring(q,s),E=2;break}else E=6;s++}return z}function U(){if(n="",E=0,d=s,s>=a)return d=a,p=17;let z=t.charCodeAt(s);if(P(z)){do s++,n+=String.fromCharCode(z),z=t.charCodeAt(s);while(P(z));return p=15}if(y(z))return s++,n+=String.fromCharCode(z),z===13&&t.charCodeAt(s)===10&&(s++,n+=`
`),p=14;switch(z){case 123:return s++,p=1;case 125:return s++,p=2;case 91:return s++,p=3;case 93:return s++,p=4;case 58:return s++,p=6;case 44:return s++,p=5;case 34:return s++,n=L(),p=10;case 47:const q=s-1;if(t.charCodeAt(s+1)===47){for(s+=2;s<a&&!y(t.charCodeAt(s));)s++;return n=t.substring(q,s),p=12}if(t.charCodeAt(s+1)===42){s+=2;const N=a-1;let W=!1;for(;s<N;){if(t.charCodeAt(s)===42&&t.charCodeAt(s+1)===47){s+=2,W=!0;break}s++}return W||(s++,E=1),n=t.substring(q,s),p=13}return n+=String.fromCharCode(z),s++,p=16;case 45:if(n+=String.fromCharCode(z),s++,s===a||!i(t.charCodeAt(s)))return p=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return n+=R(),p=11;default:for(;s<a&&J(z);)s++,z=t.charCodeAt(s);if(d!==s){switch(n=t.substring(d,s),n){case"true":return p=8;case"false":return p=9;case"null":return p=7}return p=16}return n+=String.fromCharCode(z),s++,p=16}}function J(z){if(P(z)||y(z))return!1;switch(z){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function Z(){let z;do z=U();while(z>=12&&z<=15);return z}return{setPosition:w,getPosition:()=>s,scan:r?Z:U,getToken:()=>p,getTokenValue:()=>n,getTokenOffset:()=>d,getTokenLength:()=>s-d,getTokenError:()=>E}}e.createScanner=C;function P(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function y(t){return t===10||t===13||t===8232||t===8233}function i(t){return t>=48&&t<=57}var T;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(T||(T={}));function k(t,r){const s=[],a=new Object;let n;const d={value:{},offset:0,length:0,type:"object",parent:void 0};let p=!1;function E(h,w,R,L){d.value=h,d.offset=w,d.length=R,d.type=L,d.colonOffset=void 0,n=d}try{u(t,{onObjectBegin:(h,w)=>{if(r<=h)throw a;n=void 0,p=r>h,s.push("")},onObjectProperty:(h,w,R)=>{if(r<w||(E(h,w,R,"property"),s[s.length-1]=h,r<=w+R))throw a},onObjectEnd:(h,w)=>{if(r<=h)throw a;n=void 0,s.pop()},onArrayBegin:(h,w)=>{if(r<=h)throw a;n=void 0,s.push(0)},onArrayEnd:(h,w)=>{if(r<=h)throw a;n=void 0,s.pop()},onLiteralValue:(h,w,R)=>{if(r<w||(E(h,w,R,o(h)),r<=w+R))throw a},onSeparator:(h,w,R)=>{if(r<=w)throw a;if(h===":"&&n&&n.type==="property")n.colonOffset=w,p=!1,n=void 0;else if(h===","){const L=s[s.length-1];typeof L=="number"?s[s.length-1]=L+1:(p=!0,s[s.length-1]=""),n=void 0}}})}catch(h){if(h!==a)throw h}return{path:s,previousNode:n,isAtPropertyKey:p,matches:h=>{let w=0;for(let R=0;w<h.length&&R<s.length;R++)if(h[w]===s[R]||h[w]==="*")w++;else if(h[w]!=="**")return!1;return w===h.length}}}e.getLocation=k;function b(t,r=[],s=I.DEFAULT){let a=null,n=[];const d=[];function p(h){Array.isArray(n)?n.push(h):a!==null&&(n[a]=h)}return u(t,{onObjectBegin:()=>{const h={};p(h),d.push(n),n=h,a=null},onObjectProperty:h=>{a=h},onObjectEnd:()=>{n=d.pop()},onArrayBegin:()=>{const h=[];p(h),d.push(n),n=h,a=null},onArrayEnd:()=>{n=d.pop()},onLiteralValue:p,onError:(h,w,R)=>{r.push({error:h,offset:w,length:R})}},s),n[0]}e.parse=b;function f(t,r=[],s=I.DEFAULT){let a={type:"array",offset:-1,length:-1,children:[],parent:void 0};function n(h){a.type==="property"&&(a.length=h-a.offset,a=a.parent)}function d(h){return a.children.push(h),h}u(t,{onObjectBegin:h=>{a=d({type:"object",offset:h,length:-1,parent:a,children:[]})},onObjectProperty:(h,w,R)=>{a=d({type:"property",offset:w,length:-1,parent:a,children:[]}),a.children.push({type:"string",value:h,offset:w,length:R,parent:a})},onObjectEnd:(h,w)=>{a.length=h+w-a.offset,a=a.parent,n(h+w)},onArrayBegin:(h,w)=>{a=d({type:"array",offset:h,length:-1,parent:a,children:[]})},onArrayEnd:(h,w)=>{a.length=h+w-a.offset,a=a.parent,n(h+w)},onLiteralValue:(h,w,R)=>{d({type:o(h),offset:w,length:R,parent:a,value:h}),n(w+R)},onSeparator:(h,w,R)=>{a.type==="property"&&(h===":"?a.colonOffset=w:h===","&&n(w))},onError:(h,w,R)=>{r.push({error:h,offset:w,length:R})}},s);const E=a.children[0];return E&&delete E.parent,E}e.parseTree=f;function l(t,r){if(!!t){let s=t;for(let a of r)if(typeof a=="string"){if(s.type!=="object"||!Array.isArray(s.children))return;let n=!1;for(const d of s.children)if(Array.isArray(d.children)&&d.children[0].value===a){s=d.children[1],n=!0;break}if(!n)return}else{const n=a;if(s.type!=="array"||n<0||!Array.isArray(s.children)||n>=s.children.length)return;s=s.children[n]}return s}}e.findNodeAtLocation=l;function m(t){if(!t.parent||!t.parent.children)return[];const r=m(t.parent);if(t.parent.type==="property"){const s=t.parent.children[0].value;r.push(s)}else if(t.parent.type==="array"){const s=t.parent.children.indexOf(t);s!==-1&&r.push(s)}return r}e.getNodePath=m;function S(t){switch(t.type){case"array":return t.children.map(S);case"object":const r=Object.create(null);for(let s of t.children){const a=s.children[1];a&&(r[s.children[0].value]=S(a))}return r;case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=S;function g(t,r,s=!1){return r>=t.offset&&r<t.offset+t.length||s&&r===t.offset+t.length}e.contains=g;function _(t,r,s=!1){if(g(t,r,s)){const a=t.children;if(Array.isArray(a))for(let n=0;n<a.length&&a[n].offset<=r;n++){const d=_(a[n],r,s);if(d)return d}return t}}e.findNodeAtOffset=_;function u(t,r,s=I.DEFAULT){const a=C(t,!1);function n(ce){return ce?()=>ce(a.getTokenOffset(),a.getTokenLength()):()=>!0}function d(ce){return ce?me=>ce(me,a.getTokenOffset(),a.getTokenLength()):()=>!0}const p=n(r.onObjectBegin),E=d(r.onObjectProperty),h=n(r.onObjectEnd),w=n(r.onArrayBegin),R=n(r.onArrayEnd),L=d(r.onLiteralValue),U=d(r.onSeparator),J=n(r.onComment),Z=d(r.onError),z=s&&s.disallowComments,q=s&&s.allowTrailingComma;function N(){for(;;){const ce=a.scan();switch(a.getTokenError()){case 4:W(14);break;case 5:W(15);break;case 3:W(13);break;case 1:z||W(11);break;case 2:W(12);break;case 6:W(16);break}switch(ce){case 12:case 13:z?W(10):J();break;case 16:W(1);break;case 15:case 14:break;default:return ce}}}function W(ce,me=[],Pe=[]){if(Z(ce),me.length+Pe.length>0){let Ie=a.getToken();for(;Ie!==17;){if(me.indexOf(Ie)!==-1){N();break}else if(Pe.indexOf(Ie)!==-1)break;Ie=N()}}}function M(ce){const me=a.getTokenValue();return ce?L(me):E(me),N(),!0}function O(){switch(a.getToken()){case 11:let ce=0;try{ce=JSON.parse(a.getTokenValue()),typeof ce!="number"&&(W(2),ce=0)}catch(me){W(2)}L(ce);break;case 7:L(null);break;case 8:L(!0);break;case 9:L(!1);break;default:return!1}return N(),!0}function F(){return a.getToken()!==10?(W(3,[],[2,5]),!1):(M(!1),a.getToken()===6?(U(":"),N(),G()||W(4,[],[2,5])):W(5,[],[2,5]),!0)}function B(){p(),N();let ce=!1;for(;a.getToken()!==2&&a.getToken()!==17;){if(a.getToken()===5){if(ce||W(4,[],[]),U(","),N(),a.getToken()===2&&q)break}else ce&&W(6,[],[]);F()||W(4,[],[2,5]),ce=!0}return h(),a.getToken()!==2?W(7,[2],[]):N(),!0}function V(){w(),N();let ce=!1;for(;a.getToken()!==4&&a.getToken()!==17;){if(a.getToken()===5){if(ce||W(4,[],[]),U(","),N(),a.getToken()===4&&q)break}else ce&&W(6,[],[]);G()||W(4,[],[4,5]),ce=!0}return R(),a.getToken()!==4?W(8,[4],[]):N(),!0}function G(){switch(a.getToken()){case 3:return V();case 1:return B();case 10:return M(!0);default:return O()}}return N(),a.getToken()===17?s.allowEmptyContent?!0:(W(4,[],[]),!1):G()?(a.getToken()!==17&&W(9,[],[]),!0):(W(4,[],[]),!1)}e.visit=u;function c(t,r){let s=C(t),a=[],n,d=0,p;do switch(p=s.getPosition(),n=s.scan(),n){case 12:case 13:case 17:d!==p&&a.push(t.substring(d,p)),r!==void 0&&a.push(s.getTokenValue().replace(/[^\r\n]/g,r)),d=s.getPosition();break}while(n!==17);return a.join("")}e.stripComments=c;function o(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=o}),define(pe[129],ve([0,1,56]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.format=void 0;function D(y,i,T){let k,b,f,l,m;if(i){for(l=i.offset,m=l+i.length,f=l;f>0&&!P(y,f-1);)f--;let d=m;for(;d<y.length&&!P(y,d);)d++;b=y.substring(f,d),k=I(b,T)}else b=y,k=0,f=0,l=0,m=y.length;const S=C(T,y);let g=!1,_=0,u;T.insertSpaces?u=A(" ",T.tabSize||4):u="	";const c=(0,v.createScanner)(b,!1);let o=!1;function t(){return S+A(u,k+_)}function r(){let d=c.scan();for(g=!1;d===15||d===14;)g=g||d===14,d=c.scan();return o=d===16||c.getTokenError()!==0,d}const s=[];function a(d,p,E){!o&&p<m&&E>l&&y.substring(p,E)!==d&&s.push({offset:p,length:E-p,content:d})}let n=r();if(n!==17){const d=c.getTokenOffset()+f,p=A(u,k);a(p,f,d)}for(;n!==17;){let d=c.getTokenOffset()+c.getTokenLength()+f,p=r(),E="";for(;!g&&(p===12||p===13);){const w=c.getTokenOffset()+f;a(" ",d,w),d=c.getTokenOffset()+c.getTokenLength()+f,E=p===12?t():"",p=r()}if(p===2)n!==1&&(_--,E=t());else if(p===4)n!==3&&(_--,E=t());else{switch(n){case 3:case 1:_++,E=t();break;case 5:case 12:E=t();break;case 13:g?E=t():E=" ";break;case 6:E=" ";break;case 10:if(p===6){E="";break}case 7:case 8:case 9:case 11:case 2:case 4:p===12||p===13?E=" ":p!==5&&p!==17&&(o=!0);break;case 16:o=!0;break}g&&(p===12||p===13)&&(E=t())}const h=c.getTokenOffset()+f;a(E,d,h),n=p}return s}e.format=D;function A(y,i){let T="";for(let k=0;k<i;k++)T+=y;return T}function I(y,i){let T=0,k=0;const b=i.tabSize||4;for(;T<y.length;){const f=y.charAt(T);if(f===" ")k++;else if(f==="	")k+=b;else break;T++}return Math.floor(k/b)}function C(y,i){for(let T=0;T<i.length;T++){const k=i.charAt(T);if(k==="\r")return T+1<i.length&&i.charAt(T+1)===`
`?`\r
`:"\r";if(k===`
`)return`
`}return y&&y.eol||`
`}e.getEOL=C;function P(y,i){return`\r
`.indexOf(y.charAt(i))!==-1}e.isEOL=P}),define(pe[130],ve([0,1,56,129]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function A(i,T,k){return I(i,T,void 0,k)}e.removeProperty=A;function I(i,T,k,b,f){const l=T.slice(),m=[],S=(0,v.parseTree)(i,m);let g,_;for(;l.length>0&&(_=l.pop(),g=(0,v.findNodeAtLocation)(S,l),g===void 0&&k!==void 0);)typeof _=="string"?k={[_]:k}:k=[k];if(g)if(g.type==="object"&&typeof _=="string"&&Array.isArray(g.children)){const u=(0,v.findNodeAtLocation)(g,[_]);if(u!==void 0)if(k===void 0){if(!u.parent)throw new Error("Malformed AST");const c=g.children.indexOf(u.parent);let o,t=u.parent.offset+u.parent.length;if(c>0){const r=g.children[c-1];o=r.offset+r.length}else o=g.offset+1,g.children.length>1&&(t=g.children[1].offset);return C(i,{offset:o,length:t-o,content:""},b)}else return C(i,{offset:u.offset,length:u.length,content:JSON.stringify(k)},b);else{if(k===void 0)return[];const c=`${JSON.stringify(_)}: ${JSON.stringify(k)}`,o=f?f(g.children.map(r=>r.children[0].value)):g.children.length;let t;if(o>0){const r=g.children[o-1];t={offset:r.offset+r.length,length:0,content:","+c}}else g.children.length===0?t={offset:g.offset+1,length:0,content:c}:t={offset:g.offset+1,length:0,content:c+","};return C(i,t,b)}}else if(g.type==="array"&&typeof _=="number"&&Array.isArray(g.children))if(k!==void 0){const u=`${JSON.stringify(k)}`;let c;if(g.children.length===0||_===0)c={offset:g.offset+1,length:0,content:g.children.length===0?u:u+","};else{const o=_===-1||_>g.children.length?g.children.length:_,t=g.children[o-1];c={offset:t.offset+t.length,length:0,content:","+u}}return C(i,c,b)}else{const u=_,c=g.children[u];let o;if(g.children.length===1)o={offset:g.offset+1,length:g.length-2,content:""};else if(g.children.length-1===u){const t=g.children[u-1],r=t.offset+t.length,s=g.offset+g.length;o={offset:r,length:s-2-r,content:""}}else o={offset:c.offset,length:g.children[u+1].offset-c.offset,content:""};return C(i,o,b)}else throw new Error(`Can not add ${typeof _!="number"?"index":"property"} to parent of type ${g.type}`);else{if(k===void 0)throw new Error("Can not delete in empty document");return C(i,{offset:S?S.offset:0,length:S?S.length:0,content:JSON.stringify(k)},b)}}e.setProperty=I;function C(i,T,k){let b=P(i,T),f=T.offset,l=T.offset+T.content.length;if(T.length===0||T.content.length===0){for(;f>0&&!(0,D.isEOL)(b,f-1);)f--;for(;l<b.length&&!(0,D.isEOL)(b,l);)l++}const m=(0,D.format)(b,{offset:f,length:l-f},k);for(let g=m.length-1;g>=0;g--){const _=m[g];b=P(b,_),f=Math.min(f,_.offset),l=Math.max(l,_.offset+_.length),l+=_.content.length-_.length}const S=i.length-(b.length-l)-f;return[{offset:f,length:S,content:b.substring(f,l)}]}e.withFormatting=C;function P(i,T){return i.substring(0,T.offset)+T.content+i.substring(T.offset+T.length)}e.applyEdit=P;function y(i,T){let k=T.slice(0).sort((f,l)=>{const m=f.offset-l.offset;return m===0?f.length-l.length:m}),b=i.length;for(let f=k.length-1;f>=0;f--){let l=k[f];if(l.offset+l.length<=b)i=P(i,l);else throw new Error("Overlapping edit");b=l.offset}return i}e.applyEdits=y}),define(pe[131],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class v{constructor(A){this.executor=A,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(A){this._error=A}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(A){return new v(()=>A(this.getValue()))}}e.Lazy=v}),define(pe[6],ve([0,1,70,72]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const A=!1;let I=null;function C(u){I=u}if(e.setDisposableTracker=C,A){const u="__is_disposable_tracked__";I=new class{trackDisposable(c){const o=new Error("Potentially leaked disposable").stack;setTimeout(()=>{c[u]||console.log(o)},3e3)}markTracked(c){if(c&&c!==m.None)try{c[u]=!0}catch(o){}}}}function P(u){!I||I.markTracked(u)}function y(u){return I&&I.trackDisposable(u),u}e.trackDisposable=y;class i extends Error{constructor(c){super(`Encountered errors while disposing of store. Errors: [${c.join(", ")}]`);this.errors=c}}e.MultiDisposeError=i;function T(u){return typeof u.dispose=="function"&&u.dispose.length===0}e.isDisposable=T;function k(u){if(D.Iterable.is(u)){let c=[];for(const o of u)if(o){P(o);try{o.dispose()}catch(t){c.push(t)}}if(c.length===1)throw c[0];if(c.length>1)throw new i(c);return Array.isArray(u)?[]:u}else if(u)return P(u),u.dispose(),u}e.dispose=k;function b(...u){return u.forEach(P),f(()=>k(u))}e.combinedDisposable=b;function f(u){const c=y({dispose:()=>{P(c),u()}});return c}e.toDisposable=f;class l{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(P(this),this._isDisposed=!0,this.clear())}clear(){try{k(this._toDispose.values())}finally{this._toDispose.clear()}}add(c){if(!c)return c;if(c===this)throw new Error("Cannot register a disposable on itself!");return P(c),this._isDisposed?l.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(c),c}}e.DisposableStore=l,l.DISABLE_DISPOSED_WARNING=!1;class m{constructor(){this._store=new l,y(this)}dispose(){P(this),this._store.dispose()}_register(c){if(c===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(c)}}e.Disposable=m,m.None=Object.freeze({dispose(){}});class S{constructor(){this._isDisposed=!1,y(this)}get value(){return this._isDisposed?void 0:this._value}set value(c){var o;this._isDisposed||c===this._value||((o=this._value)===null||o===void 0||o.dispose(),c&&P(c),this._value=c)}clear(){this.value=void 0}dispose(){var c;this._isDisposed=!0,P(this),(c=this._value)===null||c===void 0||c.dispose(),this._value=void 0}}e.MutableDisposable=S;class g{constructor(){this.references=new Map}acquire(c,...o){let t=this.references.get(c);t||(t={counter:0,object:this.createReferencedObject(c,...o)},this.references.set(c,t));const{object:r}=t,s=(0,v.once)(()=>{--t.counter==0&&(this.destroyReferencedObject(c,t.object),this.references.delete(c))});return t.counter++,{object:r,dispose:s}}}e.ReferenceCollection=g;class _{constructor(c){this.object=c}dispose(){}}e.ImmortalReference=_}),define(pe[57],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class v{constructor(I){this.element=I,this.next=v.Undefined,this.prev=v.Undefined}}v.Undefined=new v(void 0);class D{constructor(){this._first=v.Undefined,this._last=v.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===v.Undefined}clear(){this._first=v.Undefined,this._last=v.Undefined,this._size=0}unshift(I){return this._insert(I,!1)}push(I){return this._insert(I,!0)}_insert(I,C){const P=new v(I);if(this._first===v.Undefined)this._first=P,this._last=P;else if(C){const i=this._last;this._last=P,P.prev=i,i.next=P}else{const i=this._first;this._first=P,P.next=i,i.prev=P}this._size+=1;let y=!1;return()=>{y||(y=!0,this._remove(P))}}shift(){if(this._first!==v.Undefined){const I=this._first.element;return this._remove(this._first),I}}pop(){if(this._last!==v.Undefined){const I=this._last.element;return this._remove(this._last),I}}_remove(I){if(I.prev!==v.Undefined&&I.next!==v.Undefined){const C=I.prev;C.next=I.next,I.next.prev=C}else I.prev===v.Undefined&&I.next===v.Undefined?(this._first=v.Undefined,this._last=v.Undefined):I.next===v.Undefined?(this._last=this._last.prev,this._last.next=v.Undefined):I.prev===v.Undefined&&(this._first=this._first.next,this._first.prev=v.Undefined);this._size-=1}*[Symbol.iterator](){let I=this._first;for(;I!==v.Undefined;)yield I.element,I=I.next}}e.LinkedList=D}),function(Q,e){typeof exports=="object"&&typeof module!="undefined"?module.exports=e():typeof define=="function"&&define.amd?define("vs/base/common/marked/marked",e):(Q=typeof globalThis!="undefined"?globalThis:Q||self,Q.marked=e())}(this,function(){"use strict";function Q(j,se){for(var de=0;de<se.length;de++){var Y=se[de];Y.enumerable=Y.enumerable||!1,Y.configurable=!0,"value"in Y&&(Y.writable=!0),Object.defineProperty(j,Y.key,Y)}}function e(j,se,de){return se&&Q(j.prototype,se),de&&Q(j,de),j}function v(j,se){if(!!j){if(typeof j=="string")return D(j,se);var de=Object.prototype.toString.call(j).slice(8,-1);if(de==="Object"&&j.constructor&&(de=j.constructor.name),de==="Map"||de==="Set")return Array.from(j);if(de==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(de))return D(j,se)}}function D(j,se){(se==null||se>j.length)&&(se=j.length);for(var de=0,Y=new Array(se);de<se;de++)Y[de]=j[de];return Y}function A(j,se){var de;if(typeof Symbol=="undefined"||j[Symbol.iterator]==null){if(Array.isArray(j)||(de=v(j))||se&&j&&typeof j.length=="number"){de&&(j=de);var Y=0;return function(){return Y>=j.length?{done:!0}:{done:!1,value:j[Y++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}return de=j[Symbol.iterator](),de.next.bind(de)}function I(j){var se={exports:{}};return j(se,se.exports),se.exports}var C=I(function(j){function se(){return{baseUrl:null,breaks:!1,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}function de(Y){j.exports.defaults=Y}j.exports={defaults:se(),getDefaults:se,changeDefaults:de}}),P=/[&<>"']/,y=/[&<>"']/g,i=/[<>"']|&(?!#?\w+;)/,T=/[<>"']|&(?!#?\w+;)/g,k={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},b=function(se){return k[se]};function f(j,se){if(se){if(P.test(j))return j.replace(y,b)}else if(i.test(j))return j.replace(T,b);return j}var l=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function m(j){return j.replace(l,function(se,de){return de=de.toLowerCase(),de==="colon"?":":de.charAt(0)==="#"?de.charAt(1)==="x"?String.fromCharCode(parseInt(de.substring(2),16)):String.fromCharCode(+de.substring(1)):""})}var S=/(^|[^\[])\^/g;function g(j,se){j=j.source||j,se=se||"";var de={replace:function(ne,le){return le=le.source||le,le=le.replace(S,"$1"),j=j.replace(ne,le),de},getRegex:function(){return new RegExp(j,se)}};return de}var _=/[^\w:]/g,u=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function c(j,se,de){if(j){var Y;try{Y=decodeURIComponent(m(de)).replace(_,"").toLowerCase()}catch(ne){return null}if(Y.indexOf("javascript:")===0||Y.indexOf("vbscript:")===0||Y.indexOf("data:")===0)return null}se&&!u.test(de)&&(de=a(se,de));try{de=encodeURI(de).replace(/%25/g,"%")}catch(ne){return null}return de}var o={},t=/^[^:]+:\/*[^/]*$/,r=/^([^:]+:)[\s\S]*$/,s=/^([^:]+:\/*[^/]*)[\s\S]*$/;function a(j,se){o[" "+j]||(t.test(j)?o[" "+j]=j+"/":o[" "+j]=E(j,"/",!0)),j=o[" "+j];var de=j.indexOf(":")===-1;return se.substring(0,2)==="//"?de?se:j.replace(r,"$1")+se:se.charAt(0)==="/"?de?se:j.replace(s,"$1")+se:j+se}var n={exec:function(){}};function d(j){for(var se=1,de,Y;se<arguments.length;se++){de=arguments[se];for(Y in de)Object.prototype.hasOwnProperty.call(de,Y)&&(j[Y]=de[Y])}return j}function p(j,se){var de=j.replace(/\|/g,function(le,ge,Ee){for(var He=!1,We=ge;--We>=0&&Ee[We]==="\\";)He=!He;return He?"|":" |"}),Y=de.split(/ \|/),ne=0;if(Y.length>se)Y.splice(se);else for(;Y.length<se;)Y.push("");for(;ne<Y.length;ne++)Y[ne]=Y[ne].trim().replace(/\\\|/g,"|");return Y}function E(j,se,de){var Y=j.length;if(Y===0)return"";for(var ne=0;ne<Y;){var le=j.charAt(Y-ne-1);if(le===se&&!de)ne++;else if(le!==se&&de)ne++;else break}return j.substr(0,Y-ne)}function h(j,se){if(j.indexOf(se[1])===-1)return-1;for(var de=j.length,Y=0,ne=0;ne<de;ne++)if(j[ne]==="\\")ne++;else if(j[ne]===se[0])Y++;else if(j[ne]===se[1]&&(Y--,Y<0))return ne;return-1}function w(j){j&&j.sanitize&&!j.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function R(j,se){if(se<1)return"";for(var de="";se>1;)se&1&&(de+=j),se>>=1,j+=j;return de+j}var L={escape:f,unescape:m,edit:g,cleanUrl:c,resolveUrl:a,noopTest:n,merge:d,splitCells:p,rtrim:E,findClosingBracket:h,checkSanitizeDeprecation:w,repeatString:R},U=C.defaults,J=L.rtrim,Z=L.splitCells,z=L.escape,q=L.findClosingBracket;function N(j,se,de){var Y=se.href,ne=se.title?z(se.title):null,le=j[1].replace(/\\([\[\]])/g,"$1");return j[0].charAt(0)!=="!"?{type:"link",raw:de,href:Y,title:ne,text:le}:{type:"image",raw:de,href:Y,title:ne,text:z(le)}}function W(j,se){var de=j.match(/^(\s+)(?:```)/);if(de===null)return se;var Y=de[1];return se.split(`
`).map(function(ne){var le=ne.match(/^\s+/);if(le===null)return ne;var ge=le[0];return ge.length>=Y.length?ne.slice(Y.length):ne}).join(`
`)}var M=function(){function j(de){this.options=de||U}var se=j.prototype;return se.space=function(Y){var ne=this.rules.block.newline.exec(Y);if(ne)return ne[0].length>1?{type:"space",raw:ne[0]}:{raw:`
`}},se.code=function(Y){var ne=this.rules.block.code.exec(Y);if(ne){var le=ne[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:ne[0],codeBlockStyle:"indented",text:this.options.pedantic?le:J(le,`
`)}}},se.fences=function(Y){var ne=this.rules.block.fences.exec(Y);if(ne){var le=ne[0],ge=W(le,ne[3]||"");return{type:"code",raw:le,lang:ne[2]?ne[2].trim():ne[2],text:ge}}},se.heading=function(Y){var ne=this.rules.block.heading.exec(Y);if(ne){var le=ne[2].trim();if(/#$/.test(le)){var ge=J(le,"#");(this.options.pedantic||!ge||/ $/.test(ge))&&(le=ge.trim())}return{type:"heading",raw:ne[0],depth:ne[1].length,text:le}}},se.nptable=function(Y){var ne=this.rules.block.nptable.exec(Y);if(ne){var le={type:"table",header:Z(ne[1].replace(/^ *| *\| *$/g,"")),align:ne[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:ne[3]?ne[3].replace(/\n$/,"").split(`
`):[],raw:ne[0]};if(le.header.length===le.align.length){var ge=le.align.length,Ee;for(Ee=0;Ee<ge;Ee++)/^ *-+: *$/.test(le.align[Ee])?le.align[Ee]="right":/^ *:-+: *$/.test(le.align[Ee])?le.align[Ee]="center":/^ *:-+ *$/.test(le.align[Ee])?le.align[Ee]="left":le.align[Ee]=null;for(ge=le.cells.length,Ee=0;Ee<ge;Ee++)le.cells[Ee]=Z(le.cells[Ee],le.header.length);return le}}},se.hr=function(Y){var ne=this.rules.block.hr.exec(Y);if(ne)return{type:"hr",raw:ne[0]}},se.blockquote=function(Y){var ne=this.rules.block.blockquote.exec(Y);if(ne){var le=ne[0].replace(/^ *> ?/gm,"");return{type:"blockquote",raw:ne[0],text:le}}},se.list=function(Y){var ne=this.rules.block.list.exec(Y);if(ne){var le=ne[0],ge=ne[2],Ee=ge.length>1,He={type:"list",raw:le,ordered:Ee,start:Ee?+ge.slice(0,-1):"",loose:!1,items:[]},We=ne[0].match(this.rules.block.item),qe=!1,Xe,Ze,ht,rt,be,fe,ue,ee,Te=We.length;ht=this.rules.block.listItemStart.exec(We[0]);for(var Le=0;Le<Te;Le++){if(Xe=We[Le],le=Xe,Le!==Te-1){if(rt=this.rules.block.listItemStart.exec(We[Le+1]),this.options.pedantic?rt[1].length>ht[1].length:rt[1].length>ht[0].length||rt[1].length>3){We.splice(Le,2,We[Le]+`
`+We[Le+1]),Le--,Te--;continue}else(!this.options.pedantic||this.options.smartLists?rt[2][rt[2].length-1]!==ge[ge.length-1]:Ee===(rt[2].length===1))&&(be=We.slice(Le+1).join(`
`),He.raw=He.raw.substring(0,He.raw.length-be.length),Le=Te-1);ht=rt}Ze=Xe.length,Xe=Xe.replace(/^ *([*+-]|\d+[.)]) ?/,""),~Xe.indexOf(`
 `)&&(Ze-=Xe.length,Xe=this.options.pedantic?Xe.replace(/^ {1,4}/gm,""):Xe.replace(new RegExp("^ {1,"+Ze+"}","gm"),"")),fe=qe||/\n\n(?!\s*$)/.test(Xe),Le!==Te-1&&(qe=Xe.charAt(Xe.length-1)===`
`,fe||(fe=qe)),fe&&(He.loose=!0),this.options.gfm&&(ue=/^\[[ xX]\] /.test(Xe),ee=void 0,ue&&(ee=Xe[1]!==" ",Xe=Xe.replace(/^\[[ xX]\] +/,""))),He.items.push({type:"list_item",raw:le,task:ue,checked:ee,loose:fe,text:Xe})}return He}},se.html=function(Y){var ne=this.rules.block.html.exec(Y);if(ne)return{type:this.options.sanitize?"paragraph":"html",raw:ne[0],pre:!this.options.sanitizer&&(ne[1]==="pre"||ne[1]==="script"||ne[1]==="style"),text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(ne[0]):z(ne[0]):ne[0]}},se.def=function(Y){var ne=this.rules.block.def.exec(Y);if(ne){ne[3]&&(ne[3]=ne[3].substring(1,ne[3].length-1));var le=ne[1].toLowerCase().replace(/\s+/g," ");return{tag:le,raw:ne[0],href:ne[2],title:ne[3]}}},se.table=function(Y){var ne=this.rules.block.table.exec(Y);if(ne){var le={type:"table",header:Z(ne[1].replace(/^ *| *\| *$/g,"")),align:ne[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:ne[3]?ne[3].replace(/\n$/,"").split(`
`):[]};if(le.header.length===le.align.length){le.raw=ne[0];var ge=le.align.length,Ee;for(Ee=0;Ee<ge;Ee++)/^ *-+: *$/.test(le.align[Ee])?le.align[Ee]="right":/^ *:-+: *$/.test(le.align[Ee])?le.align[Ee]="center":/^ *:-+ *$/.test(le.align[Ee])?le.align[Ee]="left":le.align[Ee]=null;for(ge=le.cells.length,Ee=0;Ee<ge;Ee++)le.cells[Ee]=Z(le.cells[Ee].replace(/^ *\| *| *\| *$/g,""),le.header.length);return le}}},se.lheading=function(Y){var ne=this.rules.block.lheading.exec(Y);if(ne)return{type:"heading",raw:ne[0],depth:ne[2].charAt(0)==="="?1:2,text:ne[1]}},se.paragraph=function(Y){var ne=this.rules.block.paragraph.exec(Y);if(ne)return{type:"paragraph",raw:ne[0],text:ne[1].charAt(ne[1].length-1)===`
`?ne[1].slice(0,-1):ne[1]}},se.text=function(Y){var ne=this.rules.block.text.exec(Y);if(ne)return{type:"text",raw:ne[0],text:ne[0]}},se.escape=function(Y){var ne=this.rules.inline.escape.exec(Y);if(ne)return{type:"escape",raw:ne[0],text:z(ne[1])}},se.tag=function(Y,ne,le){var ge=this.rules.inline.tag.exec(Y);if(ge)return!ne&&/^<a /i.test(ge[0])?ne=!0:ne&&/^<\/a>/i.test(ge[0])&&(ne=!1),!le&&/^<(pre|code|kbd|script)(\s|>)/i.test(ge[0])?le=!0:le&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(ge[0])&&(le=!1),{type:this.options.sanitize?"text":"html",raw:ge[0],inLink:ne,inRawBlock:le,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(ge[0]):z(ge[0]):ge[0]}},se.link=function(Y){var ne=this.rules.inline.link.exec(Y);if(ne){var le=ne[2].trim();if(!this.options.pedantic&&/^</.test(le)){if(!/>$/.test(le))return;var ge=J(le.slice(0,-1),"\\");if((le.length-ge.length)%2==0)return}else{var Ee=q(ne[2],"()");if(Ee>-1){var He=ne[0].indexOf("!")===0?5:4,We=He+ne[1].length+Ee;ne[2]=ne[2].substring(0,Ee),ne[0]=ne[0].substring(0,We).trim(),ne[3]=""}}var qe=ne[2],Xe="";if(this.options.pedantic){var Ze=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(qe);Ze&&(qe=Ze[1],Xe=Ze[3])}else Xe=ne[3]?ne[3].slice(1,-1):"";return qe=qe.trim(),/^</.test(qe)&&(this.options.pedantic&&!/>$/.test(le)?qe=qe.slice(1):qe=qe.slice(1,-1)),N(ne,{href:qe&&qe.replace(this.rules.inline._escapes,"$1"),title:Xe&&Xe.replace(this.rules.inline._escapes,"$1")},ne[0])}},se.reflink=function(Y,ne){var le;if((le=this.rules.inline.reflink.exec(Y))||(le=this.rules.inline.nolink.exec(Y))){var ge=(le[2]||le[1]).replace(/\s+/g," ");if(ge=ne[ge.toLowerCase()],!ge||!ge.href){var Ee=le[0].charAt(0);return{type:"text",raw:Ee,text:Ee}}return N(le,ge,le[0])}},se.emStrong=function(Y,ne,le){le===void 0&&(le="");var ge=this.rules.inline.emStrong.lDelim.exec(Y);if(!!ge&&!(ge[3]&&le.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u08A0-\u08B4\u08B6-\u08C7\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\u9FFC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7BF\uA7C2-\uA7CA\uA7F5-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEC0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82C[\uDC00-\uDD1E\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDD\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var Ee=ge[1]||ge[2]||"";if(!Ee||Ee&&(le===""||this.rules.inline.punctuation.exec(le))){var He=ge[0].length-1,We,qe,Xe=He,Ze=0,ht=ge[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(ht.lastIndex=0,ne=ne.slice(-1*Y.length+He);(ge=ht.exec(ne))!=null;)if(We=ge[1]||ge[2]||ge[3]||ge[4]||ge[5]||ge[6],!!We){if(qe=We.length,ge[3]||ge[4]){Xe+=qe;continue}else if((ge[5]||ge[6])&&He%3&&!((He+qe)%3)){Ze+=qe;continue}if(Xe-=qe,!(Xe>0)){if(Xe+Ze-qe<=0&&!ne.slice(ht.lastIndex).match(ht)&&(qe=Math.min(qe,qe+Xe+Ze)),Math.min(He,qe)%2)return{type:"em",raw:Y.slice(0,He+ge.index+qe+1),text:Y.slice(1,He+ge.index+qe)};if(Math.min(He,qe)%2==0)return{type:"strong",raw:Y.slice(0,He+ge.index+qe+1),text:Y.slice(2,He+ge.index+qe-1)}}}}}},se.codespan=function(Y){var ne=this.rules.inline.code.exec(Y);if(ne){var le=ne[2].replace(/\n/g," "),ge=/[^ ]/.test(le),Ee=/^ /.test(le)&&/ $/.test(le);return ge&&Ee&&(le=le.substring(1,le.length-1)),le=z(le,!0),{type:"codespan",raw:ne[0],text:le}}},se.br=function(Y){var ne=this.rules.inline.br.exec(Y);if(ne)return{type:"br",raw:ne[0]}},se.del=function(Y){var ne=this.rules.inline.del.exec(Y);if(ne)return{type:"del",raw:ne[0],text:ne[2]}},se.autolink=function(Y,ne){var le=this.rules.inline.autolink.exec(Y);if(le){var ge,Ee;return le[2]==="@"?(ge=z(this.options.mangle?ne(le[1]):le[1]),Ee="mailto:"+ge):(ge=z(le[1]),Ee=ge),{type:"link",raw:le[0],text:ge,href:Ee,tokens:[{type:"text",raw:ge,text:ge}]}}},se.url=function(Y,ne){var le;if(le=this.rules.inline.url.exec(Y)){var ge,Ee;if(le[2]==="@")ge=z(this.options.mangle?ne(le[0]):le[0]),Ee="mailto:"+ge;else{var He;do He=le[0],le[0]=this.rules.inline._backpedal.exec(le[0])[0];while(He!==le[0]);ge=z(le[0]),le[1]==="www."?Ee="http://"+ge:Ee=ge}return{type:"link",raw:le[0],text:ge,href:Ee,tokens:[{type:"text",raw:ge,text:ge}]}}},se.inlineText=function(Y,ne,le){var ge=this.rules.inline.text.exec(Y);if(ge){var Ee;return ne?Ee=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(ge[0]):z(ge[0]):ge[0]:Ee=z(this.options.smartypants?le(ge[0]):ge[0]),{type:"text",raw:ge[0],text:Ee}}},j}(),O=L.noopTest,F=L.edit,B=L.merge,V={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?:\n+|$)|$)/,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3})(bull) [\s\S]+?(?:hr|def|\n{2,}(?! )(?! {0,3}bull )\n*|\s*$)/,html:"^ {0,3}(?:<(script|pre|style)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:\\n{2,}|$)|<(?!script|pre|style)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$)|</(?!script|pre|style)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$))",def:/^ {0,3}\[(label)\]: *\n? *<?([^\s>]+)>?(?:(?: +\n? *| *\n *)(title))? *(?:\n+|$)/,nptable:O,table:O,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html| +\n)[^\n]+)*)/,text:/^[^\n]+/};V._label=/(?!\s*\])(?:\\[\[\]]|[^\[\]])+/,V._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,V.def=F(V.def).replace("label",V._label).replace("title",V._title).getRegex(),V.bullet=/(?:[*+-]|\d{1,9}[.)])/,V.item=/^( *)(bull) ?[^\n]*(?:\n(?! *bull ?)[^\n]*)*/,V.item=F(V.item,"gm").replace(/bull/g,V.bullet).getRegex(),V.listItemStart=F(/^( *)(bull)/).replace("bull",V.bullet).getRegex(),V.list=F(V.list).replace(/bull/g,V.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+V.def.source+")").getRegex(),V._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",V._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,V.html=F(V.html,"i").replace("comment",V._comment).replace("tag",V._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),V.paragraph=F(V._paragraph).replace("hr",V.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",V._tag).getRegex(),V.blockquote=F(V.blockquote).replace("paragraph",V.paragraph).getRegex(),V.normal=B({},V),V.gfm=B({},V.normal,{nptable:"^ *([^|\\n ].*\\|.*)\\n {0,3}([-:]+ *\\|[-| :]*)(?:\\n((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)",table:"^ *\\|(.+)\\n {0,3}\\|?( *[-:]+[-| :]*)(?:\\n *((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),V.gfm.nptable=F(V.gfm.nptable).replace("hr",V.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",V._tag).getRegex(),V.gfm.table=F(V.gfm.table).replace("hr",V.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",V._tag).getRegex(),V.pedantic=B({},V.normal,{html:F(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",V._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:O,paragraph:F(V.normal._paragraph).replace("hr",V.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",V.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var G={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:O,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(?!\s*\])((?:\\[\[\]]?|[^\[\]\\])+)\]/,nolink:/^!?\[(?!\s*\])((?:\[[^\[\]]*\]|\\[\[\]]|[^\[\]])*)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/\_\_[^_]*?\*[^_]*?\_\_|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/\*\*[^*]*?\_[^*]*?\*\*|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:O,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};G._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",G.punctuation=F(G.punctuation).replace(/punctuation/g,G._punctuation).getRegex(),G.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,G.escapedEmSt=/\\\*|\\_/g,G._comment=F(V._comment).replace("(?:-->|$)","-->").getRegex(),G.emStrong.lDelim=F(G.emStrong.lDelim).replace(/punct/g,G._punctuation).getRegex(),G.emStrong.rDelimAst=F(G.emStrong.rDelimAst,"g").replace(/punct/g,G._punctuation).getRegex(),G.emStrong.rDelimUnd=F(G.emStrong.rDelimUnd,"g").replace(/punct/g,G._punctuation).getRegex(),G._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,G._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,G._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,G.autolink=F(G.autolink).replace("scheme",G._scheme).replace("email",G._email).getRegex(),G._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,G.tag=F(G.tag).replace("comment",G._comment).replace("attribute",G._attribute).getRegex(),G._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,G._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,G._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,G.link=F(G.link).replace("label",G._label).replace("href",G._href).replace("title",G._title).getRegex(),G.reflink=F(G.reflink).replace("label",G._label).getRegex(),G.reflinkSearch=F(G.reflinkSearch,"g").replace("reflink",G.reflink).replace("nolink",G.nolink).getRegex(),G.normal=B({},G),G.pedantic=B({},G.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:F(/^!?\[(label)\]\((.*?)\)/).replace("label",G._label).getRegex(),reflink:F(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",G._label).getRegex()}),G.gfm=B({},G.normal,{escape:F(G.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))/}),G.gfm.url=F(G.gfm.url,"i").replace("email",G.gfm._extended_email).getRegex(),G.breaks=B({},G.gfm,{br:F(G.br).replace("{2,}","*").getRegex(),text:F(G.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});var ce={block:V,inline:G},me=C.defaults,Pe=ce.block,Ie=ce.inline,Fe=L.repeatString;function H(j){return j.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function X(j){var se="",de,Y,ne=j.length;for(de=0;de<ne;de++)Y=j.charCodeAt(de),Math.random()>.5&&(Y="x"+Y.toString(16)),se+="&#"+Y+";";return se}var te=function(){function j(de){this.tokens=[],this.tokens.links=Object.create(null),this.options=de||me,this.options.tokenizer=this.options.tokenizer||new M,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options;var Y={block:Pe.normal,inline:Ie.normal};this.options.pedantic?(Y.block=Pe.pedantic,Y.inline=Ie.pedantic):this.options.gfm&&(Y.block=Pe.gfm,this.options.breaks?Y.inline=Ie.breaks:Y.inline=Ie.gfm),this.tokenizer.rules=Y}j.lex=function(Y,ne){var le=new j(ne);return le.lex(Y)},j.lexInline=function(Y,ne){var le=new j(ne);return le.inlineTokens(Y)};var se=j.prototype;return se.lex=function(Y){return Y=Y.replace(/\r\n|\r/g,`
`).replace(/\t/g,"    "),this.blockTokens(Y,this.tokens,!0),this.inline(this.tokens),this.tokens},se.blockTokens=function(Y,ne,le){ne===void 0&&(ne=[]),le===void 0&&(le=!0),this.options.pedantic&&(Y=Y.replace(/^ +$/gm,""));for(var ge,Ee,He,We;Y;){if(ge=this.tokenizer.space(Y)){Y=Y.substring(ge.raw.length),ge.type&&ne.push(ge);continue}if(ge=this.tokenizer.code(Y)){Y=Y.substring(ge.raw.length),We=ne[ne.length-1],We&&We.type==="paragraph"?(We.raw+=`
`+ge.raw,We.text+=`
`+ge.text):ne.push(ge);continue}if(ge=this.tokenizer.fences(Y)){Y=Y.substring(ge.raw.length),ne.push(ge);continue}if(ge=this.tokenizer.heading(Y)){Y=Y.substring(ge.raw.length),ne.push(ge);continue}if(ge=this.tokenizer.nptable(Y)){Y=Y.substring(ge.raw.length),ne.push(ge);continue}if(ge=this.tokenizer.hr(Y)){Y=Y.substring(ge.raw.length),ne.push(ge);continue}if(ge=this.tokenizer.blockquote(Y)){Y=Y.substring(ge.raw.length),ge.tokens=this.blockTokens(ge.text,[],le),ne.push(ge);continue}if(ge=this.tokenizer.list(Y)){for(Y=Y.substring(ge.raw.length),He=ge.items.length,Ee=0;Ee<He;Ee++)ge.items[Ee].tokens=this.blockTokens(ge.items[Ee].text,[],!1);ne.push(ge);continue}if(ge=this.tokenizer.html(Y)){Y=Y.substring(ge.raw.length),ne.push(ge);continue}if(le&&(ge=this.tokenizer.def(Y))){Y=Y.substring(ge.raw.length),this.tokens.links[ge.tag]||(this.tokens.links[ge.tag]={href:ge.href,title:ge.title});continue}if(ge=this.tokenizer.table(Y)){Y=Y.substring(ge.raw.length),ne.push(ge);continue}if(ge=this.tokenizer.lheading(Y)){Y=Y.substring(ge.raw.length),ne.push(ge);continue}if(le&&(ge=this.tokenizer.paragraph(Y))){Y=Y.substring(ge.raw.length),ne.push(ge);continue}if(ge=this.tokenizer.text(Y)){Y=Y.substring(ge.raw.length),We=ne[ne.length-1],We&&We.type==="text"?(We.raw+=`
`+ge.raw,We.text+=`
`+ge.text):ne.push(ge);continue}if(Y){var qe="Infinite loop on byte: "+Y.charCodeAt(0);if(this.options.silent){console.error(qe);break}else throw new Error(qe)}}return ne},se.inline=function(Y){var ne,le,ge,Ee,He,We,qe=Y.length;for(ne=0;ne<qe;ne++)switch(We=Y[ne],We.type){case"paragraph":case"text":case"heading":{We.tokens=[],this.inlineTokens(We.text,We.tokens);break}case"table":{for(We.tokens={header:[],cells:[]},Ee=We.header.length,le=0;le<Ee;le++)We.tokens.header[le]=[],this.inlineTokens(We.header[le],We.tokens.header[le]);for(Ee=We.cells.length,le=0;le<Ee;le++)for(He=We.cells[le],We.tokens.cells[le]=[],ge=0;ge<He.length;ge++)We.tokens.cells[le][ge]=[],this.inlineTokens(He[ge],We.tokens.cells[le][ge]);break}case"blockquote":{this.inline(We.tokens);break}case"list":{for(Ee=We.items.length,le=0;le<Ee;le++)this.inline(We.items[le].tokens);break}}return Y},se.inlineTokens=function(Y,ne,le,ge){ne===void 0&&(ne=[]),le===void 0&&(le=!1),ge===void 0&&(ge=!1);var Ee,He,We=Y,qe,Xe,Ze;if(this.tokens.links){var ht=Object.keys(this.tokens.links);if(ht.length>0)for(;(qe=this.tokenizer.rules.inline.reflinkSearch.exec(We))!=null;)ht.includes(qe[0].slice(qe[0].lastIndexOf("[")+1,-1))&&(We=We.slice(0,qe.index)+"["+Fe("a",qe[0].length-2)+"]"+We.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(qe=this.tokenizer.rules.inline.blockSkip.exec(We))!=null;)We=We.slice(0,qe.index)+"["+Fe("a",qe[0].length-2)+"]"+We.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(qe=this.tokenizer.rules.inline.escapedEmSt.exec(We))!=null;)We=We.slice(0,qe.index)+"++"+We.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;Y;){if(Xe||(Ze=""),Xe=!1,Ee=this.tokenizer.escape(Y)){Y=Y.substring(Ee.raw.length),ne.push(Ee);continue}if(Ee=this.tokenizer.tag(Y,le,ge)){Y=Y.substring(Ee.raw.length),le=Ee.inLink,ge=Ee.inRawBlock;var rt=ne[ne.length-1];rt&&Ee.type==="text"&&rt.type==="text"?(rt.raw+=Ee.raw,rt.text+=Ee.text):ne.push(Ee);continue}if(Ee=this.tokenizer.link(Y)){Y=Y.substring(Ee.raw.length),Ee.type==="link"&&(Ee.tokens=this.inlineTokens(Ee.text,[],!0,ge)),ne.push(Ee);continue}if(Ee=this.tokenizer.reflink(Y,this.tokens.links)){Y=Y.substring(Ee.raw.length);var be=ne[ne.length-1];Ee.type==="link"?(Ee.tokens=this.inlineTokens(Ee.text,[],!0,ge),ne.push(Ee)):be&&Ee.type==="text"&&be.type==="text"?(be.raw+=Ee.raw,be.text+=Ee.text):ne.push(Ee);continue}if(Ee=this.tokenizer.emStrong(Y,We,Ze)){Y=Y.substring(Ee.raw.length),Ee.tokens=this.inlineTokens(Ee.text,[],le,ge),ne.push(Ee);continue}if(Ee=this.tokenizer.codespan(Y)){Y=Y.substring(Ee.raw.length),ne.push(Ee);continue}if(Ee=this.tokenizer.br(Y)){Y=Y.substring(Ee.raw.length),ne.push(Ee);continue}if(Ee=this.tokenizer.del(Y)){Y=Y.substring(Ee.raw.length),Ee.tokens=this.inlineTokens(Ee.text,[],le,ge),ne.push(Ee);continue}if(Ee=this.tokenizer.autolink(Y,X)){Y=Y.substring(Ee.raw.length),ne.push(Ee);continue}if(!le&&(Ee=this.tokenizer.url(Y,X))){Y=Y.substring(Ee.raw.length),ne.push(Ee);continue}if(Ee=this.tokenizer.inlineText(Y,ge,H)){Y=Y.substring(Ee.raw.length),Ee.raw.slice(-1)!=="_"&&(Ze=Ee.raw.slice(-1)),Xe=!0,He=ne[ne.length-1],He&&He.type==="text"?(He.raw+=Ee.raw,He.text+=Ee.text):ne.push(Ee);continue}if(Y){var fe="Infinite loop on byte: "+Y.charCodeAt(0);if(this.options.silent){console.error(fe);break}else throw new Error(fe)}}return ne},e(j,null,[{key:"rules",get:function(){return{block:Pe,inline:Ie}}}]),j}(),oe=C.defaults,we=L.cleanUrl,De=L.escape,Me=function(){function j(de){this.options=de||oe}var se=j.prototype;return se.code=function(Y,ne,le){var ge=(ne||"").match(/\S*/)[0];if(this.options.highlight){var Ee=this.options.highlight(Y,ge);Ee!=null&&Ee!==Y&&(le=!0,Y=Ee)}return Y=Y.replace(/\n$/,"")+`
`,ge?'<pre><code class="'+this.options.langPrefix+De(ge,!0)+'">'+(le?Y:De(Y,!0))+`</code></pre>
`:"<pre><code>"+(le?Y:De(Y,!0))+`</code></pre>
`},se.blockquote=function(Y){return`<blockquote>
`+Y+`</blockquote>
`},se.html=function(Y){return Y},se.heading=function(Y,ne,le,ge){return this.options.headerIds?"<h"+ne+' id="'+this.options.headerPrefix+ge.slug(le)+'">'+Y+"</h"+ne+`>
`:"<h"+ne+">"+Y+"</h"+ne+`>
`},se.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},se.list=function(Y,ne,le){var ge=ne?"ol":"ul",Ee=ne&&le!==1?' start="'+le+'"':"";return"<"+ge+Ee+`>
`+Y+"</"+ge+`>
`},se.listitem=function(Y){return"<li>"+Y+`</li>
`},se.checkbox=function(Y){return"<input "+(Y?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},se.paragraph=function(Y){return"<p>"+Y+`</p>
`},se.table=function(Y,ne){return ne&&(ne="<tbody>"+ne+"</tbody>"),`<table>
<thead>
`+Y+`</thead>
`+ne+`</table>
`},se.tablerow=function(Y){return`<tr>
`+Y+`</tr>
`},se.tablecell=function(Y,ne){var le=ne.header?"th":"td",ge=ne.align?"<"+le+' align="'+ne.align+'">':"<"+le+">";return ge+Y+"</"+le+`>
`},se.strong=function(Y){return"<strong>"+Y+"</strong>"},se.em=function(Y){return"<em>"+Y+"</em>"},se.codespan=function(Y){return"<code>"+Y+"</code>"},se.br=function(){return this.options.xhtml?"<br/>":"<br>"},se.del=function(Y){return"<del>"+Y+"</del>"},se.link=function(Y,ne,le){if(Y=we(this.options.sanitize,this.options.baseUrl,Y),Y===null)return le;var ge='<a href="'+De(Y)+'"';return ne&&(ge+=' title="'+ne+'"'),ge+=">"+le+"</a>",ge},se.image=function(Y,ne,le){if(Y=we(this.options.sanitize,this.options.baseUrl,Y),Y===null)return le;var ge='<img src="'+Y+'" alt="'+le+'"';return ne&&(ge+=' title="'+ne+'"'),ge+=this.options.xhtml?"/>":">",ge},se.text=function(Y){return Y},j}(),_e=function(){function j(){}var se=j.prototype;return se.strong=function(Y){return Y},se.em=function(Y){return Y},se.codespan=function(Y){return Y},se.del=function(Y){return Y},se.html=function(Y){return Y},se.text=function(Y){return Y},se.link=function(Y,ne,le){return""+le},se.image=function(Y,ne,le){return""+le},se.br=function(){return""},j}(),ke=function(){function j(){this.seen={}}var se=j.prototype;return se.serialize=function(Y){return Y.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},se.getNextSafeSlug=function(Y,ne){var le=Y,ge=0;if(this.seen.hasOwnProperty(le)){ge=this.seen[Y];do ge++,le=Y+"-"+ge;while(this.seen.hasOwnProperty(le))}return ne||(this.seen[Y]=ge,this.seen[le]=0),le},se.slug=function(Y,ne){ne===void 0&&(ne={});var le=this.serialize(Y);return this.getNextSafeSlug(le,ne.dryrun)},j}(),Re=C.defaults,xe=L.unescape,ye=function(){function j(de){this.options=de||Re,this.options.renderer=this.options.renderer||new Me,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new _e,this.slugger=new ke}j.parse=function(Y,ne){var le=new j(ne);return le.parse(Y)},j.parseInline=function(Y,ne){var le=new j(ne);return le.parseInline(Y)};var se=j.prototype;return se.parse=function(Y,ne){ne===void 0&&(ne=!0);var le="",ge,Ee,He,We,qe,Xe,Ze,ht,rt,be,fe,ue,ee,Te,Le,et,Ke,nt,ut=Y.length;for(ge=0;ge<ut;ge++)switch(be=Y[ge],be.type){case"space":continue;case"hr":{le+=this.renderer.hr();continue}case"heading":{le+=this.renderer.heading(this.parseInline(be.tokens),be.depth,xe(this.parseInline(be.tokens,this.textRenderer)),this.slugger);continue}case"code":{le+=this.renderer.code(be.text,be.lang,be.escaped);continue}case"table":{for(ht="",Ze="",We=be.header.length,Ee=0;Ee<We;Ee++)Ze+=this.renderer.tablecell(this.parseInline(be.tokens.header[Ee]),{header:!0,align:be.align[Ee]});for(ht+=this.renderer.tablerow(Ze),rt="",We=be.cells.length,Ee=0;Ee<We;Ee++){for(Xe=be.tokens.cells[Ee],Ze="",qe=Xe.length,He=0;He<qe;He++)Ze+=this.renderer.tablecell(this.parseInline(Xe[He]),{header:!1,align:be.align[He]});rt+=this.renderer.tablerow(Ze)}le+=this.renderer.table(ht,rt);continue}case"blockquote":{rt=this.parse(be.tokens),le+=this.renderer.blockquote(rt);continue}case"list":{for(fe=be.ordered,ue=be.start,ee=be.loose,We=be.items.length,rt="",Ee=0;Ee<We;Ee++)Le=be.items[Ee],et=Le.checked,Ke=Le.task,Te="",Le.task&&(nt=this.renderer.checkbox(et),ee?Le.tokens.length>0&&Le.tokens[0].type==="text"?(Le.tokens[0].text=nt+" "+Le.tokens[0].text,Le.tokens[0].tokens&&Le.tokens[0].tokens.length>0&&Le.tokens[0].tokens[0].type==="text"&&(Le.tokens[0].tokens[0].text=nt+" "+Le.tokens[0].tokens[0].text)):Le.tokens.unshift({type:"text",text:nt}):Te+=nt),Te+=this.parse(Le.tokens,ee),rt+=this.renderer.listitem(Te,Ke,et);le+=this.renderer.list(rt,fe,ue);continue}case"html":{le+=this.renderer.html(be.text);continue}case"paragraph":{le+=this.renderer.paragraph(this.parseInline(be.tokens));continue}case"text":{for(rt=be.tokens?this.parseInline(be.tokens):be.text;ge+1<ut&&Y[ge+1].type==="text";)be=Y[++ge],rt+=`
`+(be.tokens?this.parseInline(be.tokens):be.text);le+=ne?this.renderer.paragraph(rt):rt;continue}default:{var Ye='Token with "'+be.type+'" type was not found.';if(this.options.silent){console.error(Ye);return}else throw new Error(Ye)}}return le},se.parseInline=function(Y,ne){ne=ne||this.renderer;var le="",ge,Ee,He=Y.length;for(ge=0;ge<He;ge++)switch(Ee=Y[ge],Ee.type){case"escape":{le+=ne.text(Ee.text);break}case"html":{le+=ne.html(Ee.text);break}case"link":{le+=ne.link(Ee.href,Ee.title,this.parseInline(Ee.tokens,ne));break}case"image":{le+=ne.image(Ee.href,Ee.title,Ee.text);break}case"strong":{le+=ne.strong(this.parseInline(Ee.tokens,ne));break}case"em":{le+=ne.em(this.parseInline(Ee.tokens,ne));break}case"codespan":{le+=ne.codespan(Ee.text);break}case"br":{le+=ne.br();break}case"del":{le+=ne.del(this.parseInline(Ee.tokens,ne));break}case"text":{le+=ne.text(Ee.text);break}default:{var We='Token with "'+Ee.type+'" type was not found.';if(this.options.silent){console.error(We);return}else throw new Error(We)}}return le},j}(),Ge=L.merge,K=L.checkSanitizeDeprecation,ie=L.escape,Se=C.getDefaults,Ne=C.changeDefaults,ze=C.defaults;function Be(j,se,de){if(typeof j=="undefined"||j===null)throw new Error("marked(): input parameter is undefined or null");if(typeof j!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(j)+", string expected");if(typeof se=="function"&&(de=se,se=null),se=Ge({},Be.defaults,se||{}),K(se),de){var Y=se.highlight,ne;try{ne=te.lex(j,se)}catch(He){return de(He)}var le=function(We){var qe;if(!We)try{qe=ye.parse(ne,se)}catch(Xe){We=Xe}return se.highlight=Y,We?de(We):de(null,qe)};if(!Y||Y.length<3||(delete se.highlight,!ne.length))return le();var ge=0;Be.walkTokens(ne,function(He){He.type==="code"&&(ge++,setTimeout(function(){Y(He.text,He.lang,function(We,qe){if(We)return le(We);qe!=null&&qe!==He.text&&(He.text=qe,He.escaped=!0),ge--,ge===0&&le()})},0))}),ge===0&&le();return}try{var Ee=te.lex(j,se);return se.walkTokens&&Be.walkTokens(Ee,se.walkTokens),ye.parse(Ee,se)}catch(He){if(He.message+=`
Please report this to https://github.com/markedjs/marked.`,se.silent)return"<p>An error occurred:</p><pre>"+ie(He.message+"",!0)+"</pre>";throw He}}Be.options=Be.setOptions=function(j){return Ge(Be.defaults,j),Ne(Be.defaults),Be},Be.getDefaults=Se,Be.defaults=ze,Be.use=function(j){var se=Ge({},j);if(j.renderer&&function(){var Y=Be.defaults.renderer||new Me,ne=function(Ee){var He=Y[Ee];Y[Ee]=function(){for(var We=arguments.length,qe=new Array(We),Xe=0;Xe<We;Xe++)qe[Xe]=arguments[Xe];var Ze=j.renderer[Ee].apply(Y,qe);return Ze===!1&&(Ze=He.apply(Y,qe)),Ze}};for(var le in j.renderer)ne(le);se.renderer=Y}(),j.tokenizer&&function(){var Y=Be.defaults.tokenizer||new M,ne=function(Ee){var He=Y[Ee];Y[Ee]=function(){for(var We=arguments.length,qe=new Array(We),Xe=0;Xe<We;Xe++)qe[Xe]=arguments[Xe];var Ze=j.tokenizer[Ee].apply(Y,qe);return Ze===!1&&(Ze=He.apply(Y,qe)),Ze}};for(var le in j.tokenizer)ne(le);se.tokenizer=Y}(),j.walkTokens){var de=Be.defaults.walkTokens;se.walkTokens=function(Y){j.walkTokens(Y),de&&de(Y)}}Be.setOptions(se)},Be.walkTokens=function(j,se){for(var de=A(j),Y;!(Y=de()).done;){var ne=Y.value;switch(se(ne),ne.type){case"table":{for(var le=A(ne.tokens.header),ge;!(ge=le()).done;){var Ee=ge.value;Be.walkTokens(Ee,se)}for(var He=A(ne.tokens.cells),We;!(We=He()).done;)for(var qe=We.value,Xe=A(qe),Ze;!(Ze=Xe()).done;){var ht=Ze.value;Be.walkTokens(ht,se)}break}case"list":{Be.walkTokens(ne.items,se);break}default:ne.tokens&&Be.walkTokens(ne.tokens,se)}}},Be.parseInline=function(j,se){if(typeof j=="undefined"||j===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof j!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(j)+", string expected");se=Ge({},Be.defaults,se||{}),K(se);try{var de=te.lexInline(j,se);return se.walkTokens&&Be.walkTokens(de,se.walkTokens),ye.parseInline(de,se)}catch(Y){if(Y.message+=`
Please report this to https://github.com/markedjs/marked.`,se.silent)return"<p>An error occurred:</p><pre>"+ie(Y.message+"",!0)+"</pre>";throw Y}},Be.Parser=ye,Be.parser=ye.parse,Be.Renderer=Me,Be.TextRenderer=_e,Be.Lexer=te,Be.lexer=te.lex,Be.Tokenizer=M,Be.Slugger=ke,Be.parse=Be;var Je=Be;return Je}),define(pe[73],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function v(C,P,y){return Math.min(Math.max(C,P),y)}e.clamp=v;function D(C,P){return(P+C%P)%P}e.rot=D;class A{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=A;class I{constructor(){this._n=1,this._val=0}update(P){return this._val=this._val+(P-this._val)/this._n,this._n+=1,this}get value(){return this._val}}e.MovingAverage=I});"use strict";(function(){function Q(A){const I=[];typeof A=="number"&&I.push("code/timeOrigin",A);function C(y){I.push(y,Date.now())}function P(){const y=[];for(let i=0;i<I.length;i+=2)y.push({name:I[i],startTime:I[i+1]});return y}return{mark:C,getMarks:P}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?Q():{mark(A){performance.mark(A)},getMarks(){let A=performance.timeOrigin;typeof A!="number"&&(A=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const I=[{name:"code/timeOrigin",startTime:Math.round(A)}];for(const C of performance.getEntriesByType("mark"))I.push({name:C.name,startTime:Math.round(A+C.startTime)});return I}};if(typeof process=="object"){const A=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return Q(A)}else return console.trace("perf-util loaded in UNKNOWN environment"),Q()}function v(A){return A.MonacoPerformanceMarks||(A.MonacoPerformanceMarks=e()),A.MonacoPerformanceMarks}var D;typeof global=="object"?D=global:typeof self=="object"?D=self:D={},typeof define=="function"?define("vs/base/common/performance",[],function(){return v(D)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=v(D):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),D.perf=v(D))})(),define(pe[10],ve([0,1]),function(Q,e){"use strict";var v;Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.globals=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=void 0;const D="en";let A=!1,I=!1,C=!1,P=!1,y=!1,i=!1,T=!1,k,b=D,f,l;const m=typeof self=="object"?self:typeof global=="object"?global:{};let S;typeof process!="undefined"?S=process:typeof m.vscode!="undefined"&&(S=m.vscode.process);const g=typeof((v=S==null?void 0:S.versions)===null||v===void 0?void 0:v.electron)=="string"&&S.type==="renderer";if(e.isElectronSandboxed=g&&(S==null?void 0:S.sandboxed),e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const n=S==null?void 0:S.env.ENABLE_VSCODE_BROWSER_CODE_LOADING;if(typeof n=="string")return n==="none"||n==="code"||n==="bypassHeatCheck"||n==="bypassHeatCheckAndEagerCompile"?n:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!g)l=navigator.userAgent,A=l.indexOf("Windows")>=0,I=l.indexOf("Macintosh")>=0,T=(l.indexOf("Macintosh")>=0||l.indexOf("iPad")>=0||l.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,C=l.indexOf("Linux")>=0,i=!0,k=navigator.language,b=k;else if(typeof S=="object"){A=S.platform==="win32",I=S.platform==="darwin",C=S.platform==="linux",P=C&&!!S.env.SNAP&&!!S.env.SNAP_REVISION,k=D,b=D;const n=S.env.VSCODE_NLS_CONFIG;if(n)try{const d=JSON.parse(n),p=d.availableLanguages["*"];k=d.locale,b=p||D,f=d._translationsConfigFile}catch(d){}y=!0}else console.error("Unable to resolve platform.");var _;(function(n){n[n.Web=0]="Web",n[n.Mac=1]="Mac",n[n.Linux=2]="Linux",n[n.Windows=3]="Windows"})(_=e.Platform||(e.Platform={}));function u(n){switch(n){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=u;let c=0;I?c=1:A?c=3:C&&(c=2),e.isWindows=A,e.isMacintosh=I,e.isLinux=C,e.isLinuxSnap=P,e.isNative=y,e.isWeb=i,e.isIOS=T,e.platform=c,e.userAgent=l,e.language=b;var o;(function(n){function d(){return e.language}n.value=d;function p(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}n.isDefaultVariant=p;function E(){return e.language==="en"}n.isDefault=E})(o=e.Language||(e.Language={})),e.locale=k,e.translationsConfigFile=f,e.globals=m,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let p=[];e.globals.addEventListener("message",h=>{if(h.data&&h.data.vscodeSetImmediateId)for(let w=0,R=p.length;w<R;w++){const L=p[w];if(L.id===h.data.vscodeSetImmediateId){p.splice(w,1),L.callback();return}}});let E=0;return h=>{const w=++E;p.push({id:w,callback:h}),e.globals.postMessage({vscodeSetImmediateId:w},"*")}}if(S&&typeof S.nextTick=="function")return S.nextTick.bind(S);const d=Promise.resolve();return p=>d.then(p)}();var t;(function(n){n[n.Windows=1]="Windows",n[n.Macintosh=2]="Macintosh",n[n.Linux=3]="Linux"})(t=e.OperatingSystem||(e.OperatingSystem={})),e.OS=I||T?2:A?1:3;let r=!0,s=!1;function a(){if(!s){s=!0;const n=new Uint8Array(2);n[0]=1,n[1]=2,r=new Uint16Array(n.buffer)[0]===(2<<8)+1}return r}e.isLittleEndian=a}),define(pe[36],ve([0,1,10]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let D;typeof process!="undefined"?D=process:typeof v.globals.vscode!="undefined"?D={get platform(){return v.globals.vscode.process.platform},get env(){return v.globals.vscode.process.env},nextTick(A){return(0,v.setImmediate)(A)},cwd(){return v.globals.vscode.process.env.VSCODE_CWD||v.globals.vscode.process.execPath.substr(0,v.globals.vscode.process.execPath.lastIndexOf(v.globals.vscode.process.platform==="win32"?"\\":"/"))}}:D={get platform(){return v.isWindows?"win32":v.isMacintosh?"darwin":"linux"},nextTick(A){return(0,v.setImmediate)(A)},get env(){return Object.create(null)},cwd(){return"/"}},e.cwd=D.cwd,e.env=D.env,e.platform=D.platform,e.nextTick=D.nextTick}),define(pe[7],ve([0,1,36]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const D=65,A=97,I=90,C=122,P=46,y=47,i=92,T=58,k=63;class b extends Error{constructor(c,o,t){let r;typeof o=="string"&&o.indexOf("not ")===0?(r="must not be",o=o.replace(/^not /,"")):r="must be";const s=c.indexOf(".")!==-1?"property":"argument";let a=`The "${c}" ${s} ${r} of type ${o}`;a+=`. Received type ${typeof t}`,super(a),this.code="ERR_INVALID_ARG_TYPE"}}function f(u,c){if(typeof u!="string")throw new b(c,"string",u)}function l(u){return u===y||u===i}function m(u){return u===y}function S(u){return u>=D&&u<=I||u>=A&&u<=C}function g(u,c,o,t){let r="",s=0,a=-1,n=0,d=0;for(let p=0;p<=u.length;++p){if(p<u.length)d=u.charCodeAt(p);else{if(t(d))break;d=y}if(t(d)){if(!(a===p-1||n===1))if(n===2){if(r.length<2||s!==2||r.charCodeAt(r.length-1)!==P||r.charCodeAt(r.length-2)!==P){if(r.length>2){const E=r.lastIndexOf(o);E===-1?(r="",s=0):(r=r.slice(0,E),s=r.length-1-r.lastIndexOf(o)),a=p,n=0;continue}else if(r.length!==0){r="",s=0,a=p,n=0;continue}}c&&(r+=r.length>0?`${o}..`:"..",s=2)}else r.length>0?r+=`${o}${u.slice(a+1,p)}`:r=u.slice(a+1,p),s=p-a-1;a=p,n=0}else d===P&&n!==-1?++n:n=-1}return r}function _(u,c){if(c===null||typeof c!="object")throw new b("pathObject","Object",c);const o=c.dir||c.root,t=c.base||`${c.name||""}${c.ext||""}`;return o?o===c.root?`${o}${t}`:`${o}${u}${t}`:t}e.win32={resolve(...u){let c="",o="",t=!1;for(let r=u.length-1;r>=-1;r--){let s;if(r>=0){if(s=u[r],f(s,"path"),s.length===0)continue}else c.length===0?s=v.cwd():(s=v.env[`=${c}`]||v.cwd(),(s===void 0||s.slice(0,2).toLowerCase()!==c.toLowerCase()&&s.charCodeAt(2)===i)&&(s=`${c}\\`));const a=s.length;let n=0,d="",p=!1;const E=s.charCodeAt(0);if(a===1)l(E)&&(n=1,p=!0);else if(l(E))if(p=!0,l(s.charCodeAt(1))){let h=2,w=h;for(;h<a&&!l(s.charCodeAt(h));)h++;if(h<a&&h!==w){const R=s.slice(w,h);for(w=h;h<a&&l(s.charCodeAt(h));)h++;if(h<a&&h!==w){for(w=h;h<a&&!l(s.charCodeAt(h));)h++;(h===a||h!==w)&&(d=`\\\\${R}\\${s.slice(w,h)}`,n=h)}}}else n=1;else S(E)&&s.charCodeAt(1)===T&&(d=s.slice(0,2),n=2,a>2&&l(s.charCodeAt(2))&&(p=!0,n=3));if(d.length>0)if(c.length>0){if(d.toLowerCase()!==c.toLowerCase())continue}else c=d;if(t){if(c.length>0)break}else if(o=`${s.slice(n)}\\${o}`,t=p,p&&c.length>0)break}return o=g(o,!t,"\\",l),t?`${c}\\${o}`:`${c}${o}`||"."},normalize(u){f(u,"path");const c=u.length;if(c===0)return".";let o=0,t,r=!1;const s=u.charCodeAt(0);if(c===1)return m(s)?"\\":u;if(l(s))if(r=!0,l(u.charCodeAt(1))){let n=2,d=n;for(;n<c&&!l(u.charCodeAt(n));)n++;if(n<c&&n!==d){const p=u.slice(d,n);for(d=n;n<c&&l(u.charCodeAt(n));)n++;if(n<c&&n!==d){for(d=n;n<c&&!l(u.charCodeAt(n));)n++;if(n===c)return`\\\\${p}\\${u.slice(d)}\\`;n!==d&&(t=`\\\\${p}\\${u.slice(d,n)}`,o=n)}}}else o=1;else S(s)&&u.charCodeAt(1)===T&&(t=u.slice(0,2),o=2,c>2&&l(u.charCodeAt(2))&&(r=!0,o=3));let a=o<c?g(u.slice(o),!r,"\\",l):"";return a.length===0&&!r&&(a="."),a.length>0&&l(u.charCodeAt(c-1))&&(a+="\\"),t===void 0?r?`\\${a}`:a:r?`${t}\\${a}`:`${t}${a}`},isAbsolute(u){f(u,"path");const c=u.length;if(c===0)return!1;const o=u.charCodeAt(0);return l(o)||c>2&&S(o)&&u.charCodeAt(1)===T&&l(u.charCodeAt(2))},join(...u){if(u.length===0)return".";let c,o;for(let s=0;s<u.length;++s){const a=u[s];f(a,"path"),a.length>0&&(c===void 0?c=o=a:c+=`\\${a}`)}if(c===void 0)return".";let t=!0,r=0;if(typeof o=="string"&&l(o.charCodeAt(0))){++r;const s=o.length;s>1&&l(o.charCodeAt(1))&&(++r,s>2&&(l(o.charCodeAt(2))?++r:t=!1))}if(t){for(;r<c.length&&l(c.charCodeAt(r));)r++;r>=2&&(c=`\\${c.slice(r)}`)}return e.win32.normalize(c)},relative(u,c){if(f(u,"from"),f(c,"to"),u===c)return"";const o=e.win32.resolve(u),t=e.win32.resolve(c);if(o===t||(u=o.toLowerCase(),c=t.toLowerCase(),u===c))return"";let r=0;for(;r<u.length&&u.charCodeAt(r)===i;)r++;let s=u.length;for(;s-1>r&&u.charCodeAt(s-1)===i;)s--;const a=s-r;let n=0;for(;n<c.length&&c.charCodeAt(n)===i;)n++;let d=c.length;for(;d-1>n&&c.charCodeAt(d-1)===i;)d--;const p=d-n,E=a<p?a:p;let h=-1,w=0;for(;w<E;w++){const L=u.charCodeAt(r+w);if(L!==c.charCodeAt(n+w))break;L===i&&(h=w)}if(w!==E){if(h===-1)return t}else{if(p>E){if(c.charCodeAt(n+w)===i)return t.slice(n+w+1);if(w===2)return t.slice(n+w)}a>E&&(u.charCodeAt(r+w)===i?h=w:w===2&&(h=3)),h===-1&&(h=0)}let R="";for(w=r+h+1;w<=s;++w)(w===s||u.charCodeAt(w)===i)&&(R+=R.length===0?"..":"\\..");return n+=h,R.length>0?`${R}${t.slice(n,d)}`:(t.charCodeAt(n)===i&&++n,t.slice(n,d))},toNamespacedPath(u){if(typeof u!="string")return u;if(u.length===0)return"";const c=e.win32.resolve(u);if(c.length<=2)return u;if(c.charCodeAt(0)===i){if(c.charCodeAt(1)===i){const o=c.charCodeAt(2);if(o!==k&&o!==P)return`\\\\?\\UNC\\${c.slice(2)}`}}else if(S(c.charCodeAt(0))&&c.charCodeAt(1)===T&&c.charCodeAt(2)===i)return`\\\\?\\${c}`;return u},dirname(u){f(u,"path");const c=u.length;if(c===0)return".";let o=-1,t=0;const r=u.charCodeAt(0);if(c===1)return l(r)?u:".";if(l(r)){if(o=t=1,l(u.charCodeAt(1))){let n=2,d=n;for(;n<c&&!l(u.charCodeAt(n));)n++;if(n<c&&n!==d){for(d=n;n<c&&l(u.charCodeAt(n));)n++;if(n<c&&n!==d){for(d=n;n<c&&!l(u.charCodeAt(n));)n++;if(n===c)return u;n!==d&&(o=t=n+1)}}}}else S(r)&&u.charCodeAt(1)===T&&(o=c>2&&l(u.charCodeAt(2))?3:2,t=o);let s=-1,a=!0;for(let n=c-1;n>=t;--n)if(l(u.charCodeAt(n))){if(!a){s=n;break}}else a=!1;if(s===-1){if(o===-1)return".";s=o}return u.slice(0,s)},basename(u,c){c!==void 0&&f(c,"ext"),f(u,"path");let o=0,t=-1,r=!0,s;if(u.length>=2&&S(u.charCodeAt(0))&&u.charCodeAt(1)===T&&(o=2),c!==void 0&&c.length>0&&c.length<=u.length){if(c===u)return"";let a=c.length-1,n=-1;for(s=u.length-1;s>=o;--s){const d=u.charCodeAt(s);if(l(d)){if(!r){o=s+1;break}}else n===-1&&(r=!1,n=s+1),a>=0&&(d===c.charCodeAt(a)?--a==-1&&(t=s):(a=-1,t=n))}return o===t?t=n:t===-1&&(t=u.length),u.slice(o,t)}for(s=u.length-1;s>=o;--s)if(l(u.charCodeAt(s))){if(!r){o=s+1;break}}else t===-1&&(r=!1,t=s+1);return t===-1?"":u.slice(o,t)},extname(u){f(u,"path");let c=0,o=-1,t=0,r=-1,s=!0,a=0;u.length>=2&&u.charCodeAt(1)===T&&S(u.charCodeAt(0))&&(c=t=2);for(let n=u.length-1;n>=c;--n){const d=u.charCodeAt(n);if(l(d)){if(!s){t=n+1;break}continue}r===-1&&(s=!1,r=n+1),d===P?o===-1?o=n:a!==1&&(a=1):o!==-1&&(a=-1)}return o===-1||r===-1||a===0||a===1&&o===r-1&&o===t+1?"":u.slice(o,r)},format:_.bind(null,"\\"),parse(u){f(u,"path");const c={root:"",dir:"",base:"",ext:"",name:""};if(u.length===0)return c;const o=u.length;let t=0,r=u.charCodeAt(0);if(o===1)return l(r)?(c.root=c.dir=u,c):(c.base=c.name=u,c);if(l(r)){if(t=1,l(u.charCodeAt(1))){let h=2,w=h;for(;h<o&&!l(u.charCodeAt(h));)h++;if(h<o&&h!==w){for(w=h;h<o&&l(u.charCodeAt(h));)h++;if(h<o&&h!==w){for(w=h;h<o&&!l(u.charCodeAt(h));)h++;h===o?t=h:h!==w&&(t=h+1)}}}}else if(S(r)&&u.charCodeAt(1)===T){if(o<=2)return c.root=c.dir=u,c;if(t=2,l(u.charCodeAt(2))){if(o===3)return c.root=c.dir=u,c;t=3}}t>0&&(c.root=u.slice(0,t));let s=-1,a=t,n=-1,d=!0,p=u.length-1,E=0;for(;p>=t;--p){if(r=u.charCodeAt(p),l(r)){if(!d){a=p+1;break}continue}n===-1&&(d=!1,n=p+1),r===P?s===-1?s=p:E!==1&&(E=1):s!==-1&&(E=-1)}return n!==-1&&(s===-1||E===0||E===1&&s===n-1&&s===a+1?c.base=c.name=u.slice(a,n):(c.name=u.slice(a,s),c.base=u.slice(a,n),c.ext=u.slice(s,n))),a>0&&a!==t?c.dir=u.slice(0,a-1):c.dir=c.root,c},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...u){let c="",o=!1;for(let t=u.length-1;t>=-1&&!o;t--){const r=t>=0?u[t]:v.cwd();f(r,"path"),r.length!==0&&(c=`${r}/${c}`,o=r.charCodeAt(0)===y)}return c=g(c,!o,"/",m),o?`/${c}`:c.length>0?c:"."},normalize(u){if(f(u,"path"),u.length===0)return".";const c=u.charCodeAt(0)===y,o=u.charCodeAt(u.length-1)===y;return u=g(u,!c,"/",m),u.length===0?c?"/":o?"./":".":(o&&(u+="/"),c?`/${u}`:u)},isAbsolute(u){return f(u,"path"),u.length>0&&u.charCodeAt(0)===y},join(...u){if(u.length===0)return".";let c;for(let o=0;o<u.length;++o){const t=u[o];f(t,"path"),t.length>0&&(c===void 0?c=t:c+=`/${t}`)}return c===void 0?".":e.posix.normalize(c)},relative(u,c){if(f(u,"from"),f(c,"to"),u===c||(u=e.posix.resolve(u),c=e.posix.resolve(c),u===c))return"";const o=1,t=u.length,r=t-o,s=1,a=c.length-s,n=r<a?r:a;let d=-1,p=0;for(;p<n;p++){const h=u.charCodeAt(o+p);if(h!==c.charCodeAt(s+p))break;h===y&&(d=p)}if(p===n)if(a>n){if(c.charCodeAt(s+p)===y)return c.slice(s+p+1);if(p===0)return c.slice(s+p)}else r>n&&(u.charCodeAt(o+p)===y?d=p:p===0&&(d=0));let E="";for(p=o+d+1;p<=t;++p)(p===t||u.charCodeAt(p)===y)&&(E+=E.length===0?"..":"/..");return`${E}${c.slice(s+d)}`},toNamespacedPath(u){return u},dirname(u){if(f(u,"path"),u.length===0)return".";const c=u.charCodeAt(0)===y;let o=-1,t=!0;for(let r=u.length-1;r>=1;--r)if(u.charCodeAt(r)===y){if(!t){o=r;break}}else t=!1;return o===-1?c?"/":".":c&&o===1?"//":u.slice(0,o)},basename(u,c){c!==void 0&&f(c,"ext"),f(u,"path");let o=0,t=-1,r=!0,s;if(c!==void 0&&c.length>0&&c.length<=u.length){if(c===u)return"";let a=c.length-1,n=-1;for(s=u.length-1;s>=0;--s){const d=u.charCodeAt(s);if(d===y){if(!r){o=s+1;break}}else n===-1&&(r=!1,n=s+1),a>=0&&(d===c.charCodeAt(a)?--a==-1&&(t=s):(a=-1,t=n))}return o===t?t=n:t===-1&&(t=u.length),u.slice(o,t)}for(s=u.length-1;s>=0;--s)if(u.charCodeAt(s)===y){if(!r){o=s+1;break}}else t===-1&&(r=!1,t=s+1);return t===-1?"":u.slice(o,t)},extname(u){f(u,"path");let c=-1,o=0,t=-1,r=!0,s=0;for(let a=u.length-1;a>=0;--a){const n=u.charCodeAt(a);if(n===y){if(!r){o=a+1;break}continue}t===-1&&(r=!1,t=a+1),n===P?c===-1?c=a:s!==1&&(s=1):c!==-1&&(s=-1)}return c===-1||t===-1||s===0||s===1&&c===t-1&&c===o+1?"":u.slice(c,t)},format:_.bind(null,"/"),parse(u){f(u,"path");const c={root:"",dir:"",base:"",ext:"",name:""};if(u.length===0)return c;const o=u.charCodeAt(0)===y;let t;o?(c.root="/",t=1):t=0;let r=-1,s=0,a=-1,n=!0,d=u.length-1,p=0;for(;d>=t;--d){const E=u.charCodeAt(d);if(E===y){if(!n){s=d+1;break}continue}a===-1&&(n=!1,a=d+1),E===P?r===-1?r=d:p!==1&&(p=1):r!==-1&&(p=-1)}if(a!==-1){const E=s===0&&o?1:s;r===-1||p===0||p===1&&r===a-1&&r===s+1?c.base=c.name=u.slice(E,a):(c.name=u.slice(E,r),c.base=u.slice(E,a),c.ext=u.slice(r,a))}return s>0?c.dir=u.slice(0,s-1):o&&(c.dir="/"),c},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=v.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=v.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=v.platform==="win32"?e.win32.join:e.posix.join,e.resolve=v.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=v.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=v.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=v.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=v.platform==="win32"?e.win32.extname:e.posix.extname,e.format=v.platform==="win32"?e.win32.format:e.posix.format,e.parse=v.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=v.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=v.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=v.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(pe[132],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var v;(function(I){I[I.stdout=0]="stdout",I[I.stderr=1]="stderr"})(v=e.Source||(e.Source={}));var D;(function(I){I[I.Success=0]="Success",I[I.Unknown=1]="Unknown",I[I.AccessDenied=2]="AccessDenied",I[I.ProcessNotFound=3]="ProcessNotFound"})(D=e.TerminateResponseCode||(e.TerminateResponseCode={}));function A(I,...C){const P=C.reduce((T,k)=>(T[k]=!0,T),{}),y=[/^ELECTRON_.+$/,/^VSCODE_.+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(I).filter(T=>!P[T]).forEach(T=>{for(let k=0;k<y.length;k++)if(T.search(y[k])!==-1){delete I[T];break}})}e.sanitizeProcessEnvironment=A}),define(pe[45],ve([0,1,10]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const D=v.globals.performance&&typeof v.globals.performance.now=="function";class A{constructor(C){this._highResolution=D&&C,this._startTime=this._now(),this._stopTime=-1}static create(C=!0){return new A(C)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?v.globals.performance.now():Date.now()}}e.StopWatch=A}),define(pe[3],ve([0,1,18,70,6,57,45]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.PauseableEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var P;(function(g){g.None=()=>A.Disposable.None;function _(Z){return(z,q=null,N)=>{let W=!1,M;return M=Z(O=>{if(!W)return M?M.dispose():W=!0,z.call(q,O)},null,N),W&&M.dispose(),M}}g.once=_;function u(Z,z){return a((q,N=null,W)=>Z(M=>q.call(N,z(M)),null,W))}g.map=u;function c(Z,z){return a((q,N=null,W)=>Z(M=>{z(M),q.call(N,M)},null,W))}g.forEach=c;function o(Z,z){return a((q,N=null,W)=>Z(M=>z(M)&&q.call(N,M),null,W))}g.filter=o;function t(Z){return Z}g.signal=t;function r(...Z){return(z,q=null,N)=>(0,A.combinedDisposable)(...Z.map(W=>W(M=>z.call(q,M),null,N)))}g.any=r;function s(Z,z,q){let N=q;return u(Z,W=>(N=z(N,W),N))}g.reduce=s;function a(Z){let z;const q=new b({onFirstListenerAdd(){z=Z(q.fire,q)},onLastListenerRemove(){z.dispose()}});return q.event}g.snapshot=a;function n(Z,z,q=100,N=!1,W){let M,O,F,B=0;const V=new b({leakWarningThreshold:W,onFirstListenerAdd(){M=Z(G=>{B++,O=z(O,G),N&&!F&&(V.fire(O),O=void 0),clearTimeout(F),F=setTimeout(()=>{const ce=O;O=void 0,F=void 0,(!N||B>1)&&V.fire(ce),B=0},q)})},onLastListenerRemove(){M.dispose()}});return V.event}g.debounce=n;function d(Z){const z=new Date().getTime();return u(_(Z),q=>new Date().getTime()-z)}g.stopwatch=d;function p(Z){let z=!0,q;return o(Z,N=>{const W=z||N!==q;return z=!1,q=N,W})}g.latch=p;function E(Z,z=!1,q=[]){let N=q.slice(),W=Z(F=>{N?N.push(F):O.fire(F)});const M=()=>{N&&N.forEach(F=>O.fire(F)),N=null},O=new b({onFirstListenerAdd(){W||(W=Z(F=>O.fire(F)))},onFirstListenerDidAdd(){N&&(z?setTimeout(M):M())},onLastListenerRemove(){W&&W.dispose(),W=null}});return O.event}g.buffer=E;class h{constructor(z){this.event=z}map(z){return new h(u(this.event,z))}forEach(z){return new h(c(this.event,z))}filter(z){return new h(o(this.event,z))}reduce(z,q){return new h(s(this.event,z,q))}latch(){return new h(p(this.event))}debounce(z,q=100,N=!1,W){return new h(n(this.event,z,q,N,W))}on(z,q,N){return this.event(z,q,N)}once(z,q,N){return _(this.event)(z,q,N)}}function w(Z){return new h(Z)}g.chain=w;function R(Z,z,q=N=>N){const N=(...F)=>O.fire(q(...F)),W=()=>Z.on(z,N),M=()=>Z.removeListener(z,N),O=new b({onFirstListenerAdd:W,onLastListenerRemove:M});return O.event}g.fromNodeEventEmitter=R;function L(Z,z,q=N=>N){const N=(...F)=>O.fire(q(...F)),W=()=>Z.addEventListener(z,N),M=()=>Z.removeEventListener(z,N),O=new b({onFirstListenerAdd:W,onLastListenerRemove:M});return O.event}g.fromDOMEventEmitter=L;function U(Z){const z=new b;let q=!1;return Z.then(void 0,()=>null).then(()=>{q?z.fire(void 0):setTimeout(()=>z.fire(void 0),0)}),q=!0,z.event}g.fromPromise=U;function J(Z){return new Promise(z=>_(Z)(z))}g.toPromise=J})(P=e.Event||(e.Event={}));class y{constructor(_){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${_}_${y._idPool++}`}start(_){this._stopWatch=new C.StopWatch(!0),this._listenerCount=_}stop(){if(this._stopWatch){const _=this._stopWatch.elapsed();this._elapsedOverall+=_,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${_.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}y._idPool=0;let i=-1;function T(g){const _=i;return i=g,{dispose(){i=_}}}e.setGlobalLeakWarningThreshold=T;class k{constructor(_,u=Math.random().toString(18).slice(2,5)){this.customThreshold=_,this.name=u,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(_){let u=i;if(typeof this.customThreshold=="number"&&(u=this.customThreshold),!(u<=0||_<u)){this._stacks||(this._stacks=new Map);const c=new Error().stack.split(`
`).slice(3).join(`
`),o=this._stacks.get(c)||0;if(this._stacks.set(c,o+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=u*.5;let t,r=0;for(const[s,a]of this._stacks)(!t||r<a)&&(t=s,r=a);console.warn(`[${this.name}] potential listener LEAK detected, having ${_} listeners already. MOST frequent listener (${r}):`),console.warn(t)}return()=>{const t=this._stacks.get(c)||0;this._stacks.set(c,t-1)}}}}class b{constructor(_){var u;this._disposed=!1,this._options=_,this._leakageMon=i>0?new k(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((u=this._options)===null||u===void 0?void 0:u._profName)?new y(this._options._profName):void 0}get event(){return this._event||(this._event=(_,u,c)=>{var o;this._listeners||(this._listeners=new I.LinkedList);const t=this._listeners.isEmpty();t&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const r=this._listeners.push(u?[_,u]:_);t&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,_,u);const s=(o=this._leakageMon)===null||o===void 0?void 0:o.check(this._listeners.size);let a;return a={dispose:()=>{s&&s(),a.dispose=b._noop,this._disposed||(r(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},c instanceof A.DisposableStore?c.add(a):Array.isArray(c)&&c.push(a),a}),this._event}fire(_){var u,c;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new I.LinkedList);for(let o of this._listeners)this._deliveryQueue.push([o,_]);for((u=this._perfMon)===null||u===void 0||u.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[o,t]=this._deliveryQueue.shift();try{typeof o=="function"?o.call(void 0,t):o[0].call(o[1],t)}catch(r){(0,v.onUnexpectedError)(r)}}(c=this._perfMon)===null||c===void 0||c.stop()}}dispose(){var _,u,c;(_=this._listeners)===null||_===void 0||_.clear(),(u=this._deliveryQueue)===null||u===void 0||u.clear(),(c=this._leakageMon)===null||c===void 0||c.dispose(),this._disposed=!0}}e.Emitter=b,b._noop=function(){};class f extends b{constructor(_){super(_);this._isPaused=0,this._eventQueue=new I.LinkedList,this._mergeFn=_==null?void 0:_.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const _=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(_))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(_){this._listeners&&(this._isPaused!==0?this._eventQueue.push(_):super.fire(_))}}e.PauseableEmitter=f;class l{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new b({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(_){const u={event:_,listener:null};this.events.push(u),this.hasListeners&&this.hook(u);const c=()=>{this.hasListeners&&this.unhook(u);const o=this.events.indexOf(u);this.events.splice(o,1)};return(0,A.toDisposable)((0,D.once)(c))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(_=>this.hook(_))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(_=>this.unhook(_))}hook(_){_.listener=_.event(u=>this.emitter.fire(u))}unhook(_){_.listener&&_.listener.dispose(),_.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=l;class m{constructor(){this.buffers=[]}wrapEvent(_){return(u,c,o)=>_(t=>{const r=this.buffers[this.buffers.length-1];r?r.push(()=>u.call(c,t)):u.call(c,t)},void 0,o)}bufferEvents(_){const u=[];this.buffers.push(u);const c=_();return this.buffers.pop(),u.forEach(o=>o()),c}}e.EventBufferer=m;class S{constructor(){this.listening=!1,this.inputEvent=P.None,this.inputEventListener=A.Disposable.None,this.emitter=new b({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(_){this.inputEvent=_,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=_(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=S}),define(pe[21],ve([0,1,3]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const D=Object.freeze(function(P,y){const i=setTimeout(P.bind(y),0);return{dispose(){clearTimeout(i)}}});var A;(function(P){function y(i){return i===P.None||i===P.Cancelled||i instanceof I?!0:!i||typeof i!="object"?!1:typeof i.isCancellationRequested=="boolean"&&typeof i.onCancellationRequested=="function"}P.isCancellationToken=y,P.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:v.Event.None}),P.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:D})})(A=e.CancellationToken||(e.CancellationToken={}));class I{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?D:(this._emitter||(this._emitter=new v.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class C{constructor(y){this._token=void 0,this._parentListener=void 0,this._parentListener=y&&y.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new I),this._token}cancel(){this._token?this._token instanceof I&&this._token.cancel():this._token=A.Cancelled}dispose(y=!1){y&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof I&&this._token.dispose():this._token=A.None}}e.CancellationTokenSource=C}),define(pe[46],ve([0,1,3]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.registerCodicon=e.iconRegistry=void 0;class D{constructor(){this._icons=new Map,this._onDidRegister=new v.Emitter}add(T){const k=this._icons.get(T.id);k?T.description?k.description=T.description:console.error(`Duplicate registration of codicon ${T.id}`):(this._icons.set(T.id,T),this._onDidRegister.fire(T))}get(T){return this._icons.get(T)}get all(){return this._icons.values()}get onDidRegister(){return this._onDidRegister.event}}const A=new D;e.iconRegistry=A;function I(i,T){return new C(i,T)}e.registerCodicon=I;class C{constructor(T,k,b){this.id=T,this.definition=k,this.description=b,A.add(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}}e.Codicon=C;function P(i,T){const k=["codicon","codicon-"+i];return T&&k.push("codicon-modifier-"+T),k}e.getClassNamesArray=P;var y;(function(i){i.iconNameSegment="[A-Za-z0-9]+",i.iconNameExpression="[A-Za-z0-9\\-]+",i.iconModifierExpression="~[A-Za-z]+";const T=new RegExp(`^(${i.iconNameExpression})(${i.iconModifierExpression})?$`);function k(l){if(l instanceof C)return["codicon","codicon-"+l.id];const m=T.exec(l.id);if(!m)return k(C.error);let[,S,g]=m;const _=["codicon","codicon-"+S];return g&&_.push("codicon-modifier-"+g.substr(1)),_}i.asClassNameArray=k;function b(l){return k(l).join(" ")}i.asClassName=b;function f(l){return"."+k(l).join(".")}i.asCSSSelector=f})(y=e.CSSIcon||(e.CSSIcon={})),function(i){i.add=new i("add",{fontCharacter:"\\ea60"}),i.plus=new i("plus",{fontCharacter:"\\ea60"}),i.gistNew=new i("gist-new",{fontCharacter:"\\ea60"}),i.repoCreate=new i("repo-create",{fontCharacter:"\\ea60"}),i.lightbulb=new i("lightbulb",{fontCharacter:"\\ea61"}),i.lightBulb=new i("light-bulb",{fontCharacter:"\\ea61"}),i.repo=new i("repo",{fontCharacter:"\\ea62"}),i.repoDelete=new i("repo-delete",{fontCharacter:"\\ea62"}),i.gistFork=new i("gist-fork",{fontCharacter:"\\ea63"}),i.repoForked=new i("repo-forked",{fontCharacter:"\\ea63"}),i.gitPullRequest=new i("git-pull-request",{fontCharacter:"\\ea64"}),i.gitPullRequestAbandoned=new i("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),i.recordKeys=new i("record-keys",{fontCharacter:"\\ea65"}),i.keyboard=new i("keyboard",{fontCharacter:"\\ea65"}),i.tag=new i("tag",{fontCharacter:"\\ea66"}),i.tagAdd=new i("tag-add",{fontCharacter:"\\ea66"}),i.tagRemove=new i("tag-remove",{fontCharacter:"\\ea66"}),i.person=new i("person",{fontCharacter:"\\ea67"}),i.personAdd=new i("person-add",{fontCharacter:"\\ea67"}),i.personFollow=new i("person-follow",{fontCharacter:"\\ea67"}),i.personOutline=new i("person-outline",{fontCharacter:"\\ea67"}),i.personFilled=new i("person-filled",{fontCharacter:"\\ea67"}),i.gitBranch=new i("git-branch",{fontCharacter:"\\ea68"}),i.gitBranchCreate=new i("git-branch-create",{fontCharacter:"\\ea68"}),i.gitBranchDelete=new i("git-branch-delete",{fontCharacter:"\\ea68"}),i.sourceControl=new i("source-control",{fontCharacter:"\\ea68"}),i.mirror=new i("mirror",{fontCharacter:"\\ea69"}),i.mirrorPublic=new i("mirror-public",{fontCharacter:"\\ea69"}),i.star=new i("star",{fontCharacter:"\\ea6a"}),i.starAdd=new i("star-add",{fontCharacter:"\\ea6a"}),i.starDelete=new i("star-delete",{fontCharacter:"\\ea6a"}),i.starEmpty=new i("star-empty",{fontCharacter:"\\ea6a"}),i.comment=new i("comment",{fontCharacter:"\\ea6b"}),i.commentAdd=new i("comment-add",{fontCharacter:"\\ea6b"}),i.alert=new i("alert",{fontCharacter:"\\ea6c"}),i.warning=new i("warning",{fontCharacter:"\\ea6c"}),i.search=new i("search",{fontCharacter:"\\ea6d"}),i.searchSave=new i("search-save",{fontCharacter:"\\ea6d"}),i.logOut=new i("log-out",{fontCharacter:"\\ea6e"}),i.signOut=new i("sign-out",{fontCharacter:"\\ea6e"}),i.logIn=new i("log-in",{fontCharacter:"\\ea6f"}),i.signIn=new i("sign-in",{fontCharacter:"\\ea6f"}),i.eye=new i("eye",{fontCharacter:"\\ea70"}),i.eyeUnwatch=new i("eye-unwatch",{fontCharacter:"\\ea70"}),i.eyeWatch=new i("eye-watch",{fontCharacter:"\\ea70"}),i.circleFilled=new i("circle-filled",{fontCharacter:"\\ea71"}),i.primitiveDot=new i("primitive-dot",{fontCharacter:"\\ea71"}),i.closeDirty=new i("close-dirty",{fontCharacter:"\\ea71"}),i.debugBreakpoint=new i("debug-breakpoint",{fontCharacter:"\\ea71"}),i.debugBreakpointDisabled=new i("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),i.debugHint=new i("debug-hint",{fontCharacter:"\\ea71"}),i.primitiveSquare=new i("primitive-square",{fontCharacter:"\\ea72"}),i.edit=new i("edit",{fontCharacter:"\\ea73"}),i.pencil=new i("pencil",{fontCharacter:"\\ea73"}),i.info=new i("info",{fontCharacter:"\\ea74"}),i.issueOpened=new i("issue-opened",{fontCharacter:"\\ea74"}),i.gistPrivate=new i("gist-private",{fontCharacter:"\\ea75"}),i.gitForkPrivate=new i("git-fork-private",{fontCharacter:"\\ea75"}),i.lock=new i("lock",{fontCharacter:"\\ea75"}),i.mirrorPrivate=new i("mirror-private",{fontCharacter:"\\ea75"}),i.close=new i("close",{fontCharacter:"\\ea76"}),i.removeClose=new i("remove-close",{fontCharacter:"\\ea76"}),i.x=new i("x",{fontCharacter:"\\ea76"}),i.repoSync=new i("repo-sync",{fontCharacter:"\\ea77"}),i.sync=new i("sync",{fontCharacter:"\\ea77"}),i.clone=new i("clone",{fontCharacter:"\\ea78"}),i.desktopDownload=new i("desktop-download",{fontCharacter:"\\ea78"}),i.beaker=new i("beaker",{fontCharacter:"\\ea79"}),i.microscope=new i("microscope",{fontCharacter:"\\ea79"}),i.vm=new i("vm",{fontCharacter:"\\ea7a"}),i.deviceDesktop=new i("device-desktop",{fontCharacter:"\\ea7a"}),i.file=new i("file",{fontCharacter:"\\ea7b"}),i.fileText=new i("file-text",{fontCharacter:"\\ea7b"}),i.more=new i("more",{fontCharacter:"\\ea7c"}),i.ellipsis=new i("ellipsis",{fontCharacter:"\\ea7c"}),i.kebabHorizontal=new i("kebab-horizontal",{fontCharacter:"\\ea7c"}),i.mailReply=new i("mail-reply",{fontCharacter:"\\ea7d"}),i.reply=new i("reply",{fontCharacter:"\\ea7d"}),i.organization=new i("organization",{fontCharacter:"\\ea7e"}),i.organizationFilled=new i("organization-filled",{fontCharacter:"\\ea7e"}),i.organizationOutline=new i("organization-outline",{fontCharacter:"\\ea7e"}),i.newFile=new i("new-file",{fontCharacter:"\\ea7f"}),i.fileAdd=new i("file-add",{fontCharacter:"\\ea7f"}),i.newFolder=new i("new-folder",{fontCharacter:"\\ea80"}),i.fileDirectoryCreate=new i("file-directory-create",{fontCharacter:"\\ea80"}),i.trash=new i("trash",{fontCharacter:"\\ea81"}),i.trashcan=new i("trashcan",{fontCharacter:"\\ea81"}),i.history=new i("history",{fontCharacter:"\\ea82"}),i.clock=new i("clock",{fontCharacter:"\\ea82"}),i.folder=new i("folder",{fontCharacter:"\\ea83"}),i.fileDirectory=new i("file-directory",{fontCharacter:"\\ea83"}),i.symbolFolder=new i("symbol-folder",{fontCharacter:"\\ea83"}),i.logoGithub=new i("logo-github",{fontCharacter:"\\ea84"}),i.markGithub=new i("mark-github",{fontCharacter:"\\ea84"}),i.github=new i("github",{fontCharacter:"\\ea84"}),i.terminal=new i("terminal",{fontCharacter:"\\ea85"}),i.console=new i("console",{fontCharacter:"\\ea85"}),i.repl=new i("repl",{fontCharacter:"\\ea85"}),i.zap=new i("zap",{fontCharacter:"\\ea86"}),i.symbolEvent=new i("symbol-event",{fontCharacter:"\\ea86"}),i.error=new i("error",{fontCharacter:"\\ea87"}),i.stop=new i("stop",{fontCharacter:"\\ea87"}),i.variable=new i("variable",{fontCharacter:"\\ea88"}),i.symbolVariable=new i("symbol-variable",{fontCharacter:"\\ea88"}),i.array=new i("array",{fontCharacter:"\\ea8a"}),i.symbolArray=new i("symbol-array",{fontCharacter:"\\ea8a"}),i.symbolModule=new i("symbol-module",{fontCharacter:"\\ea8b"}),i.symbolPackage=new i("symbol-package",{fontCharacter:"\\ea8b"}),i.symbolNamespace=new i("symbol-namespace",{fontCharacter:"\\ea8b"}),i.symbolObject=new i("symbol-object",{fontCharacter:"\\ea8b"}),i.symbolMethod=new i("symbol-method",{fontCharacter:"\\ea8c"}),i.symbolFunction=new i("symbol-function",{fontCharacter:"\\ea8c"}),i.symbolConstructor=new i("symbol-constructor",{fontCharacter:"\\ea8c"}),i.symbolBoolean=new i("symbol-boolean",{fontCharacter:"\\ea8f"}),i.symbolNull=new i("symbol-null",{fontCharacter:"\\ea8f"}),i.symbolNumeric=new i("symbol-numeric",{fontCharacter:"\\ea90"}),i.symbolNumber=new i("symbol-number",{fontCharacter:"\\ea90"}),i.symbolStructure=new i("symbol-structure",{fontCharacter:"\\ea91"}),i.symbolStruct=new i("symbol-struct",{fontCharacter:"\\ea91"}),i.symbolParameter=new i("symbol-parameter",{fontCharacter:"\\ea92"}),i.symbolTypeParameter=new i("symbol-type-parameter",{fontCharacter:"\\ea92"}),i.symbolKey=new i("symbol-key",{fontCharacter:"\\ea93"}),i.symbolText=new i("symbol-text",{fontCharacter:"\\ea93"}),i.symbolReference=new i("symbol-reference",{fontCharacter:"\\ea94"}),i.goToFile=new i("go-to-file",{fontCharacter:"\\ea94"}),i.symbolEnum=new i("symbol-enum",{fontCharacter:"\\ea95"}),i.symbolValue=new i("symbol-value",{fontCharacter:"\\ea95"}),i.symbolRuler=new i("symbol-ruler",{fontCharacter:"\\ea96"}),i.symbolUnit=new i("symbol-unit",{fontCharacter:"\\ea96"}),i.activateBreakpoints=new i("activate-breakpoints",{fontCharacter:"\\ea97"}),i.archive=new i("archive",{fontCharacter:"\\ea98"}),i.arrowBoth=new i("arrow-both",{fontCharacter:"\\ea99"}),i.arrowDown=new i("arrow-down",{fontCharacter:"\\ea9a"}),i.arrowLeft=new i("arrow-left",{fontCharacter:"\\ea9b"}),i.arrowRight=new i("arrow-right",{fontCharacter:"\\ea9c"}),i.arrowSmallDown=new i("arrow-small-down",{fontCharacter:"\\ea9d"}),i.arrowSmallLeft=new i("arrow-small-left",{fontCharacter:"\\ea9e"}),i.arrowSmallRight=new i("arrow-small-right",{fontCharacter:"\\ea9f"}),i.arrowSmallUp=new i("arrow-small-up",{fontCharacter:"\\eaa0"}),i.arrowUp=new i("arrow-up",{fontCharacter:"\\eaa1"}),i.bell=new i("bell",{fontCharacter:"\\eaa2"}),i.bold=new i("bold",{fontCharacter:"\\eaa3"}),i.book=new i("book",{fontCharacter:"\\eaa4"}),i.bookmark=new i("bookmark",{fontCharacter:"\\eaa5"}),i.debugBreakpointConditionalUnverified=new i("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),i.debugBreakpointConditional=new i("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),i.debugBreakpointConditionalDisabled=new i("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),i.debugBreakpointDataUnverified=new i("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),i.debugBreakpointData=new i("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),i.debugBreakpointDataDisabled=new i("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),i.debugBreakpointLogUnverified=new i("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),i.debugBreakpointLog=new i("debug-breakpoint-log",{fontCharacter:"\\eaab"}),i.debugBreakpointLogDisabled=new i("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),i.briefcase=new i("briefcase",{fontCharacter:"\\eaac"}),i.broadcast=new i("broadcast",{fontCharacter:"\\eaad"}),i.browser=new i("browser",{fontCharacter:"\\eaae"}),i.bug=new i("bug",{fontCharacter:"\\eaaf"}),i.calendar=new i("calendar",{fontCharacter:"\\eab0"}),i.caseSensitive=new i("case-sensitive",{fontCharacter:"\\eab1"}),i.check=new i("check",{fontCharacter:"\\eab2"}),i.checklist=new i("checklist",{fontCharacter:"\\eab3"}),i.chevronDown=new i("chevron-down",{fontCharacter:"\\eab4"}),i.chevronLeft=new i("chevron-left",{fontCharacter:"\\eab5"}),i.chevronRight=new i("chevron-right",{fontCharacter:"\\eab6"}),i.chevronUp=new i("chevron-up",{fontCharacter:"\\eab7"}),i.chromeClose=new i("chrome-close",{fontCharacter:"\\eab8"}),i.chromeMaximize=new i("chrome-maximize",{fontCharacter:"\\eab9"}),i.chromeMinimize=new i("chrome-minimize",{fontCharacter:"\\eaba"}),i.chromeRestore=new i("chrome-restore",{fontCharacter:"\\eabb"}),i.circleOutline=new i("circle-outline",{fontCharacter:"\\eabc"}),i.debugBreakpointUnverified=new i("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),i.circleSlash=new i("circle-slash",{fontCharacter:"\\eabd"}),i.circuitBoard=new i("circuit-board",{fontCharacter:"\\eabe"}),i.clearAll=new i("clear-all",{fontCharacter:"\\eabf"}),i.clippy=new i("clippy",{fontCharacter:"\\eac0"}),i.closeAll=new i("close-all",{fontCharacter:"\\eac1"}),i.cloudDownload=new i("cloud-download",{fontCharacter:"\\eac2"}),i.cloudUpload=new i("cloud-upload",{fontCharacter:"\\eac3"}),i.code=new i("code",{fontCharacter:"\\eac4"}),i.collapseAll=new i("collapse-all",{fontCharacter:"\\eac5"}),i.colorMode=new i("color-mode",{fontCharacter:"\\eac6"}),i.commentDiscussion=new i("comment-discussion",{fontCharacter:"\\eac7"}),i.compareChanges=new i("compare-changes",{fontCharacter:"\\eafd"}),i.creditCard=new i("credit-card",{fontCharacter:"\\eac9"}),i.dash=new i("dash",{fontCharacter:"\\eacc"}),i.dashboard=new i("dashboard",{fontCharacter:"\\eacd"}),i.database=new i("database",{fontCharacter:"\\eace"}),i.debugContinue=new i("debug-continue",{fontCharacter:"\\eacf"}),i.debugDisconnect=new i("debug-disconnect",{fontCharacter:"\\ead0"}),i.debugPause=new i("debug-pause",{fontCharacter:"\\ead1"}),i.debugRestart=new i("debug-restart",{fontCharacter:"\\ead2"}),i.debugStart=new i("debug-start",{fontCharacter:"\\ead3"}),i.debugStepInto=new i("debug-step-into",{fontCharacter:"\\ead4"}),i.debugStepOut=new i("debug-step-out",{fontCharacter:"\\ead5"}),i.debugStepOver=new i("debug-step-over",{fontCharacter:"\\ead6"}),i.debugStop=new i("debug-stop",{fontCharacter:"\\ead7"}),i.debug=new i("debug",{fontCharacter:"\\ead8"}),i.deviceCameraVideo=new i("device-camera-video",{fontCharacter:"\\ead9"}),i.deviceCamera=new i("device-camera",{fontCharacter:"\\eada"}),i.deviceMobile=new i("device-mobile",{fontCharacter:"\\eadb"}),i.diffAdded=new i("diff-added",{fontCharacter:"\\eadc"}),i.diffIgnored=new i("diff-ignored",{fontCharacter:"\\eadd"}),i.diffModified=new i("diff-modified",{fontCharacter:"\\eade"}),i.diffRemoved=new i("diff-removed",{fontCharacter:"\\eadf"}),i.diffRenamed=new i("diff-renamed",{fontCharacter:"\\eae0"}),i.diff=new i("diff",{fontCharacter:"\\eae1"}),i.discard=new i("discard",{fontCharacter:"\\eae2"}),i.editorLayout=new i("editor-layout",{fontCharacter:"\\eae3"}),i.emptyWindow=new i("empty-window",{fontCharacter:"\\eae4"}),i.exclude=new i("exclude",{fontCharacter:"\\eae5"}),i.extensions=new i("extensions",{fontCharacter:"\\eae6"}),i.eyeClosed=new i("eye-closed",{fontCharacter:"\\eae7"}),i.fileBinary=new i("file-binary",{fontCharacter:"\\eae8"}),i.fileCode=new i("file-code",{fontCharacter:"\\eae9"}),i.fileMedia=new i("file-media",{fontCharacter:"\\eaea"}),i.filePdf=new i("file-pdf",{fontCharacter:"\\eaeb"}),i.fileSubmodule=new i("file-submodule",{fontCharacter:"\\eaec"}),i.fileSymlinkDirectory=new i("file-symlink-directory",{fontCharacter:"\\eaed"}),i.fileSymlinkFile=new i("file-symlink-file",{fontCharacter:"\\eaee"}),i.fileZip=new i("file-zip",{fontCharacter:"\\eaef"}),i.files=new i("files",{fontCharacter:"\\eaf0"}),i.filter=new i("filter",{fontCharacter:"\\eaf1"}),i.flame=new i("flame",{fontCharacter:"\\eaf2"}),i.foldDown=new i("fold-down",{fontCharacter:"\\eaf3"}),i.foldUp=new i("fold-up",{fontCharacter:"\\eaf4"}),i.fold=new i("fold",{fontCharacter:"\\eaf5"}),i.folderActive=new i("folder-active",{fontCharacter:"\\eaf6"}),i.folderOpened=new i("folder-opened",{fontCharacter:"\\eaf7"}),i.gear=new i("gear",{fontCharacter:"\\eaf8"}),i.gift=new i("gift",{fontCharacter:"\\eaf9"}),i.gistSecret=new i("gist-secret",{fontCharacter:"\\eafa"}),i.gist=new i("gist",{fontCharacter:"\\eafb"}),i.gitCommit=new i("git-commit",{fontCharacter:"\\eafc"}),i.gitCompare=new i("git-compare",{fontCharacter:"\\eafd"}),i.gitMerge=new i("git-merge",{fontCharacter:"\\eafe"}),i.githubAction=new i("github-action",{fontCharacter:"\\eaff"}),i.githubAlt=new i("github-alt",{fontCharacter:"\\eb00"}),i.globe=new i("globe",{fontCharacter:"\\eb01"}),i.grabber=new i("grabber",{fontCharacter:"\\eb02"}),i.graph=new i("graph",{fontCharacter:"\\eb03"}),i.gripper=new i("gripper",{fontCharacter:"\\eb04"}),i.heart=new i("heart",{fontCharacter:"\\eb05"}),i.home=new i("home",{fontCharacter:"\\eb06"}),i.horizontalRule=new i("horizontal-rule",{fontCharacter:"\\eb07"}),i.hubot=new i("hubot",{fontCharacter:"\\eb08"}),i.inbox=new i("inbox",{fontCharacter:"\\eb09"}),i.issueClosed=new i("issue-closed",{fontCharacter:"\\eb0a"}),i.issueReopened=new i("issue-reopened",{fontCharacter:"\\eb0b"}),i.issues=new i("issues",{fontCharacter:"\\eb0c"}),i.italic=new i("italic",{fontCharacter:"\\eb0d"}),i.jersey=new i("jersey",{fontCharacter:"\\eb0e"}),i.json=new i("json",{fontCharacter:"\\eb0f"}),i.kebabVertical=new i("kebab-vertical",{fontCharacter:"\\eb10"}),i.key=new i("key",{fontCharacter:"\\eb11"}),i.law=new i("law",{fontCharacter:"\\eb12"}),i.lightbulbAutofix=new i("lightbulb-autofix",{fontCharacter:"\\eb13"}),i.linkExternal=new i("link-external",{fontCharacter:"\\eb14"}),i.link=new i("link",{fontCharacter:"\\eb15"}),i.listOrdered=new i("list-ordered",{fontCharacter:"\\eb16"}),i.listUnordered=new i("list-unordered",{fontCharacter:"\\eb17"}),i.liveShare=new i("live-share",{fontCharacter:"\\eb18"}),i.loading=new i("loading",{fontCharacter:"\\eb19"}),i.location=new i("location",{fontCharacter:"\\eb1a"}),i.mailRead=new i("mail-read",{fontCharacter:"\\eb1b"}),i.mail=new i("mail",{fontCharacter:"\\eb1c"}),i.markdown=new i("markdown",{fontCharacter:"\\eb1d"}),i.megaphone=new i("megaphone",{fontCharacter:"\\eb1e"}),i.mention=new i("mention",{fontCharacter:"\\eb1f"}),i.milestone=new i("milestone",{fontCharacter:"\\eb20"}),i.mortarBoard=new i("mortar-board",{fontCharacter:"\\eb21"}),i.move=new i("move",{fontCharacter:"\\eb22"}),i.multipleWindows=new i("multiple-windows",{fontCharacter:"\\eb23"}),i.mute=new i("mute",{fontCharacter:"\\eb24"}),i.noNewline=new i("no-newline",{fontCharacter:"\\eb25"}),i.note=new i("note",{fontCharacter:"\\eb26"}),i.octoface=new i("octoface",{fontCharacter:"\\eb27"}),i.openPreview=new i("open-preview",{fontCharacter:"\\eb28"}),i.package_=new i("package",{fontCharacter:"\\eb29"}),i.paintcan=new i("paintcan",{fontCharacter:"\\eb2a"}),i.pin=new i("pin",{fontCharacter:"\\eb2b"}),i.play=new i("play",{fontCharacter:"\\eb2c"}),i.run=new i("run",{fontCharacter:"\\eb2c"}),i.plug=new i("plug",{fontCharacter:"\\eb2d"}),i.preserveCase=new i("preserve-case",{fontCharacter:"\\eb2e"}),i.preview=new i("preview",{fontCharacter:"\\eb2f"}),i.project=new i("project",{fontCharacter:"\\eb30"}),i.pulse=new i("pulse",{fontCharacter:"\\eb31"}),i.question=new i("question",{fontCharacter:"\\eb32"}),i.quote=new i("quote",{fontCharacter:"\\eb33"}),i.radioTower=new i("radio-tower",{fontCharacter:"\\eb34"}),i.reactions=new i("reactions",{fontCharacter:"\\eb35"}),i.references=new i("references",{fontCharacter:"\\eb36"}),i.refresh=new i("refresh",{fontCharacter:"\\eb37"}),i.regex=new i("regex",{fontCharacter:"\\eb38"}),i.remoteExplorer=new i("remote-explorer",{fontCharacter:"\\eb39"}),i.remote=new i("remote",{fontCharacter:"\\eb3a"}),i.remove=new i("remove",{fontCharacter:"\\eb3b"}),i.replaceAll=new i("replace-all",{fontCharacter:"\\eb3c"}),i.replace=new i("replace",{fontCharacter:"\\eb3d"}),i.repoClone=new i("repo-clone",{fontCharacter:"\\eb3e"}),i.repoForcePush=new i("repo-force-push",{fontCharacter:"\\eb3f"}),i.repoPull=new i("repo-pull",{fontCharacter:"\\eb40"}),i.repoPush=new i("repo-push",{fontCharacter:"\\eb41"}),i.report=new i("report",{fontCharacter:"\\eb42"}),i.requestChanges=new i("request-changes",{fontCharacter:"\\eb43"}),i.rocket=new i("rocket",{fontCharacter:"\\eb44"}),i.rootFolderOpened=new i("root-folder-opened",{fontCharacter:"\\eb45"}),i.rootFolder=new i("root-folder",{fontCharacter:"\\eb46"}),i.rss=new i("rss",{fontCharacter:"\\eb47"}),i.ruby=new i("ruby",{fontCharacter:"\\eb48"}),i.saveAll=new i("save-all",{fontCharacter:"\\eb49"}),i.saveAs=new i("save-as",{fontCharacter:"\\eb4a"}),i.save=new i("save",{fontCharacter:"\\eb4b"}),i.screenFull=new i("screen-full",{fontCharacter:"\\eb4c"}),i.screenNormal=new i("screen-normal",{fontCharacter:"\\eb4d"}),i.searchStop=new i("search-stop",{fontCharacter:"\\eb4e"}),i.server=new i("server",{fontCharacter:"\\eb50"}),i.settingsGear=new i("settings-gear",{fontCharacter:"\\eb51"}),i.settings=new i("settings",{fontCharacter:"\\eb52"}),i.shield=new i("shield",{fontCharacter:"\\eb53"}),i.smiley=new i("smiley",{fontCharacter:"\\eb54"}),i.sortPrecedence=new i("sort-precedence",{fontCharacter:"\\eb55"}),i.splitHorizontal=new i("split-horizontal",{fontCharacter:"\\eb56"}),i.splitVertical=new i("split-vertical",{fontCharacter:"\\eb57"}),i.squirrel=new i("squirrel",{fontCharacter:"\\eb58"}),i.starFull=new i("star-full",{fontCharacter:"\\eb59"}),i.starHalf=new i("star-half",{fontCharacter:"\\eb5a"}),i.symbolClass=new i("symbol-class",{fontCharacter:"\\eb5b"}),i.symbolColor=new i("symbol-color",{fontCharacter:"\\eb5c"}),i.symbolConstant=new i("symbol-constant",{fontCharacter:"\\eb5d"}),i.symbolEnumMember=new i("symbol-enum-member",{fontCharacter:"\\eb5e"}),i.symbolField=new i("symbol-field",{fontCharacter:"\\eb5f"}),i.symbolFile=new i("symbol-file",{fontCharacter:"\\eb60"}),i.symbolInterface=new i("symbol-interface",{fontCharacter:"\\eb61"}),i.symbolKeyword=new i("symbol-keyword",{fontCharacter:"\\eb62"}),i.symbolMisc=new i("symbol-misc",{fontCharacter:"\\eb63"}),i.symbolOperator=new i("symbol-operator",{fontCharacter:"\\eb64"}),i.symbolProperty=new i("symbol-property",{fontCharacter:"\\eb65"}),i.wrench=new i("wrench",{fontCharacter:"\\eb65"}),i.wrenchSubaction=new i("wrench-subaction",{fontCharacter:"\\eb65"}),i.symbolSnippet=new i("symbol-snippet",{fontCharacter:"\\eb66"}),i.tasklist=new i("tasklist",{fontCharacter:"\\eb67"}),i.telescope=new i("telescope",{fontCharacter:"\\eb68"}),i.textSize=new i("text-size",{fontCharacter:"\\eb69"}),i.threeBars=new i("three-bars",{fontCharacter:"\\eb6a"}),i.thumbsdown=new i("thumbsdown",{fontCharacter:"\\eb6b"}),i.thumbsup=new i("thumbsup",{fontCharacter:"\\eb6c"}),i.tools=new i("tools",{fontCharacter:"\\eb6d"}),i.triangleDown=new i("triangle-down",{fontCharacter:"\\eb6e"}),i.triangleLeft=new i("triangle-left",{fontCharacter:"\\eb6f"}),i.triangleRight=new i("triangle-right",{fontCharacter:"\\eb70"}),i.triangleUp=new i("triangle-up",{fontCharacter:"\\eb71"}),i.twitter=new i("twitter",{fontCharacter:"\\eb72"}),i.unfold=new i("unfold",{fontCharacter:"\\eb73"}),i.unlock=new i("unlock",{fontCharacter:"\\eb74"}),i.unmute=new i("unmute",{fontCharacter:"\\eb75"}),i.unverified=new i("unverified",{fontCharacter:"\\eb76"}),i.verified=new i("verified",{fontCharacter:"\\eb77"}),i.versions=new i("versions",{fontCharacter:"\\eb78"}),i.vmActive=new i("vm-active",{fontCharacter:"\\eb79"}),i.vmOutline=new i("vm-outline",{fontCharacter:"\\eb7a"}),i.vmRunning=new i("vm-running",{fontCharacter:"\\eb7b"}),i.watch=new i("watch",{fontCharacter:"\\eb7c"}),i.whitespace=new i("whitespace",{fontCharacter:"\\eb7d"}),i.wholeWord=new i("whole-word",{fontCharacter:"\\eb7e"}),i.window=new i("window",{fontCharacter:"\\eb7f"}),i.wordWrap=new i("word-wrap",{fontCharacter:"\\eb80"}),i.zoomIn=new i("zoom-in",{fontCharacter:"\\eb81"}),i.zoomOut=new i("zoom-out",{fontCharacter:"\\eb82"}),i.listFilter=new i("list-filter",{fontCharacter:"\\eb83"}),i.listFlat=new i("list-flat",{fontCharacter:"\\eb84"}),i.listSelection=new i("list-selection",{fontCharacter:"\\eb85"}),i.selection=new i("selection",{fontCharacter:"\\eb85"}),i.listTree=new i("list-tree",{fontCharacter:"\\eb86"}),i.debugBreakpointFunctionUnverified=new i("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),i.debugBreakpointFunction=new i("debug-breakpoint-function",{fontCharacter:"\\eb88"}),i.debugBreakpointFunctionDisabled=new i("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),i.debugStackframeActive=new i("debug-stackframe-active",{fontCharacter:"\\eb89"}),i.debugStackframeDot=new i("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),i.debugStackframe=new i("debug-stackframe",{fontCharacter:"\\eb8b"}),i.debugStackframeFocused=new i("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),i.debugBreakpointUnsupported=new i("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),i.symbolString=new i("symbol-string",{fontCharacter:"\\eb8d"}),i.debugReverseContinue=new i("debug-reverse-continue",{fontCharacter:"\\eb8e"}),i.debugStepBack=new i("debug-step-back",{fontCharacter:"\\eb8f"}),i.debugRestartFrame=new i("debug-restart-frame",{fontCharacter:"\\eb90"}),i.callIncoming=new i("call-incoming",{fontCharacter:"\\eb92"}),i.callOutgoing=new i("call-outgoing",{fontCharacter:"\\eb93"}),i.menu=new i("menu",{fontCharacter:"\\eb94"}),i.expandAll=new i("expand-all",{fontCharacter:"\\eb95"}),i.feedback=new i("feedback",{fontCharacter:"\\eb96"}),i.groupByRefType=new i("group-by-ref-type",{fontCharacter:"\\eb97"}),i.ungroupByRefType=new i("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),i.account=new i("account",{fontCharacter:"\\eb99"}),i.bellDot=new i("bell-dot",{fontCharacter:"\\eb9a"}),i.debugConsole=new i("debug-console",{fontCharacter:"\\eb9b"}),i.library=new i("library",{fontCharacter:"\\eb9c"}),i.output=new i("output",{fontCharacter:"\\eb9d"}),i.runAll=new i("run-all",{fontCharacter:"\\eb9e"}),i.syncIgnored=new i("sync-ignored",{fontCharacter:"\\eb9f"}),i.pinned=new i("pinned",{fontCharacter:"\\eba0"}),i.githubInverted=new i("github-inverted",{fontCharacter:"\\eba1"}),i.debugAlt=new i("debug-alt",{fontCharacter:"\\eb91"}),i.serverProcess=new i("server-process",{fontCharacter:"\\eba2"}),i.serverEnvironment=new i("server-environment",{fontCharacter:"\\eba3"}),i.pass=new i("pass",{fontCharacter:"\\eba4"}),i.stopCircle=new i("stop-circle",{fontCharacter:"\\eba5"}),i.playCircle=new i("play-circle",{fontCharacter:"\\eba6"}),i.record=new i("record",{fontCharacter:"\\eba7"}),i.debugAltSmall=new i("debug-alt-small",{fontCharacter:"\\eba8"}),i.vmConnect=new i("vm-connect",{fontCharacter:"\\eba9"}),i.cloud=new i("cloud",{fontCharacter:"\\ebaa"}),i.merge=new i("merge",{fontCharacter:"\\ebab"}),i.exportIcon=new i("export",{fontCharacter:"\\ebac"}),i.graphLeft=new i("graph-left",{fontCharacter:"\\ebad"}),i.magnet=new i("magnet",{fontCharacter:"\\ebae"}),i.notebook=new i("notebook",{fontCharacter:"\\ebaf"}),i.redo=new i("redo",{fontCharacter:"\\ebb0"}),i.checkAll=new i("check-all",{fontCharacter:"\\ebb1"}),i.pinnedDirty=new i("pinned-dirty",{fontCharacter:"\\ebb2"}),i.passFilled=new i("pass-filled",{fontCharacter:"\\ebb3"}),i.circleLargeFilled=new i("circle-large-filled",{fontCharacter:"\\ebb4"}),i.circleLargeOutline=new i("circle-large-outline",{fontCharacter:"\\ebb5"}),i.combine=new i("combine",{fontCharacter:"\\ebb6"}),i.gather=new i("gather",{fontCharacter:"\\ebb6"}),i.table=new i("table",{fontCharacter:"\\ebb7"}),i.variableGroup=new i("variable-group",{fontCharacter:"\\ebb8"}),i.typeHierarchy=new i("type-hierarchy",{fontCharacter:"\\ebb9"}),i.typeHierarchySub=new i("type-hierarchy-sub",{fontCharacter:"\\ebba"}),i.typeHierarchySuper=new i("type-hierarchy-super",{fontCharacter:"\\ebbb"}),i.gitPullRequestCreate=new i("git-pull-request-create",{fontCharacter:"\\ebbc"}),i.runAbove=new i("run-above",{fontCharacter:"\\ebbd"}),i.runBelow=new i("run-below",{fontCharacter:"\\ebbe"}),i.notebookTemplate=new i("notebook-template",{fontCharacter:"\\ebbf"}),i.debugRerun=new i("debug-rerun",{fontCharacter:"\\ebc0"}),i.workspaceTrusted=new i("workspace-trusted",{fontCharacter:"\\ebc1"}),i.workspaceUntrusted=new i("workspace-untrusted",{fontCharacter:"\\ebc2"}),i.workspaceUnknown=new i("workspace-unknown",{fontCharacter:"\\ebc3"}),i.dropDownButton=new i("drop-down-button",i.chevronDown.definition)}(C=e.Codicon||(e.Codicon={}))}),define(pe[91],ve([0,1,18,6]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transform=e.toReadable=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function A(S){const g=S;return g&&[g.on,g.pause,g.resume,g.destroy].every(_=>typeof _=="function")}e.isReadableStream=A;function I(S){const g=S;return g&&A(g.stream)&&Array.isArray(g.buffer)&&typeof g.ended=="boolean"}e.isReadableBufferedStream=I;function C(S,g){return new P(S,g)}e.newWriteableStream=C;class P{constructor(g,_){this.reducer=g,this.options=_,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(g){var _;if(!this.state.destroyed){if(this.state.flowing)this.emitData(g);else if(this.buffer.data.push(g),typeof((_=this.options)===null||_===void 0?void 0:_.highWaterMark)=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(u=>this.pendingWritePromises.push(u))}}error(g){this.state.destroyed||(this.state.flowing?this.emitError(g):this.buffer.error.push(g))}end(g){this.state.destroyed||(typeof g!="undefined"&&this.write(g),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(g){this.listeners.data.slice(0).forEach(_=>_(g))}emitError(g){this.listeners.error.length===0?(0,v.onUnexpectedError)(g):this.listeners.error.slice(0).forEach(_=>_(g))}emitEnd(){this.listeners.end.slice(0).forEach(g=>g())}on(g,_){if(!this.state.destroyed)switch(g){case"data":this.listeners.data.push(_),this.resume();break;case"end":this.listeners.end.push(_),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(_),this.state.flowing&&this.flowErrors();break}}removeListener(g,_){if(!this.state.destroyed){let u;switch(g){case"data":u=this.listeners.data;break;case"end":u=this.listeners.end;break;case"error":u=this.listeners.error;break}if(u){const c=u.indexOf(_);c>=0&&u.splice(c,1)}}}flowData(){if(this.buffer.data.length>0){const g=this.reducer(this.buffer.data);this.emitData(g),this.buffer.data.length=0;const _=[...this.pendingWritePromises];this.pendingWritePromises.length=0,_.forEach(u=>u())}}flowErrors(){if(this.listeners.error.length>0){for(const g of this.buffer.error)this.emitError(g);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function y(S,g){const _=[];let u;for(;(u=S.read())!==null;)_.push(u);return g(_)}e.consumeReadable=y;function i(S,g,_){const u=[];let c;for(;(c=S.read())!==null&&u.length<_;)u.push(c);return c===null&&u.length>0?g(u):{read:()=>{if(u.length>0)return u.shift();if(typeof c!="undefined"){const o=c;return c=void 0,o}return S.read()}}}e.peekReadable=i;function T(S,g){return new Promise((_,u)=>{const c=[];k(S,{onData:o=>{g&&c.push(o)},onError:o=>{g?u(o):_(void 0)},onEnd:()=>{_(g?g(c):void 0)}})})}e.consumeStream=T;function k(S,g){S.on("error",_=>g.onError(_)),S.on("end",()=>g.onEnd()),S.on("data",_=>g.onData(_))}e.listenStream=k;function b(S,g){return new Promise((_,u)=>{const c=new D.DisposableStore,o=[],t=a=>{if(o.push(a),o.length>g)return c.dispose(),S.pause(),_({stream:S,buffer:o,ended:!1})},r=a=>u(a),s=()=>_({stream:S,buffer:o,ended:!0});c.add((0,D.toDisposable)(()=>S.removeListener("error",r))),S.on("error",r),c.add((0,D.toDisposable)(()=>S.removeListener("end",s))),S.on("end",s),c.add((0,D.toDisposable)(()=>S.removeListener("data",t))),S.on("data",t)})}e.peekStream=b;function f(S,g){const _=C(g);return _.end(S),_}e.toStream=f;function l(S){let g=!1;return{read:()=>g?null:(g=!0,S)}}e.toReadable=l;function m(S,g,_){const u=C(_);return k(S,{onData:c=>u.write(g.data(c)),onError:c=>u.error(g.error?g.error(c):c),onEnd:()=>u.end()}),u}e.transform=m}),define(pe[9],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format=e.isFalsyOrWhitespace=void 0;function v(j){return!j||typeof j!="string"?!0:j.trim().length===0}e.isFalsyOrWhitespace=v;const D=/{(\d+)}/g;function A(j,...se){return se.length===0?j:j.replace(D,function(de,Y){const ne=parseInt(Y,10);return isNaN(ne)||ne<0||ne>=se.length?de:se[ne]})}e.format=A;function I(j){return j.replace(/[<>&]/g,function(se){switch(se){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return se}})}e.escape=I;function C(j){return j.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=C;function P(j,se){let de=0;const Y=se.charCodeAt(0);for(let ne=j.length-1;ne>=0;ne--)j.charCodeAt(ne)===Y&&de++;return de}e.count=P;function y(j,se,de="\u2026"){return j.length<=se?j:`${j.substr(0,se)}${de}`}e.truncate=y;function i(j,se=" "){const de=T(j,se);return k(de,se)}e.trim=i;function T(j,se){if(!j||!se)return j;const de=se.length;if(de===0||j.length===0)return j;let Y=0;for(;j.indexOf(se,Y)===Y;)Y=Y+de;return j.substring(Y)}e.ltrim=T;function k(j,se){if(!j||!se)return j;const de=se.length,Y=j.length;if(de===0||Y===0)return j;let ne=Y,le=-1;for(;le=j.lastIndexOf(se,ne-1),!(le===-1||le+de!==ne);){if(le===0)return"";ne=le}return j.substring(0,ne)}e.rtrim=k;function b(j){return j.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=b;function f(j){return j.replace(/\*/g,"")}e.stripWildcards=f;function l(j,se,de={}){if(!j)throw new Error("Cannot create regex from empty string");se||(j=C(j)),de.wholeWord&&(/\B/.test(j.charAt(0))||(j="\\b"+j),/\B/.test(j.charAt(j.length-1))||(j=j+"\\b"));let Y="";return de.global&&(Y+="g"),de.matchCase||(Y+="i"),de.multiline&&(Y+="m"),de.unicode&&(Y+="u"),new RegExp(j,Y)}e.createRegExp=l;function m(j){return j.source==="^"||j.source==="^$"||j.source==="$"||j.source==="^\\s*$"?!1:!!(j.exec("")&&j.lastIndex===0)}e.regExpLeadsToEndlessLoop=m;function S(j){return!!j.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=S;function g(j){return(j.global?"g":"")+(j.ignoreCase?"i":"")+(j.multiline?"m":"")+(j.unicode?"u":"")}e.regExpFlags=g;function _(j){return j.split(/\r\n|\r|\n/)}e.splitLines=_;function u(j){for(let se=0,de=j.length;se<de;se++){const Y=j.charCodeAt(se);if(Y!==32&&Y!==9)return se}return-1}e.firstNonWhitespaceIndex=u;function c(j,se=0,de=j.length){for(let Y=se;Y<de;Y++){const ne=j.charCodeAt(Y);if(ne!==32&&ne!==9)return j.substring(se,Y)}return j.substring(se,de)}e.getLeadingWhitespace=c;function o(j,se=j.length-1){for(let de=se;de>=0;de--){const Y=j.charCodeAt(de);if(Y!==32&&Y!==9)return de}return-1}e.lastNonWhitespaceIndex=o;function t(j,se){return j<se?-1:j>se?1:0}e.compare=t;function r(j,se,de=0,Y=j.length,ne=0,le=se.length){for(;de<Y&&ne<le;de++,ne++){let He=j.charCodeAt(de),We=se.charCodeAt(ne);if(He<We)return-1;if(He>We)return 1}const ge=Y-de,Ee=le-ne;return ge<Ee?-1:ge>Ee?1:0}e.compareSubstring=r;function s(j,se){return a(j,se,0,j.length,0,se.length)}e.compareIgnoreCase=s;function a(j,se,de=0,Y=j.length,ne=0,le=se.length){for(;de<Y&&ne<le;de++,ne++){let He=j.charCodeAt(de),We=se.charCodeAt(ne);if(He!==We){const qe=He-We;if(!(qe===32&&d(We))&&!(qe===-32&&d(He)))return n(He)&&n(We)?qe:r(j.toLowerCase(),se.toLowerCase(),de,Y,ne,le)}}const ge=Y-de,Ee=le-ne;return ge<Ee?-1:ge>Ee?1:0}e.compareSubstringIgnoreCase=a;function n(j){return j>=97&&j<=122}e.isLowerAsciiLetter=n;function d(j){return j>=65&&j<=90}e.isUpperAsciiLetter=d;function p(j){return n(j)||d(j)}function E(j,se){return j.length===se.length&&h(j,se)}e.equalsIgnoreCase=E;function h(j,se,de=j.length){for(let Y=0;Y<de;Y++){const ne=j.charCodeAt(Y),le=se.charCodeAt(Y);if(ne!==le){if(p(ne)&&p(le)){const ge=Math.abs(ne-le);if(ge!==0&&ge!==32)return!1}else if(String.fromCharCode(ne).toLowerCase()!==String.fromCharCode(le).toLowerCase())return!1}}return!0}function w(j,se){const de=se.length;return se.length>j.length?!1:h(j,se,de)}e.startsWithIgnoreCase=w;function R(j,se){let de,Y=Math.min(j.length,se.length);for(de=0;de<Y;de++)if(j.charCodeAt(de)!==se.charCodeAt(de))return de;return Y}e.commonPrefixLength=R;function L(j,se){let de,Y=Math.min(j.length,se.length);const ne=j.length-1,le=se.length-1;for(de=0;de<Y;de++)if(j.charCodeAt(ne-de)!==se.charCodeAt(le-de))return de;return Y}e.commonSuffixLength=L;function U(j){return 55296<=j&&j<=56319}e.isHighSurrogate=U;function J(j){return 56320<=j&&j<=57343}e.isLowSurrogate=J;function Z(j,se){return(j-55296<<10)+(se-56320)+65536}e.computeCodePoint=Z;function z(j,se,de){const Y=j.charCodeAt(de);if(U(Y)&&de+1<se){const ne=j.charCodeAt(de+1);if(J(ne))return Z(Y,ne)}return Y}e.getNextCodePoint=z;function q(j,se){const de=j.charCodeAt(se-1);if(J(de)&&se>1){const Y=j.charCodeAt(se-2);if(U(Y))return Z(Y,de)}return de}function N(j,se){const de=Be.getInstance(),Y=se,ne=j.length,le=z(j,ne,se);se+=le>=65536?2:1;let ge=de.getGraphemeBreakType(le);for(;se<ne;){const Ee=z(j,ne,se),He=de.getGraphemeBreakType(Ee);if(Ne(ge,He))break;se+=Ee>=65536?2:1,ge=He}return se-Y}e.nextCharLength=N;function W(j,se){const de=Be.getInstance(),Y=se,ne=q(j,se);se-=ne>=65536?2:1;let le=de.getGraphemeBreakType(ne);for(;se>0;){const ge=q(j,se),Ee=de.getGraphemeBreakType(ge);if(Ne(Ee,le))break;se-=ge>=65536?2:1,le=Ee}return Y-se}e.prevCharLength=W;function M(j,se){const de=Be.getInstance(),Y=j.length,ne=se,le=z(j,Y,se),ge=de.getGraphemeBreakType(le);se+=le>=65536?2:1;let Ee=ge;for(;se<Y;){const We=z(j,Y,se),qe=de.getGraphemeBreakType(We);if(Ne(Ee,qe))break;se+=We>=65536?2:1,Ee=qe}const He=se;for(se=ne,Ee=ge;se>0;){const We=q(j,se),qe=de.getGraphemeBreakType(We);if(Ne(qe,Ee))break;se-=We>=65536?2:1,Ee=qe}return[se,He]}function O(j,se){return se>0&&J(j.charCodeAt(se))?M(j,se-1):M(j,se)}e.getCharContainingOffset=O;function F(j){const se=j.length;let de=0,Y=0;for(;Y<se;){const ge=z(j,se,Y);Y+=ge>=65536?2:1,ge<128?de+=1:ge<2048?de+=2:ge<65536?de+=3:de+=4}const ne=new Uint8Array(de);Y=0;let le=0;for(;Y<se;){const ge=z(j,se,Y);Y+=ge>=65536?2:1,ge<128?ne[le++]=ge:ge<2048?(ne[le++]=192|(ge&1984)>>>6,ne[le++]=128|(ge&63)>>>0):ge<65536?(ne[le++]=224|(ge&61440)>>>12,ne[le++]=128|(ge&4032)>>>6,ne[le++]=128|(ge&63)>>>0):(ne[le++]=240|(ge&1835008)>>>18,ne[le++]=128|(ge&258048)>>>12,ne[le++]=128|(ge&4032)>>>6,ne[le++]=128|(ge&63)>>>0)}return ne}e.encodeUTF8=F;function B(j){const se=j.byteLength,de=[];let Y=0;for(;Y<se;){const ne=j[Y];let le;if(ne>=240&&Y+3<se?le=(j[Y++]&7)<<18>>>0|(j[Y++]&63)<<12>>>0|(j[Y++]&63)<<6>>>0|(j[Y++]&63)<<0>>>0:ne>=224&&Y+2<se?le=(j[Y++]&15)<<12>>>0|(j[Y++]&63)<<6>>>0|(j[Y++]&63)<<0>>>0:ne>=192&&Y+1<se?le=(j[Y++]&31)<<6>>>0|(j[Y++]&63)<<0>>>0:le=j[Y++],le>=0&&le<=55295||le>=57344&&le<=65535)de.push(String.fromCharCode(le));else if(le>=65536&&le<=1114111){const ge=le-65536,Ee=55296+((ge&1047552)>>>10),He=56320+((ge&1023)>>>0);de.push(String.fromCharCode(Ee)),de.push(String.fromCharCode(He))}else de.push(String.fromCharCode(65533))}return de.join("")}e.decodeUTF8=B;const V=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function G(j){return V.test(j)}e.containsRTL=G;const ce=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function me(j){return ce.test(j)}e.containsEmoji=me;const Pe=/^[\t\n\r\x20-\x7E]*$/;function Ie(j){return Pe.test(j)}e.isBasicASCII=Ie,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function Fe(j){return e.UNUSUAL_LINE_TERMINATORS.test(j)}e.containsUnusualLineTerminators=Fe;function H(j){for(let se=0,de=j.length;se<de;se++)if(X(j.charCodeAt(se)))return!0;return!1}e.containsFullWidthCharacter=H;function X(j){return j=+j,j>=11904&&j<=55215||j>=63744&&j<=64255||j>=65281&&j<=65374}e.isFullWidthCharacter=X;function te(j){return j>=127462&&j<=127487||j===8986||j===8987||j===9200||j===9203||j>=9728&&j<=10175||j===11088||j===11093||j>=127744&&j<=128591||j>=128640&&j<=128764||j>=128992&&j<=129003||j>=129280&&j<=129535||j>=129648&&j<=129750}e.isEmojiImprecise=te;function oe(j,se){if(j.length<se)return j;const de=/\b/g;let Y=0;for(;de.test(j)&&!(j.length-de.lastIndex<se);)Y=de.lastIndex,de.lastIndex+=1;return j.substring(Y).replace(/^\s/,"")}e.lcut=oe;const we=/\x1B\x5B[12]?K/g,De=/\x1b\[\d+m/g,Me=/\x1b\[0?m/g;function _e(j){return j&&(j=j.replace(we,""),j=j.replace(De,""),j=j.replace(Me,"")),j}e.removeAnsiEscapeCodes=_e,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function ke(j){return!!(j&&j.length>0&&j.charCodeAt(0)===65279)}e.startsWithUTF8BOM=ke;function Re(j){return ke(j)?j.substr(1):j}e.stripUTF8BOM=Re;function xe(j,se){if(!j||!se||j.length<se.length)return!1;const de=se.length,Y=j.toLowerCase();let ne=0,le=-1;for(;ne<de;){const ge=Y.indexOf(se[ne],le+1);if(ge<0)return!1;le=ge,ne++}return!0}e.fuzzyContains=xe;function ye(j,se=!1){return j?(se&&(j=j.replace(/\\./g,"")),j.toLowerCase()!==j):!1}e.containsUppercaseCharacter=ye;function Ge(j){return j.charAt(0).toUpperCase()+j.slice(1)}e.uppercaseFirstLetter=Ge;function K(j,se=1){if(se===0)return"";let de=-1;do de=j.indexOf(`
`,de+1),se--;while(se>0&&de>=0);return de===-1?j:(j[de-1]==="\r"&&de--,j.substr(0,de))}e.getNLines=K;function ie(j){const se=90-65+1;return j=j%(2*se),j<se?String.fromCharCode(97+j):String.fromCharCode(65+j-se)}e.singleLetterHash=ie;function Se(j){return Be.getInstance().getGraphemeBreakType(j)}e.getGraphemeBreakType=Se;function Ne(j,se){return j===0?se!==5&&se!==7:j===2&&se===3?!1:j===4||j===2||j===3||se===4||se===2||se===3?!0:!(j===8&&(se===8||se===9||se===11||se===12)||(j===11||j===9)&&(se===9||se===10)||(j===12||j===10)&&se===10||se===5||se===13||se===7||j===1||j===13&&se===14||j===6&&se===6)}e.breakBetweenGraphemeBreakType=Ne;var ze;(function(j){j[j.Other=0]="Other",j[j.Prepend=1]="Prepend",j[j.CR=2]="CR",j[j.LF=3]="LF",j[j.Control=4]="Control",j[j.Extend=5]="Extend",j[j.Regional_Indicator=6]="Regional_Indicator",j[j.SpacingMark=7]="SpacingMark",j[j.L=8]="L",j[j.V=9]="V",j[j.T=10]="T",j[j.LV=11]="LV",j[j.LVT=12]="LVT",j[j.ZWJ=13]="ZWJ",j[j.Extended_Pictographic=14]="Extended_Pictographic"})(ze=e.GraphemeBreakType||(e.GraphemeBreakType={}));class Be{constructor(){this._data=Je()}static getInstance(){return Be._INSTANCE||(Be._INSTANCE=new Be),Be._INSTANCE}getGraphemeBreakType(se){if(se<32)return se===10?3:se===13?2:4;if(se<127)return 0;const de=this._data,Y=de.length/3;let ne=1;for(;ne<=Y;)if(se<de[3*ne])ne=2*ne;else if(se>de[3*ne+1])ne=2*ne+1;else return de[3*ne+2];return 0}}Be._INSTANCE=null;function Je(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}}),define(pe[26],ve([0,1,9,91]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const A=typeof Buffer!="undefined",I=typeof TextEncoder!="undefined",C=typeof TextDecoder!="undefined";let P,y;class i{constructor(n){this.buffer=n,this.byteLength=this.buffer.byteLength}static alloc(n){return A?new i(Buffer.allocUnsafe(n)):new i(new Uint8Array(n))}static wrap(n){return A&&!Buffer.isBuffer(n)&&(n=Buffer.from(n.buffer,n.byteOffset,n.byteLength)),new i(n)}static fromString(n,d){return!((d==null?void 0:d.dontUseNodeBuffer)||!1)&&A?new i(Buffer.from(n)):I?(P||(P=new TextEncoder),new i(P.encode(n))):new i(v.encodeUTF8(n))}static concat(n,d){if(typeof d=="undefined"){d=0;for(let h=0,w=n.length;h<w;h++)d+=n[h].byteLength}const p=i.alloc(d);let E=0;for(let h=0,w=n.length;h<w;h++){const R=n[h];p.set(R,E),E+=R.byteLength}return p}toString(){return A?this.buffer.toString():C?(y||(y=new TextDecoder),y.decode(this.buffer)):v.decodeUTF8(this.buffer)}slice(n,d){return new i(this.buffer.subarray(n,d))}set(n,d){n instanceof i?this.buffer.set(n.buffer,d):this.buffer.set(n,d)}readUInt32BE(n){return b(this.buffer,n)}writeUInt32BE(n,d){f(this.buffer,n,d)}readUInt32LE(n){return l(this.buffer,n)}writeUInt32LE(n,d){m(this.buffer,n,d)}readUInt8(n){return S(this.buffer,n)}writeUInt8(n,d){g(this.buffer,n,d)}}e.VSBuffer=i;function T(a,n){return a[n+0]<<0>>>0|a[n+1]<<8>>>0}e.readUInt16LE=T;function k(a,n,d){a[d+0]=n&255,n=n>>>8,a[d+1]=n&255}e.writeUInt16LE=k;function b(a,n){return a[n]*2**24+a[n+1]*2**16+a[n+2]*2**8+a[n+3]}e.readUInt32BE=b;function f(a,n,d){a[d+3]=n,n=n>>>8,a[d+2]=n,n=n>>>8,a[d+1]=n,n=n>>>8,a[d]=n}e.writeUInt32BE=f;function l(a,n){return a[n+0]<<0>>>0|a[n+1]<<8>>>0|a[n+2]<<16>>>0|a[n+3]<<24>>>0}e.readUInt32LE=l;function m(a,n,d){a[d+0]=n&255,n=n>>>8,a[d+1]=n&255,n=n>>>8,a[d+2]=n&255,n=n>>>8,a[d+3]=n&255}e.writeUInt32LE=m;function S(a,n){return a[n]}e.readUInt8=S;function g(a,n,d){a[d]=n}e.writeUInt8=g;function _(a){return D.consumeReadable(a,n=>i.concat(n))}e.readableToBuffer=_;function u(a){return D.toReadable(a)}e.bufferToReadable=u;function c(a){return D.consumeStream(a,n=>i.concat(n))}e.streamToBuffer=c;async function o(a){return a.ended?i.concat(a.buffer):i.concat([...a.buffer,await c(a.stream)])}e.bufferedStreamToBuffer=o;function t(a){return D.toStream(a,n=>i.concat(n))}e.bufferToStream=t;function r(a){return D.transform(a,{data:n=>typeof n=="string"?i.fromString(n):i.wrap(n)},n=>i.concat(n))}e.streamToBufferReadableStream=r;function s(a){return D.newWriteableStream(n=>i.concat(n),a)}e.newWriteableBufferStream=s}),define(pe[74],ve([0,1,9]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.doHash=e.hash=void 0;function D(g){return A(g,0)}e.hash=D;function A(g,_){switch(typeof g){case"object":return g===null?I(349,_):Array.isArray(g)?y(g,_):i(g,_);case"string":return P(g,_);case"boolean":return C(g,_);case"number":return I(g,_);case"undefined":return I(937,_);default:return I(617,_)}}e.doHash=A;function I(g,_){return(_<<5)-_+g|0}function C(g,_){return I(g?433:863,_)}function P(g,_){_=I(149417,_);for(let u=0,c=g.length;u<c;u++)_=I(g.charCodeAt(u),_);return _}e.stringHash=P;function y(g,_){return _=I(104579,_),g.reduce((u,c)=>A(c,u),_)}function i(g,_){return _=I(181387,_),Object.keys(g).sort().reduce((u,c)=>(u=P(c,u),A(g[c],u)),_)}class T{constructor(){this._value=0}get value(){return this._value}hash(_){return this._value=A(_,this._value),this._value}}e.Hasher=T;var k;(function(g){g[g.BLOCK_SIZE=64]="BLOCK_SIZE",g[g.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(k||(k={}));function b(g,_,u=32){const c=u-_,o=~((1<<c)-1);return(g<<_|(o&g)>>>c)>>>0}function f(g,_=0,u=g.byteLength,c=0){for(let o=0;o<u;o++)g[_+o]=c}function l(g,_,u="0"){for(;g.length<_;)g=u+g;return g}function m(g,_=32){return g instanceof ArrayBuffer?Array.from(new Uint8Array(g)).map(u=>u.toString(16).padStart(2,"0")).join(""):l((g>>>0).toString(16),_/4)}e.toHexString=m;class S{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(_){const u=_.length;if(u!==0){const c=this._buff;let o=this._buffLen,t=this._leftoverHighSurrogate,r,s;for(t!==0?(r=t,s=-1,t=0):(r=_.charCodeAt(0),s=0);;){let a=r;if(v.isHighSurrogate(r))if(s+1<u){const n=_.charCodeAt(s+1);v.isLowSurrogate(n)?(s++,a=v.computeCodePoint(r,n)):a=65533}else{t=r;break}else v.isLowSurrogate(r)&&(a=65533);if(o=this._push(c,o,a),s++,s<u)r=_.charCodeAt(s);else break}this._buffLen=o,this._leftoverHighSurrogate=t}}_push(_,u,c){return c<128?_[u++]=c:c<2048?(_[u++]=192|(c&1984)>>>6,_[u++]=128|(c&63)>>>0):c<65536?(_[u++]=224|(c&61440)>>>12,_[u++]=128|(c&4032)>>>6,_[u++]=128|(c&63)>>>0):(_[u++]=240|(c&1835008)>>>18,_[u++]=128|(c&258048)>>>12,_[u++]=128|(c&4032)>>>6,_[u++]=128|(c&63)>>>0),u>=64&&(this._step(),u-=64,this._totalLen+=64,_[0]=_[64+0],_[1]=_[64+1],_[2]=_[64+2]),u}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),m(this._h0)+m(this._h1)+m(this._h2)+m(this._h3)+m(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,f(this._buff,this._buffLen),this._buffLen>56&&(this._step(),f(this._buff));const _=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(_/4294967296),!1),this._buffDV.setUint32(60,_%4294967296,!1),this._step()}_step(){const _=S._bigBlock32,u=this._buffDV;for(let p=0;p<64;p+=4)_.setUint32(p,u.getUint32(p,!1),!1);for(let p=64;p<320;p+=4)_.setUint32(p,b(_.getUint32(p-12,!1)^_.getUint32(p-32,!1)^_.getUint32(p-56,!1)^_.getUint32(p-64,!1),1),!1);let c=this._h0,o=this._h1,t=this._h2,r=this._h3,s=this._h4,a,n,d;for(let p=0;p<80;p++)p<20?(a=o&t|~o&r,n=1518500249):p<40?(a=o^t^r,n=1859775393):p<60?(a=o&t|o&r|t&r,n=2400959708):(a=o^t^r,n=3395469782),d=b(c,5)+a+s+n+_.getUint32(p*4,!1)&4294967295,s=r,r=t,t=b(o,30),o=c,c=d;this._h0=this._h0+c&4294967295,this._h1=this._h1+o&4294967295,this._h2=this._h2+t&4294967295,this._h3=this._h3+r&4294967295,this._h4=this._h4+s&4294967295}}e.StringSHA1=S,S._bigBlock32=new DataView(new ArrayBuffer(320))}),define(pe[75],ve([0,1,9]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var D;(function(A){A[A.Ignore=0]="Ignore",A[A.Info=1]="Info",A[A.Warning=2]="Warning",A[A.Error=3]="Error"})(D||(D={})),function(A){const I="error",C="warning",P="warn",y="info";function i(T){return T?v.equalsIgnoreCase(I,T)?A.Error:v.equalsIgnoreCase(C,T)||v.equalsIgnoreCase(P,T)?A.Warning:v.equalsIgnoreCase(y,T)?A.Info:A.Ignore:A.Ignore}A.fromValue=i}(D||(D={})),e.default=D}),define(pe[15],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function v(n){return Array.isArray(n)}e.isArray=v;function D(n){return typeof n=="string"}e.isString=D;function A(n){return Array.isArray(n)&&n.every(d=>D(d))}e.isStringArray=A;function I(n){return typeof n=="object"&&n!==null&&!Array.isArray(n)&&!(n instanceof RegExp)&&!(n instanceof Date)}e.isObject=I;function C(n){return typeof n=="number"&&!isNaN(n)}e.isNumber=C;function P(n){return n===!0||n===!1}e.isBoolean=P;function y(n){return typeof n=="undefined"}e.isUndefined=y;function i(n){return!T(n)}e.isDefined=i;function T(n){return y(n)||n===null}e.isUndefinedOrNull=T;function k(n,d){if(!n)throw new Error(d?`Unexpected type, expected '${d}'`:"Unexpected type")}e.assertType=k;function b(n){if(T(n))throw new Error("Assertion Failed: argument is undefined or null");return n}e.assertIsDefined=b;function f(...n){const d=[];for(let p=0;p<n.length;p++){const E=n[p];if(T(E))throw new Error(`Assertion Failed: argument at index ${p} is undefined or null`);d.push(E)}return d}e.assertAllDefined=f;const l=Object.prototype.hasOwnProperty;function m(n){if(!I(n))return!1;for(let d in n)if(l.call(n,d))return!1;return!0}e.isEmptyObject=m;function S(n){return typeof n=="function"}e.isFunction=S;function g(...n){return n.length>0&&n.every(S)}e.areFunctions=g;function _(n,d){const p=Math.min(n.length,d.length);for(let E=0;E<p;E++)u(n[E],d[E])}e.validateConstraints=_;function u(n,d){if(D(d)){if(typeof n!==d)throw new Error(`argument does not match constraint: typeof ${d}`)}else if(S(d)){try{if(n instanceof d)return}catch(p){}if(!T(n)&&n.constructor===d||d.length===1&&d.call(void 0,n)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=u;function c(n){let d=[],p=Object.getPrototypeOf(n);for(;Object.prototype!==p;)d=d.concat(Object.getOwnPropertyNames(p)),p=Object.getPrototypeOf(p);return d}e.getAllPropertyNames=c;function o(n){const d=[];for(const p of c(n))typeof n[p]=="function"&&d.push(p);return d}e.getAllMethodNames=o;function t(n,d){const p=h=>function(){const w=Array.prototype.slice.call(arguments,0);return d(h,w)};let E={};for(const h of n)E[h]=p(h);return E}e.createProxyObject=t;function r(n){return n===null?void 0:n}e.withNullAsUndefined=r;function s(n){return typeof n=="undefined"?null:n}e.withUndefinedAsNull=s;function a(n){return class{constructor(){return new Proxy({},{get(d,p){if(d[p])return d[p];throw new Error(`Not Implemented: ${n}->${String(p)}`)}})}}}e.NotImplementedProxy=a}),define(pe[30],ve([0,1,10,9,7,15]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toSlashes=e.isPathSeparator=void 0;function C(r){return r===47||r===92}e.isPathSeparator=C;function P(r){return r.replace(/[\\/]/g,A.posix.sep)}e.toSlashes=P;function y(r,s=A.posix.sep){if(!r)return"";const a=r.length,n=r.charCodeAt(0);if(C(n)){if(C(r.charCodeAt(1))&&!C(r.charCodeAt(2))){let p=3;const E=p;for(;p<a&&!C(r.charCodeAt(p));p++);if(E!==p&&!C(r.charCodeAt(p+1))){for(p+=1;p<a;p++)if(C(r.charCodeAt(p)))return r.slice(0,p+1).replace(/[\\/]/g,s)}}return s}else if(S(n)&&r.charCodeAt(1)===58)return C(r.charCodeAt(2))?r.slice(0,2)+s:r.slice(0,2);let d=r.indexOf("://");if(d!==-1){for(d+=3;d<a;d++)if(C(r.charCodeAt(d)))return r.slice(0,d+1)}return""}e.getRoot=y;function i(r){if(!v.isWindows||!r||r.length<5)return!1;let s=r.charCodeAt(0);if(s!==92||(s=r.charCodeAt(1),s!==92))return!1;let a=2;const n=a;for(;a<r.length&&(s=r.charCodeAt(a),s!==92);a++);return!(n===a||(s=r.charCodeAt(a+1),isNaN(s)||s===92))}e.isUNC=i;const T=/[\\/:\*\?"<>\|]/g,k=/[\\/]/g,b=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function f(r,s=v.isWindows){const a=s?T:k;return!(!r||r.length===0||/^\s+$/.test(r)||(a.lastIndex=0,a.test(r))||s&&b.test(r)||r==="."||r===".."||s&&r[r.length-1]==="."||s&&r.length!==r.trim().length||r.length>255)}e.isValidBasename=f;function l(r,s,a){const n=r===s;return!a||n?n:!r||!s?!1:(0,D.equalsIgnoreCase)(r,s)}e.isEqual=l;function m(r,s,a,n=A.sep){if(r===s)return!0;if(!r||!s||s.length>r.length)return!1;if(a){if(!(0,D.startsWithIgnoreCase)(r,s))return!1;if(s.length===r.length)return!0;let p=s.length;return s.charAt(s.length-1)===n&&p--,r.charAt(p)===n}return s.charAt(s.length-1)!==n&&(s+=n),r.indexOf(s)===0}e.isEqualOrParent=m;function S(r){return r>=65&&r<=90||r>=97&&r<=122}e.isWindowsDriveLetter=S;function g(r,s){return v.isWindows&&r.endsWith(":")&&(r+=A.sep),(0,A.isAbsolute)(r)||(r=(0,A.join)(s,r)),r=(0,A.normalize)(r),v.isWindows?(r=(0,D.rtrim)(r,A.sep),r.endsWith(":")&&(r+=A.sep)):(r=(0,D.rtrim)(r,A.sep),r||(r=A.sep)),r}e.sanitizeFilePath=g;function _(r){const s=(0,A.normalize)(r);return v.isWindows?r.length>3?!1:u(s)&&(r.length===2||s.charCodeAt(2)===92):s===A.posix.sep}e.isRootOrDriveLetter=_;function u(r){return v.isWindows?S(r.charCodeAt(0))&&r.charCodeAt(1)===58:!1}e.hasDriveLetter=u;function c(r){return u(r)?r[0]:void 0}e.getDriveLetter=c;function o(r,s,a){return s.length>r.length?-1:r===s?0:(a&&(r=r.toLowerCase(),s=s.toLowerCase()),r.indexOf(s))}e.indexOfPath=o;function t(r){const s=r.split(":");let a,n,d;if(s.forEach(p=>{const E=Number(p);(0,I.isNumber)(E)?n===void 0?n=E:d===void 0&&(d=E):a=a?[a,p].join(":"):p}),!a)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:a,line:n!==void 0?n:void 0,column:d!==void 0?d:n!==void 0?1:void 0}}e.parseLineAndColumnAware=t}),define(pe[22],ve([0,1,15]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function D(l){if(!l||typeof l!="object"||l instanceof RegExp)return l;const m=Array.isArray(l)?[]:{};return Object.keys(l).forEach(S=>{l[S]&&typeof l[S]=="object"?m[S]=D(l[S]):m[S]=l[S]}),m}e.deepClone=D;function A(l){if(!l||typeof l!="object")return l;const m=[l];for(;m.length>0;){const S=m.shift();Object.freeze(S);for(const g in S)if(I.call(S,g)){const _=S[g];typeof _=="object"&&!Object.isFrozen(_)&&m.push(_)}}return l}e.deepFreeze=A;const I=Object.prototype.hasOwnProperty;function C(l,m){return P(l,m,new Set)}e.cloneAndChange=C;function P(l,m,S){if((0,v.isUndefinedOrNull)(l))return l;const g=m(l);if(typeof g!="undefined")return g;if((0,v.isArray)(l)){const _=[];for(const u of l)_.push(P(u,m,S));return _}if((0,v.isObject)(l)){if(S.has(l))throw new Error("Cannot clone recursive data-structure");S.add(l);const _={};for(let u in l)I.call(l,u)&&(_[u]=P(l[u],m,S));return S.delete(l),_}return l}function y(l,m,S=!0){return(0,v.isObject)(l)?((0,v.isObject)(m)&&Object.keys(m).forEach(g=>{g in l?S&&((0,v.isObject)(l[g])&&(0,v.isObject)(m[g])?y(l[g],m[g],S):l[g]=m[g]):l[g]=m[g]}),l):m}e.mixin=y;function i(l,m){if(l===m)return!0;if(l==null||m===null||m===void 0||typeof l!=typeof m||typeof l!="object"||Array.isArray(l)!==Array.isArray(m))return!1;let S,g;if(Array.isArray(l)){if(l.length!==m.length)return!1;for(S=0;S<l.length;S++)if(!i(l[S],m[S]))return!1}else{const _=[];for(g in l)_.push(g);_.sort();const u=[];for(g in m)u.push(g);if(u.sort(),!i(_,u))return!1;for(S=0;S<_.length;S++)if(!i(l[_[S]],m[_[S]]))return!1}return!0}e.equals=i;function T(l){const m=new Set;return JSON.stringify(l,(S,g)=>{if((0,v.isObject)(g)||Array.isArray(g)){if(m.has(g))return"[Circular]";m.add(g)}return g})}e.safeStringify=T;function k(l,m,S){const g=m(l);return typeof g=="undefined"?S:g}e.getOrDefault=k;function b(l,m){const S=Object.create(null);return!l||!m||Object.keys(m).forEach(_=>{const u=l[_],c=m[_];i(u,c)||(S[_]=c)}),S}e.distinct=b;function f(l,m){const S=m.toLowerCase(),g=Object.keys(l).find(_=>_.toLowerCase()===S);return g?l[g]:l[m]}e.getCaseInsensitive=f}),define(pe[92],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toUint32=e.toUint8=e.Constants=void 0;var v;(function(I){I[I.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",I[I.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",I[I.MAX_UINT_8=255]="MAX_UINT_8",I[I.MAX_UINT_16=65535]="MAX_UINT_16",I[I.MAX_UINT_32=4294967295]="MAX_UINT_32",I[I.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(v=e.Constants||(e.Constants={}));function D(I){return I<0?0:I>255?255:I|0}e.toUint8=D;function A(I){return I<0?0:I>4294967295?4294967295:I|0}e.toUint32=A}),define(pe[2],ve([0,1,10,7]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const A=/^\w[\w\d+.-]*$/,I=/^\//,C=/^\/\//;function P(s,a){if(!s.scheme&&a)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${s.authority}", path: "${s.path}", query: "${s.query}", fragment: "${s.fragment}"}`);if(s.scheme&&!A.test(s.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(s.path){if(s.authority){if(!I.test(s.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(C.test(s.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function y(s,a){return!s&&!a?"file":s}function i(s,a){switch(s){case"https":case"http":case"file":a?a[0]!==k&&(a=k+a):a=k;break}return a}const T="",k="/",b=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class f{constructor(a,n,d,p,E,h=!1){typeof a=="object"?(this.scheme=a.scheme||T,this.authority=a.authority||T,this.path=a.path||T,this.query=a.query||T,this.fragment=a.fragment||T):(this.scheme=y(a,h),this.authority=n||T,this.path=i(this.scheme,d||T),this.query=p||T,this.fragment=E||T,P(this,h))}static isUri(a){return a instanceof f?!0:a?typeof a.authority=="string"&&typeof a.fragment=="string"&&typeof a.path=="string"&&typeof a.query=="string"&&typeof a.scheme=="string"&&typeof a.fsPath=="string"&&typeof a.with=="function"&&typeof a.toString=="function":!1}get fsPath(){return u(this,!1)}with(a){if(!a)return this;let{scheme:n,authority:d,path:p,query:E,fragment:h}=a;return n===void 0?n=this.scheme:n===null&&(n=T),d===void 0?d=this.authority:d===null&&(d=T),p===void 0?p=this.path:p===null&&(p=T),E===void 0?E=this.query:E===null&&(E=T),h===void 0?h=this.fragment:h===null&&(h=T),n===this.scheme&&d===this.authority&&p===this.path&&E===this.query&&h===this.fragment?this:new m(n,d,p,E,h)}static parse(a,n=!1){const d=b.exec(a);return d?new m(d[2]||T,r(d[4]||T),r(d[5]||T),r(d[7]||T),r(d[9]||T),n):new m(T,T,T,T,T)}static file(a){let n=T;if(v.isWindows&&(a=a.replace(/\\/g,k)),a[0]===k&&a[1]===k){const d=a.indexOf(k,2);d===-1?(n=a.substring(2),a=k):(n=a.substring(2,d),a=a.substring(d)||k)}return new m("file",n,a,T,T)}static from(a){return new m(a.scheme,a.authority,a.path,a.query,a.fragment)}static joinPath(a,...n){if(!a.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let d;return v.isWindows&&a.scheme==="file"?d=f.file(D.win32.join(u(a,!0),...n)).path:d=D.posix.join(a.path,...n),a.with({path:d})}toString(a=!1){return c(this,a)}toJSON(){return this}static revive(a){if(a){if(a instanceof f)return a;{const n=new m(a);return n._formatted=a.external,n._fsPath=a._sep===l?a.fsPath:null,n}}else return a}}e.URI=f;const l=v.isWindows?1:void 0;class m extends f{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=u(this,!1)),this._fsPath}toString(a=!1){return a?c(this,!0):(this._formatted||(this._formatted=c(this,!1)),this._formatted)}toJSON(){const a={$mid:1};return this._fsPath&&(a.fsPath=this._fsPath,a._sep=l),this._formatted&&(a.external=this._formatted),this.path&&(a.path=this.path),this.scheme&&(a.scheme=this.scheme),this.authority&&(a.authority=this.authority),this.query&&(a.query=this.query),this.fragment&&(a.fragment=this.fragment),a}}const S={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function g(s,a){let n,d=-1;for(let p=0;p<s.length;p++){const E=s.charCodeAt(p);if(E>=97&&E<=122||E>=65&&E<=90||E>=48&&E<=57||E===45||E===46||E===95||E===126||a&&E===47)d!==-1&&(n+=encodeURIComponent(s.substring(d,p)),d=-1),n!==void 0&&(n+=s.charAt(p));else{n===void 0&&(n=s.substr(0,p));const h=S[E];h!==void 0?(d!==-1&&(n+=encodeURIComponent(s.substring(d,p)),d=-1),n+=h):d===-1&&(d=p)}}return d!==-1&&(n+=encodeURIComponent(s.substring(d))),n!==void 0?n:s}function _(s){let a;for(let n=0;n<s.length;n++){const d=s.charCodeAt(n);d===35||d===63?(a===void 0&&(a=s.substr(0,n)),a+=S[d]):a!==void 0&&(a+=s[n])}return a!==void 0?a:s}function u(s,a){let n;return s.authority&&s.path.length>1&&s.scheme==="file"?n=`//${s.authority}${s.path}`:s.path.charCodeAt(0)===47&&(s.path.charCodeAt(1)>=65&&s.path.charCodeAt(1)<=90||s.path.charCodeAt(1)>=97&&s.path.charCodeAt(1)<=122)&&s.path.charCodeAt(2)===58?a?n=s.path.substr(1):n=s.path[1].toLowerCase()+s.path.substr(2):n=s.path,v.isWindows&&(n=n.replace(/\//g,"\\")),n}e.uriToFsPath=u;function c(s,a){const n=a?_:g;let d="",{scheme:p,authority:E,path:h,query:w,fragment:R}=s;if(p&&(d+=p,d+=":"),(E||p==="file")&&(d+=k,d+=k),E){let L=E.indexOf("@");if(L!==-1){const U=E.substr(0,L);E=E.substr(L+1),L=U.indexOf(":"),L===-1?d+=n(U,!1):(d+=n(U.substr(0,L),!1),d+=":",d+=n(U.substr(L+1),!1)),d+="@"}E=E.toLowerCase(),L=E.indexOf(":"),L===-1?d+=n(E,!1):(d+=n(E.substr(0,L),!1),d+=E.substr(L))}if(h){if(h.length>=3&&h.charCodeAt(0)===47&&h.charCodeAt(2)===58){const L=h.charCodeAt(1);L>=65&&L<=90&&(h=`/${String.fromCharCode(L+32)}:${h.substr(3)}`)}else if(h.length>=2&&h.charCodeAt(1)===58){const L=h.charCodeAt(0);L>=65&&L<=90&&(h=`${String.fromCharCode(L+32)}:${h.substr(2)}`)}d+=n(h,!0)}return w&&(d+="?",d+=n(w,!1)),R&&(d+="#",d+=a?R:g(R,!1)),d}function o(s){try{return decodeURIComponent(s)}catch(a){return s.length>3?s.substr(0,3)+o(s.substr(3)):s}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function r(s){return s.match(t)?s.replace(t,a=>o(a)):s}}),define(pe[23],ve([0,1,2,9]),function(Q,e,v,D){"use strict";var A,I;Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function C(c,o,t){let r=c.get(o);return r===void 0&&(r=t,c.set(o,r)),r}e.getOrSet=C;function P(c){const o=[];return c.forEach((t,r)=>{o.push(`${r} => ${t}`)}),`Map(${c.size}) {${o.join(", ")}}`}e.mapToString=P;function y(c){const o=[];return c.forEach(t=>{o.push(t)}),`Set(${c.size}) {${o.join(", ")}}`}e.setToString=y;class i{constructor(){this._value="",this._pos=0}reset(o){return this._value=o,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(o){const t=o.charCodeAt(0),r=this._value.charCodeAt(this._pos);return t-r}value(){return this._value[this._pos]}}e.StringIterator=i;class T{constructor(o=!0){this._caseSensitive=o}reset(o){return this._value=o,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let o=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(o)this._from++;else break;else o=!1;return this}cmp(o){return this._caseSensitive?(0,D.compareSubstring)(o,this._value,0,o.length,this._from,this._to):(0,D.compareSubstringIgnoreCase)(o,this._value,0,o.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=T;class k{constructor(o=!0,t=!0){this._splitOnBackslash=o,this._caseSensitive=t}reset(o){return this._value=o.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let o=!0;for(;this._to<this._value.length;this._to++){const t=this._value.charCodeAt(this._to);if(t===47||this._splitOnBackslash&&t===92)if(o)this._from++;else break;else o=!1}return this}cmp(o){return this._caseSensitive?(0,D.compareSubstring)(o,this._value,0,o.length,this._from,this._to):(0,D.compareSubstringIgnoreCase)(o,this._value,0,o.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=k;var b;(function(c){c[c.Scheme=1]="Scheme",c[c.Authority=2]="Authority",c[c.Path=3]="Path",c[c.Query=4]="Query",c[c.Fragment=5]="Fragment"})(b||(b={}));class f{constructor(o){this._ignorePathCasing=o,this._states=[],this._stateIdx=0}reset(o){return this._value=o,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new k(!1,!this._ignorePathCasing(o)),this._pathIterator.reset(o.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(o){if(this._states[this._stateIdx]===1)return(0,D.compareIgnoreCase)(o,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,D.compareIgnoreCase)(o,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(o);if(this._states[this._stateIdx]===4)return(0,D.compare)(o,this._value.query);if(this._states[this._stateIdx]===5)return(0,D.compare)(o,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=f;class l{isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}}class m{constructor(o){this._iter=o}static forUris(o=()=>!1){return new m(new f(o))}static forPaths(){return new m(new k)}static forStrings(){return new m(new i)}static forConfigKeys(){return new m(new T)}clear(){this._root=void 0}set(o,t){const r=this._iter.reset(o);let s;for(this._root||(this._root=new l,this._root.segment=r.value()),s=this._root;;){const n=r.cmp(s.segment);if(n>0)s.left||(s.left=new l,s.left.segment=r.value()),s=s.left;else if(n<0)s.right||(s.right=new l,s.right.segment=r.value()),s=s.right;else if(r.hasNext())r.next(),s.mid||(s.mid=new l,s.mid.segment=r.value()),s=s.mid;else break}const a=s.value;return s.value=t,s.key=o,a}get(o){var t;return(t=this._getNode(o))===null||t===void 0?void 0:t.value}_getNode(o){const t=this._iter.reset(o);let r=this._root;for(;r;){const s=t.cmp(r.segment);if(s>0)r=r.left;else if(s<0)r=r.right;else if(t.hasNext())t.next(),r=r.mid;else break}return r}has(o){const t=this._getNode(o);return!((t==null?void 0:t.value)===void 0&&(t==null?void 0:t.mid)===void 0)}delete(o){return this._delete(o,!1)}deleteSuperstr(o){return this._delete(o,!0)}_delete(o,t){const r=this._iter.reset(o),s=[];let a=this._root;for(;a;){const n=r.cmp(a.segment);if(n>0)s.push([1,a]),a=a.left;else if(n<0)s.push([-1,a]),a=a.right;else if(r.hasNext())r.next(),s.push([0,a]),a=a.mid;else{for(t?(a.left=void 0,a.mid=void 0,a.right=void 0):a.value=void 0;s.length>0&&a.isEmpty();){let[d,p]=s.pop();switch(d){case 1:p.left=void 0;break;case 0:p.mid=void 0;break;case-1:p.right=void 0;break}a=p}break}}}findSubstr(o){const t=this._iter.reset(o);let r=this._root,s;for(;r;){const a=t.cmp(r.segment);if(a>0)r=r.left;else if(a<0)r=r.right;else if(t.hasNext())t.next(),s=r.value||s,r=r.mid;else break}return r&&r.value||s}findSuperstr(o){const t=this._iter.reset(o);let r=this._root;for(;r;){const s=t.cmp(r.segment);if(s>0)r=r.left;else if(s<0)r=r.right;else if(t.hasNext())t.next(),r=r.mid;else return r.mid?this._entries(r.mid):void 0}}forEach(o){for(const[t,r]of this)o(r,t)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(o){o&&(yield*this._entries(o.left),o.value&&(yield[o.key,o.value]),yield*this._entries(o.mid),yield*this._entries(o.right))}}e.TernarySearchTree=m;class S{constructor(o,t){this[A]="ResourceMap",o instanceof S?(this.map=new Map(o.map),this.toKey=t!=null?t:S.defaultToKey):(this.map=new Map,this.toKey=o!=null?o:S.defaultToKey)}set(o,t){return this.map.set(this.toKey(o),t),this}get(o){return this.map.get(this.toKey(o))}has(o){return this.map.has(this.toKey(o))}get size(){return this.map.size}clear(){this.map.clear()}delete(o){return this.map.delete(this.toKey(o))}forEach(o,t){typeof t!="undefined"&&(o=o.bind(t));for(let[r,s]of this.map)o(s,v.URI.parse(r),this)}values(){return this.map.values()}*keys(){for(let o of this.map.keys())yield v.URI.parse(o)}*entries(){for(let o of this.map.entries())yield[v.URI.parse(o[0]),o[1]]}*[(A=Symbol.toStringTag,Symbol.iterator)](){for(let o of this.map)yield[v.URI.parse(o[0]),o[1]]}}e.ResourceMap=S,S.defaultToKey=c=>c.toString();var g;(function(c){c[c.None=0]="None",c[c.AsOld=1]="AsOld",c[c.AsNew=2]="AsNew"})(g=e.Touch||(e.Touch={}));class _{constructor(){this[I]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){var o;return(o=this._head)===null||o===void 0?void 0:o.value}get last(){var o;return(o=this._tail)===null||o===void 0?void 0:o.value}has(o){return this._map.has(o)}get(o,t=0){const r=this._map.get(o);if(!!r)return t!==0&&this.touch(r,t),r.value}set(o,t,r=0){let s=this._map.get(o);if(s)s.value=t,r!==0&&this.touch(s,r);else{switch(s={key:o,value:t,next:void 0,previous:void 0},r){case 0:this.addItemLast(s);break;case 1:this.addItemFirst(s);break;case 2:this.addItemLast(s);break;default:this.addItemLast(s);break}this._map.set(o,s),this._size++}return this}delete(o){return!!this.remove(o)}remove(o){const t=this._map.get(o);if(!!t)return this._map.delete(o),this.removeItem(t),this._size--,t.value}shift(){if(!(!this._head&&!this._tail)){if(!this._head||!this._tail)throw new Error("Invalid list");const o=this._head;return this._map.delete(o.key),this.removeItem(o),this._size--,o.value}}forEach(o,t){const r=this._state;let s=this._head;for(;s;){if(t?o.bind(t)(s.value,s.key,this):o(s.value,s.key,this),this._state!==r)throw new Error("LinkedMap got modified during iteration.");s=s.next}}keys(){const o=this,t=this._state;let r=this._head;const s={[Symbol.iterator](){return s},next(){if(o._state!==t)throw new Error("LinkedMap got modified during iteration.");if(r){const a={value:r.key,done:!1};return r=r.next,a}else return{value:void 0,done:!0}}};return s}values(){const o=this,t=this._state;let r=this._head;const s={[Symbol.iterator](){return s},next(){if(o._state!==t)throw new Error("LinkedMap got modified during iteration.");if(r){const a={value:r.value,done:!1};return r=r.next,a}else return{value:void 0,done:!0}}};return s}entries(){const o=this,t=this._state;let r=this._head;const s={[Symbol.iterator](){return s},next(){if(o._state!==t)throw new Error("LinkedMap got modified during iteration.");if(r){const a={value:[r.key,r.value],done:!1};return r=r.next,a}else return{value:void 0,done:!0}}};return s}[(I=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(o){if(!(o>=this.size)){if(o===0){this.clear();return}let t=this._head,r=this.size;for(;t&&r>o;)this._map.delete(t.key),t=t.next,r--;this._head=t,this._size=r,t&&(t.previous=void 0),this._state++}}addItemFirst(o){if(!this._head&&!this._tail)this._tail=o;else if(this._head)o.next=this._head,this._head.previous=o;else throw new Error("Invalid list");this._head=o,this._state++}addItemLast(o){if(!this._head&&!this._tail)this._head=o;else if(this._tail)o.previous=this._tail,this._tail.next=o;else throw new Error("Invalid list");this._tail=o,this._state++}removeItem(o){if(o===this._head&&o===this._tail)this._head=void 0,this._tail=void 0;else if(o===this._head){if(!o.next)throw new Error("Invalid list");o.next.previous=void 0,this._head=o.next}else if(o===this._tail){if(!o.previous)throw new Error("Invalid list");o.previous.next=void 0,this._tail=o.previous}else{const t=o.next,r=o.previous;if(!t||!r)throw new Error("Invalid list");t.previous=r,r.next=t}o.next=void 0,o.previous=void 0,this._state++}touch(o,t){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(t!==1&&t!==2)){if(t===1){if(o===this._head)return;const r=o.next,s=o.previous;o===this._tail?(s.next=void 0,this._tail=s):(r.previous=s,s.next=r),o.previous=void 0,o.next=this._head,this._head.previous=o,this._head=o,this._state++}else if(t===2){if(o===this._tail)return;const r=o.next,s=o.previous;o===this._head?(r.previous=void 0,this._head=r):(r.previous=s,s.next=r),o.next=void 0,o.previous=this._tail,this._tail.next=o,this._tail=o,this._state++}}}toJSON(){const o=[];return this.forEach((t,r)=>{o.push([r,t])}),o}fromJSON(o){this.clear();for(const[t,r]of o)this.set(t,r)}}e.LinkedMap=_;class u extends _{constructor(o,t=1){super();this._limit=o,this._ratio=Math.min(Math.max(0,t),1)}get limit(){return this._limit}set limit(o){this._limit=o,this.checkTrim()}get ratio(){return this._ratio}set ratio(o){this._ratio=Math.min(Math.max(0,o),1),this.checkTrim()}get(o,t=2){return super.get(o,t)}peek(o){return super.get(o,0)}set(o,t){return super.set(o,t,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=u}),define(pe[93],ve([0,1,23,9]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function A(..._e){return function(ke,Re){for(let xe=0,ye=_e.length;xe<ye;xe++){const Ge=_e[xe](ke,Re);if(Ge)return Ge}return null}}e.or=A,e.matchesStrictPrefix=I.bind(void 0,!1),e.matchesPrefix=I.bind(void 0,!0);function I(_e,ke,Re){if(!Re||Re.length<ke.length)return null;let xe;return _e?xe=D.startsWithIgnoreCase(Re,ke):xe=Re.indexOf(ke)===0,xe?ke.length>0?[{start:0,end:ke.length}]:[]:null}function C(_e,ke){const Re=ke.toLowerCase().indexOf(_e.toLowerCase());return Re===-1?null:[{start:Re,end:Re+_e.length}]}e.matchesContiguousSubString=C;function P(_e,ke){return y(_e.toLowerCase(),ke.toLowerCase(),0,0)}e.matchesSubString=P;function y(_e,ke,Re,xe){if(Re===_e.length)return[];if(xe===ke.length)return null;if(_e[Re]===ke[xe]){let ye=null;return(ye=y(_e,ke,Re+1,xe+1))?g({start:xe,end:xe+1},ye):null}return y(_e,ke,Re,xe+1)}function i(_e){return 97<=_e&&_e<=122}function T(_e){return 65<=_e&&_e<=90}e.isUpper=T;function k(_e){return 48<=_e&&_e<=57}function b(_e){return _e===32||_e===9||_e===10||_e===13}const f=new Set;"`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?".split("").forEach(_e=>f.add(_e.charCodeAt(0)));function l(_e){return b(_e)||f.has(_e)}function m(_e,ke){return _e===ke||l(_e)&&l(ke)}function S(_e){return i(_e)||T(_e)||k(_e)}function g(_e,ke){return ke.length===0?ke=[_e]:_e.end===ke[0].start?ke[0].start=_e.start:ke.unshift(_e),ke}function _(_e,ke){for(let Re=ke;Re<_e.length;Re++){const xe=_e.charCodeAt(Re);if(T(xe)||k(xe)||Re>0&&!S(_e.charCodeAt(Re-1)))return Re}return _e.length}function u(_e,ke,Re,xe){if(Re===_e.length)return[];if(xe===ke.length)return null;if(_e[Re]!==ke[xe].toLowerCase())return null;{let ye=null,Ge=xe+1;for(ye=u(_e,ke,Re+1,xe+1);!ye&&(Ge=_(ke,Ge))<ke.length;)ye=u(_e,ke,Re+1,Ge),Ge++;return ye===null?null:g({start:xe,end:xe+1},ye)}}function c(_e){let ke=0,Re=0,xe=0,ye=0,Ge=0;for(let ze=0;ze<_e.length;ze++)Ge=_e.charCodeAt(ze),T(Ge)&&ke++,i(Ge)&&Re++,S(Ge)&&xe++,k(Ge)&&ye++;const K=ke/_e.length,ie=Re/_e.length,Se=xe/_e.length,Ne=ye/_e.length;return{upperPercent:K,lowerPercent:ie,alphaPercent:Se,numericPercent:Ne}}function o(_e){const{upperPercent:ke,lowerPercent:Re}=_e;return Re===0&&ke>.6}function t(_e){const{upperPercent:ke,lowerPercent:Re,alphaPercent:xe,numericPercent:ye}=_e;return Re>.2&&ke<.8&&xe>.6&&ye<.2}function r(_e){let ke=0,Re=0,xe=0,ye=0;for(let Ge=0;Ge<_e.length;Ge++)xe=_e.charCodeAt(Ge),T(xe)&&ke++,i(xe)&&Re++,b(xe)&&ye++;return(ke===0||Re===0)&&ye===0?_e.length<=30:ke<=5}function s(_e,ke){if(!ke||(ke=ke.trim(),ke.length===0)||!r(_e)||ke.length>60)return null;const Re=c(ke);if(!t(Re)){if(!o(Re))return null;ke=ke.toLowerCase()}let xe=null,ye=0;for(_e=_e.toLowerCase();ye<ke.length&&(xe=u(_e,ke,0,ye))===null;)ye=_(ke,ye+1);return xe}e.matchesCamelCase=s;function a(_e,ke,Re=!1){if(!ke||ke.length===0)return null;let xe=null,ye=0;for(_e=_e.toLowerCase(),ke=ke.toLowerCase();ye<ke.length&&(xe=n(_e,ke,0,ye,Re))===null;)ye=d(ke,ye+1);return xe}e.matchesWords=a;function n(_e,ke,Re,xe,ye){if(Re===_e.length)return[];if(xe===ke.length)return null;if(m(_e.charCodeAt(Re),ke.charCodeAt(xe))){let Ge=null,K=xe+1;if(Ge=n(_e,ke,Re+1,xe+1,ye),!ye)for(;!Ge&&(K=d(ke,K))<ke.length;)Ge=n(_e,ke,Re+1,K,ye),K++;return Ge===null?null:g({start:xe,end:xe+1},Ge)}else return null}function d(_e,ke){for(let Re=ke;Re<_e.length;Re++)if(l(_e.charCodeAt(Re))||Re>0&&l(_e.charCodeAt(Re-1)))return Re;return _e.length}const p=A(e.matchesPrefix,s,C),E=A(e.matchesPrefix,s,P),h=new v.LRUCache(1e4);function w(_e,ke,Re=!1){if(typeof _e!="string"||typeof ke!="string")return null;let xe=h.get(_e);xe||(xe=new RegExp(D.convertSimple2RegExpPattern(_e),"i"),h.set(_e,xe));const ye=xe.exec(ke);return ye?[{start:ye.index,end:ye.index+ye[0].length}]:Re?E(_e,ke):p(_e,ke)}e.matchesFuzzy=w;function R(_e,ke){const Re=H(_e,_e.toLowerCase(),0,ke,ke.toLowerCase(),0,!0);return Re?U(Re):null}e.matchesFuzzy2=R;function L(_e,ke,Re,xe,ye,Ge){const K=Math.min(13,_e.length);for(;Re<K;Re++){const ie=H(_e,ke,Re,xe,ye,Ge,!1);if(ie)return ie}return[0,Ge]}e.anyScore=L;function U(_e){if(typeof _e=="undefined")return[];const ke=[],Re=_e[1];for(let xe=_e.length-1;xe>1;xe--){const ye=_e[xe]+Re,Ge=ke[ke.length-1];Ge&&Ge.end===ye?Ge.end=ye+1:ke.push({start:ye,end:ye+1})}return ke}e.createMatches=U;const J=128;function Z(){const _e=[],ke=[];for(let Re=0;Re<=J;Re++)ke[Re]=0;for(let Re=0;Re<=J;Re++)_e.push(ke.slice(0));return _e}function z(_e){const ke=[];for(let Re=0;Re<=_e;Re++)ke[Re]=0;return ke}const q=z(2*J),N=z(2*J),W=Z(),M=Z(),O=Z(),F=!1;function B(_e,ke,Re,xe,ye){function Ge(ie,Se,Ne=" "){for(;ie.length<Se;)ie=Ne+ie;return ie}let K=` |   |${xe.split("").map(ie=>Ge(ie,3)).join("|")}
`;for(let ie=0;ie<=Re;ie++)ie===0?K+=" |":K+=`${ke[ie-1]}|`,K+=_e[ie].slice(0,ye+1).map(Se=>Ge(Se.toString(),3)).join("|")+`
`;return K}function V(_e,ke,Re,xe){_e=_e.substr(ke),Re=Re.substr(xe),console.log(B(M,_e,_e.length,Re,Re.length)),console.log(B(O,_e,_e.length,Re,Re.length)),console.log(B(W,_e,_e.length,Re,Re.length))}function G(_e,ke){if(ke<0||ke>=_e.length)return!1;const Re=_e.codePointAt(ke);switch(Re){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 40:case 91:return!0;case void 0:return!1;default:return!!D.isEmojiImprecise(Re)}}function ce(_e,ke){if(ke<0||ke>=_e.length)return!1;switch(_e.charCodeAt(ke)){case 32:case 9:return!0;default:return!1}}function me(_e,ke,Re){return ke[_e]!==Re[_e]}function Pe(_e,ke,Re,xe,ye,Ge,K=!1){for(;ke<Re&&ye<Ge;)_e[ke]===xe[ye]&&(K&&(q[ke]=ye),ke+=1),ye+=1;return ke===Re}e.isPatternInWord=Pe;var Ie;(function(_e){_e[_e.Diag=1]="Diag",_e[_e.Left=2]="Left",_e[_e.LeftLeft=3]="LeftLeft"})(Ie||(Ie={}));var Fe;(function(_e){_e.Default=[-100,0];function ke(Re){return!Re||Re.length===2&&Re[0]===-100&&Re[1]===0}_e.isDefault=ke})(Fe=e.FuzzyScore||(e.FuzzyScore={}));function H(_e,ke,Re,xe,ye,Ge,K){const ie=_e.length>J?J:_e.length,Se=xe.length>J?J:xe.length;if(!(Re>=ie||Ge>=Se||ie-Re>Se-Ge)&&!!Pe(ke,Re,ie,ye,Ge,Se,!0)){X(ie,Se,Re,Ge,ke,ye);let Ne=1,ze=1,Be=Re,Je=Ge;const j=[!1];for(Ne=1,Be=Re;Be<ie;Ne++,Be++){const le=q[Be],ge=N[Be],Ee=Be+1<ie?N[Be+1]:Se;for(ze=le-Ge+1,Je=le;Je<Ee;ze++,Je++){let He=Number.MIN_SAFE_INTEGER,We=!1;Je<=ge&&(He=te(_e,ke,Be,Re,xe,ye,Je,Se,Ge,W[Ne-1][ze-1]===0,j));let qe=0;He!==Number.MAX_SAFE_INTEGER&&(We=!0,qe=He+M[Ne-1][ze-1]);const Xe=Je>le,Ze=Xe?M[Ne][ze-1]+(W[Ne][ze-1]>0?-5:0):0,ht=Je>le+1&&W[Ne][ze-1]>0,rt=ht?M[Ne][ze-2]+(W[Ne][ze-2]>0?-5:0):0;if(ht&&(!Xe||rt>=Ze)&&(!We||rt>=qe))M[Ne][ze]=rt,O[Ne][ze]=3,W[Ne][ze]=0;else if(Xe&&(!We||Ze>=qe))M[Ne][ze]=Ze,O[Ne][ze]=2,W[Ne][ze]=0;else if(We)M[Ne][ze]=qe,O[Ne][ze]=1,W[Ne][ze]=W[Ne-1][ze-1]+1;else throw new Error("not possible")}}if(F&&V(_e,Re,xe,Ge),!(!j[0]&&!K)){Ne--,ze--;const se=[M[Ne][ze],Ge];let de=0,Y=0;for(;Ne>=1;){let le=ze;do{const ge=O[Ne][le];if(ge===3)le=le-2;else if(ge===2)le=le-1;else break}while(le>=1);de>1&&ke[Re+Ne-1]===ye[Ge+ze-1]&&!me(le+Ge-1,xe,ye)&&de+1>W[Ne][le]&&(le=ze),le===ze?de++:de=1,Y||(Y=le),Ne--,ze=le-1,se.push(ze)}Se===ie&&(se[0]+=2);const ne=Y-ie;return se[0]-=ne,se}}}e.fuzzyScore=H;function X(_e,ke,Re,xe,ye,Ge){let K=_e-1,ie=ke-1;for(;K>=Re&&ie>=xe;)ye[K]===Ge[ie]&&(N[K]=ie,K--),ie--}function te(_e,ke,Re,xe,ye,Ge,K,ie,Se,Ne,ze){if(ke[Re]!==Ge[K])return Number.MIN_SAFE_INTEGER;let Be=1,Je=!1;return K===Re-xe?Be=_e[Re]===ye[K]?7:5:me(K,ye,Ge)&&(K===0||!me(K-1,ye,Ge))?(Be=_e[Re]===ye[K]?7:5,Je=!0):G(Ge,K)&&(K===0||!G(Ge,K-1))?Be=5:(G(Ge,K-1)||ce(Ge,K-1))&&(Be=5,Je=!0),Be>1&&Re===xe&&(ze[0]=!0),Je||(Je=me(K,ye,Ge)||G(Ge,K-1)||ce(Ge,K-1)),Re===xe?K>Se&&(Be-=Je?3:5):Ne?Be+=Je?2:0:Be+=Je?0:1,K+1===ie&&(Be-=Je?3:5),Be}function oe(_e,ke,Re,xe,ye,Ge,K){return De(_e,ke,Re,xe,ye,Ge,!0,K)}e.fuzzyScoreGracefulAggressive=oe;function we(_e,ke,Re,xe,ye,Ge,K){return De(_e,ke,Re,xe,ye,Ge,!1,K)}e.fuzzyScoreGraceful=we;function De(_e,ke,Re,xe,ye,Ge,K,ie){let Se=H(_e,ke,Re,xe,ye,Ge,ie);if(Se&&!K)return Se;if(_e.length>=3){const Ne=Math.min(7,_e.length-1);for(let ze=Re+1;ze<Ne;ze++){const Be=Me(_e,ze);if(Be){const Je=H(Be,Be.toLowerCase(),Re,xe,ye,Ge,ie);Je&&(Je[0]-=3,(!Se||Je[0]>Se[0])&&(Se=Je))}}}return Se}function Me(_e,ke){if(!(ke+1>=_e.length)){const Re=_e[ke],xe=_e[ke+1];if(Re!==xe)return _e.slice(0,ke)+xe+Re+_e.slice(ke+2)}}}),define(pe[133],ve([0,1,46,93,9]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const I=new RegExp(`\\$\\(${v.CSSIcon.iconNameExpression}(?:${v.CSSIcon.iconModifierExpression})?\\)`,"g"),C=new RegExp(`(\\\\)?${I.source}`,"g");function P(m){return m.replace(C,(S,g)=>g?S:`\\${S}`)}e.escapeIcons=P;const y=new RegExp(`\\\\${I.source}`,"g");function i(m){return m.replace(y,S=>`\\${S}`)}e.markdownEscapeEscapedIcons=i;const T=new RegExp(`(\\s)?(\\\\)?${I.source}(\\s)?`,"g");function k(m){return m.indexOf(e.iconStartMarker)===-1?m:m.replace(T,(S,g,_,u)=>_?S:g||u||"")}e.stripIcons=k;function b(m){const S=m.indexOf(e.iconStartMarker);return S===-1?{text:m}:f(m,S)}e.parseLabelWithIcons=b;function f(m,S){const g=[];let _="";function u(d){if(d){_+=d;for(const p of d)g.push(t)}}let c=-1,o="",t=0,r,s,a=S;const n=m.length;for(u(m.substr(0,S));a<n;)r=m[a],s=m[a+1],r===e.iconStartMarker[0]&&s===e.iconStartMarker[1]?(c=a,u(o),o=e.iconStartMarker,a++):r===")"&&c!==-1?(t+=a-c+1,c=-1,o=""):c!==-1?/^[a-z0-9\-]$/i.test(r)?o+=r:(u(o),c=-1,o=""):u(r),a++;return u(o),{text:_,iconOffsets:g}}function l(m,S,g=!1){const{text:_,iconOffsets:u}=S;if(!u||u.length===0)return(0,D.matchesFuzzy)(m,_,g);const c=(0,A.ltrim)(_," "),o=_.length-c.length,t=(0,D.matchesFuzzy)(m,c,g);if(t)for(const r of t){const s=u[r.start+o]+o;r.start+=s,r.end+=s}return t}e.matchesFuzzyIconAware=l}),define(pe[94],ve([0,1,12,133,18]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeMarkdownSyntaxTokens=e.markedStringsEquals=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var I;(function(l){l[l.Paragraph=0]="Paragraph",l[l.Break=1]="Break"})(I=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class C{constructor(m="",S=!1){var g,_;if(this.value=m,typeof this.value!="string")throw(0,A.illegalArgument)("value");typeof S=="boolean"?(this.isTrusted=S,this.supportThemeIcons=!1):(this.isTrusted=(g=S.isTrusted)!==null&&g!==void 0?g:void 0,this.supportThemeIcons=(_=S.supportThemeIcons)!==null&&_!==void 0?_:!1)}appendText(m,S=0){return this.value+=k(this.supportThemeIcons?(0,D.escapeIcons)(m):m).replace(/([ \t]+)/g,(g,_)=>"&nbsp;".repeat(_.length)).replace(/^>/gm,"\\>").replace(/\n/g,S===1?`\\
`:`

`),this}appendMarkdown(m){return this.value+=m,this}appendCodeblock(m,S){return this.value+="\n```",this.value+=m,this.value+=`
`,this.value+=S,this.value+="\n```\n",this}}e.MarkdownString=C;function P(l){return y(l)?!l.value:Array.isArray(l)?l.every(P):!0}e.isEmptyMarkdownString=P;function y(l){return l instanceof C?!0:l&&typeof l=="object"?typeof l.value=="string"&&(typeof l.isTrusted=="boolean"||l.isTrusted===void 0)&&(typeof l.supportThemeIcons=="boolean"||l.supportThemeIcons===void 0):!1}e.isMarkdownString=y;function i(l,m){return!l&&!m?!0:!l||!m?!1:Array.isArray(l)&&Array.isArray(m)?(0,v.equals)(l,m,T):y(l)&&y(m)?T(l,m):!1}e.markedStringsEquals=i;function T(l,m){return l===m?!0:!l||!m?!1:l.value===m.value&&l.isTrusted===m.isTrusted&&l.supportThemeIcons===m.supportThemeIcons}function k(l){return l.replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=k;function b(l){return l&&l.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=b;function f(l){const m=[],S=l.split("|").map(_=>_.trim());l=S[0];const g=S[1];if(g){const _=/height=(\d+)/.exec(g),u=/width=(\d+)/.exec(g),c=_?_[1]:"",o=u?u[1]:"",t=isFinite(parseInt(o)),r=isFinite(parseInt(c));t&&m.push(`width="${o}"`),r&&m.push(`height="${c}"`)}return{href:l,dimensions:m}}e.parseHrefAndDimensions=f}),define(pe[58],ve([0,1,26,9,2]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function I(i){return JSON.stringify(i,P)}e.stringify=I;function C(i){let T=JSON.parse(i);return T=y(T),T}e.parse=C;function P(i,T){return T instanceof RegExp?{$mid:2,source:T.source,flags:(0,D.regExpFlags)(T)}:T}function y(i,T=0){if(!i||T>200)return i;if(typeof i=="object"){switch(i.$mid){case 1:return A.URI.revive(i);case 2:return new RegExp(i.source,i.flags)}if(i instanceof v.VSBuffer||i instanceof Uint8Array)return i;if(Array.isArray(i))for(let k=0;k<i.length;++k)i[k]=y(i[k],T+1);else for(const k in i)Object.hasOwnProperty.call(i,k)&&(i[k]=y(i[k],T+1))}return i}e.revive=y}),define(pe[11],ve([0,1,2,10]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var A;(function(P){P.inMemory="inmemory",P.vscode="vscode",P.internal="private",P.walkThrough="walkThrough",P.walkThroughSnippet="walkThroughSnippet",P.http="http",P.https="https",P.file="file",P.mailto="mailto",P.untitled="untitled",P.data="data",P.command="command",P.vscodeRemote="vscode-remote",P.vscodeRemoteResource="vscode-remote-resource",P.userData="vscode-userdata",P.vscodeCustomEditor="vscode-custom-editor",P.vscodeNotebook="vscode-notebook",P.vscodeNotebookCell="vscode-notebook-cell",P.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",P.vscodeSettings="vscode-settings",P.vscodeWorkspaceTrust="vscode-workspace-trust",P.webviewPanel="webview-panel",P.vscodeWebview="vscode-webview",P.vscodeWebviewResource="vscode-webview-resource",P.extension="extension",P.vscodeFileResource="vscode-file"})(A=e.Schemas||(e.Schemas={}));class I{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(y){this._preferredWebSchema=y}setDelegate(y){this._delegate=y}set(y,i,T){this._hosts[y]=i,this._ports[y]=T}setConnectionToken(y,i){this._connectionTokens[y]=i}rewrite(y){if(this._delegate)return this._delegate(y);const i=y.authority;let T=this._hosts[i];T&&T.indexOf(":")!==-1&&(T=`[${T}]`);const k=this._ports[i],b=this._connectionTokens[i];let f=`path=${encodeURIComponent(y.path)}`;return typeof b=="string"&&(f+=`&tkn=${encodeURIComponent(b)}`),v.URI.from({scheme:D.isWeb?this._preferredWebSchema:A.vscodeRemoteResource,authority:`${T}:${k}`,path:"/vscode-remote-resource",query:f})}}e.RemoteAuthorities=new I;class C{constructor(){this.FALLBACK_AUTHORITY="vscode-app"}asBrowserUri(y,i,T){const k=this.toUri(y,i);return k.scheme===A.vscodeRemote?e.RemoteAuthorities.rewrite(k):D.isNative&&(T||D.isPreferringBrowserCodeLoad)&&k.scheme===A.file?k.with({scheme:A.vscodeFileResource,authority:k.authority||this.FALLBACK_AUTHORITY,query:null,fragment:null}):k}asFileUri(y,i){const T=this.toUri(y,i);return T.scheme===A.vscodeFileResource?T.with({scheme:A.file,authority:T.authority!==this.FALLBACK_AUTHORITY?T.authority:null,query:null,fragment:null}):T}toUri(y,i){return v.URI.isUri(y)?y:v.URI.parse(i.toUrl(y))}}e.FileAccess=new C}),define(pe[76],ve([0,1,23]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=e.canNormalize=void 0,e.canNormalize=typeof String.prototype.normalize=="function";const D=new v.LRUCache(1e4);function A(i){return y(i,"NFC",D)}e.normalizeNFC=A;const I=new v.LRUCache(1e4);function C(i){return y(i,"NFD",I)}e.normalizeNFD=C;const P=/[^\u0000-\u0080]/;function y(i,T,k){if(!e.canNormalize||!i)return i;const b=k.get(i);if(b)return b;let f;return P.test(i)?f=i.normalize(T):f=i,k.set(i,f),f}e.removeAccents=function(){if(e.canNormalize){const i=/[\u0300-\u036f]/g;return function(T){return C(T).replace(i,"")}}else return function(i){return i}}()}),define(pe[24],ve([0,1,30,7,2,9,11,10]),function(Q,e,v,D,A,I,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function y(f){return(0,A.uriToFsPath)(f,!0)}e.originalFSPath=y;class i{constructor(l){this._ignorePathCasing=l}compare(l,m,S=!1){return l===m?0:(0,I.compare)(this.getComparisonKey(l,S),this.getComparisonKey(m,S))}isEqual(l,m,S=!1){return l===m?!0:!l||!m?!1:this.getComparisonKey(l,S)===this.getComparisonKey(m,S)}getComparisonKey(l,m=!1){return l.with({path:this._ignorePathCasing(l)?l.path.toLowerCase():void 0,fragment:m?null:void 0}).toString()}ignorePathCasing(l){return this._ignorePathCasing(l)}isEqualOrParent(l,m,S=!1){if(l.scheme===m.scheme){if(l.scheme===C.Schemas.file)return v.isEqualOrParent(y(l),y(m),this._ignorePathCasing(l))&&l.query===m.query&&(S||l.fragment===m.fragment);if((0,e.isEqualAuthority)(l.authority,m.authority))return v.isEqualOrParent(l.path,m.path,this._ignorePathCasing(l),"/")&&l.query===m.query&&(S||l.fragment===m.fragment)}return!1}joinPath(l,...m){return A.URI.joinPath(l,...m)}basenameOrAuthority(l){return(0,e.basename)(l)||l.authority}basename(l){return D.posix.basename(l.path)}extname(l){return D.posix.extname(l.path)}dirname(l){if(l.path.length===0)return l;let m;return l.scheme===C.Schemas.file?m=A.URI.file(D.dirname(y(l))).path:(m=D.posix.dirname(l.path),l.authority&&m.length&&m.charCodeAt(0)!==47&&(console.error(`dirname("${l.toString})) resulted in a relative path`),m="/")),l.with({path:m})}normalizePath(l){if(!l.path.length)return l;let m;return l.scheme===C.Schemas.file?m=A.URI.file(D.normalize(y(l))).path:m=D.posix.normalize(l.path),l.with({path:m})}relativePath(l,m){if(!(l.scheme!==m.scheme||!(0,e.isEqualAuthority)(l.authority,m.authority))){if(l.scheme===C.Schemas.file){const _=D.relative(y(l),y(m));return P.isWindows?v.toSlashes(_):_}let S=l.path||"/",g=m.path||"/";if(this._ignorePathCasing(l)){let _=0;for(const u=Math.min(S.length,g.length);_<u&&!(S.charCodeAt(_)!==g.charCodeAt(_)&&S.charAt(_).toLowerCase()!==g.charAt(_).toLowerCase());_++);S=g.substr(0,_)+S.substr(_)}return D.posix.relative(S,g)}}resolvePath(l,m){if(l.scheme===C.Schemas.file){const S=A.URI.file(D.resolve(y(l),m));return l.with({authority:S.authority,path:S.path})}return m.indexOf("/")===-1&&(m=v.toSlashes(m),/^[a-zA-Z]:(\/|$)/.test(m)&&(m="/"+m)),l.with({path:D.posix.resolve(l.path,m)})}isAbsolutePath(l){return!!l.path&&l.path[0]==="/"}isEqualAuthority(l,m){return l===m||(0,I.equalsIgnoreCase)(l,m)}hasTrailingPathSeparator(l,m=D.sep){if(l.scheme===C.Schemas.file){const S=y(l);return S.length>v.getRoot(S).length&&S[S.length-1]===m}else{const S=l.path;return S.length>1&&S.charCodeAt(S.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(l.fsPath)}}removeTrailingPathSeparator(l,m=D.sep){return(0,e.hasTrailingPathSeparator)(l,m)?l.with({path:l.path.substr(0,l.path.length-1)}):l}addTrailingPathSeparator(l,m=D.sep){let S=!1;if(l.scheme===C.Schemas.file){const g=y(l);S=g!==void 0&&g.length===v.getRoot(g).length&&g[g.length-1]===m}else{m="/";const g=l.path;S=g.length===1&&g.charCodeAt(g.length-1)===47}return!S&&!(0,e.hasTrailingPathSeparator)(l,m)?l.with({path:l.path+"/"}):l}}e.ExtUri=i,e.extUri=new i(()=>!1),e.extUriBiasedIgnorePathCase=new i(f=>f.scheme===C.Schemas.file?!P.isLinux:!0),e.extUriIgnorePathCase=new i(f=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function T(f,l){const m=[];for(let S=0;S<f.length;S++){const g=l(f[S]);f.some((_,u)=>u===S?!1:(0,e.isEqualOrParent)(g,l(_)))||m.push(f[S])}return m}e.distinctParents=T;var k;(function(f){f.META_DATA_LABEL="label",f.META_DATA_DESCRIPTION="description",f.META_DATA_SIZE="size",f.META_DATA_MIME="mime";function l(m){const S=new Map;m.path.substring(m.path.indexOf(";")+1,m.path.lastIndexOf(";")).split(";").forEach(u=>{const[c,o]=u.split(":");c&&o&&S.set(c,o)});const _=m.path.substring(0,m.path.indexOf(";"));return _&&S.set(f.META_DATA_MIME,_),S}f.parseMetaData=l})(k=e.DataUri||(e.DataUri={}));function b(f,l,m){if(l){let S=f.path;return S&&S[0]!==D.posix.sep&&(S=D.posix.sep+S),f.with({scheme:m,authority:l,path:S})}return f.with({scheme:m})}e.toLocalResource=b}),define(pe[19],ve([0,1,21,18,3,6,57,24]),function(Q,e,v,D,A,I,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.AsyncEmitter=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function y(M){return!!M&&typeof M.then=="function"}e.isThenable=y;function i(M){const O=new v.CancellationTokenSource,F=M(O.token),B=new Promise((V,G)=>{O.token.onCancellationRequested(()=>{G((0,D.canceled)())}),Promise.resolve(F).then(ce=>{O.dispose(),V(ce)},ce=>{O.dispose(),G(ce)})});return new class{cancel(){O.cancel()}then(V,G){return B.then(V,G)}catch(V){return this.then(void 0,V)}finally(V){return B.finally(V)}}}e.createCancelablePromise=i;function T(M,O,F){return Promise.race([M,new Promise(B=>O.onCancellationRequested(()=>B(F)))])}e.raceCancellation=T;async function k(M){let O=-1;const F=M.map((V,G)=>V.then(ce=>(O=G,ce))),B=await Promise.race(F);return M.forEach((V,G)=>{G!==O&&V.cancel()}),B}e.raceCancellablePromises=k;function b(M,O,F){let B;const V=setTimeout(()=>{B==null||B(void 0),F==null||F()},O);return Promise.race([M.finally(()=>clearTimeout(V)),new Promise(G=>B=G)])}e.raceTimeout=b;function f(M){return new Promise((O,F)=>{const B=M();y(B)?B.then(O,F):O(B)})}e.asPromise=f;class l{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(O){if(this.activePromise){if(this.queuedPromiseFactory=O,!this.queuedPromise){const F=()=>{this.queuedPromise=null;const B=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,B};this.queuedPromise=new Promise(B=>{this.activePromise.then(F,F).then(B)})}return new Promise((F,B)=>{this.queuedPromise.then(F,B)})}return this.activePromise=O(),new Promise((F,B)=>{this.activePromise.then(V=>{this.activePromise=null,F(V)},V=>{this.activePromise=null,B(V)})})}}e.Throttler=l;class m{constructor(){this.current=Promise.resolve(null)}queue(O){return this.current=this.current.then(()=>O(),()=>O())}}e.Sequencer=m;class S{constructor(){this.promiseMap=new Map}queue(O,F){var B;const G=((B=this.promiseMap.get(O))!==null&&B!==void 0?B:Promise.resolve()).catch(()=>{}).then(F).finally(()=>{this.promiseMap.get(O)===G&&this.promiseMap.delete(O)});return this.promiseMap.set(O,G),G}}e.SequencerByKey=S;class g{constructor(O){this.defaultDelay=O,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(O,F=this.defaultDelay){return this.task=O,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((B,V)=>{this.doResolve=B,this.doReject=V}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const B=this.task;return this.task=null,B()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},F),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject((0,D.canceled)()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancelTimeout()}}e.Delayer=g;class _{constructor(O){this.delayer=new g(O),this.throttler=new l}trigger(O,F){return this.delayer.trigger(()=>this.throttler.queue(O),F)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=_;class u{constructor(){this._isOpen=!1,this._promise=new Promise((O,F)=>{this._completePromise=O})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=u;class c extends u{constructor(O){super();this._timeout=setTimeout(()=>this.open(),O)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=c;function o(M,O){return O?new Promise((F,B)=>{const V=setTimeout(F,M);O.onCancellationRequested(()=>{clearTimeout(V),B((0,D.canceled)())})}):i(F=>o(M,F))}e.timeout=o;function t(M,O=0){const F=setTimeout(M,O);return(0,I.toDisposable)(()=>clearTimeout(F))}e.disposableTimeout=t;function r(M){return M.then(void 0,O=>{})}e.ignoreErrors=r;function s(M){const O=[];let F=0;const B=M.length;function V(){return F<B?M[F++]():null}function G(ce){ce!=null&&O.push(ce);const me=V();return me?me.then(G):Promise.resolve(O)}return Promise.resolve(null).then(G)}e.sequence=s;function a(M,O=B=>!!B,F=null){let B=0;const V=M.length,G=()=>{if(B>=V)return Promise.resolve(F);const ce=M[B++];return Promise.resolve(ce()).then(Pe=>O(Pe)?Promise.resolve(Pe):G())};return G()}e.first=a;function n(M,O=B=>!!B,F=null){if(M.length===0)return Promise.resolve(F);let B=M.length;const V=()=>{var G,ce;B=-1;for(const me of M)(ce=(G=me).cancel)===null||ce===void 0||ce.call(G)};return new Promise((G,ce)=>{for(const me of M)me.then(Pe=>{--B>=0&&O(Pe)?(V(),G(Pe)):B===0&&G(F)}).catch(Pe=>{--B>=0&&(V(),ce(Pe))})})}e.firstParallel=n;class d{constructor(O){this._size=0,this.maxDegreeOfParalellism=O,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new A.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(O){return this._size++,new Promise((F,B)=>{this.outstandingPromises.push({factory:O,c:F,e:B}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const O=this.outstandingPromises.shift();this.runningPromises++;const F=O.factory();F.then(O.c,O.e),F.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=d;class p extends d{constructor(){super(1)}}e.Queue=p;class E{constructor(){this.queues=new Map}queueFor(O,F=P.extUri){const B=F.getComparisonKey(O);let V=this.queues.get(B);return V||(V=new p,A.Event.once(V.onFinished)(()=>{V==null||V.dispose(),this.queues.delete(B)}),this.queues.set(B,V)),V}dispose(){this.queues.forEach(O=>O.dispose()),this.queues.clear()}}e.ResourceQueue=E;class h{constructor(O,F){this._token=-1,typeof O=="function"&&typeof F=="number"&&this.setIfNotSet(O,F)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(O,F){this.cancel(),this._token=setTimeout(()=>{this._token=-1,O()},F)}setIfNotSet(O,F){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,O()},F))}}e.TimeoutTimer=h;class w{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(O,F){this.cancel(),this._token=setInterval(()=>{O()},F)}}e.IntervalTimer=w;class R{constructor(O,F){this.timeoutToken=-1,this.runner=O,this.timeout=F,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(O=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,O)}get delay(){return this.timeout}set delay(O){this.timeout=O}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=R;class L extends R{constructor(O,F){super(O,F);this.units=[]}work(O){this.units.push(O),this.isScheduled()||this.schedule()}doRun(){const O=this.units;this.units=[],this.runner&&this.runner(O)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=L,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const M=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=O=>{const F=setTimeout(()=>O(M));let B=!1;return{dispose(){B||(B=!0,clearTimeout(F))}}}}else e.runWhenIdle=(M,O)=>{const F=requestIdleCallback(M,typeof O=="number"?{timeout:O}:void 0);let B=!1;return{dispose(){B||(B=!0,cancelIdleCallback(F))}}}}();class U{constructor(O){this._didRun=!1,this._executor=()=>{try{this._value=O()}catch(F){this._error=F}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=U;async function J(M,O,F){let B;for(let V=0;V<F;V++)try{return await M()}catch(G){B=G,await o(O)}throw B}e.retry=J;class Z{hasPending(O){return this._pending?typeof O=="number"?this._pending.taskId===O:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){var O;(O=this._pending)===null||O===void 0||O.cancel()}setPending(O,F,B){return this._pending={taskId:O,cancel:()=>B==null?void 0:B(),promise:F},F.then(()=>this.donePending(O),()=>this.donePending(O)),F}donePending(O){this._pending&&O===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const O=this._next;this._next=void 0,O.run().then(O.promiseResolve,O.promiseReject)}}setNext(O){if(this._next)this._next.run=O;else{let F,B;const V=new Promise((G,ce)=>{F=G,B=ce});this._next={run:O,promise:V,promiseResolve:F,promiseReject:B}}return this._next.promise}}e.TaskSequentializer=Z;class z{constructor(O){this.interval=O,this.lastIncrementTime=0,this.value=0}increment(){const O=Date.now();return O-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=O,this.value=0),this.value++,this.value}}e.IntervalCounter=z;class q{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((O,F)=>{this.completeCallback=O,this.errorCallback=F})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(O){return new Promise(F=>{this.completeCallback(O),this.resolved=!0,F()})}error(O){return new Promise(F=>{this.errorCallback(O),this.rejected=!0,F()})}cancel(){new Promise(O=>{this.errorCallback((0,D.canceled)()),this.rejected=!0,O()})}}e.DeferredPromise=q;class N extends A.Emitter{async fireAsync(O,F,B){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new C.LinkedList);for(const V of this._listeners)this._asyncDeliveryQueue.push([V,O]);for(;this._asyncDeliveryQueue.size>0&&!F.isCancellationRequested;){const[V,G]=this._asyncDeliveryQueue.shift(),ce=[],me=Object.assign(Object.assign({},G),{waitUntil:Pe=>{if(Object.isFrozen(ce))throw new Error("waitUntil can NOT be called asynchronous");B&&(Pe=B(Pe,typeof V=="function"?V:V[0])),ce.push(Pe)}});try{typeof V=="function"?V.call(void 0,me):V[0].call(V[1],me)}catch(Pe){(0,D.onUnexpectedError)(Pe);continue}Object.freeze(ce),await W.settled(ce).catch(Pe=>(0,D.onUnexpectedError)(Pe))}}}}e.AsyncEmitter=N;var W;(function(M){async function O(G){return typeof Promise.allSettled=="function"?F(G):B(G)}M.allSettled=O;async function F(G){return Promise.allSettled(G)}async function B(G){return Promise.all(G.map(ce=>ce.then(me=>({status:"fulfilled",value:me}),me=>({status:"rejected",reason:me}))))}async function V(G){let ce;const me=await Promise.all(G.map(Pe=>Pe.then(Ie=>Ie,Ie=>{ce||(ce=Ie)})));if(typeof ce!="undefined")throw ce;return me}M.settled=V})(W=e.Promises||(e.Promises={}))}),define(pe[95],ve([0,1,7,19]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesDefault=e.compareFileNames=void 0;const A=new D.IdleValue(()=>{const c=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:c,collatorIsNumeric:c.resolvedOptions().numeric}}),I=new D.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),C=new D.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function P(c,o,t=!1){const r=c||"",s=o||"",a=A.value.collator.compare(r,s);return A.value.collatorIsNumeric&&a===0&&r!==s?r<s?-1:1:a}e.compareFileNames=P;function y(c,o){const t=I.value.collator;return c=c||"",o=o||"",m(t,c,o)}e.compareFileNamesDefault=y;function i(c,o,t=!1){t||(c=c&&c.toLowerCase(),o=o&&o.toLowerCase());const[r,s]=f(c),[a,n]=f(o);return r!==a?r<a?-1:1:s===n?0:s<n?-1:1}e.noIntlCompareFileNames=i;function T(c,o){const[t,r]=f(c),[s,a]=f(o);let n=A.value.collator.compare(r,a);if(n===0){if(A.value.collatorIsNumeric&&r!==a)return r<a?-1:1;if(n=A.value.collator.compare(t,s),A.value.collatorIsNumeric&&n===0&&t!==s)return t<s?-1:1}return n}e.compareFileExtensions=T;function k(c,o){c=c||"",o=o||"";const t=l(c),r=l(o),s=I.value.collator,a=C.value.collator;let n;return n=m(a,t,r),n!==0?n:m(s,c,o)}e.compareFileExtensionsDefault=k;const b=/^(.*?)(\.([^.]*))?$/;function f(c,o=!1){const t=c?b.exec(c):[];let r=[t&&t[1]||"",t&&t[3]||""];return o&&(!r[0]&&r[1]||r[0]&&r[0].charAt(0)===".")&&(r=[r[0]+"."+r[1],""]),r}function l(c){const o=c?b.exec(c):[];return o&&o[1]&&o[1].charAt(0)!=="."&&o[3]||""}function m(c,o,t){let r=c.compare(o,t);return r!==0?r:o.length!==t.length?o.length<t.length?-1:1:0}function S(c,o,t=!1){return t||(c=c&&c.toLowerCase(),o=o&&o.toLowerCase()),c===o?0:c<o?-1:1}function g(c,o,t=!1){const r=c.split(v.sep),s=o.split(v.sep),a=r.length-1,n=s.length-1;let d,p;for(let E=0;;E++){if(d=a===E,p=n===E,d&&p)return P(r[E],s[E],t);if(d)return-1;if(p)return 1;const h=S(r[E],s[E],t);if(h!==0)return h}}e.comparePaths=g;function _(c,o,t){const r=c.toLowerCase(),s=o.toLowerCase(),a=u(c,o,t);if(a)return a;const n=r.endsWith(t),d=s.endsWith(t);if(n!==d)return n?-1:1;const p=P(r,s);return p!==0?p:r.localeCompare(s)}e.compareAnything=_;function u(c,o,t){const r=c.toLowerCase(),s=o.toLowerCase(),a=r.startsWith(t),n=s.startsWith(t);if(a!==n)return a?-1:1;if(a&&n){if(r.length<s.length)return-1;if(r.length>s.length)return 1}return 0}e.compareByPrefix=u}),define(pe[96],ve([0,1,95,93,7,10,9]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.pieceToQuery=e.prepareQuery=e.compareItemsByFuzzyScore=e.scoreItemFuzzy=e.scoreFuzzy2=e.scoreFuzzy=void 0;const P=0,y=[P,[]];function i(z,q,N,W){if(!z||!q)return y;const M=z.length,O=q.length;if(M<O)return y;const F=z.toLowerCase();return!W&&!F.includes(N)?y:T(q,N,O,z,F,M)}e.scoreFuzzy=i;function T(z,q,N,W,M,O){const F=[],B=[];for(let me=0;me<N;me++){const Pe=me*O,Ie=Pe-O,Fe=me>0,H=z[me],X=q[me];for(let te=0;te<O;te++){const oe=te>0,we=Pe+te,De=we-1,Me=Ie+te-1,_e=oe?F[De]:0,ke=Fe&&oe?F[Me]:0,Re=Fe&&oe?B[Me]:0;let xe;!ke&&Fe?xe=0:xe=k(H,X,W,M,te,Re),xe&&ke+xe>=_e?(B[we]=Re+1,F[we]=ke+xe):(B[we]=P,F[we]=_e)}}const V=[];let G=N-1,ce=O-1;for(;G>=0&&ce>=0;){const me=G*O+ce;B[me]===P||(V.push(ce),G--),ce--}return[F[N*O-1],V.reverse()]}function k(z,q,N,W,M,O){let F=0;if(!b(q,W[M]))return F;if(F+=1,O>0&&(F+=O*5),z===N[M]&&(F+=1),M===0)F+=8;else{const B=f(N.charCodeAt(M-1));B?F+=B:(0,D.isUpper)(N.charCodeAt(M))&&(F+=2)}return F}function b(z,q){return z===q?!0:z==="/"||z==="\\"?q==="/"||q==="\\":!1}function f(z){switch(z){case 47:case 92:return 5;case 95:case 45:case 46:case 32:case 39:case 34:case 58:return 4;default:return 0}}const l=[void 0,[]];function m(z,q,N=0,W=0){const M=q;return M.values&&M.values.length>1?S(z,M.values,N,W):g(z,q,N,W)}e.scoreFuzzy2=m;function S(z,q,N,W){let M=0;const O=[];for(const F of q){const[B,V]=g(z,F,N,W);if(typeof B!="number")return l;M+=B,O.push(...V)}return[M,d(O)]}function g(z,q,N,W){const M=(0,D.fuzzyScore)(q.original,q.originalLowercase,N,z,z.toLowerCase(),W,!0);return M?[M[0],(0,D.createMatches)(M)]:l}const _=Object.freeze({score:0}),u=1<<18,c=1<<17,o=1<<16;function t(z,q,N,W,M){if(!z||!q.normalized)return _;const O=W.getItemLabel(z);if(!O)return _;const F=W.getItemDescription(z);let B;F?B=`${O}${F}${q.normalized}${Array.isArray(q.values)?q.values.length:""}${N}`:B=`${O}${q.normalized}${Array.isArray(q.values)?q.values.length:""}${N}`;const V=M[B];if(V)return V;const G=r(O,F,W.getItemPath(z),q,N);return M[B]=G,G}e.scoreItemFuzzy=t;function r(z,q,N,W,M){const O=!N||!W.containsPathSeparator;return N&&(I.isLinux?W.pathNormalized===N:(0,C.equalsIgnoreCase)(W.pathNormalized,N))?{score:u,labelMatch:[{start:0,end:z.length}],descriptionMatch:q?[{start:0,end:q.length}]:void 0}:W.values&&W.values.length>1?s(z,q,N,W.values,O,M):a(z,q,N,W,O,M)}function s(z,q,N,W,M,O){let F=0;const B=[],V=[];for(const G of W){const{score:ce,labelMatch:me,descriptionMatch:Pe}=a(z,q,N,G,M,O);if(ce===P)return _;F+=ce,me&&B.push(...me),Pe&&V.push(...Pe)}return{score:F,labelMatch:d(B),descriptionMatch:d(V)}}function a(z,q,N,W,M,O){if(M||!q){const[F,B]=i(z,W.normalized,W.normalizedLowercase,O);if(F){const V=(0,D.matchesPrefix)(W.normalized,z);let G;return V?(G=c,G+=Math.round(W.normalized.length/z.length*100)):G=o,{score:G+F,labelMatch:V||n(B)}}}if(q){let F=q;N&&(F=`${q}${A.sep}`);const B=F.length,V=`${F}${z}`,[G,ce]=i(V,W.normalized,W.normalizedLowercase,O);if(G){const me=n(ce),Pe=[],Ie=[];return me.forEach(Fe=>{Fe.start<B&&Fe.end>B?(Pe.push({start:0,end:Fe.end-B}),Ie.push({start:Fe.start,end:B})):Fe.start>=B?Pe.push({start:Fe.start-B,end:Fe.end-B}):Ie.push(Fe)}),{score:G,labelMatch:Pe,descriptionMatch:Ie}}}return _}function n(z){const q=[];if(!z)return q;let N;for(const W of z)N&&N.end===W?N.end+=1:(N={start:W,end:W+1},q.push(N));return q}function d(z){const q=z.sort((M,O)=>M.start-O.start),N=[];let W;for(const M of q)!W||!p(W,M)?(W=M,N.push(M)):(W.start=Math.min(W.start,M.start),W.end=Math.max(W.end,M.end));return N}function p(z,q){return!(z.end<q.start||q.end<z.start)}function E(z,q,N,W,M,O){const F=t(z,N,W,M,O),B=t(q,N,W,M,O),V=F.score,G=B.score;if((V===u||G===u)&&V!==G)return V===u?-1:1;if(V>o||G>o){if(V!==G)return V>G?-1:1;if(V<c&&G<c){const X=w(F.labelMatch,B.labelMatch);if(X!==0)return X}const Fe=M.getItemLabel(z)||"",H=M.getItemLabel(q)||"";if(Fe.length!==H.length)return Fe.length-H.length}if(V!==G)return V>G?-1:1;const ce=Array.isArray(F.labelMatch)&&F.labelMatch.length>0,me=Array.isArray(B.labelMatch)&&B.labelMatch.length>0;if(ce&&!me)return-1;if(me&&!ce)return 1;const Pe=h(z,F,M),Ie=h(q,B,M);return Pe&&Ie&&Pe!==Ie?Ie>Pe?-1:1:R(z,q,N,M)}e.compareItemsByFuzzyScore=E;function h(z,q,N){let W=-1,M=-1;if(q.descriptionMatch&&q.descriptionMatch.length?W=q.descriptionMatch[0].start:q.labelMatch&&q.labelMatch.length&&(W=q.labelMatch[0].start),q.labelMatch&&q.labelMatch.length){if(M=q.labelMatch[q.labelMatch.length-1].end,q.descriptionMatch&&q.descriptionMatch.length){const O=N.getItemDescription(z);O&&(M+=O.length)}}else q.descriptionMatch&&q.descriptionMatch.length&&(M=q.descriptionMatch[q.descriptionMatch.length-1].end);return M-W}function w(z,q){if(!z&&!q||(!z||!z.length)&&(!q||!q.length))return 0;if(!q||!q.length)return-1;if(!z||!z.length)return 1;const N=z[0].start,M=z[z.length-1].end-N,O=q[0].start,B=q[q.length-1].end-O;return M===B?0:B<M?1:-1}function R(z,q,N,W){const M=W.getItemLabel(z)||"",O=W.getItemLabel(q)||"",F=W.getItemDescription(z),B=W.getItemDescription(q),V=M.length+(F?F.length:0),G=O.length+(B?B.length:0);if(V!==G)return V-G;const ce=W.getItemPath(z),me=W.getItemPath(q);return ce&&me&&ce.length!==me.length?ce.length-me.length:M!==O?(0,v.compareAnything)(M,O,N.normalized):F&&B&&F!==B?(0,v.compareAnything)(F,B,N.normalized):ce&&me&&ce!==me?(0,v.compareAnything)(ce,me,N.normalized):0}const L=" ";function U(z){typeof z!="string"&&(z="");const q=z.toLowerCase(),{pathNormalized:N,normalized:W,normalizedLowercase:M}=J(z),O=N.indexOf(A.sep)>=0;let F;const B=z.split(L);if(B.length>1)for(const V of B){const{pathNormalized:G,normalized:ce,normalizedLowercase:me}=J(V);ce&&(F||(F=[]),F.push({original:V,originalLowercase:V.toLowerCase(),pathNormalized:G,normalized:ce,normalizedLowercase:me}))}return{original:z,originalLowercase:q,pathNormalized:N,normalized:W,normalizedLowercase:M,values:F,containsPathSeparator:O}}e.prepareQuery=U;function J(z){let q;I.isWindows?q=z.replace(/\//g,A.sep):q=z.replace(/\\/g,A.sep);const N=(0,C.stripWildcards)(q).replace(/\s/g,"");return{pathNormalized:q,normalized:N,normalizedLowercase:N.toLowerCase()}}function Z(z){return Array.isArray(z)?U(z.map(q=>q.original).join(L)):U(z.original)}e.pieceToQuery=Z}),define(pe[33],ve([0,1,9,30,7,23,19]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.getEmptyExpression=void 0;function P(){return Object.create(null)}e.getEmptyExpression=P;const y="**",i="/",T="[/\\\\]",k="[^/\\\\]",b=/\//g;function f(F){switch(F){case 0:return"";case 1:return`${k}*?`;default:return`(?:${T}|${k}+${T}|${T}${k}+)*?`}}function l(F,B){if(!F)return[];const V=[];let G=!1,ce=!1,me="";for(const Pe of F){switch(Pe){case B:if(!G&&!ce){V.push(me),me="";continue}break;case"{":G=!0;break;case"}":G=!1;break;case"[":ce=!0;break;case"]":ce=!1;break}me+=Pe}return me&&V.push(me),V}e.splitGlobAware=l;function m(F){if(!F)return"";let B="";const V=l(F,i);if(V.every(G=>G===y))B=".*";else{let G=!1;V.forEach((ce,me)=>{if(ce===y){G||(B+=f(2),G=!0);return}let Pe=!1,Ie="",Fe=!1,H="";for(const X of ce){if(X!=="}"&&Pe){Ie+=X;continue}if(Fe&&(X!=="]"||!H)){let te;X==="-"?te=X:(X==="^"||X==="!")&&!H?te="^":X===i?te="":te=v.escapeRegExpCharacters(X),H+=te;continue}switch(X){case"{":Pe=!0;continue;case"[":Fe=!0;continue;case"}":B+=`(?:${l(Ie,",").map(we=>m(we)).join("|")})`,Pe=!1,Ie="";break;case"]":B+="["+H+"]",Fe=!1,H="";break;case"?":B+=k;continue;case"*":B+=f(1);continue;default:B+=v.escapeRegExpCharacters(X)}}me<V.length-1&&(V[me+1]!==y||me+2<V.length)&&(B+=T),G=!1})}return B}const S=/^\*\*\/\*\.[\w\.-]+$/,g=/^\*\*\/([\w\.-]+)\/?$/,_=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,u=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,c=/^\*\*((\/[\w\.-]+)+)\/?$/,o=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new I.LRUCache(1e4),r=function(){return!1},s=function(){return null};function a(F,B){if(!F)return s;let V;typeof F!="string"?V=F.pattern:V=F,V=V.trim();const G=`${V}_${!!B.trimForExclusions}`;let ce=t.get(G);if(ce)return n(ce,F);let me;if(S.test(V)){const Pe=V.substr(4);ce=function(Ie,Fe){return typeof Ie=="string"&&Ie.endsWith(Pe)?V:null}}else(me=g.exec(d(V,B)))?ce=p(me[1],V):(B.trimForExclusions?u:_).test(V)?ce=E(V,B):(me=c.exec(d(V,B)))?ce=h(me[1].substr(1),V,!0):(me=o.exec(d(V,B)))?ce=h(me[1],V,!1):ce=w(V);return t.set(G,ce),n(ce,F)}function n(F,B){return typeof B=="string"?F:function(V,G){return D.isEqualOrParent(V,B.base)?F(A.relative(B.base,V),G):null}}function d(F,B){return B.trimForExclusions&&F.endsWith("/**")?F.substr(0,F.length-2):F}function p(F,B){const V=`/${F}`,G=`\\${F}`,ce=function(Pe,Ie){return typeof Pe!="string"?null:Ie?Ie===F?B:null:Pe===F||Pe.endsWith(V)||Pe.endsWith(G)?B:null},me=[F];return ce.basenames=me,ce.patterns=[B],ce.allBasenames=me,ce}function E(F,B){const V=O(F.slice(1,-1).split(",").map(Ie=>a(Ie,B)).filter(Ie=>Ie!==s),F),G=V.length;if(!G)return s;if(G===1)return V[0];const ce=function(Ie,Fe){for(let H=0,X=V.length;H<X;H++)if(V[H](Ie,Fe))return F;return null},me=V.find(Ie=>!!Ie.allBasenames);me&&(ce.allBasenames=me.allBasenames);const Pe=V.reduce((Ie,Fe)=>Fe.allPaths?Ie.concat(Fe.allPaths):Ie,[]);return Pe.length&&(ce.allPaths=Pe),ce}function h(F,B,V){const G=A.sep===A.posix.sep,ce=G?F:F.replace(b,A.sep),me=A.sep+ce,Pe=A.posix.sep+F,Ie=V?function(Fe,H){return typeof Fe=="string"&&(Fe===ce||Fe.endsWith(me)||!G&&(Fe===F||Fe.endsWith(Pe)))?B:null}:function(Fe,H){return typeof Fe=="string"&&(Fe===ce||!G&&Fe===F)?B:null};return Ie.allPaths=[(V?"*/":"./")+F],Ie}function w(F){try{const B=new RegExp(`^${m(F)}$`);return function(V){return B.lastIndex=0,typeof V=="string"&&B.test(V)?F:null}}catch(B){return s}}function R(F,B,V){return!F||typeof B!="string"?!1:L(F)(B,void 0,V)}e.match=R;function L(F,B={}){if(!F)return r;if(typeof F=="string"||z(F)){const V=a(F,B);if(V===s)return r;const G=function(ce,me){return!!V(ce,me)};return V.allBasenames&&(G.allBasenames=V.allBasenames),V.allPaths&&(G.allPaths=V.allPaths),G}return W(F,B)}e.parse=L;function U(F){if(!!F){let B;return V=>(B||(B=(F()||Promise.resolve([])).then(G=>G?Z(G):{})),B.then(G=>!!G[V]))}}e.hasSiblingPromiseFn=U;function J(F){if(!!F){let B;return V=>{if(!B){const G=F();B=G?Z(G):{}}return!!B[V]}}}e.hasSiblingFn=J;function Z(F){const B={};for(const V of F)B[V]=!0;return B}function z(F){const B=F;return B&&typeof B.base=="string"&&typeof B.pattern=="string"}e.isRelativePattern=z;function q(F){return F.allBasenames||[]}e.getBasenameTerms=q;function N(F){return F.allPaths||[]}e.getPathTerms=N;function W(F,B){const V=O(Object.getOwnPropertyNames(F).map(Ie=>M(Ie,F[Ie],B)).filter(Ie=>Ie!==s)),G=V.length;if(!G)return s;if(!V.some(Ie=>!!Ie.requiresSiblings)){if(G===1)return V[0];const Ie=function(X,te){for(let oe=0,we=V.length;oe<we;oe++){const De=V[oe](X,te);if(De)return De}return null},Fe=V.find(X=>!!X.allBasenames);Fe&&(Ie.allBasenames=Fe.allBasenames);const H=V.reduce((X,te)=>te.allPaths?X.concat(te.allPaths):X,[]);return H.length&&(Ie.allPaths=H),Ie}const ce=function(Ie,Fe,H){let X;for(let te=0,oe=V.length;te<oe;te++){const we=V[te];we.requiresSiblings&&H&&(Fe||(Fe=A.basename(Ie)),X||(X=Fe.substr(0,Fe.length-A.extname(Ie).length)));const De=we(Ie,Fe,X,H);if(De)return De}return null},me=V.find(Ie=>!!Ie.allBasenames);me&&(ce.allBasenames=me.allBasenames);const Pe=V.reduce((Ie,Fe)=>Fe.allPaths?Ie.concat(Fe.allPaths):Ie,[]);return Pe.length&&(ce.allPaths=Pe),ce}function M(F,B,V){if(B===!1)return s;const G=a(F,V);if(G===s)return s;if(typeof B=="boolean")return G;if(B){const ce=B.when;if(typeof ce=="string"){const me=(Pe,Ie,Fe,H)=>{if(!H||!G(Pe,Ie))return null;const X=ce.replace("$(basename)",Fe),te=H(X);return(0,C.isThenable)(te)?te.then(oe=>oe?F:null):te?F:null};return me.requiresSiblings=!0,me}}return G}function O(F,B){const V=F.filter(Ie=>!!Ie.basenames);if(V.length<2)return F;const G=V.reduce((Ie,Fe)=>{const H=Fe.basenames;return H?Ie.concat(H):Ie},[]);let ce;if(B){ce=[];for(let Ie=0,Fe=G.length;Ie<Fe;Ie++)ce.push(B)}else ce=V.reduce((Ie,Fe)=>{const H=Fe.patterns;return H?Ie.concat(H):Ie},[]);const me=function(Ie,Fe){if(typeof Ie!="string")return null;if(!Fe){let X;for(X=Ie.length;X>0;X--){const te=Ie.charCodeAt(X-1);if(te===47||te===92)break}Fe=Ie.substr(X)}const H=G.indexOf(Fe);return H!==-1?ce[H]:null};me.basenames=G,me.patterns=ce,me.allBasenames=G;const Pe=F.filter(Ie=>!Ie.basenames);return Pe.push(me),Pe}}),define(pe[77],ve([0,1,2,7,9,11,10,24,30]),function(Q,e,v,D,A,I,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function i(a,n,d){if(typeof a=="string"&&(a=v.URI.file(a)),d){const E=d.getWorkspaceFolder(a);if(E){const h=d.getWorkspace().folders.length>1;let w;if((0,P.isEqual)(E.uri,a)?w="":w=(0,P.relativePath)(E.uri,a),h){const R=E.name?E.name:(0,P.basename)(E.uri);w=w?R+" \u2022 "+w:R}return w}}if(a.scheme!==I.Schemas.file&&a.scheme!==I.Schemas.untitled)return a.with({query:null,fragment:null}).toString(!0);if((0,y.hasDriveLetter)(a.fsPath))return(0,D.normalize)(k(a.fsPath));let p=(0,D.normalize)(a.fsPath);return!C.isWindows&&(n==null?void 0:n.userHome)&&(p=f(p,n.userHome.fsPath)),p}e.getPathLabel=i;function T(a){if(!!a){typeof a=="string"&&(a=v.URI.file(a));const n=(0,P.basename)(a)||(a.scheme===I.Schemas.file?a.fsPath:a.path);return C.isWindows&&(0,y.isRootOrDriveLetter)(n)?k(n):n}}e.getBaseLabel=T;function k(a){return(0,y.hasDriveLetter)(a)?a.charAt(0).toUpperCase()+a.slice(1):a}e.normalizeDriveLetter=k;let b=Object.create(null);function f(a,n){if(C.isWindows||!a||!n)return a;let d=b.original===n?b.normalized:void 0;return d||(d=`${(0,A.rtrim)(n,D.posix.sep)}${D.posix.sep}`,b={original:n,normalized:d}),(C.isLinux?a.startsWith(d):(0,A.startsWithIgnoreCase)(a,d))&&(a=`~/${a.substr(d.length)}`),a}e.tildify=f;function l(a,n){return a.replace(/^~($|\/|\\)/,`${n}$1`)}e.untildify=l;const m="\u2026",S="\\\\",g="~";function _(a,n=D.sep){const d=new Array(a.length);let p=!1;for(let E=0;E<a.length;E++){let h=a[E];if(h===""){d[E]=`.${n}`;continue}if(!h){d[E]=h;continue}p=!0;let w="";h.indexOf(S)===0?(w=h.substr(0,h.indexOf(S)+S.length),h=h.substr(h.indexOf(S)+S.length)):h.indexOf(n)===0?(w=h.substr(0,h.indexOf(n)+n.length),h=h.substr(h.indexOf(n)+n.length)):h.indexOf(g)===0&&(w=h.substr(0,h.indexOf(g)+g.length),h=h.substr(h.indexOf(g)+g.length));const R=h.split(n);for(let L=1;p&&L<=R.length;L++)for(let U=R.length-L;p&&U>=0;U--){p=!1;let J=R.slice(U,U+L).join(n);for(let Z=0;!p&&Z<a.length;Z++)if(Z!==E&&a[Z]&&a[Z].indexOf(J)>-1){const z=U+L===R.length,q=U>0&&a[Z].indexOf(n)>-1?n+J:J,N=a[Z].endsWith(q);p=!z||N}if(!p){let Z="";(R[0].endsWith(":")||w!=="")&&(U===1&&(U=0,L++,J=R[0]+n+J),U>0&&(Z=R[0]+n),Z=w+Z),U>0&&(Z=Z+m+n),Z=Z+J,U+L<R.length&&(Z=Z+n+m),d[E]=Z}}p&&(d[E]=h)}return d}e.shorten=_;var u;(function(a){a[a.TEXT=0]="TEXT",a[a.VARIABLE=1]="VARIABLE",a[a.SEPARATOR=2]="SEPARATOR"})(u||(u={}));function c(a,n=Object.create(null)){const d=[];let p=!1,E="";for(const h of a)if(h==="$"||p&&h==="{")E&&d.push({value:E,type:u.TEXT}),E="",p=!0;else if(h==="}"&&p){const w=n[E];if(typeof w=="string")w.length&&d.push({value:w,type:u.VARIABLE});else if(w){const R=d[d.length-1];(!R||R.type!==u.SEPARATOR)&&d.push({value:w.label,type:u.SEPARATOR})}E="",p=!1}else E+=h;return E&&!p&&d.push({value:E,type:u.TEXT}),d.filter((h,w)=>{if(h.type===u.SEPARATOR){const R=d[w-1],L=d[w+1];return[R,L].every(U=>U&&(U.type===u.VARIABLE||U.type===u.TEXT)&&U.value.length>0)}return!0}).map(h=>h.value).join("")}e.template=c;function o(a,n){return C.isMacintosh||n?a.replace(/\(&&\w\)|&&/g,"").replace(/&/g,C.isMacintosh?"&":"&&"):a.replace(/&&|&/g,d=>d==="&"?"&&":"&")}e.mnemonicMenuLabel=o;function t(a,n){return C.isMacintosh||n?a.replace(/\(&&\w\)|&&/g,""):C.isWindows?a.replace(/&&|&/g,d=>d==="&"?"&&":"&"):a.replace(/&&/g,"_")}e.mnemonicButtonLabel=t;function r(a){return a.replace(/&/g,"&&")}e.unmnemonicLabel=r;function s(a){const n=a.indexOf("/")!==-1?D.posix:D.win32,d=n.basename(a),p=n.dirname(a);return d.length?{name:d,parentPath:p}:{name:p,parentPath:""}}e.splitName=s}),define(pe[97],ve([0,1,2]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function D(T){return T.toJSON()}class A{constructor(k){this._uriTransformer=k}transformIncoming(k){const b=this._uriTransformer.transformIncoming(k);return b===k?k:D(v.URI.from(b))}transformOutgoing(k){const b=this._uriTransformer.transformOutgoing(k);return b===k?k:D(v.URI.from(b))}transformOutgoingURI(k){const b=this._uriTransformer.transformOutgoing(k);return b===k?k:v.URI.from(b)}transformOutgoingScheme(k){return this._uriTransformer.transformOutgoingScheme(k)}}e.URITransformer=A,e.DefaultURITransformer=new class{transformIncoming(T){return T}transformOutgoing(T){return T}transformOutgoingURI(T){return T}transformOutgoingScheme(T){return T}};function I(T,k,b){if(!T||b>200)return null;if(typeof T=="object"){if(T instanceof v.URI)return k.transformOutgoing(T);for(let f in T)if(Object.hasOwnProperty.call(T,f)){const l=I(T[f],k,b+1);l!==null&&(T[f]=l)}}return null}function C(T,k){const b=I(T,k,0);return b===null?T:b}e.transformOutgoingURIs=C;function P(T,k,b,f){if(!T||f>200)return null;if(typeof T=="object"){if(T.$mid===1)return b?v.URI.revive(k.transformIncoming(T)):k.transformIncoming(T);for(let l in T)if(Object.hasOwnProperty.call(T,l)){const m=P(T[l],k,b,f+1);m!==null&&(T[l]=m)}}return null}function y(T,k){const b=P(T,k,!1,0);return b===null?T:b}e.transformIncomingURIs=y;function i(T,k){const b=P(T,k,!0,0);return b===null?T:b}e.transformAndReviveIncomingURIs=i}),define(pe[28],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const v=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function D(y){return v.test(y)}e.isUUID=D;const A=new Uint8Array(16),I=[];for(let y=0;y<256;y++)I.push(y.toString(16).padStart(2,"0"));let C;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?C=crypto.getRandomValues.bind(crypto):C=function(y){for(let i=0;i<y.length;i++)y[i]=Math.floor(Math.random()*256);return y};function P(){C(A),A[6]=A[6]&15|64,A[8]=A[8]&63|128;let y=0,i="";return i+=I[A[y++]],i+=I[A[y++]],i+=I[A[y++]],i+=I[A[y++]],i+="-",i+=I[A[y++]],i+=I[A[y++]],i+="-",i+=I[A[y++]],i+=I[A[y++]],i+="-",i+=I[A[y++]],i+=I[A[y++]],i+="-",i+=I[A[y++]],i+=I[A[y++]],i+=I[A[y++]],i+=I[A[y++]],i+=I[A[y++]],i+=I[A[y++]],i}e.generateUuid=P}),define(pe[134],ve([0,1,98]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class D{constructor(I="utf8"){this.stringDecoder=new v.StringDecoder(I),this.remaining=null}write(I){const C=[],P=this.remaining?this.remaining+this.stringDecoder.write(I):this.stringDecoder.write(I);if(P.length<1)return C;let y=0,i,T=y;for(;T<P.length;)if(i=P.charCodeAt(T),i===13||i===10){if(C.push(P.substring(y,T)),T++,T<P.length){const k=i;i=P.charCodeAt(T),(k===13&&i===10||k===10&&i===13)&&T++}y=T}else T++;return this.remaining=y<P.length?P.substr(y):null,C}end(){return this.remaining}}e.LineDecoder=D}),define(pe[25],ve([0,1,37,47,7,19,10,30,28,76,24,2]),function(Q,e,v,D,A,I,C,P,y,i,T,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.exists=e.copy=e.move=e.writeFileSync=e.writeFile=e.SymlinkSupport=e.whenDeleted=e.readDirsInDir=e.readdirSync=e.readdir=e.rimrafSync=e.rimraf=e.RimRafMode=e.MAX_HEAP_SIZE=e.MAX_FILE_SIZE=void 0;const b=300*1024*1024,f=16*1024*1024*1024,l=700*1024*1024,m=700*2*1024*1024;e.MAX_FILE_SIZE=process.arch==="ia32"?b:f,e.MAX_HEAP_SIZE=process.arch==="ia32"?l:m;var S;(function(O){O[O.UNLINK=0]="UNLINK",O[O.MOVE=1]="MOVE"})(S=e.RimRafMode||(e.RimRafMode={}));async function g(O,F=S.UNLINK){if((0,P.isRootOrDriveLetter)(O))throw new Error("rimraf - will refuse to recursively delete root");return F===S.UNLINK?u(O):_(O)}e.rimraf=g;async function _(O){try{const F=(0,A.join)((0,D.tmpdir)(),(0,y.generateUuid)());try{await v.promises.rename(O,F)}catch(B){return u(O)}u(F).catch(B=>{})}catch(F){if(F.code!=="ENOENT")throw F}}async function u(O){return v.promises.rmdir(O,{recursive:!0,maxRetries:3})}function c(O){if((0,P.isRootOrDriveLetter)(O))throw new Error("rimraf - will refuse to recursively delete root");v.rmdirSync(O,{recursive:!0})}e.rimrafSync=c;async function o(O,F){return s(await(F?t(O):v.promises.readdir(O)))}e.readdir=o;async function t(O){try{return await v.promises.readdir(O,{withFileTypes:!0})}catch(V){console.warn("[node.js fs] readdir with filetypes failed with error: ",V)}const F=[],B=await o(O);for(const V of B){let G=!1,ce=!1,me=!1;try{const Pe=await v.promises.lstat((0,A.join)(O,V));G=Pe.isFile(),ce=Pe.isDirectory(),me=Pe.isSymbolicLink()}catch(Pe){console.warn("[node.js fs] unexpected error from lstat after readdir: ",Pe)}F.push({name:V,isFile:()=>G,isDirectory:()=>ce,isSymbolicLink:()=>me})}return F}function r(O){return s(v.readdirSync(O))}e.readdirSync=r;function s(O){return O.map(F=>typeof F=="string"?C.isMacintosh?(0,i.normalizeNFC)(F):F:(F.name=C.isMacintosh?(0,i.normalizeNFC)(F.name):F.name,F))}async function a(O){const F=await o(O),B=[];for(const V of F)await d.existsDirectory((0,A.join)(O,V))&&B.push(V);return B}e.readDirsInDir=a;function n(O,F=1e3){return new Promise(B=>{let V=!1;const G=setInterval(()=>{V||(V=!0,v.access(O,ce=>{V=!1,ce&&(clearInterval(G),B(void 0))}))},F)})}e.whenDeleted=n;var d;(function(O){async function F(G){let ce;try{if(ce=await v.promises.lstat(G),!ce.isSymbolicLink())return{stat:ce}}catch(me){}try{return{stat:await v.promises.stat(G),symbolicLink:(ce==null?void 0:ce.isSymbolicLink())?{dangling:!1}:void 0}}catch(me){if(me.code==="ENOENT"&&ce)return{stat:ce,symbolicLink:{dangling:!0}};if(C.isWindows&&me.code==="EACCES")try{return{stat:await v.promises.stat(await v.promises.readlink(G)),symbolicLink:{dangling:!1}}}catch(Pe){if(Pe.code==="ENOENT"&&ce)return{stat:ce,symbolicLink:{dangling:!0}};throw Pe}throw me}}O.stat=F;async function B(G){try{const{stat:ce,symbolicLink:me}=await O.stat(G);return ce.isFile()&&(me==null?void 0:me.dangling)!==!0}catch(ce){}return!1}O.existsFile=B;async function V(G){try{const{stat:ce,symbolicLink:me}=await O.stat(G);return ce.isDirectory()&&(me==null?void 0:me.dangling)!==!0}catch(ce){}return!1}O.existsDirectory=V})(d=e.SymlinkSupport||(e.SymlinkSupport={}));const p=new I.ResourceQueue;function E(O,F,B){return p.queueFor(k.URI.file(O),T.extUriBiasedIgnorePathCase).queue(()=>{const V=L(B);return new Promise((G,ce)=>w(O,F,V,me=>me?ce(me):G()))})}e.writeFile=E;let h=!0;function w(O,F,B,V){if(!h)return v.writeFile(O,F,{mode:B.mode,flag:B.flag},V);v.open(O,B.flag,B.mode,(G,ce)=>{if(G)return V(G);v.writeFile(ce,F,me=>{if(me)return v.close(ce,()=>V(me));v.fdatasync(ce,Pe=>(Pe&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",Pe),h=!1),v.close(ce,Ie=>V(Ie))))})})}function R(O,F,B){const V=L(B);if(!h)return v.writeFileSync(O,F,{mode:V.mode,flag:V.flag});const G=v.openSync(O,V.flag,V.mode);try{v.writeFileSync(G,F);try{v.fdatasyncSync(G)}catch(ce){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",ce),h=!1}}finally{v.closeSync(G)}}e.writeFileSync=R;function L(O){return O?{mode:typeof O.mode=="number"?O.mode:438,flag:typeof O.flag=="string"?O.flag:"w"}:{mode:438,flag:"w"}}async function U(O,F){if(O!==F){async function B(V){try{const G=await v.promises.lstat(V);if(G.isDirectory()||G.isSymbolicLink())return;const ce=await v.promises.open(V,"a");try{await ce.utimes(G.atime,new Date)}finally{await ce.close()}}catch(G){}}try{await v.promises.rename(O,F),await B(F)}catch(V){if(O.toLowerCase()!==F.toLowerCase()&&V.code==="EXDEV"||O.endsWith("."))await J(O,F,{preserveSymlinks:!1}),await g(O,S.MOVE),await B(F);else throw V}}}e.move=U;async function J(O,F,B){return z(O,F,{root:{source:O,target:F},options:B,handledSourcePaths:new Set})}e.copy=J;const Z=511;async function z(O,F,B){if(!B.handledSourcePaths.has(O)){B.handledSourcePaths.add(O);const{stat:V,symbolicLink:G}=await d.stat(O);if(G){if(B.options.preserveSymlinks)try{return await W(O,F,B)}catch(ce){console.warn("[node.js fs] copy of symlink failed: ",ce)}if(G.dangling)return}return V.isDirectory()?q(O,F,V.mode&Z,B):N(O,F,V.mode&Z)}}async function q(O,F,B,V){await v.promises.mkdir(F,{recursive:!0,mode:B});const G=await o(O);for(const ce of G)await z((0,A.join)(O,ce),(0,A.join)(F,ce),V)}async function N(O,F,B){await v.promises.copyFile(O,F),await v.promises.chmod(F,B)}async function W(O,F,B){let V=await v.promises.readlink(O);(0,P.isEqualOrParent)(V,B.root.source,!C.isLinux)&&(V=(0,A.join)(B.root.target,V.substr(B.root.source.length+1))),await v.promises.symlink(V,F)}async function M(O){try{return await v.promises.access(O),!0}catch(F){return!1}}e.exists=M}),define(pe[135],ve([0,1,37,9,7,25]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcaseSync=void 0;function C(T){const k=(0,A.dirname)(T);if(T===k)return T;const b=((0,A.basename)(T)||T).toLowerCase();try{const l=(0,I.readdirSync)(k).filter(m=>m.toLowerCase()===b);if(l.length===1){const m=C(k);if(m)return(0,A.join)(m,l[0])}else if(l.length>1){const m=l.indexOf(b);if(m>=0){const S=C(k);if(S)return(0,A.join)(S,l[m])}}}catch(f){}return null}e.realcaseSync=C;async function P(T){try{return await v.promises.realpath(T)}catch(k){const b=i(T);return await v.promises.access(b,v.constants.R_OK),b}}e.realpath=P;function y(T){try{return v.realpathSync(T)}catch(k){const b=i(T);return v.accessSync(b,v.constants.R_OK),b}}e.realpathSync=y;function i(T){return(0,D.rtrim)((0,A.normalize)(T),A.sep)}});var vt=this&&this.__await||function(Q){return this instanceof vt?(this.v=Q,this):new vt(Q)},Pn=this&&this.__asyncGenerator||function(Q,e,v){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var D=v.apply(Q,e||[]),A,I=[];return A={},C("next"),C("throw"),C("return"),A[Symbol.asyncIterator]=function(){return this},A;function C(b){D[b]&&(A[b]=function(f){return new Promise(function(l,m){I.push([b,f,l,m])>1||P(b,f)})})}function P(b,f){try{y(D[b](f))}catch(l){k(I[0][3],l)}}function y(b){b.value instanceof vt?Promise.resolve(b.value.v).then(i,T):k(I[0][2],b)}function i(b){P("next",b)}function T(b){P("throw",b)}function k(b,f){b(f),I.shift(),I.length&&P(I[0][0],I[0][1])}},rn=this&&this.__asyncValues||function(Q){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var e=Q[Symbol.asyncIterator],v;return e?e.call(Q):(Q=typeof __values=="function"?__values(Q):Q[Symbol.iterator](),v={},D("next"),D("throw"),D("return"),v[Symbol.asyncIterator]=function(){return this},v);function D(I){v[I]=Q[I]&&function(C){return new Promise(function(P,y){C=Q[I](C),A(P,y,C.done,C.value)})}}function A(I,C,P,y){Promise.resolve(y).then(function(i){I({value:i,done:P})},C)}};define(pe[99],ve([0,1,25,47,7,36]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const C=/^\d+$/,P=/^Microsoft.PowerShell_.*/,y=/^Microsoft.PowerShellPreview_.*/;var i;(function(o){o[o.x64=0]="x64",o[o.x86=1]="x86",o[o.ARM=2]="ARM"})(i||(i={}));let T;switch(process.arch){case"ia32":case"x32":T=1;break;case"arm":case"arm64":T=2;break;default:T=0;break}let k;process.env.PROCESSOR_ARCHITEW6432?k=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?k=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?k=1:k=0;class b{constructor(t,r,s){this.exePath=t,this.displayName=r,this.knownToExist=s}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await v.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function f({useAlternateBitness:o=!1}={}){return o?T===0?I.env["ProgramFiles(x86)"]||null:k===0&&I.env.ProgramW6432||null:I.env.ProgramFiles||null}async function l({useAlternateBitness:o=!1,findPreview:t=!1}={}){const r=f({useAlternateBitness:o});if(!r)return null;const s=A.join(r,"PowerShell");if(!await v.SymlinkSupport.existsDirectory(s))return null;let a=-1,n=null;for(const E of await v.readdir(s)){let h=-1;if(t){const R=E.indexOf("-");if(R<0)continue;const L=E.substring(0,R);if(!C.test(L)||E.substring(R+1)!=="preview")continue;h=parseInt(L,10)}else{if(!C.test(E))continue;h=parseInt(E,10)}if(!(h<=a)){const w=A.join(s,E,"pwsh.exe");!await v.SymlinkSupport.existsFile(w)||(n=w,a=h)}}if(!n)return null;const d=r.includes("x86")?" (x86)":"",p=t?" Preview":"";return new b(n,`PowerShell${p}${d}`,!0)}async function m({findPreview:o}={}){if(!I.env.LOCALAPPDATA)return null;const t=A.join(I.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await v.SymlinkSupport.existsDirectory(t))return null;const{pwshMsixDirRegex:r,pwshMsixName:s}=o?{pwshMsixDirRegex:y,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:P,pwshMsixName:"PowerShell (Store)"};for(const a of await v.readdir(t))if(r.test(a)){const n=A.join(t,a,"pwsh.exe");return new b(n,s)}return null}function S(){const o=A.join(D.homedir(),".dotnet","tools","pwsh.exe");return new b(o,".NET Core PowerShell Global Tool")}function g(){const o=A.join(I.env.windir,T===1&&k!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new b(o,"Windows PowerShell",!0)}function _(){return Pn(this,arguments,function*(){let t=yield vt(l());t&&(yield yield vt(t)),t=yield vt(l({useAlternateBitness:!0})),t&&(yield yield vt(t)),t=yield vt(m()),t&&(yield yield vt(t)),t=S(),t&&(yield yield vt(t)),t=yield vt(l({findPreview:!0})),t&&(yield yield vt(t)),t=yield vt(m({findPreview:!0})),t&&(yield yield vt(t)),t=yield vt(l({useAlternateBitness:!0,findPreview:!0})),t&&(yield yield vt(t)),t=g(),t&&(yield yield vt(t))})}function u(){return Pn(this,arguments,function*(){var t,r;try{for(var s=rn(_()),a;a=yield vt(s.next()),!a.done;){const n=a.value;(yield vt(n.exists()))&&(yield yield vt(n))}}catch(n){t={error:n}}finally{try{a&&!a.done&&(r=s.return)&&(yield vt(r.call(s)))}finally{if(t)throw t.error}}})}e.enumeratePowerShellInstallations=u;async function c(){var o,t;try{for(var r=rn(u()),s;s=await r.next(),!s.done;)return s.value}catch(a){o={error:a}}finally{try{s&&!s.done&&(t=r.return)&&await t.call(r)}finally{if(o)throw o.error}}return null}e.getFirstAvailablePowerShellInstallation=c}),define(pe[100],ve([0,1,3,6,19,21,18,26,12,15,58,9]),function(Q,e,v,D,A,I,C,P,y,i,T,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var b;(function(M){M[M.Promise=100]="Promise",M[M.PromiseCancel=101]="PromiseCancel",M[M.EventListen=102]="EventListen",M[M.EventDispose=103]="EventDispose"})(b=e.RequestType||(e.RequestType={}));function f(M){switch(M){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var l;(function(M){M[M.Initialize=200]="Initialize",M[M.PromiseSuccess=201]="PromiseSuccess",M[M.PromiseError=202]="PromiseError",M[M.PromiseErrorObj=203]="PromiseErrorObj",M[M.EventFire=204]="EventFire"})(l=e.ResponseType||(e.ResponseType={}));function m(M){switch(M){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var S;(function(M){M[M.Uninitialized=0]="Uninitialized",M[M.Idle=1]="Idle"})(S||(S={}));class g{constructor(O){this.buffer=O,this.pos=0}read(O){const F=this.buffer.slice(this.pos,this.pos+O);return this.pos+=F.byteLength,F}}class _{constructor(){this.buffers=[]}get buffer(){return P.VSBuffer.concat(this.buffers)}write(O){this.buffers.push(O)}}var u;(function(M){M[M.Undefined=0]="Undefined",M[M.String=1]="String",M[M.Buffer=2]="Buffer",M[M.VSBuffer=3]="VSBuffer",M[M.Array=4]="Array",M[M.Object=5]="Object"})(u||(u={}));function c(M){const O=P.VSBuffer.alloc(4);return O.writeUInt32BE(M,0),O}function o(M){return M.read(4).readUInt32BE(0)}function t(M){const O=P.VSBuffer.alloc(1);return O.writeUInt8(M,0),O}const r={Undefined:t(u.Undefined),String:t(u.String),Buffer:t(u.Buffer),VSBuffer:t(u.VSBuffer),Array:t(u.Array),Object:t(u.Object)},s=typeof Buffer!="undefined";function a(M,O){if(typeof O=="undefined")M.write(r.Undefined);else if(typeof O=="string"){const F=P.VSBuffer.fromString(O);M.write(r.String),M.write(c(F.byteLength)),M.write(F)}else if(s&&Buffer.isBuffer(O)){const F=P.VSBuffer.wrap(O);M.write(r.Buffer),M.write(c(F.byteLength)),M.write(F)}else if(O instanceof P.VSBuffer)M.write(r.VSBuffer),M.write(c(O.byteLength)),M.write(O);else if(Array.isArray(O)){M.write(r.Array),M.write(c(O.length));for(const F of O)a(M,F)}else{const F=P.VSBuffer.fromString(JSON.stringify(O));M.write(r.Object),M.write(c(F.byteLength)),M.write(F)}}function n(M){switch(M.read(1).readUInt8(0)){case u.Undefined:return;case u.String:return M.read(o(M)).toString();case u.Buffer:return M.read(o(M)).buffer;case u.VSBuffer:return M.read(o(M));case u.Array:{const F=o(M),B=[];for(let V=0;V<F;V++)B.push(n(M));return B}case u.Object:return JSON.parse(M.read(o(M)).toString())}}class d{constructor(O,F,B=null,V=1e3){this.protocol=O,this.ctx=F,this.logger=B,this.timeoutDelay=V,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(G=>this.onRawMessage(G)),this.sendResponse({type:200})}registerChannel(O,F){this.channels.set(O,F),setTimeout(()=>this.flushPendingRequests(O),0)}sendResponse(O){switch(O.type){case 200:{const F=this.send([O.type]);this.logger&&this.logger.logOutgoing(F,0,1,m(O.type));return}case 201:case 202:case 204:case 203:{const F=this.send([O.type,O.id],O.data);this.logger&&this.logger.logOutgoing(F,O.id,1,m(O.type),O.data);return}}}send(O,F=void 0){const B=new _;return a(B,O),a(B,F),this.sendBuffer(B.buffer)}sendBuffer(O){try{return this.protocol.send(O),O.byteLength}catch(F){return 0}}onRawMessage(O){const F=new g(O),B=n(F),V=n(F),G=B[0];switch(G){case 100:return this.logger&&this.logger.logIncoming(O.byteLength,B[1],1,`${f(G)}: ${B[2]}.${B[3]}`,V),this.onPromise({type:G,id:B[1],channelName:B[2],name:B[3],arg:V});case 102:return this.logger&&this.logger.logIncoming(O.byteLength,B[1],1,`${f(G)}: ${B[2]}.${B[3]}`,V),this.onEventListen({type:G,id:B[1],channelName:B[2],name:B[3],arg:V});case 101:return this.logger&&this.logger.logIncoming(O.byteLength,B[1],1,`${f(G)}`),this.disposeActiveRequest({type:G,id:B[1]});case 103:return this.logger&&this.logger.logIncoming(O.byteLength,B[1],1,`${f(G)}`),this.disposeActiveRequest({type:G,id:B[1]})}}onPromise(O){const F=this.channels.get(O.channelName);if(!F){this.collectPendingRequest(O);return}const B=new I.CancellationTokenSource;let V;try{V=F.call(this.ctx,O.name,O.arg,B.token)}catch(me){V=Promise.reject(me)}const G=O.id;V.then(me=>{this.sendResponse({id:G,data:me,type:201}),this.activeRequests.delete(O.id)},me=>{me instanceof Error?this.sendResponse({id:G,data:{message:me.message,name:me.name,stack:me.stack?me.stack.split?me.stack.split(`
`):me.stack:void 0},type:202}):this.sendResponse({id:G,data:me,type:203}),this.activeRequests.delete(O.id)});const ce=(0,D.toDisposable)(()=>B.cancel());this.activeRequests.set(O.id,ce)}onEventListen(O){const F=this.channels.get(O.channelName);if(!F){this.collectPendingRequest(O);return}const B=O.id,G=F.listen(this.ctx,O.name,O.arg)(ce=>this.sendResponse({id:B,data:ce,type:204}));this.activeRequests.set(O.id,G)}disposeActiveRequest(O){const F=this.activeRequests.get(O.id);F&&(F.dispose(),this.activeRequests.delete(O.id))}collectPendingRequest(O){let F=this.pendingRequests.get(O.channelName);F||(F=[],this.pendingRequests.set(O.channelName,F));const B=setTimeout(()=>{console.error(`Unknown channel: ${O.channelName}`),O.type===100&&this.sendResponse({id:O.id,data:{name:"Unknown channel",message:`Channel name '${O.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);F.push({request:O,timeoutTimer:B})}flushPendingRequests(O){const F=this.pendingRequests.get(O);if(F){for(const B of F)switch(clearTimeout(B.timeoutTimer),B.request.type){case 100:this.onPromise(B.request);break;case 102:this.onEventListen(B.request);break}this.pendingRequests.delete(O)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(O=>O.dispose()),this.activeRequests.clear()}}e.ChannelServer=d;var p;(function(M){M[M.LocalSide=0]="LocalSide",M[M.OtherSide=1]="OtherSide"})(p=e.RequestInitiator||(e.RequestInitiator={}));class E{constructor(O,F=null){this.protocol=O,this.isDisposed=!1,this.state=S.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new v.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(B=>this.onBuffer(B)),this.logger=F}getChannel(O){const F=this;return{call(B,V,G){return F.isDisposed?Promise.reject(C.canceled()):F.requestPromise(O,B,V,G)},listen(B,V){return F.isDisposed?Promise.reject(C.canceled()):F.requestEvent(O,B,V)}}}requestPromise(O,F,B,V=I.CancellationToken.None){const G=this.lastRequestId++,me={id:G,type:100,channelName:O,name:F,arg:B};if(V.isCancellationRequested)return Promise.reject(C.canceled());let Pe;return new Promise((Fe,H)=>{if(V.isCancellationRequested)return H(C.canceled());const X=()=>{const De=Me=>{switch(Me.type){case 201:this.handlers.delete(G),Fe(Me.data);break;case 202:this.handlers.delete(G);const _e=new Error(Me.data.message);_e.stack=Me.data.stack,_e.name=Me.data.name,H(_e);break;case 203:this.handlers.delete(G),H(Me.data);break}};this.handlers.set(G,De),this.sendRequest(me)};let te=null;this.state===S.Idle?X():(te=(0,A.createCancelablePromise)(De=>this.whenInitialized()),te.then(()=>{te=null,X()}));const oe=()=>{te?(te.cancel(),te=null):this.sendRequest({id:G,type:101}),H(C.canceled())},we=V.onCancellationRequested(oe);Pe=(0,D.combinedDisposable)((0,D.toDisposable)(oe),we),this.activeRequests.add(Pe)}).finally(()=>{this.activeRequests.delete(Pe)})}requestEvent(O,F,B){const V=this.lastRequestId++,ce={id:V,type:102,channelName:O,name:F,arg:B};let me=null;const Pe=new v.Emitter({onFirstListenerAdd:()=>{me=(0,A.createCancelablePromise)(Fe=>this.whenInitialized()),me.then(()=>{me=null,this.activeRequests.add(Pe),this.sendRequest(ce)})},onLastListenerRemove:()=>{me?(me.cancel(),me=null):(this.activeRequests.delete(Pe),this.sendRequest({id:V,type:103}))}}),Ie=Fe=>Pe.fire(Fe.data);return this.handlers.set(V,Ie),Pe.event}sendRequest(O){switch(O.type){case 100:case 102:{const F=this.send([O.type,O.id,O.channelName,O.name],O.arg);this.logger&&this.logger.logOutgoing(F,O.id,0,`${f(O.type)}: ${O.channelName}.${O.name}`,O.arg);return}case 101:case 103:{const F=this.send([O.type,O.id]);this.logger&&this.logger.logOutgoing(F,O.id,0,f(O.type));return}}}send(O,F=void 0){const B=new _;return a(B,O),a(B,F),this.sendBuffer(B.buffer)}sendBuffer(O){try{return this.protocol.send(O),O.byteLength}catch(F){return 0}}onBuffer(O){const F=new g(O),B=n(F),V=n(F),G=B[0];switch(G){case 200:return this.logger&&this.logger.logIncoming(O.byteLength,0,0,m(G)),this.onResponse({type:B[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(O.byteLength,B[1],0,m(G),V),this.onResponse({type:B[0],id:B[1],data:V})}}onResponse(O){if(O.type===200){this.state=S.Idle,this._onDidInitialize.fire();return}const F=this.handlers.get(O.id);F&&F(O)}whenInitialized(){return this.state===S.Idle?Promise.resolve():v.Event.toPromise(this.onDidInitialize)}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(O=>O.dispose()),this.activeRequests.clear()}}e.ChannelClient=E;class h{constructor(O){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new v.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new v.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,O(({protocol:F,onDidClientDisconnect:B})=>{v.Event.once(F.onMessage)(G=>{const ce=new g(G),me=n(ce),Pe=new d(F,me),Ie=new E(F);this.channels.forEach((H,X)=>Pe.registerChannel(X,H));const Fe={channelServer:Pe,channelClient:Ie,ctx:me};this._connections.add(Fe),this._onDidAddConnection.fire(Fe),B(()=>{Pe.dispose(),Ie.dispose(),this._connections.delete(Fe),this._onDidRemoveConnection.fire(Fe)})})})}get connections(){const O=[];return this._connections.forEach(F=>O.push(F)),O}getChannel(O,F){const B=this;return{call(V,G,ce){let me;if((0,i.isFunction)(F)){let Ie=(0,y.getRandomElement)(B.connections.filter(F));me=Ie?Promise.resolve(Ie):v.Event.toPromise(v.Event.filter(B.onDidAddConnection,F))}else me=F.routeCall(B,V,G);const Pe=me.then(Ie=>Ie.channelClient.getChannel(O));return R(Pe).call(V,G,ce)},listen(V,G){if((0,i.isFunction)(F))return B.getMulticastEvent(O,F,V,G);const ce=F.routeEvent(B,V,G).then(me=>me.channelClient.getChannel(O));return R(ce).listen(V,G)}}}getMulticastEvent(O,F,B,V){const G=this;let ce=new D.DisposableStore;const me=new v.Emitter({onFirstListenerAdd:()=>{ce=new D.DisposableStore;const Pe=new v.EventMultiplexer,Ie=new Map,Fe=X=>{const oe=X.channelClient.getChannel(O).listen(B,V),we=Pe.add(oe);Ie.set(X,we)},H=X=>{const te=Ie.get(X);!te||(te.dispose(),Ie.delete(X))};G.connections.filter(F).forEach(Fe),v.Event.filter(G.onDidAddConnection,F)(Fe,void 0,ce),G.onDidRemoveConnection(H,void 0,ce),Pe.event(me.fire,me,ce),ce.add(Pe)},onLastListenerRemove:()=>{ce.dispose()}});return me.event}registerChannel(O,F){this.channels.set(O,F),this._connections.forEach(B=>{B.channelServer.registerChannel(O,F)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=h;class w{constructor(O,F,B=null){const V=new _;a(V,F),O.send(V.buffer),this.channelClient=new E(O,B),this.channelServer=new d(O,F,B)}getChannel(O){return this.channelClient.getChannel(O)}registerChannel(O,F){this.channelServer.registerChannel(O,F)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=w;function R(M){return{call(O,F,B){return M.then(V=>V.call(O,F,B))},listen(O,F){const B=new v.Relay;return M.then(V=>B.input=V.listen(O,F)),B.event}}}e.getDelayedChannel=R;function L(M){let O=!1;return{call(F,B,V){return O?M.call(F,B,V):(0,A.timeout)(0).then(()=>O=!0).then(()=>M.call(F,B,V))},listen(F,B){if(O)return M.listen(F,B);const V=new v.Relay;return(0,A.timeout)(0).then(()=>O=!0).then(()=>V.input=M.listen(F,B)),V.event}}}e.getNextTickChannel=L;class U{constructor(O){this.fn=O}routeCall(O){return this.route(O)}routeEvent(O){return this.route(O)}async route(O){for(const F of O.connections)if(await Promise.resolve(this.fn(F.ctx)))return Promise.resolve(F);return await v.Event.toPromise(O.onDidAddConnection),await this.route(O)}}e.StaticRouter=U;var J;(function(M){function O(V,G){const ce=V,me=G&&G.disableMarshalling,Pe=new Map;for(const Ie in ce)B(Ie)&&Pe.set(Ie,v.Event.buffer(ce[Ie],!0));return new class{listen(Ie,Fe){const H=Pe.get(Fe);if(H)return H;throw new Error(`Event not found: ${Fe}`)}call(Ie,Fe,H){const X=ce[Fe];if(typeof X=="function"){if(!me&&Array.isArray(H))for(let te=0;te<H.length;te++)H[te]=(0,T.revive)(H[te]);return X.apply(ce,H)}throw new Error(`Method not found: ${Fe}`)}}}M.fromService=O;function F(V,G){const ce=G&&G.disableMarshalling;return new Proxy({},{get(me,Pe){var Ie;if(typeof Pe=="string")return((Ie=G==null?void 0:G.properties)===null||Ie===void 0?void 0:Ie.has(Pe))?G.properties.get(Pe):B(Pe)?V.listen(Pe):async function(...Fe){let H;G&&!(0,i.isUndefinedOrNull)(G.context)?H=[G.context,...Fe]:H=Fe;const X=await V.call(Pe,H);return ce?X:(0,T.revive)(X)};throw new Error(`Property not found: ${String(Pe)}`)}})}M.toService=F;function B(V){return V[0]==="o"&&V[1]==="n"&&k.isUpperAsciiLetter(V.charCodeAt(2))}})(J=e.ProxyChannel||(e.ProxyChannel={}));const Z=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function z(M){if(Array.isArray(M))return M;if(M&&typeof M=="object"&&typeof M.toString=="function"){let O=M.toString();if(O!=="[object Object]")return O}return M}function q(M){return Array.isArray(M)?M.map(z):z(M)}function N(M,O,F,B,V,G,ce){ce=q(ce);const me=Z[V],Pe=me[B%me.length];let Ie=[`%c[${M}]%c[${String(O).padStart(7," ")}]%c[len: ${String(F).padStart(5," ")}]%c${String(B).padStart(5," ")} - ${G}`,"color: darkgreen","color: grey","color: grey",`color: ${Pe}`];/\($/.test(G)?(Ie=Ie.concat(ce),Ie.push(")")):Ie.push(ce),console.log.apply(console,Ie)}e.logWithColors=N;class W{constructor(O,F){this._outgoingPrefix=O,this._incomingPrefix=F,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(O,F,B,V,G){this._totalOutgoing+=O,N(this._outgoingPrefix,this._totalOutgoing,O,F,B,V,G)}logIncoming(O,F,B,V,G){this._totalIncoming+=O,N(this._incomingPrefix,this._totalIncoming,O,F,B,V,G)}}e.IPCLogger=W}),define(pe[101],ve([0,1,3,100,6,26,10,36]),function(Q,e,v,D,A,I,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=void 0;let y=null;function i(){return y||(y=I.VSBuffer.alloc(0)),y}class T{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(s){this._chunks.push(s),this._totalLength+=s.byteLength}read(s){return this._read(s,!0)}peek(s){return this._read(s,!1)}_read(s,a){if(s===0)return i();if(s>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===s){const E=this._chunks[0];return a&&(this._chunks.shift(),this._totalLength-=s),E}if(this._chunks[0].byteLength>s){const E=this._chunks[0].slice(0,s);return a&&(this._chunks[0]=this._chunks[0].slice(s),this._totalLength-=s),E}let n=I.VSBuffer.alloc(s),d=0,p=0;for(;s>0;){const E=this._chunks[p];if(E.byteLength>s){const h=E.slice(0,s);n.set(h,d),d+=s,a&&(this._chunks[p]=E.slice(s),this._totalLength-=s),s-=s}else n.set(E,d),d+=E.byteLength,a?(this._chunks.shift(),this._totalLength-=E.byteLength):p++,s-=E.byteLength}return n}}e.ChunkStream=T;var k;(function(r){r[r.None=0]="None",r[r.Regular=1]="Regular",r[r.Control=2]="Control",r[r.Ack=3]="Ack",r[r.KeepAlive=4]="KeepAlive",r[r.Disconnect=5]="Disconnect",r[r.ReplayRequest=6]="ReplayRequest"})(k||(k={}));var b;(function(r){r[r.HeaderLength=13]="HeaderLength",r[r.AcknowledgeTime=2e3]="AcknowledgeTime",r[r.AcknowledgeTimeoutTime=2e4]="AcknowledgeTimeoutTime",r[r.KeepAliveTime=5e3]="KeepAliveTime",r[r.KeepAliveTimeoutTime=2e4]="KeepAliveTimeoutTime",r[r.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",r[r.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(b=e.ProtocolConstants||(e.ProtocolConstants={}));class f{constructor(s,a,n,d){this.type=s,this.id=a,this.ack=n,this.data=d,this.writtenTime=0}get size(){return this.data.byteLength}}class l extends A.Disposable{constructor(s){super();this._onMessage=this._register(new v.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=s,this._isDisposed=!1,this._incomingData=new T,this._register(this._socket.onData(a=>this.acceptChunk(a))),this.lastReadTime=Date.now()}acceptChunk(s){if(!(!s||s.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(s);this._incomingData.byteLength>=this._state.readLen;){const a=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=a.readUInt32BE(9),this._state.messageType=a.readUInt8(0),this._state.id=a.readUInt32BE(1),this._state.ack=a.readUInt32BE(5);else{const n=this._state.messageType,d=this._state.id,p=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._onMessage.fire(new f(n,d,p,a)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class m{constructor(s){this._isDisposed=!1,this._socket=s,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch(s){}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}write(s){if(!this._isDisposed){s.writtenTime=Date.now(),this.lastWriteTime=Date.now();const a=I.VSBuffer.alloc(13);a.writeUInt8(s.type,0),a.writeUInt32BE(s.id,1),a.writeUInt32BE(s.ack,5),a.writeUInt32BE(s.data.byteLength,9),this._writeSoon(a,s.data)}}_bufferAdd(s,a){const n=this._totalLength===0;return this._data.push(s,a),this._totalLength+=s.byteLength+a.byteLength,n}_bufferTake(){const s=I.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,s}_writeSoon(s,a){this._bufferAdd(s,a)&&C.setImmediate(()=>{this._writeNow()})}_writeNow(){this._totalLength!==0&&this._socket.write(this._bufferTake())}}class S extends A.Disposable{constructor(s){super();this._onMessage=new v.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new v.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=s,this._socketWriter=this._register(new m(this._socket)),this._socketReader=this._register(new l(this._socket)),this._register(this._socketReader.onMessage(a=>{a.type===1&&this._onMessage.fire(a.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(s){this._socketWriter.write(new f(1,0,0,s))}}e.Protocol=S;class g extends D.IPCClient{constructor(s,a,n=null){super(s,a,n);this.protocol=s}static fromSocket(s,a){return new g(new S(s),a)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const s=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),s.end()}}e.Client=g;class _{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new v.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,P.nextTick(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(s){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(s):this._emitter.fire(s):this._bufferedMessages.push(s)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=_;class u{constructor(s){this.data=s,this.next=null}}class c{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let s=[],a=0,n=this._first;for(;n;)s[a++]=n.data,n=n.next;return s}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(s){const a=new u(s);if(!this._first){this._first=a,this._last=a;return}this._last.next=a,this._last=a}}class o{constructor(){this.lastRuns=[];const s=Date.now();for(let a=0;a<o._HISTORY_LENGTH;a++)this.lastRuns[a]=s-1e3*a;setInterval(()=>{for(let a=o._HISTORY_LENGTH;a>=1;a--)this.lastRuns[a]=this.lastRuns[a-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return o._INSTANCE||(o._INSTANCE=new o),o._INSTANCE}load(){const s=Date.now(),a=(1+o._HISTORY_LENGTH)*1e3;let n=0;for(let d=0;d<o._HISTORY_LENGTH;d++)s-this.lastRuns[d]<=a&&n++;return 1-n/o._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}o._HISTORY_LENGTH=10,o._INSTANCE=null;class t{constructor(s,a=null){this._loadEstimator=o.getInstance(),this._onControlMessage=new _,this.onControlMessage=this._onControlMessage.event,this._onMessage=new _,this.onMessage=this._onMessage.event,this._onDidDispose=new _,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new _,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new _,this.onSocketTimeout=this._onSocketTimeout.event,this._isReconnecting=!1,this._outgoingUnackMsg=new c,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._outgoingKeepAliveTimeout=null,this._incomingKeepAliveTimeout=null,this._lastReplayRequestTime=0,this._socketDisposables=[],this._socket=s,this._socketWriter=new m(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new l(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(n=>this._receiveMessage(n))),this._socketDisposables.push(this._socket.onClose(()=>this._onSocketClose.fire())),a&&this._socketReader.acceptChunk(a),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._outgoingKeepAliveTimeout&&(clearTimeout(this._outgoingKeepAliveTimeout),this._outgoingKeepAliveTimeout=null),this._incomingKeepAliveTimeout&&(clearTimeout(this._incomingKeepAliveTimeout),this._incomingKeepAliveTimeout=null),this._socketDisposables=(0,A.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const s=new f(5,0,0,i());this._socketWriter.write(s),this._socketWriter.flush()}_sendKeepAliveCheck(){if(!this._outgoingKeepAliveTimeout){const s=Date.now()-this._socketWriter.lastWriteTime;if(s>=5e3){const a=new f(4,0,0,i());this._socketWriter.write(a),this._sendKeepAliveCheck();return}this._outgoingKeepAliveTimeout=setTimeout(()=>{this._outgoingKeepAliveTimeout=null,this._sendKeepAliveCheck()},5e3-s+5)}}_recvKeepAliveCheck(){if(!this._incomingKeepAliveTimeout){const s=Date.now()-this._socketReader.lastReadTime;if(s>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._incomingKeepAliveTimeout=setTimeout(()=>{this._incomingKeepAliveTimeout=null,this._recvKeepAliveCheck()},Math.max(2e4-s,0)+5)}}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(s,a){this._isReconnecting=!0,this._socketDisposables=(0,A.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._socket=s,this._socketWriter=new m(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new l(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(n=>this._receiveMessage(n))),this._socketDisposables.push(this._socket.onClose(()=>this._onSocketClose.fire())),this._socketReader.acceptChunk(a)}endAcceptReconnection(){this._isReconnecting=!1;const s=this._outgoingUnackMsg.toArray();for(let a=0,n=s.length;a<n;a++)this._socketWriter.write(s[a]);this._recvAckCheck(),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(s){if(s.ack>this._outgoingAckId){this._outgoingAckId=s.ack;do{const a=this._outgoingUnackMsg.peek();if(a&&a.id<=s.ack)this._outgoingUnackMsg.pop();else break}while(!0)}if(s.type===1){if(s.id>this._incomingMsgId)if(s.id!==this._incomingMsgId+1){const a=Date.now();a-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=a,this._socketWriter.write(new f(6,0,0,i())))}else this._incomingMsgId=s.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(s.data)}else if(s.type===2)this._onControlMessage.fire(s.data);else if(s.type===5)this._onDidDispose.fire();else if(s.type===6){const a=this._outgoingUnackMsg.toArray();for(let n=0,d=a.length;n<d;n++)this._socketWriter.write(a[n]);this._recvAckCheck()}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(s){const a=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const n=new f(1,a,this._incomingAckId,s);this._outgoingUnackMsg.push(n),this._isReconnecting||(this._socketWriter.write(n),this._recvAckCheck())}sendControl(s){const a=new f(2,0,0,s);this._socketWriter.write(a)}_sendAckCheck(){if(!(this._incomingMsgId<=this._incomingAckId)&&!this._incomingAckTimeout){const s=Date.now()-this._incomingMsgLastTime;if(s>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-s+5)}}_recvAckCheck(){if(!(this._outgoingMsgId<=this._outgoingAckId)&&!this._outgoingAckTimeout){const s=this._outgoingUnackMsg.peek(),a=Date.now()-s.writtenTime;if(a>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},Math.max(2e4-a,0)+5)}}_sendAck(){if(!(this._incomingMsgId<=this._incomingAckId)){this._incomingAckId=this._incomingMsgId;const s=new f(3,0,this._incomingAckId,i());this._socketWriter.write(s)}}}e.PersistentProtocol=t}),define(pe[102],ve([0,1,92]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CharacterSet=e.CharacterClassifier=void 0;class D{constructor(P){let y=(0,v.toUint8)(P);this._defaultValue=y,this._asciiMap=D._createAsciiMap(y),this._map=new Map}static _createAsciiMap(P){let y=new Uint8Array(256);for(let i=0;i<256;i++)y[i]=P;return y}set(P,y){let i=(0,v.toUint8)(y);P>=0&&P<256?this._asciiMap[P]=i:this._map.set(P,i)}get(P){return P>=0&&P<256?this._asciiMap[P]:this._map.get(P)||this._defaultValue}}e.CharacterClassifier=D;var A;(function(C){C[C.False=0]="False",C[C.True=1]="True"})(A||(A={}));class I{constructor(){this._actual=new D(0)}add(P){this._actual.set(P,1)}has(P){return this._actual.get(P)===1}}e.CharacterSet=I}),define(pe[136],ve([0,1,102]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMapForWordSeparators=e.WordCharacterClassifier=e.WordCharacterClass=void 0;var D;(function(C){C[C.Regular=0]="Regular",C[C.Whitespace=1]="Whitespace",C[C.WordSeparator=2]="WordSeparator"})(D=e.WordCharacterClass||(e.WordCharacterClass={}));class A extends v.CharacterClassifier{constructor(P){super(0);for(let y=0,i=P.length;y<i;y++)this.set(P.charCodeAt(y),2);this.set(32,1),this.set(9,1)}}e.WordCharacterClassifier=A;function I(C){let P={};return y=>(P.hasOwnProperty(y)||(P[y]=C(y)),P[y])}e.getMapForWordSeparators=I(C=>new A(C))}),define(pe[48],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Position=void 0;class v{constructor(A,I){this.lineNumber=A,this.column=I}with(A=this.lineNumber,I=this.column){return A===this.lineNumber&&I===this.column?this:new v(A,I)}delta(A=0,I=0){return this.with(this.lineNumber+A,this.column+I)}equals(A){return v.equals(this,A)}static equals(A,I){return!A&&!I?!0:!!A&&!!I&&A.lineNumber===I.lineNumber&&A.column===I.column}isBefore(A){return v.isBefore(this,A)}static isBefore(A,I){return A.lineNumber<I.lineNumber?!0:I.lineNumber<A.lineNumber?!1:A.column<I.column}isBeforeOrEqual(A){return v.isBeforeOrEqual(this,A)}static isBeforeOrEqual(A,I){return A.lineNumber<I.lineNumber?!0:I.lineNumber<A.lineNumber?!1:A.column<=I.column}static compare(A,I){let C=A.lineNumber|0,P=I.lineNumber|0;if(C===P){let y=A.column|0,i=I.column|0;return y-i}return C-P}clone(){return new v(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(A){return new v(A.lineNumber,A.column)}static isIPosition(A){return A&&typeof A.lineNumber=="number"&&typeof A.column=="number"}}e.Position=v}),define(pe[43],ve([0,1,48]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=void 0;class D{constructor(I,C,P,y){I>P||I===P&&C>y?(this.startLineNumber=P,this.startColumn=y,this.endLineNumber=I,this.endColumn=C):(this.startLineNumber=I,this.startColumn=C,this.endLineNumber=P,this.endColumn=y)}isEmpty(){return D.isEmpty(this)}static isEmpty(I){return I.startLineNumber===I.endLineNumber&&I.startColumn===I.endColumn}containsPosition(I){return D.containsPosition(this,I)}static containsPosition(I,C){return!(C.lineNumber<I.startLineNumber||C.lineNumber>I.endLineNumber||C.lineNumber===I.startLineNumber&&C.column<I.startColumn||C.lineNumber===I.endLineNumber&&C.column>I.endColumn)}containsRange(I){return D.containsRange(this,I)}static containsRange(I,C){return!(C.startLineNumber<I.startLineNumber||C.endLineNumber<I.startLineNumber||C.startLineNumber>I.endLineNumber||C.endLineNumber>I.endLineNumber||C.startLineNumber===I.startLineNumber&&C.startColumn<I.startColumn||C.endLineNumber===I.endLineNumber&&C.endColumn>I.endColumn)}strictContainsRange(I){return D.strictContainsRange(this,I)}static strictContainsRange(I,C){return!(C.startLineNumber<I.startLineNumber||C.endLineNumber<I.startLineNumber||C.startLineNumber>I.endLineNumber||C.endLineNumber>I.endLineNumber||C.startLineNumber===I.startLineNumber&&C.startColumn<=I.startColumn||C.endLineNumber===I.endLineNumber&&C.endColumn>=I.endColumn)}plusRange(I){return D.plusRange(this,I)}static plusRange(I,C){let P,y,i,T;return C.startLineNumber<I.startLineNumber?(P=C.startLineNumber,y=C.startColumn):C.startLineNumber===I.startLineNumber?(P=C.startLineNumber,y=Math.min(C.startColumn,I.startColumn)):(P=I.startLineNumber,y=I.startColumn),C.endLineNumber>I.endLineNumber?(i=C.endLineNumber,T=C.endColumn):C.endLineNumber===I.endLineNumber?(i=C.endLineNumber,T=Math.max(C.endColumn,I.endColumn)):(i=I.endLineNumber,T=I.endColumn),new D(P,y,i,T)}intersectRanges(I){return D.intersectRanges(this,I)}static intersectRanges(I,C){let P=I.startLineNumber,y=I.startColumn,i=I.endLineNumber,T=I.endColumn,k=C.startLineNumber,b=C.startColumn,f=C.endLineNumber,l=C.endColumn;return P<k?(P=k,y=b):P===k&&(y=Math.max(y,b)),i>f?(i=f,T=l):i===f&&(T=Math.min(T,l)),P>i||P===i&&y>T?null:new D(P,y,i,T)}equalsRange(I){return D.equalsRange(this,I)}static equalsRange(I,C){return!!I&&!!C&&I.startLineNumber===C.startLineNumber&&I.startColumn===C.startColumn&&I.endLineNumber===C.endLineNumber&&I.endColumn===C.endColumn}getEndPosition(){return D.getEndPosition(this)}static getEndPosition(I){return new v.Position(I.endLineNumber,I.endColumn)}getStartPosition(){return D.getStartPosition(this)}static getStartPosition(I){return new v.Position(I.startLineNumber,I.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(I,C){return new D(this.startLineNumber,this.startColumn,I,C)}setStartPosition(I,C){return new D(I,C,this.endLineNumber,this.endColumn)}collapseToStart(){return D.collapseToStart(this)}static collapseToStart(I){return new D(I.startLineNumber,I.startColumn,I.startLineNumber,I.startColumn)}static fromPositions(I,C=I){return new D(I.lineNumber,I.column,C.lineNumber,C.column)}static lift(I){return I?new D(I.startLineNumber,I.startColumn,I.endLineNumber,I.endColumn):null}static isIRange(I){return I&&typeof I.startLineNumber=="number"&&typeof I.startColumn=="number"&&typeof I.endLineNumber=="number"&&typeof I.endColumn=="number"}static areIntersectingOrTouching(I,C){return!(I.endLineNumber<C.startLineNumber||I.endLineNumber===C.startLineNumber&&I.endColumn<C.startColumn||C.endLineNumber<I.startLineNumber||C.endLineNumber===I.startLineNumber&&C.endColumn<I.startColumn)}static areIntersecting(I,C){return!(I.endLineNumber<C.startLineNumber||I.endLineNumber===C.startLineNumber&&I.endColumn<=C.startColumn||C.endLineNumber<I.startLineNumber||C.endLineNumber===I.startLineNumber&&C.endColumn<=I.startColumn)}static compareRangesUsingStarts(I,C){if(I&&C){const i=I.startLineNumber|0,T=C.startLineNumber|0;if(i===T){const k=I.startColumn|0,b=C.startColumn|0;if(k===b){const f=I.endLineNumber|0,l=C.endLineNumber|0;if(f===l){const m=I.endColumn|0,S=C.endColumn|0;return m-S}return f-l}return k-b}return i-T}return(I?1:0)-(C?1:0)}static compareRangesUsingEnds(I,C){return I.endLineNumber===C.endLineNumber?I.endColumn===C.endColumn?I.startLineNumber===C.startLineNumber?I.startColumn-C.startColumn:I.startLineNumber-C.startLineNumber:I.endColumn-C.endColumn:I.endLineNumber-C.endLineNumber}static spansMultipleLines(I){return I.endLineNumber>I.startLineNumber}}e.Range=D}),define(pe[137],ve([0,1,48,43]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Selection=e.SelectionDirection=void 0;var A;(function(C){C[C.LTR=0]="LTR",C[C.RTL=1]="RTL"})(A=e.SelectionDirection||(e.SelectionDirection={}));class I extends D.Range{constructor(P,y,i,T){super(P,y,i,T);this.selectionStartLineNumber=P,this.selectionStartColumn=y,this.positionLineNumber=i,this.positionColumn=T}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(P){return I.selectionsEqual(this,P)}static selectionsEqual(P,y){return P.selectionStartLineNumber===y.selectionStartLineNumber&&P.selectionStartColumn===y.selectionStartColumn&&P.positionLineNumber===y.positionLineNumber&&P.positionColumn===y.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(P,y){return this.getDirection()===0?new I(this.startLineNumber,this.startColumn,P,y):new I(P,y,this.startLineNumber,this.startColumn)}getPosition(){return new v.Position(this.positionLineNumber,this.positionColumn)}setStartPosition(P,y){return this.getDirection()===0?new I(P,y,this.endLineNumber,this.endColumn):new I(this.endLineNumber,this.endColumn,P,y)}static fromPositions(P,y=P){return new I(P.lineNumber,P.column,y.lineNumber,y.column)}static liftSelection(P){return new I(P.selectionStartLineNumber,P.selectionStartColumn,P.positionLineNumber,P.positionColumn)}static selectionsArrEqual(P,y){if(P&&!y||!P&&y)return!1;if(!P&&!y)return!0;if(P.length!==y.length)return!1;for(let i=0,T=P.length;i<T;i++)if(!this.selectionsEqual(P[i],y[i]))return!1;return!0}static isISelection(P){return P&&typeof P.selectionStartLineNumber=="number"&&typeof P.selectionStartColumn=="number"&&typeof P.positionLineNumber=="number"&&typeof P.positionColumn=="number"}static createWithDirection(P,y,i,T,k){return k===0?new I(P,y,i,T):new I(i,T,P,y)}}e.Selection=I}),define(pe[103],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApplyEditsResult=e.ValidAnnotatedEditOperation=e.ModelConstants=e.TrackedRangeStickiness=e.FindMatch=e.TextModelResolvedOptions=e.EndOfLineSequence=e.DefaultEndOfLine=e.EndOfLinePreference=e.MinimapPosition=e.OverviewRulerLane=void 0;var v;(function(f){f[f.Left=1]="Left",f[f.Center=2]="Center",f[f.Right=4]="Right",f[f.Full=7]="Full"})(v=e.OverviewRulerLane||(e.OverviewRulerLane={}));var D;(function(f){f[f.Inline=1]="Inline",f[f.Gutter=2]="Gutter"})(D=e.MinimapPosition||(e.MinimapPosition={}));var A;(function(f){f[f.TextDefined=0]="TextDefined",f[f.LF=1]="LF",f[f.CRLF=2]="CRLF"})(A=e.EndOfLinePreference||(e.EndOfLinePreference={}));var I;(function(f){f[f.LF=1]="LF",f[f.CRLF=2]="CRLF"})(I=e.DefaultEndOfLine||(e.DefaultEndOfLine={}));var C;(function(f){f[f.LF=0]="LF",f[f.CRLF=1]="CRLF"})(C=e.EndOfLineSequence||(e.EndOfLineSequence={}));class P{constructor(l){this.tabSize=Math.max(1,l.tabSize|0),this.indentSize=l.tabSize|0,this.insertSpaces=Boolean(l.insertSpaces),this.defaultEOL=l.defaultEOL|0,this.trimAutoWhitespace=Boolean(l.trimAutoWhitespace)}equals(l){return this.tabSize===l.tabSize&&this.indentSize===l.indentSize&&this.insertSpaces===l.insertSpaces&&this.defaultEOL===l.defaultEOL&&this.trimAutoWhitespace===l.trimAutoWhitespace}createChangeEvent(l){return{tabSize:this.tabSize!==l.tabSize,indentSize:this.indentSize!==l.indentSize,insertSpaces:this.insertSpaces!==l.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==l.trimAutoWhitespace}}}e.TextModelResolvedOptions=P;class y{constructor(l,m){this.range=l,this.matches=m}}e.FindMatch=y;var i;(function(f){f[f.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",f[f.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",f[f.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",f[f.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(i=e.TrackedRangeStickiness||(e.TrackedRangeStickiness={}));var T;(function(f){f[f.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(T=e.ModelConstants||(e.ModelConstants={}));class k{constructor(l,m,S,g,_,u){this.identifier=l,this.range=m,this.text=S,this.forceMoveMarkers=g,this.isAutoWhitespaceEdit=_,this._isTracked=u}}e.ValidAnnotatedEditOperation=k;class b{constructor(l,m,S){this.reverseEdits=l,this.changes=m,this.trimAutoWhitespaceLineNumbers=S}}e.ApplyEditsResult=b}),define(pe[138],ve([0,1,9,136,48,43,103]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Searcher=e.isValidMatch=e.TextModelSearch=e.createFindMatch=e.SearchData=e.isMultilineRegexSource=e.SearchParams=void 0;const P=999;class y{constructor(u,c,o,t){this.searchString=u,this.isRegex=c,this.matchCase=o,this.wordSeparators=t}parseSearchRequest(){if(this.searchString==="")return null;let u;this.isRegex?u=i(this.searchString):u=this.searchString.indexOf(`
`)>=0;let c=null;try{c=v.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:u,global:!0,unicode:!0})}catch(t){return null}if(!c)return null;let o=!this.isRegex&&!u;return o&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(o=this.matchCase),new T(c,this.wordSeparators?(0,D.getMapForWordSeparators)(this.wordSeparators):null,o?this.searchString:null)}}e.SearchParams=y;function i(_){if(!_||_.length===0)return!1;for(let u=0,c=_.length;u<c;u++)if(_.charCodeAt(u)===92){if(u++,u>=c)break;const t=_.charCodeAt(u);if(t===110||t===114||t===87||t===119)return!0}return!1}e.isMultilineRegexSource=i;class T{constructor(u,c,o){this.regex=u,this.wordSeparators=c,this.simpleSearch=o}}e.SearchData=T;function k(_,u,c){if(!c)return new C.FindMatch(_,null);let o=[];for(let t=0,r=u.length;t<r;t++)o[t]=u[t];return new C.FindMatch(_,o)}e.createFindMatch=k;class b{constructor(u){let c=[],o=0;for(let t=0,r=u.length;t<r;t++)u.charCodeAt(t)===10&&(c[o++]=t);this._lineFeedsOffsets=c}findLineFeedCountBeforeOffset(u){const c=this._lineFeedsOffsets;let o=0,t=c.length-1;if(t===-1||u<=c[0])return 0;for(;o<t;){const r=o+((t-o)/2>>0);c[r]>=u?t=r-1:c[r+1]>=u?(o=r,t=r):o=r+1}return o+1}}class f{static findMatches(u,c,o,t,r){const s=c.parseSearchRequest();return s?s.regex.multiline?this._doFindMatchesMultiline(u,o,new g(s.wordSeparators,s.regex),t,r):this._doFindMatchesLineByLine(u,o,s,t,r):[]}static _getMultilineMatchRange(u,c,o,t,r,s){let a,n=0;t?(n=t.findLineFeedCountBeforeOffset(r),a=c+r+n):a=c+r;let d;if(t){let w=t.findLineFeedCountBeforeOffset(r+s.length)-n;d=a+s.length+w}else d=a+s.length;const p=u.getPositionAt(a),E=u.getPositionAt(d);return new I.Range(p.lineNumber,p.column,E.lineNumber,E.column)}static _doFindMatchesMultiline(u,c,o,t,r){const s=u.getOffsetAt(c.getStartPosition()),a=u.getValueInRange(c,1),n=u.getEOL()===`\r
`?new b(a):null,d=[];let p=0,E;for(o.reset(0);E=o.next(a);)if(d[p++]=k(this._getMultilineMatchRange(u,s,a,n,E.index,E[0]),E,t),p>=r)return d;return d}static _doFindMatchesLineByLine(u,c,o,t,r){const s=[];let a=0;if(c.startLineNumber===c.endLineNumber){const d=u.getLineContent(c.startLineNumber).substring(c.startColumn-1,c.endColumn-1);return a=this._findMatchesInLine(o,d,c.startLineNumber,c.startColumn-1,a,s,t,r),s}const n=u.getLineContent(c.startLineNumber).substring(c.startColumn-1);a=this._findMatchesInLine(o,n,c.startLineNumber,c.startColumn-1,a,s,t,r);for(let d=c.startLineNumber+1;d<c.endLineNumber&&a<r;d++)a=this._findMatchesInLine(o,u.getLineContent(d),d,0,a,s,t,r);if(a<r){const d=u.getLineContent(c.endLineNumber).substring(0,c.endColumn-1);a=this._findMatchesInLine(o,d,c.endLineNumber,0,a,s,t,r)}return s}static _findMatchesInLine(u,c,o,t,r,s,a,n){const d=u.wordSeparators;if(!a&&u.simpleSearch){const h=u.simpleSearch,w=h.length,R=c.length;let L=-w;for(;(L=c.indexOf(h,L+w))!==-1;)if((!d||S(d,c,R,L,w))&&(s[r++]=new C.FindMatch(new I.Range(o,L+1+t,o,L+1+w+t),null),r>=n))return r;return r}const p=new g(u.wordSeparators,u.regex);let E;p.reset(0);do if(E=p.next(c),E&&(s[r++]=k(new I.Range(o,E.index+1+t,o,E.index+1+E[0].length+t),E,a),r>=n))return r;while(E);return r}static findNextMatch(u,c,o,t){const r=c.parseSearchRequest();if(!r)return null;const s=new g(r.wordSeparators,r.regex);return r.regex.multiline?this._doFindNextMatchMultiline(u,o,s,t):this._doFindNextMatchLineByLine(u,o,s,t)}static _doFindNextMatchMultiline(u,c,o,t){const r=new A.Position(c.lineNumber,1),s=u.getOffsetAt(r),a=u.getLineCount(),n=u.getValueInRange(new I.Range(r.lineNumber,r.column,a,u.getLineMaxColumn(a)),1),d=u.getEOL()===`\r
`?new b(n):null;o.reset(c.column-1);let p=o.next(n);return p?k(this._getMultilineMatchRange(u,s,n,d,p.index,p[0]),p,t):c.lineNumber!==1||c.column!==1?this._doFindNextMatchMultiline(u,new A.Position(1,1),o,t):null}static _doFindNextMatchLineByLine(u,c,o,t){const r=u.getLineCount(),s=c.lineNumber,a=u.getLineContent(s),n=this._findFirstMatchInLine(o,a,s,c.column,t);if(n)return n;for(let d=1;d<=r;d++){const p=(s+d-1)%r,E=u.getLineContent(p+1),h=this._findFirstMatchInLine(o,E,p+1,1,t);if(h)return h}return null}static _findFirstMatchInLine(u,c,o,t,r){u.reset(t-1);const s=u.next(c);return s?k(new I.Range(o,s.index+1,o,s.index+1+s[0].length),s,r):null}static findPreviousMatch(u,c,o,t){const r=c.parseSearchRequest();if(!r)return null;const s=new g(r.wordSeparators,r.regex);return r.regex.multiline?this._doFindPreviousMatchMultiline(u,o,s,t):this._doFindPreviousMatchLineByLine(u,o,s,t)}static _doFindPreviousMatchMultiline(u,c,o,t){const r=this._doFindMatchesMultiline(u,new I.Range(1,1,c.lineNumber,c.column),o,t,10*P);if(r.length>0)return r[r.length-1];const s=u.getLineCount();return c.lineNumber!==s||c.column!==u.getLineMaxColumn(s)?this._doFindPreviousMatchMultiline(u,new A.Position(s,u.getLineMaxColumn(s)),o,t):null}static _doFindPreviousMatchLineByLine(u,c,o,t){const r=u.getLineCount(),s=c.lineNumber,a=u.getLineContent(s).substring(0,c.column-1),n=this._findLastMatchInLine(o,a,s,t);if(n)return n;for(let d=1;d<=r;d++){const p=(r+s-d-1)%r,E=u.getLineContent(p+1),h=this._findLastMatchInLine(o,E,p+1,t);if(h)return h}return null}static _findLastMatchInLine(u,c,o,t){let r=null,s;for(u.reset(0);s=u.next(c);)r=k(new I.Range(o,s.index+1,o,s.index+1+s[0].length),s,t);return r}}e.TextModelSearch=f;function l(_,u,c,o,t){if(o===0)return!0;const r=u.charCodeAt(o-1);if(_.get(r)!==0||r===13||r===10)return!0;if(t>0){const s=u.charCodeAt(o);if(_.get(s)!==0)return!0}return!1}function m(_,u,c,o,t){if(o+t===c)return!0;const r=u.charCodeAt(o+t);if(_.get(r)!==0||r===13||r===10)return!0;if(t>0){const s=u.charCodeAt(o+t-1);if(_.get(s)!==0)return!0}return!1}function S(_,u,c,o,t){return l(_,u,c,o,t)&&m(_,u,c,o,t)}e.isValidMatch=S;class g{constructor(u,c){this._wordSeparators=u,this._searchRegex=c,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(u){this._searchRegex.lastIndex=u,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(u){const c=u.length;let o;do{if(this._prevMatchStartIndex+this._prevMatchLength===c||(o=this._searchRegex.exec(u),!o))return null;const t=o.index,r=o[0].length;if(t===this._prevMatchStartIndex&&r===this._prevMatchLength){if(r===0){v.getNextCodePoint(u,c,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=t,this._prevMatchLength=r,!this._wordSeparators||S(this._wordSeparators,u,c,t,r))return o}while(o);return null}}e.Searcher=g}),define(pe[104],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWordAtText=e.ensureValidWordDefinition=e.DEFAULT_WORD_REGEXP=e.USUAL_WORD_SEPARATORS=void 0,e.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function v(P=""){let y="(-?\\d*\\.\\d\\w*)|([^";for(const i of e.USUAL_WORD_SEPARATORS)P.indexOf(i)>=0||(y+="\\"+i);return y+="\\s]+)",new RegExp(y,"g")}e.DEFAULT_WORD_REGEXP=v();function D(P){let y=e.DEFAULT_WORD_REGEXP;if(P&&P instanceof RegExp)if(P.global)y=P;else{let i="g";P.ignoreCase&&(i+="i"),P.multiline&&(i+="m"),P.unicode&&(i+="u"),y=new RegExp(P.source,i)}return y.lastIndex=0,y}e.ensureValidWordDefinition=D;const A={maxLen:1e3,windowSize:15,timeBudget:150};function I(P,y,i,T,k=A){if(i.length>k.maxLen){let S=P-k.maxLen/2;return S<0?S=0:T+=S,i=i.substring(S,P+k.maxLen/2),I(P,y,i,T,k)}const b=Date.now(),f=P-1-T;let l=-1,m=null;for(let S=1;!(Date.now()-b>=k.timeBudget);S++){const g=f-k.windowSize*S;y.lastIndex=Math.max(0,g);const _=C(y,i,f,l);if(!_&&m||(m=_,g<=0))break;l=g}if(m){let S={word:m[0],startColumn:T+1+m.index,endColumn:T+1+m.index+m[0].length};return y.lastIndex=0,S}return null}e.getWordAtText=I;function C(P,y,i,T){let k;for(;k=P.exec(y);){const b=k.index||0;if(b<=i&&P.lastIndex>=i)return k;if(T>0&&b>T)return null}return null}}),define(pe[139],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var v;(function(C){C[C.None=0]="None",C[C.Indent=1]="Indent",C[C.IndentOutdent=2]="IndentOutdent",C[C.Outdent=3]="Outdent"})(v=e.IndentAction||(e.IndentAction={}));class D{constructor(P){if(this.open=P.open,this.close=P.close,this._standardTokenMask=0,Array.isArray(P.notIn))for(let y=0,i=P.notIn.length;y<i;y++)switch(P.notIn[y]){case"string":this._standardTokenMask|=2;break;case"comment":this._standardTokenMask|=1;break;case"regex":this._standardTokenMask|=4;break}}isOK(P){return(this._standardTokenMask&P)==0}}e.StandardAutoClosingPairConditional=D;class A{constructor(P){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const y of P)I(this.autoClosingPairsOpenByStart,y.open.charAt(0),y),I(this.autoClosingPairsOpenByEnd,y.open.charAt(y.open.length-1),y),I(this.autoClosingPairsCloseByStart,y.close.charAt(0),y),I(this.autoClosingPairsCloseByEnd,y.close.charAt(y.close.length-1),y),y.close.length===1&&y.open.length===1&&I(this.autoClosingPairsCloseSingleChar,y.close,y)}}e.AutoClosingPairs=A;function I(C,P,y){C.has(P)?C.get(P).push(y):C.set(P,[y])}}),define(pe[78],ve([0,1,33,7]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function A(I,C,P,y){if(Array.isArray(I)){let i=0;for(const T of I){const k=A(T,C,P,y);if(k===10)return k;k>i&&(i=k)}return i}else{if(typeof I=="string")return y?I==="*"?5:I===P?10:0:0;if(I){const{language:i,pattern:T,scheme:k,hasAccessToAllModels:b}=I;if(!y&&!b)return 0;let f=0;if(k)if(k===C.scheme)f=10;else if(k==="*")f=5;else return 0;if(i)if(i===P)f=10;else if(i==="*")f=Math.max(f,5);else return 0;if(T){let l;if(typeof T=="string"?l=T:l=Object.assign(Object.assign({},T),{base:(0,D.normalize)(T.base)}),l===C.fsPath||(0,v.match)(l,C.fsPath))f=10;else return 0}return f}else return 0}}e.score=A}),define(pe[140],ve([0,1,102]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeLinks=e.LinkComputer=e.StateMachine=e.Uint8Matrix=e.State=void 0;var D;(function(f){f[f.Invalid=0]="Invalid",f[f.Start=1]="Start",f[f.H=2]="H",f[f.HT=3]="HT",f[f.HTT=4]="HTT",f[f.HTTP=5]="HTTP",f[f.F=6]="F",f[f.FI=7]="FI",f[f.FIL=8]="FIL",f[f.BeforeColon=9]="BeforeColon",f[f.AfterColon=10]="AfterColon",f[f.AlmostThere=11]="AlmostThere",f[f.End=12]="End",f[f.Accept=13]="Accept",f[f.LastKnownState=14]="LastKnownState"})(D=e.State||(e.State={}));class A{constructor(l,m,S){const g=new Uint8Array(l*m);for(let _=0,u=l*m;_<u;_++)g[_]=S;this._data=g,this.rows=l,this.cols=m}get(l,m){return this._data[l*this.cols+m]}set(l,m,S){this._data[l*this.cols+m]=S}}e.Uint8Matrix=A;class I{constructor(l){let m=0,S=0;for(let _=0,u=l.length;_<u;_++){let[c,o,t]=l[_];o>m&&(m=o),c>S&&(S=c),t>S&&(S=t)}m++,S++;let g=new A(S,m,0);for(let _=0,u=l.length;_<u;_++){let[c,o,t]=l[_];g.set(c,o,t)}this._states=g,this._maxCharCode=m}nextState(l,m){return m<0||m>=this._maxCharCode?0:this._states.get(l,m)}}e.StateMachine=I;let C=null;function P(){return C===null&&(C=new I([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),C}var y;(function(f){f[f.None=0]="None",f[f.ForceTermination=1]="ForceTermination",f[f.CannotEndIn=2]="CannotEndIn"})(y||(y={}));let i=null;function T(){if(i===null){i=new v.CharacterClassifier(0);const f=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u3011\u300F\u300D\u300B\u3009\u201D\u2019\uFF40\uFF5E\u2026`;for(let m=0;m<f.length;m++)i.set(f.charCodeAt(m),1);const l=".,;";for(let m=0;m<l.length;m++)i.set(l.charCodeAt(m),2)}return i}class k{static _createLink(l,m,S,g,_){let u=_-1;do{const c=m.charCodeAt(u);if(l.get(c)!==2)break;u--}while(u>g);if(g>0){const c=m.charCodeAt(g-1),o=m.charCodeAt(u);(c===40&&o===41||c===91&&o===93||c===123&&o===125)&&u--}return{range:{startLineNumber:S,startColumn:g+1,endLineNumber:S,endColumn:u+2},url:m.substring(g,u+1)}}static computeLinks(l,m=P()){const S=T();let g=[];for(let _=1,u=l.getLineCount();_<=u;_++){const c=l.getLineContent(_),o=c.length;let t=0,r=0,s=0,a=1,n=!1,d=!1,p=!1,E=!1;for(;t<o;){let h=!1;const w=c.charCodeAt(t);if(a===13){let R;switch(w){case 40:n=!0,R=0;break;case 41:R=n?0:1;break;case 91:p=!0,d=!0,R=0;break;case 93:p=!1,R=d?0:1;break;case 123:E=!0,R=0;break;case 125:R=E?0:1;break;case 39:R=s===34||s===96?0:1;break;case 34:R=s===39||s===96?0:1;break;case 96:R=s===39||s===34?0:1;break;case 42:R=s===42?1:0;break;case 124:R=s===124?1:0;break;case 32:R=p?0:1;break;default:R=S.get(w)}R===1&&(g.push(k._createLink(S,c,_,r,t)),h=!0)}else if(a===12){let R;w===91?(d=!0,R=0):R=S.get(w),R===1?h=!0:a=13}else a=m.nextState(a,w),a===0&&(h=!0);h&&(a=1,n=!1,d=!1,E=!1,r=t+1,s=w),t++}a===13&&g.push(k._createLink(S,c,_,r,o))}return g}}e.LinkComputer=k;function b(f){return!f||typeof f.getLineCount!="function"||typeof f.getLineContent!="function"?[]:k.computeLinks(f)}e.computeLinks=b}),define(pe[141],ve([0,1,3,6]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TokenizationRegistryImpl=void 0;class A{constructor(){this._map=new Map,this._promises=new Map,this._onDidChange=new v.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(C){this._onDidChange.fire({changedLanguages:C,changedColorMap:!1})}register(C,P){return this._map.set(C,P),this.fire([C]),(0,D.toDisposable)(()=>{this._map.get(C)===P&&(this._map.delete(C),this.fire([C]))})}registerPromise(C,P){let y=null,i=!1;return this._promises.set(C,P.then(T=>{this._promises.delete(C),!(i||!T)&&(y=this.register(C,T))})),(0,D.toDisposable)(()=>{i=!0,y&&y.dispose()})}getPromise(C){const P=this.get(C);if(P)return Promise.resolve(P);const y=this._promises.get(C);return y?y.then(i=>this.get(C)):null}get(C){return this._map.get(C)||null}setColorMap(C){this._colorMap=C,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}e.TokenizationRegistryImpl=A}),define(pe[105],ve([0,1,26,10]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var A;(function(k){k[k.Full=1]="Full",k[k.Delta=2]="Delta"})(A||(A={}));function I(k){for(let b=0,f=k.length;b<f;b+=4){const l=k[b+0],m=k[b+1],S=k[b+2],g=k[b+3];k[b+0]=g,k[b+1]=S,k[b+2]=m,k[b+3]=l}}function C(k){const b=new Uint8Array(k.buffer,k.byteOffset,k.length*4);return D.isLittleEndian()||I(b),v.VSBuffer.wrap(b)}function P(k){const b=k.buffer;if(D.isLittleEndian()||I(b),b.byteOffset%4==0)return new Uint32Array(b.buffer,b.byteOffset,b.length/4);{const f=new Uint8Array(b.byteLength);return f.set(b),new Uint32Array(f.buffer,f.byteOffset,f.length/4)}}function y(k){const b=new Uint32Array(i(k));let f=0;if(b[f++]=k.id,k.type==="full")b[f++]=1,b[f++]=k.data.length,b.set(k.data,f),f+=k.data.length;else{b[f++]=2,b[f++]=k.deltas.length;for(const l of k.deltas)b[f++]=l.start,b[f++]=l.deleteCount,l.data?(b[f++]=l.data.length,b.set(l.data,f),f+=l.data.length):b[f++]=0}return C(b)}e.encodeSemanticTokensDto=y;function i(k){let b=0;if(b+=1+1,k.type==="full")b+=1+k.data.length;else{b+=1,b+=(1+1+1)*k.deltas.length;for(const f of k.deltas)f.data&&(b+=f.data.length)}return b}function T(k){const b=P(k);let f=0;const l=b[f++];if(b[f++]===1){const _=b[f++],u=b.subarray(f,f+_);return f+=_,{id:l,type:"full",data:u}}const S=b[f++];let g=[];for(let _=0;_<S;_++){const u=b[f++],c=b[f++],o=b[f++];let t;o>0&&(t=b.subarray(f,f+o),f+=o),g[_]={start:u,deleteCount:c,data:t}}return{id:l,type:"delta",deltas:g}}e.decodeSemanticTokensDto=T}),define(pe[106],ve([0,1,92]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PrefixSumComputer=e.PrefixSumIndexOfResult=void 0;class D{constructor(C,P){this.index=C,this.remainder=P}}e.PrefixSumIndexOfResult=D;class A{constructor(C){this.values=C,this.prefixSum=new Uint32Array(C.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(C,P){C=(0,v.toUint32)(C);const y=this.values,i=this.prefixSum,T=P.length;return T===0?!1:(this.values=new Uint32Array(y.length+T),this.values.set(y.subarray(0,C),0),this.values.set(y.subarray(C),C+T),this.values.set(P,C),C-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=C-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(i.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}changeValue(C,P){return C=(0,v.toUint32)(C),P=(0,v.toUint32)(P),this.values[C]===P?!1:(this.values[C]=P,C-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=C-1),!0)}removeValues(C,P){C=(0,v.toUint32)(C),P=(0,v.toUint32)(P);const y=this.values,i=this.prefixSum;if(C>=y.length)return!1;let T=y.length-C;return P>=T&&(P=T),P===0?!1:(this.values=new Uint32Array(y.length-P),this.values.set(y.subarray(0,C),0),this.values.set(y.subarray(C+P),C),this.prefixSum=new Uint32Array(this.values.length),C-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=C-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(i.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalValue(){return this.values.length===0?0:this._getAccumulatedValue(this.values.length-1)}getAccumulatedValue(C){return C<0?0:(C=(0,v.toUint32)(C),this._getAccumulatedValue(C))}_getAccumulatedValue(C){if(C<=this.prefixSumValidIndex[0])return this.prefixSum[C];let P=this.prefixSumValidIndex[0]+1;P===0&&(this.prefixSum[0]=this.values[0],P++),C>=this.values.length&&(C=this.values.length-1);for(let y=P;y<=C;y++)this.prefixSum[y]=this.prefixSum[y-1]+this.values[y];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],C),this.prefixSum[C]}getIndexOf(C){C=Math.floor(C),this.getTotalValue();let P=0,y=this.values.length-1,i=0,T=0,k=0;for(;P<=y;)if(i=P+(y-P)/2|0,T=this.prefixSum[i],k=T-this.values[i],C<k)y=i-1;else if(C>=T)P=i+1;else break;return new D(i,C-k)}}e.PrefixSumComputer=A}),define(pe[142],ve([0,1,9,48,106]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MirrorTextModel=void 0;class I{constructor(P,y,i,T){this._uri=P,this._lines=y,this._eol=i,this._versionId=T,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(P){P.eol&&P.eol!==this._eol&&(this._eol=P.eol,this._lineStarts=null);const y=P.changes;for(const i of y)this._acceptDeleteRange(i.range),this._acceptInsertText(new D.Position(i.range.startLineNumber,i.range.startColumn),i.text);this._versionId=P.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const P=this._eol.length,y=this._lines.length,i=new Uint32Array(y);for(let T=0;T<y;T++)i[T]=this._lines[T].length+P;this._lineStarts=new A.PrefixSumComputer(i)}}_setLineText(P,y){this._lines[P]=y,this._lineStarts&&this._lineStarts.changeValue(P,this._lines[P].length+this._eol.length)}_acceptDeleteRange(P){if(P.startLineNumber===P.endLineNumber){if(P.startColumn===P.endColumn)return;this._setLineText(P.startLineNumber-1,this._lines[P.startLineNumber-1].substring(0,P.startColumn-1)+this._lines[P.startLineNumber-1].substring(P.endColumn-1));return}this._setLineText(P.startLineNumber-1,this._lines[P.startLineNumber-1].substring(0,P.startColumn-1)+this._lines[P.endLineNumber-1].substring(P.endColumn-1)),this._lines.splice(P.startLineNumber,P.endLineNumber-P.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(P.startLineNumber,P.endLineNumber-P.startLineNumber)}_acceptInsertText(P,y){if(y.length!==0){let i=(0,v.splitLines)(y);if(i.length===1){this._setLineText(P.lineNumber-1,this._lines[P.lineNumber-1].substring(0,P.column-1)+i[0]+this._lines[P.lineNumber-1].substring(P.column-1));return}i[i.length-1]+=this._lines[P.lineNumber-1].substring(P.column-1),this._setLineText(P.lineNumber-1,this._lines[P.lineNumber-1].substring(0,P.column-1)+i[0]);let T=new Uint32Array(i.length-1);for(let k=1;k<i.length;k++)this._lines.splice(P.lineNumber+k-1,0,i[k]),T[k-1]=i[k].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(P.lineNumber,T)}}}e.MirrorTextModel=I}),define(pe[143],ve([16,17]),function(Q,e){return Q.create("vs/base/common/date",e)}),define(pe[144],ve([0,1,143]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const D=60,A=D*60,I=A*24,C=I*7,P=I*30,y=I*365;function i(k,b){typeof k!="number"&&(k=k.getTime());const f=Math.round((new Date().getTime()-k)/1e3);if(f<-30)return(0,v.localize)(0,null,i(new Date().getTime()+f*1e3,!1));if(f<30)return(0,v.localize)(1,null);let l;return f<D?(l=f,b?l===1?(0,v.localize)(2,null,l):(0,v.localize)(3,null,l):l===1?(0,v.localize)(4,null,l):(0,v.localize)(5,null,l)):f<A?(l=Math.floor(f/D),b?l===1?(0,v.localize)(6,null,l):(0,v.localize)(7,null,l):l===1?(0,v.localize)(8,null,l):(0,v.localize)(9,null,l)):f<I?(l=Math.floor(f/A),b?l===1?(0,v.localize)(10,null,l):(0,v.localize)(11,null,l):l===1?(0,v.localize)(12,null,l):(0,v.localize)(13,null,l)):f<C?(l=Math.floor(f/I),b?l===1?(0,v.localize)(14,null,l):(0,v.localize)(15,null,l):l===1?(0,v.localize)(16,null,l):(0,v.localize)(17,null,l)):f<P?(l=Math.floor(f/C),b?l===1?(0,v.localize)(18,null,l):(0,v.localize)(19,null,l):l===1?(0,v.localize)(20,null,l):(0,v.localize)(21,null,l)):f<y?(l=Math.floor(f/P),b?l===1?(0,v.localize)(22,null,l):(0,v.localize)(23,null,l):l===1?(0,v.localize)(24,null,l):(0,v.localize)(25,null,l)):(l=Math.floor(f/y),b?l===1?(0,v.localize)(26,null,l):(0,v.localize)(27,null,l):l===1?(0,v.localize)(28,null,l):(0,v.localize)(29,null,l))}e.fromNow=i;function T(k){return k.getFullYear()+"-"+String(k.getMonth()+1).padStart(2,"0")+"-"+String(k.getDate()).padStart(2,"0")+"T"+String(k.getHours()).padStart(2,"0")+":"+String(k.getMinutes()).padStart(2,"0")+":"+String(k.getSeconds()).padStart(2,"0")+"."+(k.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=T}),define(pe[145],ve([16,17]),function(Q,e){return Q.create("vs/base/common/errorMessage",e)}),define(pe[59],ve([0,1,145,15,12]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function I(i,T){return T&&(i.stack||i.stacktrace)?v.localize(0,null,P(i),C(i.stack)||C(i.stacktrace)):P(i)}function C(i){return Array.isArray(i)?i.join(`
`):i}function P(i){return typeof i.code=="string"&&typeof i.errno=="number"&&typeof i.syscall=="string"?v.localize(1,null,i.message):i.message||v.localize(2,null)}function y(i=null,T=!1){if(!i)return v.localize(3,null);if(Array.isArray(i)){const k=A.coalesce(i),b=y(k[0],T);return k.length>1?v.localize(4,null,b,k.length):b}if(D.isString(i))return i;if(i.detail){const k=i.detail;if(k.error)return I(k.error,T);if(k.exception)return I(k.exception,T)}return i.stack?I(i,T):i.message?i.message:v.localize(5,null)}e.toErrorMessage=y}),define(pe[146],ve([16,17]),function(Q,e){return Q.create("vs/base/node/processes",e)}),define(pe[79],ve([0,1,7,37,25,39,146,15,22,30,10,134,11]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0;function f(c){switch(c){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function l(c,o){if(T.isWindows)try{const t={stdio:["pipe","pipe","ignore"]};o&&(t.cwd=o);const r=I.execFile("taskkill",["/T","/F","/PID",c.pid.toString()],t);return new Promise(s=>{r.once("error",a=>{s({success:!1,error:a})}),r.once("exit",(a,n)=>{s(a===0?{success:!0}:{success:!1,code:a!==null?a:1})})})}catch(t){return Promise.resolve({success:!1,error:t,code:t.status?f(t.status):1})}else if(T.isLinux||T.isMacintosh)try{const t=b.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",Q).fsPath;return new Promise(r=>{I.execFile(t,[c.pid.toString()],{encoding:"utf8",shell:!0},(s,a,n)=>{r(s?{success:!1,error:s}:{success:!0})})})}catch(t){return Promise.resolve({success:!1,error:t})}else c.kill("SIGKILL");return Promise.resolve({success:!0})}function m(c=process.env){return c.comspec||"cmd.exe"}e.getWindowsShell=m;class S{constructor(o,t,r,s){if(t!==void 0&&r!==void 0&&s!==void 0)this.cmd=o,this.args=t,this.shell=r,this.options=s;else{const a=o;this.cmd=a.command,this.shell=a.isShellCommand,this.args=a.args.slice(0),this.options=a.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const a=Object.create(null);Object.keys(process.env).forEach(n=>{a[n]=process.env[n]}),Object.keys(this.options.env).forEach(n=>{a[n]=this.options.env[n]}),this.options.env=a}}getSanitizedCommand(){let o=this.cmd.toLowerCase();const t=o.lastIndexOf(v.sep);return t!==-1&&(o=o.substring(t+1)),S.WellKnowCommands[o]?o:"other"}start(o){return T.isWindows&&(this.options&&this.options.cwd&&i.isUNC(this.options.cwd)||!this.options&&i.isUNC(process.cwd()))?Promise.reject(new Error(C.localize(0,null))):this.useExec().then(t=>{let r,s;const a=new Promise((n,d)=>{r=n,s=d});if(t){let n=this.cmd;this.args&&(n=n+" "+this.args.join(" ")),this.childProcess=I.exec(n,this.options,(d,p,E)=>{this.childProcess=null;const h=d;h&&h.killed?s({killed:this.terminateRequested,stdout:p.toString(),stderr:E.toString()}):this.handleExec(r,o,d,p,E)})}else{let n=null;const d=p=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(p,r,o,s);const E={terminated:this.terminateRequested};P.isNumber(p)&&(E.cmdCode=p),r(E)};if(this.shell&&T.isWindows){const p=y.deepClone(this.options);p.windowsVerbatimArguments=!0,p.detached=!1;let E=!1,h=!1;const w=[];let R=this.ensureQuotes(this.cmd);w.push(R.value),E=R.quoted,this.args&&this.args.forEach(U=>{R=this.ensureQuotes(U),w.push(R.value),h=h&&R.quoted});const L=["/s","/c"];E?h?L.push('"'+w.join(" ")+'"'):w.length>1?L.push('"'+w[0]+'" '+w.slice(1).join(" ")):L.push('"'+w[0]+'"'):L.push(w.join(" ")),n=I.spawn(m(),L,p)}else this.cmd&&(n=I.spawn(this.cmd,this.args,this.options));n&&(this.childProcess=n,this.childProcessPromise=Promise.resolve(n),this.pidResolve&&(this.pidResolve(P.isNumber(n.pid)?n.pid:-1),this.pidResolve=void 0),n.on("error",p=>{this.childProcess=null,s({terminated:this.terminateRequested,error:p})}),n.pid&&(this.childProcess.on("close",d),this.handleSpawn(n,r,o,s,!0)))}return a})}handleClose(o,t,r,s){}ensureQuotes(o){return S.regexp.test(o)?{value:'"'+o+'"',quoted:!0}:{value:o,quoted:o.length>0&&o[0]==='"'&&o[o.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(o=>o.pid,o=>-1):new Promise(o=>{this.pidResolve=o})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(o=>(this.terminateRequested=!0,l(o,this.options.cwd).then(t=>(t.success&&(this.childProcess=null),t))),o=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(o=>{if(!this.shell||!T.isWindows)return o(!1);const t=I.spawn(m(),["/s","/c"]);t.on("error",r=>o(!0)),t.on("exit",r=>o(!1))})}}e.AbstractProcess=S,S.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},S.regexp=/^[^"].* .*[^"]/;class g extends S{constructor(o,t,r,s){super(o,t,r,s);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(o,t,r,s,a){[s,a].forEach((n,d)=>{const p=new k.LineDecoder;p.write(n).forEach(w=>{t({line:w,source:d===0?0:1})});const h=p.end();h&&t({line:h,source:d===0?0:1})}),o({terminated:this.terminateRequested,error:r})}handleSpawn(o,t,r,s,a){const n=new k.LineDecoder,d=new k.LineDecoder;o.stdout.on("data",p=>{n.write(p).forEach(h=>r({line:h,source:0}))}),o.stderr.on("data",p=>{d.write(p).forEach(h=>r({line:h,source:1}))}),this.stdoutLineDecoder=n,this.stderrLineDecoder=d}handleClose(o,t,r,s){const a=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;a&&r({line:a,source:0});const n=this.stderrLineDecoder?this.stderrLineDecoder.end():null;n&&r({line:n,source:1})}}e.LineProcess=g;function _(c){let o=[],t=!1;const r=function(s){if(t){o.push(s);return}(!c.send(s,n=>{if(n&&console.error(n),t=!1,o.length>0){const d=o.slice(0);o=[],d.forEach(p=>r(p))}})||T.isWindows)&&(t=!0)};return{send:r}}e.createQueuedSender=_;var u;(function(c){async function o(t,r,s){if(v.isAbsolute(t))return t;if(r===void 0&&(r=process.cwd()),v.dirname(t)!=="."||(s===void 0&&P.isString(process.env.PATH)&&(s=process.env.PATH.split(v.delimiter)),s===void 0||s.length===0))return v.join(r,t);async function n(d){return await A.exists(d)?!(await D.promises.stat(d)).isDirectory():!1}for(let d of s){let p;if(v.isAbsolute(d)?p=v.join(d,t):p=v.join(r,d,t),await n(p))return p;let E=p+".com";if(await n(E)||(E=p+".exe",await n(E)))return E}return v.join(r,t)}c.findExecutable=o})(u=e.win32||(e.win32={}))}),define(pe[147],ve([0,1,47,10,99,79]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function C(f,l){return f===3?D.isWindows?k():I.getWindowsShell(l):i(f,l)}e.getSystemShell=C;function P(f,l){return f===3?D.isWindows?b(l):I.getWindowsShell(l):i(f,l)}e.getSystemShellSync=P;let y=null;function i(f,l){if(D.isLinux&&f===1||D.isMacintosh&&f===2)return"/bin/bash";if(!y){let m;if(D.isWindows)m="/bin/bash";else{if(m=l.SHELL,!m)try{m=v.userInfo().shell}catch(S){}m||(m="sh"),m==="/bin/false"&&(m="/bin/bash")}y=m}return y}let T=null;async function k(){return T||(T=(await(0,A.getFirstAvailablePowerShellInstallation)()).exePath),T}function b(f){if(T)return T;const l=D.isWindows&&parseFloat(v.release())>=10,m=f.hasOwnProperty("PROCESSOR_ARCHITEW6432"),S=`${f.windir}\\${m?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return l?S:I.getWindowsShell(f)}}),define(pe[148],ve([16,17]),function(Q,e){return Q.create("vs/editor/common/config/editorOptions",e)}),define(pe[149],ve([0,1,148,10,104]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_MODEL_DEFAULTS=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.boolean=e.ComputeOptionsMemory=e.ValidatedEditorOptions=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var I;(function(K){K[K.None=0]="None",K[K.Keep=1]="Keep",K[K.Brackets=2]="Brackets",K[K.Advanced=3]="Advanced",K[K.Full=4]="Full"})(I=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class C{constructor(ie){this._values=ie}hasChanged(ie){return this._values[ie]}}e.ConfigurationChangedEvent=C;class P{constructor(){this._values=[]}_read(ie){return this._values[ie]}get(ie){return this._values[ie]}_write(ie,Se){this._values[ie]=Se}}e.ValidatedEditorOptions=P;class y{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=y;class i{constructor(ie,Se,Ne,ze){this.id=ie,this.name=Se,this.defaultValue=Ne,this.schema=ze}compute(ie,Se,Ne){return Ne}}class T{constructor(ie,Se=null){this.schema=void 0,this.id=ie,this.name="_never_",this.defaultValue=void 0,this.deps=Se}validate(ie){return this.defaultValue}}class k{constructor(ie,Se,Ne,ze){this.id=ie,this.name=Se,this.defaultValue=Ne,this.schema=ze}validate(ie){return typeof ie=="undefined"?this.defaultValue:ie}compute(ie,Se,Ne){return Ne}}function b(K,ie){return typeof K=="undefined"?ie:K==="false"?!1:Boolean(K)}e.boolean=b;class f extends k{constructor(ie,Se,Ne,ze=void 0){typeof ze!="undefined"&&(ze.type="boolean",ze.default=Ne),super(ie,Se,Ne,ze)}validate(ie){return b(ie,this.defaultValue)}}class l extends k{constructor(ie,Se,Ne,ze,Be,Je=void 0){typeof Je!="undefined"&&(Je.type="integer",Je.default=Ne,Je.minimum=ze,Je.maximum=Be),super(ie,Se,Ne,Je),this.minimum=ze,this.maximum=Be}static clampedInt(ie,Se,Ne,ze){if(typeof ie=="undefined")return Se;let Be=parseInt(ie,10);return isNaN(Be)?Se:(Be=Math.max(Ne,Be),Be=Math.min(ze,Be),Be|0)}validate(ie){return l.clampedInt(ie,this.defaultValue,this.minimum,this.maximum)}}class m extends k{constructor(ie,Se,Ne,ze,Be){typeof Be!="undefined"&&(Be.type="number",Be.default=Ne),super(ie,Se,Ne,Be),this.validationFn=ze}static clamp(ie,Se,Ne){return ie<Se?Se:ie>Ne?Ne:ie}static float(ie,Se){if(typeof ie=="number")return ie;if(typeof ie=="undefined")return Se;const Ne=parseFloat(ie);return isNaN(Ne)?Se:Ne}validate(ie){return this.validationFn(m.float(ie,this.defaultValue))}}class S extends k{static string(ie,Se){return typeof ie!="string"?Se:ie}constructor(ie,Se,Ne,ze=void 0){typeof ze!="undefined"&&(ze.type="string",ze.default=Ne),super(ie,Se,Ne,ze)}validate(ie){return S.string(ie,this.defaultValue)}}function g(K,ie,Se){return typeof K!="string"||Se.indexOf(K)===-1?ie:K}e.stringSet=g;class _ extends k{constructor(ie,Se,Ne,ze,Be=void 0){typeof Be!="undefined"&&(Be.type="string",Be.enum=ze,Be.default=Ne),super(ie,Se,Ne,Be),this._allowedValues=ze}validate(ie){return g(ie,this.defaultValue,this._allowedValues)}}class u extends i{constructor(ie,Se,Ne,ze,Be,Je,j=void 0){typeof j!="undefined"&&(j.type="string",j.enum=Be,j.default=ze),super(ie,Se,Ne,j),this._allowedValues=Be,this._convert=Je}validate(ie){return typeof ie!="string"?this.defaultValue:this._allowedValues.indexOf(ie)===-1?this.defaultValue:this._convert(ie)}}function c(K){switch(K){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class o extends i{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[v.localize(0,null),v.localize(1,null),v.localize(2,null)],default:"auto",description:v.localize(3,null)})}validate(ie){switch(ie){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(ie,Se,Ne){return Ne===0?ie.accessibilitySupport:Ne}}class t extends i{constructor(){const ie={insertSpace:!0,ignoreEmptyLines:!0};super(16,"comments",ie,{"editor.comments.insertSpace":{type:"boolean",default:ie.insertSpace,description:v.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:ie.ignoreEmptyLines,description:v.localize(5,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{insertSpace:b(Se.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:b(Se.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var r;(function(K){K[K.Hidden=0]="Hidden",K[K.Blink=1]="Blink",K[K.Smooth=2]="Smooth",K[K.Phase=3]="Phase",K[K.Expand=4]="Expand",K[K.Solid=5]="Solid"})(r=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function s(K){switch(K){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var a;(function(K){K[K.Line=1]="Line",K[K.Block=2]="Block",K[K.Underline=3]="Underline",K[K.LineThin=4]="LineThin",K[K.BlockOutline=5]="BlockOutline",K[K.UnderlineThin=6]="UnderlineThin"})(a=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function n(K){switch(K){case a.Line:return"line";case a.Block:return"block";case a.Underline:return"underline";case a.LineThin:return"line-thin";case a.BlockOutline:return"block-outline";case a.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=n;function d(K){switch(K){case"line":return a.Line;case"block":return a.Block;case"underline":return a.Underline;case"line-thin":return a.LineThin;case"block-outline":return a.BlockOutline;case"underline-thin":return a.UnderlineThin}}class p extends T{constructor(){super(121,[60,29])}compute(ie,Se,Ne){const ze=["monaco-editor"];return Se.get(29)&&ze.push(Se.get(29)),ie.extraEditorClassName&&ze.push(ie.extraEditorClassName),Se.get(60)==="default"?ze.push("mouse-default"):Se.get(60)==="copy"&&ze.push("mouse-copy"),Se.get(95)&&ze.push("showUnused"),Se.get(119)&&ze.push("showDeprecated"),ze.join(" ")}}class E extends f{constructor(){super(28,"emptySelectionClipboard",!0,{description:v.localize(6,null)})}compute(ie,Se,Ne){return Ne&&ie.emptySelectionClipboard}}class h extends i{constructor(){const ie={cursorMoveOnType:!0,seedSearchStringFromSelection:!0,autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(31,"find",ie,{"editor.find.cursorMoveOnType":{type:"boolean",default:ie.cursorMoveOnType,description:v.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"boolean",default:ie.seedSearchStringFromSelection,description:v.localize(8,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:ie.autoFindInSelection,enumDescriptions:[v.localize(9,null),v.localize(10,null),v.localize(11,null)],description:v.localize(12,null)},"editor.find.globalFindClipboard":{type:"boolean",default:ie.globalFindClipboard,description:v.localize(13,null),included:D.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:ie.addExtraSpaceOnTop,description:v.localize(14,null)},"editor.find.loop":{type:"boolean",default:ie.loop,description:v.localize(15,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{cursorMoveOnType:b(Se.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:b(Se.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection),autoFindInSelection:typeof ie.autoFindInSelection=="boolean"?ie.autoFindInSelection?"always":"never":g(Se.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:b(Se.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:b(Se.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:b(Se.loop,this.defaultValue.loop)}}}class w extends i{constructor(){super(39,"fontLigatures",w.OFF,{anyOf:[{type:"boolean",description:v.localize(16,null)},{type:"string",description:v.localize(17,null)}],description:v.localize(18,null),default:!1})}validate(ie){return typeof ie=="undefined"?this.defaultValue:typeof ie=="string"?ie==="false"?w.OFF:ie==="true"?w.ON:ie:Boolean(ie)?w.ON:w.OFF}}e.EditorFontLigatures=w,w.OFF='"liga" off, "calt" off',w.ON='"liga" on, "calt" on';class R extends T{constructor(){super(38)}compute(ie,Se,Ne){return ie.fontInfo}}class L extends k{constructor(){super(40,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:v.localize(19,null)})}validate(ie){let Se=m.float(ie,this.defaultValue);return Se===0?e.EDITOR_FONT_DEFAULTS.fontSize:m.clamp(Se,6,100)}compute(ie,Se,Ne){return ie.fontInfo.fontSize}}class U extends i{constructor(){super(41,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:U.MINIMUM_VALUE,maximum:U.MAXIMUM_VALUE,errorMessage:v.localize(20,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:U.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:v.localize(21,null)})}validate(ie){return ie==="normal"||ie==="bold"?ie:String(l.clampedInt(ie,e.EDITOR_FONT_DEFAULTS.fontWeight,U.MINIMUM_VALUE,U.MAXIMUM_VALUE))}}U.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],U.MINIMUM_VALUE=1,U.MAXIMUM_VALUE=1e3;class J extends i{constructor(){const ie={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},Se={type:"string",enum:["peek","gotoAndPeek","goto"],default:ie.multiple,enumDescriptions:[v.localize(22,null),v.localize(23,null),v.localize(24,null)]};super(45,"gotoLocation",ie,{"editor.gotoLocation.multiple":{deprecationMessage:v.localize(25,null)},"editor.gotoLocation.multipleDefinitions":Object.assign({description:v.localize(26,null)},Se),"editor.gotoLocation.multipleTypeDefinitions":Object.assign({description:v.localize(27,null)},Se),"editor.gotoLocation.multipleDeclarations":Object.assign({description:v.localize(28,null)},Se),"editor.gotoLocation.multipleImplementations":Object.assign({description:v.localize(29,null)},Se),"editor.gotoLocation.multipleReferences":Object.assign({description:v.localize(30,null)},Se),"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:ie.alternativeDefinitionCommand,description:v.localize(31,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:ie.alternativeTypeDefinitionCommand,description:v.localize(32,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:ie.alternativeDeclarationCommand,description:v.localize(33,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:ie.alternativeImplementationCommand,description:v.localize(34,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:ie.alternativeReferenceCommand,description:v.localize(35,null)}})}validate(ie){var Se,Ne,ze,Be,Je;if(!ie||typeof ie!="object")return this.defaultValue;const j=ie;return{multiple:g(j.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:(Se=j.multipleDefinitions)!==null&&Se!==void 0?Se:g(j.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:(Ne=j.multipleTypeDefinitions)!==null&&Ne!==void 0?Ne:g(j.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:(ze=j.multipleDeclarations)!==null&&ze!==void 0?ze:g(j.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:(Be=j.multipleImplementations)!==null&&Be!==void 0?Be:g(j.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:(Je=j.multipleReferences)!==null&&Je!==void 0?Je:g(j.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:S.string(j.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:S.string(j.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:S.string(j.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:S.string(j.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:S.string(j.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class Z extends i{constructor(){const ie={enabled:!0,delay:300,sticky:!0};super(48,"hover",ie,{"editor.hover.enabled":{type:"boolean",default:ie.enabled,description:v.localize(36,null)},"editor.hover.delay":{type:"number",default:ie.delay,description:v.localize(37,null)},"editor.hover.sticky":{type:"boolean",default:ie.sticky,description:v.localize(38,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{enabled:b(Se.enabled,this.defaultValue.enabled),delay:l.clampedInt(Se.delay,this.defaultValue.delay,0,1e4),sticky:b(Se.sticky,this.defaultValue.sticky)}}}var z;(function(K){K[K.None=0]="None",K[K.Text=1]="Text",K[K.Blocks=2]="Blocks"})(z=e.RenderMinimap||(e.RenderMinimap={}));class q extends T{constructor(){super(124,[44,52,33,59,87,54,55,89,111,114,115,116,2])}compute(ie,Se,Ne){return q.computeLayout(Se,{memory:ie.memory,outerWidth:ie.outerWidth,outerHeight:ie.outerHeight,isDominatedByLongLines:ie.isDominatedByLongLines,lineHeight:ie.fontInfo.lineHeight,viewLineCount:ie.viewLineCount,lineNumbersDigitCount:ie.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:ie.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:ie.fontInfo.maxDigitWidth,pixelRatio:ie.pixelRatio})}static computeContainedMinimapLineCount(ie){const Se=ie.height/ie.lineHeight,Ne=ie.scrollBeyondLastLine?Se-1:0,ze=(ie.viewLineCount+Ne)/(ie.pixelRatio*ie.height),Be=Math.floor(ie.viewLineCount/ze);return{typicalViewportLineCount:Se,extraLinesBeyondLastLine:Ne,desiredRatio:ze,minimapLineCount:Be}}static _computeMinimapLayout(ie,Se){const Ne=ie.outerWidth,ze=ie.outerHeight,Be=ie.pixelRatio;if(!ie.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(Be*ze),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:ze};const Je=Se.stableMinimapLayoutInput,j=Je&&ie.outerHeight===Je.outerHeight&&ie.lineHeight===Je.lineHeight&&ie.typicalHalfwidthCharacterWidth===Je.typicalHalfwidthCharacterWidth&&ie.pixelRatio===Je.pixelRatio&&ie.scrollBeyondLastLine===Je.scrollBeyondLastLine&&ie.minimap.enabled===Je.minimap.enabled&&ie.minimap.side===Je.minimap.side&&ie.minimap.size===Je.minimap.size&&ie.minimap.showSlider===Je.minimap.showSlider&&ie.minimap.renderCharacters===Je.minimap.renderCharacters&&ie.minimap.maxColumn===Je.minimap.maxColumn&&ie.minimap.scale===Je.minimap.scale&&ie.verticalScrollbarWidth===Je.verticalScrollbarWidth&&ie.isViewportWrapping===Je.isViewportWrapping,se=ie.lineHeight,de=ie.typicalHalfwidthCharacterWidth,Y=ie.scrollBeyondLastLine,ne=ie.minimap.renderCharacters;let le=Be>=2?Math.round(ie.minimap.scale*2):ie.minimap.scale;const ge=ie.minimap.maxColumn,Ee=ie.minimap.size,He=ie.minimap.side,We=ie.verticalScrollbarWidth,qe=ie.viewLineCount,Xe=ie.remainingWidth,Ze=ie.isViewportWrapping,ht=ne?2:3;let rt=Math.floor(Be*ze);const be=rt/Be;let fe=!1,ue=!1,ee=ht*le,Te=le/Be,Le=1;if(Ee==="fill"||Ee==="fit"){const{typicalViewportLineCount:lt,extraLinesBeyondLastLine:ot,desiredRatio:It,minimapLineCount:_t}=q.computeContainedMinimapLineCount({viewLineCount:qe,scrollBeyondLastLine:Y,height:ze,lineHeight:se,pixelRatio:Be});if(qe/_t>1)fe=!0,ue=!0,le=1,ee=1,Te=le/Be;else{let St=!1,yt=le+1;if(Ee==="fit"){const gt=Math.ceil((qe+ot)*ee);Ze&&j&&Xe<=Se.stableFitRemainingWidth?(St=!0,yt=Se.stableFitMaxMinimapScale):(St=gt>rt,Ze&&St?(Se.stableMinimapLayoutInput=ie,Se.stableFitRemainingWidth=Xe):(Se.stableMinimapLayoutInput=null,Se.stableFitRemainingWidth=0))}if(Ee==="fill"||St){fe=!0;const gt=le;ee=Math.min(se*Be,Math.max(1,Math.floor(1/It))),le=Math.min(yt,Math.max(1,Math.floor(ee/ht))),le>gt&&(Le=Math.min(2,le/gt)),Te=le/Be/Le,rt=Math.ceil(Math.max(lt,qe+ot)*ee),Ze&&St&&(Se.stableFitMaxMinimapScale=le)}}}const et=Math.floor(ge*Te),Ke=Math.min(et,Math.max(0,Math.floor((Xe-We-2)*Te/(de+Te)))+e.MINIMAP_GUTTER_WIDTH);let nt=Math.floor(Be*Ke);const ut=nt/Be;nt=Math.floor(nt*Le);const Ye=ne?1:2,at=He==="left"?0:Ne-Ke-We;return{renderMinimap:Ye,minimapLeft:at,minimapWidth:Ke,minimapHeightIsEditorHeight:fe,minimapIsSampling:ue,minimapScale:le,minimapLineHeight:ee,minimapCanvasInnerWidth:nt,minimapCanvasInnerHeight:rt,minimapCanvasOuterWidth:ut,minimapCanvasOuterHeight:be}}static computeLayout(ie,Se){const Ne=Se.outerWidth|0,ze=Se.outerHeight|0,Be=Se.lineHeight|0,Je=Se.lineNumbersDigitCount|0,j=Se.typicalHalfwidthCharacterWidth,se=Se.maxDigitWidth,de=Se.pixelRatio,Y=Se.viewLineCount,ne=ie.get(116),le=ne==="inherit"?ie.get(115):ne,ge=le==="inherit"?ie.get(111):le,Ee=ie.get(114),He=ie.get(2),We=Se.isDominatedByLongLines,qe=ie.get(44),Xe=ie.get(54).renderType!==0,Ze=ie.get(55),ht=ie.get(89),rt=ie.get(59),be=ie.get(87),fe=be.verticalScrollbarSize,ue=be.verticalHasArrows,ee=be.arrowSize,Te=be.horizontalScrollbarSize,Le=ie.get(52),et=ie.get(33);let Ke;if(typeof Le=="string"&&/^\d+(\.\d+)?ch$/.test(Le)){const ft=parseFloat(Le.substr(0,Le.length-2));Ke=l.clampedInt(ft*j,0,0,1e3)}else Ke=l.clampedInt(Le,0,0,1e3);et&&(Ke+=16);let nt=0;if(Xe){const ft=Math.max(Je,Ze);nt=Math.round(ft*se)}let ut=0;qe&&(ut=Be);let Ye=0,at=Ye+ut,lt=at+nt,ot=lt+Ke;const It=Ne-ut-nt-Ke;let _t=!1,kt=!1,St=-1;He!==2&&(le==="inherit"&&We?(_t=!0,kt=!0):ge==="on"||ge==="bounded"?kt=!0:ge==="wordWrapColumn"&&(St=Ee));const yt=q._computeMinimapLayout({outerWidth:Ne,outerHeight:ze,lineHeight:Be,typicalHalfwidthCharacterWidth:j,pixelRatio:de,scrollBeyondLastLine:ht,minimap:rt,verticalScrollbarWidth:fe,viewLineCount:Y,remainingWidth:It,isViewportWrapping:kt},Se.memory||new y);yt.renderMinimap!==0&&yt.minimapLeft===0&&(Ye+=yt.minimapWidth,at+=yt.minimapWidth,lt+=yt.minimapWidth,ot+=yt.minimapWidth);const gt=It-yt.minimapWidth,Lt=Math.max(1,Math.floor((gt-fe-2)/j)),Ft=ue?ee:0;return kt&&(St=Math.max(1,Lt),ge==="bounded"&&(St=Math.min(St,Ee))),{width:Ne,height:ze,glyphMarginLeft:Ye,glyphMarginWidth:ut,lineNumbersLeft:at,lineNumbersWidth:nt,decorationsLeft:lt,decorationsWidth:Ke,contentLeft:ot,contentWidth:gt,minimap:yt,viewportColumn:Lt,isWordWrapMinified:_t,isViewportWrapping:kt,wrappingColumn:St,verticalScrollbarWidth:fe,horizontalScrollbarHeight:Te,overviewRuler:{top:Ft,width:fe,height:ze-2*Ft,right:0}}}}e.EditorLayoutInfoComputer=q;class N extends i{constructor(){const ie={enabled:!0};super(51,"lightbulb",ie,{"editor.lightbulb.enabled":{type:"boolean",default:ie.enabled,description:v.localize(39,null)}})}validate(ie){return!ie||typeof ie!="object"?this.defaultValue:{enabled:b(ie.enabled,this.defaultValue.enabled)}}}class W extends i{constructor(){const ie={enabled:!0,fontSize:0,fontFamily:e.EDITOR_FONT_DEFAULTS.fontFamily};super(120,"inlineHints",ie,{"editor.inlineHints.enabled":{type:"boolean",default:ie.enabled,description:v.localize(40,null)},"editor.inlineHints.fontSize":{type:"number",default:ie.fontSize,description:v.localize(41,null)},"editor.inlineHints.fontFamily":{type:"string",default:ie.fontFamily,description:v.localize(42,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{enabled:b(Se.enabled,this.defaultValue.enabled),fontSize:l.clampedInt(Se.fontSize,this.defaultValue.fontSize,0,100),fontFamily:S.string(Se.fontFamily,this.defaultValue.fontFamily)}}}class M extends l{constructor(){super(53,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,0,150,{description:v.localize(43,null)})}compute(ie,Se,Ne){return ie.fontInfo.lineHeight}}class O extends i{constructor(){const ie={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",renderCharacters:!0,maxColumn:120,scale:1};super(59,"minimap",ie,{"editor.minimap.enabled":{type:"boolean",default:ie.enabled,description:v.localize(44,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[v.localize(45,null),v.localize(46,null),v.localize(47,null)],default:ie.size,description:v.localize(48,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:ie.side,description:v.localize(49,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:ie.showSlider,description:v.localize(50,null)},"editor.minimap.scale":{type:"number",default:ie.scale,minimum:1,maximum:3,enum:[1,2,3],description:v.localize(51,null)},"editor.minimap.renderCharacters":{type:"boolean",default:ie.renderCharacters,description:v.localize(52,null)},"editor.minimap.maxColumn":{type:"number",default:ie.maxColumn,description:v.localize(53,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{enabled:b(Se.enabled,this.defaultValue.enabled),size:g(Se.size,this.defaultValue.size,["proportional","fill","fit"]),side:g(Se.side,this.defaultValue.side,["right","left"]),showSlider:g(Se.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:b(Se.renderCharacters,this.defaultValue.renderCharacters),scale:l.clampedInt(Se.scale,1,1,3),maxColumn:l.clampedInt(Se.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function F(K){return K==="ctrlCmd"?D.isMacintosh?"metaKey":"ctrlKey":"altKey"}class B extends i{constructor(){super(69,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:v.localize(54,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:v.localize(55,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{top:l.clampedInt(Se.top,0,0,1e3),bottom:l.clampedInt(Se.bottom,0,0,1e3)}}}class V extends i{constructor(){const ie={enabled:!0,cycle:!1};super(70,"parameterHints",ie,{"editor.parameterHints.enabled":{type:"boolean",default:ie.enabled,description:v.localize(56,null)},"editor.parameterHints.cycle":{type:"boolean",default:ie.cycle,description:v.localize(57,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{enabled:b(Se.enabled,this.defaultValue.enabled),cycle:b(Se.cycle,this.defaultValue.cycle)}}}class G extends T{constructor(){super(122)}compute(ie,Se,Ne){return ie.pixelRatio}}class ce extends i{constructor(){const ie={other:!0,comments:!1,strings:!1};super(73,"quickSuggestions",ie,{anyOf:[{type:"boolean"},{type:"object",properties:{strings:{type:"boolean",default:ie.strings,description:v.localize(58,null)},comments:{type:"boolean",default:ie.comments,description:v.localize(59,null)},other:{type:"boolean",default:ie.other,description:v.localize(60,null)}}}],default:ie,description:v.localize(61,null)});this.defaultValue=ie}validate(ie){if(typeof ie=="boolean")return ie;if(ie&&typeof ie=="object"){const Se=ie,Ne={other:b(Se.other,this.defaultValue.other),comments:b(Se.comments,this.defaultValue.comments),strings:b(Se.strings,this.defaultValue.strings)};return Ne.other&&Ne.comments&&Ne.strings?!0:!Ne.other&&!Ne.comments&&!Ne.strings?!1:Ne}return this.defaultValue}}var me;(function(K){K[K.Off=0]="Off",K[K.On=1]="On",K[K.Relative=2]="Relative",K[K.Interval=3]="Interval",K[K.Custom=4]="Custom"})(me=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class Pe extends i{constructor(){super(54,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[v.localize(62,null),v.localize(63,null),v.localize(64,null),v.localize(65,null)],default:"on",description:v.localize(66,null)})}validate(ie){let Se=this.defaultValue.renderType,Ne=this.defaultValue.renderFn;return typeof ie!="undefined"&&(typeof ie=="function"?(Se=4,Ne=ie):ie==="interval"?Se=3:ie==="relative"?Se=2:ie==="on"?Se=1:Se=0),{renderType:Se,renderFn:Ne}}}function Ie(K){const ie=K.get(82);return ie==="editable"?K.get(75):ie!=="on"}e.filterValidationDecorations=Ie;class Fe extends i{constructor(){const ie=[],Se={type:"number",description:v.localize(67,null)};super(86,"rulers",ie,{type:"array",items:{anyOf:[Se,{type:["object"],properties:{column:Se,color:{type:"string",description:v.localize(68,null),format:"color-hex"}}}]},default:ie,description:v.localize(69,null)})}validate(ie){if(Array.isArray(ie)){let Se=[];for(let Ne of ie)if(typeof Ne=="number")Se.push({column:l.clampedInt(Ne,0,0,1e4),color:null});else if(Ne&&typeof Ne=="object"){const ze=Ne;Se.push({column:l.clampedInt(ze.column,0,0,1e4),color:ze.color})}return Se.sort((Ne,ze)=>Ne.column-ze.column),Se}return this.defaultValue}}function H(K,ie){if(typeof K!="string")return ie;switch(K){case"hidden":return 2;case"visible":return 3;default:return 1}}class X extends i{constructor(){super(87,"scrollbar",{vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie,Ne=l.clampedInt(Se.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),ze=l.clampedInt(Se.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:l.clampedInt(Se.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:H(Se.vertical,this.defaultValue.vertical),horizontal:H(Se.horizontal,this.defaultValue.horizontal),useShadows:b(Se.useShadows,this.defaultValue.useShadows),verticalHasArrows:b(Se.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:b(Se.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:b(Se.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:b(Se.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:Ne,horizontalSliderSize:l.clampedInt(Se.horizontalSliderSize,Ne,0,1e3),verticalScrollbarSize:ze,verticalSliderSize:l.clampedInt(Se.verticalSliderSize,ze,0,1e3),scrollByPage:b(Se.scrollByPage,this.defaultValue.scrollByPage)}}}class te extends i{constructor(){const ie={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(101,"suggest",ie,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[v.localize(70,null),v.localize(71,null)],default:ie.insertMode,description:v.localize(72,null)},"editor.suggest.filterGraceful":{type:"boolean",default:ie.filterGraceful,description:v.localize(73,null)},"editor.suggest.localityBonus":{type:"boolean",default:ie.localityBonus,description:v.localize(74,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:ie.shareSuggestSelections,markdownDescription:v.localize(75,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:ie.snippetsPreventQuickSuggestions,description:v.localize(76,null)},"editor.suggest.showIcons":{type:"boolean",default:ie.showIcons,description:v.localize(77,null)},"editor.suggest.showStatusBar":{type:"boolean",default:ie.showStatusBar,description:v.localize(78,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:ie.showInlineDetails,description:v.localize(79,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:v.localize(80,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:v.localize(81,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:v.localize(82,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:v.localize(83,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:v.localize(84,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:v.localize(85,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:v.localize(86,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:v.localize(87,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:v.localize(88,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:v.localize(89,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:v.localize(90,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:v.localize(91,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:v.localize(92,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:v.localize(93,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:v.localize(94,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:v.localize(95,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:v.localize(96,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:v.localize(97,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:v.localize(98,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:v.localize(99,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:v.localize(100,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:v.localize(101,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:v.localize(102,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:v.localize(103,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:v.localize(104,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:v.localize(105,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:v.localize(106,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:v.localize(107,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:v.localize(108,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:v.localize(109,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{insertMode:g(Se.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:b(Se.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:b(Se.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:b(Se.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:b(Se.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:b(Se.showIcons,this.defaultValue.showIcons),showStatusBar:b(Se.showStatusBar,this.defaultValue.showStatusBar),showInlineDetails:b(Se.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:b(Se.showMethods,this.defaultValue.showMethods),showFunctions:b(Se.showFunctions,this.defaultValue.showFunctions),showConstructors:b(Se.showConstructors,this.defaultValue.showConstructors),showFields:b(Se.showFields,this.defaultValue.showFields),showVariables:b(Se.showVariables,this.defaultValue.showVariables),showClasses:b(Se.showClasses,this.defaultValue.showClasses),showStructs:b(Se.showStructs,this.defaultValue.showStructs),showInterfaces:b(Se.showInterfaces,this.defaultValue.showInterfaces),showModules:b(Se.showModules,this.defaultValue.showModules),showProperties:b(Se.showProperties,this.defaultValue.showProperties),showEvents:b(Se.showEvents,this.defaultValue.showEvents),showOperators:b(Se.showOperators,this.defaultValue.showOperators),showUnits:b(Se.showUnits,this.defaultValue.showUnits),showValues:b(Se.showValues,this.defaultValue.showValues),showConstants:b(Se.showConstants,this.defaultValue.showConstants),showEnums:b(Se.showEnums,this.defaultValue.showEnums),showEnumMembers:b(Se.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:b(Se.showKeywords,this.defaultValue.showKeywords),showWords:b(Se.showWords,this.defaultValue.showWords),showColors:b(Se.showColors,this.defaultValue.showColors),showFiles:b(Se.showFiles,this.defaultValue.showFiles),showReferences:b(Se.showReferences,this.defaultValue.showReferences),showFolders:b(Se.showFolders,this.defaultValue.showFolders),showTypeParameters:b(Se.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:b(Se.showSnippets,this.defaultValue.showSnippets),showUsers:b(Se.showUsers,this.defaultValue.showUsers),showIssues:b(Se.showIssues,this.defaultValue.showIssues)}}}class oe extends i{constructor(){super(97,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:v.localize(110,null),default:!0,type:"boolean"}})}validate(ie){return!ie||typeof ie!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:b(ie.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class we extends T{constructor(){super(123,[75])}compute(ie,Se,Ne){return Se.get(75)?!0:ie.tabFocusMode}}var De;(function(K){K[K.None=0]="None",K[K.Same=1]="Same",K[K.Indent=2]="Indent",K[K.DeepIndent=3]="DeepIndent"})(De=e.WrappingIndent||(e.WrappingIndent={}));function Me(K){switch(K){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class _e extends T{constructor(){super(125,[124])}compute(ie,Se,Ne){const ze=Se.get(124);return{isDominatedByLongLines:ie.isDominatedByLongLines,isWordWrapMinified:ze.isWordWrapMinified,isViewportWrapping:ze.isViewportWrapping,wrappingColumn:ze.wrappingColumn}}}const ke="Consolas, 'Courier New', monospace",Re="Menlo, Monaco, 'Courier New', monospace",xe="'Droid Sans Mono', 'monospace', monospace, 'Droid Sans Fallback'";e.EDITOR_FONT_DEFAULTS={fontFamily:D.isMacintosh?Re:D.isLinux?xe:ke,fontWeight:"normal",fontSize:D.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0},e.editorOptionsRegistry=[];function ye(K){return e.editorOptionsRegistry[K.id]=K,K}var Ge;(function(K){K[K.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",K[K.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",K[K.accessibilitySupport=2]="accessibilitySupport",K[K.accessibilityPageSize=3]="accessibilityPageSize",K[K.ariaLabel=4]="ariaLabel",K[K.autoClosingBrackets=5]="autoClosingBrackets",K[K.autoClosingOvertype=6]="autoClosingOvertype",K[K.autoClosingQuotes=7]="autoClosingQuotes",K[K.autoIndent=8]="autoIndent",K[K.automaticLayout=9]="automaticLayout",K[K.autoSurround=10]="autoSurround",K[K.codeLens=11]="codeLens",K[K.codeLensFontFamily=12]="codeLensFontFamily",K[K.codeLensFontSize=13]="codeLensFontSize",K[K.colorDecorators=14]="colorDecorators",K[K.columnSelection=15]="columnSelection",K[K.comments=16]="comments",K[K.contextmenu=17]="contextmenu",K[K.copyWithSyntaxHighlighting=18]="copyWithSyntaxHighlighting",K[K.cursorBlinking=19]="cursorBlinking",K[K.cursorSmoothCaretAnimation=20]="cursorSmoothCaretAnimation",K[K.cursorStyle=21]="cursorStyle",K[K.cursorSurroundingLines=22]="cursorSurroundingLines",K[K.cursorSurroundingLinesStyle=23]="cursorSurroundingLinesStyle",K[K.cursorWidth=24]="cursorWidth",K[K.disableLayerHinting=25]="disableLayerHinting",K[K.disableMonospaceOptimizations=26]="disableMonospaceOptimizations",K[K.dragAndDrop=27]="dragAndDrop",K[K.emptySelectionClipboard=28]="emptySelectionClipboard",K[K.extraEditorClassName=29]="extraEditorClassName",K[K.fastScrollSensitivity=30]="fastScrollSensitivity",K[K.find=31]="find",K[K.fixedOverflowWidgets=32]="fixedOverflowWidgets",K[K.folding=33]="folding",K[K.foldingStrategy=34]="foldingStrategy",K[K.foldingHighlight=35]="foldingHighlight",K[K.unfoldOnClickAfterEndOfLine=36]="unfoldOnClickAfterEndOfLine",K[K.fontFamily=37]="fontFamily",K[K.fontInfo=38]="fontInfo",K[K.fontLigatures=39]="fontLigatures",K[K.fontSize=40]="fontSize",K[K.fontWeight=41]="fontWeight",K[K.formatOnPaste=42]="formatOnPaste",K[K.formatOnType=43]="formatOnType",K[K.glyphMargin=44]="glyphMargin",K[K.gotoLocation=45]="gotoLocation",K[K.hideCursorInOverviewRuler=46]="hideCursorInOverviewRuler",K[K.highlightActiveIndentGuide=47]="highlightActiveIndentGuide",K[K.hover=48]="hover",K[K.inDiffEditor=49]="inDiffEditor",K[K.letterSpacing=50]="letterSpacing",K[K.lightbulb=51]="lightbulb",K[K.lineDecorationsWidth=52]="lineDecorationsWidth",K[K.lineHeight=53]="lineHeight",K[K.lineNumbers=54]="lineNumbers",K[K.lineNumbersMinChars=55]="lineNumbersMinChars",K[K.linkedEditing=56]="linkedEditing",K[K.links=57]="links",K[K.matchBrackets=58]="matchBrackets",K[K.minimap=59]="minimap",K[K.mouseStyle=60]="mouseStyle",K[K.mouseWheelScrollSensitivity=61]="mouseWheelScrollSensitivity",K[K.mouseWheelZoom=62]="mouseWheelZoom",K[K.multiCursorMergeOverlapping=63]="multiCursorMergeOverlapping",K[K.multiCursorModifier=64]="multiCursorModifier",K[K.multiCursorPaste=65]="multiCursorPaste",K[K.occurrencesHighlight=66]="occurrencesHighlight",K[K.overviewRulerBorder=67]="overviewRulerBorder",K[K.overviewRulerLanes=68]="overviewRulerLanes",K[K.padding=69]="padding",K[K.parameterHints=70]="parameterHints",K[K.peekWidgetDefaultFocus=71]="peekWidgetDefaultFocus",K[K.definitionLinkOpensInPeek=72]="definitionLinkOpensInPeek",K[K.quickSuggestions=73]="quickSuggestions",K[K.quickSuggestionsDelay=74]="quickSuggestionsDelay",K[K.readOnly=75]="readOnly",K[K.renameOnType=76]="renameOnType",K[K.renderControlCharacters=77]="renderControlCharacters",K[K.renderIndentGuides=78]="renderIndentGuides",K[K.renderFinalNewline=79]="renderFinalNewline",K[K.renderLineHighlight=80]="renderLineHighlight",K[K.renderLineHighlightOnlyWhenFocus=81]="renderLineHighlightOnlyWhenFocus",K[K.renderValidationDecorations=82]="renderValidationDecorations",K[K.renderWhitespace=83]="renderWhitespace",K[K.revealHorizontalRightPadding=84]="revealHorizontalRightPadding",K[K.roundedSelection=85]="roundedSelection",K[K.rulers=86]="rulers",K[K.scrollbar=87]="scrollbar",K[K.scrollBeyondLastColumn=88]="scrollBeyondLastColumn",K[K.scrollBeyondLastLine=89]="scrollBeyondLastLine",K[K.scrollPredominantAxis=90]="scrollPredominantAxis",K[K.selectionClipboard=91]="selectionClipboard",K[K.selectionHighlight=92]="selectionHighlight",K[K.selectOnLineNumbers=93]="selectOnLineNumbers",K[K.showFoldingControls=94]="showFoldingControls",K[K.showUnused=95]="showUnused",K[K.snippetSuggestions=96]="snippetSuggestions",K[K.smartSelect=97]="smartSelect",K[K.smoothScrolling=98]="smoothScrolling",K[K.stickyTabStops=99]="stickyTabStops",K[K.stopRenderingLineAfter=100]="stopRenderingLineAfter",K[K.suggest=101]="suggest",K[K.suggestFontSize=102]="suggestFontSize",K[K.suggestLineHeight=103]="suggestLineHeight",K[K.suggestOnTriggerCharacters=104]="suggestOnTriggerCharacters",K[K.suggestSelection=105]="suggestSelection",K[K.tabCompletion=106]="tabCompletion",K[K.tabIndex=107]="tabIndex",K[K.unusualLineTerminators=108]="unusualLineTerminators",K[K.useTabStops=109]="useTabStops",K[K.wordSeparators=110]="wordSeparators",K[K.wordWrap=111]="wordWrap",K[K.wordWrapBreakAfterCharacters=112]="wordWrapBreakAfterCharacters",K[K.wordWrapBreakBeforeCharacters=113]="wordWrapBreakBeforeCharacters",K[K.wordWrapColumn=114]="wordWrapColumn",K[K.wordWrapOverride1=115]="wordWrapOverride1",K[K.wordWrapOverride2=116]="wordWrapOverride2",K[K.wrappingIndent=117]="wrappingIndent",K[K.wrappingStrategy=118]="wrappingStrategy",K[K.showDeprecated=119]="showDeprecated",K[K.inlineHints=120]="inlineHints",K[K.editorClassName=121]="editorClassName",K[K.pixelRatio=122]="pixelRatio",K[K.tabFocusMode=123]="tabFocusMode",K[K.layoutInfo=124]="layoutInfo",K[K.wrappingInfo=125]="wrappingInfo"})(Ge=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:ye(new f(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:v.localize(111,null)})),acceptSuggestionOnEnter:ye(new _(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",v.localize(112,null),""],markdownDescription:v.localize(113,null)})),accessibilitySupport:ye(new o),accessibilityPageSize:ye(new l(3,"accessibilityPageSize",10,1,1073741824,{description:v.localize(114,null),deprecationMessage:v.localize(115,null)})),ariaLabel:ye(new S(4,"ariaLabel",v.localize(116,null))),autoClosingBrackets:ye(new _(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",v.localize(117,null),v.localize(118,null),""],description:v.localize(119,null)})),autoClosingOvertype:ye(new _(6,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",v.localize(120,null),""],description:v.localize(121,null)})),autoClosingQuotes:ye(new _(7,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",v.localize(122,null),v.localize(123,null),""],description:v.localize(124,null)})),autoIndent:ye(new u(8,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],c,{enumDescriptions:[v.localize(125,null),v.localize(126,null),v.localize(127,null),v.localize(128,null),v.localize(129,null)],description:v.localize(130,null)})),automaticLayout:ye(new f(9,"automaticLayout",!1)),autoSurround:ye(new _(10,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[v.localize(131,null),v.localize(132,null),v.localize(133,null),""],description:v.localize(134,null)})),stickyTabStops:ye(new f(99,"stickyTabStops",!1,{description:v.localize(135,null)})),codeLens:ye(new f(11,"codeLens",!0,{description:v.localize(136,null)})),codeLensFontFamily:ye(new S(12,"codeLensFontFamily","",{description:v.localize(137,null)})),codeLensFontSize:ye(new l(13,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,description:v.localize(138,null)})),colorDecorators:ye(new f(14,"colorDecorators",!0,{description:v.localize(139,null)})),columnSelection:ye(new f(15,"columnSelection",!1,{description:v.localize(140,null)})),comments:ye(new t),contextmenu:ye(new f(17,"contextmenu",!0)),copyWithSyntaxHighlighting:ye(new f(18,"copyWithSyntaxHighlighting",!0,{description:v.localize(141,null)})),cursorBlinking:ye(new u(19,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],s,{description:v.localize(142,null)})),cursorSmoothCaretAnimation:ye(new f(20,"cursorSmoothCaretAnimation",!1,{description:v.localize(143,null)})),cursorStyle:ye(new u(21,"cursorStyle",a.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],d,{description:v.localize(144,null)})),cursorSurroundingLines:ye(new l(22,"cursorSurroundingLines",0,0,1073741824,{description:v.localize(145,null)})),cursorSurroundingLinesStyle:ye(new _(23,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[v.localize(146,null),v.localize(147,null)],description:v.localize(148,null)})),cursorWidth:ye(new l(24,"cursorWidth",0,0,1073741824,{markdownDescription:v.localize(149,null)})),disableLayerHinting:ye(new f(25,"disableLayerHinting",!1)),disableMonospaceOptimizations:ye(new f(26,"disableMonospaceOptimizations",!1)),dragAndDrop:ye(new f(27,"dragAndDrop",!0,{description:v.localize(150,null)})),emptySelectionClipboard:ye(new E),extraEditorClassName:ye(new S(29,"extraEditorClassName","")),fastScrollSensitivity:ye(new m(30,"fastScrollSensitivity",5,K=>K<=0?5:K,{markdownDescription:v.localize(151,null)})),find:ye(new h),fixedOverflowWidgets:ye(new f(32,"fixedOverflowWidgets",!1)),folding:ye(new f(33,"folding",!0,{description:v.localize(152,null)})),foldingStrategy:ye(new _(34,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[v.localize(153,null),v.localize(154,null)],description:v.localize(155,null)})),foldingHighlight:ye(new f(35,"foldingHighlight",!0,{description:v.localize(156,null)})),unfoldOnClickAfterEndOfLine:ye(new f(36,"unfoldOnClickAfterEndOfLine",!1,{description:v.localize(157,null)})),fontFamily:ye(new S(37,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:v.localize(158,null)})),fontInfo:ye(new R),fontLigatures2:ye(new w),fontSize:ye(new L),fontWeight:ye(new U),formatOnPaste:ye(new f(42,"formatOnPaste",!1,{description:v.localize(159,null)})),formatOnType:ye(new f(43,"formatOnType",!1,{description:v.localize(160,null)})),glyphMargin:ye(new f(44,"glyphMargin",!0,{description:v.localize(161,null)})),gotoLocation:ye(new J),hideCursorInOverviewRuler:ye(new f(46,"hideCursorInOverviewRuler",!1,{description:v.localize(162,null)})),highlightActiveIndentGuide:ye(new f(47,"highlightActiveIndentGuide",!0,{description:v.localize(163,null)})),hover:ye(new Z),inDiffEditor:ye(new f(49,"inDiffEditor",!1)),letterSpacing:ye(new m(50,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,K=>m.clamp(K,-5,20),{description:v.localize(164,null)})),lightbulb:ye(new N),lineDecorationsWidth:ye(new k(52,"lineDecorationsWidth",10)),lineHeight:ye(new M),lineNumbers:ye(new Pe),lineNumbersMinChars:ye(new l(55,"lineNumbersMinChars",5,1,300)),linkedEditing:ye(new f(56,"linkedEditing",!1,{description:v.localize(165,null)})),links:ye(new f(57,"links",!0,{description:v.localize(166,null)})),matchBrackets:ye(new _(58,"matchBrackets","always",["always","near","never"],{description:v.localize(167,null)})),minimap:ye(new O),mouseStyle:ye(new _(60,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:ye(new m(61,"mouseWheelScrollSensitivity",1,K=>K===0?1:K,{markdownDescription:v.localize(168,null)})),mouseWheelZoom:ye(new f(62,"mouseWheelZoom",!1,{markdownDescription:v.localize(169,null)})),multiCursorMergeOverlapping:ye(new f(63,"multiCursorMergeOverlapping",!0,{description:v.localize(170,null)})),multiCursorModifier:ye(new u(64,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],F,{markdownEnumDescriptions:[v.localize(171,null),v.localize(172,null)],markdownDescription:v.localize(173,null)})),multiCursorPaste:ye(new _(65,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[v.localize(174,null),v.localize(175,null)],markdownDescription:v.localize(176,null)})),occurrencesHighlight:ye(new f(66,"occurrencesHighlight",!0,{description:v.localize(177,null)})),overviewRulerBorder:ye(new f(67,"overviewRulerBorder",!0,{description:v.localize(178,null)})),overviewRulerLanes:ye(new l(68,"overviewRulerLanes",3,0,3)),padding:ye(new B),parameterHints:ye(new V),peekWidgetDefaultFocus:ye(new _(71,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[v.localize(179,null),v.localize(180,null)],description:v.localize(181,null)})),definitionLinkOpensInPeek:ye(new f(72,"definitionLinkOpensInPeek",!1,{description:v.localize(182,null)})),quickSuggestions:ye(new ce),quickSuggestionsDelay:ye(new l(74,"quickSuggestionsDelay",10,0,1073741824,{description:v.localize(183,null)})),readOnly:ye(new f(75,"readOnly",!1)),renameOnType:ye(new f(76,"renameOnType",!1,{description:v.localize(184,null),markdownDeprecationMessage:v.localize(185,null)})),renderControlCharacters:ye(new f(77,"renderControlCharacters",!1,{description:v.localize(186,null)})),renderIndentGuides:ye(new f(78,"renderIndentGuides",!0,{description:v.localize(187,null)})),renderFinalNewline:ye(new f(79,"renderFinalNewline",!0,{description:v.localize(188,null)})),renderLineHighlight:ye(new _(80,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",v.localize(189,null)],description:v.localize(190,null)})),renderLineHighlightOnlyWhenFocus:ye(new f(81,"renderLineHighlightOnlyWhenFocus",!1,{description:v.localize(191,null)})),renderValidationDecorations:ye(new _(82,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:ye(new _(83,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",v.localize(192,null),v.localize(193,null),v.localize(194,null),""],description:v.localize(195,null)})),revealHorizontalRightPadding:ye(new l(84,"revealHorizontalRightPadding",30,0,1e3)),roundedSelection:ye(new f(85,"roundedSelection",!0,{description:v.localize(196,null)})),rulers:ye(new Fe),scrollbar:ye(new X),scrollBeyondLastColumn:ye(new l(88,"scrollBeyondLastColumn",5,0,1073741824,{description:v.localize(197,null)})),scrollBeyondLastLine:ye(new f(89,"scrollBeyondLastLine",!0,{description:v.localize(198,null)})),scrollPredominantAxis:ye(new f(90,"scrollPredominantAxis",!0,{description:v.localize(199,null)})),selectionClipboard:ye(new f(91,"selectionClipboard",!0,{description:v.localize(200,null),included:D.isLinux})),selectionHighlight:ye(new f(92,"selectionHighlight",!0,{description:v.localize(201,null)})),selectOnLineNumbers:ye(new f(93,"selectOnLineNumbers",!0)),showFoldingControls:ye(new _(94,"showFoldingControls","mouseover",["always","mouseover"],{enumDescriptions:[v.localize(202,null),v.localize(203,null)],description:v.localize(204,null)})),showUnused:ye(new f(95,"showUnused",!0,{description:v.localize(205,null)})),showDeprecated:ye(new f(119,"showDeprecated",!0,{description:v.localize(206,null)})),inlineHints:ye(new W),snippetSuggestions:ye(new _(96,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[v.localize(207,null),v.localize(208,null),v.localize(209,null),v.localize(210,null)],description:v.localize(211,null)})),smartSelect:ye(new oe),smoothScrolling:ye(new f(98,"smoothScrolling",!1,{description:v.localize(212,null)})),stopRenderingLineAfter:ye(new l(100,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:ye(new te),suggestFontSize:ye(new l(102,"suggestFontSize",0,0,1e3,{markdownDescription:v.localize(213,null)})),suggestLineHeight:ye(new l(103,"suggestLineHeight",0,0,1e3,{markdownDescription:v.localize(214,null)})),suggestOnTriggerCharacters:ye(new f(104,"suggestOnTriggerCharacters",!0,{description:v.localize(215,null)})),suggestSelection:ye(new _(105,"suggestSelection","recentlyUsed",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[v.localize(216,null),v.localize(217,null),v.localize(218,null)],description:v.localize(219,null)})),tabCompletion:ye(new _(106,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[v.localize(220,null),v.localize(221,null),v.localize(222,null)],description:v.localize(223,null)})),tabIndex:ye(new l(107,"tabIndex",0,-1,1073741824)),unusualLineTerminators:ye(new _(108,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[v.localize(224,null),v.localize(225,null),v.localize(226,null)],description:v.localize(227,null)})),useTabStops:ye(new f(109,"useTabStops",!0,{description:v.localize(228,null)})),wordSeparators:ye(new S(110,"wordSeparators",A.USUAL_WORD_SEPARATORS,{description:v.localize(229,null)})),wordWrap:ye(new _(111,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[v.localize(230,null),v.localize(231,null),v.localize(232,null),v.localize(233,null)],description:v.localize(234,null)})),wordWrapBreakAfterCharacters:ye(new S(112,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:ye(new S(113,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:ye(new l(114,"wordWrapColumn",80,1,1073741824,{markdownDescription:v.localize(235,null)})),wordWrapOverride1:ye(new _(115,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:ye(new _(116,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:ye(new u(117,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],Me,{enumDescriptions:[v.localize(236,null),v.localize(237,null),v.localize(238,null),v.localize(239,null)],description:v.localize(240,null)})),wrappingStrategy:ye(new _(118,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[v.localize(241,null),v.localize(242,null)],description:v.localize(243,null)})),editorClassName:ye(new p),pixelRatio:ye(new G),tabFocusMode:ye(new we),layoutInfo:ye(new q),wrappingInfo:ye(new _e)}}),define(pe[150],ve([16,17]),function(Q,e){return Q.create("vs/platform/configuration/common/configurationRegistry",e)}),define(pe[151],ve([16,17]),function(Q,e){return Q.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(pe[152],ve([16,17]),function(Q,e){return Q.create("vs/platform/files/common/files",e)}),define(pe[153],ve([16,17]),function(Q,e){return Q.create("vs/platform/markers/common/markers",e)}),define(pe[154],ve([16,17]),function(Q,e){return Q.create("vs/platform/theme/common/iconRegistry",e)}),define(pe[155],ve([16,17]),function(Q,e){return Q.create("vs/platform/workspaces/common/workspaces",e)}),define(pe[156],ve([16,17]),function(Q,e){return Q.create("vs/workbench/api/common/extHost.api.impl",e)}),define(pe[157],ve([16,17]),function(Q,e){return Q.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(pe[158],ve([16,17]),function(Q,e){return Q.create("vs/workbench/api/common/extHostExtensionActivator",e)}),define(pe[159],ve([16,17]),function(Q,e){return Q.create("vs/workbench/api/common/extHostExtensionService",e)}),define(pe[160],ve([16,17]),function(Q,e){return Q.create("vs/workbench/api/common/extHostProgress",e)}),define(pe[161],ve([16,17]),function(Q,e){return Q.create("vs/workbench/api/common/extHostStatusBar",e)}),define(pe[162],ve([16,17]),function(Q,e){return Q.create("vs/workbench/api/common/extHostTerminalService",e)}),define(pe[163],ve([16,17]),function(Q,e){return Q.create("vs/workbench/api/common/extHostTreeViews",e)}),define(pe[164],ve([16,17]),function(Q,e){return Q.create("vs/workbench/api/common/extHostWorkspace",e)}),define(pe[165],ve([16,17]),function(Q,e){return Q.create("vs/workbench/api/node/extHostDebugService",e)}),define(pe[166],ve([16,17]),function(Q,e){return Q.create("vs/workbench/common/views",e)}),define(pe[167],ve([16,17]),function(Q,e){return Q.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(pe[168],ve([16,17]),function(Q,e){return Q.create("vs/workbench/contrib/debug/node/debugAdapter",e)}),define(pe[169],ve([16,17]),function(Q,e){return Q.create("vs/workbench/contrib/externalTerminal/node/externalTerminalService",e)}),define(pe[170],ve([16,17]),function(Q,e){return Q.create("vs/workbench/contrib/search/common/queryBuilder",e)}),define(pe[171],ve([16,17]),function(Q,e){return Q.create("vs/workbench/contrib/tasks/common/taskService",e)}),define(pe[172],ve([16,17]),function(Q,e){return Q.create("vs/workbench/contrib/terminal/common/terminal",e)}),define(pe[173],ve([16,17]),function(Q,e){return Q.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(pe[174],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextEditorSelectionRevealType=e.EditorOpenContext=e.EditorOverride=e.EditorActivation=void 0;var v;(function(C){C[C.ACTIVATE=0]="ACTIVATE",C[C.RESTORE=1]="RESTORE",C[C.PRESERVE=2]="PRESERVE"})(v=e.EditorActivation||(e.EditorActivation={}));var D;(function(C){C[C.PICK=1]="PICK",C[C.DISABLED=2]="DISABLED"})(D=e.EditorOverride||(e.EditorOverride={}));var A;(function(C){C[C.API=0]="API",C[C.USER=1]="USER"})(A=e.EditorOpenContext||(e.EditorOpenContext={}));var I;(function(C){C[C.Center=0]="Center",C[C.CenterIfOutsideViewport=1]="CenterIfOutsideViewport",C[C.NearTop=2]="NearTop",C[C.NearTopIfOutsideViewport=3]="NearTopIfOutsideViewport"})(I=e.TextEditorSelectionRevealType||(e.TextEditorSelectionRevealType={}))}),define(pe[107],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createSyncDescriptor=e.SyncDescriptor=void 0;class v{constructor(I,C=[],P=!1){this.ctor=I,this.staticArguments=C,this.supportsDelayedInstantiation=P}}e.SyncDescriptor=v;const D=(A,...I)=>new v(A,I);e.createSyncDescriptor=D}),define(pe[80],ve([0,1,107]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const D=[];function A(C,P,y){P instanceof v.SyncDescriptor||(P=new v.SyncDescriptor(P,[],y)),D.push([C,P])}e.registerSingleton=A;function I(){return D}e.getSingletonServiceDescriptors=I}),define(pe[175],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class v{constructor(I){this.incoming=new Map,this.outgoing=new Map,this.data=I}}e.Node=v;class D{constructor(I){this._hashFn=I,this._nodes=new Map}roots(){const I=[];for(let C of this._nodes.values())C.outgoing.size===0&&I.push(C);return I}insertEdge(I,C){const P=this.lookupOrInsertNode(I),y=this.lookupOrInsertNode(C);P.outgoing.set(this._hashFn(C),y),y.incoming.set(this._hashFn(I),P)}removeNode(I){const C=this._hashFn(I);this._nodes.delete(C);for(let P of this._nodes.values())P.outgoing.delete(C),P.incoming.delete(C)}lookupOrInsertNode(I){const C=this._hashFn(I);let P=this._nodes.get(C);return P||(P=new v(I),this._nodes.set(C,P)),P}lookup(I){return this._nodes.get(this._hashFn(I))}isEmpty(){return this._nodes.size===0}toString(){let I=[];for(let[C,P]of this._nodes)I.push(`${C}, (incoming)[${[...P.incoming.keys()].join(", ")}], (outgoing)[${[...P.outgoing.keys()].join(",")}]`);return I.join(`
`)}}e.Graph=D}),define(pe[4],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.optional=e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var v;(function(P){P.serviceIds=new Map,P.DI_TARGET="$di$target",P.DI_DEPENDENCIES="$di$dependencies";function y(i){return i[P.DI_DEPENDENCIES]||[]}P.getServiceDependencies=y})(v=e._util||(e._util={})),e.IInstantiationService=A("instantiationService");function D(P,y,i,T){y[v.DI_TARGET]===y?y[v.DI_DEPENDENCIES].push({id:P,index:i,optional:T}):(y[v.DI_DEPENDENCIES]=[{id:P,index:i,optional:T}],y[v.DI_TARGET]=y)}function A(P){if(v.serviceIds.has(P))return v.serviceIds.get(P);const y=function(i,T,k){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");D(y,i,k,!1)};return y.toString=()=>P,v.serviceIds.set(P,y),y}e.createDecorator=A;function I(P){return P}e.refineServiceDecorator=I;function C(P){return function(y,i,T){if(arguments.length!==3)throw new Error("@optional-decorator can only be used to decorate a parameter");D(P,y,T,!0)}}e.optional=C}),define(pe[176],ve([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shouldSynchronizeModel=e.IModelService=void 0,e.IModelService=(0,v.createDecorator)("modelService");function D(A){return!A.isTooLargeForSyncing()&&!A.isForSimpleWidget}e.shouldSynchronizeModel=D}),define(pe[177],ve([0,1,3,74,6,23,73,78,176]),function(Q,e,v,D,A,I,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguageFeatureRequestDelays=e.LanguageFeatureRegistry=void 0;function i(b){return typeof b=="string"?!1:Array.isArray(b)?b.every(i):!!b.exclusive}class T{constructor(){this._clock=0,this._entries=[],this._onDidChange=new v.Emitter}get onDidChange(){return this._onDidChange.event}register(f,l){let m={selector:f,provider:l,_score:-1,_time:this._clock++};return this._entries.push(m),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),(0,A.toDisposable)(()=>{if(m){let S=this._entries.indexOf(m);S>=0&&(this._entries.splice(S,1),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),m=void 0)}})}has(f){return this.all(f).length>0}all(f){if(!f)return[];this._updateScores(f);const l=[];for(let m of this._entries)m._score>0&&l.push(m.provider);return l}ordered(f){const l=[];return this._orderedForEach(f,m=>l.push(m.provider)),l}orderedGroups(f){const l=[];let m,S;return this._orderedForEach(f,g=>{m&&S===g._score?m.push(g.provider):(S=g._score,m=[g.provider],l.push(m))}),l}_orderedForEach(f,l){if(!!f){this._updateScores(f);for(const m of this._entries)m._score>0&&l(m)}}_updateScores(f){let l={uri:f.uri.toString(),language:f.getLanguageIdentifier().language};if(!(this._lastCandidate&&this._lastCandidate.language===l.language&&this._lastCandidate.uri===l.uri)){this._lastCandidate=l;for(let m of this._entries)if(m._score=(0,P.score)(m.selector,f.uri,f.getLanguageIdentifier().language,(0,y.shouldSynchronizeModel)(f)),i(m.selector)&&m._score>0){for(let S of this._entries)S._score=0;m._score=1e3;break}this._entries.sort(T._compareByScoreAndTime)}}static _compareByScoreAndTime(f,l){return f._score<l._score?1:f._score>l._score?-1:f._time<l._time?1:f._time>l._time?-1:0}}e.LanguageFeatureRegistry=T;class k{constructor(f,l,m=Number.MAX_SAFE_INTEGER){this._registry=f,this.min=l,this.max=m,this._cache=new I.LRUCache(50,.7)}_key(f){return f.id+(0,D.hash)(this._registry.all(f))}_clamp(f){return f===void 0?this.min:Math.min(this.max,Math.max(this.min,Math.floor(f*1.3)))}get(f){const l=this._key(f),m=this._cache.get(l);return this._clamp(m==null?void 0:m.value)}update(f,l){const m=this._key(f);let S=this._cache.get(m);return S||(S=new C.MovingAverage,this._cache.set(m,S)),S.update(l),this.get(f)}}e.LanguageFeatureRequestDelays=k}),define(pe[81],ve([0,1,2,43,177,141,46]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.TokenizationRegistry=e.DocumentRangeSemanticTokensProviderRegistry=e.DocumentSemanticTokensProviderRegistry=e.FoldingRangeProviderRegistry=e.SelectionRangeRegistry=e.ColorProviderRegistry=e.LinkProviderRegistry=e.OnTypeFormattingEditProviderRegistry=e.DocumentRangeFormattingEditProviderRegistry=e.DocumentFormattingEditProviderRegistry=e.CodeActionProviderRegistry=e.InlineHintsProviderRegistry=e.CodeLensProviderRegistry=e.TypeDefinitionProviderRegistry=e.ImplementationProviderRegistry=e.DeclarationProviderRegistry=e.DefinitionProviderRegistry=e.LinkedEditingRangeProviderRegistry=e.DocumentHighlightProviderRegistry=e.DocumentSymbolProviderRegistry=e.InlineValuesProviderRegistry=e.EvaluatableExpressionProviderRegistry=e.HoverProviderRegistry=e.SignatureHelpProviderRegistry=e.CompletionProviderRegistry=e.RenameProviderRegistry=e.ReferenceProviderRegistry=e.InlineHintKind=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.isLocationLink=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.completionKindFromString=e.completionKindToCssClass=e.CompletionItemKind=e.TokenMetadata=e.MetadataConsts=e.StandardTokenType=e.ColorId=e.FontStyle=e.LanguageIdentifier=e.LanguageId=void 0;var P;(function(h){h[h.Null=0]="Null",h[h.PlainText=1]="PlainText"})(P=e.LanguageId||(e.LanguageId={}));class y{constructor(w,R){this.language=w,this.id=R}}e.LanguageIdentifier=y;var i;(function(h){h[h.NotSet=-1]="NotSet",h[h.None=0]="None",h[h.Italic=1]="Italic",h[h.Bold=2]="Bold",h[h.Underline=4]="Underline"})(i=e.FontStyle||(e.FontStyle={}));var T;(function(h){h[h.None=0]="None",h[h.DefaultForeground=1]="DefaultForeground",h[h.DefaultBackground=2]="DefaultBackground"})(T=e.ColorId||(e.ColorId={}));var k;(function(h){h[h.Other=0]="Other",h[h.Comment=1]="Comment",h[h.String=2]="String",h[h.RegEx=4]="RegEx"})(k=e.StandardTokenType||(e.StandardTokenType={}));var b;(function(h){h[h.LANGUAGEID_MASK=255]="LANGUAGEID_MASK",h[h.TOKEN_TYPE_MASK=1792]="TOKEN_TYPE_MASK",h[h.FONT_STYLE_MASK=14336]="FONT_STYLE_MASK",h[h.FOREGROUND_MASK=8372224]="FOREGROUND_MASK",h[h.BACKGROUND_MASK=4286578688]="BACKGROUND_MASK",h[h.ITALIC_MASK=2048]="ITALIC_MASK",h[h.BOLD_MASK=4096]="BOLD_MASK",h[h.UNDERLINE_MASK=8192]="UNDERLINE_MASK",h[h.SEMANTIC_USE_ITALIC=1]="SEMANTIC_USE_ITALIC",h[h.SEMANTIC_USE_BOLD=2]="SEMANTIC_USE_BOLD",h[h.SEMANTIC_USE_UNDERLINE=4]="SEMANTIC_USE_UNDERLINE",h[h.SEMANTIC_USE_FOREGROUND=8]="SEMANTIC_USE_FOREGROUND",h[h.SEMANTIC_USE_BACKGROUND=16]="SEMANTIC_USE_BACKGROUND",h[h.LANGUAGEID_OFFSET=0]="LANGUAGEID_OFFSET",h[h.TOKEN_TYPE_OFFSET=8]="TOKEN_TYPE_OFFSET",h[h.FONT_STYLE_OFFSET=11]="FONT_STYLE_OFFSET",h[h.FOREGROUND_OFFSET=14]="FOREGROUND_OFFSET",h[h.BACKGROUND_OFFSET=23]="BACKGROUND_OFFSET"})(b=e.MetadataConsts||(e.MetadataConsts={}));class f{static getLanguageId(w){return(w&255)>>>0}static getTokenType(w){return(w&1792)>>>8}static getFontStyle(w){return(w&14336)>>>11}static getForeground(w){return(w&8372224)>>>14}static getBackground(w){return(w&4286578688)>>>23}static getClassNameFromMetadata(w){let R=this.getForeground(w),L="mtk"+R,U=this.getFontStyle(w);return U&1&&(L+=" mtki"),U&2&&(L+=" mtkb"),U&4&&(L+=" mtku"),L}static getInlineStyleFromMetadata(w,R){const L=this.getForeground(w),U=this.getFontStyle(w);let J=`color: ${R[L]};`;return U&1&&(J+="font-style: italic;"),U&2&&(J+="font-weight: bold;"),U&4&&(J+="text-decoration: underline;"),J}}e.TokenMetadata=f;var l;(function(h){h[h.Method=0]="Method",h[h.Function=1]="Function",h[h.Constructor=2]="Constructor",h[h.Field=3]="Field",h[h.Variable=4]="Variable",h[h.Class=5]="Class",h[h.Struct=6]="Struct",h[h.Interface=7]="Interface",h[h.Module=8]="Module",h[h.Property=9]="Property",h[h.Event=10]="Event",h[h.Operator=11]="Operator",h[h.Unit=12]="Unit",h[h.Value=13]="Value",h[h.Constant=14]="Constant",h[h.Enum=15]="Enum",h[h.EnumMember=16]="EnumMember",h[h.Keyword=17]="Keyword",h[h.Text=18]="Text",h[h.Color=19]="Color",h[h.File=20]="File",h[h.Reference=21]="Reference",h[h.Customcolor=22]="Customcolor",h[h.Folder=23]="Folder",h[h.TypeParameter=24]="TypeParameter",h[h.User=25]="User",h[h.Issue=26]="Issue",h[h.Snippet=27]="Snippet"})(l=e.CompletionItemKind||(e.CompletionItemKind={})),e.completionKindToCssClass=function(){let h=Object.create(null);return h[0]="symbol-method",h[1]="symbol-function",h[2]="symbol-constructor",h[3]="symbol-field",h[4]="symbol-variable",h[5]="symbol-class",h[6]="symbol-struct",h[7]="symbol-interface",h[8]="symbol-module",h[9]="symbol-property",h[10]="symbol-event",h[11]="symbol-operator",h[12]="symbol-unit",h[13]="symbol-value",h[14]="symbol-constant",h[15]="symbol-enum",h[16]="symbol-enum-member",h[17]="symbol-keyword",h[27]="symbol-snippet",h[18]="symbol-text",h[19]="symbol-color",h[20]="symbol-file",h[21]="symbol-reference",h[22]="symbol-customcolor",h[23]="symbol-folder",h[24]="symbol-type-parameter",h[25]="account",h[26]="issues",function(w){const R=h[w];let L=R&&C.iconRegistry.get(R);return L||(console.info("No codicon found for CompletionItemKind "+w),L=C.Codicon.symbolProperty),L.classNames}}(),e.completionKindFromString=function(){let h=Object.create(null);return h.method=0,h.function=1,h.constructor=2,h.field=3,h.variable=4,h.class=5,h.struct=6,h.interface=7,h.module=8,h.property=9,h.event=10,h.operator=11,h.unit=12,h.value=13,h.constant=14,h.enum=15,h["enum-member"]=16,h.enumMember=16,h.keyword=17,h.snippet=27,h.text=18,h.color=19,h.file=20,h.reference=21,h.customcolor=22,h.folder=23,h["type-parameter"]=24,h.typeParameter=24,h.account=25,h.issue=26,function(w,R){let L=h[w];return typeof L=="undefined"&&!R&&(L=9),L}}();var m;(function(h){h[h.Deprecated=1]="Deprecated"})(m=e.CompletionItemTag||(e.CompletionItemTag={}));var S;(function(h){h[h.KeepWhitespace=1]="KeepWhitespace",h[h.InsertAsSnippet=4]="InsertAsSnippet"})(S=e.CompletionItemInsertTextRule||(e.CompletionItemInsertTextRule={}));var g;(function(h){h[h.Invoke=0]="Invoke",h[h.TriggerCharacter=1]="TriggerCharacter",h[h.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(g=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var _;(function(h){h[h.Auto=1]="Auto",h[h.Manual=2]="Manual"})(_=e.CodeActionTriggerType||(e.CodeActionTriggerType={}));var u;(function(h){h[h.Invoke=1]="Invoke",h[h.TriggerCharacter=2]="TriggerCharacter",h[h.ContentChange=3]="ContentChange"})(u=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var c;(function(h){h[h.Text=0]="Text",h[h.Read=1]="Read",h[h.Write=2]="Write"})(c=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));function o(h){return h&&v.URI.isUri(h.uri)&&D.Range.isIRange(h.range)&&(D.Range.isIRange(h.originSelectionRange)||D.Range.isIRange(h.targetSelectionRange))}e.isLocationLink=o;var t;(function(h){h[h.File=0]="File",h[h.Module=1]="Module",h[h.Namespace=2]="Namespace",h[h.Package=3]="Package",h[h.Class=4]="Class",h[h.Method=5]="Method",h[h.Property=6]="Property",h[h.Field=7]="Field",h[h.Constructor=8]="Constructor",h[h.Enum=9]="Enum",h[h.Interface=10]="Interface",h[h.Function=11]="Function",h[h.Variable=12]="Variable",h[h.Constant=13]="Constant",h[h.String=14]="String",h[h.Number=15]="Number",h[h.Boolean=16]="Boolean",h[h.Array=17]="Array",h[h.Object=18]="Object",h[h.Key=19]="Key",h[h.Null=20]="Null",h[h.EnumMember=21]="EnumMember",h[h.Struct=22]="Struct",h[h.Event=23]="Event",h[h.Operator=24]="Operator",h[h.TypeParameter=25]="TypeParameter"})(t=e.SymbolKind||(e.SymbolKind={}));var r;(function(h){h[h.Deprecated=1]="Deprecated"})(r=e.SymbolTag||(e.SymbolTag={}));var s;(function(h){const w=new Map;w.set("file",0),w.set("module",1),w.set("namespace",2),w.set("package",3),w.set("class",4),w.set("method",5),w.set("property",6),w.set("field",7),w.set("constructor",8),w.set("enum",9),w.set("interface",10),w.set("function",11),w.set("variable",12),w.set("constant",13),w.set("string",14),w.set("number",15),w.set("boolean",16),w.set("array",17),w.set("object",18),w.set("key",19),w.set("null",20),w.set("enum-member",21),w.set("struct",22),w.set("event",23),w.set("operator",24),w.set("type-parameter",25);const R=new Map;R.set(0,"file"),R.set(1,"module"),R.set(2,"namespace"),R.set(3,"package"),R.set(4,"class"),R.set(5,"method"),R.set(6,"property"),R.set(7,"field"),R.set(8,"constructor"),R.set(9,"enum"),R.set(10,"interface"),R.set(11,"function"),R.set(12,"variable"),R.set(13,"constant"),R.set(14,"string"),R.set(15,"number"),R.set(16,"boolean"),R.set(17,"array"),R.set(18,"object"),R.set(19,"key"),R.set(20,"null"),R.set(21,"enum-member"),R.set(22,"struct"),R.set(23,"event"),R.set(24,"operator"),R.set(25,"type-parameter");function L(Z){return w.get(Z)}h.fromString=L;function U(Z){return R.get(Z)}h.toString=U;function J(Z,z){const q=R.get(Z);let N=q&&C.iconRegistry.get("symbol-"+q);return N||(console.info("No codicon found for SymbolKind "+Z),N=C.Codicon.symbolProperty),`${z?"inline":"block"} ${N.classNames}`}h.toCssClassName=J})(s=e.SymbolKinds||(e.SymbolKinds={}));class a{constructor(w){this.value=w}}e.FoldingRangeKind=a,a.Comment=new a("comment"),a.Imports=new a("imports"),a.Region=new a("region");var n;(function(h){h[h.Collapsed=0]="Collapsed",h[h.Expanded=1]="Expanded"})(n=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var d;(function(h){h[h.Editing=0]="Editing",h[h.Preview=1]="Preview"})(d=e.CommentMode||(e.CommentMode={}));var p;(function(h){h[h.Other=0]="Other",h[h.Type=1]="Type",h[h.Parameter=2]="Parameter"})(p=e.InlineHintKind||(e.InlineHintKind={})),e.ReferenceProviderRegistry=new A.LanguageFeatureRegistry,e.RenameProviderRegistry=new A.LanguageFeatureRegistry,e.CompletionProviderRegistry=new A.LanguageFeatureRegistry,e.SignatureHelpProviderRegistry=new A.LanguageFeatureRegistry,e.HoverProviderRegistry=new A.LanguageFeatureRegistry,e.EvaluatableExpressionProviderRegistry=new A.LanguageFeatureRegistry,e.InlineValuesProviderRegistry=new A.LanguageFeatureRegistry,e.DocumentSymbolProviderRegistry=new A.LanguageFeatureRegistry,e.DocumentHighlightProviderRegistry=new A.LanguageFeatureRegistry,e.LinkedEditingRangeProviderRegistry=new A.LanguageFeatureRegistry,e.DefinitionProviderRegistry=new A.LanguageFeatureRegistry,e.DeclarationProviderRegistry=new A.LanguageFeatureRegistry,e.ImplementationProviderRegistry=new A.LanguageFeatureRegistry,e.TypeDefinitionProviderRegistry=new A.LanguageFeatureRegistry,e.CodeLensProviderRegistry=new A.LanguageFeatureRegistry,e.InlineHintsProviderRegistry=new A.LanguageFeatureRegistry,e.CodeActionProviderRegistry=new A.LanguageFeatureRegistry,e.DocumentFormattingEditProviderRegistry=new A.LanguageFeatureRegistry,e.DocumentRangeFormattingEditProviderRegistry=new A.LanguageFeatureRegistry,e.OnTypeFormattingEditProviderRegistry=new A.LanguageFeatureRegistry,e.LinkProviderRegistry=new A.LanguageFeatureRegistry,e.ColorProviderRegistry=new A.LanguageFeatureRegistry,e.SelectionRangeRegistry=new A.LanguageFeatureRegistry,e.FoldingRangeProviderRegistry=new A.LanguageFeatureRegistry,e.DocumentSemanticTokensProviderRegistry=new A.LanguageFeatureRegistry,e.DocumentRangeSemanticTokensProviderRegistry=new A.LanguageFeatureRegistry,e.TokenizationRegistry=new I.TokenizationRegistryImpl;var E;(function(h){h[h.None=0]="None",h[h.Option=1]="Option",h[h.Default=2]="Default",h[h.Preferred=3]="Preferred"})(E=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}))}),define(pe[178],ve([0,1,6,15,4,3,57,72]),function(Q,e,v,D,A,I,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullCommandService=e.CommandsRegistry=e.ICommandService=void 0,e.ICommandService=(0,A.createDecorator)("commandService"),e.CommandsRegistry=new class{constructor(){this._commands=new Map,this._onDidRegisterCommand=new I.Emitter,this.onDidRegisterCommand=this._onDidRegisterCommand.event}registerCommand(y,i){if(!y)throw new Error("invalid command");if(typeof y=="string"){if(!i)throw new Error("invalid command");return this.registerCommand({id:y,handler:i})}if(y.description){const l=[];for(let S of y.description.args)l.push(S.constraint);const m=y.handler;y.handler=function(S,...g){return(0,D.validateConstraints)(g,l),m(S,...g)}}const{id:T}=y;let k=this._commands.get(T);k||(k=new C.LinkedList,this._commands.set(T,k));let b=k.unshift(y),f=(0,v.toDisposable)(()=>{b();const l=this._commands.get(T);(l==null?void 0:l.isEmpty())&&this._commands.delete(T)});return this._onDidRegisterCommand.fire(T),f}registerCommandAlias(y,i){return e.CommandsRegistry.registerCommand(y,(T,...k)=>T.get(e.ICommandService).executeCommand(i,...k))}getCommand(y){const i=this._commands.get(y);if(!(!i||i.isEmpty()))return P.Iterable.first(i)}getCommands(){const y=new Map;for(const i of this._commands.keys()){const T=this.getCommand(i);T&&y.set(i,T)}return y}},e.NullCommandService={_serviceBrand:void 0,onWillExecuteCommand:()=>v.Disposable.None,onDidExecuteCommand:()=>v.Disposable.None,executeCommand(){return Promise.resolve(void 0)}}}),define(pe[60],ve([0,1,9,4,10]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyOrExpr=e.ContextKeyAndExpr=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.ContextKeyExpr=e.ContextKeyExprType=void 0;let I=A.userAgent||"";const C=new Map;C.set("false",!1),C.set("true",!0),C.set("isMac",A.isMacintosh),C.set("isLinux",A.isLinux),C.set("isWindows",A.isWindows),C.set("isWeb",A.isWeb),C.set("isMacNative",A.isMacintosh&&!A.isWeb),C.set("isEdge",I.indexOf("Edg/")>=0),C.set("isFirefox",I.indexOf("Firefox")>=0),C.set("isChrome",I.indexOf("Chrome")>=0),C.set("isSafari",I.indexOf("Safari")>=0),C.set("isIPad",I.indexOf("iPad")>=0);const P=Object.prototype.hasOwnProperty;var y;(function(h){h[h.False=0]="False",h[h.True=1]="True",h[h.Defined=2]="Defined",h[h.Not=3]="Not",h[h.Equals=4]="Equals",h[h.NotEquals=5]="NotEquals",h[h.And=6]="And",h[h.Regex=7]="Regex",h[h.NotRegex=8]="NotRegex",h[h.Or=9]="Or",h[h.In=10]="In",h[h.NotIn=11]="NotIn",h[h.Greater=12]="Greater",h[h.GreaterEquals=13]="GreaterEquals",h[h.Smaller=14]="Smaller",h[h.SmallerEquals=15]="SmallerEquals"})(y=e.ContextKeyExprType||(e.ContextKeyExprType={}));class i{static false(){return k.INSTANCE}static true(){return b.INSTANCE}static has(w){return f.create(w)}static equals(w,R){return l.create(w,R)}static notEquals(w,R){return g.create(w,R)}static regex(w,R){return r.create(w,R)}static in(w,R){return m.create(w,R)}static not(w){return _.create(w)}static and(...w){return a.create(w)}static or(...w){return n.create(w)}static greater(w,R){return u.create(w,R)}static less(w,R){return o.create(w,R)}static deserialize(w,R=!1){if(!!w)return this._deserializeOrExpression(w,R)}static _deserializeOrExpression(w,R){let L=w.split("||");return n.create(L.map(U=>this._deserializeAndExpression(U,R)))}static _deserializeAndExpression(w,R){let L=w.split("&&");return a.create(L.map(U=>this._deserializeOne(U,R)))}static _deserializeOne(w,R){if(w=w.trim(),w.indexOf("!=")>=0){let L=w.split("!=");return g.create(L[0].trim(),this._deserializeValue(L[1],R))}if(w.indexOf("==")>=0){let L=w.split("==");return l.create(L[0].trim(),this._deserializeValue(L[1],R))}if(w.indexOf("=~")>=0){let L=w.split("=~");return r.create(L[0].trim(),this._deserializeRegexValue(L[1],R))}if(w.indexOf(" in ")>=0){let L=w.split(" in ");return m.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(w)){const L=w.split(">=");return c.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(w)){const L=w.split(">");return u.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(w)){const L=w.split("<=");return t.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(w)){const L=w.split("<");return o.create(L[0].trim(),L[1].trim())}return/^\!\s*/.test(w)?_.create(w.substr(1).trim()):f.create(w)}static _deserializeValue(w,R){if(w=w.trim(),w==="true")return!0;if(w==="false")return!1;let L=/^'([^']*)'$/.exec(w);return L?L[1].trim():w}static _deserializeRegexValue(w,R){if((0,v.isFalsyOrWhitespace)(w)){if(R)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let L=w.indexOf("/"),U=w.lastIndexOf("/");if(L===U||L<0){if(R)throw new Error(`bad regexp-value '${w}', missing /-enclosure`);return console.warn(`bad regexp-value '${w}', missing /-enclosure`),null}let J=w.slice(L+1,U),Z=w[U+1]==="i"?"i":"";try{return new RegExp(J,Z)}catch(z){if(R)throw new Error(`bad regexp-value '${w}', parse error: ${z}`);return console.warn(`bad regexp-value '${w}', parse error: ${z}`),null}}}e.ContextKeyExpr=i;function T(h,w){return h.cmp(w)}class k{constructor(){this.type=0}cmp(w){return this.type-w.type}equals(w){return w.type===this.type}evaluate(w){return!1}serialize(){return"false"}keys(){return[]}map(w){return this}negate(){return b.INSTANCE}}e.ContextKeyFalseExpr=k,k.INSTANCE=new k;class b{constructor(){this.type=1}cmp(w){return this.type-w.type}equals(w){return w.type===this.type}evaluate(w){return!0}serialize(){return"true"}keys(){return[]}map(w){return this}negate(){return k.INSTANCE}}e.ContextKeyTrueExpr=b,b.INSTANCE=new b;class f{constructor(w){this.key=w,this.type=2}static create(w){const R=C.get(w);return typeof R=="boolean"?R?b.INSTANCE:k.INSTANCE:new f(w)}cmp(w){return w.type!==this.type?this.type-w.type:p(this.key,w.key)}equals(w){return w.type===this.type?this.key===w.key:!1}evaluate(w){return!!w.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(w){return w.mapDefined(this.key)}negate(){return _.create(this.key)}}e.ContextKeyDefinedExpr=f;class l{constructor(w,R){this.key=w,this.value=R,this.type=4}static create(w,R){if(typeof R=="boolean")return R?f.create(w):_.create(w);const L=C.get(w);return typeof L=="boolean"?R===(L?"true":"false")?b.INSTANCE:k.INSTANCE:new l(w,R)}cmp(w){return w.type!==this.type?this.type-w.type:E(this.key,this.value,w.key,w.value)}equals(w){return w.type===this.type?this.key===w.key&&this.value===w.value:!1}evaluate(w){return w.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(w){return w.mapEquals(this.key,this.value)}negate(){return g.create(this.key,this.value)}}e.ContextKeyEqualsExpr=l;class m{constructor(w,R){this.key=w,this.valueKey=R,this.type=10}static create(w,R){return new m(w,R)}cmp(w){return w.type!==this.type?this.type-w.type:E(this.key,this.valueKey,w.key,w.valueKey)}equals(w){return w.type===this.type?this.key===w.key&&this.valueKey===w.valueKey:!1}evaluate(w){const R=w.getValue(this.valueKey),L=w.getValue(this.key);return Array.isArray(R)?R.indexOf(L)>=0:typeof L=="string"&&typeof R=="object"&&R!==null?P.call(R,L):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(w){return w.mapIn(this.key,this.valueKey)}negate(){return S.create(this)}}e.ContextKeyInExpr=m;class S{constructor(w){this._actual=w,this.type=11}static create(w){return new S(w)}cmp(w){return w.type!==this.type?this.type-w.type:this._actual.cmp(w._actual)}equals(w){return w.type===this.type?this._actual.equals(w._actual):!1}evaluate(w){return!this._actual.evaluate(w)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(w){return new S(this._actual.map(w))}negate(){return this._actual}}e.ContextKeyNotInExpr=S;class g{constructor(w,R){this.key=w,this.value=R,this.type=5}static create(w,R){if(typeof R=="boolean")return R?_.create(w):f.create(w);const L=C.get(w);return typeof L=="boolean"?R===(L?"true":"false")?k.INSTANCE:b.INSTANCE:new g(w,R)}cmp(w){return w.type!==this.type?this.type-w.type:E(this.key,this.value,w.key,w.value)}equals(w){return w.type===this.type?this.key===w.key&&this.value===w.value:!1}evaluate(w){return w.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(w){return w.mapNotEquals(this.key,this.value)}negate(){return l.create(this.key,this.value)}}e.ContextKeyNotEqualsExpr=g;class _{constructor(w){this.key=w,this.type=3}static create(w){const R=C.get(w);return typeof R=="boolean"?R?k.INSTANCE:b.INSTANCE:new _(w)}cmp(w){return w.type!==this.type?this.type-w.type:p(this.key,w.key)}equals(w){return w.type===this.type?this.key===w.key:!1}evaluate(w){return!w.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(w){return w.mapNot(this.key)}negate(){return f.create(this.key)}}e.ContextKeyNotExpr=_;class u{constructor(w,R){this.key=w,this.value=R,this.type=12}static create(w,R){return new u(w,R)}cmp(w){return w.type!==this.type?this.type-w.type:E(this.key,this.value,w.key,w.value)}equals(w){return w.type===this.type?this.key===w.key&&this.value===w.value:!1}evaluate(w){return parseFloat(w.getValue(this.key))>parseFloat(this.value)}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(w){return w.mapGreater(this.key,this.value)}negate(){return t.create(this.key,this.value)}}e.ContextKeyGreaterExpr=u;class c{constructor(w,R){this.key=w,this.value=R,this.type=13}static create(w,R){return new c(w,R)}cmp(w){return w.type!==this.type?this.type-w.type:E(this.key,this.value,w.key,w.value)}equals(w){return w.type===this.type?this.key===w.key&&this.value===w.value:!1}evaluate(w){return parseFloat(w.getValue(this.key))>=parseFloat(this.value)}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(w){return w.mapGreaterEquals(this.key,this.value)}negate(){return o.create(this.key,this.value)}}e.ContextKeyGreaterEqualsExpr=c;class o{constructor(w,R){this.key=w,this.value=R,this.type=14}static create(w,R){return new o(w,R)}cmp(w){return w.type!==this.type?this.type-w.type:E(this.key,this.value,w.key,w.value)}equals(w){return w.type===this.type?this.key===w.key&&this.value===w.value:!1}evaluate(w){return parseFloat(w.getValue(this.key))<parseFloat(this.value)}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(w){return w.mapSmaller(this.key,this.value)}negate(){return c.create(this.key,this.value)}}e.ContextKeySmallerExpr=o;class t{constructor(w,R){this.key=w,this.value=R,this.type=15}static create(w,R){return new t(w,R)}cmp(w){return w.type!==this.type?this.type-w.type:E(this.key,this.value,w.key,w.value)}equals(w){return w.type===this.type?this.key===w.key&&this.value===w.value:!1}evaluate(w){return parseFloat(w.getValue(this.key))<=parseFloat(this.value)}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(w){return w.mapSmallerEquals(this.key,this.value)}negate(){return u.create(this.key,this.value)}}e.ContextKeySmallerEqualsExpr=t;class r{constructor(w,R){this.key=w,this.regexp=R,this.type=7}static create(w,R){return new r(w,R)}cmp(w){if(w.type!==this.type)return this.type-w.type;if(this.key<w.key)return-1;if(this.key>w.key)return 1;const R=this.regexp?this.regexp.source:"",L=w.regexp?w.regexp.source:"";return R<L?-1:R>L?1:0}equals(w){if(w.type===this.type){const R=this.regexp?this.regexp.source:"",L=w.regexp?w.regexp.source:"";return this.key===w.key&&R===L}return!1}evaluate(w){let R=w.getValue(this.key);return this.regexp?this.regexp.test(R):!1}serialize(){const w=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${w}`}keys(){return[this.key]}map(w){return w.mapRegex(this.key,this.regexp)}negate(){return s.create(this)}}e.ContextKeyRegexExpr=r;class s{constructor(w){this._actual=w,this.type=8}static create(w){return new s(w)}cmp(w){return w.type!==this.type?this.type-w.type:this._actual.cmp(w._actual)}equals(w){return w.type===this.type?this._actual.equals(w._actual):!1}evaluate(w){return!this._actual.evaluate(w)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(w){return new s(this._actual.map(w))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=s;class a{constructor(w){this.expr=w,this.type=6}static create(w){return a._normalizeArr(w)}cmp(w){if(w.type!==this.type)return this.type-w.type;if(this.expr.length<w.expr.length)return-1;if(this.expr.length>w.expr.length)return 1;for(let R=0,L=this.expr.length;R<L;R++){const U=T(this.expr[R],w.expr[R]);if(U!==0)return U}return 0}equals(w){if(w.type===this.type){if(this.expr.length!==w.expr.length)return!1;for(let R=0,L=this.expr.length;R<L;R++)if(!this.expr[R].equals(w.expr[R]))return!1;return!0}return!1}evaluate(w){for(let R=0,L=this.expr.length;R<L;R++)if(!this.expr[R].evaluate(w))return!1;return!0}static _normalizeArr(w){const R=[];let L=!1;for(const U of w)if(!!U){if(U.type===1){L=!0;continue}if(U.type===0)return k.INSTANCE;if(U.type===6){R.push(...U.expr);continue}R.push(U)}if(R.length===0&&L)return b.INSTANCE;if(R.length!==0){if(R.length===1)return R[0];for(R.sort(T);R.length>1;){const U=R[R.length-1];if(U.type!==9)break;R.pop();const J=R.pop(),Z=n.create(U.expr.map(z=>a.create([z,J])));Z&&(R.push(Z),R.sort(T))}return R.length===1?R[0]:new a(R)}}serialize(){return this.expr.map(w=>w.serialize()).join(" && ")}keys(){const w=[];for(let R of this.expr)w.push(...R.keys());return w}map(w){return new a(this.expr.map(R=>R.map(w)))}negate(){let w=[];for(let R of this.expr)w.push(R.negate());return n.create(w)}}e.ContextKeyAndExpr=a;class n{constructor(w){this.expr=w,this.type=9}static create(w){const R=n._normalizeArr(w);if(R.length!==0)return R.length===1?R[0]:new n(R)}cmp(w){if(w.type!==this.type)return this.type-w.type;if(this.expr.length<w.expr.length)return-1;if(this.expr.length>w.expr.length)return 1;for(let R=0,L=this.expr.length;R<L;R++){const U=T(this.expr[R],w.expr[R]);if(U!==0)return U}return 0}equals(w){if(w.type===this.type){if(this.expr.length!==w.expr.length)return!1;for(let R=0,L=this.expr.length;R<L;R++)if(!this.expr[R].equals(w.expr[R]))return!1;return!0}return!1}evaluate(w){for(let R=0,L=this.expr.length;R<L;R++)if(this.expr[R].evaluate(w))return!0;return!1}static _normalizeArr(w){let R=[],L=!1;if(w){for(let U=0,J=w.length;U<J;U++){const Z=w[U];if(!!Z){if(Z.type===0){L=!0;continue}if(Z.type===1)return[b.INSTANCE];if(Z.type===9){R=R.concat(Z.expr);continue}R.push(Z)}}if(R.length===0&&L)return[k.INSTANCE];R.sort(T)}return R}serialize(){return this.expr.map(w=>w.serialize()).join(" || ")}keys(){const w=[];for(let R of this.expr)w.push(...R.keys());return w}map(w){return new n(this.expr.map(R=>R.map(w)))}negate(){let w=[];for(let L of this.expr)w.push(L.negate());const R=L=>L.type===9?L.expr:[L];for(;w.length>1;){const L=w.shift(),U=w.shift(),J=[];for(const Z of R(L))for(const z of R(U))J.push(i.and(Z,z));w.unshift(i.or(...J))}return w[0]}}e.ContextKeyOrExpr=n;class d extends f{constructor(w,R,L){super(w);this.key=w,this._defaultValue=R,typeof L=="object"?d._info.push(Object.assign(Object.assign({},L),{key:w})):L!==!0&&d._info.push({key:w,description:L,type:R!=null?typeof R:void 0})}static all(){return d._info.values()}bindTo(w){return w.createKey(this.key,this._defaultValue)}getValue(w){return w.getContextKeyValue(this.key)}toNegated(){return i.not(this.key)}isEqualTo(w){return i.equals(this.key,w)}notEqualsTo(w){return i.notEquals(this.key,w)}}e.RawContextKey=d,d._info=[],e.IContextKeyService=(0,D.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function p(h,w){return h<w?-1:h>w?1:0}function E(h,w,R,L){return h<R?-1:h>R?1:w<L?-1:w>L?1:0}}),define(pe[179],ve([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,v.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,v.refineServiceDecorator)(e.IEnvironmentService)}),define(pe[180],ve([0,1,151,4,11]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.INSTALL_ERROR_INCOMPATIBLE=e.INSTALL_ERROR_MALICIOUS=e.INSTALL_ERROR_NOT_SUPPORTED=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN);function I(k){return k&&typeof k=="object"&&typeof k.id=="string"&&(!k.uuid||typeof k.uuid=="string")}e.isIExtensionIdentifier=I;var C;(function(k){k[k.NoneOrRelevance=0]="NoneOrRelevance",k[k.LastUpdatedDate=1]="LastUpdatedDate",k[k.Title=2]="Title",k[k.PublisherName=3]="PublisherName",k[k.InstallCount=4]="InstallCount",k[k.PublishedDate=5]="PublishedDate",k[k.AverageRating=6]="AverageRating",k[k.WeightedRating=12]="WeightedRating"})(C=e.SortBy||(e.SortBy={}));var P;(function(k){k[k.Default=0]="Default",k[k.Ascending=1]="Ascending",k[k.Descending=2]="Descending"})(P=e.SortOrder||(e.SortOrder={}));var y;(function(k){k.Uninstall="uninstall"})(y=e.StatisticType||(e.StatisticType={}));var i;(function(k){k[k.None=0]="None",k[k.Install=1]="Install",k[k.Update=2]="Update"})(i=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,D.createDecorator)("extensionGalleryService"),e.INSTALL_ERROR_NOT_SUPPORTED="notsupported",e.INSTALL_ERROR_MALICIOUS="malicious",e.INSTALL_ERROR_INCOMPATIBLE="incompatible";class T extends Error{constructor(b,f){super(b);this.code=f}}e.ExtensionManagementError=T,e.IExtensionManagementService=(0,D.createDecorator)("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,D.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,D.createDecorator)("IExtensionTipsService"),e.DefaultIconPath=A.FileAccess.asBrowserUri("./media/defaultIcon.png",Q).toString(!0),e.ExtensionsLabel=(0,v.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,v.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,D.createDecorator)("IExtensionManagementCLIService")}),define(pe[29],ve([0,1,9,4]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isAuthenticaionProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin";function A(i){return i&&typeof i=="object"&&typeof i.id=="string"&&(!i.uuid||typeof i.uuid=="string")}e.isIExtensionIdentifier=A,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var I;(function(i){i[i.System=0]="System",i[i.User=1]="User"})(I=e.ExtensionType||(e.ExtensionType={}));class C{constructor(T){this.value=T,this._lower=T.toLowerCase()}static equals(T,k){if(typeof T=="undefined"||T===null)return typeof k=="undefined"||k===null;if(typeof k=="undefined"||k===null)return!1;if(typeof T=="string"||typeof k=="string"){let b=typeof T=="string"?T:T.value,f=typeof k=="string"?k:k.value;return v.equalsIgnoreCase(b,f)}return T._lower===k._lower}static toKey(T){return typeof T=="string"?T.toLowerCase():T._lower}}e.ExtensionIdentifier=C;function P(i){return i.contributes&&i.contributes.localizations?i.contributes.localizations.length>0:!1}e.isLanguagePackExtension=P;function y(i){return i.contributes&&i.contributes.authentication?i.contributes.authentication.length>0:!1}e.isAuthenticaionProviderExtension=y,e.IBuiltinExtensionsScannerService=(0,D.createDecorator)("IBuiltinExtensionsScannerService")}),define(pe[181],ve([0,1,9,29]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function A(f,l){return f.uuid&&l.uuid?f.uuid===l.uuid:f.id===l.id?!0:(0,v.compareIgnoreCase)(f.id,l.id)===0}e.areSameExtensions=A;class I{constructor(l,m){this.version=m,this.id=l.id,this.uuid=l.uuid}key(){return`${this.id}-${this.version}`}equals(l){return l instanceof I?A(this,l)&&this.version===l.version:!1}}e.ExtensionIdentifierWithVersion=I;function C(f,l){return`${f}.${l}`}e.getExtensionId=C;function P(f){return f.toLocaleLowerCase()}e.adoptToGalleryExtensionId=P;function y(f,l){return P(C(f,l))}e.getGalleryExtensionId=y;function i(f,l){const m=[],S=g=>{for(const _ of m)if(_.some(u=>A(l(u),l(g))))return _;return null};for(const g of f){const _=S(g);_?_.push(g):m.push([g])}return m}e.groupByExtension=i;function T(f){return{id:f.identifier.id,name:f.manifest.name,galleryId:null,publisherId:f.publisherId,publisherName:f.manifest.publisher,publisherDisplayName:f.publisherDisplayName,dependencies:f.manifest.extensionDependencies&&f.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=T;function k(f){return Object.assign({id:f.identifier.id,name:f.name,galleryId:f.identifier.uuid,publisherId:f.publisherId,publisherName:f.publisher,publisherDisplayName:f.publisherDisplayName,dependencies:!!(f.properties.dependencies&&f.properties.dependencies.length>0)},f.telemetryData)}e.getGalleryExtensionTelemetryData=k,e.BetterMergeId=new D.ExtensionIdentifier("pprice.better-merge");function b(f){const l=new Set;for(const m of f)m.malicious&&l.add(m.id.id);return l}e.getMaliciousExtensionsSet=b}),define(pe[49],ve([0,1,152,7,2,4,9,15,23]),function(Q,e,v,D,A,I,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FileType=e.IFileService=void 0,e.IFileService=(0,I.createDecorator)("fileService");var i;(function(L){L[L.Unknown=0]="Unknown",L[L.File=1]="File",L[L.Directory=2]="Directory",L[L.SymbolicLink=64]="SymbolicLink"})(i=e.FileType||(e.FileType={}));var T;(function(L){L[L.FileReadWrite=2]="FileReadWrite",L[L.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",L[L.FileReadStream=16]="FileReadStream",L[L.FileFolderCopy=8]="FileFolderCopy",L[L.PathCaseSensitive=1024]="PathCaseSensitive",L[L.Readonly=2048]="Readonly",L[L.Trash=4096]="Trash"})(T=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function k(L){return!!(L.capabilities&2)}e.hasReadWriteCapability=k;function b(L){return!!(L.capabilities&8)}e.hasFileFolderCopyCapability=b;function f(L){return!!(L.capabilities&4)}e.hasOpenReadWriteCloseCapability=f;function l(L){return!!(L.capabilities&16)}e.hasFileReadStreamCapability=l;var m;(function(L){L.FileExists="EntryExists",L.FileNotFound="EntryNotFound",L.FileNotADirectory="EntryNotADirectory",L.FileIsADirectory="EntryIsADirectory",L.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",L.FileTooLarge="EntryTooLarge",L.NoPermissions="NoPermissions",L.Unavailable="Unavailable",L.Unknown="Unknown"})(m=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class S extends Error{constructor(U,J){super(U);this.code=J}}e.FileSystemProviderError=S;function g(L,U){const J=new S(L.toString(),U);return u(J,U),J}e.createFileSystemProviderError=g;function _(L){return L||g((0,v.localize)(0,null),m.Unknown)}e.ensureFileSystemProviderError=_;function u(L,U){return L.name=U?`${U} (FileSystemError)`:"FileSystemError",L}e.markAsFileSystemProviderError=u;function c(L){if(!L)return m.Unknown;if(L instanceof S)return L.code;const U=/^(.+) \(FileSystemError\)$/.exec(L.name);if(!U)return m.Unknown;switch(U[1]){case m.FileExists:return m.FileExists;case m.FileIsADirectory:return m.FileIsADirectory;case m.FileNotADirectory:return m.FileNotADirectory;case m.FileNotFound:return m.FileNotFound;case m.FileExceedsMemoryLimit:return m.FileExceedsMemoryLimit;case m.FileTooLarge:return m.FileTooLarge;case m.NoPermissions:return m.NoPermissions;case m.Unavailable:return m.Unavailable}return m.Unknown}e.toFileSystemProviderErrorCode=c;function o(L){if(L instanceof d)return L.fileOperationResult;switch(c(L)){case m.FileNotFound:return 1;case m.FileIsADirectory:return 0;case m.FileNotADirectory:return 10;case m.NoPermissions:return 6;case m.FileExists:return 4;case m.FileExceedsMemoryLimit:return 9;case m.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=o;var t;(function(L){L[L.CREATE=0]="CREATE",L[L.DELETE=1]="DELETE",L[L.MOVE=2]="MOVE",L[L.COPY=3]="COPY"})(t=e.FileOperation||(e.FileOperation={}));class r{constructor(U,J,Z){this.resource=U,this.operation=J,this.target=Z}isOperation(U){return this.operation===U}}e.FileOperationEvent=r;var s;(function(L){L[L.UPDATED=0]="UPDATED",L[L.ADDED=1]="ADDED",L[L.DELETED=2]="DELETED"})(s=e.FileChangeType||(e.FileChangeType={}));class a{constructor(U,J){this.ignorePathCasing=J,this.added=void 0,this.updated=void 0,this.deleted=void 0,this.changes=U;for(const Z of U)switch(Z.type){case 1:this.added||(this.added=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.added.set(Z.resource,Z);break;case 0:this.updated||(this.updated=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.updated.set(Z.resource,Z);break;case 2:this.deleted||(this.deleted=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.deleted.set(Z.resource,Z);break}}contains(U,...J){return this.doContains(U,{includeChildren:!1},...J)}affects(U,...J){return this.doContains(U,{includeChildren:!0},...J)}doContains(U,J,...Z){var z,q,N,W,M,O;if(!U)return!1;const F=Z.length>0;return!!((!F||Z.includes(1))&&(((z=this.added)===null||z===void 0?void 0:z.get(U))||J.includeChildren&&((q=this.added)===null||q===void 0?void 0:q.findSuperstr(U)))||(!F||Z.includes(0))&&(((N=this.updated)===null||N===void 0?void 0:N.get(U))||J.includeChildren&&((W=this.updated)===null||W===void 0?void 0:W.findSuperstr(U)))||(!F||Z.includes(2))&&(((M=this.deleted)===null||M===void 0?void 0:M.findSubstr(U))||J.includeChildren&&((O=this.deleted)===null||O===void 0?void 0:O.findSuperstr(U))))}getAdded(){return this.getOfType(1)}gotAdded(){return!!this.added}getDeleted(){return this.getOfType(2)}gotDeleted(){return!!this.deleted}getUpdated(){return this.getOfType(0)}gotUpdated(){return!!this.updated}getOfType(U){const J=[],Z=U===1?this.added:U===0?this.updated:this.deleted;if(Z)for(const[,z]of Z)J.push(z);return J}filter(U){return new a(this.changes.filter(J=>U(J)),this.ignorePathCasing)}}e.FileChangesEvent=a;function n(L,U,J){return!L||!U||L===U||U.length>L.length?!1:(U.charAt(U.length-1)!==D.sep&&(U+=D.sep),J?(0,C.startsWithIgnoreCase)(L,U):L.indexOf(U)===0)}e.isParent=n;class d extends Error{constructor(U,J,Z){super(U);this.fileOperationResult=J,this.options=Z}static isFileOperationError(U){return U instanceof Error&&!(0,P.isUndefinedOrNull)(U.fileOperationResult)}}e.FileOperationError=d;var p;(function(L){L[L.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",L[L.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",L[L.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",L[L.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",L[L.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",L[L.FILE_READ_ONLY=5]="FILE_READ_ONLY",L[L.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",L[L.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",L[L.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",L[L.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",L[L.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",L[L.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(p=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var E;(function(L){L[L.FILE=0]="FILE",L[L.FOLDER=1]="FOLDER",L[L.ROOT_FOLDER=2]="ROOT_FOLDER"})(E=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function h(L){if(!(typeof L.size!="number"||typeof L.mtime!="number"))return L.mtime.toString(29)+L.size.toString(31)}e.etag=h;async function w(L,U){if(!U.canHandleResource(A.URI.from({scheme:L.scheme})))return new Promise(J=>{const Z=U.onDidChangeFileSystemProviderRegistrations(z=>{z.scheme===L.scheme&&z.added&&(Z.dispose(),J())})})}e.whenProviderRegistered=w,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class R{static formatSize(U){return(0,P.isNumber)(U)||(U=0),U<R.KB?(0,v.localize)(1,null,U.toFixed(0)):U<R.MB?(0,v.localize)(2,null,(U/R.KB).toFixed(2)):U<R.GB?(0,v.localize)(3,null,(U/R.MB).toFixed(2)):U<R.TB?(0,v.localize)(4,null,(U/R.GB).toFixed(2)):(0,v.localize)(5,null,(U/R.TB).toFixed(2))}}e.ByteSize=R,R.KB=1024,R.MB=R.KB*R.KB,R.GB=R.MB*R.KB,R.TB=R.GB*R.KB}),define(pe[82],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class v{constructor(...A){this._entries=new Map;for(let[I,C]of A)this.set(I,C)}set(A,I){const C=this._entries.get(A);return this._entries.set(A,I),C}has(A){return this._entries.has(A)}get(A){return this._entries.get(A)}}e.ServiceCollection=v}),define(pe[182],ve([0,1,18,175,107,4,82,19]),function(Q,e,v,D,A,I,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const y=!1;class i extends Error{constructor(l){super("cyclic dependency between services");this.message=l.toString()}}class T{constructor(l=new C.ServiceCollection,m=!1,S){this._activeInstantiations=new Set,this._services=l,this._strict=m,this._parent=S,this._services.set(I.IInstantiationService,this)}createChild(l){return new T(l,this._strict,this)}invokeFunction(l,...m){let S=b.traceInvocation(l),g=!1;try{return l({get:(u,c)=>{if(g)throw(0,v.illegalState)("service accessor is only valid during the invocation of its target method");const o=this._getOrCreateServiceInstance(u,S);if(!o&&c!==I.optional)throw new Error(`[invokeFunction] unknown service '${u}'`);return o}},...m)}finally{g=!0,S.stop()}}createInstance(l,...m){let S,g;return l instanceof A.SyncDescriptor?(S=b.traceCreation(l.ctor),g=this._createInstance(l.ctor,l.staticArguments.concat(m),S)):(S=b.traceCreation(l),g=this._createInstance(l,m,S)),S.stop(),g}_createInstance(l,m=[],S){let g=I._util.getServiceDependencies(l).sort((c,o)=>c.index-o.index),_=[];for(const c of g){let o=this._getOrCreateServiceInstance(c.id,S);if(!o&&this._strict&&!c.optional)throw new Error(`[createInstance] ${l.name} depends on UNKNOWN service ${c.id}.`);_.push(o)}let u=g.length>0?g[0].index:m.length;if(m.length!==u){console.warn(`[createInstance] First service dependency of ${l.name} at position ${u+1} conflicts with ${m.length} static arguments`);let c=u-m.length;c>0?m=m.concat(new Array(c)):m=m.slice(0,u)}return new l(...[...m,..._])}_setServiceInstance(l,m){if(this._services.get(l)instanceof A.SyncDescriptor)this._services.set(l,m);else if(this._parent)this._parent._setServiceInstance(l,m);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(l){let m=this._services.get(l);return!m&&this._parent?this._parent._getServiceInstanceOrDescriptor(l):m}_getOrCreateServiceInstance(l,m){let S=this._getServiceInstanceOrDescriptor(l);return S instanceof A.SyncDescriptor?this._safeCreateAndCacheServiceInstance(l,S,m.branch(l,!0)):(m.branch(l,!1),S)}_safeCreateAndCacheServiceInstance(l,m,S){if(this._activeInstantiations.has(l))throw new Error(`illegal state - RECURSIVELY instantiating service '${l}'`);this._activeInstantiations.add(l);try{return this._createAndCacheServiceInstance(l,m,S)}finally{this._activeInstantiations.delete(l)}}_createAndCacheServiceInstance(l,m,S){const g=new D.Graph(c=>c.id.toString());let _=0;const u=[{id:l,desc:m,_trace:S}];for(;u.length;){const c=u.pop();if(g.lookupOrInsertNode(c),_++>1e3)throw new i(g);for(let o of I._util.getServiceDependencies(c.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(o.id);if(!t&&!o.optional&&console.warn(`[createInstance] ${l} depends on ${o.id} which is NOT registered.`),t instanceof A.SyncDescriptor){const r={id:o.id,desc:t,_trace:c._trace.branch(o.id,!0)};g.insertEdge(c,r),u.push(r)}}}for(;;){const c=g.roots();if(c.length===0){if(!g.isEmpty())throw new i(g);break}for(const{data:o}of c){if(this._getServiceInstanceOrDescriptor(o.id)instanceof A.SyncDescriptor){const r=this._createServiceInstanceWithOwner(o.id,o.desc.ctor,o.desc.staticArguments,o.desc.supportsDelayedInstantiation,o._trace);this._setServiceInstance(o.id,r)}g.removeNode(o)}}return this._getServiceInstanceOrDescriptor(l)}_createServiceInstanceWithOwner(l,m,S=[],g,_){if(this._services.get(l)instanceof A.SyncDescriptor)return this._createServiceInstance(m,S,g,_);if(this._parent)return this._parent._createServiceInstanceWithOwner(l,m,S,g,_);throw new Error(`illegalState - creating UNKNOWN service instance ${m.name}`)}_createServiceInstance(l,m=[],S,g){if(S){const _=new P.IdleValue(()=>this._createInstance(l,m,g));return new Proxy(Object.create(null),{get(u,c){if(c in u)return u[c];let o=_.value,t=o[c];return typeof t!="function"||(t=t.bind(o),u[c]=t),t},set(u,c,o){return _.value[c]=o,!0}})}else return this._createInstance(l,m,g)}}e.InstantiationService=T;var k;(function(f){f[f.Creation=0]="Creation",f[f.Invocation=1]="Invocation",f[f.Branch=2]="Branch"})(k||(k={}));class b{constructor(l,m){this.type=l,this.name=m,this._start=Date.now(),this._dep=[]}static traceInvocation(l){return y?new b(1,l.name||l.toString().substring(0,42).replace(/\n/g,"")):b._None}static traceCreation(l){return y?new b(0,l.name):b._None}branch(l,m){let S=new b(2,l.toString());return this._dep.push([l,m,S]),S}stop(){let l=Date.now()-this._start;b._totals+=l;let m=!1;function S(_,u){let c=[],o=new Array(_+1).join("	");for(const[t,r,s]of u._dep)if(r&&s){m=!0,c.push(`${o}CREATES -> ${t}`);let a=S(_+1,s);a&&c.push(a)}else c.push(`${o}uses -> ${t}`);return c.join(`
`)}let g=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${S(1,this)}`,`DONE, took ${l.toFixed(2)}ms (grand total ${b._totals.toFixed(2)}ms)`];(l>2||m)&&console.log(g.join(`
`))}}b._None=new class extends b{constructor(){super(-1,null)}stop(){}branch(){return this}},b._totals=0}),define(pe[13],ve([0,1,4,6,10,3,59]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,v.createDecorator)("logService"),e.ILoggerService=(0,v.createDecorator)("loggerService");function P(){return new Date().toISOString()}var y;(function(c){c[c.Trace=0]="Trace",c[c.Debug=1]="Debug",c[c.Info=2]="Info",c[c.Warning=3]="Warning",c[c.Error=4]="Error",c[c.Critical=5]="Critical",c[c.Off=6]="Off"})(y=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=y.Info;class i extends D.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new I.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(o){this.level!==o&&(this.level=o,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=i;class T extends i{constructor(o){super();this.logAlways=o}checkLogLevel(o){return this.logAlways||this.getLevel()<=o}trace(o,...t){this.checkLogLevel(y.Trace)&&this.log(y.Trace,this.format([o,...t]))}debug(o,...t){this.checkLogLevel(y.Debug)&&this.log(y.Debug,this.format([o,...t]))}info(o,...t){this.checkLogLevel(y.Info)&&this.log(y.Info,this.format([o,...t]))}warn(o,...t){this.checkLogLevel(y.Warning)&&this.log(y.Warning,this.format([o,...t]))}error(o,...t){if(this.checkLogLevel(y.Error))if(o instanceof Error){const r=Array.prototype.slice.call(arguments);r[0]=o.stack,this.log(y.Error,this.format(r))}else this.log(y.Error,this.format([o,...t]))}critical(o,...t){this.checkLogLevel(y.Critical)&&this.log(y.Critical,this.format([o,...t]))}flush(){}format(o){let t="";for(let r=0;r<o.length;r++){let s=o[r];if(typeof s=="object")try{s=JSON.stringify(s)}catch(a){}t+=(r>0?" ":"")+s}return t}}e.AbstractMessageLogger=T;class k extends i{constructor(o=e.DEFAULT_LOG_LEVEL){super();this.setLevel(o),this.useColors=!A.isWindows}trace(o,...t){this.getLevel()<=y.Trace&&(this.useColors?console.log(`[90m[main ${P()}][0m`,o,...t):console.log(`[main ${P()}]`,o,...t))}debug(o,...t){this.getLevel()<=y.Debug&&(this.useColors?console.log(`[90m[main ${P()}][0m`,o,...t):console.log(`[main ${P()}]`,o,...t))}info(o,...t){this.getLevel()<=y.Info&&(this.useColors?console.log(`[90m[main ${P()}][0m`,o,...t):console.log(`[main ${P()}]`,o,...t))}warn(o,...t){this.getLevel()<=y.Warning&&(this.useColors?console.warn(`[93m[main ${P()}][0m`,o,...t):console.warn(`[main ${P()}]`,o,...t))}error(o,...t){this.getLevel()<=y.Error&&(this.useColors?console.error(`[91m[main ${P()}][0m`,o,...t):console.error(`[main ${P()}]`,o,...t))}critical(o,...t){this.getLevel()<=y.Critical&&(this.useColors?console.error(`[90m[main ${P()}][0m`,o,...t):console.error(`[main ${P()}]`,o,...t))}dispose(){}flush(){}}e.ConsoleMainLogger=k;class b extends i{constructor(o=e.DEFAULT_LOG_LEVEL){super();this.setLevel(o)}trace(o,...t){this.getLevel()<=y.Trace&&console.log("%cTRACE","color: #888",o,...t)}debug(o,...t){this.getLevel()<=y.Debug&&console.log("%cDEBUG","background: #eee; color: #888",o,...t)}info(o,...t){this.getLevel()<=y.Info&&console.log("%c INFO","color: #33f",o,...t)}warn(o,...t){this.getLevel()<=y.Warning&&console.log("%c WARN","color: #993",o,...t)}error(o,...t){this.getLevel()<=y.Error&&console.log("%c  ERR","color: #f33",o,...t)}critical(o,...t){this.getLevel()<=y.Critical&&console.log("%cCRITI","background: #f33; color: white",o,...t)}dispose(){}flush(){}}e.ConsoleLogger=b;class f extends i{constructor(o,t=e.DEFAULT_LOG_LEVEL){super();this.adapter=o,this.setLevel(t)}trace(o,...t){this.getLevel()<=y.Trace&&this.adapter.log(y.Trace,[this.extractMessage(o),...t])}debug(o,...t){this.getLevel()<=y.Debug&&this.adapter.log(y.Debug,[this.extractMessage(o),...t])}info(o,...t){this.getLevel()<=y.Info&&this.adapter.log(y.Info,[this.extractMessage(o),...t])}warn(o,...t){this.getLevel()<=y.Warning&&this.adapter.log(y.Warning,[this.extractMessage(o),...t])}error(o,...t){this.getLevel()<=y.Error&&this.adapter.log(y.Error,[this.extractMessage(o),...t])}critical(o,...t){this.getLevel()<=y.Critical&&this.adapter.log(y.Critical,[this.extractMessage(o),...t])}extractMessage(o){return typeof o=="string"?o:(0,C.toErrorMessage)(o,this.getLevel()<=y.Trace)}dispose(){}flush(){}}e.AdapterLogger=f;class l extends i{constructor(o){super();this.logServices=o,o.length&&this.setLevel(o[0].getLevel())}setLevel(o){for(const t of this.logServices)t.setLevel(o);super.setLevel(o)}trace(o,...t){for(const r of this.logServices)r.trace(o,...t)}debug(o,...t){for(const r of this.logServices)r.debug(o,...t)}info(o,...t){for(const r of this.logServices)r.info(o,...t)}warn(o,...t){for(const r of this.logServices)r.warn(o,...t)}error(o,...t){for(const r of this.logServices)r.error(o,...t)}critical(o,...t){for(const r of this.logServices)r.critical(o,...t)}flush(){for(const o of this.logServices)o.flush()}dispose(){for(const o of this.logServices)o.dispose()}}e.MultiplexLogService=l;class m extends D.Disposable{constructor(o){super();this.logger=o,this._register(o)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(o){this.logger.setLevel(o)}getLevel(){return this.logger.getLevel()}trace(o,...t){this.logger.trace(o,...t)}debug(o,...t){this.logger.debug(o,...t)}info(o,...t){this.logger.info(o,...t)}warn(o,...t){this.logger.warn(o,...t)}error(o,...t){this.logger.error(o,...t)}critical(o,...t){this.logger.critical(o,...t)}flush(){this.logger.flush()}}e.LogService=m;class S{constructor(){this.onDidChangeLogLevel=new I.Emitter().event}setLevel(o){}getLevel(){return y.Info}trace(o,...t){}debug(o,...t){}info(o,...t){}warn(o,...t){}error(o,...t){}critical(o,...t){}dispose(){}flush(){}}e.NullLogService=S;function g(c){if(c.verbose)return y.Trace;if(typeof c.logLevel=="string"){const o=_(c.logLevel.toLowerCase());if(o!==void 0)return o}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=g;function _(c){switch(c){case"trace":return y.Trace;case"debug":return y.Debug;case"info":return y.Info;case"warn":return y.Warning;case"error":return y.Error;case"critical":return y.Critical;case"off":return y.Off}}e.parseLogLevel=_;function u(c){switch(c){case y.Trace:return"trace";case y.Debug:return"debug";case y.Info:return"info";case y.Warning:return"warn";case y.Error:return"error";case y.Critical:return"critical";case y.Off:return"off"}}e.LogLevelToString=u}),define(pe[108],ve([0,1,13,49]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=e.createRotatingLogger=void 0;async function A(y,i,T,k){try{const b=await new Promise((f,l)=>{Q(["spdlog"],f,l)});return b.setAsyncMode(8192,500),b.createRotatingLoggerAsync(y,i,T,k)}catch(b){console.error(b)}return null}function I(y,i,T,k){return Q.__$__nodeRequire("spdlog").createRotatingLogger(y,i,T,k)}e.createRotatingLogger=I;function C(y,i,T){switch(i){case v.LogLevel.Trace:y.trace(T);break;case v.LogLevel.Debug:y.debug(T);break;case v.LogLevel.Info:y.info(T);break;case v.LogLevel.Warning:y.warn(T);break;case v.LogLevel.Error:y.error(T);break;case v.LogLevel.Critical:y.critical(T);break;default:throw new Error("Invalid log level")}}class P extends v.AbstractMessageLogger{constructor(i,T,k,b){super();this.name=i,this.filepath=T,this.rotating=k,this.buffer=[],this.setLevel(b),this._loggerCreationPromise=this._createSpdLogLogger(),this._register(this.onDidChangeLogLevel(f=>{this._logger&&this._logger.setLevel(f)}))}_createSpdLogLogger(){const i=this.rotating?6:1,T=30/i*D.ByteSize.MB;return A(this.name,this.filepath,T,i).then(k=>{if(k){this._logger=k,this._logger.setLevel(this.getLevel());for(const{level:b,message:f}of this.buffer)C(this._logger,b,f);this.buffer=[]}})}log(i,T){this._logger?C(this._logger,i,T):this.getLevel()<=i&&this.buffer.push({level:i,message:T})}clearFormatters(){this._logger?this._logger.clearFormatters():this._loggerCreationPromise.then(()=>this.clearFormatters())}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=P}),define(pe[109],ve([0,1,4,153,75]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var I;(function(y){y[y.Unnecessary=1]="Unnecessary",y[y.Deprecated=2]="Deprecated"})(I=e.MarkerTag||(e.MarkerTag={}));var C;(function(y){y[y.Hint=1]="Hint",y[y.Info=2]="Info",y[y.Warning=4]="Warning",y[y.Error=8]="Error"})(C=e.MarkerSeverity||(e.MarkerSeverity={})),function(y){function i(l,m){return m-l}y.compare=i;const T=Object.create(null);T[y.Error]=(0,D.localize)(0,null),T[y.Warning]=(0,D.localize)(1,null),T[y.Info]=(0,D.localize)(2,null);function k(l){return T[l]||""}y.toString=k;function b(l){switch(l){case A.default.Error:return y.Error;case A.default.Warning:return y.Warning;case A.default.Info:return y.Info;case A.default.Ignore:return y.Hint}}y.fromSeverity=b;function f(l){switch(l){case y.Error:return A.default.Error;case y.Warning:return A.default.Warning;case y.Info:return A.default.Info;case y.Hint:return A.default.Ignore}}y.toSeverity=f}(C=e.MarkerSeverity||(e.MarkerSeverity={}));var P;(function(y){const i="";function T(b){return k(b,!0)}y.makeKey=T;function k(b,f){let l=[i];return b.source?l.push(b.source.replace("\xA6","\\\xA6")):l.push(i),b.code?typeof b.code=="string"?l.push(b.code.replace("\xA6","\\\xA6")):l.push(b.code.value.replace("\xA6","\\\xA6")):l.push(i),b.severity!==void 0&&b.severity!==null?l.push(C.toString(b.severity)):l.push(i),b.message&&f?l.push(b.message.replace("\xA6","\\\xA6")):l.push(i),b.startLineNumber!==void 0&&b.startLineNumber!==null?l.push(b.startLineNumber.toString()):l.push(i),b.startColumn!==void 0&&b.startColumn!==null?l.push(b.startColumn.toString()):l.push(i),b.endLineNumber!==void 0&&b.endLineNumber!==null?l.push(b.endLineNumber.toString()):l.push(i),b.endColumn!==void 0&&b.endColumn!==null?l.push(b.endColumn.toString()):l.push(i),l.push(i),l.join("\xA6")}y.makeKeyOptionalMessage=k})(P=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=(0,v.createDecorator)("markerService")}),define(pe[183],ve([0,1,75,4,3]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=v.default,e.INotificationService=(0,D.createDecorator)("notificationService");var I;(function(i){i[i.WORKSPACE=0]="WORKSPACE",i[i.GLOBAL=1]="GLOBAL"})(I=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var C;(function(i){i[i.OFF=0]="OFF",i[i.SILENT=1]="SILENT",i[i.ERROR=2]="ERROR"})(C=e.NotificationsFilter||(e.NotificationsFilter={}));class P{constructor(){this.progress=new y,this.onDidClose=A.Event.None,this.onDidChangeVisibility=A.Event.None}updateSeverity(T){}updateMessage(T){}updateActions(T){}close(){}}e.NoOpNotification=P;class y{infinite(){}done(){}total(T){}worked(T){}}e.NoOpProgress=y}),define(pe[184],ve([0,1,10,36,11,24]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let C;if(v.isWeb||typeof Q=="undefined"||typeof Q.__$__nodeRequire!="function")C={},Object.keys(C).length===0&&Object.assign(C,{version:"1.55.0-dev",nameShort:v.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",nameLong:v.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","ms-vscode.github-browser"]});else{const P=(0,I.dirname)(A.FileAccess.asFileUri("",Q));C=Q.__$__nodeRequire((0,I.joinPath)(P,"product.json").fsPath);const y=Q.__$__nodeRequire((0,I.joinPath)(P,"package.json").fsPath);D.env.VSCODE_DEV&&Object.assign(C,{nameShort:`${C.nameShort} Dev`,nameLong:`${C.nameLong} Dev`,dataFolderName:`${C.dataFolderName}-dev`}),Object.assign(C,{version:y.version})}e.default=C});var je=this&&this.__decorate||function(Q,e,v,D){var A=arguments.length,I=A<3?e:D===null?D=Object.getOwnPropertyDescriptor(e,v):D,C;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")I=Reflect.decorate(Q,e,v,D);else for(var P=Q.length-1;P>=0;P--)(C=Q[P])&&(I=(A<3?C(I):A>3?C(e,v,I):C(e,v))||I);return A>3&&I&&Object.defineProperty(e,v,I),I},Ue=this&&this.__param||function(Q,e){return function(v,D){e(v,D,Q)}};define(pe[110],ve([0,1,4,21,6,19]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.UnmanagedProgress=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=(0,v.createDecorator)("progressService");var C;(function(T){T[T.Explorer=1]="Explorer",T[T.Scm=3]="Scm",T[T.Extensions=5]="Extensions",T[T.Window=10]="Window",T[T.Notification=15]="Notification",T[T.Dialog=20]="Dialog"})(C=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class P{constructor(k){this.callback=k}get value(){return this._value}report(k){this._value=k,this.callback(this._value)}}e.Progress=P,P.None=Object.freeze({report(){}});let y=class extends A.Disposable{constructor(k,b){super();this.deferred=new I.DeferredPromise,b.withProgress(k,f=>(this.reporter=f,this.lastStep&&f.report(this.lastStep),this.deferred.p)),this._register((0,A.toDisposable)(()=>this.deferred.complete()))}report(k){this.reporter?this.reporter.report(k):this.lastStep=k}};y=je([Ue(1,e.IProgressService)],y),e.UnmanagedProgress=y;class i extends A.Disposable{constructor(k){super();this.progressIndicator=k,this.currentOperationId=0,this.currentOperationDisposables=this._register(new A.DisposableStore)}start(k){this.stop();const b=++this.currentOperationId,f=new D.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{b===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},k),this.currentOperationDisposables.add((0,A.toDisposable)(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add((0,A.toDisposable)(()=>f.cancel())),this.currentOperationDisposables.add((0,A.toDisposable)(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:b,token:f.token,stop:()=>this.doStop(b),isCurrent:()=>this.currentOperationId===b}}stop(){this.doStop(this.currentOperationId)}doStop(k){this.currentOperationId===k&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=i,e.IEditorProgressService=(0,v.createDecorator)("editorProgressService")}),define(pe[40],ve([0,1,15,53]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class A{constructor(){this.data=new Map}add(C,P){D.ok(v.isString(C)),D.ok(v.isObject(P)),D.ok(!this.data.has(C),"There is already an extension with this id"),this.data.set(C,P)}knows(C){return this.data.has(C)}as(C){return this.data.get(C)||null}}e.Registry=new A}),define(pe[111],ve([0,1,40,3]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function A(P){return P.length>0&&P.charAt(P.length-1)==="#"?P.substring(0,P.length-1):P}class I{constructor(){this._onDidChangeSchema=new D.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(y,i){this.schemasById[A(y)]=i,this._onDidChangeSchema.fire(y)}notifySchemaChanged(y){this._onDidChangeSchema.fire(y)}getSchemaContributions(){return{schemas:this.schemasById}}}const C=new I;v.Registry.add(e.Extensions.JSONContribution,C)}),define(pe[83],ve([0,1,150,3,40,15,111]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.overrideIdentifierFromKey=e.OVERRIDE_PROPERTY_PATTERN=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=void 0,e.Extensions={Configuration:"base.contributions.configuration"};var P;(function(S){S[S.APPLICATION=1]="APPLICATION",S[S.MACHINE=2]="MACHINE",S[S.WINDOW=3]="WINDOW",S[S.RESOURCE=4]="RESOURCE",S[S.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",S[S.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(P=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const y=A.Registry.as(C.Extensions.JSONContribution);class i{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new D.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new D.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:v.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(g,_=!0){this.registerConfigurations([g],_)}registerConfigurations(g,_=!0){const u=[];g.forEach(c=>{u.push(...this.validateAndRegisterProperties(c,_)),this.configurationContributors.push(c),this.registerJSONConfiguration(c)}),y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(u)}deregisterConfigurations(g){const _=[],u=c=>{if(c.properties)for(const o in c.properties)_.push(o),delete this.configurationProperties[o],this.removeFromSchema(o,c.properties[o]);c.allOf&&c.allOf.forEach(o=>u(o))};for(const c of g){u(c);const o=this.configurationContributors.indexOf(c);o!==-1&&this.configurationContributors.splice(o,1)}y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(_)}registerDefaultConfigurations(g){const _=[],u=[];for(const c of g)for(const o in c)if(_.push(o),e.OVERRIDE_PROPERTY_PATTERN.test(o)){this.defaultValues[o]=Object.assign(Object.assign({},this.defaultValues[o]||{}),c[o]);const t={type:"object",default:this.defaultValues[o],description:v.localize(1,null,o),$ref:e.resourceLanguageSettingsSchemaId};u.push(k(o)),this.configurationProperties[o]=t,this.defaultLanguageConfigurationOverridesNode.properties[o]=t}else{this.defaultValues[o]=c[o];const t=this.configurationProperties[o];t&&(this.updatePropertyDefaultValue(o,t),this.updateSchema(o,t))}this.registerOverrideIdentifiers(u),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(_)}deregisterDefaultConfigurations(g){const _=[];for(const u of g)for(const c in u)if(_.push(c),delete this.defaultValues[c],e.OVERRIDE_PROPERTY_PATTERN.test(c))delete this.configurationProperties[c],delete this.defaultLanguageConfigurationOverridesNode.properties[c];else{const o=this.configurationProperties[c];o&&(this.updatePropertyDefaultValue(c,o),this.updateSchema(c,o))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(_)}notifyConfigurationSchemaUpdated(...g){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(g){for(const _ of g)this.overrideIdentifiers.add(_);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(g,_=!0,u=3){u=I.isUndefinedOrNull(g.scope)?u:g.scope;let c=[],o=g.properties;if(o)for(let r in o){if(_&&l(r)){delete o[r];continue}const s=o[r];if(this.updatePropertyDefaultValue(r,s),e.OVERRIDE_PROPERTY_PATTERN.test(r)?s.scope=void 0:s.scope=I.isUndefinedOrNull(s.scope)?u:s.scope,o[r].hasOwnProperty("included")&&!o[r].included){this.excludedConfigurationProperties[r]=o[r],delete o[r];continue}else this.configurationProperties[r]=o[r];!o[r].deprecationMessage&&o[r].markdownDeprecationMessage&&(o[r].deprecationMessage=o[r].markdownDeprecationMessage),c.push(r)}let t=g.allOf;if(t)for(let r of t)c.push(...this.validateAndRegisterProperties(r,_,u));return c}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(g){const _=u=>{let c=u.properties;if(c)for(const t in c)this.updateSchema(t,c[t]);let o=u.allOf;o&&o.forEach(_)};_(g)}updateSchema(g,_){switch(e.allSettings.properties[g]=_,_.scope){case 1:e.applicationSettings.properties[g]=_;break;case 2:e.machineSettings.properties[g]=_;break;case 6:e.machineOverridableSettings.properties[g]=_;break;case 3:e.windowSettings.properties[g]=_;break;case 4:e.resourceSettings.properties[g]=_;break;case 5:e.resourceSettings.properties[g]=_,this.resourceLanguageSettingsSchema.properties[g]=_;break}}removeFromSchema(g,_){switch(delete e.allSettings.properties[g],_.scope){case 1:delete e.applicationSettings.properties[g];break;case 2:delete e.machineSettings.properties[g];break;case 6:delete e.machineOverridableSettings.properties[g];break;case 3:delete e.windowSettings.properties[g];break;case 4:case 5:delete e.resourceSettings.properties[g];break}}updateOverridePropertyPatternKey(){for(const g of this.overrideIdentifiers.values()){const _=`[${g}]`,u={type:"object",description:v.localize(2,null),errorMessage:v.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(_,u),e.allSettings.properties[_]=u,e.applicationSettings.properties[_]=u,e.machineSettings.properties[_]=u,e.machineOverridableSettings.properties[_]=u,e.windowSettings.properties[_]=u,e.resourceSettings.properties[_]=u}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(g,_){let u=this.defaultValues[g];I.isUndefined(u)&&(u=_.default),I.isUndefined(u)&&(u=b(_.type)),_.default=u}}const T="\\[.*\\]$";e.OVERRIDE_PROPERTY_PATTERN=new RegExp(T);function k(S){return S.substring(1,S.length-1)}e.overrideIdentifierFromKey=k;function b(S){switch(Array.isArray(S)?S[0]:S){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=b;const f=new i;A.Registry.add(e.Extensions.Configuration,f);function l(S){return S.trim()?e.OVERRIDE_PROPERTY_PATTERN.test(S)?v.localize(5,null,S):f.getConfigurationProperties()[S]!==void 0?v.localize(6,null,S):null:v.localize(4,null)}e.validateProperty=l;function m(){const S=[],g=f.getConfigurationProperties();for(const _ of Object.keys(g))S.push([_,g[_].scope]);return S.push(["launch",4]),S.push(["task",4]),S}e.getScopes=m}),define(pe[84],ve([0,1,22,15,2,40,4,83]),function(Q,e,v,D,A,I,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.keyFromOverrideIdentifier=e.getDefaultValues=e.getConfigurationKeys=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.toOverrides=e.compare=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,C.createDecorator)("configurationService");function y(r){return r&&typeof r=="object"&&(!r.overrideIdentifier||typeof r.overrideIdentifier=="string")&&(!r.resource||r.resource instanceof A.URI)}e.isConfigurationOverrides=y;var i;(function(r){r[r.USER=1]="USER",r[r.USER_LOCAL=2]="USER_LOCAL",r[r.USER_REMOTE=3]="USER_REMOTE",r[r.WORKSPACE=4]="WORKSPACE",r[r.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",r[r.DEFAULT=6]="DEFAULT",r[r.MEMORY=7]="MEMORY"})(i=e.ConfigurationTarget||(e.ConfigurationTarget={}));function T(r){switch(r){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=T;function k(r,s){const a=s?r?s.keys.filter(R=>r.keys.indexOf(R)===-1):[...s.keys]:[],n=r?s?r.keys.filter(R=>s.keys.indexOf(R)===-1):[...r.keys]:[],d=[];if(s&&r){for(const R of r.keys)if(s.keys.indexOf(R)!==-1){const L=g(r.contents,R),U=g(s.contents,R);v.equals(L,U)||d.push(R)}}const p=[],E=R=>{const L={};for(const U of R)for(const J of U.identifiers)L[o(J)]=U;return L},h=s?E(s.overrides):{},w=r?E(r.overrides):{};if(Object.keys(h).length)for(const R of a){const L=h[R];L&&p.push([(0,P.overrideIdentifierFromKey)(R),L.keys])}if(Object.keys(w).length)for(const R of n){const L=w[R];L&&p.push([(0,P.overrideIdentifierFromKey)(R),L.keys])}if(Object.keys(h).length&&Object.keys(w).length)for(const R of d){const L=w[R],U=h[R];if(L&&U){const J=k({contents:L.contents,keys:L.keys,overrides:[]},{contents:U.contents,keys:U.keys,overrides:[]});p.push([(0,P.overrideIdentifierFromKey)(R),[...J.added,...J.removed,...J.updated]])}}return{added:a,removed:n,updated:d,overrides:p}}e.compare=k;function b(r,s){const a=[];for(const n of Object.keys(r))if(P.OVERRIDE_PROPERTY_PATTERN.test(n)){const d={};for(const p in r[n])d[p]=r[n][p];a.push({identifiers:[(0,P.overrideIdentifierFromKey)(n).trim()],keys:Object.keys(d),contents:f(d,s)})}return a}e.toOverrides=b;function f(r,s){const a=Object.create(null);for(let n in r)l(a,n,r[n],s);return a}e.toValuesTree=f;function l(r,s,a,n){const d=s.split("."),p=d.pop();let E=r;for(let h=0;h<d.length;h++){let w=d[h],R=E[w];switch(typeof R){case"undefined":R=E[w]=Object.create(null);break;case"object":break;default:n(`Ignoring ${s} as ${d.slice(0,h+1).join(".")} is ${JSON.stringify(R)}`);return}E=R}if(typeof E=="object"&&E!==null)try{E[p]=a}catch(h){n(`Ignoring ${s} as ${d.join(".")} is ${JSON.stringify(E)}`)}else n(`Ignoring ${s} as ${d.join(".")} is ${JSON.stringify(E)}`)}e.addToValueTree=l;function m(r,s){const a=s.split(".");S(r,a)}e.removeFromValueTree=m;function S(r,s){const a=s.shift();if(s.length===0){delete r[a];return}if(Object.keys(r).indexOf(a)!==-1){const n=r[a];typeof n=="object"&&!Array.isArray(n)&&(S(n,s),Object.keys(n).length===0&&delete r[a])}}function g(r,s,a){function n(E,h){let w=E;for(const R of h){if(typeof w!="object"||w===null)return;w=w[R]}return w}const d=s.split("."),p=n(r,d);return typeof p=="undefined"?a:p}e.getConfigurationValue=g;function _(r,s,a){Object.keys(s).forEach(n=>{n!=="__proto__"&&(n in r?D.isObject(r[n])&&D.isObject(s[n])?_(r[n],s[n],a):a&&(r[n]=s[n]):r[n]=s[n])})}e.merge=_;function u(){const r=I.Registry.as(P.Extensions.Configuration).getConfigurationProperties();return Object.keys(r)}e.getConfigurationKeys=u;function c(){const r=Object.create(null),s=I.Registry.as(P.Extensions.Configuration).getConfigurationProperties();for(let a in s){let n=s[a].default;l(r,a,n,d=>console.error(`Conflict in default settings: ${d}`))}return r}e.getDefaultValues=c;function o(r){return`[${r}]`}e.keyFromOverrideIdentifier=o;function t(r,s,a){const n=r.inspect(s),d=r.inspect(a);return typeof n.userValue!="undefined"||typeof n.workspaceValue!="undefined"||typeof n.workspaceFolderValue!="undefined"?n.value:typeof d.userValue!="undefined"||typeof d.workspaceValue!="undefined"||typeof d.workspaceFolderValue!="undefined"?d.value:n.defaultValue}e.getMigratedSettingValue=t}),define(pe[185],ve([0,1,56,23,12,15,22,2,83,84,40,6,3]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class f{constructor(t={},r=[],s=[]){this._contents=t,this._keys=r,this._overrides=s,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(t){return t?(0,i.getConfigurationValue)(this.contents,t):this.contents}getOverrideValue(t,r){const s=this.getContentsForOverrideIdentifer(r);return s?t?(0,i.getConfigurationValue)(s,t):s:void 0}getKeysForOverrideIdentifier(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.keys;return[]}override(t){const r=this.getContentsForOverrideIdentifer(t);if(!r||typeof r!="object"||!Object.keys(r).length)return this;let s={};for(const a of A.distinct([...Object.keys(this.contents),...Object.keys(r)])){let n=this.contents[a],d=r[a];d&&(typeof n=="object"&&typeof d=="object"?(n=C.deepClone(n),this.mergeContents(n,d)):n=d),s[a]=n}return new f(s,this.keys,this.overrides)}merge(...t){const r=C.deepClone(this.contents),s=C.deepClone(this.overrides),a=[...this.keys];for(const n of t){this.mergeContents(r,n.contents);for(const d of n.overrides){const[p]=s.filter(E=>A.equals(E.identifiers,d.identifiers));p?this.mergeContents(p.contents,d.contents):s.push(C.deepClone(d))}for(const d of n.keys)a.indexOf(d)===-1&&a.push(d)}return new f(r,a,s)}freeze(){return this.isFrozen=!0,this}mergeContents(t,r){for(const s of Object.keys(r)){if(s in t&&I.isObject(t[s])&&I.isObject(r[s])){this.mergeContents(t[s],r[s]);continue}t[s]=C.deepClone(r[s])}}checkAndFreeze(t){return this.isFrozen&&!Object.isFrozen(t)?C.deepFreeze(t):t}getContentsForOverrideIdentifer(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(t,r){this.addKey(t),(0,i.addToValueTree)(this.contents,t,r,s=>{throw new Error(s)})}removeValue(t){this.removeKey(t)&&(0,i.removeFromValueTree)(this.contents,t)}addKey(t){let r=this.keys.length;for(let s=0;s<r;s++)t.indexOf(this.keys[s])===0&&(r=s);this.keys.splice(r,1,t)}removeKey(t){let r=this.keys.indexOf(t);return r!==-1?(this.keys.splice(r,1),!0):!1}}e.ConfigurationModel=f;class l extends f{constructor(){const t=(0,i.getDefaultValues)(),r=(0,i.getConfigurationKeys)(),s=[];for(const a of Object.keys(t))y.OVERRIDE_PROPERTY_PATTERN.test(a)&&s.push({identifiers:[(0,y.overrideIdentifierFromKey)(a).trim()],keys:Object.keys(t[a]),contents:(0,i.toValuesTree)(t[a],n=>console.error(`Conflict in default settings file: ${n}`))});super(t,r,s)}}e.DefaultConfigurationModel=l;class m{constructor(t,r){this._name=t,this._scopes=r,this._raw=null,this._configurationModel=null,this._parseErrors=[]}get configurationModel(){return this._configurationModel||new f}get errors(){return this._parseErrors}parseContent(t){if(!I.isUndefinedOrNull(t)){const r=this.doParseContent(t);this.parseRaw(r)}}parseRaw(t){this._raw=t;const r=this.doParseRaw(t);this._configurationModel=new f(r.contents,r.keys,r.overrides)}parse(){this._raw&&this.parseRaw(this._raw)}doParseContent(t){let r={},s=null,a=[],n=[],d=[];function p(h){Array.isArray(a)?a.push(h):s&&(a[s]=h)}let E={onObjectBegin:()=>{let h={};p(h),n.push(a),a=h,s=null},onObjectProperty:h=>{s=h},onObjectEnd:()=>{a=n.pop()},onArrayBegin:()=>{let h=[];p(h),n.push(a),a=h,s=null},onArrayEnd:()=>{a=n.pop()},onLiteralValue:p,onError:(h,w,R)=>{d.push({error:h,offset:w,length:R})}};if(t)try{v.visit(t,E),r=a[0]||{}}catch(h){console.error(`Error while parsing settings file ${this._name}: ${h}`),this._parseErrors=[h]}return r}doParseRaw(t){if(this._scopes){const n=T.Registry.as(y.Extensions.Configuration).getConfigurationProperties();t=this.filterByScope(t,n,!0,this._scopes)}const r=(0,i.toValuesTree)(t,n=>console.error(`Conflict in settings file ${this._name}: ${n}`)),s=Object.keys(t),a=(0,i.toOverrides)(t,n=>console.error(`Conflict in settings file ${this._name}: ${n}`));return{contents:r,keys:s,overrides:a}}filterByScope(t,r,s,a){const n={};for(let d in t)if(y.OVERRIDE_PROPERTY_PATTERN.test(d)&&s)n[d]=this.filterByScope(t[d],r,!1,a);else{const p=this.getScope(d,r);(p===void 0||a.indexOf(p)!==-1)&&(n[d]=t[d])}return n}getScope(t,r){const s=r[t];return s?typeof s.scope!="undefined"?s.scope:3:void 0}}e.ConfigurationModelParser=m;class S extends k.Disposable{constructor(t,r,s,a){super();this.userSettingsResource=t,this.scopes=r,this.fileService=a,this._onDidChange=this._register(new b.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new m(this.userSettingsResource.toString(),this.scopes),this._register(this.fileService.watch(s.dirname(this.userSettingsResource))),this._register(b.Event.filter(this.fileService.onDidFilesChange,n=>n.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const t=await this.fileService.readFile(this.userSettingsResource);return this.parser.parseContent(t.value.toString()||"{}"),this.parser.configurationModel}catch(t){return new f}}reprocess(){return this.parser.parse(),this.parser.configurationModel}}e.UserSettings=S;class g{constructor(t,r,s=new f,a=new f,n=new D.ResourceMap,d=new f,p=new D.ResourceMap,E=!0){this._defaultConfiguration=t,this._localUserConfiguration=r,this._remoteUserConfiguration=s,this._workspaceConfiguration=a,this._folderConfigurations=n,this._memoryConfiguration=d,this._memoryConfigurationByResource=p,this._freeze=E,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new D.ResourceMap,this._userConfiguration=null}getValue(t,r,s){return this.getConsolidateConfigurationModel(r,s).getValue(t)}updateValue(t,r,s={}){let a;s.resource?(a=this._memoryConfigurationByResource.get(s.resource),a||(a=new f,this._memoryConfigurationByResource.set(s.resource,a))):a=this._memoryConfiguration,r===void 0?a.removeValue(t):a.setValue(t,r),s.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(t,r,s){const a=this.getConsolidateConfigurationModel(r,s),n=this.getFolderConfigurationModelForResource(r.resource,s),d=r.resource?this._memoryConfigurationByResource.get(r.resource)||this._memoryConfiguration:this._memoryConfiguration,p=r.overrideIdentifier?this._defaultConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._defaultConfiguration.freeze().getValue(t),E=r.overrideIdentifier?this.userConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.userConfiguration.freeze().getValue(t),h=r.overrideIdentifier?this.localUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.localUserConfiguration.freeze().getValue(t),w=r.overrideIdentifier?this.remoteUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.remoteUserConfiguration.freeze().getValue(t),R=s?r.overrideIdentifier?this._workspaceConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._workspaceConfiguration.freeze().getValue(t):void 0,L=n?r.overrideIdentifier?n.freeze().override(r.overrideIdentifier).getValue(t):n.freeze().getValue(t):void 0,U=r.overrideIdentifier?d.override(r.overrideIdentifier).getValue(t):d.getValue(t),J=a.getValue(t),Z=A.distinct(A.flatten(a.overrides.map(z=>z.identifiers))).filter(z=>a.getOverrideValue(t,z)!==void 0);return{defaultValue:p,userValue:E,userLocalValue:h,userRemoteValue:w,workspaceValue:R,workspaceFolderValue:L,memoryValue:U,value:J,default:p!==void 0?{value:this._defaultConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,user:E!==void 0?{value:this.userConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userLocal:h!==void 0?{value:this.localUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userRemote:w!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspace:R!==void 0?{value:this._workspaceConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspaceFolder:L!==void 0?{value:n==null?void 0:n.freeze().getValue(t),override:r.overrideIdentifier?n==null?void 0:n.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,memory:U!==void 0?{value:d.getValue(t),override:r.overrideIdentifier?d.getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,overrideIdentifiers:Z.length?Z:void 0}}keys(t){const r=this.getFolderConfigurationModelForResource(void 0,t);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:r?r.freeze().keys:[]}}updateDefaultConfiguration(t){this._defaultConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(t){this._localUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(t){this._remoteUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(t){this._workspaceConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(t,r){this._folderConfigurations.set(t,r),this._foldersConsolidatedConfigurations.delete(t)}deleteFolderConfiguration(t){this.folderConfigurations.delete(t),this._foldersConsolidatedConfigurations.delete(t)}compareAndUpdateDefaultConfiguration(t,r){const s=r.filter(a=>y.OVERRIDE_PROPERTY_PATTERN.test(a)).map(a=>{const n=(0,y.overrideIdentifierFromKey)(a),d=this._defaultConfiguration.getKeysForOverrideIdentifier(n),p=t.getKeysForOverrideIdentifier(n),E=[...p.filter(h=>d.indexOf(h)===-1),...d.filter(h=>p.indexOf(h)===-1),...d.filter(h=>!C.equals(this._defaultConfiguration.override(n).getValue(h),t.override(n).getValue(h)))];return[n,E]});return this.updateDefaultConfiguration(t),{keys:r,overrides:s}}compareAndUpdateLocalUserConfiguration(t){const{added:r,updated:s,removed:a,overrides:n}=(0,i.compare)(this.localUserConfiguration,t),d=[...r,...s,...a];return d.length&&this.updateLocalUserConfiguration(t),{keys:d,overrides:n}}compareAndUpdateRemoteUserConfiguration(t){const{added:r,updated:s,removed:a,overrides:n}=(0,i.compare)(this.remoteUserConfiguration,t);let d=[...r,...s,...a];return d.length&&this.updateRemoteUserConfiguration(t),{keys:d,overrides:n}}compareAndUpdateWorkspaceConfiguration(t){const{added:r,updated:s,removed:a,overrides:n}=(0,i.compare)(this.workspaceConfiguration,t);let d=[...r,...s,...a];return d.length&&this.updateWorkspaceConfiguration(t),{keys:d,overrides:n}}compareAndUpdateFolderConfiguration(t,r){const s=this.folderConfigurations.get(t),{added:a,updated:n,removed:d,overrides:p}=(0,i.compare)(s,r);let E=[...a,...n,...d];return(E.length||!s)&&this.updateFolderConfiguration(t,r),{keys:E,overrides:p}}compareAndDeleteFolderConfiguration(t){const r=this.folderConfigurations.get(t);if(!r)throw new Error("Unknown folder");this.deleteFolderConfiguration(t);const{added:s,updated:a,removed:n,overrides:d}=(0,i.compare)(r,void 0);return{keys:[...s,...a,...n],overrides:d}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(t,r){let s=this.getConsolidatedConfigurationModelForResource(t,r);return t.overrideIdentifier?s.override(t.overrideIdentifier):s}getConsolidatedConfigurationModelForResource({resource:t},r){let s=this.getWorkspaceConsolidatedConfiguration();if(r&&t){const a=r.getFolder(t);a&&(s=this.getFolderConsolidatedConfiguration(a.uri)||s);const n=this._memoryConfigurationByResource.get(t);n&&(s=s.merge(n))}return s}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(t){let r=this._foldersConsolidatedConfigurations.get(t);if(!r){const s=this.getWorkspaceConsolidatedConfiguration(),a=this._folderConfigurations.get(t);a?(r=s.merge(a),this._freeze&&(r=r.freeze()),this._foldersConsolidatedConfigurations.set(t,r)):r=s}return r}getFolderConfigurationModelForResource(t,r){if(r&&t){const s=r.getFolder(t);if(s)return this._folderConfigurations.get(s.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((t,r)=>{const{contents:s,overrides:a,keys:n}=this._folderConfigurations.get(r);return t.push([r,{contents:s,overrides:a,keys:n}]),t},[])}}allKeys(){const t=new Set;return this._defaultConfiguration.freeze().keys.forEach(r=>t.add(r)),this.userConfiguration.freeze().keys.forEach(r=>t.add(r)),this._workspaceConfiguration.freeze().keys.forEach(r=>t.add(r)),this._folderConfigurations.forEach(r=>r.freeze().keys.forEach(s=>t.add(s))),[...t.values()]}getAllKeysForOverrideIdentifier(t){const r=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(t).forEach(s=>r.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(t).forEach(s=>r.add(s)),this._workspaceConfiguration.getKeysForOverrideIdentifier(t).forEach(s=>r.add(s)),this._folderConfigurations.forEach(s=>s.getKeysForOverrideIdentifier(t).forEach(a=>r.add(a))),[...r.values()]}static parse(t){const r=this.parseConfigurationModel(t.defaults),s=this.parseConfigurationModel(t.user),a=this.parseConfigurationModel(t.workspace),n=t.folders.reduce((d,p)=>(d.set(P.URI.revive(p[0]),this.parseConfigurationModel(p[1])),d),new D.ResourceMap);return new g(r,s,new f,a,n,new f,new D.ResourceMap,!1)}static parseConfigurationModel(t){return new f(t.contents,t.keys,t.overrides).freeze()}}e.Configuration=g;function _(...o){if(o.length===0)return{keys:[],overrides:[]};if(o.length===1)return o[0];const t=new Set,r=new Map;for(const a of o)a.keys.forEach(n=>t.add(n)),a.overrides.forEach(([n,d])=>{const p=(0,D.getOrSet)(r,n,new Set);d.forEach(E=>p.add(E))});const s=[];return r.forEach((a,n)=>s.push([n,[...a.values()]])),{keys:[...t.values()],overrides:s}}e.mergeChanges=_;class u{constructor(t,r,s,a){this.change=t,this.previous=r,this.currentConfiguraiton=s,this.currentWorkspace=a,this._previousConfiguration=void 0;const n=new Set;t.keys.forEach(p=>n.add(p)),t.overrides.forEach(([,p])=>p.forEach(E=>n.add(E))),this.affectedKeys=[...n.values()];const d=new f;this.affectedKeys.forEach(p=>d.setValue(p,{})),this.affectedKeysTree=d.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=g.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(t,r){var s;if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,t)){if(r){const a=this.previousConfiguration?this.previousConfiguration.getValue(t,r,(s=this.previous)===null||s===void 0?void 0:s.workspace):void 0,n=this.currentConfiguraiton.getValue(t,r,this.currentWorkspace);return!C.equals(a,n)}return!0}return!1}doesAffectedKeysTreeContains(t,r){let s=(0,i.toValuesTree)({[r]:!0},()=>{}),a;for(;typeof s=="object"&&(a=Object.keys(s)[0]);){if(t=t[a],!t)return!1;s=s[a]}return!0}}e.ConfigurationChangeEvent=u;class c extends u{constructor(t,r,s,a){super({keys:t.allKeys(),overrides:[]},void 0,t,r);this.source=s,this.sourceConfig=a}}e.AllKeysConfigurationChangeEvent=c}),define(pe[112],ve([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,v.createDecorator)("remoteAuthorityResolverService");var D;(function(I){I.Unknown="Unknown",I.NotAvailable="NotAvailable",I.TemporarilyNotAvailable="TemporarilyNotAvailable",I.NoResolverFound="NoResolverFound"})(D=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class A extends Error{constructor(C,P=D.Unknown,y){super(C);this._message=C,this._code=P,this._detail=y,this.isHandled=P===D.NotAvailable&&y===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,A.prototype)}static isTemporarilyNotAvailable(C){return C instanceof A&&C._code===D.TemporarilyNotAvailable}static isNoResolverFound(C){return C instanceof A&&C._code===D.NoResolverFound}static isHandled(C){return C instanceof A&&C.isHandled}}e.RemoteAuthorityResolverError=A}),define(pe[113],ve([0,1,11]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemoteName=e.getRemoteAuthority=void 0;function D(I){return I.scheme===v.Schemas.vscodeRemote?I.authority:void 0}e.getRemoteAuthority=D;function A(I){if(!!I){const C=I.indexOf("+");return C<0?I:I.substr(0,C)}}e.getRemoteName=A}),define(pe[186],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class v{vsda(){return new Promise((A,I)=>Q(["vsda"],A,I))}async sign(A){try{const I=await this.vsda(),C=new I.signer;if(C)return C.sign(A)}catch(I){}return A}}e.SignService=v}),define(pe[187],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class v{constructor(A){this._callback=A,this._terminalBufferMap=new Map}dispose(){for(const A of this._terminalBufferMap.values())A.dispose()}startBuffering(A,I,C=5){let P;return P=I(y=>{const i=typeof y=="string"?y:y.data;let T=this._terminalBufferMap.get(A);if(T){T.data.push(i);return}const k=setTimeout(()=>this._flushBuffer(A),C);T={data:[i],timeoutId:k,dispose:()=>{clearTimeout(k),this._flushBuffer(A),P.dispose()}},this._terminalBufferMap.set(A,T)}),P}stopBuffering(A){const I=this._terminalBufferMap.get(A);I&&I.dispose()}_flushBuffer(A){const I=this._terminalBufferMap.get(A);I&&(this._terminalBufferMap.delete(A),this._callback(A,I.data.join("")))}}e.TerminalDataBufferer=v}),define(pe[188],ve([0,1,47,7,25,15,22,10]),function(Q,e,v,D,A,I,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findExecutable=e.getWindowsBuildNumber=void 0;function y(){const T=/(\d+)\.(\d+)\.(\d+)/g.exec(v.release());let k=0;return T&&T.length===4&&(k=parseInt(T[3])),k}e.getWindowsBuildNumber=y;async function i(T,k,b,f=process.env){if(D.isAbsolute(T))return await(0,A.exists)(T)?T:void 0;if(k===void 0&&(k=process.cwd()),D.dirname(T)!=="."){const g=D.join(k,T);return await(0,A.exists)(g)?g:void 0}const m=(0,C.getCaseInsensitive)(f,"PATH");if(b===void 0&&(0,I.isString)(m)&&(b=m.split(D.delimiter)),b===void 0||b.length===0){const g=D.join(k,T);return await(0,A.exists)(g)?g:void 0}for(let g of b){let _;if(D.isAbsolute(g)?_=D.join(g,T):_=D.join(k,g,T),await(0,A.exists)(_))return _;if(P.isWindows){let u=_+".com";if(await(0,A.exists)(u)||(u=_+".exe",await(0,A.exists)(u)))return u}}const S=D.join(k,T);return await(0,A.exists)(S)?S:void 0}e.findExecutable=i}),define(pe[189],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var v;(function(D){D.DARK="dark",D.LIGHT="light",D.HIGH_CONTRAST="hc"})(v=e.ColorScheme||(e.ColorScheme={}))}),define(pe[190],ve([0,1,4,6,40,3,189,46]),function(Q,e,v,D,A,I,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,v.createDecorator)("themeService");var y;(function(S){function g(_){return _&&typeof _=="object"&&typeof _.id=="string"}S.isThemeColor=g})(y=e.ThemeColor||(e.ThemeColor={}));function i(S){return{id:S}}e.themeColorFromId=i;var T;(function(S){function g(t){return t&&typeof t=="object"&&typeof t.id=="string"&&(typeof t.color=="undefined"||y.isThemeColor(t.color))}S.isThemeIcon=g;const _=new RegExp(`^\\$\\((${P.CSSIcon.iconNameExpression}(?:${P.CSSIcon.iconModifierExpression})?)\\)$`);function u(t){const r=_.exec(t);if(!!r){let[,s]=r;return{id:s}}}S.fromString=u;function c(t,r){let s=t.id;const a=s.lastIndexOf("~");return a!==-1&&(s=s.substring(0,a)),r&&(s=`${s}~${r}`),{id:s}}S.modify=c;function o(t,r){var s,a;return t.id===r.id&&((s=t.color)===null||s===void 0?void 0:s.id)===((a=r.color)===null||a===void 0?void 0:a.id)}S.isEqual=o,S.asClassNameArray=P.CSSIcon.asClassNameArray,S.asClassName=P.CSSIcon.asClassName,S.asCSSSelector=P.CSSIcon.asCSSSelector})(T=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=P.Codicon.file,e.FolderThemeIcon=P.Codicon.folder;function k(S){switch(S){case C.ColorScheme.DARK:return"vs-dark";case C.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=k,e.Extensions={ThemingContribution:"base.contributions.theming"};class b{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new I.Emitter}onColorThemeChange(g){return this.themingParticipants.push(g),this.onThemingParticipantAddedEmitter.fire(g),(0,D.toDisposable)(()=>{const _=this.themingParticipants.indexOf(g);this.themingParticipants.splice(_,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let f=new b;A.Registry.add(e.Extensions.ThemingContribution,f);function l(S){return f.onColorThemeChange(S)}e.registerThemingParticipant=l;class m extends D.Disposable{constructor(g){super();this.themeService=g,this.theme=g.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(_=>this.onThemeChange(_)))}onThemeChange(g){this.theme=g,this.updateStyles()}updateStyles(){}getColor(g,_){let u=this.theme.getColor(g);return u&&_&&(u=_(u,this.theme)),u?u.toString():null}}e.Themable=m}),define(pe[191],ve([0,1,40,190,3,154,111,19,46]),function(Q,e,v,D,A,I,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.syncing=e.gotoNextLocation=e.gotoPreviousLocation=e.widgetClose=e.iconsSchemaId=e.getIconRegistry=e.registerIcon=e.Extensions=void 0,e.Extensions={IconContribution:"base.contributions.icons"};class i{constructor(){this._onDidChange=new A.Emitter,this.onDidChange=this._onDidChange.event,this.iconSchema={definitions:{icons:{type:"object",properties:{fontId:{type:"string",description:(0,I.localize)(0,null)},fontCharacter:{type:"string",description:(0,I.localize)(1,null)}},additionalProperties:!1,defaultSnippets:[{body:{fontCharacter:"\\\\e030"}}]}},type:"object",properties:{}},this.iconReferenceSchema={type:"string",pattern:`^${y.CSSIcon.iconNameExpression}$`,enum:[],enumDescriptions:[]},this.iconsById={},this.iconFontsById={}}registerIcon(g,_,u,c){const o=this.iconsById[g];if(o){if(u&&!o.description){o.description=u,this.iconSchema.properties[g].markdownDescription=`${u} $(${g})`;const s=this.iconReferenceSchema.enum.indexOf(g);s!==-1&&(this.iconReferenceSchema.enumDescriptions[s]=u),this._onDidChange.fire()}return o}let t={id:g,description:u,defaults:_,deprecationMessage:c};this.iconsById[g]=t;let r={$ref:"#/definitions/icons"};return c&&(r.deprecationMessage=c),u&&(r.markdownDescription=`${u}: $(${g})`),this.iconSchema.properties[g]=r,this.iconReferenceSchema.enum.push(g),this.iconReferenceSchema.enumDescriptions.push(u||""),this._onDidChange.fire(),{id:g}}deregisterIcon(g){delete this.iconsById[g],delete this.iconSchema.properties[g];const _=this.iconReferenceSchema.enum.indexOf(g);_!==-1&&(this.iconReferenceSchema.enum.splice(_,1),this.iconReferenceSchema.enumDescriptions.splice(_,1)),this._onDidChange.fire()}getIcons(){return Object.keys(this.iconsById).map(g=>this.iconsById[g])}getIcon(g){return this.iconsById[g]}getIconSchema(){return this.iconSchema}getIconReferenceSchema(){return this.iconReferenceSchema}registerIconFont(g,_){const u=this.iconFontsById[g];if(u)return u;let c={id:g,definition:_};return this.iconFontsById[g]=c,this._onDidChange.fire(),c}deregisterIconFont(g){delete this.iconFontsById[g]}getIconFonts(){return Object.keys(this.iconFontsById).map(g=>this.iconFontsById[g])}getIconFont(g){return this.iconFontsById[g]}toString(){const g=(o,t)=>o.id.localeCompare(t.id),_=o=>{for(;D.ThemeIcon.isThemeIcon(o.defaults);)o=this.iconsById[o.defaults.id];return`codicon codicon-${o?o.id:""}`};let u=[];u.push("| preview     | identifier                        | default codicon ID                | description"),u.push("| ----------- | --------------------------------- | --------------------------------- | --------------------------------- |");const c=Object.keys(this.iconsById).map(o=>this.iconsById[o]);for(const o of c.filter(t=>!!t.description).sort(g))u.push(`|<i class="${_(o)}"></i>|${o.id}|${D.ThemeIcon.isThemeIcon(o.defaults)?o.defaults.id:o.id}|${o.description||""}|`);u.push("| preview     | identifier                        "),u.push("| ----------- | --------------------------------- |");for(const o of c.filter(t=>!D.ThemeIcon.isThemeIcon(t.defaults)).sort(g))u.push(`|<i class="${_(o)}"></i>|${o.id}|`);return u.join(`
`)}}const T=new i;v.Registry.add(e.Extensions.IconContribution,T);function k(S,g,_,u){return T.registerIcon(S,g,_,u)}e.registerIcon=k;function b(){return T}e.getIconRegistry=b;function f(){for(const S of y.iconRegistry.all)T.registerIcon(S.id,S.definition,S.description);y.iconRegistry.onDidRegister(S=>T.registerIcon(S.id,S.definition,S.description))}f(),e.iconsSchemaId="vscode://schemas/icons";let l=v.Registry.as(C.Extensions.JSONContribution);l.registerSchema(e.iconsSchemaId,T.getIconSchema());const m=new P.RunOnceScheduler(()=>l.notifySchemaChanged(e.iconsSchemaId),200);T.onDidChange(()=>{m.isScheduled()||m.schedule()}),e.widgetClose=k("widget-close",y.Codicon.close,(0,I.localize)(2,null)),e.gotoPreviousLocation=k("goto-previous-location",y.Codicon.arrowUp,(0,I.localize)(3,null)),e.gotoNextLocation=k("goto-next-location",y.Codicon.arrowDown,(0,I.localize)(4,null)),e.syncing=D.ThemeIcon.modify(y.Codicon.sync,"spin")}),define(pe[61],ve([0,1,2,24,4,23]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,A.createDecorator)("contextService");var C;(function(b){b[b.EMPTY=1]="EMPTY",b[b.FOLDER=2]="FOLDER",b[b.WORKSPACE=3]="WORKSPACE"})(C=e.WorkbenchState||(e.WorkbenchState={}));function P(b){const f=b;return!!(f&&typeof f=="object"&&typeof f.id=="string"&&Array.isArray(f.folders))}e.isWorkspace=P;function y(b){const f=b;return!!(f&&typeof f=="object"&&v.URI.isUri(f.uri)&&typeof f.name=="string"&&typeof f.toResource=="function")}e.isWorkspaceFolder=y;class i{constructor(f,l,m,S){this._id=f,this._configuration=m,this._ignorePathCasing=S,this._foldersMap=I.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=l}update(f){this._id=f.id,this._configuration=f.configuration,this._ignorePathCasing=f._ignorePathCasing,this.folders=f.folders}get folders(){return this._folders}set folders(f){this._folders=f,this.updateFoldersMap()}get id(){return this._id}get configuration(){return this._configuration}set configuration(f){this._configuration=f}getFolder(f){return f&&this._foldersMap.findSubstr(f.with({scheme:f.scheme,authority:f.authority,path:f.path}))||null}updateFoldersMap(){this._foldersMap=I.TernarySearchTree.forUris(this._ignorePathCasing);for(const f of this.folders)this._foldersMap.set(f.uri,f)}toJSON(){return{id:this.id,folders:this.folders,configuration:this.configuration}}}e.Workspace=i;class T{constructor(f,l){this.raw=l,this.uri=f.uri,this.index=f.index,this.name=f.name}toResource(f){return(0,D.joinPath)(this.uri,f)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=T;function k(b){return new T({uri:b,index:0,name:(0,D.basenameOrAuthority)(b)},{uri:b.toString()})}e.toWorkspaceFolder=k}),define(pe[114],ve([0,1,4,155,61,2,10,7,24,130,56,11,77,30,113]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isRawUriWorkspaceFolder=e.isRawFileWorkspaceFolder=e.isStoredWorkspaceFolder=e.isUntitledWorkspace=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=e.hasWorkspaceFileExtension=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=void 0,e.WORKSPACE_EXTENSION="code-workspace";const m=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,D.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function S(q){return(typeof q=="string"?(0,P.extname)(q):(0,y.extname)(q))===m}e.hasWorkspaceFileExtension=S,e.IWorkspacesService=(0,v.createDecorator)("workspacesService");function g(q){return q.hasOwnProperty("workspace")}e.isRecentWorkspace=g;function _(q){return q.hasOwnProperty("folderUri")}e.isRecentFolder=_;function u(q){return q.hasOwnProperty("fileUri")}e.isRecentFile=u;function c(q){const N=q;return typeof(N==null?void 0:N.id)=="string"&&I.URI.isUri(N.uri)}e.isSingleFolderWorkspaceIdentifier=c;function o(q){if(q.configuration)return{id:q.id,configPath:q.configuration};if(q.folders.length===1)return{id:q.id,uri:q.folders[0].uri}}e.toWorkspaceIdentifier=o;function t(q){const N=q;return typeof(N==null?void 0:N.id)=="string"&&I.URI.isUri(N.configPath)}e.isWorkspaceIdentifier=t;function r(q){const N=q;if(N==null?void 0:N.uri)return{id:N.id,uri:I.URI.revive(N.uri)};const W=q;if(W==null?void 0:W.configPath)return{id:W.id,configPath:I.URI.revive(W.configPath)};if(q==null?void 0:q.id)return{id:q.id}}e.reviveIdentifier=r;function s(q,N){return y.extUriBiasedIgnorePathCase.isEqualOrParent(q,N.untitledWorkspacesHome)}e.isUntitledWorkspace=s;function a(q){return n(q)||d(q)}e.isStoredWorkspaceFolder=a;function n(q){const N=q;return typeof(N==null?void 0:N.path)=="string"&&(!N.name||typeof N.name=="string")}e.isRawFileWorkspaceFolder=n;function d(q){const N=q;return typeof(N==null?void 0:N.uri)=="string"&&(!N.name||typeof N.name=="string")}e.isRawUriWorkspaceFolder=d;function p(q,N,W,M,O=!C.isWindows,F){if(q.scheme!==M.scheme)return{name:W,uri:q.toString(!0)};let B=N?void 0:F.relativePath(M,q);if(B!==void 0)B.length===0?B=".":C.isWindows&&q.scheme===k.Schemas.file&&!O&&(B=B.replace(/\//g,"\\"));else if(q.scheme===k.Schemas.file)B=q.fsPath,C.isWindows&&(B=(0,b.normalizeDriveLetter)(B),O&&(B=(0,f.toSlashes)(B)));else{if(!F.isEqualAuthority(q.authority,M.authority))return{name:W,uri:q.toString(!0)};B=q.path}return{name:W,path:B}}e.getStoredWorkspaceFolder=p;function E(q,N,W){let M=[],O=new Set;const F=W.dirname(N);for(let B of q){let V=null;if(n(B))B.path&&(V=W.resolvePath(F,B.path));else if(d(B))try{V=I.URI.parse(B.uri),V.path[0]!=="/"&&(V=V.with({path:"/"+V.path}))}catch(G){console.warn(G)}if(V){let G=W.getComparisonKey(V);if(!O.has(G)){O.add(G);const ce=B.name||W.basenameOrAuthority(V);M.push(new A.WorkspaceFolder({uri:V,name:ce,index:M.length},B))}}}return M}e.toWorkspaceFolders=E;function h(q,N,W,M,O){let F=w(N,q);const B=O.dirname(N),V=O.dirname(M),G=[],ce=R(F.folders);for(const Fe of F.folders){const H=n(Fe)?O.resolvePath(B,Fe.path):I.URI.parse(Fe.uri);let X;W?X=!1:X=!n(Fe)||(0,P.isAbsolute)(Fe.path),G.push(p(H,X,Fe.name,V,ce,O))}const me={insertSpaces:!1,tabSize:4,eol:C.isLinux||C.isMacintosh?`
`:`\r
`},Pe=i.setProperty(q,["folders"],G,me);let Ie=i.applyEdits(q,Pe);return F.remoteAuthority===(0,l.getRemoteAuthority)(M)&&(Ie=i.applyEdits(Ie,i.removeProperty(Ie,["remoteAuthority"],me))),Ie}e.rewriteWorkspaceFileForNewLocation=h;function w(q,N){let W=T.parse(N);if(W&&Array.isArray(W.folders))W.folders=W.folders.filter(M=>a(M));else throw new Error(`${q} looks like an invalid workspace file.`);return W}function R(q){return C.isWindows?q.some(N=>n(N)&&N.path.indexOf("/")>=0):!0}e.useSlashForPath=R;function L(q){return q.workspace&&typeof q.workspace=="object"&&typeof q.workspace.id=="string"&&typeof q.workspace.configPath=="string"}function U(q){return typeof q.folderUri=="string"}function J(q){return typeof q.fileUri=="string"}function Z(q,N){const W={workspaces:[],files:[]};if(q){const M=function(F,B){for(let V=0;V<F.length;V++)try{B(F[V],V)}catch(G){N.warn(`Error restoring recent entry ${JSON.stringify(F[V])}: ${G.toString()}. Skip entry.`)}},O=q;if(Array.isArray(O.entries))M(O.entries,F=>{const B=F.label,V=F.remoteAuthority;L(F)?W.workspaces.push({label:B,remoteAuthority:V,workspace:{id:F.workspace.id,configPath:I.URI.parse(F.workspace.configPath)}}):U(F)?W.workspaces.push({label:B,remoteAuthority:V,folderUri:I.URI.parse(F.folderUri)}):J(F)&&W.files.push({label:B,remoteAuthority:V,fileUri:I.URI.parse(F.fileUri)})});else{const F=q;Array.isArray(F.workspaces3)&&M(F.workspaces3,(B,V)=>{const G=Array.isArray(F.workspaceLabels)&&F.workspaceLabels[V]||void 0;typeof B=="object"&&typeof B.id=="string"&&typeof B.configURIPath=="string"?W.workspaces.push({label:G,workspace:{id:B.id,configPath:I.URI.parse(B.configURIPath)}}):typeof B=="string"&&W.workspaces.push({label:G,folderUri:I.URI.parse(B)})}),Array.isArray(F.files2)&&M(F.files2,(B,V)=>{const G=Array.isArray(F.fileLabels)&&F.fileLabels[V]||void 0;typeof B=="string"&&W.files.push({label:G,fileUri:I.URI.parse(B)})})}}return W}e.restoreRecentlyOpened=Z;function z(q){const N={entries:[]};for(const W of q.workspaces)_(W)?N.entries.push({folderUri:W.folderUri.toString(),label:W.label,remoteAuthority:W.remoteAuthority}):N.entries.push({workspace:{id:W.workspace.id,configPath:W.workspace.configPath.toString()},label:W.label,remoteAuthority:W.remoteAuthority});for(const W of q.files)N.entries.push({fileUri:W.fileUri.toString(),label:W.label,remoteAuthority:W.remoteAuthority});return N}e.toStoreData=z}),define(pe[115],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class v{constructor(A){this.id=A,this._data=new Map,this._idPool=1}add(A){const I=this._idPool++;return this._data.set(I,A),this.logDebugInfo(),I}get(A,I){return this._data.has(A)?this._data.get(A)[I]:void 0}delete(A){this._data.delete(A),this.logDebugInfo()}logDebugInfo(){!v.enableDebugLogging||console.log(`${this.id} cache size \u2014 ${this._data.size}`)}}e.Cache=v,v.enableDebugLogging=!1}),define(pe[192],ve([0,1,2,3]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=void 0;class A{constructor(){this._onDidChangeTabs=new D.Emitter,this.onDidChangeTabs=this._onDidChangeTabs.event,this._tabs=[]}get tabs(){return this._tabs}$acceptEditorTabs(C){this._tabs=C.map(P=>({name:P.name,group:P.group,resource:v.URI.revive(P.resource)})),this._onDidChangeTabs.fire()}}e.ExtHostEditorTabs=A}),define(pe[62],ve([0,1,11,4]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class A{constructor(){this._systemSchemes=new Set(Object.keys(v.Schemas)),this._providerInfo=new Map}$acceptProviderInfos(C,P){P===null?this._providerInfo.delete(C):this._providerInfo.set(C,P)}isFreeScheme(C){return!this._providerInfo.has(C)&&!this._systemSchemes.has(C)}getCapabilities(C){return this._providerInfo.get(C)}}e.ExtHostFileSystemInfo=A,e.IExtHostFileSystemInfo=(0,D.createDecorator)("IExtHostFileSystemInfo")}),define(pe[27],ve([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=(0,v.createDecorator)("IExtHostInitDataService")}),define(pe[193],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class v{constructor(I,C,P){this._id=I,this._shared=C,this._storage=P,this._init=this._storage.getValue(this._shared,this._id,Object.create(null)).then(y=>(this._value=y,this)),this._storageListener=this._storage.onDidChangeStorage(y=>{y.shared===this._shared&&y.key===this._id&&(this._value=y.value)})}get whenReady(){return this._init}get(I,C){let P=this._value[I];return typeof P=="undefined"&&(P=C),P}update(I,C){return this._value[I]=C,this._storage.setValue(this._shared,this._id,this._value)}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=v;class D extends v{constructor(I,C){super(I.identifier.value,!0,C);this._extension=I}setKeysForSync(I){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},I)}}e.ExtensionGlobalMemento=D}),define(pe[14],ve([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=(0,v.createDecorator)("IExtHostRpcService");class D{constructor(I){this.getProxy=I.getProxy.bind(I),this.set=I.set.bind(I),this.assertRegistered=I.assertRegistered.bind(I),this.drain=I.drain.bind(I)}}e.ExtHostRpcService=D});var tt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},$e=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(pe[194],ve([0,1,29,3]),function(Q,e,v,D){"use strict";var A;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class I{constructor(P,y){A.set(this,void 0),this._onDidChange=new D.Emitter,this.onDidChange=this._onDidChange.event,this._id=v.ExtensionIdentifier.toKey(P.identifier),tt(this,A,y),$e(this,A).onDidChangePassword(i=>{i.extensionId===this._id&&this._onDidChange.fire({key:i.key})})}get(P){return $e(this,A).get(this._id,P)}store(P,y){return $e(this,A).store(this._id,P,y)}delete(P){return $e(this,A).delete(this._id,P)}}e.ExtensionSecrets=I,A=new WeakMap}),define(pe[116],ve([0,1,4,3]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTelemetry=e.ExtHostTelemetry=void 0;class A{constructor(){this._onDidChangeTelemetryEnabled=new D.Emitter,this.onDidChangeTelemetryEnabled=this._onDidChangeTelemetryEnabled.event,this._enabled=!1}getTelemetryEnabled(){return this._enabled}$initializeTelemetryEnabled(C){this._enabled=C}$onDidChangeTelemetryEnabled(C){this._enabled=C,this._onDidChangeTelemetryEnabled.fire(C)}}e.ExtHostTelemetry=A,e.IExtHostTelemetry=(0,v.createDecorator)("IExtHostTelemetry")}),define(pe[50],ve([0,1,4,3,14]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDto=void 0;var I;(function(P){function y(T){return{remoteAddress:T.remoteAddress,localAddress:T.localAddress,public:!!T.public}}P.fromApiTunnel=y;function i(T){return{remoteAddress:{host:T.tunnelRemoteHost,port:T.tunnelRemotePort},localAddress:T.localAddress,public:T.public}}P.fromServiceTunnel=i})(I=e.TunnelDto||(e.TunnelDto={})),e.IExtHostTunnelService=(0,v.createDecorator)("IExtHostTunnelService");let C=class{constructor(y){this.onDidChangeTunnels=new D.Emitter().event}async $applyCandidateFilter(y){return y}async openTunnel(y,i){}async getTunnels(){return[]}async setTunnelExtensionFunctions(y){return{dispose:()=>{}}}registerPortsAttributesProvider(y,i){return{dispose:()=>{}}}async $providePortAttributes(y,i,T,k,b){return[]}async $forwardPort(y,i){}async $closeTunnel(y){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};C=je([Ue(0,A.IExtHostRpcService)],C),e.ExtHostTunnelService=C}),define(pe[63],ve([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=(0,v.createDecorator)("IURITransformerService");class D{constructor(I){I?(this.transformIncoming=I.transformIncoming.bind(I),this.transformOutgoing=I.transformOutgoing.bind(I),this.transformOutgoingURI=I.transformOutgoingURI.bind(I),this.transformOutgoingScheme=I.transformOutgoingScheme.bind(I)):(this.transformIncoming=C=>C,this.transformOutgoing=C=>C,this.transformOutgoingURI=C=>C,this.transformOutgoingScheme=C=>C)}}e.URITransformerService=D}),define(pe[85],ve([0,1,2]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.asWebviewUri=void 0;function D(I,C,P){const y=I.webviewResourceRoot.replace("{{resource}}",P.scheme+A(P)).replace("{{uuid}}",C);return v.URI.parse(y)}e.asWebviewUri=D;function A(I){return I.toString().replace(/^\S+?:/,"")}}),define(pe[195],ve([0,1,3,6,85,28]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class C{constructor(y,i,T){this._proxy=y,this._editors=i,this._initData=T,this._handlePool=0,this._disposables=new D.DisposableStore,this._insets=new Map,this._disposables.add(i.onDidChangeVisibleTextEditors(()=>{const k=i.getVisibleTextEditors();for(const b of this._insets.values())k.indexOf(b.editor)<0&&b.inset.dispose()}))}dispose(){this._insets.forEach(y=>y.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(y,i,T,k,b){let f;for(const c of this._editors.getVisibleTextEditors(!0))if(c.value===y){f=c;break}if(!f)throw new Error("not a visible editor");const l=this,m=this._handlePool++,S=new v.Emitter,g=new v.Emitter,_=new class{constructor(){this._uuid=(0,I.generateUuid)(),this._html="",this._options=Object.create(null)}asWebviewUri(c){return(0,A.asWebviewUri)(l._initData,this._uuid,c)}get cspSource(){return l._initData.webviewCspSource}set options(c){this._options=c,l._proxy.$setOptions(m,c)}get options(){return this._options}set html(c){this._html=c,l._proxy.$setHtml(m,c)}get html(){return this._html}get onDidReceiveMessage(){return S.event}postMessage(c){return l._proxy.$postMessage(m,c)}},u=new class{constructor(){this.editor=y,this.line=i,this.height=T,this.webview=_,this.onDidDispose=g.event}dispose(){l._insets.has(m)&&(l._insets.delete(m),l._proxy.$disposeEditorInset(m),g.fire(),g.dispose(),S.dispose())}};return this._proxy.$createEditorInset(m,f.id,f.value.document.uri,i+1,T,k||{},b.identifier,b.extensionLocation),this._insets.set(m,{editor:y,inset:u,onDidReceiveMessage:S}),u}$onDidDispose(y){const i=this._insets.get(y);i&&i.inset.dispose()}$onDidReceiveMessage(y,i){const T=this._insets.get(y);T&&T.onDidReceiveMessage.fire(i)}}e.ExtHostEditorInsets=C}),define(pe[196],ve([0,1,3,60,166,4,6,23,40,12,54,22,46,191]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ResolvableTreeItem=e.TreeItemCollapsibleState=e.ViewVisibilityState=e.IViewDescriptorService=e.getVisbileViewContextKey=e.FocusedViewContext=e.IViewsService=e.ViewContentGroups=e.getEnabledViewContainerContextKey=e.ViewContainerLocationToString=e.ViewContainerLocation=e.Extensions=e.defaultViewIcon=void 0,e.defaultViewIcon=(0,f.registerIcon)("default-view-icon",b.Codicon.window,(0,A.localize)(0,null));var l;(function(n){n.ViewContainersRegistry="workbench.registry.view.containers",n.ViewsRegistry="workbench.registry.view"})(l=e.Extensions||(e.Extensions={}));var m;(function(n){n[n.Sidebar=0]="Sidebar",n[n.Panel=1]="Panel"})(m=e.ViewContainerLocation||(e.ViewContainerLocation={}));function S(n){switch(n){case 0:return"sidebar";case 1:return"panel"}}e.ViewContainerLocationToString=S;function g(n){return`viewContainer.${n}.enabled`}e.getEnabledViewContainerContextKey=g;class _ extends C.Disposable{constructor(){super(...arguments);this._onDidRegister=this._register(new v.Emitter),this.onDidRegister=this._onDidRegister.event,this._onDidDeregister=this._register(new v.Emitter),this.onDidDeregister=this._onDidDeregister.event,this.viewContainers=new Map,this.defaultViewContainers=[]}get all(){return(0,i.flatten)([...this.viewContainers.values()])}registerViewContainer(d,p,E){var h;const w=this.get(d.id);if(w)return w;const R=d;return R.openCommandActionDescriptor=(E==null?void 0:E.donotRegisterOpenCommand)?void 0:(h=R.openCommandActionDescriptor)!==null&&h!==void 0?h:{id:R.id},(0,P.getOrSet)(this.viewContainers,p,[]).push(R),(E==null?void 0:E.isDefault)&&this.defaultViewContainers.push(R),this._onDidRegister.fire({viewContainer:R,viewContainerLocation:p}),R}deregisterViewContainer(d){for(const p of this.viewContainers.keys()){const E=this.viewContainers.get(p),h=E==null?void 0:E.indexOf(d);if(h!==-1){E==null||E.splice(h,1),E.length===0&&this.viewContainers.delete(p),this._onDidDeregister.fire({viewContainer:d,viewContainerLocation:p});return}}}get(d){return this.all.filter(p=>p.id===d)[0]}getViewContainers(d){return[...this.viewContainers.get(d)||[]]}getViewContainerLocation(d){return[...this.viewContainers.keys()].filter(p=>this.getViewContainers(p).filter(E=>(E==null?void 0:E.id)===d.id).length>0)[0]}getDefaultViewContainer(d){return this.defaultViewContainers.find(p=>this.getViewContainerLocation(p)===d)}}y.Registry.add(l.ViewContainersRegistry,new _);var u;(function(n){n.Open="2_open",n.Debug="4_debug",n.SCM="5_scm",n.More="9_more"})(u=e.ViewContentGroups||(e.ViewContentGroups={}));function c(n,d){var p,E,h,w;const R=(p=n.group)!==null&&p!==void 0?p:u.More,L=(E=d.group)!==null&&E!==void 0?E:u.More;return R!==L?R.localeCompare(L):((h=n.order)!==null&&h!==void 0?h:5)-((w=d.order)!==null&&w!==void 0?w:5)}class o extends C.Disposable{constructor(){super(...arguments);this._onViewsRegistered=this._register(new v.Emitter),this.onViewsRegistered=this._onViewsRegistered.event,this._onViewsDeregistered=this._register(new v.Emitter),this.onViewsDeregistered=this._onViewsDeregistered.event,this._onDidChangeContainer=this._register(new v.Emitter),this.onDidChangeContainer=this._onDidChangeContainer.event,this._onDidChangeViewWelcomeContent=this._register(new v.Emitter),this.onDidChangeViewWelcomeContent=this._onDidChangeViewWelcomeContent.event,this._viewContainers=[],this._views=new Map,this._viewWelcomeContents=new T.SetMap}registerViews(d,p){this.registerViews2([{views:d,viewContainer:p}])}registerViews2(d){d.forEach(({views:p,viewContainer:E})=>this.addViews(p,E)),this._onViewsRegistered.fire(d)}deregisterViews(d,p){const E=this.removeViews(d,p);E.length&&this._onViewsDeregistered.fire({views:E,viewContainer:p})}moveViews(d,p){for(const E of this._views.keys())if(E!==p){const h=this.removeViews(d,E);h.length&&(this.addViews(h,p),this._onDidChangeContainer.fire({views:h,from:E,to:p}))}}getViews(d){return this._views.get(d)||[]}getView(d){for(const p of this._viewContainers){const E=(this._views.get(p)||[]).filter(h=>h.id===d)[0];if(E)return E}return null}getViewContainer(d){for(const p of this._viewContainers)if((this._views.get(p)||[]).filter(h=>h.id===d)[0])return p;return null}registerViewWelcomeContent(d,p){return this._viewWelcomeContents.add(d,p),this._onDidChangeViewWelcomeContent.fire(d),(0,C.toDisposable)(()=>{this._viewWelcomeContents.delete(d,p),this._onDidChangeViewWelcomeContent.fire(d)})}registerViewWelcomeContent2(d,p){const E=new Map;for(const[h,w]of p)this._viewWelcomeContents.add(d,w),E.set(h,(0,C.toDisposable)(()=>{this._viewWelcomeContents.delete(d,w),this._onDidChangeViewWelcomeContent.fire(d)}));return this._onDidChangeViewWelcomeContent.fire(d),E}getViewWelcomeContent(d){const p=[];return this._viewWelcomeContents.forEach(d,E=>p.push(E)),p.sort(c)}addViews(d,p){let E=this._views.get(p);E||(E=[],this._views.set(p,E),this._viewContainers.push(p));for(const h of d){if(this.getView(h.id)!==null)throw new Error((0,A.localize)(1,null,h.id));E.push(h)}}removeViews(d,p){const E=this._views.get(p);if(!E)return[];const h=[],w=[];for(const R of E)d.includes(R)?h.push(R):w.push(R);return h.length&&(w.length?this._views.set(p,w):(this._views.delete(p),this._viewContainers.splice(this._viewContainers.indexOf(p),1))),h}}y.Registry.add(l.ViewsRegistry,new o),e.IViewsService=(0,I.createDecorator)("viewsService"),e.FocusedViewContext=new D.RawContextKey("focusedView","",(0,A.localize)(2,null));function t(n){return`view.${n}.visible`}e.getVisbileViewContextKey=t,e.IViewDescriptorService=(0,I.createDecorator)("viewDescriptorService");var r;(function(n){n[n.Default=0]="Default",n[n.Expand=1]="Expand"})(r=e.ViewVisibilityState||(e.ViewVisibilityState={}));var s;(function(n){n[n.None=0]="None",n[n.Collapsed=1]="Collapsed",n[n.Expanded=2]="Expanded"})(s=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));class a{constructor(d,p){this.resolved=!1,this._hasResolve=!1,(0,k.mixin)(this,d),this._hasResolve=!!p,this.resolve=async E=>{var h,w;if(p&&!this.resolved){const R=await p(E);R&&(this.tooltip=(h=this.tooltip)!==null&&h!==void 0?h:R.tooltip,this.command=(w=this.command)!==null&&w!==void 0?w:R.command)}E.isCancellationRequested||(this.resolved=!0)}}get hasResolve(){return this._hasResolve}resetResolve(){this.resolved=!1}asTreeItem(){return{handle:this.handle,parentHandle:this.parentHandle,collapsibleState:this.collapsibleState,label:this.label,description:this.description,icon:this.icon,iconDark:this.iconDark,themeIcon:this.themeIcon,resourceUri:this.resourceUri,tooltip:this.tooltip,contextValue:this.contextValue,command:this.command,children:this.children,accessibilityInformation:this.accessibilityInformation}}}e.ResolvableTreeItem=a}),define(pe[197],ve([0,1,2,178,114,13,179,196]),function(Q,e,v,D,A,I,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MoveViewsAPICommand=e.OpenIssueReporter=e.RemoveFromRecentlyOpenedAPICommand=e.NewWindowAPICommand=void 0;function y(m){return(S,...g)=>m(S.get(D.ICommandService),...g)}class i{static execute(S,g){const _={forceReuseWindow:g&&g.reuseWindow,remoteAuthority:g&&g.remoteAuthority};return S.executeCommand("_files.newWindow",_)}}e.NewWindowAPICommand=i,i.ID="vscode.newWindow",D.CommandsRegistry.registerCommand({id:i.ID,handler:y(i.execute),description:{description:"Opens an new window",args:[]}}),D.CommandsRegistry.registerCommand("_workbench.removeFromRecentlyOpened",function(m,S){return m.get(A.IWorkspacesService).removeRecentlyOpened([S])});class T{static execute(S,g){return typeof g=="string"?g=g.match(/^[^:/?#]+:\/\//)?v.URI.parse(g):v.URI.file(g):g=v.URI.revive(g),S.executeCommand("_workbench.removeFromRecentlyOpened",g)}}e.RemoveFromRecentlyOpenedAPICommand=T,T.ID="vscode.removeFromRecentlyOpened",D.CommandsRegistry.registerCommand(T.ID,y(T.execute));class k{static execute(S,g){const _=typeof g=="string"?{extensionId:g}:g;return S.executeCommand("workbench.action.openIssueReporter",_)}}e.OpenIssueReporter=k,k.ID="vscode.openIssueReporter",D.CommandsRegistry.registerCommand("_workbench.addToRecentlyOpened",async function(m,S){const g=m.get(A.IWorkspacesService);let _;const u=S.uri,c=S.label,o=S.remoteAuthority;return S.type==="workspace"?_={workspace:await g.getWorkspaceIdentifier(u),label:c,remoteAuthority:o}:S.type==="folder"?_={folderUri:u,label:c,remoteAuthority:o}:_={fileUri:u,label:c,remoteAuthority:o},g.addRecentlyOpened([_])}),D.CommandsRegistry.registerCommand("_workbench.getRecentlyOpened",async function(m){return m.get(A.IWorkspacesService).getRecentlyOpened()}),D.CommandsRegistry.registerCommand("_extensionTests.setLogLevel",function(m,S){const g=m.get(I.ILogService),_=m.get(C.IEnvironmentService);_.isExtensionDevelopment&&!!_.extensionTestsLocationURI&&g.setLevel(S)}),D.CommandsRegistry.registerCommand("_extensionTests.getLogLevel",function(m){return m.get(I.ILogService).getLevel()}),D.CommandsRegistry.registerCommand("_workbench.action.moveViews",async function(m,S){const g=m.get(P.IViewDescriptorService),_=g.getViewContainerById(S.destinationId);if(!!_){for(const u of S.viewIds){const c=g.getViewDescriptorById(u);(c==null?void 0:c.canMoveView)&&g.moveViewsToContainer([c],_,P.ViewVisibilityState.Default)}await m.get(P.IViewsService).openViewContainer(_.id,!0)}});class b{static execute(S,g){return!Array.isArray(g==null?void 0:g.viewIds)||typeof(g==null?void 0:g.destinationId)!="string"?Promise.reject("Invalid arguments"):S.executeCommand("_workbench.action.moveViews",g)}}e.MoveViewsAPICommand=b,b.ID="vscode.moveViews",D.CommandsRegistry.registerCommand({id:b.ID,handler:y(b.execute),description:{description:"Move Views",args:[]}});class f{static execute(S,g){return S.executeCommand("_workbench.open",g)}}f.ID="vscode.open",D.CommandsRegistry.registerCommand(f.ID,y(f.execute));class l{static execute(S,g,_,u,c){return S.executeCommand("_workbench.diff",[g,_,u])}}l.ID="vscode.diff",D.CommandsRegistry.registerCommand(l.ID,y(l.execute))}),define(pe[117],ve([0,1,3,19,167]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class I{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new v.Emitter,this._onExit=new v.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(P){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=P}onEvent(P){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=P}onRequest(P){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=P}sendResponse(P){P.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${P.command}`)):this.internalSend("response",P)}sendRequest(P,y,i,T){const k={command:P};if(y&&Object.keys(y).length>0&&(k.arguments=y),this.internalSend("request",k),typeof T=="number"){const b=setTimeout(()=>{clearTimeout(b);const f=this.pendingRequests.get(k.seq);if(f){this.pendingRequests.delete(k.seq);const l={type:"response",seq:0,request_seq:k.seq,success:!1,command:P,message:(0,A.localize)(0,null,T,P)};f(l)}},T)}return i&&this.pendingRequests.set(k.seq,i),k.seq}acceptMessage(P){this.messageCallback?this.messageCallback(P):(this.queue.push(P),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(P,y){return P.type!=="event"||y.type!=="event"}async processQueue(){let P;for(;this.queue.length;){if((!P||this.needsTaskBoundaryBetween(this.queue[0],P))&&await(0,D.timeout)(0),P=this.queue.shift(),!P)return;switch(P.type){case"event":this.eventCallback&&this.eventCallback(P);break;case"request":this.requestCallback&&this.requestCallback(P);break;case"response":const y=P,i=this.pendingRequests.get(y.request_seq);i&&(this.pendingRequests.delete(y.request_seq),i(y));break}}}internalSend(P,y){y.type=P,y.seq=this.sequence++,this.sendMessage(y)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const P=new Map;this.pendingRequests.forEach((y,i)=>P.set(i,y)),await(0,D.timeout)(500),P.forEach((y,i)=>{y({type:"response",seq:0,request_seq:i,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(i)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=I}),define(pe[198],ve([0,1,9,2,7,22,11]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const P=/{([^}]+)}/g;function y(r,s,a){return r.replace(P,function(n,d){return s&&d.length>0&&d[0]!=="_"?n:a&&a.hasOwnProperty(d)?a[d]:n})}e.formatPII=y;function i(r){const s={};for(const a of Object.keys(r))a.startsWith("!")||(s[a]=r[a]);return s}e.filterExceptionsFromTelemetry=i;function T(r){return r.configuration.request==="attach"&&!k(r)}e.isSessionAttach=T;function k(r){let s=r.configuration.type;if(!!s)return s==="vslsShare"&&(s=r.configuration.adapterProxy.configuration.type),(0,v.equalsIgnoreCase)(s,"extensionhost")||(0,v.equalsIgnoreCase)(s,"pwa-extensionhost")?r:r.parentSession?k(r.parentSession):void 0}e.getExtensionHostDebugSession=k;function b(r){return r.type&&(r.label||r.program||r.runtime)}e.isDebuggerMainContribution=b;function f(r,s,a){let n,d=0,p=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g,E=null;for(;E=p.exec(r);){let h=E.index+1,w=h+E[0].length;if(h<=s&&w>=a){n=E[0],d=h;break}}if(n){let h=/\w+/g,w=null;for(;(w=h.exec(n))&&!(w.index+1+d+w[0].length>=a););w&&(n=n.substring(0,h.lastIndex))}return n?{start:d,end:d+n.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=f;const l=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function m(r){return!!(r&&r.match(l))}e.isUri=m;function S(r){if(typeof r.path=="string"&&!(typeof r.sourceReference=="number"&&r.sourceReference>0)){if(m(r.path))return D.URI.parse(r.path);if((0,A.isAbsolute)(r.path))return D.URI.file(r.path)}return r.path}function g(r){if(typeof r.path=="object"){const s=D.URI.revive(r.path);if(s)return s.scheme===C.Schemas.file?s.fsPath:s.toString()}return r.path}function _(r,s){const a=s?S:g,n=(0,I.deepClone)(r);return c(n,(d,p)=>{d&&p&&(p.path=a(p))}),n}e.convertToDAPaths=_;function u(r,s){const a=s?S:g,n=(0,I.deepClone)(r);return c(n,(d,p)=>{!d&&p&&(p.path=a(p))}),n}e.convertToVSCPaths=u;function c(r,s){switch(r.type){case"event":const a=r;switch(a.event){case"output":s(!1,a.body.source);break;case"loadedSource":s(!1,a.body.source);break;case"breakpoint":s(!1,a.body.breakpoint.source);break;default:break}break;case"request":const n=r;switch(n.command){case"setBreakpoints":s(!0,n.arguments.source);break;case"breakpointLocations":s(!0,n.arguments.source);break;case"source":s(!0,n.arguments.source);break;case"gotoTargets":s(!0,n.arguments.source);break;case"launchVSCode":n.arguments.args.forEach(p=>s(!1,p));break;default:break}break;case"response":const d=r;if(d.success&&d.body)switch(d.command){case"stackTrace":d.body.stackFrames.forEach(p=>s(!1,p.source));break;case"loadedSources":d.body.sources.forEach(p=>s(!1,p));break;case"scopes":d.body.scopes.forEach(p=>s(!1,p.source));break;case"setFunctionBreakpoints":d.body.breakpoints.forEach(p=>s(!1,p.source));break;case"setBreakpoints":d.body.breakpoints.forEach(p=>s(!1,p.source));break;default:break}break}}function o(r){return r.filter(s=>{var a;return!((a=s.presentation)===null||a===void 0?void 0:a.hidden)}).sort((s,a)=>s.presentation?a.presentation?s.presentation.group?a.presentation.group?s.presentation.group!==a.presentation.group?s.presentation.group.localeCompare(a.presentation.group):t(s.presentation.order,a.presentation.order):-1:a.presentation.group?1:t(s.presentation.order,a.presentation.order):-1:a.presentation?1:0)}e.getVisibleAndSorted=o;function t(r,s){return typeof r!="number"?typeof s!="number"?0:1:typeof s!="number"?-1:r-s}}),define(pe[199],ve([0,1,25,39,168,118,7,9,22,10,180,117]),function(Q,e,v,D,A,I,C,P,y,i,T,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExecutableDebugAdapter=e.NamedPipeDebugAdapter=e.SocketDebugAdapter=e.NetworkDebugAdapter=e.StreamDebugAdapter=void 0;class b extends k.AbstractDebugAdapter{constructor(){super();this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1}connect(_,u){this.outputStream=u,this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1,_.on("data",c=>this.handleData(c))}sendMessage(_){if(this.outputStream){const u=JSON.stringify(_);this.outputStream.write(`Content-Length: ${Buffer.byteLength(u,"utf8")}${b.TWO_CRLF}${u}`,"utf8")}}handleData(_){for(this.rawData=Buffer.concat([this.rawData,_]);;){if(this.contentLength>=0){if(this.rawData.length>=this.contentLength){const u=this.rawData.toString("utf8",0,this.contentLength);if(this.rawData=this.rawData.slice(this.contentLength),this.contentLength=-1,u.length>0)try{this.acceptMessage(JSON.parse(u))}catch(c){this._onError.fire(new Error((c.message||c)+`
`+u))}continue}}else{const u=this.rawData.indexOf(b.TWO_CRLF);if(u!==-1){const o=this.rawData.toString("utf8",0,u).split(b.HEADER_LINESEPARATOR);for(const t of o){const r=t.split(b.HEADER_FIELDSEPARATOR);r[0]==="Content-Length"&&(this.contentLength=Number(r[1]))}this.rawData=this.rawData.slice(u+b.TWO_CRLF.length);continue}}break}}}e.StreamDebugAdapter=b,b.TWO_CRLF=`\r
\r
`,b.HEADER_LINESEPARATOR=/\r?\n/,b.HEADER_FIELDSEPARATOR=/: */;class f extends b{startSession(){return new Promise((_,u)=>{let c=!1;this.socket=this.createConnection(()=>{this.connect(this.socket,this.socket),_(),c=!0}),this.socket.on("close",()=>{c?this._onError.fire(new Error("connection closed")):u(new Error("connection closed"))}),this.socket.on("error",o=>{c?this._onError.fire(o):u(o)})})}async stopSession(){await this.cancelPendingRequests(),this.socket&&(this.socket.end(),this.socket=void 0)}}e.NetworkDebugAdapter=f;class l extends f{constructor(_){super();this.adapterServer=_}createConnection(_){return I.createConnection(this.adapterServer.port,this.adapterServer.host||"127.0.0.1",_)}}e.SocketDebugAdapter=l;class m extends f{constructor(_){super();this.adapterServer=_}createConnection(_){return I.createConnection(this.adapterServer.path,_)}}e.NamedPipeDebugAdapter=m;class S extends b{constructor(_,u,c){super();this.adapterExecutable=_,this.debugType=u,this.outputService=c}async startSession(){const _=this.adapterExecutable.command,u=this.adapterExecutable.args,c=this.adapterExecutable.options||{};try{if(_)if(C.isAbsolute(_)){if(!await(0,v.exists)(_))throw new Error(A.localize(0,null,_))}else _.indexOf("/")<0&&_.indexOf("\\")<0;else throw new Error(A.localize(1,null,this.debugType));let o=process.env;if(c.env&&Object.keys(c.env).length>0&&(o=y.mixin(y.deepClone(process.env),c.env)),_==="node")if(Array.isArray(u)&&u.length>0){const r=!!process.env.ELECTRON_RUN_AS_NODE||!!process.versions.electron,s={env:o,execArgv:r?["-e","delete process.env.ELECTRON_RUN_AS_NODE;require(process.argv[1])"]:[],silent:!0};c.cwd&&(s.cwd=c.cwd);const a=D.fork(u[0],u.slice(1),s);if(!a.pid)throw new Error(A.localize(2,null,u[0]));this.serverProcess=a}else throw new Error(A.localize(3,null));else{const r={env:o};c.cwd&&(r.cwd=c.cwd),this.serverProcess=D.spawn(_,u,r)}this.serverProcess.on("error",r=>{this._onError.fire(r)}),this.serverProcess.on("exit",(r,s)=>{this._onExit.fire(r)}),this.serverProcess.stdout.on("close",()=>{this._onError.fire(new Error("read error"))}),this.serverProcess.stdout.on("error",r=>{this._onError.fire(r)}),this.serverProcess.stdin.on("error",r=>{this._onError.fire(r)});const t=this.outputService;if(t){const r=s=>s.toString().replace(/\r?\n$/mg,"");this.serverProcess.stderr.on("data",s=>{const a=t.getChannel(T.ExtensionsChannelId);a&&a.append(r(s))})}else this.serverProcess.stderr.resume();this.connect(this.serverProcess.stdout,this.serverProcess.stdin)}catch(o){this._onError.fire(o)}}async stopSession(){return this.serverProcess?(await this.cancelPendingRequests(),i.isWindows?new Promise((_,u)=>{const c=D.exec(`taskkill /F /T /PID ${this.serverProcess.pid}`,function(o,t,r){if(o)return u(o)});c.on("exit",_),c.on("error",u)}):(this.serverProcess.kill("SIGTERM"),Promise.resolve(void 0))):Promise.resolve(void 0)}static extract(_,u){if(!!_){const c=Object.create(null);_.runtime&&(_.runtime.indexOf("./")===0?c.runtime=C.join(u,_.runtime):c.runtime=_.runtime),_.runtimeArgs&&(c.runtimeArgs=_.runtimeArgs),_.program&&(C.isAbsolute(_.program)?c.program=_.program:c.program=C.join(u,_.program)),_.args&&(c.args=_.args);const o=_;return o.win&&(c.win=S.extract(o.win,u)),o.winx86&&(c.winx86=S.extract(o.winx86,u)),o.windows&&(c.windows=S.extract(o.windows,u)),o.osx&&(c.osx=S.extract(o.osx,u)),o.linux&&(c.linux=S.extract(o.linux,u)),c}}static platformAdapterExecutable(_,u){let c=Object.create(null);u=u.toLowerCase();for(const n of _)if(n.contributes){const d=n.contributes.debuggers;d&&d.length>0&&d.filter(p=>typeof p.type=="string"&&P.equalsIgnoreCase(p.type,u)).forEach(p=>{const E=S.extract(p,n.extensionLocation.fsPath);c=y.mixin(c,E,n.isBuiltin)})}let o;i.isWindows&&!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432")?o=c.winx86||c.win||c.windows:i.isWindows?o=c.win||c.windows:i.isMacintosh?o=c.osx:i.isLinux&&(o=c.linux),o=o||c;let t=o.program||c.program;const r=o.args||c.args;let s=o.runtime||c.runtime;const a=o.runtimeArgs||c.runtimeArgs;if(s)return{type:"executable",command:s,args:(a||[]).concat(typeof t=="string"?[t]:[]).concat(r||[])};if(t)return{type:"executable",command:t,args:r||[]}}}e.ExecutableDebugAdapter=S}),define(pe[200],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DEFAULT_TERMINAL_OSX=void 0,e.DEFAULT_TERMINAL_OSX="Terminal.app"}),define(pe[201],ve([0,1,39,7,79,169,25,10,84,4,200,11]),function(Q,e,v,D,A,I,C,P,y,i,T,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxExternalTerminalService=e.MacExternalTerminalService=e.WindowsExternalTerminalService=void 0;const b=I.localize(0,null);let f=class Wt{constructor(u){this._configurationService=u}openTerminal(u){if(this._configurationService){const c=this._configurationService.getValue();this.spawnTerminal(v,c,A.getWindowsShell(),u)}}runInTerminal(u,c,o,t,r){const s=r.windowsExec||Wt.getDefaultTerminalWindows();return new Promise((a,n)=>{const d=`"${c} - ${b}"`,p=`""${o.join('" "')}" & pause"`,E=["/c","start",d,"/wait",s,"/c",p],h=Object.assign({},process.env,t);Object.keys(h).filter(L=>h[L]===null).forEach(L=>delete h[L]);const w={cwd:c,env:h,windowsVerbatimArguments:!0};v.spawn(Wt.CMD,E,w).on("error",L=>{n(S(L))}),a(void 0)})}spawnTerminal(u,c,o,t){const s=c.terminal.external.windowsExec||Wt.getDefaultTerminalWindows();t&&t[1]===":"&&(t=t[0].toUpperCase()+t.substr(1));const a=D.basename(s).toLowerCase();if(a==="cmder"||a==="cmder.exe")return u.spawn(s,t?[t]:void 0),Promise.resolve(void 0);const n=["/c","start","/wait"];return s.indexOf(" ")>=0&&n.push('""'),n.push(s),(a==="wt"||a==="wt.exe")&&n.push("-d ."),new Promise((d,p)=>{const E=t?{cwd:t}:void 0,h=u.spawn(o,n,E);h.on("error",p),h.on("exit",()=>d())})}static getDefaultTerminalWindows(){if(!Wt._DEFAULT_TERMINAL_WINDOWS){const u=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");Wt._DEFAULT_TERMINAL_WINDOWS=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${u?"Sysnative":"System32"}\\cmd.exe`}return Wt._DEFAULT_TERMINAL_WINDOWS}};f.CMD="cmd.exe",f=je([Ue(0,(0,i.optional)(y.IConfigurationService))],f),e.WindowsExternalTerminalService=f;let l=class An{constructor(u){this._configurationService=u}openTerminal(u){if(this._configurationService){const c=this._configurationService.getValue();this.spawnTerminal(v,c,u)}}runInTerminal(u,c,o,t,r){const s=r.osxExec||T.DEFAULT_TERMINAL_OSX;return new Promise((a,n)=>{if(s===T.DEFAULT_TERMINAL_OSX||s==="iTerm.app"){const d=s===T.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",E=[k.FileAccess.asFileUri(`vs/workbench/contrib/externalTerminal/node/${d}.scpt`,Q).fsPath,"-t",u||b,"-w",c];for(let R of o)E.push("-a"),E.push(R);if(t)for(let R in t){const L=t[R];L===null?(E.push("-u"),E.push(R)):(E.push("-e"),E.push(`${R}=${L}`))}let h="";const w=v.spawn(An.OSASCRIPT,E);w.on("error",R=>{n(S(R))}),w.stderr.on("data",R=>{h+=R.toString()}),w.on("exit",R=>{if(R===0)a(void 0);else if(h){const L=h.split(`
`,1);n(new Error(L[0]))}else n(new Error(I.localize(1,null,d,R)))})}else n(new Error(I.localize(2,null,s)))})}spawnTerminal(u,c,o){const r=c.terminal.external.osxExec||T.DEFAULT_TERMINAL_OSX;return new Promise((s,a)=>{const n=["-a",r];o&&n.push(o);const d=u.spawn("/usr/bin/open",n);d.on("error",a),d.on("exit",()=>s())})}};l.OSASCRIPT="/usr/bin/osascript",l=je([Ue(0,(0,i.optional)(y.IConfigurationService))],l),e.MacExternalTerminalService=l;let m=class Bt{constructor(u){this._configurationService=u}openTerminal(u){if(this._configurationService){const c=this._configurationService.getValue();this.spawnTerminal(v,c,u)}}runInTerminal(u,c,o,t,r){const s=r.linuxExec?Promise.resolve(r.linuxExec):Bt.getDefaultTerminalLinuxReady();return new Promise((a,n)=>{let d=[];s.then(p=>{p.indexOf("gnome-terminal")>=0?d.push("-x"):d.push("-e"),d.push("bash"),d.push("-c");const E=`${g(o)}; echo; read -p "${Bt.WAIT_MESSAGE}" -n1;`;d.push(`''${E}''`);const h=Object.assign({},process.env,t);Object.keys(h).filter(U=>h[U]===null).forEach(U=>delete h[U]);const w={cwd:c,env:h};let R="";const L=v.spawn(p,d,w);L.on("error",U=>{n(S(U))}),L.stderr.on("data",U=>{R+=U.toString()}),L.on("exit",U=>{if(U===0)a(void 0);else if(R){const J=R.split(`
`,1);n(new Error(J[0]))}else n(new Error(I.localize(4,null,p,U)))})})})}spawnTerminal(u,c,o){const t=c.terminal.external,r=t.linuxExec?Promise.resolve(t.linuxExec):Bt.getDefaultTerminalLinuxReady();return new Promise((s,a)=>{r.then(n=>{const d=o?{cwd:o}:void 0,p=u.spawn(n,[],d);p.on("error",a),p.on("exit",()=>s())})})}static async getDefaultTerminalLinuxReady(){return Bt._DEFAULT_TERMINAL_LINUX_READY||(Bt._DEFAULT_TERMINAL_LINUX_READY=new Promise(async u=>{P.isLinux?await C.exists("/etc/debian_version")?u("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?u("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?u("konsole"):process.env.COLORTERM?u(process.env.COLORTERM):process.env.TERM?u(process.env.TERM):u("xterm"):u("xterm")})),Bt._DEFAULT_TERMINAL_LINUX_READY}};m.WAIT_MESSAGE=I.localize(3,null),m=je([Ue(0,(0,i.optional)(y.IConfigurationService))],m),e.LinuxExternalTerminalService=m;function S(_){return"errno"in _&&_.errno==="ENOENT"&&"path"in _&&typeof _.path=="string"?new Error(I.localize(5,null,_.path)):_}function g(_){let u="";for(let c of _)c.indexOf(" ")>=0?u+='"'+c+'"':u+=c,u+=" ";return u}}),define(pe[202],ve([0,1,39,10,201,30]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prepareCommand=e.hasChildProcesses=e.runInExternalTerminal=void 0;let C;function P(b,f){if(!C)if(D.isWindows)C=new A.WindowsExternalTerminalService(void 0);else if(D.isMacintosh)C=new A.MacExternalTerminalService(void 0);else if(D.isLinux)C=new A.LinuxExternalTerminalService(void 0);else throw new Error("external terminals not supported on this platform");const l=f.getConfiguration("terminal");return C.runInTerminal(b.title,b.cwd,b.args,b.env||{},l.external||{})}e.runInExternalTerminal=P;function y(b,f){return new Promise((l,m)=>{let S="";const g=v.spawn(b,f);g.pid&&g.stdout.on("data",_=>{S+=_.toString()}),g.on("error",_=>{m(_)}),g.on("close",_=>{l(S)})})}function i(b){return b?D.isWindows?y("wmic",["process","get","ParentProcessId"]).then(f=>f.split(`\r
`).some(m=>parseInt(m)===b),f=>!0):y("/usr/bin/pgrep",["-lP",String(b)]).then(f=>{const l=f.trim();return!(l.length===0||l.indexOf(" tmux")>=0)},f=>!0):Promise.resolve(!0)}e.hasChildProcesses=i;var T;(function(b){b[b.cmd=0]="cmd",b[b.powershell=1]="powershell",b[b.bash=2]="bash"})(T||(T={}));function k(b,f,l,m){b=b.trim().toLowerCase();let S;b.indexOf("powershell")>=0||b.indexOf("pwsh")>=0?S=1:b.indexOf("cmd.exe")>=0?S=0:b.indexOf("bash")>=0?S=2:D.isWindows?S=0:S=2;let g,_=" ";switch(S){case 1:if(g=c=>(c=c.replace(/\'/g,"''"),c.length>0&&c.charAt(c.length-1)==="\\"?`'${c}\\'`:`'${c}'`),l){const c=(0,I.getDriveLetter)(l);c&&(_+=`${c}:; `),_+=`cd ${g(l)}; `}if(m)for(let c in m){const o=m[c];o===null?_+=`Remove-Item env:${c}; `:_+=`\${env:${c}}='${o}'; `}if(f.length>0){const c=g(f.shift());_+=c[0]==="'"?`& ${c} `:`${c} `;for(let o of f)_+=`${g(o)} `}break;case 0:if(g=c=>(c=c.replace(/\"/g,'""'),c.indexOf(" ")>=0||c.indexOf('"')>=0||c.length===0?`"${c}"`:c),l){const c=(0,I.getDriveLetter)(l);c&&(_+=`${c}: && `),_+=`cd ${g(l)} && `}if(m){_+='cmd /C "';for(let c in m){let o=m[c];o===null?_+=`set "${c}=" && `:(o=o.replace(/[\^\&\|\<\>]/g,t=>`^${t}`),_+=`set "${c}=${o}" && `)}}for(let c of f)_+=`${g(c)} `;m&&(_+='"');break;case 2:g=c=>(c=c.replace(/(["'\\\$])/g,"\\$1"),c.indexOf(" ")>=0||c.indexOf(";")>=0||c.length===0?`"${c}"`:c);const u=c=>/[^\w@%\/+=,.:^-]/.test(c)?`'${c.replace(/'/g,"'\\''")}'`:c;if(l&&(_+=`cd ${g(l)} ; `),m){_+="/usr/bin/env";for(let c in m){const o=m[c];o===null?_+=` -u ${u(c)}`:_+=` ${u(`${c}=${o}`)}`}_+=" "}for(let c of f)_+=`${g(c)} `;break}return _}e.prepareCommand=k}),define(pe[51],ve([0,1,33,11,7,10,60]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cellRangesToIndexes=e.cellIndexesToRanges=e.CellStatusbarAlignment=e.NotebookTextDiffEditorPreview=e.ShowCellStatusBarKey=e.CellToolbarLocKey=e.DisplayOrderKey=e.CellSequence=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BEGIN_END=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.sortMimeTypes=e.mimeTypeSupportedByCore=e.mimeTypeIsAlwaysSecure=e.CellUri=e.getCellUndoRedoComparisonKey=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.NotebookCellRunState=e.notebookDocumentMetadataDefaults=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.BUILTIN_RENDERER_ID=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=void 0;var P;(function(E){E[E.Markdown=1]="Markdown",E[E.Code=2]="Code"})(P=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml","text/markdown","image/png","image/jpeg","text/plain"],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=["text/markdown","application/json","text/plain","text/html","image/svg+xml","image/png","image/jpeg"],e.BUILTIN_RENDERER_ID="_builtin",e.RENDERER_NOT_AVAILABLE="_notAvailable";var y;(function(E){E[E.Running=1]="Running",E[E.Idle=2]="Idle"})(y=e.NotebookRunState||(e.NotebookRunState={})),e.notebookDocumentMetadataDefaults={editable:!0,cellEditable:!0,cellHasExecutionOrder:!0,custom:{},runState:y.Idle,trusted:!0};var i;(function(E){E[E.Running=1]="Running",E[E.Idle=2]="Idle",E[E.Success=3]="Success",E[E.Error=4]="Error"})(i=e.NotebookCellRunState||(e.NotebookCellRunState={}));var T;(function(E){E[E.ModelChange=1]="ModelChange",E[E.Move=2]="Move",E[E.CellClearOutput=3]="CellClearOutput",E[E.CellsClearOutput=4]="CellsClearOutput",E[E.ChangeLanguage=5]="ChangeLanguage",E[E.Initialize=6]="Initialize",E[E.ChangeCellMetadata=7]="ChangeCellMetadata",E[E.Output=8]="Output",E[E.OutputItem=9]="OutputItem",E[E.ChangeCellContent=10]="ChangeCellContent",E[E.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",E[E.Unknown=12]="Unknown"})(T=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var k;(function(E){E[E.Handle=0]="Handle",E[E.Index=1]="Index"})(k=e.SelectionStateType||(e.SelectionStateType={}));var b;(function(E){E[E.Replace=1]="Replace",E[E.Output=2]="Output",E[E.Metadata=3]="Metadata",E[E.CellLanguage=4]="CellLanguage",E[E.DocumentMetadata=5]="DocumentMetadata",E[E.OutputsSplice=6]="OutputsSplice",E[E.Move=7]="Move",E[E.Unknown=8]="Unknown",E[E.CellContent=9]="CellContent",E[E.OutputItems=10]="OutputItems"})(b=e.CellEditType||(e.CellEditType={}));function f(E){const h=l.parse(E);return h?h.notebook.toString():E.toString()}e.getCellUndoRedoComparisonKey=f;var l;(function(E){E.scheme=D.Schemas.vscodeNotebookCell;const h=/^ch(\d{7,})/;function w(J,Z){return J.with({scheme:E.scheme,fragment:`ch${Z.toString().padStart(7,"0")}${J.scheme!==D.Schemas.file?J.scheme:""}`})}E.generate=w;function R(J){if(J.scheme===E.scheme){const Z=h.exec(J.fragment);if(!!Z)return{handle:Number(Z[1]),notebook:J.with({scheme:J.fragment.substr(Z[0].length)||D.Schemas.file,fragment:null})}}}E.parse=R;function L(J,Z){return J.with({scheme:D.Schemas.vscodeNotebookCellMetadata,fragment:`ch${Z.toString().padStart(7,"0")}${J.scheme!==D.Schemas.file?J.scheme:""}`})}E.generateCellMetadataUri=L;function U(J){if(J.scheme===D.Schemas.vscodeNotebookCellMetadata){const Z=h.exec(J.fragment);if(!!Z)return{handle:Number(Z[1]),notebook:J.with({scheme:J.fragment.substr(Z[0].length)||D.Schemas.file,fragment:null})}}}E.parseCellMetadataUri=U})(l=e.CellUri||(e.CellUri={}));const m=new Map([["application/json",{alwaysSecure:!0,supportedByCore:!0}],["text/markdown",{alwaysSecure:!0,supportedByCore:!0}],["image/png",{alwaysSecure:!0,supportedByCore:!0}],["text/plain",{alwaysSecure:!0,supportedByCore:!0}],["application/javascript",{supportedByCore:!0}],["text/html",{supportedByCore:!0}],["image/svg+xml",{supportedByCore:!0}],["image/jpeg",{supportedByCore:!0}],["text/x-javascript",{supportedByCore:!0}],["application/x.notebook.error-traceback",{alwaysSecure:!0,supportedByCore:!0}]]);function S(E){var h,w;return(w=(h=m.get(E))===null||h===void 0?void 0:h.alwaysSecure)!==null&&w!==void 0?w:!1}e.mimeTypeIsAlwaysSecure=S;function g(E){var h,w;return(w=(h=m.get(E))===null||h===void 0?void 0:h.supportedByCore)!==null&&w!==void 0?w:!1}e.mimeTypeSupportedByCore=g;function _(E,h){return I.isWindows&&(E=E.replace(/\//g,"\\"),h=h.replace(/\//g,"\\")),v.match(E,h)}function u(E,h,w){let R=0;for(let L=0;L<h.length;L++){if(_(h[L],E))return R;R++}for(let L=0;L<w.length;L++){if(_(w[L],E))return R;R++}return R}function c(E,h,w){return E.sort((R,L)=>u(R,h,w)-u(L,h,w))}e.sortMimeTypes=c;function o(E,h,w,R=(L,U)=>L===U){const L=[];function U(z,q,N){if(!(q===0&&N.length===0)){const W=L[L.length-1];W&&W.start+W.deleteCount===z?(W.deleteCount+=q,W.toInsert.push(...N)):L.push({start:z,deleteCount:q,toInsert:N})}}let J=0,Z=0;for(;;){if(J===E.length){U(J,0,h.slice(Z));break}if(Z===h.length){U(J,E.length-J,[]);break}const z=E[J],q=h[Z];if(R(z,q)){J+=1,Z+=1;continue}w(q)?(U(J,1,[]),J+=1):(U(J,0,[q]),Z+=1)}return L}e.diff=o,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new C.RawContextKey("notebookEditorCursorAtBoundary","none"),e.NOTEBOOK_EDITOR_CURSOR_BEGIN_END=new C.RawContextKey("notebookEditorCursorAtEditorBeginEnd",!1);var t;(function(E){E.default="default",E.option="option"})(t=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function r(E){const h=E;return!!((typeof h.include=="string"||v.isRelativePattern(h.include))&&(typeof h.exclude=="string"||v.isRelativePattern(h.exclude)))}e.isDocumentExcludePattern=r;function s(E,h,w){if(Array.isArray(E.viewType)&&E.viewType.indexOf(h)>=0||E.viewType===h)return!0;if(E.filenamePattern){let R=r(E.filenamePattern)?E.filenamePattern.include:E.filenamePattern,L=r(E.filenamePattern)?E.filenamePattern.exclude:void 0;if(v.match(R,(0,A.basename)(w.fsPath).toLowerCase()))return!(L&&v.match(L,(0,A.basename)(w.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=s;class a{constructor(h){this.textModel=h}getElements(){const h=new Int32Array(this.textModel.cells.length);for(let w=0;w<this.textModel.cells.length;w++)h[w]=this.textModel.cells[w].getHashValue();return h}}e.CellSequence=a,e.DisplayOrderKey="notebook.displayOrder",e.CellToolbarLocKey="notebook.cellToolbarLocation",e.ShowCellStatusBarKey="notebook.showCellStatusBar",e.NotebookTextDiffEditorPreview="notebook.diff.enablePreview";var n;(function(E){E[E.LEFT=0]="LEFT",E[E.RIGHT=1]="RIGHT"})(n=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));function d(E){const h=E.shift();return h===void 0?[]:E.reduce(function(w,R){return R<=w[0][1]?w[0][1]=R+1:w.unshift([R,R+1]),w},[[h,h+1]]).reverse().map(w=>({start:w[0],end:w[1]}))}e.cellIndexesToRanges=d;function p(E){return E.reduce((w,R)=>{for(let L=R.start;L<R.end;L++)w.push(L);return w},[])}e.cellRangesToIndexes=p});var tt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},$e=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(pe[8],ve([0,1,12,18,94,23,15,2,28,49,112,51]),function(Q,e,v,D,A,I,C,P,y,i,T,k){"use strict";var b,f,l,m,S,g,_,u,c,o,t,r,s,a,n,d;Object.defineProperty(e,"__esModule",{value:!0}),e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.TestMessage=e.TestState=e.TestItem=e.TestMessageSeverity=e.TestResult=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookRunState=e.NotebookCellRunState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookData=e.NotebookCellData=e.NotebookDocumentMetadata=e.NotebookCellMetadata=e.NotebookCellRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.QuickInputButtons=e.DebugConfigurationProviderTriggerKind=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlineHint=e.InlineHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTriggerKind=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function p($){function x(){return Reflect.construct($,arguments,this.constructor)}return Object.defineProperty(x,"name",Object.getOwnPropertyDescriptor($,"name")),Object.setPrototypeOf(x,$),Object.setPrototypeOf(x.prototype,$.prototype),x}let E=l=class{constructor(x){b.set(this,void 0),tt(this,b,x)}static from(...x){let ae=x;return new l(function(){if(ae){for(const Ce of ae)Ce&&typeof Ce.dispose=="function"&&Ce.dispose();ae=void 0}})}dispose(){typeof $e(this,b)=="function"&&($e(this,b).call(this),tt(this,b,void 0))}};b=new WeakMap,E=l=je([p],E),e.Disposable=E;let h=m=class{constructor(x,ae){if(x<0)throw(0,D.illegalArgument)("line must be non-negative");if(ae<0)throw(0,D.illegalArgument)("character must be non-negative");this._line=x,this._character=ae}static Min(...x){if(x.length===0)throw new TypeError;let ae=x[0];for(let Ce=1;Ce<x.length;Ce++){const Ve=x[Ce];Ve.isBefore(ae)&&(ae=Ve)}return ae}static Max(...x){if(x.length===0)throw new TypeError;let ae=x[0];for(let Ce=1;Ce<x.length;Ce++){const Ve=x[Ce];Ve.isAfter(ae)&&(ae=Ve)}return ae}static isPosition(x){if(!x)return!1;if(x instanceof m)return!0;let{line:ae,character:Ce}=x;return typeof ae=="number"&&typeof Ce=="number"}get line(){return this._line}get character(){return this._character}isBefore(x){return this._line<x._line?!0:x._line<this._line?!1:this._character<x._character}isBeforeOrEqual(x){return this._line<x._line?!0:x._line<this._line?!1:this._character<=x._character}isAfter(x){return!this.isBeforeOrEqual(x)}isAfterOrEqual(x){return!this.isBefore(x)}isEqual(x){return this._line===x._line&&this._character===x._character}compareTo(x){return this._line<x._line?-1:this._line>x.line?1:this._character<x._character?-1:this._character>x._character?1:0}translate(x,ae=0){if(x===null||ae===null)throw(0,D.illegalArgument)();let Ce;return typeof x=="undefined"?Ce=0:typeof x=="number"?Ce=x:(Ce=typeof x.lineDelta=="number"?x.lineDelta:0,ae=typeof x.characterDelta=="number"?x.characterDelta:0),Ce===0&&ae===0?this:new m(this.line+Ce,this.character+ae)}with(x,ae=this.character){if(x===null||ae===null)throw(0,D.illegalArgument)();let Ce;return typeof x=="undefined"?Ce=this.line:typeof x=="number"?Ce=x:(Ce=typeof x.line=="number"?x.line:this.line,ae=typeof x.character=="number"?x.character:this.character),Ce===this.line&&ae===this.character?this:new m(Ce,ae)}toJSON(){return{line:this.line,character:this.character}}};h=m=je([p],h),e.Position=h;let w=S=class{constructor(x,ae,Ce,Ve){let Qe,it;if(typeof x=="number"&&typeof ae=="number"&&typeof Ce=="number"&&typeof Ve=="number"?(Qe=new h(x,ae),it=new h(Ce,Ve)):x instanceof h&&ae instanceof h&&(Qe=x,it=ae),!Qe||!it)throw new Error("Invalid arguments");Qe.isBefore(it)?(this._start=Qe,this._end=it):(this._start=it,this._end=Qe)}static isRange(x){return x instanceof S?!0:x?h.isPosition(x.start)&&h.isPosition(x.end):!1}get start(){return this._start}get end(){return this._end}contains(x){return x instanceof S?this.contains(x._start)&&this.contains(x._end):x instanceof h?!(x.isBefore(this._start)||this._end.isBefore(x)):!1}isEqual(x){return this._start.isEqual(x._start)&&this._end.isEqual(x._end)}intersection(x){const ae=h.Max(x.start,this._start),Ce=h.Min(x.end,this._end);if(!ae.isAfter(Ce))return new S(ae,Ce)}union(x){if(this.contains(x))return this;if(x.contains(this))return x;const ae=h.Min(x.start,this._start),Ce=h.Max(x.end,this.end);return new S(ae,Ce)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(x,ae=this.end){if(x===null||ae===null)throw(0,D.illegalArgument)();let Ce;return x?h.isPosition(x)?Ce=x:(Ce=x.start||this.start,ae=x.end||this.end):Ce=this.start,Ce.isEqual(this._start)&&ae.isEqual(this.end)?this:new S(Ce,ae)}toJSON(){return[this.start,this.end]}};w=S=je([p],w),e.Range=w;let R=g=class extends w{constructor(x,ae,Ce,Ve){let Qe,it;if(typeof x=="number"&&typeof ae=="number"&&typeof Ce=="number"&&typeof Ve=="number"?(Qe=new h(x,ae),it=new h(Ce,Ve)):x instanceof h&&ae instanceof h&&(Qe=x,it=ae),!Qe||!it)throw new Error("Invalid arguments");super(Qe,it);this._anchor=Qe,this._active=it}static isSelection(x){return x instanceof g?!0:x?w.isRange(x)&&h.isPosition(x.anchor)&&h.isPosition(x.active)&&typeof x.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};R=g=je([p],R),e.Selection=R;class L{constructor(x,ae,Ce){if(typeof x!="string"||x.length===0)throw(0,D.illegalArgument)("host");if(typeof ae!="number"||ae===0||Math.round(ae)!==ae)throw(0,D.illegalArgument)("port");if(typeof Ce!="undefined"&&(typeof Ce!="string"||Ce.length===0||!/^[0-9A-Za-z\-]+$/.test(Ce)))throw(0,D.illegalArgument)("connectionToken");this.host=x,this.port=Math.round(ae),this.connectionToken=Ce}}e.ResolvedAuthority=L;class U extends Error{constructor(x,ae=T.RemoteAuthorityResolverErrorCode.Unknown,Ce){super(x);this._message=x,this._code=ae,this._detail=Ce,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,U.prototype)}static NotAvailable(x,ae){return new U(x,T.RemoteAuthorityResolverErrorCode.NotAvailable,ae)}static TemporarilyNotAvailable(x){return new U(x,T.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=U;var J;(function($){$[$.LF=1]="LF",$[$.CRLF=2]="CRLF"})(J=e.EndOfLine||(e.EndOfLine={}));var Z;(function($){$[$.Replace=1]="Replace",$[$.Append=2]="Append",$[$.Prepend=3]="Prepend"})(Z=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let z=_=class{constructor(x,ae){this._range=x,this._newText=ae}static isTextEdit(x){return x instanceof _?!0:x?w.isRange(x)&&typeof x.newText=="string":!1}static replace(x,ae){return new _(x,ae)}static insert(x,ae){return _.replace(new w(x,x),ae)}static delete(x){return _.replace(x,"")}static setEndOfLine(x){const ae=new _(new w(new h(0,0),new h(0,0)),"");return ae.newEol=x,ae}get range(){return this._range}set range(x){if(x&&!w.isRange(x))throw(0,D.illegalArgument)("range");this._range=x}get newText(){return this._newText||""}set newText(x){if(x&&typeof x!="string")throw(0,D.illegalArgument)("newText");this._newText=x}get newEol(){return this._newEol}set newEol(x){if(x&&typeof x!="number")throw(0,D.illegalArgument)("newEol");this._newEol=x}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};z=_=je([p],z),e.TextEdit=z;var q;(function($){$[$.File=1]="File",$[$.Text=2]="Text",$[$.Cell=3]="Cell",$[$.CellOutput=4]="CellOutput",$[$.CellReplace=5]="CellReplace",$[$.CellOutputItem=6]="CellOutputItem"})(q=e.FileEditType||(e.FileEditType={}));let N=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(x,ae,Ce,Ve){this._edits.push({_type:1,from:x,to:ae,options:Ce,metadata:Ve})}createFile(x,ae,Ce){this._edits.push({_type:1,from:void 0,to:x,options:ae,metadata:Ce})}deleteFile(x,ae,Ce){this._edits.push({_type:1,from:x,to:void 0,options:ae,metadata:Ce})}replaceNotebookMetadata(x,ae,Ce){this._edits.push({_type:3,metadata:Ce,uri:x,edit:{editType:5,metadata:Object.assign(Object.assign({},k.notebookDocumentMetadataDefaults),ae)},notebookMetadata:ae})}replaceNotebookCells(x,ae,Ce,Ve,Qe){(ae!==Ce||Ve.length>0)&&this._edits.push({_type:5,uri:x,index:ae,count:Ce-ae,cells:Ve,metadata:Qe})}replaceNotebookCellOutput(x,ae,Ce,Ve){this._editNotebookCellOutput(x,ae,!1,Ce,Ve)}appendNotebookCellOutput(x,ae,Ce,Ve){this._editNotebookCellOutput(x,ae,!0,Ce,Ve)}replaceNotebookCellOutputItems(x,ae,Ce,Ve,Qe){this._editNotebookCellOutputItems(x,ae,Ce,!1,Ve,Qe)}appendNotebookCellOutputItems(x,ae,Ce,Ve,Qe){this._editNotebookCellOutputItems(x,ae,Ce,!0,Ve,Qe)}_editNotebookCellOutputItems(x,ae,Ce,Ve,Qe,it){this._edits.push({_type:6,metadata:it,uri:x,index:ae,outputId:Ce,append:Ve,newOutputItems:Qe})}_editNotebookCellOutput(x,ae,Ce,Ve,Qe){this._edits.push({_type:4,metadata:Qe,uri:x,index:ae,append:Ce,newOutputs:Ve,newMetadata:void 0})}replaceNotebookCellMetadata(x,ae,Ce,Ve){this._edits.push({_type:3,metadata:Ve,uri:x,edit:{editType:3,index:ae,metadata:Ce}})}replace(x,ae,Ce,Ve){this._edits.push({_type:2,uri:x,edit:new z(ae,Ce),metadata:Ve})}insert(x,ae,Ce,Ve){this.replace(x,new w(ae,ae),Ce,Ve)}delete(x,ae,Ce){this.replace(x,ae,"",Ce)}has(x){return this._edits.some(ae=>ae._type===2&&ae.uri.toString()===x.toString())}set(x,ae){if(ae)for(const Ce of ae)Ce&&this._edits.push({_type:2,uri:x,edit:Ce});else{for(let Ce=0;Ce<this._edits.length;Ce++){const Ve=this._edits[Ce];Ve._type===2&&Ve.uri.toString()===x.toString()&&(this._edits[Ce]=void 0)}(0,v.coalesceInPlace)(this._edits)}}get(x){const ae=[];for(let Ce of this._edits)Ce._type===2&&Ce.uri.toString()===x.toString()&&ae.push(Ce.edit);return ae}entries(){const x=new I.ResourceMap;for(let ae of this._edits)if(ae._type===2){let Ce=x.get(ae.uri);Ce||(Ce=[ae.uri,[]],x.set(ae.uri,Ce)),Ce[1].push(ae.edit)}return[...x.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};N=je([p],N),e.WorkspaceEdit=N;let W=u=class{constructor(x){this._tabstop=1,this.value=x||""}static isSnippetString(x){return x instanceof u?!0:x?typeof x.value=="string":!1}static _escape(x){return x.replace(/\$|}|\\/g,"\\$&")}appendText(x){return this.value+=u._escape(x),this}appendTabstop(x=this._tabstop++){return this.value+="$",this.value+=x,this}appendPlaceholder(x,ae=this._tabstop++){if(typeof x=="function"){const Ce=new u;Ce._tabstop=this._tabstop,x(Ce),this._tabstop=Ce._tabstop,x=Ce.value}else x=u._escape(x);return this.value+="${",this.value+=ae,this.value+=":",this.value+=x,this.value+="}",this}appendChoice(x,ae=this._tabstop++){const Ce=x.map(Ve=>Ve.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=ae,this.value+="|",this.value+=Ce,this.value+="|}",this}appendVariable(x,ae){if(typeof ae=="function"){const Ce=new u;Ce._tabstop=this._tabstop,ae(Ce),this._tabstop=Ce._tabstop,ae=Ce.value}else typeof ae=="string"&&(ae=ae.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=x,ae&&(this.value+=":",this.value+=ae),this.value+="}",this}};W=u=je([p],W),e.SnippetString=W;var M;(function($){$[$.Unnecessary=1]="Unnecessary",$[$.Deprecated=2]="Deprecated"})(M=e.DiagnosticTag||(e.DiagnosticTag={}));var O;(function($){$[$.Hint=3]="Hint",$[$.Information=2]="Information",$[$.Warning=1]="Warning",$[$.Error=0]="Error"})(O=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let F=c=class{constructor(x,ae){if(this.uri=x,ae)if(ae instanceof w)this.range=ae;else if(ae instanceof h)this.range=new w(ae,ae);else throw new Error("Illegal argument")}static isLocation(x){return x instanceof c?!0:x?w.isRange(x.range)&&P.URI.isUri(x.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};F=c=je([p],F),e.Location=F;let B=class{constructor(x,ae){this.location=x,this.message=ae}static is(x){return x?typeof x.message=="string"&&x.location&&w.isRange(x.location.range)&&P.URI.isUri(x.location.uri):!1}static isEqual(x,ae){return x===ae?!0:!x||!ae?!1:x.message===ae.message&&x.location.range.isEqual(ae.location.range)&&x.location.uri.toString()===ae.location.uri.toString()}};B=je([p],B),e.DiagnosticRelatedInformation=B;let V=class{constructor(x,ae,Ce=O.Error){if(!w.isRange(x))throw new TypeError("range must be set");if(!ae)throw new TypeError("message must be set");this.range=x,this.message=ae,this.severity=Ce}toJSON(){return{severity:O[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(x,ae){return x===ae?!0:!x||!ae?!1:x.message===ae.message&&x.severity===ae.severity&&x.code===ae.code&&x.severity===ae.severity&&x.source===ae.source&&x.range.isEqual(ae.range)&&(0,v.equals)(x.tags,ae.tags)&&(0,v.equals)(x.relatedInformation,ae.relatedInformation,B.isEqual)}};V=je([p],V),e.Diagnostic=V;let G=class{constructor(x,ae){if(!x)throw new Error("Illegal argument, contents must be defined");Array.isArray(x)?this.contents=x:(0,A.isMarkdownString)(x)?this.contents=[x]:this.contents=[x],this.range=ae}};G=je([p],G),e.Hover=G;var ce;(function($){$[$.Text=0]="Text",$[$.Read=1]="Read",$[$.Write=2]="Write"})(ce=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let me=class{constructor(x,ae=ce.Text){this.range=x,this.kind=ae}toJSON(){return{range:this.range,kind:ce[this.kind]}}};me=je([p],me),e.DocumentHighlight=me;var Pe;(function($){$[$.File=0]="File",$[$.Module=1]="Module",$[$.Namespace=2]="Namespace",$[$.Package=3]="Package",$[$.Class=4]="Class",$[$.Method=5]="Method",$[$.Property=6]="Property",$[$.Field=7]="Field",$[$.Constructor=8]="Constructor",$[$.Enum=9]="Enum",$[$.Interface=10]="Interface",$[$.Function=11]="Function",$[$.Variable=12]="Variable",$[$.Constant=13]="Constant",$[$.String=14]="String",$[$.Number=15]="Number",$[$.Boolean=16]="Boolean",$[$.Array=17]="Array",$[$.Object=18]="Object",$[$.Key=19]="Key",$[$.Null=20]="Null",$[$.EnumMember=21]="EnumMember",$[$.Struct=22]="Struct",$[$.Event=23]="Event",$[$.Operator=24]="Operator",$[$.TypeParameter=25]="TypeParameter"})(Pe=e.SymbolKind||(e.SymbolKind={}));var Ie;(function($){$[$.Deprecated=1]="Deprecated"})(Ie=e.SymbolTag||(e.SymbolTag={}));let Fe=o=class{constructor(x,ae,Ce,Ve,Qe){this.name=x,this.kind=ae,this.containerName=Qe,typeof Ce=="string"&&(this.containerName=Ce),Ve instanceof F?this.location=Ve:Ce instanceof w&&(this.location=new F(Ve,Ce)),o.validate(this)}static validate(x){if(!x.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:Pe[this.kind],location:this.location,containerName:this.containerName}}};Fe=o=je([p],Fe),e.SymbolInformation=Fe;let H=t=class{constructor(x,ae,Ce,Ve,Qe){this.name=x,this.detail=ae,this.kind=Ce,this.range=Ve,this.selectionRange=Qe,this.children=[],t.validate(this)}static validate(x){if(!x.name)throw new Error("name must not be falsy");if(!x.range.contains(x.selectionRange))throw new Error("selectionRange must be contained in fullRange");x.children&&x.children.forEach(t.validate)}};H=t=je([p],H),e.DocumentSymbol=H;var X;(function($){$[$.Automatic=1]="Automatic",$[$.Manual=2]="Manual"})(X=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));let te=class{constructor(x,ae){this.title=x,this.kind=ae}};te=je([p],te),e.CodeAction=te;let oe=r=class{constructor(x){this.value=x}append(x){return new r(this.value?this.value+r.sep+x:x)}intersects(x){return this.contains(x)||x.contains(this)}contains(x){return this.value===x.value||x.value.startsWith(this.value+r.sep)}};oe.sep=".",oe=r=je([p],oe),e.CodeActionKind=oe,oe.Empty=new oe(""),oe.QuickFix=oe.Empty.append("quickfix"),oe.Refactor=oe.Empty.append("refactor"),oe.RefactorExtract=oe.Refactor.append("extract"),oe.RefactorInline=oe.Refactor.append("inline"),oe.RefactorRewrite=oe.Refactor.append("rewrite"),oe.Source=oe.Empty.append("source"),oe.SourceOrganizeImports=oe.Source.append("organizeImports"),oe.SourceFixAll=oe.Source.append("fixAll");let we=class{constructor(x,ae){if(this.range=x,this.parent=ae,ae&&!ae.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};we=je([p],we),e.SelectionRange=we;class De{constructor(x,ae,Ce,Ve,Qe,it){this.kind=x,this.name=ae,this.detail=Ce,this.uri=Ve,this.range=Qe,this.selectionRange=it}}e.CallHierarchyItem=De;class Me{constructor(x,ae){this.fromRanges=ae,this.from=x}}e.CallHierarchyIncomingCall=Me;class _e{constructor(x,ae){this.fromRanges=ae,this.to=x}}e.CallHierarchyOutgoingCall=_e;let ke=class{constructor(x,ae){this.range=x,this.command=ae}get isResolved(){return!!this.command}};ke=je([p],ke),e.CodeLens=ke;let Re=s=class{constructor(x,ae=!1){f.set(this,void 0),tt(this,f,new A.MarkdownString(x,{supportThemeIcons:ae}))}static isMarkdownString(x){return x instanceof s?!0:x&&x.appendCodeblock&&x.appendMarkdown&&x.appendText&&x.value!==void 0}get value(){return $e(this,f).value}set value(x){$e(this,f).value=x}get isTrusted(){return $e(this,f).isTrusted}set isTrusted(x){$e(this,f).isTrusted=x}get supportThemeIcons(){return $e(this,f).supportThemeIcons}appendText(x){return $e(this,f).appendText(x),this}appendMarkdown(x){return $e(this,f).appendMarkdown(x),this}appendCodeblock(x,ae){return $e(this,f).appendCodeblock(ae!=null?ae:"",x),this}};f=new WeakMap,Re=s=je([p],Re),e.MarkdownString=Re;let xe=class{constructor(x,ae){this.label=x,this.documentation=ae}};xe=je([p],xe),e.ParameterInformation=xe;let ye=class{constructor(x,ae){this.label=x,this.documentation=ae,this.parameters=[]}};ye=je([p],ye),e.SignatureInformation=ye;let Ge=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};Ge=je([p],Ge),e.SignatureHelp=Ge;var K;(function($){$[$.Invoke=1]="Invoke",$[$.TriggerCharacter=2]="TriggerCharacter",$[$.ContentChange=3]="ContentChange"})(K=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var ie;(function($){$[$.Other=0]="Other",$[$.Type=1]="Type",$[$.Parameter=2]="Parameter"})(ie=e.InlineHintKind||(e.InlineHintKind={}));let Se=class{constructor(x,ae,Ce){this.text=x,this.range=ae,this.kind=Ce}};Se=je([p],Se),e.InlineHint=Se;var Ne;(function($){$[$.Invoke=0]="Invoke",$[$.TriggerCharacter=1]="TriggerCharacter",$[$.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(Ne=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var ze;(function($){$[$.Text=0]="Text",$[$.Method=1]="Method",$[$.Function=2]="Function",$[$.Constructor=3]="Constructor",$[$.Field=4]="Field",$[$.Variable=5]="Variable",$[$.Class=6]="Class",$[$.Interface=7]="Interface",$[$.Module=8]="Module",$[$.Property=9]="Property",$[$.Unit=10]="Unit",$[$.Value=11]="Value",$[$.Enum=12]="Enum",$[$.Keyword=13]="Keyword",$[$.Snippet=14]="Snippet",$[$.Color=15]="Color",$[$.File=16]="File",$[$.Reference=17]="Reference",$[$.Folder=18]="Folder",$[$.EnumMember=19]="EnumMember",$[$.Constant=20]="Constant",$[$.Struct=21]="Struct",$[$.Event=22]="Event",$[$.Operator=23]="Operator",$[$.TypeParameter=24]="TypeParameter",$[$.User=25]="User",$[$.Issue=26]="Issue"})(ze=e.CompletionItemKind||(e.CompletionItemKind={}));var Be;(function($){$[$.Deprecated=1]="Deprecated"})(Be=e.CompletionItemTag||(e.CompletionItemTag={}));let Je=class{constructor(x,ae){this.label=x,this.kind=ae}toJSON(){return{label:this.label,label2:this.label2,kind:this.kind&&ze[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};Je=je([p],Je),e.CompletionItem=Je;let j=class{constructor(x=[],ae=!1){this.items=x,this.isIncomplete=ae}};j=je([p],j),e.CompletionList=j;var se;(function($){$[$.Active=-1]="Active",$[$.Beside=-2]="Beside",$[$.One=1]="One",$[$.Two=2]="Two",$[$.Three=3]="Three",$[$.Four=4]="Four",$[$.Five=5]="Five",$[$.Six=6]="Six",$[$.Seven=7]="Seven",$[$.Eight=8]="Eight",$[$.Nine=9]="Nine"})(se=e.ViewColumn||(e.ViewColumn={}));var de;(function($){$[$.Left=1]="Left",$[$.Right=2]="Right"})(de=e.StatusBarAlignment||(e.StatusBarAlignment={}));var Y;(function($){$[$.Off=0]="Off",$[$.On=1]="On",$[$.Relative=2]="Relative"})(Y=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var ne;(function($){$[$.Manual=1]="Manual",$[$.AfterDelay=2]="AfterDelay",$[$.FocusOut=3]="FocusOut"})(ne=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var le;(function($){$[$.Default=0]="Default",$[$.InCenter=1]="InCenter",$[$.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",$[$.AtTop=3]="AtTop"})(le=e.TextEditorRevealType||(e.TextEditorRevealType={}));var ge;(function($){$[$.Keyboard=1]="Keyboard",$[$.Mouse=2]="Mouse",$[$.Command=3]="Command"})(ge=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var Ee;(function($){$[$.OpenOpen=0]="OpenOpen",$[$.ClosedClosed=1]="ClosedClosed",$[$.OpenClosed=2]="OpenClosed",$[$.ClosedOpen=3]="ClosedOpen"})(Ee=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function($){function x(ae){switch(ae){case"keyboard":return $.Keyboard;case"mouse":return $.Mouse;case"api":return $.Command}}$.fromValue=x}(ge=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let He=class{constructor(x,ae){if(ae&&!P.URI.isUri(ae))throw(0,D.illegalArgument)("target");if(!w.isRange(x)||x.isEmpty)throw(0,D.illegalArgument)("range");this.range=x,this.target=ae}};He=je([p],He),e.DocumentLink=He;let We=class{constructor(x,ae,Ce,Ve){this.red=x,this.green=ae,this.blue=Ce,this.alpha=Ve}};We=je([p],We),e.Color=We;let qe=class{constructor(x,ae){if(ae&&!(ae instanceof We))throw(0,D.illegalArgument)("color");if(!w.isRange(x)||x.isEmpty)throw(0,D.illegalArgument)("range");this.range=x,this.color=ae}};qe=je([p],qe),e.ColorInformation=qe;let Xe=class{constructor(x){if(!x||typeof x!="string")throw(0,D.illegalArgument)("label");this.label=x}};Xe=je([p],Xe),e.ColorPresentation=Xe;var Ze;(function($){$[$.RGB=0]="RGB",$[$.HEX=1]="HEX",$[$.HSL=2]="HSL"})(Ze=e.ColorFormat||(e.ColorFormat={}));var ht;(function($){$[$.Error=0]="Error",$[$.Warning=1]="Warning",$[$.Information=2]="Information"})(ht=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));var rt;(function($){$[$.Always=1]="Always",$[$.Silent=2]="Silent",$[$.Never=3]="Never"})(rt=e.TaskRevealKind||(e.TaskRevealKind={}));var be;(function($){$[$.Shared=1]="Shared",$[$.Dedicated=2]="Dedicated",$[$.New=3]="New"})(be=e.TaskPanelKind||(e.TaskPanelKind={}));let fe=a=class{constructor(x,ae){if(typeof x!="string"||typeof ae!="string")throw(0,D.illegalArgument)("name");this._id=x}static from(x){switch(x){case"clean":return a.Clean;case"build":return a.Build;case"rebuild":return a.Rebuild;case"test":return a.Test;default:return}}get id(){return this._id}};fe.Clean=new a("clean","Clean"),fe.Build=new a("build","Build"),fe.Rebuild=new a("rebuild","Rebuild"),fe.Test=new a("test","Test"),fe=a=je([p],fe),e.TaskGroup=fe;function ue($){let x="";for(let ae=0;ae<$.length;ae++)x+=$[ae].replace(/,/g,",,")+",";return x}let ee=class{constructor(x,ae,Ce){if(typeof x!="string")throw(0,D.illegalArgument)("process");this._args=[],this._process=x,ae!==void 0&&(Array.isArray(ae)?(this._args=ae,this._options=Ce):this._options=ae)}get process(){return this._process}set process(x){if(typeof x!="string")throw(0,D.illegalArgument)("process");this._process=x}get args(){return this._args}set args(x){Array.isArray(x)||(x=[]),this._args=x}get options(){return this._options}set options(x){this._options=x}computeId(){const x=[];if(x.push("process"),this._process!==void 0&&x.push(this._process),this._args&&this._args.length>0)for(let ae of this._args)x.push(ae);return ue(x)}};ee=je([p],ee),e.ProcessExecution=ee;let Te=class{constructor(x,ae,Ce){if(this._args=[],Array.isArray(ae)){if(!x)throw(0,D.illegalArgument)("command can't be undefined or null");if(typeof x!="string"&&typeof x.value!="string")throw(0,D.illegalArgument)("command");this._command=x,this._args=ae,this._options=Ce}else{if(typeof x!="string")throw(0,D.illegalArgument)("commandLine");this._commandLine=x,this._options=ae}}get commandLine(){return this._commandLine}set commandLine(x){if(typeof x!="string")throw(0,D.illegalArgument)("commandLine");this._commandLine=x}get command(){return this._command?this._command:""}set command(x){if(typeof x!="string"&&typeof x.value!="string")throw(0,D.illegalArgument)("command");this._command=x}get args(){return this._args}set args(x){this._args=x||[]}get options(){return this._options}set options(x){this._options=x}computeId(){const x=[];if(x.push("shell"),this._commandLine!==void 0&&x.push(this._commandLine),this._command!==void 0&&x.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(let ae of this._args)x.push(typeof ae=="string"?ae:ae.value);return ue(x)}};Te=je([p],Te),e.ShellExecution=Te;var Le;(function($){$[$.Escape=1]="Escape",$[$.Strong=2]="Strong",$[$.Weak=3]="Weak"})(Le=e.ShellQuoting||(e.ShellQuoting={}));var et;(function($){$[$.Global=1]="Global",$[$.Workspace=2]="Workspace"})(et=e.TaskScope||(e.TaskScope={}));class Ke{constructor(x){this._callback=x}computeId(){return"customExecution"+(0,y.generateUuid)()}set callback(x){this._callback=x}get callback(){return this._callback}}e.CustomExecution=Ke;let nt=n=class{constructor(x,ae,Ce,Ve,Qe,it){this.__deprecated=!1,this._definition=this.definition=x;let st;typeof ae=="string"?(this._name=this.name=ae,this._source=this.source=Ce,this.execution=Ve,st=Qe,this.__deprecated=!0):ae===et.Global||ae===et.Workspace?(this.target=ae,this._name=this.name=Ce,this._source=this.source=Ve,this.execution=Qe,st=it):(this.target=ae,this._name=this.name=Ce,this._source=this.source=Ve,this.execution=Qe,st=it),typeof st=="string"?(this._problemMatchers=[st],this._hasDefinedMatchers=!0):Array.isArray(st)?(this._problemMatchers=st,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(x){this.__id=x}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof ee?this._definition={type:n.ProcessType,id:this._execution.computeId()}:this._execution instanceof Te?this._definition={type:n.ShellType,id:this._execution.computeId()}:this._execution instanceof Ke?this._definition={type:n.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:n.EmptyType,id:(0,y.generateUuid)()}}get definition(){return this._definition}set definition(x){if(x==null)throw(0,D.illegalArgument)("Kind can't be undefined or null");this.clear(),this._definition=x}get scope(){return this._scope}set target(x){this.clear(),this._scope=x}get name(){return this._name}set name(x){if(typeof x!="string")throw(0,D.illegalArgument)("name");this.clear(),this._name=x}get execution(){return this._execution}set execution(x){x===null&&(x=void 0),this.clear(),this._execution=x;const ae=this._definition.type;(n.EmptyType===ae||n.ProcessType===ae||n.ShellType===ae||n.ExtensionCallbackType===ae)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(x){if(Array.isArray(x))this.clear(),this._problemMatchers=x,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(x){x!==!0&&x!==!1&&(x=!1),this.clear(),this._isBackground=x}get source(){return this._source}set source(x){if(typeof x!="string"||x.length===0)throw(0,D.illegalArgument)("source must be a string of length > 0");this.clear(),this._source=x}get group(){return this._group}set group(x){x===null&&(x=void 0),this.clear(),this._group=x}get detail(){return this._detail}set detail(x){x===null&&(x=void 0),this._detail=x}get presentationOptions(){return this._presentationOptions}set presentationOptions(x){x==null&&(x=Object.create(null)),this.clear(),this._presentationOptions=x}get runOptions(){return this._runOptions}set runOptions(x){x==null&&(x=Object.create(null)),this.clear(),this._runOptions=x}};nt.ExtensionCallbackType="customExecution",nt.ProcessType="process",nt.ShellType="shell",nt.EmptyType="$empty",nt=n=je([p],nt),e.Task=nt;var ut;(function($){$[$.SourceControl=1]="SourceControl",$[$.Window=10]="Window",$[$.Notification=15]="Notification"})(ut=e.ProgressLocation||(e.ProgressLocation={}));let Ye=class{constructor(x,ae=at.None){this.collapsibleState=ae,P.URI.isUri(x)?this.resourceUri=x:this.label=x}};Ye=je([p],Ye),e.TreeItem=Ye;var at;(function($){$[$.None=0]="None",$[$.Collapsed=1]="Collapsed",$[$.Expanded=2]="Expanded"})(at=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let lt=class{constructor(x,ae){this.id=x,this.color=ae}};lt=je([p],lt),e.ThemeIcon=lt,lt.File=new lt("file"),lt.Folder=new lt("folder");let ot=class{constructor(x){this.id=x}};ot=je([p],ot),e.ThemeColor=ot;var It;(function($){$[$.Global=1]="Global",$[$.Workspace=2]="Workspace",$[$.WorkspaceFolder=3]="WorkspaceFolder"})(It=e.ConfigurationTarget||(e.ConfigurationTarget={}));let _t=class{constructor(x,ae){if(typeof x!="string"&&(!x||!P.URI.isUri(x)&&!P.URI.isUri(x.uri)))throw(0,D.illegalArgument)("base");if(typeof ae!="string")throw(0,D.illegalArgument)("pattern");typeof x=="string"?(this.baseFolder=P.URI.file(x),this.base=x):P.URI.isUri(x)?(this.baseFolder=x,this.base=x.fsPath):(this.baseFolder=x.uri,this.base=x.uri.fsPath),this.pattern=ae}};_t=je([p],_t),e.RelativePattern=_t;let kt=class{constructor(x,ae,Ce,Ve){this.enabled=typeof x=="boolean"?x:!0,typeof ae=="string"&&(this.condition=ae),typeof Ce=="string"&&(this.hitCondition=Ce),typeof Ve=="string"&&(this.logMessage=Ve)}get id(){return this._id||(this._id=(0,y.generateUuid)()),this._id}};kt=je([p],kt),e.Breakpoint=kt;let St=class extends kt{constructor(x,ae,Ce,Ve,Qe){super(ae,Ce,Ve,Qe);if(x===null)throw(0,D.illegalArgument)("location");this.location=x}};St=je([p],St),e.SourceBreakpoint=St;let yt=class extends kt{constructor(x,ae,Ce,Ve,Qe){super(ae,Ce,Ve,Qe);this.functionName=x}};yt=je([p],yt),e.FunctionBreakpoint=yt;let gt=class extends kt{constructor(x,ae,Ce,Ve,Qe,it,st){super(Ve,Qe,it,st);if(!ae)throw(0,D.illegalArgument)("dataId");this.label=x,this.dataId=ae,this.canPersist=Ce}};gt=je([p],gt),e.DataBreakpoint=gt;let Lt=class{constructor(x,ae,Ce){this.command=x,this.args=ae||[],this.options=Ce}};Lt=je([p],Lt),e.DebugAdapterExecutable=Lt;let Ft=class{constructor(x,ae){this.port=x,this.host=ae}};Ft=je([p],Ft),e.DebugAdapterServer=Ft;let ft=class{constructor(x){this.path=x}};ft=je([p],ft),e.DebugAdapterNamedPipeServer=ft;let Dt=class{constructor(x){this.implementation=x}};Dt=je([p],Dt),e.DebugAdapterInlineImplementation=Dt;let Ht=class{constructor(x,ae){this.range=x,this.expression=ae}};Ht=je([p],Ht),e.EvaluatableExpression=Ht;let qt=class{constructor(x,ae){this.range=x,this.text=ae}};qt=je([p],qt),e.InlineValueText=qt;let Ot=class{constructor(x,ae,Ce=!0){this.range=x,this.variableName=ae,this.caseSensitiveLookup=Ce}};Ot=je([p],Ot),e.InlineValueVariableLookup=Ot;let dt=class{constructor(x,ae){this.range=x,this.expression=ae}};dt=je([p],dt),e.InlineValueEvaluatableExpression=dt;let Gt=class{constructor(x,ae){this.frameId=x,this.stoppedLocation=ae}};Gt=je([p],Gt),e.InlineValueContext=Gt;var Pt;(function($){$[$.Changed=1]="Changed",$[$.Created=2]="Created",$[$.Deleted=3]="Deleted"})(Pt=e.FileChangeType||(e.FileChangeType={}));let Tt=d=class extends Error{constructor(x,ae=i.FileSystemProviderErrorCode.Unknown,Ce){var Ve;super(P.URI.isUri(x)?x.toString(!0):x);this.code=(Ve=Ce==null?void 0:Ce.name)!==null&&Ve!==void 0?Ve:"Unknown",(0,i.markAsFileSystemProviderError)(this,ae),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,d.prototype),typeof Error.captureStackTrace=="function"&&typeof Ce=="function"&&Error.captureStackTrace(this,Ce)}static FileExists(x){return new d(x,i.FileSystemProviderErrorCode.FileExists,d.FileExists)}static FileNotFound(x){return new d(x,i.FileSystemProviderErrorCode.FileNotFound,d.FileNotFound)}static FileNotADirectory(x){return new d(x,i.FileSystemProviderErrorCode.FileNotADirectory,d.FileNotADirectory)}static FileIsADirectory(x){return new d(x,i.FileSystemProviderErrorCode.FileIsADirectory,d.FileIsADirectory)}static NoPermissions(x){return new d(x,i.FileSystemProviderErrorCode.NoPermissions,d.NoPermissions)}static Unavailable(x){return new d(x,i.FileSystemProviderErrorCode.Unavailable,d.Unavailable)}};Tt=d=je([p],Tt),e.FileSystemError=Tt;let zt=class{constructor(x,ae,Ce){this.start=x,this.end=ae,this.kind=Ce}};zt=je([p],zt),e.FoldingRange=zt;var fn;(function($){$[$.Comment=1]="Comment",$[$.Imports=2]="Imports",$[$.Region=3]="Region"})(fn=e.FoldingRangeKind||(e.FoldingRangeKind={}));var sn;(function($){$[$.Collapsed=0]="Collapsed",$[$.Expanded=1]="Expanded"})(sn=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var mn;(function($){$[$.Editing=0]="Editing",$[$.Preview=1]="Preview"})(mn=e.CommentMode||(e.CommentMode={}));class on{constructor(x,ae=[]){this.tokenTypes=x,this.tokenModifiers=ae}}e.SemanticTokensLegend=on;function Mt($){return typeof $=="undefined"||(0,C.isStringArray)($)}class Kt{constructor(x){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,x){this._hasLegend=!0;for(let ae=0,Ce=x.tokenTypes.length;ae<Ce;ae++)this._tokenTypeStrToInt.set(x.tokenTypes[ae],ae);for(let ae=0,Ce=x.tokenModifiers.length;ae<Ce;ae++)this._tokenModifierStrToInt.set(x.tokenModifiers[ae],ae)}}push(x,ae,Ce,Ve,Qe){if(typeof x=="number"&&typeof ae=="number"&&typeof Ce=="number"&&typeof Ve=="number"&&(typeof Qe=="number"||typeof Qe=="undefined"))return typeof Qe=="undefined"&&(Qe=0),this._pushEncoded(x,ae,Ce,Ve,Qe);if(w.isRange(x)&&typeof ae=="string"&&Mt(Ce))return this._push(x,ae,Ce);throw(0,D.illegalArgument)()}_push(x,ae,Ce){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(x.start.line!==x.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(ae))throw new Error("`tokenType` is not in the provided legend");const Ve=x.start.line,Qe=x.start.character,it=x.end.character-x.start.character,st=this._tokenTypeStrToInt.get(ae);let pt=0;if(Ce)for(const wt of Ce){if(!this._tokenModifierStrToInt.has(wt))throw new Error("`tokenModifier` is not in the provided legend");const bt=this._tokenModifierStrToInt.get(wt);pt|=1<<bt>>>0}this._pushEncoded(Ve,Qe,it,st,pt)}_pushEncoded(x,ae,Ce,Ve,Qe){if(this._dataIsSortedAndDeltaEncoded&&(x<this._prevLine||x===this._prevLine&&ae<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const pt=this._data.length/5|0;let wt=0,bt=0;for(let Et=0;Et<pt;Et++){let Ct=this._data[5*Et],tn=this._data[5*Et+1];Ct===0?(Ct=wt,tn+=bt):Ct+=wt,this._data[5*Et]=Ct,this._data[5*Et+1]=tn,wt=Ct,bt=tn}}let it=x,st=ae;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(it-=this._prevLine,it===0&&(st-=this._prevChar)),this._data[this._dataLen++]=it,this._data[this._dataLen++]=st,this._data[this._dataLen++]=Ce,this._data[this._dataLen++]=Ve,this._data[this._dataLen++]=Qe,this._prevLine=x,this._prevChar=ae}static _sortAndDeltaEncode(x){let ae=[];const Ce=x.length/5|0;for(let st=0;st<Ce;st++)ae[st]=st;ae.sort((st,pt)=>{const wt=x[5*st],bt=x[5*pt];if(wt===bt){const Et=x[5*st+1],Ct=x[5*pt+1];return Et-Ct}return wt-bt});const Ve=new Uint32Array(x.length);let Qe=0,it=0;for(let st=0;st<Ce;st++){const pt=5*ae[st],wt=x[pt+0],bt=x[pt+1],Et=x[pt+2],Ct=x[pt+3],tn=x[pt+4],Tn=wt-Qe,On=Tn===0?bt-it:bt,nn=5*st;Ve[nn+0]=Tn,Ve[nn+1]=On,Ve[nn+2]=Et,Ve[nn+3]=Ct,Ve[nn+4]=tn,Qe=wt,it=bt}return Ve}build(x){return this._dataIsSortedAndDeltaEncoded?new Nt(new Uint32Array(this._data),x):new Nt(Kt._sortAndDeltaEncode(this._data),x)}}e.SemanticTokensBuilder=Kt;class Nt{constructor(x,ae){this.resultId=ae,this.data=x}}e.SemanticTokens=Nt;class Xt{constructor(x,ae,Ce){this.start=x,this.deleteCount=ae,this.data=Ce}}e.SemanticTokensEdit=Xt;class gn{constructor(x,ae){this.resultId=ae,this.edits=x}}e.SemanticTokensEdits=gn;var pn;(function($){$[$.Separate=0]="Separate",$[$.MergeWithParent=1]="MergeWithParent"})(pn=e.DebugConsoleMode||(e.DebugConsoleMode={}));var At;(function($){$[$.Initial=1]="Initial",$[$.Dynamic=2]="Dynamic"})(At=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={}));let Vt=class{constructor(){}};Vt.Back={iconPath:new lt("arrow-left")},Vt=je([p],Vt),e.QuickInputButtons=Vt;var vn;(function($){$[$.UI=1]="UI",$[$.Workspace=2]="Workspace"})(vn=e.ExtensionKind||(e.ExtensionKind={}));class wn{constructor(x,ae,Ce){this.badge=x,this.tooltip=ae,this.color=Ce}static validate(x){if(x.badge&&x.badge.length!==1&&x.badge.length!==2)throw new Error("The 'badge'-property must be undefined or a short character");if(!x.color&&!x.badge&&!x.tooltip)throw new Error("The decoration is empty")}}e.FileDecoration=wn;let Yt=class{constructor(x){this.kind=x}};Yt=je([p],Yt),e.ColorTheme=Yt;var Qt;(function($){$[$.Light=1]="Light",$[$.Dark=2]="Dark",$[$.HighContrast=3]="HighContrast"})(Qt=e.ColorThemeKind||(e.ColorThemeKind={}));class an{constructor(x,ae){if(x<0)throw(0,D.illegalArgument)("start must be positive");if(ae<x)throw(0,D.illegalArgument)("end cannot be smaller than start");this._start=x,this._end=ae}get start(){return this._start}get end(){return this._end}get isEmpty(){return this._start===this._end}}e.NotebookCellRange=an;class jt{constructor(x,ae,Ce,Ve,Qe,it,st,pt,wt,bt,Et){this.editable=x,this.breakpointMargin=ae,this.hasExecutionOrder=Ce,this.executionOrder=Ve,this.runState=Qe,this.runStartTime=it,this.statusMessage=st,this.lastRunDuration=pt,this.inputCollapsed=wt,this.outputCollapsed=bt,this.custom=Et}with(x){let{editable:ae,breakpointMargin:Ce,hasExecutionOrder:Ve,executionOrder:Qe,runState:it,runStartTime:st,statusMessage:pt,lastRunDuration:wt,inputCollapsed:bt,outputCollapsed:Et,custom:Ct}=x;return ae===void 0?ae=this.editable:ae===null&&(ae=void 0),Ce===void 0?Ce=this.breakpointMargin:Ce===null&&(Ce=void 0),Ve===void 0?Ve=this.hasExecutionOrder:Ve===null&&(Ve=void 0),Qe===void 0?Qe=this.executionOrder:Qe===null&&(Qe=void 0),it===void 0?it=this.runState:it===null&&(it=void 0),st===void 0?st=this.runStartTime:st===null&&(st=void 0),pt===void 0?pt=this.statusMessage:pt===null&&(pt=void 0),wt===void 0?wt=this.lastRunDuration:wt===null&&(wt=void 0),bt===void 0?bt=this.inputCollapsed:bt===null&&(bt=void 0),Et===void 0?Et=this.outputCollapsed:Et===null&&(Et=void 0),Ct===void 0?Ct=this.custom:Ct===null&&(Ct=void 0),ae===this.editable&&Ce===this.breakpointMargin&&Ve===this.hasExecutionOrder&&Qe===this.executionOrder&&it===this.runState&&st===this.runStartTime&&pt===this.statusMessage&&wt===this.lastRunDuration&&bt===this.inputCollapsed&&Et===this.outputCollapsed&&Ct===this.custom?this:new jt(ae,Ce,Ve,Qe,it,st,pt,wt,bt,Et,Ct)}}e.NotebookCellMetadata=jt;class Ut{constructor(x=!0,ae=!0,Ce=!0,Ve={},Qe=Zt.Idle,it=!0){this.editable=x,this.cellEditable=ae,this.cellHasExecutionOrder=Ce,this.custom=Ve,this.runState=Qe,this.trusted=it}with(x){let{editable:ae,cellEditable:Ce,cellHasExecutionOrder:Ve,custom:Qe,runState:it,trusted:st}=x;return ae===void 0?ae=this.editable:ae===null&&(ae=void 0),Ce===void 0?Ce=this.cellEditable:Ce===null&&(Ce=void 0),Ve===void 0?Ve=this.cellHasExecutionOrder:Ve===null&&(Ve=void 0),Qe===void 0?Qe=this.custom:Qe===null&&(Qe=void 0),it===void 0?it=this.runState:it===null&&(it=void 0),st===void 0?st=this.trusted:st===null&&(st=void 0),ae===this.editable&&Ce===this.cellEditable&&Ve===this.cellHasExecutionOrder&&Qe===this.custom&&it===this.runState&&st===this.trusted?this:new Ut(ae,Ce,Ve,Qe,it,st)}}e.NotebookDocumentMetadata=Ut;class Oe{constructor(x,ae,Ce,Ve,Qe){this.kind=x,this.source=ae,this.language=Ce,this.outputs=Ve!=null?Ve:[],this.metadata=Qe}}e.NotebookCellData=Oe;class Jt{constructor(x,ae){this.cells=x,this.metadata=ae}}e.NotebookData=Jt;class xt{constructor(x,ae,Ce){this.mime=x,this.value=ae,this.metadata=Ce}static isNotebookCellOutputItem(x){return x instanceof xt}}e.NotebookCellOutputItem=xt;class mt{constructor(x,ae,Ce){this.outputs=x,typeof ae=="string"?(this.id=ae,this.metadata=Ce):(this.id=(0,y.generateUuid)(),this.metadata=ae!=null?ae:Ce)}}e.NotebookCellOutput=mt;var _n;(function($){$[$.Markdown=1]="Markdown",$[$.Code=2]="Code"})(_n=e.NotebookCellKind||(e.NotebookCellKind={}));var bn;(function($){$[$.Running=1]="Running",$[$.Idle=2]="Idle",$[$.Success=3]="Success",$[$.Error=4]="Error"})(bn=e.NotebookCellRunState||(e.NotebookCellRunState={}));var Zt;(function($){$[$.Running=1]="Running",$[$.Idle=2]="Idle"})(Zt=e.NotebookRunState||(e.NotebookRunState={}));var ln;(function($){$[$.Left=1]="Left",$[$.Right=2]="Right"})(ln=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var En;(function($){$[$.Default=0]="Default",$[$.InCenter=1]="InCenter",$[$.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",$[$.AtTop=3]="AtTop"})(En=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));let en=class{constructor(x,ae){this.label=x,this.timestamp=ae}};en=je([p],en),e.TimelineItem=en;var Sn;(function($){$[$.Production=1]="Production",$[$.Development=2]="Development",$[$.Test=3]="Test"})(Sn=e.ExtensionMode||(e.ExtensionMode={}));var yn;(function($){$[$.Node=1]="Node",$[$.Webworker=2]="Webworker"})(yn=e.ExtensionRuntime||(e.ExtensionRuntime={}));var cn;(function($){$[$.Other=0]="Other",$[$.Comment=1]="Comment",$[$.String=2]="String",$[$.RegEx=4]="RegEx"})(cn=e.StandardTokenType||(e.StandardTokenType={}));class Dn{constructor(x,ae){this.ranges=x,this.wordPattern=ae}}e.LinkedEditingRanges=Dn;var Cn;(function($){$[$.Unset=0]="Unset",$[$.Queued=1]="Queued",$[$.Running=2]="Running",$[$.Passed=3]="Passed",$[$.Failed=4]="Failed",$[$.Skipped=5]="Skipped",$[$.Errored=6]="Errored"})(Cn=e.TestResult||(e.TestResult={}));var un;(function($){$[$.Error=0]="Error",$[$.Warning=1]="Warning",$[$.Information=2]="Information",$[$.Hint=3]="Hint"})(un=e.TestMessageSeverity||(e.TestMessageSeverity={}));class kn{constructor(x,ae){this.label=ae,this.runnable=!0,this.debuggable=!1,this.children=[],Object.defineProperty(this,"id",{value:x,enumerable:!0,writable:!1})}}e.TestItem=kn;class In{constructor(x){this.state=x,this.messages=[]}}e.TestState=In;class re{constructor(x){this.message=x,this.severity=un.Error}static diff(x,ae,Ce){const Ve=new re(x);return Ve.expectedOutput=ae,Ve.actualOutput=Ce,Ve}}e.TestMessage=re;var he;(function($){$[$.None=0]="None",$[$.Option=1]="Option",$[$.Default=2]="Default",$[$.Preferred=3]="Preferred"})(he=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var Ae;(function($){$[$.Untrusted=0]="Untrusted",$[$.Trusted=1]="Trusted",$[$.Unknown=2]="Unknown"})(Ae=e.WorkspaceTrustState||(e.WorkspaceTrustState={}));var ct;(function($){$[$.Notify=1]="Notify",$[$.OpenBrowser=2]="OpenBrowser",$[$.OpenPreview=3]="OpenPreview",$[$.Silent=4]="Silent",$[$.Ignore=5]="Ignore"})(ct=e.PortAutoForwardAction||(e.PortAutoForwardAction={}))}),define(pe[119],ve([0,1,53,11,9,142,104,8,12]),function(Q,e,v,D,A,I,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const i=new Map;function T(l,m){m?i.set(l,m):i.delete(l)}e.setWordDefinitionFor=T;function k(l){return i.get(l)}e.getWordDefinitionFor=k;class b extends I.MirrorTextModel{constructor(m,S,g,_,u,c,o,t){super(S,g,_,u);this._proxy=m,this._languageId=c,this._isDirty=o,this._notebook=t,this._isDisposed=!1}dispose(){(0,v.ok)(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(m){return(0,y.equals)(this._lines,m)}get document(){if(!this._document){const m=this;this._document={get uri(){return m._uri},get fileName(){return m._uri.fsPath},get isUntitled(){return m._uri.scheme===D.Schemas.untitled},get languageId(){return m._languageId},get version(){return m._versionId},get isClosed(){return m._isDisposed},get isDirty(){return m._isDirty},get notebook(){return m._notebook},save(){return m._save()},getText(S){return S?m._getTextInRange(S):m.getText()},get eol(){return m._eol===`
`?P.EndOfLine.LF:P.EndOfLine.CRLF},get lineCount(){return m._lines.length},lineAt(S){return m._lineAt(S)},offsetAt(S){return m._offsetAt(S)},positionAt(S){return m._positionAt(S)},validateRange(S){return m._validateRange(S)},validatePosition(S){return m._validatePosition(S)},getWordRangeAtPosition(S,g){return m._getWordRangeAtPosition(S,g)}}}return Object.freeze(this._document)}_acceptLanguageId(m){(0,v.ok)(!this._isDisposed),this._languageId=m}_acceptIsDirty(m){(0,v.ok)(!this._isDisposed),this._isDirty=m}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(m){const S=this._validateRange(m);if(S.isEmpty)return"";if(S.isSingleLine)return this._lines[S.start.line].substring(S.start.character,S.end.character);const g=this._eol,_=S.start.line,u=S.end.line,c=[];c.push(this._lines[_].substring(S.start.character));for(let o=_+1;o<u;o++)c.push(this._lines[o]);return c.push(this._lines[u].substring(0,S.end.character)),c.join(g)}_lineAt(m){let S;if(m instanceof P.Position?S=m.line:typeof m=="number"&&(S=m),typeof S!="number"||S<0||S>=this._lines.length||Math.floor(S)!==S)throw new Error("Illegal value for `line`");return new f(S,this._lines[S],S===this._lines.length-1)}_offsetAt(m){return m=this._validatePosition(m),this._ensureLineStarts(),this._lineStarts.getAccumulatedValue(m.line-1)+m.character}_positionAt(m){m=Math.floor(m),m=Math.max(0,m),this._ensureLineStarts();const S=this._lineStarts.getIndexOf(m),g=this._lines[S.index].length;return new P.Position(S.index,Math.min(S.remainder,g))}_validateRange(m){if(!(m instanceof P.Range))throw new Error("Invalid argument");const S=this._validatePosition(m.start),g=this._validatePosition(m.end);return S===m.start&&g===m.end?m:new P.Range(S.line,S.character,g.line,g.character)}_validatePosition(m){if(!(m instanceof P.Position))throw new Error("Invalid argument");if(this._lines.length===0)return m.with(0,0);let{line:S,character:g}=m,_=!1;if(S<0)S=0,g=0,_=!0;else if(S>=this._lines.length)S=this._lines.length-1,g=this._lines[S].length,_=!0;else{const u=this._lines[S].length;g<0?(g=0,_=!0):g>u&&(g=u,_=!0)}return _?new P.Position(S,g):m}_getWordRangeAtPosition(m,S){const g=this._validatePosition(m);if(!S)S=k(this._languageId);else if((0,A.regExpLeadsToEndlessLoop)(S))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${S.source}' because it matches the empty string.`);const _=(0,C.getWordAtText)(g.character+1,(0,C.ensureValidWordDefinition)(S),this._lines[g.line],0);if(_)return new P.Range(g.line,_.startColumn-1,g.line,_.endColumn-1)}}e.ExtHostDocumentData=b;class f{constructor(m,S,g){this._line=m,this._text=S,this._isLastLine=g}get lineNumber(){return this._line}get text(){return this._text}get range(){return new P.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new P.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=f}),define(pe[203],ve([0,1,8,3,106,6,78,23,2,28]),function(Q,e,v,D,A,I,C,P,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookConcatDocument=void 0;class T{constructor(b,f,l,m){this._notebook=l,this._selector=m,this._disposables=new I.DisposableStore,this._isClosed=!1,this._versionId=0,this._onDidChange=new D.Emitter,this.onDidChange=this._onDidChange.event,this.uri=y.URI.from({scheme:"vscode-concat-doc",path:(0,i.generateUuid)()}),this._init(),this._disposables.add(f.onDidChangeDocument(g=>{const _=this._cellUris.get(g.document.uri);_!==void 0&&(this._cellLengths.changeValue(_,this._cells[_].document.getText().length+1),this._cellLines.changeValue(_,this._cells[_].document.lineCount),this._versionId+=1,this._onDidChange.fire(void 0))}));const S=g=>{g===this._notebook&&(this._init(),this._versionId+=1,this._onDidChange.fire(void 0))};this._disposables.add(b.onDidChangeNotebookCells(g=>S(g.document)))}dispose(){this._disposables.dispose(),this._isClosed=!0}get isClosed(){return this._isClosed}_init(){this._cells=[],this._cellUris=new P.ResourceMap;const b=[],f=[];for(const l of this._notebook.cells)l.kind===v.NotebookCellKind.Code&&(!this._selector||(0,C.score)(this._selector,l.document.uri,l.document.languageId,!0))&&(this._cellUris.set(l.document.uri,this._cells.length),this._cells.push(l),b.push(l.document.getText().length+1),f.push(l.document.lineCount));this._cellLengths=new A.PrefixSumComputer(new Uint32Array(b)),this._cellLines=new A.PrefixSumComputer(new Uint32Array(f))}get version(){return this._versionId}getText(b){var f,l;if(!b){let u="";for(const c of this._cells)u+=c.document.getText()+`
`;return u=u.slice(0,-1),u}if(b.isEmpty)return"";const m=this.locationAt(b.start),S=this.locationAt(b.end),g=this._cells[(f=this._cellUris.get(m.uri))!==null&&f!==void 0?f:-1],_=this._cells[(l=this._cellUris.get(S.uri))!==null&&l!==void 0?l:-1];if(!g||!_)return"";if(g===_)return g.document.getText(new v.Range(m.range.start,S.range.end));{const u=g.document.getText(new v.Range(m.range.start,new v.Position(g.document.lineCount,0))),c=_.document.getText(new v.Range(new v.Position(0,0),S.range.end));return u+`
`+c}}offsetAt(b){const f=this._cellLines.getIndexOf(b.line),l=this._cellLengths.getAccumulatedValue(f.index-1),m=this._cells[f.index].document.offsetAt(b.with(f.remainder));return l+m}positionAt(b){if(typeof b=="number"){const l=this._cellLengths.getIndexOf(b),m=this._cellLines.getAccumulatedValue(l.index-1);return this._cells[l.index].document.positionAt(l.remainder).translate(m)}const f=this._cellUris.get(b.uri);if(f!==void 0){const l=this._cellLines.getAccumulatedValue(f-1);return new v.Position(l+b.range.start.line,b.range.start.character)}return new v.Position(0,0)}locationAt(b){v.Range.isRange(b)||(b=new v.Range(b,b));const f=this._cellLines.getIndexOf(b.start.line);let l=f;b.isEmpty||(l=this._cellLines.getIndexOf(b.end.line));const m=new v.Position(f.remainder,b.start.character),S=new v.Position(l.remainder,b.end.character),g=new v.Range(m,S),_=this._cells[f.index];return new v.Location(_.document.uri,_.document.validateRange(g))}contains(b){return this._cellUris.has(b)}validateRange(b){const f=this.validatePosition(b.start),l=this.validatePosition(b.end);return b.with(f,l)}validatePosition(b){const f=this._cellLines.getIndexOf(b.line),l=new v.Position(f.remainder,b.character),m=this._cells[f.index].document.validatePosition(l),S=this._cellLines.getAccumulatedValue(f.index-1);return new v.Position(S+m.line,m.character)}}e.ExtHostNotebookConcatDocument=T}),define(pe[204],ve([0,1,8,14,3]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let I=class{constructor(P){this._actual=new v.ColorTheme(v.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new A.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(P){let y=P==="light"?v.ColorThemeKind.Light:P==="dark"?v.ColorThemeKind.Dark:v.ColorThemeKind.HighContrast;this._actual=new v.ColorTheme(y),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};I=je([Ue(0,D.IExtHostRpcService)],I),e.ExtHostTheming=I}),define(pe[205],ve([0,1,171,4,60]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USER_TASKS_GROUP_KEY=e.ITaskService=e.ProcessExecutionSupportedContext=e.ShellExecutionSupportedContext=e.CustomExecutionSupportedContext=void 0,e.CustomExecutionSupportedContext=new A.RawContextKey("customExecutionSupported",!0,v.localize(0,null)),e.ShellExecutionSupportedContext=new A.RawContextKey("shellExecutionSupported",!1,v.localize(1,null)),e.ProcessExecutionSupportedContext=new A.RawContextKey("processExecutionSupported",!1,v.localize(2,null)),e.ITaskService=(0,D.createDecorator)("taskService"),e.USER_TASKS_GROUP_KEY="settings"}),define(pe[206],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function v(A){return[...A.entries()]}e.serializeEnvironmentVariableCollection=v;function D(A){return new Map(A)}e.deserializeEnvironmentVariableCollection=D}),define(pe[207],ve([0,1,172,60]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.terminalContributionsDescriptor=e.DEFAULT_COMMANDS_TO_SKIP_SHELL=e.TERMINAL_COMMAND_ID=e.TitleEventSource=e.LinuxDistro=e.ProcessState=e.DEFAULT_LOCAL_ECHO_EXCLUDE=e.SUGGESTIONS_FONT_WEIGHT=e.DEFAULT_BOLD_FONT_WEIGHT=e.DEFAULT_FONT_WEIGHT=e.MAXIMUM_FONT_WEIGHT=e.MINIMUM_FONT_WEIGHT=e.DEFAULT_LINE_HEIGHT=e.MINIMUM_LETTER_SPACING=e.DEFAULT_LETTER_SPACING=e.TERMINAL_ACTION_CATEGORY=e.TERMINAL_CONFIG_SECTION=e.TerminalCursorStyle=e.SUGGESTED_RENDERER_TYPE=e.TERMINAL_CREATION_COMMANDS=e.NEVER_MEASURE_RENDER_TIME_STORAGE_KEY=e.IS_WORKSPACE_SHELL_ALLOWED_STORAGE_KEY=e.KEYBINDING_CONTEXT_TERMINAL_PROCESS_SUPPORTED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_NOT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_NOT_VISIBLE=e.KEYBINDING_CONTEXT_TERMINAL_FIND_VISIBLE=e.KEYBINDING_CONTEXT_TERMINAL_TEXT_NOT_SELECTED=e.KEYBINDING_CONTEXT_TERMINAL_TEXT_SELECTED=e.KEYBINDING_CONTEXT_TERMINAL_A11Y_TREE_FOCUS=e.KEYBINDING_CONTEXT_TERMINAL_NOT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_ALT_BUFFER_ACTIVE=e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE=e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE_KEY=e.KEYBINDING_CONTEXT_TERMINAL_FOCUS=e.KEYBINDING_CONTEXT_TERMINAL_IS_OPEN=e.TERMINAL_VIEW_ID=void 0,e.TERMINAL_VIEW_ID="terminal",e.KEYBINDING_CONTEXT_TERMINAL_IS_OPEN=new D.RawContextKey("terminalIsOpen",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_FOCUS=new D.RawContextKey("terminalFocus",!1,v.localize(0,null)),e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE_KEY="terminalShellType",e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE=new D.RawContextKey(e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE_KEY,void 0,{type:"string",description:v.localize(1,null)}),e.KEYBINDING_CONTEXT_TERMINAL_ALT_BUFFER_ACTIVE=new D.RawContextKey("terminalAltBufferActive",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_NOT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FOCUS.toNegated(),e.KEYBINDING_CONTEXT_TERMINAL_A11Y_TREE_FOCUS=new D.RawContextKey("terminalA11yTreeFocus",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_TEXT_SELECTED=new D.RawContextKey("terminalTextSelected",!1,v.localize(2,null)),e.KEYBINDING_CONTEXT_TERMINAL_TEXT_NOT_SELECTED=e.KEYBINDING_CONTEXT_TERMINAL_TEXT_SELECTED.toNegated(),e.KEYBINDING_CONTEXT_TERMINAL_FIND_VISIBLE=new D.RawContextKey("terminalFindVisible",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_FIND_NOT_VISIBLE=e.KEYBINDING_CONTEXT_TERMINAL_FIND_VISIBLE.toNegated(),e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_FOCUSED=new D.RawContextKey("terminalFindInputFocused",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_FIND_FOCUSED=new D.RawContextKey("terminalFindFocused",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_NOT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_FOCUSED.toNegated(),e.KEYBINDING_CONTEXT_TERMINAL_PROCESS_SUPPORTED=new D.RawContextKey("terminalProcessSupported",!1,v.localize(3,null)),e.IS_WORKSPACE_SHELL_ALLOWED_STORAGE_KEY="terminal.integrated.isWorkspaceShellAllowed",e.NEVER_MEASURE_RENDER_TIME_STORAGE_KEY="terminal.integrated.neverMeasureRenderTime",e.TERMINAL_CREATION_COMMANDS=["workbench.action.terminal.toggleTerminal","workbench.action.terminal.new","workbench.action.togglePanel","workbench.action.terminal.focus"],e.SUGGESTED_RENDERER_TYPE="terminal.integrated.suggestedRendererType",e.TerminalCursorStyle={BLOCK:"block",LINE:"line",UNDERLINE:"underline"},e.TERMINAL_CONFIG_SECTION="terminal.integrated",e.TERMINAL_ACTION_CATEGORY=v.localize(4,null),e.DEFAULT_LETTER_SPACING=0,e.MINIMUM_LETTER_SPACING=-5,e.DEFAULT_LINE_HEIGHT=1,e.MINIMUM_FONT_WEIGHT=1,e.MAXIMUM_FONT_WEIGHT=1e3,e.DEFAULT_FONT_WEIGHT="normal",e.DEFAULT_BOLD_FONT_WEIGHT="bold",e.SUGGESTIONS_FONT_WEIGHT=["normal","bold","100","200","300","400","500","600","700","800","900"],e.DEFAULT_LOCAL_ECHO_EXCLUDE=["vim","vi","nano","tmux"];var A;(function(y){y[y.UNINITIALIZED=0]="UNINITIALIZED",y[y.LAUNCHING=1]="LAUNCHING",y[y.RUNNING=2]="RUNNING",y[y.KILLED_DURING_LAUNCH=3]="KILLED_DURING_LAUNCH",y[y.KILLED_BY_USER=4]="KILLED_BY_USER",y[y.KILLED_BY_PROCESS=5]="KILLED_BY_PROCESS"})(A=e.ProcessState||(e.ProcessState={}));var I;(function(y){y[y.Fedora=0]="Fedora",y[y.Ubuntu=1]="Ubuntu",y[y.Unknown=2]="Unknown"})(I=e.LinuxDistro||(e.LinuxDistro={}));var C;(function(y){y[y.Api=0]="Api",y[y.Process=1]="Process",y[y.Sequence=2]="Sequence"})(C=e.TitleEventSource||(e.TitleEventSource={}));var P;(function(y){y.FIND_NEXT="workbench.action.terminal.findNext",y.FIND_PREVIOUS="workbench.action.terminal.findPrevious",y.TOGGLE="workbench.action.terminal.toggleTerminal",y.KILL="workbench.action.terminal.kill",y.QUICK_KILL="workbench.action.terminal.quickKill",y.CONFIGURE_TERMINAL_SETTINGS="workbench.action.terminal.openSettings",y.COPY_SELECTION="workbench.action.terminal.copySelection",y.SELECT_ALL="workbench.action.terminal.selectAll",y.DELETE_WORD_LEFT="workbench.action.terminal.deleteWordLeft",y.DELETE_WORD_RIGHT="workbench.action.terminal.deleteWordRight",y.DELETE_TO_LINE_START="workbench.action.terminal.deleteToLineStart",y.MOVE_TO_LINE_START="workbench.action.terminal.moveToLineStart",y.MOVE_TO_LINE_END="workbench.action.terminal.moveToLineEnd",y.NEW="workbench.action.terminal.new",y.NEW_WITH_CWD="workbench.action.terminal.newWithCwd",y.NEW_LOCAL="workbench.action.terminal.newLocal",y.NEW_IN_ACTIVE_WORKSPACE="workbench.action.terminal.newInActiveWorkspace",y.SPLIT="workbench.action.terminal.split",y.SPLIT_IN_ACTIVE_WORKSPACE="workbench.action.terminal.splitInActiveWorkspace",y.RELAUNCH="workbench.action.terminal.relaunch",y.FOCUS_PREVIOUS_PANE="workbench.action.terminal.focusPreviousPane",y.FOCUS_NEXT_PANE="workbench.action.terminal.focusNextPane",y.RESIZE_PANE_LEFT="workbench.action.terminal.resizePaneLeft",y.RESIZE_PANE_RIGHT="workbench.action.terminal.resizePaneRight",y.RESIZE_PANE_UP="workbench.action.terminal.resizePaneUp",y.RESIZE_PANE_DOWN="workbench.action.terminal.resizePaneDown",y.FOCUS="workbench.action.terminal.focus",y.FOCUS_NEXT="workbench.action.terminal.focusNext",y.FOCUS_PREVIOUS="workbench.action.terminal.focusPrevious",y.PASTE="workbench.action.terminal.paste",y.SELECT_DEFAULT_SHELL="workbench.action.terminal.selectDefaultShell",y.RUN_SELECTED_TEXT="workbench.action.terminal.runSelectedText",y.RUN_ACTIVE_FILE="workbench.action.terminal.runActiveFile",y.SWITCH_TERMINAL="workbench.action.terminal.switchTerminal",y.SCROLL_DOWN_LINE="workbench.action.terminal.scrollDown",y.SCROLL_DOWN_PAGE="workbench.action.terminal.scrollDownPage",y.SCROLL_TO_BOTTOM="workbench.action.terminal.scrollToBottom",y.SCROLL_UP_LINE="workbench.action.terminal.scrollUp",y.SCROLL_UP_PAGE="workbench.action.terminal.scrollUpPage",y.SCROLL_TO_TOP="workbench.action.terminal.scrollToTop",y.CLEAR="workbench.action.terminal.clear",y.CLEAR_SELECTION="workbench.action.terminal.clearSelection",y.MANAGE_WORKSPACE_SHELL_PERMISSIONS="workbench.action.terminal.manageWorkspaceShellPermissions",y.RENAME="workbench.action.terminal.rename",y.RENAME_WITH_ARG="workbench.action.terminal.renameWithArg",y.FIND_FOCUS="workbench.action.terminal.focusFind",y.FIND_HIDE="workbench.action.terminal.hideFind",y.QUICK_OPEN_TERM="workbench.action.quickOpenTerm",y.SCROLL_TO_PREVIOUS_COMMAND="workbench.action.terminal.scrollToPreviousCommand",y.SCROLL_TO_NEXT_COMMAND="workbench.action.terminal.scrollToNextCommand",y.SELECT_TO_PREVIOUS_COMMAND="workbench.action.terminal.selectToPreviousCommand",y.SELECT_TO_NEXT_COMMAND="workbench.action.terminal.selectToNextCommand",y.SELECT_TO_PREVIOUS_LINE="workbench.action.terminal.selectToPreviousLine",y.SELECT_TO_NEXT_LINE="workbench.action.terminal.selectToNextLine",y.TOGGLE_ESCAPE_SEQUENCE_LOGGING="toggleEscapeSequenceLogging",y.SEND_SEQUENCE="workbench.action.terminal.sendSequence",y.TOGGLE_FIND_REGEX="workbench.action.terminal.toggleFindRegex",y.TOGGLE_FIND_WHOLE_WORD="workbench.action.terminal.toggleFindWholeWord",y.TOGGLE_FIND_CASE_SENSITIVE="workbench.action.terminal.toggleFindCaseSensitive",y.NAVIGATION_MODE_EXIT="workbench.action.terminal.navigationModeExit",y.NAVIGATION_MODE_FOCUS_NEXT="workbench.action.terminal.navigationModeFocusNext",y.NAVIGATION_MODE_FOCUS_PREVIOUS="workbench.action.terminal.navigationModeFocusPrevious",y.SHOW_ENVIRONMENT_INFORMATION="workbench.action.terminal.showEnvironmentInformation",y.SEARCH_WORKSPACE="workbench.action.terminal.searchWorkspace",y.ATTACH_TO_REMOTE_TERMINAL="workbench.action.terminal.attachToSession"})(P=e.TERMINAL_COMMAND_ID||(e.TERMINAL_COMMAND_ID={})),e.DEFAULT_COMMANDS_TO_SKIP_SHELL=["workbench.action.terminal.clearSelection","workbench.action.terminal.clear","workbench.action.terminal.copySelection","workbench.action.terminal.deleteToLineStart","workbench.action.terminal.deleteWordLeft","workbench.action.terminal.deleteWordRight","workbench.action.terminal.focusFind","workbench.action.terminal.hideFind","workbench.action.terminal.findNext","workbench.action.terminal.findPrevious","workbench.action.terminal.toggleFindRegex","workbench.action.terminal.toggleFindWholeWord","workbench.action.terminal.toggleFindCaseSensitive","workbench.action.terminal.focusNextPane","workbench.action.terminal.focusNext","workbench.action.terminal.focusPreviousPane","workbench.action.terminal.focusPrevious","workbench.action.terminal.focus","workbench.action.terminal.kill","workbench.action.terminal.moveToLineEnd","workbench.action.terminal.moveToLineStart","workbench.action.terminal.newInActiveWorkspace","workbench.action.terminal.new","workbench.action.terminal.paste","workbench.action.terminal.resizePaneDown","workbench.action.terminal.resizePaneLeft","workbench.action.terminal.resizePaneRight","workbench.action.terminal.resizePaneUp","workbench.action.terminal.runActiveFile","workbench.action.terminal.runSelectedText","workbench.action.terminal.scrollDown","workbench.action.terminal.scrollDownPage","workbench.action.terminal.scrollToBottom","workbench.action.terminal.scrollToNextCommand","workbench.action.terminal.scrollToPreviousCommand","workbench.action.terminal.scrollToTop","workbench.action.terminal.scrollUp","workbench.action.terminal.scrollUpPage","workbench.action.terminal.sendSequence","workbench.action.terminal.selectAll","workbench.action.terminal.selectToNextCommand","workbench.action.terminal.selectToNextLine","workbench.action.terminal.selectToPreviousCommand","workbench.action.terminal.selectToPreviousLine","workbench.action.terminal.splitInActiveWorkspace","workbench.action.terminal.split","workbench.action.terminal.toggleTerminal","workbench.action.terminal.navigationModeExit","workbench.action.terminal.navigationModeFocusNext","workbench.action.terminal.navigationModeFocusPrevious","editor.action.toggleTabFocusMode","workbench.action.quickOpen","workbench.action.quickOpenPreviousEditor","workbench.action.showCommands","workbench.action.tasks.build","workbench.action.tasks.restartTask","workbench.action.tasks.runTask","workbench.action.tasks.reRunTask","workbench.action.tasks.showLog","workbench.action.tasks.showTasks","workbench.action.tasks.terminate","workbench.action.tasks.test","workbench.action.toggleFullScreen","workbench.action.terminal.focusAtIndex1","workbench.action.terminal.focusAtIndex2","workbench.action.terminal.focusAtIndex3","workbench.action.terminal.focusAtIndex4","workbench.action.terminal.focusAtIndex5","workbench.action.terminal.focusAtIndex6","workbench.action.terminal.focusAtIndex7","workbench.action.terminal.focusAtIndex8","workbench.action.terminal.focusAtIndex9","workbench.action.focusSecondEditorGroup","workbench.action.focusThirdEditorGroup","workbench.action.focusFourthEditorGroup","workbench.action.focusFifthEditorGroup","workbench.action.focusSixthEditorGroup","workbench.action.focusSeventhEditorGroup","workbench.action.focusEighthEditorGroup","workbench.action.focusNextPart","workbench.action.focusPreviousPart","workbench.action.nextPanelView","workbench.action.previousPanelView","workbench.action.nextSideBarView","workbench.action.previousSideBarView","workbench.action.debug.start","workbench.action.debug.stop","workbench.action.debug.run","workbench.action.debug.restart","workbench.action.debug.continue","workbench.action.debug.pause","workbench.action.debug.stepInto","workbench.action.debug.stepOut","workbench.action.debug.stepOver","workbench.action.nextEditor","workbench.action.previousEditor","workbench.action.nextEditorInGroup","workbench.action.previousEditorInGroup","workbench.action.openNextRecentlyUsedEditor","workbench.action.openPreviousRecentlyUsedEditor","workbench.action.openNextRecentlyUsedEditorInGroup","workbench.action.openPreviousRecentlyUsedEditorInGroup","workbench.action.quickOpenPreviousRecentlyUsedEditor","workbench.action.quickOpenLeastRecentlyUsedEditor","workbench.action.quickOpenPreviousRecentlyUsedEditorInGroup","workbench.action.quickOpenLeastRecentlyUsedEditorInGroup","workbench.action.focusActiveEditorGroup","workbench.action.focusFirstEditorGroup","workbench.action.focusLastEditorGroup","workbench.action.firstEditorInGroup","workbench.action.lastEditorInGroup","workbench.action.navigateUp","workbench.action.navigateDown","workbench.action.navigateRight","workbench.action.navigateLeft","workbench.action.togglePanel","workbench.action.quickOpenView","workbench.action.toggleMaximizedPanel"],e.terminalContributionsDescriptor={extensionPoint:"terminal",defaultExtensionKind:"workspace",jsonSchema:{description:v.localize(5,null),type:"object",properties:{types:{type:"array",description:v.localize(6,null),items:{type:"object",required:["command","title"],properties:{command:{description:v.localize(7,null),type:"string"},title:{description:v.localize(8,null),type:"string"}}}}}}}}),define(pe[208],ve([0,1,7,10,132]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createTerminalEnvironment=e.getDefaultShellArgs=e.getDefaultShell=e.createVariableResolver=e.escapeNonWindowsPath=e.getCwd=e.getLangEnvVariable=e.shouldSetLangEnvVariable=e.addTerminalEnvironmentKeys=e.mergeEnvironments=void 0;function I(o,t){if(!!t)if(D.isWindows)for(const r in t){let s=r;for(const n in o)if(r.toLowerCase()===n.toLowerCase()){s=n;break}const a=t[r];C(o,s,a)}else Object.keys(t).forEach(r=>{const s=t[r];C(o,r,s)})}e.mergeEnvironments=I;function C(o,t,r){typeof r=="string"?o[t]=r:delete o[t]}function P(o,t,r,s){o.TERM_PROGRAM="vscode",t&&(o.TERM_PROGRAM_VERSION=t),T(o,s)&&(o.LANG=k(r)),o.COLORTERM="truecolor"}e.addTerminalEnvironmentKeys=P;function y(o,t){if(!!t)for(const r of Object.keys(t)){const s=t[r];s&&(o[r]=s)}}function i(o,t){return Object.keys(t).forEach(r=>{const s=t[r];if(typeof s=="string")try{t[r]=o(s)}catch(a){t[r]=s}}),t}function T(o,t){if(t==="on")return!0;if(t==="auto"){const r=o.LANG;return!r||r.search(/\.UTF\-8$/)===-1&&r.search(/\.utf8$/)===-1&&r.search(/\.euc.+/)===-1}return!1}e.shouldSetLangEnvVariable=T;function k(o){const t=o?o.split("-"):[],r=t.length;if(r===0)return"en_US.UTF-8";if(r===1){const s={af:"ZA",am:"ET",be:"BY",bg:"BG",ca:"ES",cs:"CZ",da:"DK",de:"DE",el:"GR",en:"US",es:"ES",et:"EE",eu:"ES",fi:"FI",fr:"FR",he:"IL",hr:"HR",hu:"HU",hy:"AM",is:"IS",it:"IT",ja:"JP",kk:"KZ",ko:"KR",lt:"LT",nl:"NL",no:"NO",pl:"PL",pt:"BR",ro:"RO",ru:"RU",sk:"SK",sl:"SI",sr:"YU",sv:"SE",tr:"TR",uk:"UA",zh:"CN"};t[0]in s&&t.push(s[t[0]])}else t[1]=t[1].toUpperCase();return t.join("_")+".UTF-8"}e.getLangEnvVariable=k;function b(o,t,r,s,a,n){if(o.cwd){const p=typeof o.cwd=="object"?o.cwd.fsPath:o.cwd,E=f(p,r);return l(E||p)}let d;return!o.ignoreConfigurationCwd&&a&&(r&&(a=f(a,r,n)),a&&(v.isAbsolute(a)?d=a:s&&(d=v.join(s.fsPath,a)))),d||(d=s?s.fsPath:t||""),l(d)}e.getCwd=b;function f(o,t,r){if(t)try{return t(o)}catch(s){r==null||r.error("Could not resolve terminal cwd",s);return}return o}function l(o){return D.platform===3&&o&&o[1]===":"?o[0].toUpperCase()+o.substr(1):o}function m(o){let t=o;t.indexOf("\\")!==0&&(t=t.replace(/\\/g,"\\\\"));const r=/[\`\$\|\&\>\~\#\!\^\*\;\<\"\']/g;return t=t.replace(r,""),`'${t}'`}e.escapeNonWindowsPath=m;function S(o,t){if(!!t)return r=>t.resolve(o,r)}e.createVariableResolver=S;function g(o,t,r,s,a,n,d,p,E=D.platform){let h=null;p&&(h=u(o,t,"automationShell",E)),h||(h=u(o,t,"shell",E));let w=h||r;if(E===3&&!s&&a){const R=v.join(a,"Sysnative").replace(/\//g,"\\").toLowerCase();w&&w.toLowerCase().indexOf(R)===0&&(w=v.join(a,"System32",w.substr(R.length+1)))}if(w&&E===3&&(w=w.replace(/\//g,"\\")),n)try{w=n(w)}catch(R){d.error("Could not resolve shell",R)}return w}e.getDefaultShell=g;function _(o,t,r,s,a,n=D.platform){if(r&&u(o,t,"automationShell",n))return[];const d=n===3?"windows":n===1?"osx":"linux",p=o(`terminal.integrated.shellArgs.${d}`);let E=(t?p.value:p.userValue)||p.defaultValue;if(!E)return[];if(typeof E=="string"&&n===3)return s?s(E):E;if(s){const h=[];for(const w of E)try{h.push(s(w))}catch(R){a.error(`Could not resolve terminal.integrated.shellArgs.${d}`,R),h.push(w)}E=h}return E}e.getDefaultShellArgs=_;function u(o,t,r,s=D.platform){const n=o(`terminal.integrated.${r}.${s===3?"windows":s===1?"osx":"linux"}`);return(t?n.value:n.userValue)||n.defaultValue}function c(o,t,r,s,a,n,d){let p={};if(o.strictEnv)y(p,o.env);else{y(p,d);const E=Object.assign({},s?t.value:t.userValue);r&&(E&&i(r,E),o.env&&i(r,o.env)),(0,A.sanitizeProcessEnvironment)(p,"VSCODE_IPC_HOOK_CLI"),I(p,E),I(p,o.env),P(p,a,D.locale,n)}return p}e.createTerminalEnvironment=c});var rn=this&&this.__asyncValues||function(Q){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var e=Q[Symbol.asyncIterator],v;return e?e.call(Q):(Q=typeof __values=="function"?__values(Q):Q[Symbol.iterator](),v={},D("next"),D("throw"),D("return"),v[Symbol.asyncIterator]=function(){return this},v);function D(I){v[I]=Q[I]&&function(C){return new Promise(function(P,y){C=Q[I](C),A(P,y,C.done,C.value)})}}function A(I,C,P,y){Promise.resolve(y).then(function(i){I({value:i,done:P})},C)}};define(pe[209],ve([0,1,37,10,25,12,7,99,188,207]),function(Q,e,v,D,A,I,C,P,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.detectAvailableShells=e.linuxDistro=void 0;let T=i.LinuxDistro.Unknown;if(D.isLinux){const m="/etc/os-release";A.SymlinkSupport.existsFile(m).then(async S=>{if(!!S){const _=(await v.promises.readFile(m)).toString();/NAME="?Fedora"?/.test(_)?T=i.LinuxDistro.Fedora:/NAME="?Ubuntu"?/.test(_)&&(T=i.LinuxDistro.Ubuntu)}})}e.linuxDistro=T;function k(){return D.isWindows?b():f()}e.detectAvailableShells=k;async function b(){var m,S;const g=process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),_=`${process.env.windir}\\${g?"Sysnative":"System32"}`;let u=!1;(0,y.getWindowsBuildNumber)()>=16299&&(u=!0);const c={"Command Prompt":[`${_}\\cmd.exe`],"WSL Bash":[`${_}\\${u?"wsl.exe":"bash.exe"}`],"Git Bash":[`${process.env.ProgramW6432}\\Git\\bin\\bash.exe`,`${process.env.ProgramW6432}\\Git\\usr\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\usr\\bin\\bash.exe`,`${process.env.LocalAppData}\\Programs\\Git\\bin\\bash.exe`]};try{for(var o=rn((0,P.enumeratePowerShellInstallations)()),t;t=await o.next(),!t.done;){const a=t.value;c[a.displayName]=[a.exePath]}}catch(a){m={error:a}}finally{try{t&&!t.done&&(S=o.return)&&await S.call(o)}finally{if(m)throw m.error}}const r=[];Object.keys(c).forEach(a=>r.push(l(a,c[a])));const s=await Promise.all(r);return(0,I.coalesce)(s)}async function f(){return(await v.promises.readFile("/etc/shells","utf8")).split(`
`).filter(g=>g.trim().indexOf("#")!==0&&g.trim().length>0).map(g=>({label:(0,C.basename)(g),path:g}))}async function l(m,S){if(S.length===0)return Promise.resolve(void 0);const g=S.shift();if(g==="")return l(m,S);try{const _=await v.promises.stat((0,C.normalize)(g));if(_.isFile()||_.isSymbolicLink())return{label:m,path:g}}catch(_){try{const u=await v.promises.lstat((0,C.normalize)(g));if(u.isFile()||u.isSymbolicLink())return{label:m,path:g}}catch(u){}}return l(m,S)}}),define(pe[210],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.getTestSubscriptionKey=e.TestDiffOpType=void 0;var v;(function(C){C[C.Add=0]="Add",C[C.Update=1]="Update",C[C.Remove=2]="Remove",C[C.DeltaDiscoverComplete=3]="DeltaDiscoverComplete",C[C.DeltaRootsComplete=4]="DeltaRootsComplete"})(v=e.TestDiffOpType||(e.TestDiffOpType={}));const D=(C,P)=>`${C}:${P.toString()}`;e.getTestSubscriptionKey=D;class A{add(P){}update(P){}remove(P,y){}complete(){}}e.IncrementalChangeCollector=A;class I{constructor(){this.items=new Map,this.roots=new Set}apply(P){const y=this.createChangeCollector();for(const i of P)switch(i[0]){case 0:{const T=i[1];if(T.parent){if(this.items.has(T.parent)){const k=this.items.get(T.parent);k.children.add(T.item.extId);const b=this.createItem(T,k);this.items.set(T.item.extId,b),y.add(b)}}else{this.roots.add(T.item.extId);const k=this.createItem(T);this.items.set(T.item.extId,k),y.add(k)}break}case 1:{const T=i[1],k=this.items.get(T.item.extId);k&&(Object.assign(k.item,T.item),y.update(k));break}case 2:{const T=this.items.get(i[1]);if(!T)break;T.parent?this.items.get(T.parent).children.delete(T.item.extId):this.roots.delete(T.item.extId);const k=[[i[1]]];for(;k.length;)for(const b of k.pop()){const f=this.items.get(b);f&&(k.push(f.children),this.items.delete(b),y.remove(f,f!==T))}break}case 3:this.updateBusyProviders(i[1]);break;case 4:this.updatePendingRoots(i[1]);break}y.complete()}updateBusyProviders(P){}updatePendingRoots(P){}createChangeCollector(){return new A}}e.AbstractIncrementalTestCollection=I}),define(pe[211],ve([0,1,7,36,15,22,10,77,173]),function(Q,e,v,D,A,I,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class i{constructor(k,b,f){if(this._contributedVariables=new Map,this._context=k,this._labelService=b,f)if(C.isWindows){const l=Object.create(null);this._envVariables=l,Object.keys(f).forEach(m=>{l[m.toLowerCase()]=f[m]})}else this._envVariables=f}resolve(k,b){return this.recursiveResolve(k?k.uri:void 0,b)}resolveAnyBase(k,b,f,l){const m=I.deepClone(b);return C.isWindows&&m.windows?Object.keys(m.windows).forEach(S=>m[S]=m.windows[S]):C.isMacintosh&&m.osx?Object.keys(m.osx).forEach(S=>m[S]=m.osx[S]):C.isLinux&&m.linux&&Object.keys(m.linux).forEach(S=>m[S]=m.linux[S]),delete m.windows,delete m.osx,delete m.linux,this.recursiveResolve(k?k.uri:void 0,m,f,l)}resolveAny(k,b,f){return this.resolveAnyBase(k,b,f)}resolveAnyMap(k,b,f){const l=new Map;return{newConfig:this.resolveAnyBase(k,b,f,l),resolvedVariables:l}}resolveWithInteractionReplace(k,b,f,l){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(k,b,f,l){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(k,b){if(this._contributedVariables.has(k))throw new Error("Variable "+k+" is contributed twice.");this._contributedVariables.set(k,b)}recursiveResolve(k,b,f,l){if(A.isString(b))return this.resolveString(k,b,f,l);if(A.isArray(b))return b.map(m=>this.recursiveResolve(k,m,f,l));if(A.isObject(b)){let m=Object.create(null);return Object.keys(b).forEach(S=>{const g=this.resolveString(k,S,f,l);m[g]=this.recursiveResolve(k,b[S],f,l)}),m}return b}resolveString(k,b,f,l){return b.replace(i.VARIABLE_REGEXP,(S,g)=>{if(g.includes(i.VARIABLE_LHS))return S;let _=this.evaluateSingleVariable(S,g,k,f);return l&&l.set(g,_),_})}fsPath(k){return this._labelService?this._labelService.getUriLabel(k,{noPrefix:!0}):k.fsPath}evaluateSingleVariable(k,b,f,l){let m;const S=b.split(":");S.length>1&&(b=S[0],m=S[1]);const g=()=>{const c=this._context.getFilePath();if(c)return c;throw new Error((0,y.localize)(0,null,k))},_=()=>{const c=g();if(this._context.getWorkspaceFolderPathForFile){const o=this._context.getWorkspaceFolderPathForFile();if(o)return o}throw new Error((0,y.localize)(1,null,k,v.basename(c)))},u=()=>{if(m){const c=this._context.getFolderUri(m);if(c)return c;throw new Error((0,y.localize)(2,null,k,m))}if(f)return f;throw this._context.getWorkspaceFolderCount()>1?new Error((0,y.localize)(3,null,k)):new Error((0,y.localize)(4,null,k))};switch(b){case"env":if(m){if(this._envVariables){const c=this._envVariables[C.isWindows?m.toLowerCase():m];if(A.isString(c))return c}return""}throw new Error((0,y.localize)(5,null,k));case"config":if(m){const c=this._context.getConfigurationValue(f,m);if(A.isUndefinedOrNull(c))throw new Error((0,y.localize)(6,null,k,m));if(A.isObject(c))throw new Error((0,y.localize)(7,null,k,m));return c}throw new Error((0,y.localize)(8,null,k));case"command":return this.resolveFromMap(k,m,l,"command");case"input":return this.resolveFromMap(k,m,l,"input");default:switch(b){case"workspaceRoot":case"workspaceFolder":return(0,P.normalizeDriveLetter)(this.fsPath(u()));case"cwd":return f||m?(0,P.normalizeDriveLetter)(this.fsPath(u())):D.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return v.basename(this.fsPath(u()));case"lineNumber":const c=this._context.getLineNumber();if(c)return c;throw new Error((0,y.localize)(9,null,k));case"selectedText":const o=this._context.getSelectedText();if(o)return o;throw new Error((0,y.localize)(10,null,k));case"file":return g();case"fileWorkspaceFolder":return _();case"relativeFile":return f||m?v.relative(this.fsPath(u()),g()):g();case"relativeFileDirname":const t=v.dirname(g());if(f||m){const n=v.relative(this.fsPath(u()),t);return n.length===0?".":n}return t;case"fileDirname":return v.dirname(g());case"fileExtname":return v.extname(g());case"fileBasename":return v.basename(g());case"fileBasenameNoExtension":const r=v.basename(g());return r.slice(0,r.length-v.extname(r).length);case"fileDirnameBasename":return v.basename(v.dirname(g()));case"execPath":const s=this._context.getExecPath();return s||k;case"execInstallFolder":const a=this._context.getAppRoot();return a||k;case"pathSeparator":return v.sep;default:try{const n=m?`${b}:${m}`:b;return this.resolveFromMap(k,n,l,void 0)}catch(n){return k}}}}resolveFromMap(k,b,f,l){if(b&&f){const m=l===void 0?f[b]:f[l+":"+b];if(typeof m=="string")return m;throw new Error((0,y.localize)(11,null,k))}return k}}e.AbstractVariableResolverService=i,i.VARIABLE_LHS="${",i.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(pe[212],ve([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.OpenEditorContext=e.GroupChangeKind=e.GroupsOrder=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=(0,v.createDecorator)("editorGroupsService");var D;(function(b){b[b.UP=0]="UP",b[b.DOWN=1]="DOWN",b[b.LEFT=2]="LEFT",b[b.RIGHT=3]="RIGHT"})(D=e.GroupDirection||(e.GroupDirection={}));var A;(function(b){b[b.HORIZONTAL=0]="HORIZONTAL",b[b.VERTICAL=1]="VERTICAL"})(A=e.GroupOrientation||(e.GroupOrientation={}));var I;(function(b){b[b.FIRST=0]="FIRST",b[b.LAST=1]="LAST",b[b.NEXT=2]="NEXT",b[b.PREVIOUS=3]="PREVIOUS"})(I=e.GroupLocation||(e.GroupLocation={}));var C;(function(b){b[b.MINIMIZE_OTHERS=0]="MINIMIZE_OTHERS",b[b.EVEN=1]="EVEN",b[b.TOGGLE=2]="TOGGLE"})(C=e.GroupsArrangement||(e.GroupsArrangement={}));var P;(function(b){b[b.COPY_EDITORS=0]="COPY_EDITORS",b[b.MOVE_EDITORS=1]="MOVE_EDITORS"})(P=e.MergeGroupMode||(e.MergeGroupMode={}));var y;(function(b){b[b.CREATION_TIME=0]="CREATION_TIME",b[b.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",b[b.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(y=e.GroupsOrder||(e.GroupsOrder={}));var i;(function(b){b[b.GROUP_ACTIVE=0]="GROUP_ACTIVE",b[b.GROUP_INDEX=1]="GROUP_INDEX",b[b.EDITOR_OPEN=2]="EDITOR_OPEN",b[b.EDITOR_CLOSE=3]="EDITOR_CLOSE",b[b.EDITOR_MOVE=4]="EDITOR_MOVE",b[b.EDITOR_ACTIVE=5]="EDITOR_ACTIVE",b[b.EDITOR_LABEL=6]="EDITOR_LABEL",b[b.EDITOR_PIN=7]="EDITOR_PIN",b[b.EDITOR_STICKY=8]="EDITOR_STICKY",b[b.EDITOR_DIRTY=9]="EDITOR_DIRTY"})(i=e.GroupChangeKind||(e.GroupChangeKind={}));var T;(function(b){b[b.NEW_EDITOR=1]="NEW_EDITOR",b[b.MOVE_EDITOR=2]="MOVE_EDITOR",b[b.COPY_EDITOR=3]="COPY_EDITOR"})(T=e.OpenEditorContext||(e.OpenEditorContext={}));function k(b){return b.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=k}),define(pe[213],ve([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=(0,v.createDecorator)("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2}),define(pe[20],ve([0,1,81,8,174,2,43,94,109,213,15,282,58,22,12,51]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeActionTriggerKind=e.TestResults=e.TestItem=e.TestMessage=e.TestState=e.NotebookDecorationRenderOptions=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookCellKind=e.NotebookDocumentMetadata=e.NotebookCellMetadata=e.NotebookCellRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlineHintKind=e.InlineHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.Position=e.TokenType=e.Range=e.Selection=void 0;var S;(function(be){function fe(ee){const{selectionStartLineNumber:Te,selectionStartColumn:Le,positionLineNumber:et,positionColumn:Ke}=ee,nt=new D.Position(Te-1,Le-1),ut=new D.Position(et-1,Ke-1);return new D.Selection(nt,ut)}be.to=fe;function ue(ee){const{anchor:Te,active:Le}=ee;return{selectionStartLineNumber:Te.line+1,selectionStartColumn:Te.character+1,positionLineNumber:Le.line+1,positionColumn:Le.character+1}}be.from=ue})(S=e.Selection||(e.Selection={}));var g;(function(be){function fe(ee){if(!!ee){const{start:Te,end:Le}=ee;return{startLineNumber:Te.line+1,startColumn:Te.character+1,endLineNumber:Le.line+1,endColumn:Le.character+1}}}be.from=fe;function ue(ee){if(!!ee){const{startLineNumber:Te,startColumn:Le,endLineNumber:et,endColumn:Ke}=ee;return new D.Range(Te-1,Le-1,et-1,Ke-1)}}be.to=ue})(g=e.Range||(e.Range={}));var _;(function(be){function fe(ue){switch(ue){case 1:return D.StandardTokenType.Comment;case 0:return D.StandardTokenType.Other;case 4:return D.StandardTokenType.RegEx;case 2:return D.StandardTokenType.String}}be.to=fe})(_=e.TokenType||(e.TokenType={}));var u;(function(be){function fe(ee){return new D.Position(ee.lineNumber-1,ee.column-1)}be.to=fe;function ue(ee){return{lineNumber:ee.line+1,column:ee.character+1}}be.from=ue})(u=e.Position||(e.Position={}));var c;(function(be){function fe(ee){switch(ee){case D.DiagnosticTag.Unnecessary:return 1;case D.DiagnosticTag.Deprecated:return 2}}be.from=fe;function ue(ee){switch(ee){case 1:return D.DiagnosticTag.Unnecessary;case 2:return D.DiagnosticTag.Deprecated;default:return}}be.to=ue})(c=e.DiagnosticTag||(e.DiagnosticTag={}));var o;(function(be){function fe(ee){let Te;return ee.code&&((0,T.isString)(ee.code)||(0,T.isNumber)(ee.code)?Te=String(ee.code):Te={value:String(ee.code.value),target:ee.code.target}),Object.assign(Object.assign({},g.from(ee.range)),{message:ee.message,source:ee.source,code:Te,severity:r.from(ee.severity),relatedInformation:ee.relatedInformation&&ee.relatedInformation.map(t.from),tags:Array.isArray(ee.tags)?(0,l.coalesce)(ee.tags.map(c.from)):void 0})}be.from=fe;function ue(ee){var Te;const Le=new D.Diagnostic(g.to(ee),ee.message,r.to(ee.severity));return Le.source=ee.source,Le.code=(0,T.isString)(ee.code)?ee.code:(Te=ee.code)===null||Te===void 0?void 0:Te.value,Le.relatedInformation=ee.relatedInformation&&ee.relatedInformation.map(t.to),Le.tags=ee.tags&&(0,l.coalesce)(ee.tags.map(c.to)),Le}be.to=ue})(o=e.Diagnostic||(e.Diagnostic={}));var t;(function(be){function fe(ee){return Object.assign(Object.assign({},g.from(ee.location.range)),{message:ee.message,resource:ee.location.uri})}be.from=fe;function ue(ee){return new D.DiagnosticRelatedInformation(new D.Location(ee.resource,g.to(ee)),ee.message)}be.to=ue})(t=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var r;(function(be){function fe(ee){switch(ee){case D.DiagnosticSeverity.Error:return y.MarkerSeverity.Error;case D.DiagnosticSeverity.Warning:return y.MarkerSeverity.Warning;case D.DiagnosticSeverity.Information:return y.MarkerSeverity.Info;case D.DiagnosticSeverity.Hint:return y.MarkerSeverity.Hint}return y.MarkerSeverity.Error}be.from=fe;function ue(ee){switch(ee){case y.MarkerSeverity.Info:return D.DiagnosticSeverity.Information;case y.MarkerSeverity.Warning:return D.DiagnosticSeverity.Warning;case y.MarkerSeverity.Error:return D.DiagnosticSeverity.Error;case y.MarkerSeverity.Hint:return D.DiagnosticSeverity.Hint;default:return D.DiagnosticSeverity.Error}}be.to=ue})(r=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var s;(function(be){function fe(ee){return typeof ee=="number"&&ee>=D.ViewColumn.One?ee-1:ee===D.ViewColumn.Beside?i.SIDE_GROUP:i.ACTIVE_GROUP}be.from=fe;function ue(ee){if(typeof ee=="number"&&ee>=0)return ee+1;throw new Error("invalid 'EditorGroupColumn'")}be.to=ue})(s=e.ViewColumn||(e.ViewColumn={}));function a(be){return typeof be.range!="undefined"}function n(be){return be.length===0?!0:!!a(be[0])}e.isDecorationOptionsArr=n;var d;(function(be){function fe(Ke){return Ke.map(be.from)}be.fromMany=fe;function ue(Ke){return Ke&&typeof Ke=="object"&&typeof Ke.language=="string"&&typeof Ke.value=="string"}function ee(Ke){let nt;if(ue(Ke)){const{language:lt,value:ot}=Ke;nt={value:"```"+lt+`
`+ot+"\n```\n"}}else D.MarkdownString.isMarkdownString(Ke)?nt={value:Ke.value,isTrusted:Ke.isTrusted,supportThemeIcons:Ke.supportThemeIcons}:typeof Ke=="string"?nt={value:Ke}:nt={value:""};const ut=Object.create(null);nt.uris=ut;const Ye=lt=>{try{let ot=I.URI.parse(lt,!0);ot=ot.with({query:Te(ot.query,ut)}),ut[lt]=ot}catch(ot){}return""},at=new k.Renderer;return at.link=Ye,at.image=lt=>Ye(P.parseHrefAndDimensions(lt).href),k(nt.value,{renderer:at}),nt}be.from=ee;function Te(Ke,nt){if(!Ke)return Ke;let ut;try{ut=(0,b.parse)(Ke)}catch(at){}if(!ut)return Ke;let Ye=!1;return ut=(0,f.cloneAndChange)(ut,at=>{if(I.URI.isUri(at)){const lt=`__uri_${Math.random().toString(16).slice(2,8)}`;return nt[lt]=at,Ye=!0,lt}else return}),Ye?JSON.stringify(ut):Ke}function Le(Ke){const nt=new D.MarkdownString(Ke.value,Ke.supportThemeIcons);return nt.isTrusted=Ke.isTrusted,nt}be.to=Le;function et(Ke){if(!!Ke)return typeof Ke=="string"?Ke:be.from(Ke)}be.fromStrict=et})(d=e.MarkdownString||(e.MarkdownString={}));function p(be){return n(be)?be.map(fe=>({range:g.from(fe.range),hoverMessage:Array.isArray(fe.hoverMessage)?d.fromMany(fe.hoverMessage):fe.hoverMessage?d.from(fe.hoverMessage):void 0,renderOptions:fe.renderOptions})):be.map(fe=>({range:g.from(fe)}))}e.fromRangeOrRangeWithMessage=p;function E(be){return typeof be=="undefined"?be:typeof be=="string"?I.URI.file(be):be}e.pathOrURIToURI=E;var h;(function(be){function fe(ue){return typeof ue=="undefined"?ue:{contentText:ue.contentText,contentIconPath:ue.contentIconPath?E(ue.contentIconPath):void 0,border:ue.border,borderColor:ue.borderColor,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,color:ue.color,backgroundColor:ue.backgroundColor,margin:ue.margin,width:ue.width,height:ue.height}}be.from=fe})(h=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var w;(function(be){function fe(ue){return typeof ue=="undefined"?ue:{backgroundColor:ue.backgroundColor,outline:ue.outline,outlineColor:ue.outlineColor,outlineStyle:ue.outlineStyle,outlineWidth:ue.outlineWidth,border:ue.border,borderColor:ue.borderColor,borderRadius:ue.borderRadius,borderSpacing:ue.borderSpacing,borderStyle:ue.borderStyle,borderWidth:ue.borderWidth,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,cursor:ue.cursor,color:ue.color,opacity:ue.opacity,letterSpacing:ue.letterSpacing,gutterIconPath:ue.gutterIconPath?E(ue.gutterIconPath):void 0,gutterIconSize:ue.gutterIconSize,overviewRulerColor:ue.overviewRulerColor,before:ue.before?h.from(ue.before):void 0,after:ue.after?h.from(ue.after):void 0}}be.from=fe})(w=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var R;(function(be){function fe(ue){if(typeof ue=="undefined")return ue;switch(ue){case D.DecorationRangeBehavior.OpenOpen:return 0;case D.DecorationRangeBehavior.ClosedClosed:return 1;case D.DecorationRangeBehavior.OpenClosed:return 2;case D.DecorationRangeBehavior.ClosedOpen:return 3}}be.from=fe})(R=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var L;(function(be){function fe(ue){return{isWholeLine:ue.isWholeLine,rangeBehavior:ue.rangeBehavior?R.from(ue.rangeBehavior):void 0,overviewRulerLane:ue.overviewRulerLane,light:ue.light?w.from(ue.light):void 0,dark:ue.dark?w.from(ue.dark):void 0,backgroundColor:ue.backgroundColor,outline:ue.outline,outlineColor:ue.outlineColor,outlineStyle:ue.outlineStyle,outlineWidth:ue.outlineWidth,border:ue.border,borderColor:ue.borderColor,borderRadius:ue.borderRadius,borderSpacing:ue.borderSpacing,borderStyle:ue.borderStyle,borderWidth:ue.borderWidth,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,cursor:ue.cursor,color:ue.color,opacity:ue.opacity,letterSpacing:ue.letterSpacing,gutterIconPath:ue.gutterIconPath?E(ue.gutterIconPath):void 0,gutterIconSize:ue.gutterIconSize,overviewRulerColor:ue.overviewRulerColor,before:ue.before?h.from(ue.before):void 0,after:ue.after?h.from(ue.after):void 0}}be.from=fe})(L=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var U;(function(be){function fe(ee){return{text:ee.newText,eol:ee.newEol&&ie.from(ee.newEol),range:g.from(ee.range)}}be.from=fe;function ue(ee){const Te=new D.TextEdit(g.to(ee.range),ee.text);return Te.newEol=typeof ee.eol=="undefined"?void 0:ie.to(ee.eol),Te}be.to=ue})(U=e.TextEdit||(e.TextEdit={}));var J;(function(be){function fe(ee,Te,Le){var et,Ke,nt;const ut={edits:[]};if(ee instanceof D.WorkspaceEdit)for(let Ye of ee._allEntries())if(Ye._type===1)ut.edits.push({_type:1,oldUri:Ye.from,newUri:Ye.to,options:Ye.options,metadata:Ye.metadata});else if(Ye._type===2){const at=Te==null?void 0:Te.getDocument(Ye.uri);ut.edits.push({_type:2,resource:Ye.uri,edit:U.from(Ye.edit),modelVersionId:at==null?void 0:at.version,metadata:Ye.metadata})}else Ye._type===3?ut.edits.push({_type:3,metadata:Ye.metadata,resource:Ye.uri,edit:Ye.edit,notebookMetadata:Ye.notebookMetadata,notebookVersionId:(et=Le==null?void 0:Le.lookupNotebookDocument(Ye.uri))===null||et===void 0?void 0:et.notebookDocument.version}):Ye._type===4?(Ye.newOutputs&&ut.edits.push({_type:3,metadata:Ye.metadata,resource:Ye.uri,edit:{editType:2,index:Ye.index,append:Ye.append,outputs:Ye.newOutputs.map(Ee.from)}}),Ye.newMetadata&&ut.edits.push({_type:3,metadata:Ye.metadata,resource:Ye.uri,edit:{editType:3,index:Ye.index,metadata:Ye.newMetadata}})):Ye._type===5?ut.edits.push({_type:3,metadata:Ye.metadata,resource:Ye.uri,notebookVersionId:(Ke=Le==null?void 0:Le.lookupNotebookDocument(Ye.uri))===null||Ke===void 0?void 0:Ke.notebookDocument.version,edit:{editType:1,index:Ye.index,count:Ye.count,cells:Ye.cells.map(le.from)}}):Ye._type===6&&ut.edits.push({_type:3,metadata:Ye.metadata,resource:Ye.uri,edit:{editType:10,index:Ye.index,outputId:Ye.outputId,items:((nt=Ye.newOutputItems)===null||nt===void 0?void 0:nt.map(ge.from))||[],append:Ye.append}});return ut}be.from=fe;function ue(ee){const Te=new D.WorkspaceEdit;for(const Le of ee.edits)Le.edit?Te.replace(I.URI.revive(Le.resource),g.to(Le.edit.range),Le.edit.text):Te.renameFile(I.URI.revive(Le.oldUri),I.URI.revive(Le.newUri),Le.options);return Te}be.to=ue})(J=e.WorkspaceEdit||(e.WorkspaceEdit={}));var Z;(function(be){const fe=Object.create(null);fe[D.SymbolKind.File]=0,fe[D.SymbolKind.Module]=1,fe[D.SymbolKind.Namespace]=2,fe[D.SymbolKind.Package]=3,fe[D.SymbolKind.Class]=4,fe[D.SymbolKind.Method]=5,fe[D.SymbolKind.Property]=6,fe[D.SymbolKind.Field]=7,fe[D.SymbolKind.Constructor]=8,fe[D.SymbolKind.Enum]=9,fe[D.SymbolKind.Interface]=10,fe[D.SymbolKind.Function]=11,fe[D.SymbolKind.Variable]=12,fe[D.SymbolKind.Constant]=13,fe[D.SymbolKind.String]=14,fe[D.SymbolKind.Number]=15,fe[D.SymbolKind.Boolean]=16,fe[D.SymbolKind.Array]=17,fe[D.SymbolKind.Object]=18,fe[D.SymbolKind.Key]=19,fe[D.SymbolKind.Null]=20,fe[D.SymbolKind.EnumMember]=21,fe[D.SymbolKind.Struct]=22,fe[D.SymbolKind.Event]=23,fe[D.SymbolKind.Operator]=24,fe[D.SymbolKind.TypeParameter]=25;function ue(Te){return typeof fe[Te]=="number"?fe[Te]:6}be.from=ue;function ee(Te){for(const Le in fe)if(fe[Le]===Te)return Number(Le);return D.SymbolKind.Property}be.to=ee})(Z=e.SymbolKind||(e.SymbolKind={}));var z;(function(be){function fe(ee){switch(ee){case D.SymbolTag.Deprecated:return 1}}be.from=fe;function ue(ee){switch(ee){case 1:return D.SymbolTag.Deprecated}}be.to=ue})(z=e.SymbolTag||(e.SymbolTag={}));var q;(function(be){function fe(ee){return{name:ee.name,kind:Z.from(ee.kind),tags:ee.tags&&ee.tags.map(z.from),containerName:ee.containerName,location:F.from(ee.location)}}be.from=fe;function ue(ee){const Te=new D.SymbolInformation(ee.name,Z.to(ee.kind),ee.containerName,F.to(ee.location));return Te.tags=ee.tags&&ee.tags.map(z.to),Te}be.to=ue})(q=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var N;(function(be){function fe(ee){var Te,Le;const et={name:ee.name||"!!MISSING: name!!",detail:ee.detail,range:g.from(ee.range),selectionRange:g.from(ee.selectionRange),kind:Z.from(ee.kind),tags:(Le=(Te=ee.tags)===null||Te===void 0?void 0:Te.map(z.from))!==null&&Le!==void 0?Le:[]};return ee.children&&(et.children=ee.children.map(fe)),et}be.from=fe;function ue(ee){const Te=new D.DocumentSymbol(ee.name,ee.detail,Z.to(ee.kind),g.to(ee.range),g.to(ee.selectionRange));return(0,l.isNonEmptyArray)(ee.tags)&&(Te.tags=ee.tags.map(z.to)),ee.children&&(Te.children=ee.children.map(ue)),Te}be.to=ue})(N=e.DocumentSymbol||(e.DocumentSymbol={}));var W;(function(be){function fe(ue){const ee=new D.CallHierarchyItem(Z.to(ue.kind),ue.name,ue.detail||"",I.URI.revive(ue.uri),g.to(ue.range),g.to(ue.selectionRange));return ee._sessionId=ue._sessionId,ee._itemId=ue._itemId,ee}be.to=fe})(W=e.CallHierarchyItem||(e.CallHierarchyItem={}));var M;(function(be){function fe(ue){return new D.CallHierarchyIncomingCall(W.to(ue.from),ue.fromRanges.map(ee=>g.to(ee)))}be.to=fe})(M=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var O;(function(be){function fe(ue){return new D.CallHierarchyOutgoingCall(W.to(ue.to),ue.fromRanges.map(ee=>g.to(ee)))}be.to=fe})(O=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var F;(function(be){function fe(ee){return{range:ee.range&&g.from(ee.range),uri:ee.uri}}be.from=fe;function ue(ee){return new D.Location(I.URI.revive(ee.uri),g.to(ee.range))}be.to=ue})(F=e.location||(e.location={}));var B;(function(be){function fe(ee){const Te=ee,Le=ee;return{originSelectionRange:Te.originSelectionRange?g.from(Te.originSelectionRange):void 0,uri:Te.targetUri?Te.targetUri:Le.uri,range:g.from(Te.targetRange?Te.targetRange:Le.range),targetSelectionRange:Te.targetSelectionRange?g.from(Te.targetSelectionRange):void 0}}be.from=fe;function ue(ee){return{targetUri:I.URI.revive(ee.uri),targetRange:g.to(ee.range),targetSelectionRange:ee.targetSelectionRange?g.to(ee.targetSelectionRange):void 0,originSelectionRange:ee.originSelectionRange?g.to(ee.originSelectionRange):void 0}}be.to=ue})(B=e.DefinitionLink||(e.DefinitionLink={}));var V;(function(be){function fe(ee){return{range:g.from(ee.range),contents:d.fromMany(ee.contents)}}be.from=fe;function ue(ee){return new D.Hover(ee.contents.map(d.to),g.to(ee.range))}be.to=ue})(V=e.Hover||(e.Hover={}));var G;(function(be){function fe(ee){return{range:g.from(ee.range),expression:ee.expression}}be.from=fe;function ue(ee){return new D.EvaluatableExpression(g.to(ee.range),ee.expression)}be.to=ue})(G=e.EvaluatableExpression||(e.EvaluatableExpression={}));var ce;(function(be){function fe(ee){if(ee instanceof D.InlineValueText)return{type:"text",range:g.from(ee.range),text:ee.text};if(ee instanceof D.InlineValueVariableLookup)return{type:"variable",range:g.from(ee.range),variableName:ee.variableName,caseSensitiveLookup:ee.caseSensitiveLookup};if(ee instanceof D.InlineValueEvaluatableExpression)return{type:"expression",range:g.from(ee.range),expression:ee.expression};throw new Error("Unknown 'InlineValue' type")}be.from=fe;function ue(ee){switch(ee.type){case"text":return{range:g.to(ee.range),text:ee.text};case"variable":return{range:g.to(ee.range),variableName:ee.variableName,caseSensitiveLookup:ee.caseSensitiveLookup};case"expression":return{range:g.to(ee.range),expression:ee.expression}}}be.to=ue})(ce=e.InlineValue||(e.InlineValue={}));var me;(function(be){function fe(ee){return{frameId:ee.frameId,stoppedLocation:g.from(ee.stoppedLocation)}}be.from=fe;function ue(ee){return new D.InlineValueContext(ee.frameId,g.to(ee.stoppedLocation))}be.to=ue})(me=e.InlineValueContext||(e.InlineValueContext={}));var Pe;(function(be){function fe(ee){return{range:g.from(ee.range),kind:ee.kind}}be.from=fe;function ue(ee){return new D.DocumentHighlight(g.to(ee.range),ee.kind)}be.to=ue})(Pe=e.DocumentHighlight||(e.DocumentHighlight={}));var Ie;(function(be){function fe(ue){switch(ue){case 1:return D.CompletionTriggerKind.TriggerCharacter;case 2:return D.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return D.CompletionTriggerKind.Invoke}}be.to=fe})(Ie=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Fe;(function(be){function fe(ue){return{triggerKind:Ie.to(ue.triggerKind),triggerCharacter:ue.triggerCharacter}}be.to=fe})(Fe=e.CompletionContext||(e.CompletionContext={}));var H;(function(be){function fe(ee){switch(ee){case D.CompletionItemTag.Deprecated:return 1}}be.from=fe;function ue(ee){switch(ee){case 1:return D.CompletionItemTag.Deprecated}}be.to=ue})(H=e.CompletionItemTag||(e.CompletionItemTag={}));var X;(function(be){const fe=new Map([[D.CompletionItemKind.Method,0],[D.CompletionItemKind.Function,1],[D.CompletionItemKind.Constructor,2],[D.CompletionItemKind.Field,3],[D.CompletionItemKind.Variable,4],[D.CompletionItemKind.Class,5],[D.CompletionItemKind.Interface,7],[D.CompletionItemKind.Struct,6],[D.CompletionItemKind.Module,8],[D.CompletionItemKind.Property,9],[D.CompletionItemKind.Unit,12],[D.CompletionItemKind.Value,13],[D.CompletionItemKind.Constant,14],[D.CompletionItemKind.Enum,15],[D.CompletionItemKind.EnumMember,16],[D.CompletionItemKind.Keyword,17],[D.CompletionItemKind.Snippet,27],[D.CompletionItemKind.Text,18],[D.CompletionItemKind.Color,19],[D.CompletionItemKind.File,20],[D.CompletionItemKind.Reference,21],[D.CompletionItemKind.Folder,23],[D.CompletionItemKind.Event,10],[D.CompletionItemKind.Operator,11],[D.CompletionItemKind.TypeParameter,24],[D.CompletionItemKind.Issue,26],[D.CompletionItemKind.User,25]]);function ue(Le){var et;return(et=fe.get(Le))!==null&&et!==void 0?et:9}be.from=ue;const ee=new Map([[0,D.CompletionItemKind.Method],[1,D.CompletionItemKind.Function],[2,D.CompletionItemKind.Constructor],[3,D.CompletionItemKind.Field],[4,D.CompletionItemKind.Variable],[5,D.CompletionItemKind.Class],[7,D.CompletionItemKind.Interface],[6,D.CompletionItemKind.Struct],[8,D.CompletionItemKind.Module],[9,D.CompletionItemKind.Property],[12,D.CompletionItemKind.Unit],[13,D.CompletionItemKind.Value],[14,D.CompletionItemKind.Constant],[15,D.CompletionItemKind.Enum],[16,D.CompletionItemKind.EnumMember],[17,D.CompletionItemKind.Keyword],[27,D.CompletionItemKind.Snippet],[18,D.CompletionItemKind.Text],[19,D.CompletionItemKind.Color],[20,D.CompletionItemKind.File],[21,D.CompletionItemKind.Reference],[23,D.CompletionItemKind.Folder],[10,D.CompletionItemKind.Event],[11,D.CompletionItemKind.Operator],[24,D.CompletionItemKind.TypeParameter],[25,D.CompletionItemKind.User],[26,D.CompletionItemKind.Issue]]);function Te(Le){var et;return(et=ee.get(Le))!==null&&et!==void 0?et:D.CompletionItemKind.Property}be.to=Te})(X=e.CompletionItemKind||(e.CompletionItemKind={}));var te;(function(be){function fe(ue,ee){var Te;const Le=new D.CompletionItem(typeof ue.label=="string"?ue.label:ue.label.name);return typeof ue.label!="string"&&(Le.label2=ue.label),Le.insertText=ue.insertText,Le.kind=X.to(ue.kind),Le.tags=(Te=ue.tags)===null||Te===void 0?void 0:Te.map(H.to),Le.detail=ue.detail,Le.documentation=P.isMarkdownString(ue.documentation)?d.to(ue.documentation):ue.documentation,Le.sortText=ue.sortText,Le.filterText=ue.filterText,Le.preselect=ue.preselect,Le.commitCharacters=ue.commitCharacters,C.Range.isIRange(ue.range)?Le.range=g.to(ue.range):typeof ue.range=="object"&&(Le.range={inserting:g.to(ue.range.insert),replacing:g.to(ue.range.replace)}),Le.keepWhitespace=typeof ue.insertTextRules=="undefined"?!1:Boolean(ue.insertTextRules&1),typeof ue.insertTextRules!="undefined"&&ue.insertTextRules&4?Le.insertText=new D.SnippetString(ue.insertText):(Le.insertText=ue.insertText,Le.textEdit=Le.range instanceof D.Range?new D.TextEdit(Le.range,Le.insertText):void 0),ue.additionalTextEdits&&ue.additionalTextEdits.length>0&&(Le.additionalTextEdits=ue.additionalTextEdits.map(et=>U.to(et))),Le.command=ee&&ue.command?ee.fromInternal(ue.command):void 0,Le}be.to=fe})(te=e.CompletionItem||(e.CompletionItem={}));var oe;(function(be){function fe(ee){return{label:ee.label,documentation:ee.documentation?d.fromStrict(ee.documentation):void 0}}be.from=fe;function ue(ee){return{label:ee.label,documentation:P.isMarkdownString(ee.documentation)?d.to(ee.documentation):ee.documentation}}be.to=ue})(oe=e.ParameterInformation||(e.ParameterInformation={}));var we;(function(be){function fe(ee){return{label:ee.label,documentation:ee.documentation?d.fromStrict(ee.documentation):void 0,parameters:Array.isArray(ee.parameters)?ee.parameters.map(oe.from):[],activeParameter:ee.activeParameter}}be.from=fe;function ue(ee){return{label:ee.label,documentation:P.isMarkdownString(ee.documentation)?d.to(ee.documentation):ee.documentation,parameters:Array.isArray(ee.parameters)?ee.parameters.map(oe.to):[],activeParameter:ee.activeParameter}}be.to=ue})(we=e.SignatureInformation||(e.SignatureInformation={}));var De;(function(be){function fe(ee){return{activeSignature:ee.activeSignature,activeParameter:ee.activeParameter,signatures:Array.isArray(ee.signatures)?ee.signatures.map(we.from):[]}}be.from=fe;function ue(ee){return{activeSignature:ee.activeSignature,activeParameter:ee.activeParameter,signatures:Array.isArray(ee.signatures)?ee.signatures.map(we.to):[]}}be.to=ue})(De=e.SignatureHelp||(e.SignatureHelp={}));var Me;(function(be){function fe(ee){var Te;return{text:ee.text,range:g.from(ee.range),kind:_e.from((Te=ee.kind)!==null&&Te!==void 0?Te:D.InlineHintKind.Other),description:ee.description&&d.fromStrict(ee.description),whitespaceBefore:ee.whitespaceBefore,whitespaceAfter:ee.whitespaceAfter}}be.from=fe;function ue(ee){const Te=new D.InlineHint(ee.text,g.to(ee.range),_e.to(ee.kind));return Te.whitespaceAfter=ee.whitespaceAfter,Te.whitespaceBefore=ee.whitespaceBefore,Te.description=P.isMarkdownString(ee.description)?d.to(ee.description):ee.description,Te}be.to=ue})(Me=e.InlineHint||(e.InlineHint={}));var _e;(function(be){function fe(ee){return ee}be.from=fe;function ue(ee){return ee}be.to=ue})(_e=e.InlineHintKind||(e.InlineHintKind={}));var ke;(function(be){function fe(ee){return{range:g.from(ee.range),url:ee.target,tooltip:ee.tooltip}}be.from=fe;function ue(ee){let Te;if(ee.url)try{Te=typeof ee.url=="string"?I.URI.parse(ee.url,!0):I.URI.revive(ee.url)}catch(Le){}return new D.DocumentLink(g.to(ee.range),Te)}be.to=ue})(ke=e.DocumentLink||(e.DocumentLink={}));var Re;(function(be){function fe(ee){const Te=new D.ColorPresentation(ee.label);return ee.textEdit&&(Te.textEdit=U.to(ee.textEdit)),ee.additionalTextEdits&&(Te.additionalTextEdits=ee.additionalTextEdits.map(Le=>U.to(Le))),Te}be.to=fe;function ue(ee){return{label:ee.label,textEdit:ee.textEdit?U.from(ee.textEdit):void 0,additionalTextEdits:ee.additionalTextEdits?ee.additionalTextEdits.map(Te=>U.from(Te)):void 0}}be.from=ue})(Re=e.ColorPresentation||(e.ColorPresentation={}));var xe;(function(be){function fe(ee){return new D.Color(ee[0],ee[1],ee[2],ee[3])}be.to=fe;function ue(ee){return[ee.red,ee.green,ee.blue,ee.alpha]}be.from=ue})(xe=e.Color||(e.Color={}));var ye;(function(be){function fe(ee){return{range:g.from(ee.range)}}be.from=fe;function ue(ee){return new D.SelectionRange(g.to(ee.range))}be.to=ue})(ye=e.SelectionRange||(e.SelectionRange={}));var Ge;(function(be){function fe(ue){switch(ue){case 2:return D.TextDocumentSaveReason.AfterDelay;case 1:return D.TextDocumentSaveReason.Manual;case 3:case 4:return D.TextDocumentSaveReason.FocusOut}}be.to=fe})(Ge=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var K;(function(be){function fe(ee){switch(ee){case D.TextEditorLineNumbersStyle.Off:return 0;case D.TextEditorLineNumbersStyle.Relative:return 2;case D.TextEditorLineNumbersStyle.On:default:return 1}}be.from=fe;function ue(ee){switch(ee){case 0:return D.TextEditorLineNumbersStyle.Off;case 2:return D.TextEditorLineNumbersStyle.Relative;case 1:default:return D.TextEditorLineNumbersStyle.On}}be.to=ue})(K=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var ie;(function(be){function fe(ee){if(ee===D.EndOfLine.CRLF)return 1;if(ee===D.EndOfLine.LF)return 0}be.from=fe;function ue(ee){if(ee===1)return D.EndOfLine.CRLF;if(ee===0)return D.EndOfLine.LF}be.to=ue})(ie=e.EndOfLine||(e.EndOfLine={}));var Se;(function(be){function fe(ue){if(typeof ue=="object")return ue.viewId;switch(ue){case D.ProgressLocation.SourceControl:return 3;case D.ProgressLocation.Window:return 10;case D.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}be.from=fe})(Se=e.ProgressLocation||(e.ProgressLocation={}));var Ne;(function(be){function fe(ue){const ee={start:ue.start+1,end:ue.end+1};return ue.kind&&(ee.kind=ze.from(ue.kind)),ee}be.from=fe})(Ne=e.FoldingRange||(e.FoldingRange={}));var ze;(function(be){function fe(ue){if(ue)switch(ue){case D.FoldingRangeKind.Comment:return v.FoldingRangeKind.Comment;case D.FoldingRangeKind.Imports:return v.FoldingRangeKind.Imports;case D.FoldingRangeKind.Region:return v.FoldingRangeKind.Region}}be.from=fe})(ze=e.FoldingRangeKind||(e.FoldingRangeKind={}));var Be;(function(be){function fe(ue){if(ue)return{pinned:typeof ue.preview=="boolean"?!ue.preview:void 0,inactive:ue.background,preserveFocus:ue.preserveFocus,selection:typeof ue.selection=="object"?g.from(ue.selection):void 0,override:typeof ue.override=="boolean"?A.EditorOverride.DISABLED:void 0}}be.from=fe})(Be=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var Je;(function(be){function fe(ee){return ee instanceof D.RelativePattern||typeof ee=="string"?ee:ue(ee)?new D.RelativePattern(ee.base,ee.pattern):ee}be.from=fe;function ue(ee){const Te=ee;return Te&&typeof Te.base=="string"&&typeof Te.pattern=="string"}})(Je=e.GlobPattern||(e.GlobPattern={}));var j;(function(be){function fe(ue){if(ue){if(Array.isArray(ue))return ue.map(fe);if(typeof ue=="string")return ue;{const ee=ue;return{language:ee.language,scheme:ee.scheme,pattern:typeof ee.pattern=="undefined"?void 0:Je.from(ee.pattern),exclusive:ee.exclusive}}}else return}be.from=fe})(j=e.LanguageSelector||(e.LanguageSelector={}));var se;(function(be){function fe(ee){return{start:ee.start,end:ee.end}}be.from=fe;function ue(ee){return new D.NotebookCellRange(ee.start,ee.end)}be.to=ue})(se=e.NotebookCellRange||(e.NotebookCellRange={}));var de;(function(be){function fe(ue){return new D.NotebookCellMetadata(ue.editable,ue.breakpointMargin,ue.hasExecutionOrder,ue.executionOrder,ue.runState,ue.runStartTime,ue.statusMessage,ue.lastRunDuration,ue.inputCollapsed,ue.outputCollapsed,ue.custom)}be.to=fe})(de=e.NotebookCellMetadata||(e.NotebookCellMetadata={}));var Y;(function(be){function fe(ee){return ee}be.from=fe;function ue(ee){return new D.NotebookDocumentMetadata(ee.editable,ee.cellEditable,ee.cellHasExecutionOrder,ee.custom,ee.runState,ee.trusted)}be.to=ue})(Y=e.NotebookDocumentMetadata||(e.NotebookDocumentMetadata={}));var ne;(function(be){function fe(ee){switch(ee){case D.NotebookCellKind.Markdown:return m.CellKind.Markdown;case D.NotebookCellKind.Code:default:return m.CellKind.Code}}be.from=fe;function ue(ee){switch(ee){case m.CellKind.Markdown:return D.NotebookCellKind.Markdown;case m.CellKind.Code:default:return D.NotebookCellKind.Code}}be.to=ue})(ne=e.NotebookCellKind||(e.NotebookCellKind={}));var le;(function(be){function fe(ue){return{cellKind:ne.from(ue.kind),language:ue.language,source:ue.source,metadata:ue.metadata,outputs:ue.outputs?ue.outputs.map(Ee.from):[]}}be.from=fe})(le=e.NotebookCellData||(e.NotebookCellData={}));var ge;(function(be){function fe(ee){return{mime:ee.mime,value:ee.value,metadata:ee.metadata}}be.from=fe;function ue(ee){return new D.NotebookCellOutputItem(ee.mime,ee.value,ee.metadata)}be.to=ue})(ge=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var Ee;(function(be){function fe(ee){return{outputId:ee.id,outputs:ee.outputs.map(ge.from),metadata:ee.metadata}}be.from=fe;function ue(ee){const Te=ee.outputs.map(ge.to);return new D.NotebookCellOutput(Te,ee.outputId,ee.metadata)}be.to=ue})(Ee=e.NotebookCellOutput||(e.NotebookCellOutput={}));var He;(function(be){function fe(Le){if(Le!=null){if(Le instanceof D.RelativePattern||typeof Le=="string")return Le;if(Te(Le))return new D.RelativePattern(Le.base,Le.pattern);if(ee(Le))return{include:Je.from(Le.include)||void 0,exclude:Je.from(Le.exclude)||void 0}}}be.from=fe;function ue(Le){return typeof Le=="string"?Le:Te(Le)?{base:Le.base,pattern:Le.pattern}:{include:Le.include,exclude:Le.exclude}}be.to=ue;function ee(Le){const et=Le,Ke=Je.from(et.include);if(!(Ke&&Ke instanceof D.RelativePattern||typeof Ke=="string"))return!1;const nt=Je.from(et.exclude);return!!(nt&&nt instanceof D.RelativePattern||typeof nt=="string")}function Te(Le){const et=Le;return et&&typeof et.base=="string"&&typeof et.pattern=="string"}})(He=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var We;(function(be){function fe(ue){return{backgroundColor:ue.backgroundColor,borderColor:ue.borderColor,top:ue.top?h.from(ue.top):void 0}}be.from=fe})(We=e.NotebookDecorationRenderOptions||(e.NotebookDecorationRenderOptions={}));var qe;(function(be){function fe(ee){return{state:ee.state,duration:ee.duration,messages:ee.messages.map(Xe.from)}}be.from=fe;function ue(ee){const Te=new D.TestState(ee.state);return Te.duration=ee.duration,Te.messages=ee.messages.map(Xe.to),Te}be.to=ue})(qe=e.TestState||(e.TestState={}));var Xe;(function(be){function fe(ee){return{message:d.fromStrict(ee.message)||"",severity:ee.severity,expectedOutput:ee.expectedOutput,actualOutput:ee.actualOutput,location:ee.location?F.from(ee.location):void 0}}be.from=fe;function ue(ee){const Te=new D.TestMessage(typeof ee.message=="string"?ee.message:d.to(ee.message));return Te.severity=ee.severity,Te.actualOutput=ee.actualOutput,Te.expectedOutput=ee.expectedOutput,Te}be.to=ue})(Xe=e.TestMessage||(e.TestMessage={}));var Ze;(function(be){function fe(Te){var Le,et;return{extId:Te.id,label:Te.label,location:Te.location?F.from(Te.location):void 0,debuggable:(Le=Te.debuggable)!==null&&Le!==void 0?Le:!1,description:Te.description,runnable:(et=Te.runnable)!==null&&et!==void 0?et:!0}}be.from=fe;function ue(Te){return{id:Te.extId,label:Te.label,location:Te.location&&F.to({range:Te.location.range,uri:I.URI.revive(Te.location.uri)}),debuggable:Te.debuggable,description:Te.description,runnable:Te.runnable}}be.toPlainShallow=ue;function ee(Te){const Le=new D.TestItem(Te.extId,Te.label);return Te.location&&(Le.location=F.to({range:Te.location.range,uri:I.URI.revive(Te.location.uri)})),Le.debuggable=Te.debuggable,Le.description=Te.description,Le.runnable=Te.runnable,Le}be.toShallow=ee})(Ze=e.TestItem||(e.TestItem={}));var ht;(function(be){function fe(Te,Le){var et,Ke,nt;const ut={completedAt:Le.completedAt,id:Te,items:[]},Ye=[[null,Le.results]];for(;Ye.length;){const[at,lt]=Ye.pop();for(const ot of lt){const It={children:(Ke=(et=ot.children)===null||et===void 0?void 0:et.map(_t=>_t.id))!==null&&Ke!==void 0?Ke:[],computedState:ot.result.state,item:Ze.from(ot),state:qe.from(ot.result),retired:void 0,parent:(nt=at==null?void 0:at.item.extId)!==null&&nt!==void 0?nt:null,providerId:"",direct:!at};ut.items.push(It),ot.children&&Ye.push([It,ot.children])}}return ut}be.from=fe;const ue=(Te,Le)=>Object.assign(Object.assign({},Ze.toPlainShallow(Te.item)),{result:qe.to(Te.state),children:Te.children.map(et=>Le.get(et)).filter(T.isDefined).map(et=>ue(et,Le))});function ee(Te){const Le=[],et=new Map;for(const Ke of Te.items)et.set(Ke.item.extId,Ke),Ke.direct&&Le.push(Ke);return{completedAt:Te.completedAt,results:Le.map(Ke=>ue(Ke,et))}}be.to=ee})(ht=e.TestResults||(e.TestResults={}));var rt;(function(be){function fe(ue){switch(ue){case 1:return D.CodeActionTriggerKind.Automatic;case 2:return D.CodeActionTriggerKind.Manual}}be.to=fe})(rt=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}))}),define(pe[214],ve([0,1,2,18,8,20,57]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class P{constructor(i,T,k,b={timeout:1500,errors:3}){this._logService=i,this._documents=T,this._mainThreadBulkEdits=k,this._thresholds=b,this._callbacks=new C.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(i){return(T,k,b)=>{const l={dispose:this._callbacks.push([T,k,i])};return Array.isArray(b)&&b.push(l),l}}async $participateInSave(i,T){const k=v.URI.revive(i);let b=!1;const f=setTimeout(()=>b=!0,this._thresholds.timeout),l=[];try{for(let m of[...this._callbacks]){if(b)break;const S=this._documents.getDocument(k),g=await this._deliverEventAsyncAndBlameBadListeners(m,{document:S,reason:I.TextDocumentSaveReason.to(T)});l.push(g)}}finally{clearTimeout(f)}return l}_deliverEventAsyncAndBlameBadListeners([i,T,k],b){const f=this._badListeners.get(i);return typeof f=="number"&&f>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(k,i,T,b).then(()=>!0,l=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${k.identifier.value}' threw ERROR`),this._logService.error(l),!(l instanceof Error)||l.message!=="concurrent_edits"){const m=this._badListeners.get(i);this._badListeners.set(i,m?m+1:1),typeof m=="number"&&m>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${k.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(i,T,k,b){const f=[],l=Date.now(),{document:m,reason:S}=b,{version:g}=m,_=Object.freeze({document:m,reason:S,waitUntil(u){if(Object.isFrozen(f))throw(0,D.illegalState)("waitUntil can not be called async");f.push(Promise.resolve(u))}});try{T.apply(k,[_])}catch(u){return Promise.reject(u)}return Object.freeze(f),new Promise((u,c)=>{const o=setTimeout(()=>c(new Error("timeout")),this._thresholds.timeout);return Promise.all(f).then(t=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${i.identifier.value}' finished after ${Date.now()-l}ms`),clearTimeout(o),u(t)}).catch(t=>{clearTimeout(o),c(t)})}).then(u=>{const c={edits:[]};for(const o of u)if(Array.isArray(o)&&o.every(t=>t instanceof A.TextEdit))for(const{newText:t,newEol:r,range:s}of o)c.edits.push({_type:2,resource:m.uri,edit:{range:s&&I.Range.from(s),text:t,eol:r&&I.EndOfLine.from(r)}});if(c.edits.length!==0)return g===m.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(c):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=P}),define(pe[215],ve([0,1,3,19,33,2,20,8]),function(Q,e,v,D,A,I,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class y{constructor(k,b,f,l,m){this._onDidCreate=new v.Emitter,this._onDidChange=new v.Emitter,this._onDidDelete=new v.Emitter,this._config=0,f&&(this._config+=1),l&&(this._config+=2),m&&(this._config+=4);const S=(0,A.parse)(b),g=k(_=>{if(!f)for(let u of _.created){const c=I.URI.revive(u);S(c.fsPath)&&this._onDidCreate.fire(c)}if(!l)for(let u of _.changed){const c=I.URI.revive(u);S(c.fsPath)&&this._onDidChange.fire(c)}if(!m)for(let u of _.deleted){const c=I.URI.revive(u);S(c.fsPath)&&this._onDidDelete.fire(c)}});this._disposable=P.Disposable.from(this._onDidCreate,this._onDidChange,this._onDidDelete,g)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class i{constructor(k,b,f){this._logService=b,this._extHostDocumentsAndEditors=f,this._onFileSystemEvent=new v.Emitter,this._onDidRenameFile=new v.Emitter,this._onDidCreateFile=new v.Emitter,this._onDidDeleteFile=new v.Emitter,this._onWillRenameFile=new D.AsyncEmitter,this._onWillCreateFile=new D.AsyncEmitter,this._onWillDeleteFile=new D.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(k,b,f,l){return new y(this._onFileSystemEvent.event,k,b,f,l)}$onFileEvent(k){this._onFileSystemEvent.fire(k)}$onDidRunFileOperation(k,b){switch(k){case 2:this._onDidRenameFile.fire(Object.freeze({files:b.map(f=>({oldUri:I.URI.revive(f.source),newUri:I.URI.revive(f.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:b.map(f=>I.URI.revive(f.target))}));break;case 0:this._onDidCreateFile.fire(Object.freeze({files:b.map(f=>I.URI.revive(f.target))}));break;default:}}getOnWillRenameFileEvent(k){return this._createWillExecuteEvent(k,this._onWillRenameFile)}getOnWillCreateFileEvent(k){return this._createWillExecuteEvent(k,this._onWillCreateFile)}getOnWillDeleteFileEvent(k){return this._createWillExecuteEvent(k,this._onWillDeleteFile)}_createWillExecuteEvent(k,b){return(f,l,m)=>{const S=function(_){f.call(l,_)};return S.extension=k,b.event(S,void 0,m)}}async $onWillRunFileOperation(k,b,f,l){switch(k){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:b.map(m=>({oldUri:I.URI.revive(m.source),newUri:I.URI.revive(m.target)}))},f,l);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:b.map(m=>I.URI.revive(m.target))},f,l);case 0:return await this._fireWillEvent(this._onWillCreateFile,{files:b.map(m=>I.URI.revive(m.target))},f,l)}}async _fireWillEvent(k,b,f,l){const m=new Set,S=[];if(await k.fireAsync(b,l,async(_,u)=>{var c;const o=Date.now(),t=await Promise.resolve(_);t instanceof P.WorkspaceEdit&&(S.push(t),m.add((c=u.extension.displayName)!==null&&c!==void 0?c:u.extension.identifier.value)),Date.now()-o>f&&this._logService.warn("SLOW file-participant",u.extension.identifier)}),!l.isCancellationRequested&&S.length!==0){const g={edits:[]};for(let _ of S){let{edits:u}=C.WorkspaceEdit.from(_,this._extHostDocumentsAndEditors);g.edits=g.edits.concat(u)}return{edit:g,extensionNames:Array.from(m)}}}}e.ExtHostFileSystemEventService=i}),define(pe[216],ve([0,1,3,6,11,22,2,20,51]),function(Q,e,v,D,A,I,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class i{constructor(f,l,m,S){this.start=f,this.deletedCount=l,this.deletedItems=m,this.items=S}static asApiEvents(f){return f.map(l=>({start:l.start,deletedCount:l.deletedCount,deletedItems:l.deletedItems,items:l.items.map(m=>m.cell)}))}}class T{constructor(f,l,m){var S;this._notebook=f,this._extHostDocument=l,this._cellData=m,this._onDidDispose=new v.Emitter,this.onDidDispose=this._onDidDispose.event,this.handle=m.handle,this.uri=C.URI.revive(m.uri),this.cellKind=m.cellKind,this._outputs=m.outputs.map(P.NotebookCellOutput.to),this._metadata=P.NotebookCellMetadata.to((S=m.metadata)!==null&&S!==void 0?S:{})}static asModelAddData(f,l){return{EOL:l.eol,lines:l.source,modeId:l.language,uri:l.uri,isDirty:!1,versionId:1,notebook:f}}dispose(){this._onDidDispose.fire(),this._onDidDispose.dispose()}get cell(){if(!this._cell){const f=this,l=this._extHostDocument.getDocument(this.uri);if(!l)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);this._cell=Object.freeze({get index(){return f._notebook.getCellIndex(f)},notebook:f._notebook.notebookDocument,kind:P.NotebookCellKind.to(this._cellData.cellKind),document:l.document,get outputs(){return f._outputs.slice(0)},get metadata(){return f._metadata}})}return this._cell}setOutputs(f){this._outputs=f.map(P.NotebookCellOutput.to)}setOutputItems(f,l,m){const S=m.map(P.NotebookCellOutputItem.to),g=this._outputs.find(_=>_.id===f);g&&(l||(g.outputs.length=0),g.outputs.push(...S))}setMetadata(f){this._metadata=P.NotebookCellMetadata.to(f)}}e.ExtHostCell=T;class k extends D.Disposable{constructor(f,l,m,S,g,_,u){super();this._proxy=f,this._textDocumentsAndEditors=l,this._textDocuments=m,this._emitter=S,this._viewType=g,this._metadata=_,this.uri=u,this.handle=k._handlePool++,this._cells=[],this._cellDisposableMapping=new Map,this._versionId=0,this._isDirty=!1,this._disposed=!1}dispose(){this._disposed=!0,super.dispose(),(0,D.dispose)(this._cellDisposableMapping.values())}get notebookDocument(){if(!this._notebook){const f=this;this._notebook=Object.freeze({get uri(){return f.uri},get version(){return f._versionId},get fileName(){return f.uri.fsPath},get viewType(){return f._viewType},get isDirty(){return f._isDirty},get isUntitled(){return f.uri.scheme===A.Schemas.untitled},get cells(){return f._cells.map(l=>l.cell)},get metadata(){return f._metadata},set metadata(l){throw new Error("Use WorkspaceEdit to update metadata.")},save(){return f._save()}})}return this._notebook}updateBackup(f){var l;(l=this._backup)===null||l===void 0||l.delete(),this._backup=f}disposeBackup(){var f;(f=this._backup)===null||f===void 0||f.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(f){f.metadata&&(this._metadata=this._metadata.with(f.metadata))}acceptModelChanged(f,l){this._versionId=f.versionId,this._isDirty=l;for(const m of f.rawEvents)m.kind===y.NotebookCellsChangeType.Initialize&&this._spliceNotebookCells(m.changes,!0),m.kind===y.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(m.changes,!1):m.kind===y.NotebookCellsChangeType.Move?this._moveCell(m.index,m.newIdx):m.kind===y.NotebookCellsChangeType.Output?this._setCellOutputs(m.index,m.outputs):m.kind===y.NotebookCellsChangeType.OutputItem?this._setCellOutputItems(m.index,m.outputId,m.append,m.outputItems):m.kind===y.NotebookCellsChangeType.ChangeLanguage?this._changeCellLanguage(m.index,m.language):m.kind===y.NotebookCellsChangeType.ChangeCellMetadata&&this._changeCellMetadata(m.index,m.metadata)}async _save(){return this._disposed?Promise.reject(new Error("Notebook has been closed")):this._proxy.$trySaveDocument(this.uri)}_spliceNotebookCells(f,l){if(!this._disposed){const m=[],S=[],g=[];f.reverse().forEach(_=>{var u;const o=_[2].map(s=>{const a=new T(this,this._textDocumentsAndEditors,s);if(l||S.push(T.asModelAddData(this.notebookDocument,s)),!this._cellDisposableMapping.has(a.handle)){const n=new D.DisposableStore;n.add(a),this._cellDisposableMapping.set(a.handle,n)}return a});for(let s=_[0];s<_[0]+_[1];s++)(u=this._cellDisposableMapping.get(this._cells[s].handle))===null||u===void 0||u.dispose(),this._cellDisposableMapping.delete(this._cells[s].handle);const t=new i(_[0],_[1],[],o),r=this._cells.splice(_[0],_[1],...o);for(let s of r)g.push(s.uri),t.deletedItems.push(s.cell);m.push(t)}),this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:S,removedDocuments:g}),l||this._emitter.emitModelChange((0,I.deepFreeze)({document:this.notebookDocument,changes:i.asApiEvents(m)}))}}_moveCell(f,l){const m=this._cells.splice(f,1);this._cells.splice(l,0,...m);const S=[new i(f,1,m.map(g=>g.cell),[]),new i(l,0,[],m)];this._emitter.emitModelChange((0,I.deepFreeze)({document:this.notebookDocument,changes:i.asApiEvents(S)}))}_setCellOutputs(f,l){const m=this._cells[f];m.setOutputs(l),this._emitter.emitCellOutputsChange((0,I.deepFreeze)({document:this.notebookDocument,cells:[m.cell]}))}_setCellOutputItems(f,l,m,S){const g=this._cells[f];g.setOutputItems(l,m,S),this._emitter.emitCellOutputsChange((0,I.deepFreeze)({document:this.notebookDocument,cells:[g.cell]}))}_changeCellLanguage(f,l){const m=this._cells[f];m.cell.document.languageId!==l&&this._textDocuments.$acceptModelModeChanged(m.uri,l)}_changeCellMetadata(f,l){const m=this._cells[f];m.setMetadata(l||{}),this._emitter.emitCellMetadataChange((0,I.deepFreeze)({document:this.notebookDocument,cell:m.cell}))}getCellFromIndex(f){return this._cells[f]}getCell(f){return this._cells.find(l=>l.handle===f)}getCellIndex(f){return this._cells.indexOf(f)}}e.ExtHostNotebookDocument=k,k._handlePool=0}),define(pe[217],ve([0,1,3,8,20,51]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class C{constructor(i){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=i}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(i){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:Object.assign(Object.assign({},I.notebookDocumentMetadataDefaults),i)})}replaceCellMetadata(i,T){this._throwIfFinalized(),this._collectedEdits.push({editType:3,index:i,metadata:T})}replaceCellOutput(i,T){this._throwIfFinalized(),this._collectedEdits.push({editType:2,index:i,outputs:T.map(k=>A.NotebookCellOutput.from(k))})}replaceCells(i,T,k){this._throwIfFinalized(),!(i===T&&k.length===0)&&this._collectedEdits.push({editType:1,index:i,count:T-i,cells:k.map(A.NotebookCellData.from)})}}class P{constructor(i,T,k,b,f,l,m){this.id=i,this._viewType=T,this._proxy=k,this.notebookData=b,this._selections=[],this._visibleRanges=[],this._visible=!1,this._hasDecorationsForKey=new Set,this._onDidDispose=new v.Emitter,this.onDidDispose=this._onDidDispose.event,this._selections=l,this._visibleRanges=f,this._viewColumn=m}dispose(){this._onDidDispose.fire(),this._onDidDispose.dispose()}get editor(){if(!this._editor){const i=this;this._editor={get document(){return i.notebookData.notebookDocument},get selection(){var T;const k=i._selections[0];return k&&((T=i.notebookData.getCellFromIndex(k.start))===null||T===void 0?void 0:T.cell)},get selections(){return i._selections},get visibleRanges(){return i._visibleRanges},revealRange(T,k){i._proxy.$tryRevealRange(i.id,A.NotebookCellRange.from(T),k!=null?k:D.NotebookEditorRevealType.Default)},get viewColumn(){return i._viewColumn},get onDidDispose(){return i.onDidDispose},edit(T){const k=new C(this.document.version);return T(k),i._applyEdit(k.finalize())},get kernel(){return i._kernel},setDecorations(T,k){return i.setDecorations(T,k)}}}return this._editor}_acceptKernel(i){this._kernel=i}get visible(){return this._visible}_acceptVisibility(i){this._visible=i}_acceptVisibleRanges(i){this._visibleRanges=i}_acceptSelections(i){this._selections=i}_applyEdit(i){if(i.cellEdits.length===0)return Promise.resolve(!0);const T=[];let k=-1;for(let b=0;b<i.cellEdits.length;b++){if(k<0){T.push(i.cellEdits[b]),k++;continue}const l=T[k];if(l.editType===1&&i.cellEdits[b].editType===1){const m=i.cellEdits[b];if(m.editType!==5&&l.index===m.index){l.cells.push(...i.cellEdits[b].cells),l.count+=i.cellEdits[b].count;continue}}T.push(i.cellEdits[b]),k++}return this._proxy.$tryApplyEdits(this._viewType,this.notebookData.uri,i.documentVersionId,T)}setDecorations(i,T){if(!(T.isEmpty&&!this._hasDecorationsForKey.has(i.key)))return T.isEmpty?this._hasDecorationsForKey.delete(i.key):this._hasDecorationsForKey.add(i.key),this._proxy.$trySetDecorations(this.id,A.NotebookCellRange.from(T),i.key)}}e.ExtHostNotebookEditor=P}),define(pe[218],ve([0,1,20,110,160,21,55]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class P{constructor(k){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=k}withProgress(k,b,f){const l=this._handles++,{title:m,location:S,cancellable:g}=b,_=(0,A.localize)(0,null,k.displayName||k.name);return this._proxy.$startProgress(l,{location:v.ProgressLocation.from(S),title:m,source:_,cancellable:g},k),this._withProgress(l,f,!!g)}_withProgress(k,b,f){let l;f&&(l=new I.CancellationTokenSource,this._mapHandleToCancellationSource.set(k,l));const m=g=>{this._proxy.$progressEnd(g),this._mapHandleToCancellationSource.delete(g),l&&l.dispose()};let S;try{S=b(new i(this._proxy,k),f&&l?l.token:I.CancellationToken.None)}catch(g){throw m(k),g}return S.then(g=>m(k),g=>m(k)),S}$acceptProgressCanceled(k){const b=this._mapHandleToCancellationSource.get(k);b&&(b.cancel(),this._mapHandleToCancellationSource.delete(k))}}e.ExtHostProgress=P;function y(T,k){return T.message=k.message,typeof k.increment=="number"&&(typeof T.increment=="number"?T.increment+=k.increment:T.increment=k.increment),T}class i extends D.Progress{constructor(k,b){super(f=>this.throttledReport(f));this._proxy=k,this._handle=b}throttledReport(k){this._proxy.$progressReport(this._handle,k)}}je([(0,C.throttle)(100,(T,k)=>y(T,k),()=>Object.create(null))],i.prototype,"throttledReport",null)}),define(pe[120],ve([0,1,53,18,71,20,8]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class P{constructor(b,f){const l=P._Keys.nextId();b.$registerTextEditorDecorationType(l,I.DecorationRenderOptions.from(f)),this.value=Object.freeze({key:l,dispose(){b.$removeTextEditorDecorationType(l)}})}}e.TextEditorDecorationType=P,P._Keys=new A.IdGenerator("TextEditorDecorationType");class y{constructor(b,f){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=b,this._documentVersionId=b.version,this._undoStopBefore=f.undoStopBefore,this._undoStopAfter=f.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(b,f){this._throwIfFinalized();let l=null;if(b instanceof C.Position)l=new C.Range(b,b);else if(b instanceof C.Range)l=b;else throw new Error("Unrecognized location");this._pushEdit(l,f,!1)}insert(b,f){this._throwIfFinalized(),this._pushEdit(new C.Range(b,b),f,!0)}delete(b){this._throwIfFinalized();let f=null;if(b instanceof C.Range)f=b;else throw new Error("Unrecognized location");this._pushEdit(f,null,!0)}_pushEdit(b,f,l){const m=this._document.validateRange(b);this._collectedEdits.push({range:m,text:f,forceMoveMarkers:l})}setEndOfLine(b){if(this._throwIfFinalized(),b!==C.EndOfLine.LF&&b!==C.EndOfLine.CRLF)throw(0,D.illegalArgument)("endOfLine");this._setEndOfLine=b}}e.TextEditorEdit=y;class i{constructor(b,f,l,m){this._proxy=b,this._id=f,this._accept(l),this._logService=m;const S=this;this.value={get tabSize(){return S._tabSize},set tabSize(g){S._setTabSize(g)},get insertSpaces(){return S._insertSpaces},set insertSpaces(g){S._setInsertSpaces(g)},get cursorStyle(){return S._cursorStyle},set cursorStyle(g){S._setCursorStyle(g)},get lineNumbers(){return S._lineNumbers},set lineNumbers(g){S._setLineNumbers(g)}}}_accept(b){this._tabSize=b.tabSize,this._insertSpaces=b.insertSpaces,this._cursorStyle=b.cursorStyle,this._lineNumbers=I.TextEditorLineNumbersStyle.to(b.lineNumbers)}_validateTabSize(b){if(b==="auto")return"auto";if(typeof b=="number"){const f=Math.floor(b);return f>0?f:null}if(typeof b=="string"){const f=parseInt(b,10);return isNaN(f)?null:f>0?f:null}return null}_setTabSize(b){const f=this._validateTabSize(b);if(f!==null){if(typeof f=="number"){if(this._tabSize===f)return;this._tabSize=f}this._warnOnError(this._proxy.$trySetOptions(this._id,{tabSize:f}))}}_validateInsertSpaces(b){return b==="auto"?"auto":b==="false"?!1:Boolean(b)}_setInsertSpaces(b){const f=this._validateInsertSpaces(b);if(typeof f=="boolean"){if(this._insertSpaces===f)return;this._insertSpaces=f}this._warnOnError(this._proxy.$trySetOptions(this._id,{insertSpaces:f}))}_setCursorStyle(b){this._cursorStyle!==b&&(this._cursorStyle=b,this._warnOnError(this._proxy.$trySetOptions(this._id,{cursorStyle:b})))}_setLineNumbers(b){this._lineNumbers!==b&&(this._lineNumbers=b,this._warnOnError(this._proxy.$trySetOptions(this._id,{lineNumbers:I.TextEditorLineNumbersStyle.from(b)})))}assign(b){const f={};let l=!1;if(typeof b.tabSize!="undefined"){const m=this._validateTabSize(b.tabSize);m==="auto"?(l=!0,f.tabSize=m):typeof m=="number"&&this._tabSize!==m&&(this._tabSize=m,l=!0,f.tabSize=m)}if(typeof b.insertSpaces!="undefined"){const m=this._validateInsertSpaces(b.insertSpaces);m==="auto"?(l=!0,f.insertSpaces=m):this._insertSpaces!==m&&(this._insertSpaces=m,l=!0,f.insertSpaces=m)}typeof b.cursorStyle!="undefined"&&this._cursorStyle!==b.cursorStyle&&(this._cursorStyle=b.cursorStyle,l=!0,f.cursorStyle=b.cursorStyle),typeof b.lineNumbers!="undefined"&&this._lineNumbers!==b.lineNumbers&&(this._lineNumbers=b.lineNumbers,l=!0,f.lineNumbers=I.TextEditorLineNumbersStyle.from(b.lineNumbers)),l&&this._warnOnError(this._proxy.$trySetOptions(this._id,f))}_warnOnError(b){b.catch(f=>this._logService.warn(f))}}e.ExtHostTextEditorOptions=i;class T{constructor(b,f,l,m,S,g,_,u){this.id=b,this._proxy=f,this._logService=l,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=S,this._options=new i(this._proxy,this.id,g,l),this._visibleRanges=_,this._viewColumn=u;const c=this;this.value=Object.freeze({get document(){return m.getValue()},set document(o){throw(0,D.readonly)("document")},get selection(){return c._selections&&c._selections[0]},set selection(o){if(!(o instanceof C.Selection))throw(0,D.illegalArgument)("selection");c._selections=[o],c._trySetSelection()},get selections(){return c._selections},set selections(o){if(!Array.isArray(o)||o.some(t=>!(t instanceof C.Selection)))throw(0,D.illegalArgument)("selections");c._selections=o,c._trySetSelection()},get visibleRanges(){return c._visibleRanges},set visibleRanges(o){throw(0,D.readonly)("visibleRanges")},get options(){return c._options.value},set options(o){c._disposed||c._options.assign(o)},get viewColumn(){return c._viewColumn},set viewColumn(o){throw(0,D.readonly)("viewColumn")},edit(o,t={undoStopBefore:!0,undoStopAfter:!0}){if(c._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const r=new y(m.getValue(),t);return o(r),c._applyEdit(r)},insertSnippet(o,t,r={undoStopBefore:!0,undoStopAfter:!0}){if(c._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let s;if(!t||Array.isArray(t)&&t.length===0)s=c._selections.map(a=>I.Range.from(a));else if(t instanceof C.Position){const{lineNumber:a,column:n}=I.Position.from(t);s=[{startLineNumber:a,startColumn:n,endLineNumber:a,endColumn:n}]}else if(t instanceof C.Range)s=[I.Range.from(t)];else{s=[];for(const a of t)if(a instanceof C.Range)s.push(I.Range.from(a));else{const{lineNumber:n,column:d}=I.Position.from(a);s.push({startLineNumber:n,startColumn:d,endLineNumber:n,endColumn:d})}}return f.$tryInsertSnippet(b,o.value,s,r)},setDecorations(o,t){const r=t.length===0;r&&!c._hasDecorationsForKey.has(o.key)||(r?c._hasDecorationsForKey.delete(o.key):c._hasDecorationsForKey.add(o.key),c._runOnProxy(()=>{if(I.isDecorationOptionsArr(t))return f.$trySetDecorations(b,o.key,I.fromRangeOrRangeWithMessage(t));{const s=new Array(4*t.length);for(let a=0,n=t.length;a<n;a++){const d=t[a];s[4*a]=d.start.line+1,s[4*a+1]=d.start.character+1,s[4*a+2]=d.end.line+1,s[4*a+3]=d.end.character+1}return f.$trySetDecorationsFast(b,o.key,s)}}))},revealRange(o,t){c._runOnProxy(()=>f.$tryRevealRange(b,I.Range.from(o),t||C.TextEditorRevealType.Default))},show(o){f.$tryShowEditor(b,I.ViewColumn.from(o))},hide(){f.$tryHideEditor(b)}})}dispose(){(0,v.ok)(!this._disposed),this._disposed=!0}_acceptOptions(b){(0,v.ok)(!this._disposed),this._options._accept(b)}_acceptVisibleRanges(b){(0,v.ok)(!this._disposed),this._visibleRanges=b}_acceptViewColumn(b){(0,v.ok)(!this._disposed),this._viewColumn=b}_acceptSelections(b){(0,v.ok)(!this._disposed),this._selections=b}async _trySetSelection(){const b=this._selections.map(I.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,b)),this.value}_applyEdit(b){const f=b.finalize();if(f.edits.length===0&&!f.setEndOfLine)return Promise.resolve(!0);const l=f.edits.map(S=>S.range);l.sort((S,g)=>S.end.line===g.end.line?S.end.character===g.end.character?S.start.line===g.start.line?S.start.character-g.start.character:S.start.line-g.start.line:S.end.character-g.end.character:S.end.line-g.end.line);for(let S=0,g=l.length-1;S<g;S++){const _=l[S].end;if(l[S+1].start.isBefore(_))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const m=f.edits.map(S=>({range:I.Range.from(S.range),text:S.text,forceMoveMarkers:S.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,f.documentVersionId,m,{setEndOfLine:typeof f.setEndOfLine=="number"?I.EndOfLine.from(f.setEndOfLine):void 0,undoStopBefore:f.undoStopBefore,undoStopAfter:f.undoStopAfter})}_runOnProxy(b){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):b().then(()=>this,f=>(f instanceof Error&&f.name==="DISPOSED"||this._logService.warn(f),null))}}e.ExtHostTextEditor=T}),define(pe[219],ve([0,1,163,24,2,3,6,19,8,15,12,20,21]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function f(S,g){if((0,i.isString)(S))return{label:S};if(S&&typeof S=="object"&&typeof S.label=="string"){let _;return Array.isArray(S.highlights)&&(_=S.highlights.filter(u=>u.length===2&&typeof u[0]=="number"&&typeof u[1]=="number"),_=_.length?_:void 0),{label:S.label,highlights:_}}}class l{constructor(g,_,u){this._proxy=g,this.commands=_,this.logService=u,this.treeViews=new Map;function c(o){return o&&o.$treeViewId&&o.$treeItemHandle}_.registerArgumentProcessor({processArgument:o=>c(o)?this.convertArgument(o):Array.isArray(o)&&o.length>0?o.map(t=>c(t)?this.convertArgument(t):t):o})}registerTreeDataProvider(g,_,u){const c=this.createTreeView(g,{treeDataProvider:_},u);return{dispose:()=>c.dispose()}}createTreeView(g,_,u){if(!_||!_.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const c=this._proxy.$registerTreeViewDataProvider(g,{showCollapseAll:!!_.showCollapseAll,canSelectMany:!!_.canSelectMany}),o=this.createExtHostTreeView(g,_,u);return{get onDidCollapseElement(){return o.onDidCollapseElement},get onDidExpandElement(){return o.onDidExpandElement},get selection(){return o.selectedElements},get onDidChangeSelection(){return o.onDidChangeSelection},get visible(){return o.visible},get onDidChangeVisibility(){return o.onDidChangeVisibility},get message(){return o.message},set message(t){o.message=t},get title(){return o.title},set title(t){o.title=t},get description(){return o.description},set description(t){o.description=t},reveal:(t,r)=>o.reveal(t,r),dispose:async()=>{await c,this.treeViews.delete(g),o.dispose()}}}$getChildren(g,_){const u=this.treeViews.get(g);return u?u.getChildren(_):Promise.reject(new Error((0,v.localize)(0,null,g)))}async $hasResolve(g){const _=this.treeViews.get(g);if(!_)throw new Error((0,v.localize)(1,null,g));return _.hasResolve}$resolve(g,_,u){const c=this.treeViews.get(g);if(!c)throw new Error((0,v.localize)(2,null,g));return c.resolveTreeItem(_,u)}$setExpanded(g,_,u){const c=this.treeViews.get(g);if(!c)throw new Error((0,v.localize)(3,null,g));c.setExpanded(_,u)}$setSelection(g,_){const u=this.treeViews.get(g);if(!u)throw new Error((0,v.localize)(4,null,g));u.setSelection(_)}$setVisible(g,_){const u=this.treeViews.get(g);if(!u)throw new Error((0,v.localize)(5,null,g));u.setVisible(_)}createExtHostTreeView(g,_,u){const c=new m(g,_,this._proxy,this.commands.converter,this.logService,u);return this.treeViews.set(g,c),c}convertArgument(g){const _=this.treeViews.get(g.$treeViewId);return _?_.getExtensionElement(g.$treeItemHandle):null}}e.ExtHostTreeViews=l;class m extends C.Disposable{constructor(g,_,u,c,o,t){super();if(this.viewId=g,this.proxy=u,this.commands=c,this.logService=o,this.extension=t,this.roots=null,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new I.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new I.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new I.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new I.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new I.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new b.CancellationTokenSource,t.contributes&&t.contributes.views)for(const a in t.contributes.views)for(const n of t.contributes.views[a])n.id===g&&(this._title=n.name);this.dataProvider=_.treeDataProvider,this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(a=>this._onDidChangeData.fire({message:!1,element:a})));let r,s;this._register(I.Event.debounce(this._onDidChangeData.event,(a,n)=>(a||(a={message:!1,elements:[]}),n.element!==!1&&(r||(r=new Promise(d=>s=d),this.refreshPromise=this.refreshPromise.then(()=>r)),a.elements.push(n.element)),n.message&&(a.message=!0),a),200,!0)(({message:a,elements:n})=>{n.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const d=s;return r=null,this.refresh(n).then(()=>d())})),a&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(g=>this.getExtensionElement(g)).filter(g=>!(0,i.isUndefinedOrNull)(g))}getChildren(g){const _=g?this.getExtensionElement(g):void 0;if(g&&!_)return this.logService.error(`No tree item with id '${g}' found.`),Promise.resolve([]);const u=this.getChildrenNodes(g);return(u?Promise.resolve(u):this.fetchChildrenNodes(_)).then(c=>c.map(o=>o.item))}getExtensionElement(g){return this.elements.get(g)}reveal(g,_){_=_||{select:!0,focus:!1};const u=(0,i.isUndefinedOrNull)(_.select)?!0:_.select,c=(0,i.isUndefinedOrNull)(_.focus)?!1:_.focus,o=(0,i.isUndefinedOrNull)(_.expand)?!1:_.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):g?this.refreshPromise.then(()=>this.resolveUnknownParentChain(g)).then(t=>this.resolveTreeNode(g,t[t.length-1]).then(r=>this.proxy.$reveal(this.viewId,{item:r.item,parentChain:t.map(s=>s.item)},{select:u,focus:c,expand:o})),t=>this.logService.error(t)):this.proxy.$reveal(this.viewId,void 0,{select:u,focus:c,expand:o})}get message(){return this._message}set message(g){this._message=g,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(g){this._title=g,this.proxy.$setTitle(this.viewId,g,this._description)}get description(){return this._description}set description(g){this._description=g,this.proxy.$setTitle(this.viewId,this._title,g)}setExpanded(g,_){const u=this.getExtensionElement(g);u&&(_?this._onDidExpandElement.fire(Object.freeze({element:u})):this._onDidCollapseElement.fire(Object.freeze({element:u})))}setSelection(g){(0,T.equals)(this._selectedHandles,g)||(this._selectedHandles=g,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(g){g!==this._visible&&(this._visible=g,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(g,_){var u;if(!!this.dataProvider.resolveTreeItem){const c=this.elements.get(g);if(c){const o=this.nodes.get(c);if(o){const t=(u=await this.dataProvider.resolveTreeItem(o.extensionItem,c,_))!==null&&u!==void 0?u:o.extensionItem;return o.item.tooltip=this.getTooltip(t.tooltip),o.item.command=this.getCommand(o.disposableStore,t.command),o.item}}}}resolveUnknownParentChain(g){return this.resolveParent(g).then(_=>_?this.resolveUnknownParentChain(_).then(u=>this.resolveTreeNode(_,u[u.length-1]).then(c=>(u.push(c),u))):Promise.resolve([]))}resolveParent(g){const _=this.nodes.get(g);return _?Promise.resolve(_.parent?this.elements.get(_.parent.item.handle):void 0):(0,P.asPromise)(()=>this.dataProvider.getParent(g))}resolveTreeNode(g,_){const u=this.nodes.get(g);return u?Promise.resolve(u):(0,P.asPromise)(()=>this.dataProvider.getTreeItem(g)).then(c=>this.createHandle(g,c,_,!0)).then(c=>this.getChildren(_?_.item.handle:void 0).then(()=>{const o=this.getExtensionElement(c);if(o){const t=this.nodes.get(o);if(t)return Promise.resolve(t)}throw new Error(`Cannot resolve tree item for element ${c}`)}))}getChildrenNodes(g){if(g){let _;if(typeof g=="string"){const u=this.getExtensionElement(g);_=u?this.nodes.get(u):void 0}else _=g;return _&&_.children||null}return this.roots}async fetchChildrenNodes(g){this.clearChildren(g);const _=new b.CancellationTokenSource(this._refreshCancellationSource.token);try{const u=g?this.nodes.get(g):void 0,c=await this.dataProvider.getChildren(g);if(_.token.isCancellationRequested)return[];const o=await Promise.all((0,T.coalesce)(c||[]).map(async t=>{const r=await this.dataProvider.getTreeItem(t);return r&&!_.token.isCancellationRequested?this.createAndRegisterTreeNode(t,r,u):null}));return _.token.isCancellationRequested?[]:(0,T.coalesce)(o)}finally{_.dispose()}}refresh(g){if(g.some(u=>!u))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new b.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const u=this.getHandlesToRefresh(g);if(u.length)return this.refreshHandles(u)}return Promise.resolve(void 0)}getHandlesToRefresh(g){const _=new Set;for(const c of g){const o=this.nodes.get(c);if(o&&!_.has(o.item.handle)){let t=o;for(;t&&t.parent&&!_.has(t.parent.item.handle);){const r=this.elements.get(t.parent.item.handle);t=r?this.nodes.get(r):void 0}t&&!t.parent&&_.add(o.item.handle)}}const u=[];return _.forEach(c=>{const o=this.elements.get(c);if(o){const t=this.nodes.get(o);t&&(!t.parent||!_.has(t.parent.item.handle))&&u.push(c)}}),u}refreshHandles(g){const _={};return Promise.all(g.map(u=>this.refreshNode(u).then(c=>{c&&(_[u]=c.item)}))).then(()=>Object.keys(_).length?this.proxy.$refresh(this.viewId,_):void 0)}refreshNode(g){const _=this.getExtensionElement(g);if(_){const u=this.nodes.get(_);if(u)return this.clearChildren(_),(0,P.asPromise)(()=>this.dataProvider.getTreeItem(_)).then(c=>{if(c){const o=this.createTreeNode(_,c,u.parent);return this.updateNodeCache(_,o,u,u.parent),u.dispose(),o}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(g,_,u){const c=this.createTreeNode(g,_,u);if(_.id&&this.elements.has(c.item.handle))throw new Error((0,v.localize)(6,null,_.id));return this.addNodeToCache(g,c),this.addNodeToParentCache(c,u),c}getTooltip(g){return y.MarkdownString.isMarkdownString(g)?k.MarkdownString.from(g):g}getCommand(g,_){return _?this.commands.toInternal(_,g):void 0}createTreeNode(g,_,u){const c=new C.DisposableStore,o=this.createHandle(g,_,u),t=this.getLightIconPath(_);return{item:{handle:o,parentHandle:u?u.item.handle:void 0,label:f(_.label,this.extension),description:_.description,resourceUri:_.resourceUri,tooltip:this.getTooltip(_.tooltip),command:this.getCommand(c,_.command),contextValue:_.contextValue,icon:t,iconDark:this.getDarkIconPath(_)||t,themeIcon:this.getThemeIcon(_),collapsibleState:(0,i.isUndefinedOrNull)(_.collapsibleState)?y.TreeItemCollapsibleState.None:_.collapsibleState,accessibilityInformation:_.accessibilityInformation},extensionItem:_,parent:u,children:void 0,disposableStore:c,dispose(){c.dispose()}}}getThemeIcon(g){return g.iconPath instanceof y.ThemeIcon?g.iconPath:void 0}createHandle(g,{id:_,label:u,resourceUri:c},o,t){if(_)return`${m.ID_HANDLE_PREFIX}/${_}`;const r=f(u,this.extension),s=o?o.item.handle:m.LABEL_HANDLE_PREFIX;let a=r?r.label:c?(0,D.basename)(c):"";a=a.indexOf("/")!==-1?a.replace("/","//"):a;const n=this.nodes.has(g)?this.nodes.get(g).item.handle:void 0,d=this.getChildrenNodes(o)||[];let p,E=0;do{if(p=`${s}/${E}:${a}`,t||!this.elements.has(p)||n===p)break;E++}while(E<=d.length);return p}getLightIconPath(g){if(g.iconPath&&!(g.iconPath instanceof y.ThemeIcon))return typeof g.iconPath=="string"||A.URI.isUri(g.iconPath)?this.getIconPath(g.iconPath):this.getIconPath(g.iconPath.light)}getDarkIconPath(g){if(g.iconPath&&!(g.iconPath instanceof y.ThemeIcon)&&g.iconPath.dark)return this.getIconPath(g.iconPath.dark)}getIconPath(g){return A.URI.isUri(g)?g:A.URI.file(g)}addNodeToCache(g,_){this.elements.set(_.item.handle,g),this.nodes.set(g,_)}updateNodeCache(g,_,u,c){this.elements.delete(_.item.handle),this.nodes.delete(g),_.item.handle!==u.item.handle&&this.elements.delete(u.item.handle),this.addNodeToCache(g,_);const o=this.getChildrenNodes(c)||[],t=o.filter(r=>r.item.handle===u.item.handle)[0];t&&o.splice(o.indexOf(t),1,_)}addNodeToParentCache(g,_){_?(_.children||(_.children=[]),_.children.push(g)):(this.roots||(this.roots=[]),this.roots.push(g))}clearChildren(g){if(g){const _=this.nodes.get(g);if(_){if(_.children)for(const u of _.children){const c=this.elements.get(u.item.handle);c&&this.clear(c)}_.children=void 0}}else this.clearAll()}clear(g){const _=this.nodes.get(g);if(_){if(_.children)for(const u of _.children){const c=this.elements.get(u.item.handle);c&&this.clear(c)}this.nodes.delete(g),this.elements.delete(_.item.handle),_.dispose()}}clearAll(){this.roots=null,this.elements.clear(),this.nodes.forEach(g=>g.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}m.LABEL_HANDLE_PREFIX="0",m.ID_HANDLE_PREFIX="1"}),define(pe[220],ve([0,1,12,19,55,20]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SingleUseTestCollection=e.TestTree=e.TestPosition=e.OwnedTestCollection=void 0;class C{constructor(){this.testIdsToInternal=new Set}getTestById(l){return(0,v.mapFind)(this.testIdsToInternal,m=>{const S=m.get(l);return S&&[m,S]})}createForHierarchy(l=()=>{}){return new i(this.createIdMap(),l)}createIdMap(){const l=new y;return this.testIdsToInternal.add(l),{object:l,dispose:()=>this.testIdsToInternal.delete(l)}}}e.OwnedTestCollection=C;var P;(function(f){f[f.Disconnected=0]="Disconnected",f[f.IsChild=1]="IsChild",f[f.IsParent=2]="IsParent",f[f.IsSame=3]="IsSame"})(P=e.TestPosition||(e.TestPosition={}));class y{constructor(){this.map=new Map,this._roots=new Set,this.roots=this._roots}get size(){return this.map.size}add(l){if(this.map.has(l.item.extId))throw new Error(`Attempted to insert a duplicate test item ID ${l.item.extId}`);this.map.set(l.item.extId,l),l.parent||this._roots.add(l)}has(l){return this.map.has(l)}delete(l){const m=this.map.get(l);return m?(this.map.delete(l),this._roots.delete(m),!0):!1}get(l){return this.map.get(l)}comparePositions(l,m){const S=typeof l=="string"?this.map.get(l):l,g=typeof m=="string"?this.map.get(m):m;if(!S||!g)return 0;if(S===g)return 3;for(let _=this.map.get(g.parent);_;_=this.map.get(_.parent))if(_===S)return 1;for(let _=this.map.get(S.parent);_;_=this.map.get(_.parent))if(_===g)return 2;return 0}[Symbol.iterator](){return this.map.values()}}e.TestTree=y;class i{constructor(l,m){this.testIdToInternal=l,this.publishDiff=m,this.testItemToInternal=new Map,this.diff=[],this.disposed=!1,this.debounceSendDiff=new D.RunOnceScheduler(()=>this.throttleSendDiff(),2)}addRoot(l,m){this.addItem(l,m,null),this.debounceSendDiff.schedule()}getTestByReference(l){return this.testItemToInternal.get(l)}onItemChange(l,m){const S=this.testItemToInternal.get(l);if(!S){this.disposed||console.warn("Received a TestProvider.onDidChangeTest for a test that wasn't seen before as a child.");return}this.addItem(l,m,S.parent),this.debounceSendDiff.schedule()}collectDiff(){const l=this.diff;return this.diff=[],l}pushDiff(l){this.diff.push(l),this.debounceSendDiff.schedule()}dispose(){this.testIdToInternal.dispose(),this.diff=[],this.disposed=!0}addItem(l,m,S){let g=this.testItemToInternal.get(l);if(g)g.previousEquals(l)||(g.item=I.TestItem.from(l),g.previousEquals=b(l),this.diff.push([1,{parent:S,providerId:m,item:g.item}]));else{if(this.testIdToInternal.object.has(l.id))throw new Error(`Attempted to insert a duplicate test item ID ${l.id}`);g={actual:l,parent:S,item:I.TestItem.from(l),providerId:m,previousChildren:new Set,previousEquals:b(l)},this.testIdToInternal.object.add(g),this.testItemToInternal.set(l,g),this.diff.push([0,{parent:S,providerId:m,item:g.item}])}if(l.children){const _=g.previousChildren,u=new Set;for(const c of l.children){const o=this.testIdToInternal.object.get(c.id);o&&o.actual!==c&&this.removeItembyId(c.id);const t=this.addItem(c,m,g.item.extId);_.delete(t.item.extId),u.add(t.item.extId)}for(const c of _)this.removeItembyId(c);g.previousChildren=u}return g}removeItembyId(l){this.diff.push([2,l]);const m=[this.testIdToInternal.object.get(l)];for(;m.length;){const S=m.pop();if(!!S){this.testIdToInternal.object.delete(S.item.extId),this.testItemToInternal.delete(S.actual);for(const g of S.previousChildren)m.push(this.testIdToInternal.object.get(g))}}}throttleSendDiff(){this.flushDiff()}flushDiff(){const l=this.collectDiff();l.length&&this.publishDiff(l)}}je([(0,A.throttle)(200)],i.prototype,"throttleSendDiff",null),e.SingleUseTestCollection=i;const k=Object.keys({id:null,label:null,location:null,debuggable:null,description:null,runnable:null}),b=f=>{const l=[];for(const m of k)l.push(f[m]);return m=>{for(let S=0;S<k.length;S++)if(l[S]!==m[k[S]])return!1;return!0}}}),define(pe[221],ve([0,1,29,3,7]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class I{constructor(T){this.removedDueToLooping=T}}e.DeltaExtensionsResult=I;class C{constructor(T){this._onDidChange=new D.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=T,this._initialize()}_initialize(){this._extensionDescriptions.sort(y),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const T of this._extensionDescriptions){if(this._extensionsMap.has(v.ExtensionIdentifier.toKey(T.identifier))){console.error("Extension `"+T.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(v.ExtensionIdentifier.toKey(T.identifier),T),this._extensionsArr.push(T),Array.isArray(T.activationEvents))for(let k of T.activationEvents)k==="onUri"&&(k=`onUri:${v.ExtensionIdentifier.toKey(T.identifier)}`),this._activationMap.has(k)||this._activationMap.set(k,[]),this._activationMap.get(k).push(T)}}keepOnly(T){const k=new Set;T.forEach(b=>k.add(v.ExtensionIdentifier.toKey(b))),this._extensionDescriptions=this._extensionDescriptions.filter(b=>k.has(v.ExtensionIdentifier.toKey(b.identifier))),this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(T,k){T.length>0&&(this._extensionDescriptions=this._extensionDescriptions.concat(T));const b=C._findLoopingExtensions(this._extensionDescriptions);if(k=k.concat(b.map(f=>f.identifier)),k.length>0){const f=new Set;k.forEach(l=>f.add(v.ExtensionIdentifier.toKey(l))),this._extensionDescriptions=this._extensionDescriptions.filter(l=>!f.has(v.ExtensionIdentifier.toKey(l.identifier)))}return this._initialize(),this._onDidChange.fire(void 0),new I(b)}static _findLoopingExtensions(T){const k=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(S){this._nodesSet.has(S)||(this._nodesSet.add(S),this._nodesArr.push(S))}addArc(S,g){this.addNode(S),this.addNode(g),this._arcs.has(S)?this._arcs.get(S).push(g):this._arcs.set(S,[g])}getArcs(S){return this._arcs.has(S)?this._arcs.get(S):[]}hasOnlyGoodArcs(S,g){const _=k.getArcs(S);for(let u=0;u<_.length;u++)if(!g.has(_[u]))return!1;return!0}getNodes(){return this._nodesArr}};let b=new Map;for(let S of T){const g=v.ExtensionIdentifier.toKey(S.identifier);if(b.set(g,S),S.extensionDependencies)for(let _ of S.extensionDependencies){const u=v.ExtensionIdentifier.toKey(_);k.addArc(g,u)}}let f=new Set;k.getNodes().filter(S=>k.getArcs(S).length===0).forEach(S=>f.add(S));let l=k.getNodes().filter(S=>!f.has(S)),m;do{m=!1;for(let S=0;S<l.length;S++){const g=l[S];k.hasOnlyGoodArcs(g,f)&&(l.splice(S,1),S--,f.add(g),m=!0)}}while(m);return l.map(S=>b.get(S))}containsActivationEvent(T){return this._activationMap.has(T)}containsExtension(T){return this._extensionsMap.has(v.ExtensionIdentifier.toKey(T))}getExtensionDescriptionsForActivationEvent(T){const k=this._activationMap.get(T);return k?k.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(T){const k=this._extensionsMap.get(v.ExtensionIdentifier.toKey(T));return k||void 0}}e.ExtensionDescriptionRegistry=C;var P;(function(i){i[i.Builtin=0]="Builtin",i[i.User=1]="User",i[i.Dev=2]="Dev"})(P||(P={}));function y(i,T){const k=i.isBuiltin?0:i.isUnderDevelopment?2:1,b=T.isBuiltin?0:T.isUnderDevelopment?2:1;if(k!==b)return k-b;const f=A.posix.basename(i.extensionLocation.path),l=A.posix.basename(T.extensionLocation.path);return f<l?-1:f>l?1:0}}),define(pe[222],ve([0,1,26]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=void 0;var D;(function(P){P[P.VersionMismatch=55]="VersionMismatch",P[P.UnexpectedError=81]="UnexpectedError"})(D=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var A;(function(P){P[P.Initialized=0]="Initialized",P[P.Ready=1]="Ready",P[P.Terminate=2]="Terminate"})(A=e.MessageType||(e.MessageType={}));function I(P){const y=v.VSBuffer.alloc(1);switch(P){case 0:y.writeUInt8(1,0);break;case 1:y.writeUInt8(2,0);break;case 2:y.writeUInt8(3,0);break}return y}e.createMessageOfType=I;function C(P,y){if(P.byteLength!==1)return!1;switch(P.readUInt8(0)){case 1:return y===0;case 2:return y===1;case 3:return y===2;default:return!1}}e.isMessageOfType=C}),define(pe[41],ve([0,1,3,2,4,29,181]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.throwRequiresWorkspaceTrustError=e.checkRequiresWorkspaceTrust=e.throwProposedApiError=e.checkProposedApiEnabled=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.ExtensionHostKind=e.MissingDependencyError=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new I.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",enableProposedApi:!1,engines:{vscode:""},extensionLocation:D.URI.parse("void:location"),isBuiltin:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=(0,A.createDecorator)("extensionService");class P{constructor(c){this.dependency=c}}e.MissingDependencyError=P;var y;(function(u){u[u.LocalProcess=0]="LocalProcess",u[u.LocalWebWorker=1]="LocalWebWorker",u[u.Remote=2]="Remote"})(y=e.ExtensionHostKind||(e.ExtensionHostKind={}));class i{constructor(c,o,t,r){this.codeLoadingTime=c,this.activateCallTime=o,this.activateResolvedTime=t,this.activationReason=r}}e.ActivationTimes=i;class T{constructor(c,o){this.description=c,this.value=o}}e.ExtensionPointContribution=T,e.ExtensionHostLogFileName="exthost";var k;(function(u){u[u.Normal=0]="Normal",u[u.Immediate=1]="Immediate"})(k=e.ActivationKind||(e.ActivationKind={}));function b(u){u.enableProposedApi||f(u)}e.checkProposedApiEnabled=b;function f(u){throw new Error(`[${u.identifier.value}]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ${u.identifier.value}`)}e.throwProposedApiError=f;function l(u){u.requiresWorkspaceTrust||m(u)}e.checkRequiresWorkspaceTrust=l;function m(u){throw new Error(`[${u.identifier.value}]: This API is only available when the "requiresWorkspaceTrust" is set to "onStart" or "onDemand" in the extension's package.json.`)}e.throwRequiresWorkspaceTrustError=m;function S(u){return{type:u.isBuiltin?0:1,isBuiltin:u.isBuiltin||u.isUserBuiltin,identifier:{id:(0,C.getGalleryExtensionId)(u.publisher,u.name),uuid:u.uuid},manifest:u,location:u.extensionLocation}}e.toExtension=S;function g(u){return Object.assign(Object.assign({identifier:new I.ExtensionIdentifier(u.identifier.id),isBuiltin:u.type===0,isUserBuiltin:u.type===1&&u.isBuiltin,isUnderDevelopment:!1,extensionLocation:u.location},u.manifest),{uuid:u.identifier.uuid})}e.toExtensionDescription=g;class _{constructor(){this.onDidRegisterExtensions=v.Event.None,this.onDidChangeExtensionsStatus=v.Event.None,this.onDidChangeExtensions=v.Event.None,this.onWillActivateByEvent=v.Event.None,this.onDidChangeResponsiveChange=v.Event.None}activateByEvent(c){return Promise.resolve(void 0)}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(c){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(c){return Promise.resolve(0)}restartExtensionHost(){}async setRemoteEnvironment(c){}canAddExtension(){return!1}canRemoveExtension(){return!1}_logOrShowMessage(c,o){}_activateById(c,o){return Promise.resolve()}_onWillActivateExtension(c){}_onDidActivateExtension(c,o,t,r,s){}_onExtensionRuntimeError(c,o){}_onExtensionHostExit(c){}}e.NullExtensionService=_}),define(pe[223],ve([0,1,158,29,41,13]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;const C=Promise.resolve(void 0);class P{constructor(m,S,g,_){this.startup=m,this.codeLoadingTime=S,this.activateCallTime=g,this.activateResolvedTime=_}}e.ExtensionActivationTimes=P,P.NONE=new P(!1,-1,-1,-1);class y{constructor(m){this._startup=m,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(m,S){return m===-1||S===-1?-1:S-m}build(){return new P(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=y;class i{constructor(m,S,g,_,u,c){this.activationFailed=m,this.activationFailedError=S,this.activationTimes=g,this.module=_,this.exports=u,this.subscriptions=c}}e.ActivatedExtension=i;class T extends i{constructor(m){super(!1,null,m,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=T;class k extends i{constructor(){super(!1,null,P.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=k;class b extends i{constructor(m){super(!0,m,P.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=b;let f=class{constructor(m,S,g,_,u){this._logService=u,this._registry=m,this._resolvedExtensionsSet=new Set,S.forEach(c=>this._resolvedExtensionsSet.add(D.ExtensionIdentifier.toKey(c))),this._hostExtensionsMap=new Map,g.forEach(c=>this._hostExtensionsMap.set(D.ExtensionIdentifier.toKey(c),c)),this._host=_,this._activatingExtensions=new Map,this._activatedExtensions=new Map,this._alreadyActivatedEvents=Object.create(null)}isActivated(m){const S=D.ExtensionIdentifier.toKey(m);return this._activatedExtensions.has(S)}getActivatedExtension(m){const S=D.ExtensionIdentifier.toKey(m),g=this._activatedExtensions.get(S);if(!g)throw new Error("Extension `"+m.value+"` is not known or not activated");return g}activateByEvent(m,S){if(this._alreadyActivatedEvents[m])return C;const g=this._registry.getExtensionDescriptionsForActivationEvent(m);return this._activateExtensions(g.map(_=>({id:_.identifier,reason:{startup:S,extensionId:_.identifier,activationEvent:m}}))).then(()=>{this._alreadyActivatedEvents[m]=!0})}activateById(m,S){const g=this._registry.getExtensionDescription(m);if(!g)throw new Error("Extension `"+m+"` is not known");return this._activateExtensions([{id:g.identifier,reason:S}])}_handleActivateRequest(m,S,g){if(this._hostExtensionsMap.has(D.ExtensionIdentifier.toKey(m.id))){S[D.ExtensionIdentifier.toKey(m.id)]=m;return}const _=this._registry.getExtensionDescription(m.id);if(!_){this._host.onExtensionActivationError(m.id,new A.MissingDependencyError(m.id.value));const o=new Error(`Unknown dependency '${m.id.value}'`);this._activatedExtensions.set(D.ExtensionIdentifier.toKey(m.id),new b(o));return}const u=typeof _.extensionDependencies=="undefined"?[]:_.extensionDependencies;let c=!0;for(let o=0,t=u.length;o<t;o++){const r=u[o];if(!this._resolvedExtensionsSet.has(D.ExtensionIdentifier.toKey(r))){const s=this._activatedExtensions.get(D.ExtensionIdentifier.toKey(r));if(!(s&&!s.activationFailed)){if(s&&s.activationFailed){this._host.onExtensionActivationError(_.identifier,v.localize(0,null,_.displayName||_.identifier.value,r));const d=new Error(`Dependency ${r} failed to activate`);d.detail=s.activationFailedError,this._activatedExtensions.set(D.ExtensionIdentifier.toKey(_.identifier),new b(d));return}if(this._hostExtensionsMap.has(D.ExtensionIdentifier.toKey(r))){c=!1,S[D.ExtensionIdentifier.toKey(r)]={id:this._hostExtensionsMap.get(D.ExtensionIdentifier.toKey(r)),reason:m.reason};continue}const a=this._registry.getExtensionDescription(r);if(a){c=!1,S[D.ExtensionIdentifier.toKey(r)]={id:a.identifier,reason:m.reason};continue}this._host.onExtensionActivationError(_.identifier,new A.MissingDependencyError(r));const n=new Error(`Unknown dependency '${r}'`);this._activatedExtensions.set(D.ExtensionIdentifier.toKey(_.identifier),new b(n));return}}}c?S[D.ExtensionIdentifier.toKey(_.identifier)]=m:g.push(m)}_activateExtensions(m){if(m.length===0||(m=m.filter(u=>!this._activatedExtensions.has(D.ExtensionIdentifier.toKey(u.id))),m.length===0))return Promise.resolve(void 0);const S=Object.create(null),g=[];for(let u=0,c=m.length;u<c;u++)this._handleActivateRequest(m[u],S,g);for(let u=0,c=g.length;u<c;u++){const o=D.ExtensionIdentifier.toKey(g[u].id);S[o]&&delete S[o]}const _=Object.keys(S).map(u=>S[u]);return g.length===0?Promise.all(_.map(u=>this._activateExtension(u.id,u.reason))).then(u=>{}):this._activateExtensions(_).then(u=>this._activateExtensions(g))}_activateExtension(m,S){const g=D.ExtensionIdentifier.toKey(m);if(this._activatedExtensions.has(g))return Promise.resolve(void 0);const _=this._activatingExtensions.get(g);if(_)return _;const u=this._host.actualActivateExtension(m,S).then(void 0,c=>(this._host.onExtensionActivationError(m,v.localize(1,null,m.value,c.message)),this._logService.error(`Activating extension ${m.value} failed due to an error:`),this._logService.error(c),new b(c))).then(c=>{this._activatedExtensions.set(g,c),this._activatingExtensions.delete(g)});return this._activatingExtensions.set(g,u),u}};f=je([Ue(4,I.ILogService)],f),e.ExtensionsActivator=f}),define(pe[224],ve([0,1,13,41,27,11,108]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let P=class extends v.LogService{constructor(i){if(i.logFile.scheme!==I.Schemas.file)throw new Error("Only file-logging supported");super(new C.SpdLogLogger(D.ExtensionHostLogFileName,i.logFile.fsPath,!0,i.logLevel))}$setLevel(i){this.setLevel(i)}};P=je([Ue(0,A.IExtHostInitDataService)],P),e.ExtHostLogService=P}),define(pe[225],ve([0,1,18]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LazyPromise=void 0;class D{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((I,C)=>{this._actualOk=I,this._actualErr=C,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(I){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=I,this._actual&&this._actualOk(I))}resolveErr(I){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=I,this._actual?this._actualErr(I):(0,v.onUnexpectedError)(I))}then(I,C){return this._ensureActual().then(I,C)}catch(I){return this._ensureActual().then(void 0,I)}finally(I){return this._ensureActual().finally(I)}}e.LazyPromise=D}),define(pe[121],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getStringIdentifierForProxy=e.createExtHostContextProxyIdentifier=e.createMainContextProxyIdentifier=e.ProxyIdentifier=void 0;class v{constructor(y,i){this.isMain=y,this.sid=i,this.nid=++v.count}}e.ProxyIdentifier=v,v.count=0;const D=[];function A(P){const y=new v(!0,P);return D[y.nid]=y,y}e.createMainContextProxyIdentifier=A;function I(P){const y=new v(!1,P);return D[y.nid]=y,y}e.createExtHostContextProxyIdentifier=I;function C(P){return D[P].sid}e.getStringIdentifierForProxy=C}),define(pe[5],ve([0,1,2,121,58]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.WorkspaceEditType=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.ObjectIdentifier=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.CellKind=e.WebviewEditorCapabilities=e.TextEditorRevealType=e.UIKind=void 0;var I;(function(u){u[u.Desktop=1]="Desktop",u[u.Web=2]="Web"})(I=e.UIKind||(e.UIKind={}));var C;(function(u){u[u.Default=0]="Default",u[u.InCenter=1]="InCenter",u[u.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",u[u.AtTop=3]="AtTop"})(C=e.TextEditorRevealType||(e.TextEditorRevealType={}));var P;(function(u){u[u.Editable=0]="Editable",u[u.SupportsHotExit=1]="SupportsHotExit"})(P=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var y;(function(u){u[u.Markdown=1]="Markdown",u[u.Code=2]="Code"})(y=e.CellKind||(e.CellKind={}));var i;(function(u){u[u.Text=1]="Text",u[u.Error=2]="Error",u[u.Rich=3]="Rich"})(i=e.CellOutputKind||(e.CellOutputKind={}));var T;(function(u){u[u.Default=0]="Default",u[u.InCenter=1]="InCenter",u[u.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",u[u.AtTop=3]="AtTop"})(T=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var k;(function(u){u[u.None=0]="None",u[u.Process=1]="Process",u[u.Output=2]="Output"})(k=e.CandidatePortSource||(e.CandidatePortSource={}));var b;(function(u){u.name="$ident";function c(t,r){return Object.defineProperty(t,u.name,{value:r,enumerable:!0}),t}u.mixin=c;function o(t){return t[u.name]}u.of=o})(b=e.ObjectIdentifier||(e.ObjectIdentifier={}));class f{static mixin(c){return c._id=f._n++,c}}e.IdObject=f,f._n=0;var l;(function(u){u.label="a",u.kind="b",u.detail="c",u.documentation="d",u.sortText="e",u.filterText="f",u.preselect="g",u.insertText="h",u.insertTextRules="i",u.range="j",u.commitCharacters="k",u.additionalTextEdits="l",u.command="m",u.kindModifier="n",u.label2="o"})(l=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var m;(function(u){u.defaultRanges="a",u.completions="b",u.isIncomplete="c",u.duration="d"})(m=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));var S;(function(u){u[u.File=1]="File",u[u.Text=2]="Text",u[u.Cell=3]="Cell"})(S=e.WorkspaceEditType||(e.WorkspaceEditType={}));function g(u){if(u&&u.edits)for(const c of u.edits)typeof c.resource=="object"?c.resource=v.URI.revive(c.resource):(c.newUri=v.URI.revive(c.newUri),c.oldUri=v.URI.revive(c.oldUri)),c.metadata&&c.metadata.iconPath&&(c.metadata=(0,A.revive)(c.metadata));return u}e.reviveWorkspaceEditDto=g;var _;(function(u){u[u.Workspace=0]="Workspace",u[u.TextDocument=1]="TextDocument"})(_=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:(0,D.createMainContextProxyIdentifier)("MainThreadAuthentication"),MainThreadBulkEdits:(0,D.createMainContextProxyIdentifier)("MainThreadBulkEdits"),MainThreadClipboard:(0,D.createMainContextProxyIdentifier)("MainThreadClipboard"),MainThreadCommands:(0,D.createMainContextProxyIdentifier)("MainThreadCommands"),MainThreadComments:(0,D.createMainContextProxyIdentifier)("MainThreadComments"),MainThreadConfiguration:(0,D.createMainContextProxyIdentifier)("MainThreadConfiguration"),MainThreadConsole:(0,D.createMainContextProxyIdentifier)("MainThreadConsole"),MainThreadDebugService:(0,D.createMainContextProxyIdentifier)("MainThreadDebugService"),MainThreadDecorations:(0,D.createMainContextProxyIdentifier)("MainThreadDecorations"),MainThreadDiagnostics:(0,D.createMainContextProxyIdentifier)("MainThreadDiagnostics"),MainThreadDialogs:(0,D.createMainContextProxyIdentifier)("MainThreadDiaglogs"),MainThreadDocuments:(0,D.createMainContextProxyIdentifier)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,D.createMainContextProxyIdentifier)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,D.createMainContextProxyIdentifier)("MainThreadTextEditors"),MainThreadEditorInsets:(0,D.createMainContextProxyIdentifier)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,D.createMainContextProxyIdentifier)("MainThreadEditorTabs"),MainThreadErrors:(0,D.createMainContextProxyIdentifier)("MainThreadErrors"),MainThreadTreeViews:(0,D.createMainContextProxyIdentifier)("MainThreadTreeViews"),MainThreadDownloadService:(0,D.createMainContextProxyIdentifier)("MainThreadDownloadService"),MainThreadKeytar:(0,D.createMainContextProxyIdentifier)("MainThreadKeytar"),MainThreadLanguageFeatures:(0,D.createMainContextProxyIdentifier)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,D.createMainContextProxyIdentifier)("MainThreadLanguages"),MainThreadLog:(0,D.createMainContextProxyIdentifier)("MainThread"),MainThreadMessageService:(0,D.createMainContextProxyIdentifier)("MainThreadMessageService"),MainThreadOutputService:(0,D.createMainContextProxyIdentifier)("MainThreadOutputService"),MainThreadProgress:(0,D.createMainContextProxyIdentifier)("MainThreadProgress"),MainThreadQuickOpen:(0,D.createMainContextProxyIdentifier)("MainThreadQuickOpen"),MainThreadStatusBar:(0,D.createMainContextProxyIdentifier)("MainThreadStatusBar"),MainThreadSecretState:(0,D.createMainContextProxyIdentifier)("MainThreadSecretState"),MainThreadStorage:(0,D.createMainContextProxyIdentifier)("MainThreadStorage"),MainThreadTelemetry:(0,D.createMainContextProxyIdentifier)("MainThreadTelemetry"),MainThreadTerminalService:(0,D.createMainContextProxyIdentifier)("MainThreadTerminalService"),MainThreadWebviews:(0,D.createMainContextProxyIdentifier)("MainThreadWebviews"),MainThreadWebviewPanels:(0,D.createMainContextProxyIdentifier)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,D.createMainContextProxyIdentifier)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,D.createMainContextProxyIdentifier)("MainThreadCustomEditors"),MainThreadUrls:(0,D.createMainContextProxyIdentifier)("MainThreadUrls"),MainThreadUriOpeners:(0,D.createMainContextProxyIdentifier)("MainThreadUriOpeners"),MainThreadWorkspace:(0,D.createMainContextProxyIdentifier)("MainThreadWorkspace"),MainThreadFileSystem:(0,D.createMainContextProxyIdentifier)("MainThreadFileSystem"),MainThreadExtensionService:(0,D.createMainContextProxyIdentifier)("MainThreadExtensionService"),MainThreadSCM:(0,D.createMainContextProxyIdentifier)("MainThreadSCM"),MainThreadSearch:(0,D.createMainContextProxyIdentifier)("MainThreadSearch"),MainThreadTask:(0,D.createMainContextProxyIdentifier)("MainThreadTask"),MainThreadWindow:(0,D.createMainContextProxyIdentifier)("MainThreadWindow"),MainThreadLabelService:(0,D.createMainContextProxyIdentifier)("MainThreadLabelService"),MainThreadNotebook:(0,D.createMainContextProxyIdentifier)("MainThreadNotebook"),MainThreadTheming:(0,D.createMainContextProxyIdentifier)("MainThreadTheming"),MainThreadTunnelService:(0,D.createMainContextProxyIdentifier)("MainThreadTunnelService"),MainThreadTimeline:(0,D.createMainContextProxyIdentifier)("MainThreadTimeline"),MainThreadTesting:(0,D.createMainContextProxyIdentifier)("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:(0,D.createExtHostContextProxyIdentifier)("ExtHostCommands"),ExtHostConfiguration:(0,D.createExtHostContextProxyIdentifier)("ExtHostConfiguration"),ExtHostDiagnostics:(0,D.createExtHostContextProxyIdentifier)("ExtHostDiagnostics"),ExtHostDebugService:(0,D.createExtHostContextProxyIdentifier)("ExtHostDebugService"),ExtHostDecorations:(0,D.createExtHostContextProxyIdentifier)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,D.createExtHostContextProxyIdentifier)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,D.createExtHostContextProxyIdentifier)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,D.createExtHostContextProxyIdentifier)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,D.createExtHostContextProxyIdentifier)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,D.createExtHostContextProxyIdentifier)("ExtHostEditors"),ExtHostTreeViews:(0,D.createExtHostContextProxyIdentifier)("ExtHostTreeViews"),ExtHostFileSystem:(0,D.createExtHostContextProxyIdentifier)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,D.createExtHostContextProxyIdentifier)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,D.createExtHostContextProxyIdentifier)("ExtHostFileSystemEventService"),ExtHostLanguageFeatures:(0,D.createExtHostContextProxyIdentifier)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,D.createExtHostContextProxyIdentifier)("ExtHostQuickOpen"),ExtHostExtensionService:(0,D.createExtHostContextProxyIdentifier)("ExtHostExtensionService"),ExtHostLogService:(0,D.createExtHostContextProxyIdentifier)("ExtHostLogService"),ExtHostTerminalService:(0,D.createExtHostContextProxyIdentifier)("ExtHostTerminalService"),ExtHostSCM:(0,D.createExtHostContextProxyIdentifier)("ExtHostSCM"),ExtHostSearch:(0,D.createExtHostContextProxyIdentifier)("ExtHostSearch"),ExtHostTask:(0,D.createExtHostContextProxyIdentifier)("ExtHostTask"),ExtHostWorkspace:(0,D.createExtHostContextProxyIdentifier)("ExtHostWorkspace"),ExtHostWindow:(0,D.createExtHostContextProxyIdentifier)("ExtHostWindow"),ExtHostWebviews:(0,D.createExtHostContextProxyIdentifier)("ExtHostWebviews"),ExtHostWebviewPanels:(0,D.createExtHostContextProxyIdentifier)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,D.createExtHostContextProxyIdentifier)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,D.createExtHostContextProxyIdentifier)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,D.createExtHostContextProxyIdentifier)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,D.createExtHostContextProxyIdentifier)("ExtHostEditorTabs"),ExtHostProgress:(0,D.createMainContextProxyIdentifier)("ExtHostProgress"),ExtHostComments:(0,D.createMainContextProxyIdentifier)("ExtHostComments"),ExtHostSecretState:(0,D.createMainContextProxyIdentifier)("ExtHostSecretState"),ExtHostStorage:(0,D.createMainContextProxyIdentifier)("ExtHostStorage"),ExtHostUrls:(0,D.createExtHostContextProxyIdentifier)("ExtHostUrls"),ExtHostUriOpeners:(0,D.createExtHostContextProxyIdentifier)("ExtHostUriOpeners"),ExtHostOutputService:(0,D.createMainContextProxyIdentifier)("ExtHostOutputService"),ExtHosLabelService:(0,D.createMainContextProxyIdentifier)("ExtHostLabelService"),ExtHostNotebook:(0,D.createMainContextProxyIdentifier)("ExtHostNotebook"),ExtHostTheming:(0,D.createMainContextProxyIdentifier)("ExtHostTheming"),ExtHostTunnelService:(0,D.createMainContextProxyIdentifier)("ExtHostTunnelService"),ExtHostAuthentication:(0,D.createMainContextProxyIdentifier)("ExtHostAuthentication"),ExtHostTimeline:(0,D.createMainContextProxyIdentifier)("ExtHostTimeline"),ExtHostTesting:(0,D.createMainContextProxyIdentifier)("ExtHostTesting"),ExtHostTelemetry:(0,D.createMainContextProxyIdentifier)("ExtHostTelemetry")}}),define(pe[86],ve([0,1,5,3,4]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class I{constructor(P){this._onDidChangePassword=new D.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=P.getProxy(v.MainContext.MainThreadSecretState)}async $onDidChangePassword(P){this._onDidChangePassword.fire(P)}get(P,y){return this._proxy.$getPassword(P,y)}store(P,y,i){return this._proxy.$setPassword(P,y,i)}delete(P,y){return this._proxy.$deletePassword(P,y)}}e.ExtHostSecretState=I,e.IExtHostSecretState=(0,A.createDecorator)("IExtHostSecretState")}),define(pe[64],ve([0,1,4,13,5,14]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=(0,v.createDecorator)("IExtHostApiDeprecationService");let C=class{constructor(y,i){this._extHostLogService=i,this._reportedUsages=new Set,this._telemetryShape=y.getProxy(A.MainContext.MainThreadTelemetry)}report(y,i,T){const k=this.getUsageKey(y,i);this._reportedUsages.has(k)||(this._reportedUsages.add(k),i.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${y}' is deprecated. ${T}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:i.identifier.value,apiId:y}))}getUsageKey(y,i){return`${y}-${i.identifier.value}`}};C=je([Ue(0,I.IExtHostRpcService),Ue(1,D.ILogService)],C),e.ExtHostApiDeprecationService=C,e.NullApiDeprecationService=Object.freeze(new class{report(P,y,i){}})}),define(pe[226],ve([0,1,3,5,8,29]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class C{constructor(y){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeAuthenticationProviders=new v.Emitter,this.onDidChangeAuthenticationProviders=this._onDidChangeAuthenticationProviders.event,this._onDidChangeSessions=new v.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=y.getProxy(D.MainContext.MainThreadAuthentication)}$setProviders(y){return this._providers=y,Promise.resolve()}get providers(){return Object.freeze(this._providers.slice())}async getSession(y,i,T,k={}){const b=I.ExtensionIdentifier.toKey(y.identifier),f=this._inFlightRequests.get(b)||[],l=T.sort().join(" ");let m=f.find(S=>S.scopes===l);if(m)return m.result;{const S=this._getSession(y,b,i,T,k);m={scopes:l,result:S},f.push(m),this._inFlightRequests.set(b,f);try{await S}finally{const g=f.findIndex(_=>_.scopes===l);g>-1&&(f.splice(g),this._inFlightRequests.set(b,f))}return S}}async _getSession(y,i,T,k,b={}){await this._proxy.$ensureProvider(T);const f=y.displayName||y.name;return this._proxy.$getSession(T,k,i,f,b)}async removeSession(y,i){const T=this._authenticationProviders.get(y);return T?T.provider.removeSession(i):this._proxy.$removeSession(y,i)}registerAuthenticationProvider(y,i,T,k){var b;if(this._authenticationProviders.get(y))throw new Error(`An authentication provider with id '${y}' is already registered.`);this._authenticationProviders.set(y,{label:i,provider:T,options:k!=null?k:{supportsMultipleAccounts:!1}}),this._providers.find(l=>l.id===y)||this._providers.push({id:y,label:i});const f=T.onDidChangeSessions(l=>{var m,S,g;this._proxy.$sendDidChangeSessions(y,{added:(m=l.added)!==null&&m!==void 0?m:[],changed:(S=l.changed)!==null&&S!==void 0?S:[],removed:(g=l.removed)!==null&&g!==void 0?g:[]})});return this._proxy.$registerAuthenticationProvider(y,i,(b=k==null?void 0:k.supportsMultipleAccounts)!==null&&b!==void 0?b:!1),new A.Disposable(()=>{f.dispose(),this._authenticationProviders.delete(y);const l=this._providers.findIndex(m=>m.id===y);l>-1&&this._providers.splice(l),this._proxy.$unregisterAuthenticationProvider(y)})}$createSession(y,i){const T=this._authenticationProviders.get(y);if(T)return Promise.resolve(T.provider.createSession(i));throw new Error(`Unable to find authentication provider with handle: ${y}`)}$removeSession(y,i){const T=this._authenticationProviders.get(y);if(T)return Promise.resolve(T.provider.removeSession(i));throw new Error(`Unable to find authentication provider with handle: ${y}`)}$getSessions(y,i){const T=this._authenticationProviders.get(y);if(T)return Promise.resolve(T.provider.getSessions(i));throw new Error(`Unable to find authentication provider with handle: ${y}`)}$onDidChangeAuthenticationSessions(y,i){return this._onDidChangeSessions.fire({provider:{id:y,label:i}}),Promise.resolve()}$onDidChangeAuthenticationProviders(y,i){return y.forEach(T=>{this._providers.some(k=>k.id===T.id)||this._providers.push(T)}),i.forEach(T=>{const k=this._providers.findIndex(b=>b.id===T.id);k>-1&&this._providers.splice(k)}),this._onDidChangeAuthenticationProviders.fire({added:y,removed:i}),Promise.resolve()}}e.ExtHostAuthentication=C}),define(pe[227],ve([0,1,5,14,20]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let I=class{constructor(P,y){this._extHostDocumentsAndEditors=y,this._proxy=P.getProxy(v.MainContext.MainThreadBulkEdits)}applyWorkspaceEdit(P){const y=A.WorkspaceEdit.from(P,this._extHostDocumentsAndEditors);return this._proxy.$tryApplyWorkspaceEdit(y)}};I=je([Ue(0,D.IExtHostRpcService)],I),e.ExtHostBulkEdits=I}),define(pe[228],ve([0,1,5]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class D{constructor(I){const C=I.getProxy(v.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return C.$readText()},writeText(P){return C.$writeText(P)}})}}e.ExtHostClipboard=D}),define(pe[52],ve([0,1,15,8,20,22,5,12,13,58,43,48,2,6,4,14]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let S=class{constructor(t,r){this._commands=new Map,this._apiCommands=new Map,this._proxy=t.getProxy(C.MainContext.MainThreadCommands),this._logService=r,this.converter=new g(this,s=>{const a=this._apiCommands.get(s);return(a==null?void 0:a.result)===u.Void?a:void 0},r),this._argumentProcessors=[{processArgument(s){return(0,i.revive)(s)}},{processArgument(s){return(0,I.cloneAndChange)(s,function(a){if(T.Range.isIRange(a))return A.Range.to(a);if(k.Position.isIPosition(a))return A.Position.to(a);if(T.Range.isIRange(a.range)&&b.URI.isUri(a.uri))return A.location.to(a);if(!Array.isArray(a))return a})}}]}registerArgumentProcessor(t){this._argumentProcessors.push(t)}registerApiCommand(t){const r=this.registerCommand(!1,t.id,async(...s)=>{const a=t.args.map((d,p)=>{if(!d.validate(s[p]))throw new Error(`Invalid argument '${d.name}' when running '${t.id}', received: ${s[p]}`);return d.convert(s[p])}),n=await this.executeCommand(t.internalId,...a);return t.result.convert(n,s,this.converter)},void 0,{description:t.description,args:t.args,returns:t.result.description});return this._apiCommands.set(t.id,t),new D.Disposable(()=>{r.dispose(),this._apiCommands.delete(t.id)})}registerCommand(t,r,s,a,n){if(this._logService.trace("ExtHostCommands#registerCommand",r),!r.trim().length)throw new Error("invalid id");if(this._commands.has(r))throw new Error(`command '${r}' already exists`);return this._commands.set(r,{callback:s,thisArg:a,description:n}),t&&this._proxy.$registerCommand(r),new D.Disposable(()=>{this._commands.delete(r)&&t&&this._proxy.$unregisterCommand(r)})}executeCommand(t,...r){return this._logService.trace("ExtHostCommands#executeCommand",t),this._doExecuteCommand(t,r,!0)}async _doExecuteCommand(t,r,s){if(this._commands.has(t))return this._executeContributedCommand(t,r);{const a=(0,I.cloneAndChange)(r,function(n){if(n instanceof D.Position)return A.Position.from(n);if(n instanceof D.Range)return A.Range.from(n);if(n instanceof D.Location)return A.location.from(n);if(!Array.isArray(n))return n});try{const n=await this._proxy.$executeCommand(t,a,s);return(0,i.revive)(n)}catch(n){if(n instanceof Error&&n.message==="$executeCommand:retry")return this._doExecuteCommand(t,r,!1);throw n}}}async _executeContributedCommand(t,r){const s=this._commands.get(t);if(!s)throw new Error("Unknown command");let{callback:a,thisArg:n,description:d}=s;if(d)for(let p=0;p<d.args.length;p++)try{(0,v.validateConstraint)(r[p],d.args[p].constraint)}catch(E){throw new Error(`Running the contributed command: '${t}' failed. Illegal argument '${d.args[p].name}' - ${d.args[p].description}`)}try{return await a.apply(n,r)}catch(p){if(t===this.converter.delegatingCommandId){const E=this.converter.getActualCommand(...r);E&&(t=E.command)}throw this._logService.error(p,t),new Error(`Running the contributed command: '${t}' failed.`)}}$executeContributedCommand(t,...r){return this._logService.trace("ExtHostCommands#$executeContributedCommand",t),this._commands.has(t)?(r=r.map(s=>this._argumentProcessors.reduce((a,n)=>n.processArgument(a),s)),this._executeContributedCommand(t,r)):Promise.reject(new Error(`Contributed command '${t}' does not exist.`))}getCommands(t=!1){return this._logService.trace("ExtHostCommands#getCommands",t),this._proxy.$getCommands().then(r=>(t&&(r=r.filter(s=>s[0]!=="_")),r))}$getContributedCommandHandlerDescriptions(){const t=Object.create(null);for(let[r,s]of this._commands){let{description:a}=s;a&&(t[r]=a)}return Promise.resolve(t)}};S=je([Ue(0,m.IExtHostRpcService),Ue(1,y.ILogService)],S),e.ExtHostCommands=S,e.IExtHostCommands=(0,l.createDecorator)("IExtHostCommands");class g{constructor(t,r,s){this._commands=t,this._lookupApiCommand=r,this._logService=s,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(t,r){if(!!t){const s={$ident:void 0,id:t.command,title:t.title,tooltip:t.tooltip};if(!t.command)return s;const a=this._lookupApiCommand(t.command);if(a)s.id=a.internalId,s.arguments=a.args.map((n,d)=>n.convert(t.arguments&&t.arguments[d]));else if((0,P.isNonEmptyArray)(t.arguments)){const n=++this._cachIdPool;this._cache.set(n,t),r.add((0,f.toDisposable)(()=>{this._cache.delete(n),this._logService.trace("CommandsConverter#DISPOSE",n)})),s.$ident=n,s.id=this.delegatingCommandId,s.arguments=[n],this._logService.trace("CommandsConverter#CREATE",t.command,n)}return s}}fromInternal(t){const r=C.ObjectIdentifier.of(t);return typeof r=="number"?this._cache.get(r):{command:t.id,title:t.title,arguments:t.arguments}}getActualCommand(...t){return this._cache.get(t[0])}_executeConvertedCommand(...t){const r=this.getActualCommand(...t);return this._logService.trace("CommandsConverter#EXECUTE",t[0],r?r.command:"MISSING"),r?this._commands.executeCommand(r.command,...r.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=g;class _{constructor(t,r,s,a){this.name=t,this.description=r,this.validate=s,this.convert=a}optional(){return new _(this.name,`(optional) ${this.description}`,t=>t==null||this.validate(t),t=>t===void 0?void 0:t===null?null:this.convert(t))}with(t,r){return new _(t!=null?t:this.name,r!=null?r:this.description,this.validate,this.convert)}}e.ApiCommandArgument=_,_.Uri=new _("uri","Uri of a text document",o=>b.URI.isUri(o),o=>o),_.Position=new _("position","A position in a text document",o=>D.Position.isPosition(o),A.Position.from),_.Range=new _("range","A range in a text document",o=>D.Range.isRange(o),A.Range.from),_.Selection=new _("selection","A selection in a text document",o=>D.Selection.isSelection(o),A.Selection.from),_.Number=new _("number","",o=>typeof o=="number",o=>o),_.String=new _("string","",o=>typeof o=="string",o=>o),_.CallHierarchyItem=new _("item","A call hierarchy item",o=>o instanceof D.CallHierarchyItem,A.CallHierarchyItem.to);class u{constructor(t,r){this.description=t,this.convert=r}}e.ApiCommandResult=u,u.Void=new u("no result",o=>o);class c{constructor(t,r,s,a,n){this.id=t,this.internalId=r,this.description=s,this.args=a,this.result=n}}e.ApiCommand=c}),define(pe[229],ve([0,1,6,20,8,81,52,197,12,105]),function(Q,e,v,D,A,I,C,P,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const T=[new C.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",b(D.DocumentHighlight.to))),new C.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",(l,m)=>{if(!(0,y.isFalsyOrEmpty)(l)){class S extends A.SymbolInformation{static to(_){const u=new S(_.name,D.SymbolKind.to(_.kind),_.containerName||"",new A.Location(m[0],D.Range.to(_.range)));return u.detail=_.detail,u.range=u.location.range,u.selectionRange=D.Range.to(_.selectionRange),u.children=_.children?_.children.map(S.to):[],u}}return l.map(S.to)}})),new C.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("options","Formatting options",l=>!0,l=>l)],new C.ApiCommandResult("A promise that resolves to an array of TextEdits.",b(D.TextEdit.to))),new C.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range,new C.ApiCommandArgument("options","Formatting options",l=>!0,l=>l)],new C.ApiCommandResult("A promise that resolves to an array of TextEdits.",b(D.TextEdit.to))),new C.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,new C.ApiCommandArgument("ch","Trigger character",l=>typeof l=="string",l=>l),new C.ApiCommandArgument("options","Formatting options",l=>!0,l=>l)],new C.ApiCommandResult("A promise that resolves to an array of TextEdits.",b(D.TextEdit.to))),new C.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",f)),new C.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",f)),new C.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",f)),new C.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",f)),new C.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location-instances.",b(D.location.to))),new C.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Hover-instances.",b(D.Hover.to))),new C.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("position","A position in a text document",l=>Array.isArray(l)&&l.every(m=>A.Position.isPosition(m)),l=>l.map(D.Position.from))],new C.ApiCommandResult("A promise that resolves to an array of ranges.",l=>l.map(m=>{let S;for(const g of m.reverse())S=new A.SelectionRange(D.Range.to(g),S);return S}))),new C.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[C.ApiCommandArgument.String.with("query","Search string")],new C.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",l=>{const m=[];if(Array.isArray(l))for(let S of l)m.push(...S[1].map(D.WorkspaceSymbol.to));return m})),new C.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A CallHierarchyItem or undefined",l=>l.map(D.CallHierarchyItem.to))),new C.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[C.ApiCommandArgument.CallHierarchyItem],new C.ApiCommandResult("A CallHierarchyItem or undefined",l=>l.map(D.CallHierarchyIncomingCall.to))),new C.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[C.ApiCommandArgument.CallHierarchyItem],new C.ApiCommandResult("A CallHierarchyItem or undefined",l=>l.map(D.CallHierarchyOutgoingCall.to))),new C.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,C.ApiCommandArgument.String.with("newName","The new symbol name")],new C.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",l=>{if(!!l){if(l.rejectReason)throw new Error(l.rejectReason);return D.WorkspaceEdit.to(l)}})),new C.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new C.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",l=>l.map(D.DocumentLink.to))),new C.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",l=>{if(!!l)return new A.SemanticTokensLegend(l.tokenTypes,l.tokenModifiers)})),new C.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to SemanticTokens.",l=>{if(!!l){const m=(0,i.decodeSemanticTokensDto)(l);if(m.type==="full")return new A.SemanticTokens(m.data,void 0)}})),new C.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",l=>{if(!!l)return new A.SemanticTokensLegend(l.tokenTypes,l.tokenModifiers)})),new C.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range],new C.ApiCommandResult("A promise that resolves to SemanticTokens.",l=>{if(!!l){const m=(0,i.decodeSemanticTokensDto)(l);if(m.type==="full")return new A.SemanticTokens(m.data,void 0)}})),new C.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,C.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),C.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new C.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(l,m,S)=>{if(!l)return new A.CompletionList([]);const g=l.suggestions.map(_=>D.CompletionItem.to(_,S));return new A.CompletionList(g,l.incomplete)})),new C.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,C.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new C.ApiCommandResult("A promise that resolves to SignatureHelp.",l=>{if(l)return D.SignatureHelp.to(l)})),new C.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new C.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(l,m,S)=>b(g=>new A.CodeLens(D.Range.to(g.range),g.command&&S.fromInternal(g.command)))(l))),new C.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",l=>A.Range.isRange(l),l=>A.Selection.isSelection(l)?D.Selection.from(l):D.Range.from(l)),C.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),C.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new C.ApiCommandResult("A promise that resolves to an array of Command-instances.",(l,m,S)=>b(g=>{if(g._isSynthetic){if(!g.command)throw new Error("Synthetic code actions must have a command");return S.fromInternal(g.command)}else{const _=new A.CodeAction(g.title,g.kind?new A.CodeActionKind(g.kind):void 0);return g.edit&&(_.edit=D.WorkspaceEdit.to(g.edit)),g.command&&(_.command=S.fromInternal(g.command)),_.isPreferred=g.isPreferred,_}})(l))),new C.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",l=>l?l.map(m=>new A.ColorInformation(D.Range.to(m.range),D.Color.to(m.color))):[])),new C.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new C.ApiCommandArgument("color","The color to show and insert",l=>l instanceof A.Color,D.Color.from),new C.ApiCommandArgument("context","Context object with uri and range",l=>!0,l=>({uri:l.uri,range:D.Range.from(l.range)}))],new C.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",l=>l?l.map(D.ColorPresentation.to):[])),new C.ApiCommand("vscode.executeInlineHintProvider","_executeInlineHintProvider","Execute inline hints provider",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range],new C.ApiCommandResult("A promise that resolves to an array of InlineHint objects",l=>l.map(D.InlineHint.to))),new C.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new C.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",b(l=>({viewType:l.viewType,displayName:l.displayName,options:{transientOutputs:l.options.transientOutputs,transientMetadata:l.options.transientMetadata},filenamePattern:l.filenamePattern.map(m=>D.NotebookExclusiveDocumentPattern.to(m))})))),new C.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range],new C.ApiCommandResult("A promise that resolves to an array of InlineValue objects",l=>l.map(D.InlineValue.to))),new C.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="number"||typeof l=="object",l=>l&&(typeof l=="number"?[l,void 0]:[D.ViewColumn.from(l.viewColumn),D.TextEditorOpenOptions.from(l)])).optional(),C.ApiCommandArgument.String.with("label","").optional()],C.ApiCommandResult.Void),new C.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[C.ApiCommandArgument.Uri.with("resource","Resource to open"),C.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new C.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="number"||typeof l=="object",l=>l&&(typeof l=="number"?[l,void 0]:[D.ViewColumn.from(l.viewColumn),D.TextEditorOpenOptions.from(l)])).optional()],C.ApiCommandResult.Void),new C.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[C.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),C.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),C.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new C.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="object",l=>l&&[D.ViewColumn.from(l.viewColumn),D.TextEditorOpenOptions.from(l)]).optional()],C.ApiCommandResult.Void)];class k{constructor(m){this._disposables=new v.DisposableStore,this._commands=m}static register(m){return T.forEach(m.registerApiCommand,m),new k(m).registerCommands()}registerCommands(){const m=S=>(...g)=>S(this._commands,...g);this._register(P.RemoveFromRecentlyOpenedAPICommand.ID,m(P.RemoveFromRecentlyOpenedAPICommand.execute),{description:"Removes an entry with the given path from the recently opened list.",args:[{name:"path",description:"Path to remove from recently opened.",constraint:S=>typeof S=="string"}]}),this._register(P.OpenIssueReporter.ID,m(P.OpenIssueReporter.execute),{description:"Opens the issue reporter with the provided extension id as the selected source",args:[{name:"extensionId",description:"extensionId to report an issue on",constraint:S=>typeof S=="string"||typeof S=="object"&&typeof S.extensionId=="string"}]})}_register(m,S,g){const _=this._commands.registerCommand(!1,m,S,this,g);this._disposables.add(_)}}e.ExtHostApiCommands=k;function b(l){return m=>{if(Array.isArray(m))return m.map(l)}}function f(l){if(!!Array.isArray(l)){const m=[];for(const S of l)I.isLocationLink(S)?m.push(D.DefinitionLink.to(S)):m.push(D.location.to(S));return m}}}),define(pe[230],ve([0,1,19,55,3,6,2,81,29,20,8,5]),function(Q,e,v,D,A,I,C,P,y,i,T,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCommentThread=e.ExtHostComments=void 0;class b{constructor(c,o,t){this._documents=t,this._commentControllers=new Map,this._commentControllersByExtension=new Map,this._proxy=c.getProxy(k.MainContext.MainThreadComments),o.registerArgumentProcessor({processArgument:r=>{if(r&&r.$mid===6){const s=this._commentControllers.get(r.handle);return s||r}else if(r&&r.$mid===7){const s=this._commentControllers.get(r.commentControlHandle);if(!s)return r;const a=s.getCommentThread(r.commentThreadHandle);return a||r}else if(r&&r.$mid===8){const s=this._commentControllers.get(r.thread.commentControlHandle);if(!s)return r;const a=s.getCommentThread(r.thread.commentThreadHandle);return a?{thread:a,text:r.text}:r}else if(r&&r.$mid===9){const s=this._commentControllers.get(r.thread.commentControlHandle);if(!s)return r;const a=s.getCommentThread(r.thread.commentThreadHandle);if(!a)return r;let n=r.commentUniqueId,d=a.getCommentByUniqueId(n);return d||r}else if(r&&r.$mid===10){const s=this._commentControllers.get(r.thread.commentControlHandle);if(!s)return r;const a=s.getCommentThread(r.thread.commentThreadHandle);if(!a)return r;let n=r.text,d=r.commentUniqueId,p=a.getCommentByUniqueId(d);return p?(p.body=n,p):r}return r}})}createCommentController(c,o,t){const r=b.handlePool++,s=new l(c,r,this._proxy,o,t);this._commentControllers.set(s.handle,s);const a=this._commentControllersByExtension.get(y.ExtensionIdentifier.toKey(c.identifier))||[];return a.push(s),this._commentControllersByExtension.set(y.ExtensionIdentifier.toKey(c.identifier),a),s}$createCommentThreadTemplate(c,o,t){const r=this._commentControllers.get(c);!r||r.$createCommentThreadTemplate(o,t)}async $updateCommentThreadTemplate(c,o,t){const r=this._commentControllers.get(c);!r||r.$updateCommentThreadTemplate(o,t)}$deleteCommentThread(c,o){const t=this._commentControllers.get(c);t&&t.$deleteCommentThread(o)}$provideCommentingRanges(c,o,t){const r=this._commentControllers.get(c);if(!r||!r.commentingRangeProvider)return Promise.resolve(void 0);const s=this._documents.getDocument(C.URI.revive(o));return(0,v.asPromise)(()=>r.commentingRangeProvider.provideCommentingRanges(s,t)).then(a=>a?a.map(n=>i.Range.from(n)):void 0)}$toggleReaction(c,o,t,r,s){const a=this._commentControllers.get(c);return!a||!a.reactionHandler?Promise.resolve(void 0):(0,v.asPromise)(()=>{const n=a.getCommentThread(o);if(n){const d=n.getCommentByUniqueId(r.uniqueIdInThread);if(a!==void 0&&d&&a.reactionHandler)return a.reactionHandler(d,g(s))}return Promise.resolve(void 0)})}dispose(){}}e.ExtHostComments=b,b.handlePool=0;class f{constructor(c,o,t,r,s,a,n){this._proxy=c,this._commentController=o,this._id=t,this._uri=r,this._range=s,this._comments=a,this.handle=f._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new A.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new I.MutableDisposable,this._acceptInputDisposables.value=new I.DisposableStore,this._id===void 0&&(this._id=`${o.id}.${this.handle}`),this._proxy.$createCommentThread(this._commentController.handle,this.handle,this._id,this._uri,i.Range.from(this._range),n),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=a}set threadId(c){this._id=c}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(c){c.isEqual(this._range)||(this._range=c,this.modifications.range=c,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(c){this._canReply!==c&&(this._canReply=c,this.modifications.canReply=c,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(c){this._label=c,this.modifications.label=c,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(c){this._contextValue=c,this.modifications.contextValue=c,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(c){this._comments=c,this.modifications.comments=c,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(c){this._collapseState=c,this.modifications.collapsibleState=c,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}eventuallyUpdateCommentThread(){if(!this._isDiposed){this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new I.DisposableStore);const c=t=>Object.prototype.hasOwnProperty.call(this.modifications,t),o={};c("range")&&(o.range=i.Range.from(this._range)),c("label")&&(o.label=this.label),c("contextValue")&&(o.contextValue=this.contextValue),c("comments")&&(o.comments=this._comments.map(t=>m(this,this._commentController,t,this._commentsMap))),c("collapsibleState")&&(o.collapseState=_(this._collapseState)),c("canReply")&&(o.canReply=this.canReply),this.modifications={},this._proxy.$updateCommentThread(this._commentController.handle,this.handle,this._id,this._uri,o)}}getCommentByUniqueId(c){for(let o of this._commentsMap){let t=o[0],r=o[1];if(c===r)return t}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(c=>c.dispose()),this._proxy.$deleteCommentThread(this._commentController.handle,this.handle)}}f._handlePool=0,je([(0,D.debounce)(100)],f.prototype,"eventuallyUpdateCommentThread",null),e.ExtHostCommentThread=f;class l{constructor(c,o,t,r,s){this._extension=c,this._handle=o,this._proxy=t,this._id=r,this._label=s,this._threads=new Map,this._proxy.$registerCommentController(this.handle,r,s)}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get reactionHandler(){return this._reactionHandler}set reactionHandler(c){this._reactionHandler=c,this._proxy.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!c})}get options(){return this._options}set options(c){this._options=c,this._proxy.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(c,o,t,r){if(typeof c=="string"){const s=new f(this._proxy,this,c,o,t,r,this._extension.identifier);return this._threads.set(s.handle,s),s}else{const s=new f(this._proxy,this,void 0,c,o,t,this._extension.identifier);return this._threads.set(s.handle,s),s}}$createCommentThreadTemplate(c,o){const t=new f(this._proxy,this,void 0,C.URI.revive(c),i.Range.to(o),[],this._extension.identifier);return t.collapsibleState=P.CommentThreadCollapsibleState.Expanded,this._threads.set(t.handle,t),t}$updateCommentThreadTemplate(c,o){let t=this._threads.get(c);t&&(t.range=i.Range.to(o))}$deleteCommentThread(c){let o=this._threads.get(c);o&&o.dispose(),this._threads.delete(c)}getCommentThread(c){return this._threads.get(c)}dispose(){this._threads.forEach(c=>{c.dispose()}),this._proxy.$unregisterCommentController(this.handle)}}function m(u,c,o,t){let r=t.get(o);r||(r=++u.commentHandle,t.set(o,r));const s=o.author&&o.author.iconPath?o.author.iconPath.toString():void 0;return{mode:o.mode,contextValue:o.contextValue,uniqueIdInThread:r,body:i.MarkdownString.from(o.body),userName:o.author.name,userIconPath:s,label:o.label,commentReactions:o.reactions?o.reactions.map(a=>S(a)):void 0}}function S(u){return{label:u.label,iconPath:u.iconPath?i.pathOrURIToURI(u.iconPath):void 0,count:u.count,hasReacted:u.authorHasReacted}}function g(u){return{label:u.label||"",count:u.count||0,iconPath:u.iconPath?C.URI.revive(u.iconPath):"",authorHasReacted:u.hasReacted||!1}}function _(u){if(u!==void 0)switch(u){case T.CommentThreadCollapsibleState.Expanded:return P.CommentThreadCollapsibleState.Expanded;case T.CommentThreadCollapsibleState.Collapsed:return P.CommentThreadCollapsibleState.Collapsed}return P.CommentThreadCollapsibleState.Collapsed}}),define(pe[122],ve([0,1,2,5,8,4,14,13,12,9,7]),function(Q,e,v,D,A,I,C,P,y,i,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let k=class dn{constructor(f,l){this._logService=l,this._provider=new Map,this._proxy=f.getProxy(D.MainContext.MainThreadDecorations)}registerFileDecorationProvider(f,l){const m=dn._handlePool++;this._provider.set(m,{provider:f,extensionId:l}),this._proxy.$registerDecorationProvider(m,l.value);const S=f.onDidChangeFileDecorations&&f.onDidChangeFileDecorations(g=>{if(!g){this._proxy.$onDidChange(m,null);return}let _=(0,y.asArray)(g);if(_.length<=dn._maxEventSize){this._proxy.$onDidChange(m,_);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",l.value,_.length);const u=_.map(t=>({uri:t,rank:(0,i.count)(t.path,"/")})),c=(0,y.groupBy)(u,(t,r)=>t.rank-r.rank||(0,i.compare)(t.uri.path,r.uri.path));let o=[];e:for(let t of c){let r;for(let s of t){let a=(0,T.dirname)(s.uri.path);if(r!==a&&(r=a,o.push(s.uri)>=dn._maxEventSize))break e}}this._proxy.$onDidChange(m,o)});return new A.Disposable(()=>{S==null||S.dispose(),this._proxy.$unregisterDecorationProvider(m),this._provider.delete(m)})}async $provideDecorations(f,l,m){if(!this._provider.has(f))return Object.create(null);const S=Object.create(null),{provider:g,extensionId:_}=this._provider.get(f);return await Promise.all(l.map(async u=>{try{const{uri:c,id:o}=u,t=await Promise.resolve(g.provideFileDecoration(v.URI.revive(c),m));if(!t)return;try{A.FileDecoration.validate(t),S[o]=[t.propagate,t.tooltip,t.badge,t.color]}catch(r){this._logService.warn(`INVALID decoration from extension '${_.value}': ${r}`)}}catch(c){this._logService.error(c)}})),S}};k._handlePool=0,k._maxEventSize=250,k=je([Ue(0,C.IExtHostRpcService),Ue(1,P.ILogService)],k),e.ExtHostDecorations=k,e.IExtHostDecorations=(0,I.createDecorator)("IExtHostDecorations")}),define(pe[231],ve([0,1,157,109,2,5,8,20,3,13,23]),function(Q,e,v,D,A,I,C,P,y,i,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class k{constructor(l,m,S,g,_){this._name=l,this._owner=m,this._maxDiagnosticsPerFile=S,this._proxy=g,this._onDidChangeDiagnostics=_,this._isDisposed=!1,this._data=new T.ResourceMap}dispose(){this._isDisposed||(this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._proxy&&this._proxy.$clear(this._owner),this._data=void 0,this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(l,m){if(!l){this.clear();return}this._checkDisposed();let S=[];if(A.URI.isUri(l)){if(!m){this.delete(l);return}this._data.set(l,m.slice()),S=[l]}else if(Array.isArray(l)){S=[];let _;l=[...l].sort(k._compareIndexedTuplesByUri);for(const u of l){const[c,o]=u;if((!_||c.toString()!==_.toString())&&(_&&this._data.get(_).length===0&&this._data.delete(_),_=c,S.push(c),this._data.set(c,[])),o){const t=this._data.get(c);t&&t.push(...o)}else{const t=this._data.get(c);t&&(t.length=0)}}}if(this._onDidChangeDiagnostics.fire(S),!!this._proxy){const g=[];for(let _ of S){let u=[];const c=this._data.get(_);if(c)if(c.length>this._maxDiagnosticsPerFile){u=[];const o=[C.DiagnosticSeverity.Error,C.DiagnosticSeverity.Warning,C.DiagnosticSeverity.Information,C.DiagnosticSeverity.Hint];e:for(let t=0;t<4;t++)for(let r of c)if(r.severity===o[t]&&u.push(P.Diagnostic.from(r))===this._maxDiagnosticsPerFile)break e;u.push({severity:D.MarkerSeverity.Info,message:(0,v.localize)(0,null,c.length-this._maxDiagnosticsPerFile),startLineNumber:u[u.length-1].startLineNumber,startColumn:u[u.length-1].startColumn,endLineNumber:u[u.length-1].endLineNumber,endColumn:u[u.length-1].endColumn})}else u=c.map(o=>P.Diagnostic.from(o));g.push([_,u])}this._proxy.$changeMany(this._owner,g)}}delete(l){this._checkDisposed(),this._onDidChangeDiagnostics.fire([l]),this._data.delete(l),this._proxy&&this._proxy.$changeMany(this._owner,[[l,void 0]])}clear(){this._checkDisposed(),this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._data.clear(),this._proxy&&this._proxy.$clear(this._owner)}forEach(l,m){this._checkDisposed();for(let S of this._data.keys())l.apply(m,[S,this.get(S),this])}get(l){this._checkDisposed();const m=this._data.get(l);return Array.isArray(m)?Object.freeze(m.slice(0)):[]}has(l){return this._checkDisposed(),Array.isArray(this._data.get(l))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(l,m){return l[0].toString()<m[0].toString()?-1:l[0].toString()>m[0].toString()?1:0}}e.DiagnosticCollection=k;let b=class $t{constructor(l,m){this._logService=m,this._collections=new Map,this._onDidChangeDiagnostics=new y.Emitter,this.onDidChangeDiagnostics=y.Event.map(y.Event.debounce(this._onDidChangeDiagnostics.event,$t._debouncer,50),$t._mapper),this._proxy=l.getProxy(I.MainContext.MainThreadDiagnostics)}static _debouncer(l,m){return l?l.concat(m):m}static _mapper(l){const m=[],S=new Set;for(const g of l)typeof g=="string"?S.has(g)||(S.add(g),m.push(A.URI.parse(g))):S.has(g.toString())||(S.add(g.toString()),m.push(g));return Object.freeze(m),{uris:m}}createDiagnosticCollection(l,m){const{_collections:S,_proxy:g,_onDidChangeDiagnostics:_,_logService:u}=this,c=new class{$changeMany(r,s){g.$changeMany(r,s),u.trace("[DiagnosticCollection] change many (extension, owner, uris)",l.value,r,s.length===0?"CLEARING":s)}$clear(r){g.$clear(r),u.trace("[DiagnosticCollection] remove all (extension, owner)",l.value,r)}dispose(){g.dispose()}};let o;if(!m)m="_generated_diagnostic_collection_name_#"+$t._idPool++,o=m;else if(!S.has(m))o=m;else{this._logService.warn(`DiagnosticCollection with name '${m}' does already exist.`);do o=m+$t._idPool++;while(S.has(o))}return new class extends k{constructor(){super(m,o,$t._maxDiagnosticsPerFile,c,_);S.set(o,this)}dispose(){super.dispose(),S.delete(o)}}}getDiagnostics(l){if(l)return this._getDiagnostics(l);{const m=new Map,S=[];for(const g of this._collections.values())g.forEach((_,u)=>{let c=m.get(_.toString());typeof c=="undefined"&&(c=S.length,m.set(_.toString(),c),S.push([_,[]])),S[c][1]=S[c][1].concat(...u)});return S}}_getDiagnostics(l){let m=[];for(let S of this._collections.values())S.has(l)&&(m=m.concat(S.get(l)));return m}$acceptMarkersChange(l){if(!this._mirrorCollection){const m="_generated_mirror",S=new k(m,m,$t._maxDiagnosticsPerFile,void 0,this._onDidChangeDiagnostics);this._collections.set(m,S),this._mirrorCollection=S}for(const[m,S]of l)this._mirrorCollection.set(A.URI.revive(m),S.map(P.Diagnostic.to))}};b._idPool=0,b._maxDiagnosticsPerFile=1e3,b=je([Ue(1,i.ILogService)],b),e.ExtHostDiagnostics=b}),define(pe[232],ve([0,1,2,5]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class A{constructor(C){this._proxy=C.getProxy(D.MainContext.MainThreadDialogs)}showOpenDialog(C){return this._proxy.$showOpenDialog(C).then(P=>P?P.map(y=>v.URI.revive(y)):void 0)}showSaveDialog(C){return this._proxy.$showSaveDialog(C).then(P=>P?v.URI.revive(P):void 0)}}e.ExtHostDialogs=A}),define(pe[233],ve([0,1,18,2,8,5,11,21,9]),function(Q,e,v,D,A,I,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class i{constructor(k,b,f){this._documentsAndEditors=b,this._logService=f,this._documentContentProviders=new Map,this._proxy=k.getProxy(I.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(k,b){if(Object.keys(C.Schemas).indexOf(k)>=0)throw new Error(`scheme '${k}' already registered`);const f=i._handlePool++;this._documentContentProviders.set(f,b),this._proxy.$registerTextContentProvider(f,k);let l;return typeof b.onDidChange=="function"&&(l=b.onDidChange(m=>{if(m.scheme!==k){this._logService.warn(`Provider for scheme '${k}' is firing event for schema '${m.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(m)&&this.$provideTextDocumentContent(f,m).then(S=>{if(!(!S&&typeof S!="string")){const g=this._documentsAndEditors.getDocument(m);if(!!g){const _=(0,y.splitLines)(S);if(!g.equalLines(_))return this._proxy.$onVirtualDocumentChange(m,S)}}},v.onUnexpectedError)})),new A.Disposable(()=>{this._documentContentProviders.delete(f)&&this._proxy.$unregisterTextContentProvider(f),l&&(l.dispose(),l=void 0)})}$provideTextDocumentContent(k,b){const f=this._documentContentProviders.get(k);return f?Promise.resolve(f.provideTextDocumentContent(D.URI.revive(b),P.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${b.scheme}`))}}e.ExtHostDocumentContentProvider=i,i._handlePool=0}),define(pe[234],ve([0,1,3,6,2,5,119,20,15,22]),function(Q,e,v,D,A,I,C,P,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class T{constructor(b,f){this._onDidAddDocument=new v.Emitter,this._onDidRemoveDocument=new v.Emitter,this._onDidChangeDocument=new v.Emitter,this._onDidSaveDocument=new v.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new D.DisposableStore,this._documentLoader=new Map,this._proxy=b.getProxy(I.MainContext.MainThreadDocuments),this._documentsAndEditors=f,this._documentsAndEditors.onDidRemoveDocuments(l=>{for(const m of l)this._onDidRemoveDocument.fire(m.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(l=>{for(const m of l)this._onDidAddDocument.fire(m.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(b){if(!!b){const f=this._documentsAndEditors.getDocument(b);if(f)return f}}getDocument(b){const f=this.getDocumentData(b);if(!(f==null?void 0:f.document))throw new Error(`Unable to retrieve document from URI '${b}'`);return f.document}ensureDocumentData(b){const f=this._documentsAndEditors.getDocument(b);if(f)return Promise.resolve(f);let l=this._documentLoader.get(b.toString());return l||(l=this._proxy.$tryOpenDocument(b).then(m=>{this._documentLoader.delete(b.toString());const S=A.URI.revive(m);return(0,y.assertIsDefined)(this._documentsAndEditors.getDocument(S))},m=>(this._documentLoader.delete(b.toString()),Promise.reject(m))),this._documentLoader.set(b.toString(),l)),l}createDocumentData(b){return this._proxy.$tryCreateDocument(b).then(f=>A.URI.revive(f))}$acceptModelModeChanged(b,f){const l=A.URI.revive(b),m=this._documentsAndEditors.getDocument(l);if(!m)throw new Error("unknown document");this._onDidRemoveDocument.fire(m.document),m._acceptLanguageId(f),this._onDidAddDocument.fire(m.document)}$acceptModelSaved(b){const f=A.URI.revive(b),l=this._documentsAndEditors.getDocument(f);if(!l)throw new Error("unknown document");this.$acceptDirtyStateChanged(b,!1),this._onDidSaveDocument.fire(l.document)}$acceptDirtyStateChanged(b,f){const l=A.URI.revive(b),m=this._documentsAndEditors.getDocument(l);if(!m)throw new Error("unknown document");m._acceptIsDirty(f),this._onDidChangeDocument.fire({document:m.document,contentChanges:[]})}$acceptModelChanged(b,f,l){const m=A.URI.revive(b),S=this._documentsAndEditors.getDocument(m);if(!S)throw new Error("unknown document");S._acceptIsDirty(l),S.onEvents(f),this._onDidChangeDocument.fire((0,i.deepFreeze)({document:S.document,contentChanges:f.changes.map(g=>({range:P.Range.to(g.range),rangeOffset:g.rangeOffset,rangeLength:g.rangeLength,text:g.text}))}))}setWordDefinitionFor(b,f){(0,C.setWordDefinitionFor)(b,f)}}e.ExtHostDocuments=T}),define(pe[38],ve([0,1,53,3,6,2,4,5,119,14,120,20,13,23,11,72,131]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class g{constructor(c){this.value=c,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let _=class{constructor(c,o){this._extHostRpc=c,this._logService=o,this._activeEditorId=null,this._editors=new Map,this._documents=new f.ResourceMap,this._onDidAddDocuments=new D.Emitter,this._onDidRemoveDocuments=new D.Emitter,this._onDidChangeVisibleTextEditors=new D.Emitter,this._onDidChangeActiveTextEditor=new D.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(c){this.acceptDocumentsAndEditorsDelta(c)}acceptDocumentsAndEditorsDelta(c){const o=[],t=[],r=[];if(c.removedDocuments)for(const s of c.removedDocuments){const a=I.URI.revive(s),n=this._documents.get(a);(n==null?void 0:n.unref())&&(this._documents.delete(a),o.push(n.value))}if(c.addedDocuments)for(const s of c.addedDocuments){const a=I.URI.revive(s.uri);let n=this._documents.get(a);if(n&&a.scheme!==l.Schemas.vscodeNotebookCell)throw new Error(`document '${a} already exists!'`);n||(n=new g(new y.ExtHostDocumentData(this._extHostRpc.getProxy(P.MainContext.MainThreadDocuments),a,s.lines,s.EOL,s.versionId,s.modeId,s.isDirty,s.notebook)),this._documents.set(a,n),t.push(n.value)),n.ref()}if(c.removedEditors)for(const s of c.removedEditors){const a=this._editors.get(s);this._editors.delete(s),a&&r.push(a)}if(c.addedEditors)for(const s of c.addedEditors){const a=I.URI.revive(s.documentUri);v.ok(this._documents.has(a),`document '${a}' does not exist`),v.ok(!this._editors.has(s.id),`editor '${s.id}' already exists!`);const n=this._documents.get(a).value,d=new T.ExtHostTextEditor(s.id,this._extHostRpc.getProxy(P.MainContext.MainThreadTextEditors),this._logService,new S.Lazy(()=>n.document),s.selections.map(k.Selection.to),s.options,s.visibleRanges.map(p=>k.Range.to(p)),typeof s.editorPosition=="number"?k.ViewColumn.to(s.editorPosition):void 0);this._editors.set(s.id,d)}c.newActiveEditor!==void 0&&(v.ok(c.newActiveEditor===null||this._editors.has(c.newActiveEditor),`active editor '${c.newActiveEditor}' does not exist`),this._activeEditorId=c.newActiveEditor),(0,A.dispose)(o),(0,A.dispose)(r),c.removedDocuments&&this._onDidRemoveDocuments.fire(o),c.addedDocuments&&this._onDidAddDocuments.fire(t),(c.removedEditors||c.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(s=>s.value)),c.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(c){var o;return(o=this._documents.get(c))===null||o===void 0?void 0:o.value}allDocuments(){return m.Iterable.map(this._documents.values(),c=>c.value)}getEditor(c){return this._editors.get(c)}activeEditor(c){if(!!this._activeEditorId){const o=this._editors.get(this._activeEditorId);return c?o:o==null?void 0:o.value}}allEditors(){return[...this._editors.values()]}};_=je([Ue(0,i.IExtHostRpcService),Ue(1,b.ILogService)],_),e.ExtHostDocumentsAndEditors=_,e.IExtHostDocumentsAndEditors=(0,C.createDecorator)("IExtHostDocumentsAndEditors")}),define(pe[235],ve([0,1,2,5,6,8,20,140,9,26]),function(Q,e,v,D,A,I,C,P,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class T{constructor(){this._schemes=[]}add(f){this._stateMachine=void 0,this._schemes.push(f)}delete(f){const l=this._schemes.indexOf(f);l>=0&&(this._schemes.splice(l,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const f=this._schemes.sort(),l=[];let m,S,g=14,_=14;for(const u of f){let c=m?(0,y.commonPrefixLength)(m,u):0;for(c===0?S=1:S=_;c<u.length;c++)c+1===u.length?(g=_,_=9):_+=1,l.push([S,u.toUpperCase().charCodeAt(c),_]),l.push([S,u.toLowerCase().charCodeAt(c),_]),S=_;m=u,_=g}l.push([9,58,10]),l.push([10,47,12]),this._stateMachine=new P.StateMachine(l)}}provideDocumentLinks(f){this._initStateMachine();const l=[],m=P.LinkComputer.computeLinks({getLineContent(S){return f.lineAt(S-1).text},getLineCount(){return f.lineCount}},this._stateMachine);for(const S of m){const g=C.DocumentLink.to(S);g.target&&l.push(g)}return l}}class k{constructor(f,l){this._extHostLanguageFeatures=l,this._linkProvider=new T,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._handlePool=0,this._proxy=f.getProxy(D.MainContext.MainThreadFileSystem)}dispose(){var f;(f=this._linkProviderRegistration)===null||f===void 0||f.dispose()}_registerLinkProviderIfNotYetRegistered(){this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(void 0,"*",this._linkProvider))}registerFileSystemProvider(f,l,m,S={}){if(this._registeredSchemes.has(l))throw new Error(`a provider for the scheme '${l}' is already registered`);this._registerLinkProviderIfNotYetRegistered();const g=this._handlePool++;this._linkProvider.add(l),this._registeredSchemes.add(l),this._fsProvider.set(g,m);let _=2;S.isCaseSensitive&&(_+=1024),S.isReadonly&&(_+=2048),typeof m.copy=="function"&&(_+=8),typeof m.open=="function"&&typeof m.close=="function"&&typeof m.read=="function"&&typeof m.write=="function"&&(_+=4),this._proxy.$registerFileSystemProvider(g,l,_).catch(c=>{console.error(`FAILED to register filesystem provider of ${f.value}-extension for the scheme ${l}`),console.error(c)});const u=m.onDidChangeFile(c=>{const o=[];for(const t of c){let{uri:r,type:s}=t;if(r.scheme===l){let a;switch(s){case I.FileChangeType.Changed:a=0;break;case I.FileChangeType.Created:a=1;break;case I.FileChangeType.Deleted:a=2;break;default:throw new Error("Unknown FileChangeType")}o.push({resource:r,type:a})}}this._proxy.$onFileSystemChange(g,o)});return(0,A.toDisposable)(()=>{u.dispose(),this._linkProvider.delete(l),this._registeredSchemes.delete(l),this._fsProvider.delete(g),this._proxy.$unregisterProvider(g)})}static _asIStat(f){const{type:l,ctime:m,mtime:S,size:g}=f;return{type:l,ctime:m,mtime:S,size:g}}$stat(f,l){return Promise.resolve(this._getFsProvider(f).stat(v.URI.revive(l))).then(k._asIStat)}$readdir(f,l){return Promise.resolve(this._getFsProvider(f).readDirectory(v.URI.revive(l)))}$readFile(f,l){return Promise.resolve(this._getFsProvider(f).readFile(v.URI.revive(l))).then(m=>i.VSBuffer.wrap(m))}$writeFile(f,l,m,S){return Promise.resolve(this._getFsProvider(f).writeFile(v.URI.revive(l),m.buffer,S))}$delete(f,l,m){return Promise.resolve(this._getFsProvider(f).delete(v.URI.revive(l),m))}$rename(f,l,m,S){return Promise.resolve(this._getFsProvider(f).rename(v.URI.revive(l),v.URI.revive(m),S))}$copy(f,l,m,S){const g=this._getFsProvider(f);if(!g.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(g.copy(v.URI.revive(l),v.URI.revive(m),S))}$mkdir(f,l){return Promise.resolve(this._getFsProvider(f).createDirectory(v.URI.revive(l)))}$watch(f,l,m,S){const g=this._getFsProvider(f).watch(v.URI.revive(m),S);this._watches.set(l,g)}$unwatch(f,l){const m=this._watches.get(l);m&&(m.dispose(),this._watches.delete(l))}$open(f,l,m){const S=this._getFsProvider(f);if(!S.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(S.open(v.URI.revive(l),m))}$close(f,l){const m=this._getFsProvider(f);if(!m.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(m.close(l))}$read(f,l,m,S){const g=this._getFsProvider(f);if(!g.read)throw new Error('FileSystemProvider does not implement "read"');const _=i.VSBuffer.alloc(S);return Promise.resolve(g.read(l,m,_.buffer,0,S)).then(u=>_.slice(0,u))}$write(f,l,m,S){const g=this._getFsProvider(f);if(!g.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(g.write(l,m,S.buffer,0,S.byteLength))}_getFsProvider(f){const l=this._fsProvider.get(f);if(!l){const m=new Error;throw m.name="ENOPRO",m.message="no provider",m}return l}}e.ExtHostFileSystem=k}),define(pe[87],ve([0,1,5,49,8,26,4,14,62]),function(Q,e,v,D,A,I,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let i=class Rt{constructor(k,b){const f=k.getProxy(v.MainContext.MainThreadFileSystem);this.value=Object.freeze({stat(l){return f.$stat(l).catch(Rt._handleError)},readDirectory(l){return f.$readdir(l).catch(Rt._handleError)},createDirectory(l){return f.$mkdir(l).catch(Rt._handleError)},async readFile(l){return f.$readFile(l).then(m=>m.buffer).catch(Rt._handleError)},writeFile(l,m){return f.$writeFile(l,I.VSBuffer.wrap(m)).catch(Rt._handleError)},delete(l,m){return f.$delete(l,Object.assign({recursive:!1,useTrash:!1},m)).catch(Rt._handleError)},rename(l,m,S){return f.$rename(l,m,Object.assign({overwrite:!1},S)).catch(Rt._handleError)},copy(l,m,S){return f.$copy(l,m,Object.assign({overwrite:!1},S)).catch(Rt._handleError)},isWritableFileSystem(l){const m=b.getCapabilities(l);if(typeof m=="number")return!(m&2048)}})}static _handleError(k){if(!(k instanceof Error))throw new A.FileSystemError(String(k));if(k.name==="ENOPRO")throw A.FileSystemError.Unavailable(k.message);switch(k.name){case D.FileSystemProviderErrorCode.FileExists:throw A.FileSystemError.FileExists(k.message);case D.FileSystemProviderErrorCode.FileNotFound:throw A.FileSystemError.FileNotFound(k.message);case D.FileSystemProviderErrorCode.FileNotADirectory:throw A.FileSystemError.FileNotADirectory(k.message);case D.FileSystemProviderErrorCode.FileIsADirectory:throw A.FileSystemError.FileIsADirectory(k.message);case D.FileSystemProviderErrorCode.NoPermissions:throw A.FileSystemError.NoPermissions(k.message);case D.FileSystemProviderErrorCode.Unavailable:throw A.FileSystemError.Unavailable(k.message);default:throw new A.FileSystemError(k.message,k.name)}}};i=je([Ue(0,P.IExtHostRpcService),Ue(1,y.IExtHostFileSystemInfo)],i),e.ExtHostConsumerFileSystem=i,e.IExtHostConsumerFileSystem=(0,C.createDecorator)("IExtHostConsumerFileSystem")}),define(pe[236],ve([0,1,6,5]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class A{constructor(C){this._handlePool=0,this._proxy=C.getProxy(D.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(C){const P=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(P,C),(0,v.toDisposable)(()=>{this._proxy.$unregisterResourceLabelFormatter(P)})}}e.ExtHostLabelService=A}),define(pe[237],ve([0,1,2,22,20,8,19,5,9,43,12,15,137,6,105,71,115,45,18]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S,g,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class u{constructor(H,X){this._documents=H,this._provider=X}provideDocumentSymbols(H,X){const te=this._documents.getDocument(H);return(0,C.asPromise)(()=>this._provider.provideDocumentSymbols(te,X)).then(oe=>{if(!(0,T.isFalsyOrEmpty)(oe))return oe[0]instanceof I.DocumentSymbol?oe.map(A.DocumentSymbol.from):u._asDocumentSymbolTree(oe)})}static _asDocumentSymbolTree(H){var X;H=H.slice(0).sort((we,De)=>{let Me=we.location.range.start.compareTo(De.location.range.start);return Me===0&&(Me=De.location.range.end.compareTo(we.location.range.end)),Me});const te=[],oe=[];for(const we of H){const De={name:we.name||"!!MISSING: name!!",kind:A.SymbolKind.from(we.kind),tags:((X=we.tags)===null||X===void 0?void 0:X.map(A.SymbolTag.from))||[],detail:"",containerName:we.containerName,range:A.Range.from(we.location.range),selectionRange:A.Range.from(we.location.range),children:[]};for(;;){if(oe.length===0){oe.push(De),te.push(De);break}const Me=oe[oe.length-1];if(i.Range.containsRange(Me.range,De.range)&&!i.Range.equalsRange(Me.range,De.range)){Me.children&&Me.children.push(De),oe.push(De);break}oe.pop()}}return te}}class c{constructor(H,X,te){this._documents=H,this._commands=X,this._provider=te,this._cache=new S.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses(H,X){const te=this._documents.getDocument(H),oe=await this._provider.provideCodeLenses(te,X);if(!(!oe||X.isCancellationRequested)){const we=this._cache.add(oe),De=new f.DisposableStore;this._disposables.set(we,De);const Me={cacheId:we,lenses:[]};for(let _e=0;_e<oe.length;_e++)Me.lenses.push({cacheId:[we,_e],range:A.Range.from(oe[_e].range),command:this._commands.toInternal(oe[_e].command,De)});return Me}}async resolveCodeLens(H,X){var te;const oe=H.cacheId&&this._cache.get(...H.cacheId);if(!!oe){let we;if(typeof this._provider.resolveCodeLens!="function"||oe.isResolved?we=oe:we=await this._provider.resolveCodeLens(oe,X),we||(we=oe),!X.isCancellationRequested){const De=H.cacheId&&this._disposables.get(H.cacheId[0]);if(!!De)return H.command=this._commands.toInternal((te=we.command)!==null&&te!==void 0?te:c._badCmd,De),H}}}releaseCodeLenses(H){var X;(X=this._disposables.get(H))===null||X===void 0||X.dispose(),this._disposables.delete(H),this._cache.delete(H)}}c._badCmd={command:"missing",title:"!!MISSING: command!!"};function o(Fe){return Array.isArray(Fe)?Fe.map(A.DefinitionLink.from):Fe?[A.DefinitionLink.from(Fe)]:[]}class t{constructor(H,X){this._documents=H,this._provider=X}provideDefinition(H,X,te){const oe=this._documents.getDocument(H),we=A.Position.to(X);return(0,C.asPromise)(()=>this._provider.provideDefinition(oe,we,te)).then(o)}}class r{constructor(H,X){this._documents=H,this._provider=X}provideDeclaration(H,X,te){const oe=this._documents.getDocument(H),we=A.Position.to(X);return(0,C.asPromise)(()=>this._provider.provideDeclaration(oe,we,te)).then(o)}}class s{constructor(H,X){this._documents=H,this._provider=X}provideImplementation(H,X,te){const oe=this._documents.getDocument(H),we=A.Position.to(X);return(0,C.asPromise)(()=>this._provider.provideImplementation(oe,we,te)).then(o)}}class a{constructor(H,X){this._documents=H,this._provider=X}provideTypeDefinition(H,X,te){const oe=this._documents.getDocument(H),we=A.Position.to(X);return(0,C.asPromise)(()=>this._provider.provideTypeDefinition(oe,we,te)).then(o)}}class n{constructor(H,X){this._documents=H,this._provider=X}provideHover(H,X,te){const oe=this._documents.getDocument(H),we=A.Position.to(X);return(0,C.asPromise)(()=>this._provider.provideHover(oe,we,te)).then(De=>{if(!(!De||(0,T.isFalsyOrEmpty)(De.contents)))return De.range||(De.range=oe.getWordRangeAtPosition(we)),De.range||(De.range=new I.Range(we,we)),A.Hover.from(De)})}}class d{constructor(H,X){this._documents=H,this._provider=X}provideEvaluatableExpression(H,X,te){const oe=this._documents.getDocument(H),we=A.Position.to(X);return(0,C.asPromise)(()=>this._provider.provideEvaluatableExpression(oe,we,te)).then(De=>{if(De)return A.EvaluatableExpression.from(De)})}}class p{constructor(H,X){this._documents=H,this._provider=X}provideInlineValues(H,X,te,oe){const we=this._documents.getDocument(H);return(0,C.asPromise)(()=>this._provider.provideInlineValues(we,A.Range.to(X),A.InlineValueContext.to(te),oe)).then(De=>{if(Array.isArray(De))return De.map(Me=>A.InlineValue.from(Me))})}}class E{constructor(H,X){this._documents=H,this._provider=X}provideDocumentHighlights(H,X,te){const oe=this._documents.getDocument(H),we=A.Position.to(X);return(0,C.asPromise)(()=>this._provider.provideDocumentHighlights(oe,we,te)).then(De=>{if(Array.isArray(De))return De.map(A.DocumentHighlight.from)})}}class h{constructor(H,X){this._documents=H,this._provider=X}provideLinkedEditingRanges(H,X,te){const oe=this._documents.getDocument(H),we=A.Position.to(X);return(0,C.asPromise)(()=>this._provider.provideLinkedEditingRanges(oe,we,te)).then(De=>{if(De&&Array.isArray(De.ranges))return{ranges:(0,T.coalesce)(De.ranges.map(A.Range.from)),wordPattern:De.wordPattern}})}}class w{constructor(H,X){this._documents=H,this._provider=X}provideReferences(H,X,te,oe){const we=this._documents.getDocument(H),De=A.Position.to(X);return(0,C.asPromise)(()=>this._provider.provideReferences(we,De,te,oe)).then(Me=>{if(Array.isArray(Me))return Me.map(A.location.from)})}}class R{constructor(H,X,te,oe,we,De,Me){this._documents=H,this._commands=X,this._diagnostics=te,this._provider=oe,this._logService=we,this._extension=De,this._apiDeprecation=Me,this._cache=new S.Cache("CodeAction"),this._disposables=new Map}provideCodeActions(H,X,te,oe){const we=this._documents.getDocument(H),De=b.Selection.isISelection(X)?A.Selection.to(X):A.Range.to(X),Me=[];for(const ke of this._diagnostics.getDiagnostics(H))if(De.intersection(ke.range)&&Me.push(ke)>R._maxCodeActionsPerFile)break;const _e={diagnostics:Me,only:te.only?new I.CodeActionKind(te.only):void 0,triggerKind:A.CodeActionTriggerKind.to(te.trigger)};return(0,C.asPromise)(()=>this._provider.provideCodeActions(we,De,_e,oe)).then(ke=>{var Re;if(!(!(0,T.isNonEmptyArray)(ke)||oe.isCancellationRequested)){const xe=this._cache.add(ke),ye=new f.DisposableStore;this._disposables.set(xe,ye);const Ge=[];for(let K=0;K<ke.length;K++){const ie=ke[K];!ie||(R._isCommand(ie)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),Ge.push({_isSynthetic:!0,title:ie.title,command:this._commands.toInternal(ie,ye)})):(_e.only&&(ie.kind?_e.only.contains(ie.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${_e.only.value} 'requested but returned code action is of kind '${ie.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${_e.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),Ge.push({cacheId:[xe,K],title:ie.title,command:ie.command&&this._commands.toInternal(ie.command,ye),diagnostics:ie.diagnostics&&ie.diagnostics.map(A.Diagnostic.from),edit:ie.edit&&A.WorkspaceEdit.from(ie.edit),kind:ie.kind&&ie.kind.value,isPreferred:ie.isPreferred,disabled:(Re=ie.disabled)===null||Re===void 0?void 0:Re.reason})))}return{cacheId:xe,actions:Ge}}})}async resolveCodeAction(H,X){var te;const[oe,we]=H,De=this._cache.get(oe,we);if(!(!De||R._isCommand(De))&&!!this._provider.resolveCodeAction){const Me=(te=await this._provider.resolveCodeAction(De,X))!==null&&te!==void 0?te:De;return(Me==null?void 0:Me.edit)?A.WorkspaceEdit.from(Me.edit):void 0}}releaseCodeActions(H){var X;(X=this._disposables.get(H))===null||X===void 0||X.dispose(),this._disposables.delete(H),this._cache.delete(H)}static _isCommand(H){return typeof H.command=="string"&&typeof H.title=="string"}}R._maxCodeActionsPerFile=1e3;class L{constructor(H,X){this._documents=H,this._provider=X}provideDocumentFormattingEdits(H,X,te){const oe=this._documents.getDocument(H);return(0,C.asPromise)(()=>this._provider.provideDocumentFormattingEdits(oe,X,te)).then(we=>{if(Array.isArray(we))return we.map(A.TextEdit.from)})}}class U{constructor(H,X){this._documents=H,this._provider=X}provideDocumentRangeFormattingEdits(H,X,te,oe){const we=this._documents.getDocument(H),De=A.Range.to(X);return(0,C.asPromise)(()=>this._provider.provideDocumentRangeFormattingEdits(we,De,te,oe)).then(Me=>{if(Array.isArray(Me))return Me.map(A.TextEdit.from)})}}class J{constructor(H,X){this._documents=H,this._provider=X,this.autoFormatTriggerCharacters=[]}provideOnTypeFormattingEdits(H,X,te,oe,we){const De=this._documents.getDocument(H),Me=A.Position.to(X);return(0,C.asPromise)(()=>this._provider.provideOnTypeFormattingEdits(De,Me,te,oe,we)).then(_e=>{if(Array.isArray(_e))return _e.map(A.TextEdit.from)})}}class Z{constructor(H,X){this._provider=H,this._logService=X,this._symbolCache=new Map,this._resultCache=new Map}provideWorkspaceSymbols(H,X){const te=P.IdObject.mixin({symbols:[]});return(0,C.asPromise)(()=>this._provider.provideWorkspaceSymbols(H,X)).then(oe=>{if((0,T.isNonEmptyArray)(oe)){for(const we of oe)if(!!we){if(!we.name){this._logService.warn("INVALID SymbolInformation, lacks name",we);continue}const De=P.IdObject.mixin(A.WorkspaceSymbol.from(we));this._symbolCache.set(De._id,we),te.symbols.push(De)}}}).then(()=>(te.symbols.length>0&&this._resultCache.set(te._id,[te.symbols[0]._id,te.symbols[te.symbols.length-1]._id]),te))}async resolveWorkspaceSymbol(H,X){if(typeof this._provider.resolveWorkspaceSymbol!="function")return H;const te=this._symbolCache.get(H._id);if(te){const oe=await(0,C.asPromise)(()=>this._provider.resolveWorkspaceSymbol(te,X));return oe&&(0,D.mixin)(H,A.WorkspaceSymbol.from(oe),!0)}}releaseWorkspaceSymbols(H){const X=this._resultCache.get(H);if(X){for(let[te,oe]=X;te<=oe;te++)this._symbolCache.delete(te);this._resultCache.delete(H)}}}class z{constructor(H,X,te){this._documents=H,this._provider=X,this._logService=te}static supportsResolving(H){return typeof H.prepareRename=="function"}provideRenameEdits(H,X,te,oe){const we=this._documents.getDocument(H),De=A.Position.to(X);return(0,C.asPromise)(()=>this._provider.provideRenameEdits(we,De,te,oe)).then(Me=>{if(!!Me)return A.WorkspaceEdit.from(Me)},Me=>{const _e=z._asMessage(Me);return _e?{rejectReason:_e,edits:void 0}:Promise.reject(Me)})}resolveRenameLocation(H,X,te){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const oe=this._documents.getDocument(H),we=A.Position.to(X);return(0,C.asPromise)(()=>this._provider.prepareRename(oe,we,te)).then(De=>{let Me,_e;if(I.Range.isRange(De)?(Me=De,_e=oe.getText(De)):(0,k.isObject)(De)&&(Me=De.range,_e=De.placeholder),!!Me){if(Me.start.line>we.line||Me.end.line<we.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:A.Range.from(Me),text:_e}}},De=>{const Me=z._asMessage(De);return Me?{rejectReason:Me,range:void 0,text:void 0}:Promise.reject(De)})}static _asMessage(H){return typeof H=="string"?H:H instanceof Error&&typeof H.message=="string"?H.message:void 0}}class q{constructor(H,X){this.resultId=H,this.tokens=X}}class N{constructor(H,X){this._documents=H,this._provider=X,this._nextResultId=1,this._previousResults=new Map}provideDocumentSemanticTokens(H,X,te){const oe=this._documents.getDocument(H),we=X!==0?this._previousResults.get(X):null;return(0,C.asPromise)(()=>we&&typeof we.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?this._provider.provideDocumentSemanticTokensEdits(oe,we.resultId,te):this._provider.provideDocumentSemanticTokens(oe,te)).then(De=>(we&&this._previousResults.delete(X),De?(De=N._fixProvidedSemanticTokens(De),this._send(N._convertToEdits(we,De),De)):null))}async releaseDocumentSemanticColoring(H){this._previousResults.delete(H)}static _fixProvidedSemanticTokens(H){return N._isSemanticTokens(H)?N._isCorrectSemanticTokens(H)?H:new I.SemanticTokens(new Uint32Array(H.data),H.resultId):N._isSemanticTokensEdits(H)?N._isCorrectSemanticTokensEdits(H)?H:new I.SemanticTokensEdits(H.edits.map(X=>new I.SemanticTokensEdit(X.start,X.deleteCount,X.data?new Uint32Array(X.data):X.data)),H.resultId):H}static _isSemanticTokens(H){return H&&!!H.data}static _isCorrectSemanticTokens(H){return H.data instanceof Uint32Array}static _isSemanticTokensEdits(H){return H&&Array.isArray(H.edits)}static _isCorrectSemanticTokensEdits(H){for(const X of H.edits)if(!(X.data instanceof Uint32Array))return!1;return!0}static _convertToEdits(H,X){if(!N._isSemanticTokens(X)||!H||!H.tokens)return X;const te=H.tokens,oe=te.length,we=X.data,De=we.length;let Me=0;const _e=Math.min(oe,De);for(;Me<_e&&te[Me]===we[Me];)Me++;if(Me===oe&&Me===De)return new I.SemanticTokensEdits([],X.resultId);let ke=0;const Re=_e-Me;for(;ke<Re&&te[oe-ke-1]===we[De-ke-1];)ke++;return new I.SemanticTokensEdits([{start:Me,deleteCount:oe-Me-ke,data:we.subarray(Me,De-ke)}],X.resultId)}_send(H,X){if(N._isSemanticTokens(H)){const te=this._nextResultId++;return this._previousResults.set(te,new q(H.resultId,H.data)),(0,l.encodeSemanticTokensDto)({id:te,type:"full",data:H.data})}if(N._isSemanticTokensEdits(H)){const te=this._nextResultId++;return N._isSemanticTokens(X)?this._previousResults.set(te,new q(X.resultId,X.data)):this._previousResults.set(te,new q(H.resultId)),(0,l.encodeSemanticTokensDto)({id:te,type:"delta",deltas:(H.edits||[]).map(oe=>({start:oe.start,deleteCount:oe.deleteCount,data:oe.data}))})}return null}}e.DocumentSemanticTokensAdapter=N;class W{constructor(H,X){this._documents=H,this._provider=X}provideDocumentRangeSemanticTokens(H,X,te){const oe=this._documents.getDocument(H);return(0,C.asPromise)(()=>this._provider.provideDocumentRangeSemanticTokens(oe,A.Range.to(X),te)).then(we=>we?this._send(we):null)}_send(H){return(0,l.encodeSemanticTokensDto)({id:0,type:"full",data:H.data})}}e.DocumentRangeSemanticTokensAdapter=W;class M{constructor(H,X,te,oe,we){this._documents=H,this._commands=X,this._provider=te,this._apiDeprecation=oe,this._extension=we,this._cache=new S.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving(H){return typeof H.resolveCompletionItem=="function"}async provideCompletionItems(H,X,te,oe){const we=this._documents.getDocument(H),De=A.Position.to(X),Me=we.getWordRangeAtPosition(De)||new I.Range(De,De),_e=Me.with({end:De}),ke=new g.StopWatch(!0),Re=await(0,C.asPromise)(()=>this._provider.provideCompletionItems(we,De,oe,A.CompletionContext.to(te)));if(!!Re&&!oe.isCancellationRequested){const xe=Array.isArray(Re)?new I.CompletionList(Re):Re,ye=M.supportsResolving(this._provider)?this._cache.add(xe.items):this._cache.add([]),Ge=new f.DisposableStore;this._disposables.set(ye,Ge);const K=[],ie={x:ye,b:K,a:{replace:A.Range.from(Me),insert:A.Range.from(_e)},c:xe.isIncomplete||void 0,d:ke.elapsed()};for(let Se=0;Se<xe.items.length;Se++){const Ne=xe.items[Se],ze=this._convertCompletionItem(Ne,[ye,Se],_e,Me);K.push(ze)}return ie}}async resolveCompletionItem(H,X){if(typeof this._provider.resolveCompletionItem=="function"){const te=this._cache.get(...H);if(!!te){const oe=await(0,C.asPromise)(()=>this._provider.resolveCompletionItem(te,X));if(!!oe)return this._convertCompletionItem(oe,H)}}}releaseCompletionItems(H){var X;(X=this._disposables.get(H))===null||X===void 0||X.dispose(),this._disposables.delete(H),this._cache.delete(H)}_convertCompletionItem(H,X,te,oe){var we;const De=this._disposables.get(X[0]);if(!De)throw Error("DisposableStore is missing...");const Me={x:X,a:(we=H.label)!==null&&we!==void 0?we:"",o:H.label2,b:H.kind!==void 0?A.CompletionItemKind.from(H.kind):void 0,n:H.tags&&H.tags.map(A.CompletionItemTag.from),c:H.detail,d:typeof H.documentation=="undefined"?void 0:A.MarkdownString.fromStrict(H.documentation),e:H.sortText!==H.label?H.sortText:void 0,f:H.filterText!==H.label?H.filterText:void 0,g:H.preselect||void 0,i:H.keepWhitespace?1:0,k:H.commitCharacters,l:H.additionalTextEdits&&H.additionalTextEdits.map(A.TextEdit.from),m:this._commands.toInternal(H.command,De)};H.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),Me.h=H.textEdit.newText):typeof H.insertText=="string"?Me.h=H.insertText:H.insertText instanceof I.SnippetString&&(Me.h=H.insertText.value,Me.i|=4);let _e;return H.textEdit?_e=H.textEdit.range:H.range&&(_e=H.range),I.Range.isRange(_e)?Me.j=A.Range.from(_e):_e&&(!(te==null?void 0:te.isEqual(_e.inserting))||!(oe==null?void 0:oe.isEqual(_e.replacing)))&&(Me.j={insert:A.Range.from(_e.inserting),replace:A.Range.from(_e.replacing)}),Me}}class O{constructor(H,X){this._documents=H,this._provider=X,this._cache=new S.Cache("SignatureHelp")}provideSignatureHelp(H,X,te,oe){const we=this._documents.getDocument(H),De=A.Position.to(X),Me=this.reviveContext(te);return(0,C.asPromise)(()=>this._provider.provideSignatureHelp(we,De,oe,Me)).then(_e=>{if(_e){const ke=this._cache.add([_e]);return Object.assign(Object.assign({},A.SignatureHelp.from(_e)),{id:ke})}})}reviveContext(H){let X;if(H.activeSignatureHelp){const te=A.SignatureHelp.to(H.activeSignatureHelp),oe=this._cache.get(H.activeSignatureHelp.id,0);oe?(X=oe,X.activeSignature=te.activeSignature,X.activeParameter=te.activeParameter):X=te}return Object.assign(Object.assign({},H),{activeSignatureHelp:X})}releaseSignatureHelp(H){this._cache.delete(H)}}class F{constructor(H,X){this._documents=H,this._provider=X}provideInlineHints(H,X,te){const oe=this._documents.getDocument(H);return(0,C.asPromise)(()=>this._provider.provideInlineHints(oe,A.Range.to(X),te)).then(we=>we?{hints:we.map(A.InlineHint.from)}:void 0)}}class B{constructor(H,X){this._documents=H,this._provider=X,this._cache=new S.Cache("DocumentLink")}provideLinks(H,X){const te=this._documents.getDocument(H);return(0,C.asPromise)(()=>this._provider.provideDocumentLinks(te,X)).then(oe=>{if(!(!Array.isArray(oe)||oe.length===0)&&!X.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:oe.map(A.DocumentLink.from)};{const we=this._cache.add(oe),De={links:[],id:we};for(let Me=0;Me<oe.length;Me++){const _e=A.DocumentLink.from(oe[Me]);_e.cacheId=[we,Me],De.links.push(_e)}return De}}})}resolveLink(H,X){if(typeof this._provider.resolveDocumentLink!="function")return Promise.resolve(void 0);const te=this._cache.get(...H);return te?(0,C.asPromise)(()=>this._provider.resolveDocumentLink(te,X)).then(oe=>oe&&A.DocumentLink.from(oe)||void 0):Promise.resolve(void 0)}releaseLinks(H){this._cache.delete(H)}}class V{constructor(H,X){this._documents=H,this._provider=X}provideColors(H,X){const te=this._documents.getDocument(H);return(0,C.asPromise)(()=>this._provider.provideDocumentColors(te,X)).then(oe=>Array.isArray(oe)?oe.map(De=>({color:A.Color.from(De.color),range:A.Range.from(De.range)})):[])}provideColorPresentations(H,X,te){const oe=this._documents.getDocument(H),we=A.Range.to(X.range),De=A.Color.to(X.color);return(0,C.asPromise)(()=>this._provider.provideColorPresentations(De,{document:oe,range:we},te)).then(Me=>{if(!!Array.isArray(Me))return Me.map(A.ColorPresentation.from)})}}class G{constructor(H,X){this._documents=H,this._provider=X}provideFoldingRanges(H,X,te){const oe=this._documents.getDocument(H);return(0,C.asPromise)(()=>this._provider.provideFoldingRanges(oe,X,te)).then(we=>{if(!!Array.isArray(we))return we.map(A.FoldingRange.from)})}}class ce{constructor(H,X,te){this._documents=H,this._provider=X,this._logService=te}provideSelectionRanges(H,X,te){const oe=this._documents.getDocument(H),we=X.map(A.Position.to);return(0,C.asPromise)(()=>this._provider.provideSelectionRanges(oe,we,te)).then(De=>{if(!(0,T.isNonEmptyArray)(De))return[];if(De.length!==we.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const Me=[];for(let _e=0;_e<we.length;_e++){const ke=[];Me.push(ke);let Re=we[_e],xe=De[_e];for(;;){if(!xe.range.contains(Re))throw new Error("INVALID selection range, must contain the previous range");if(ke.push(A.SelectionRange.from(xe)),!xe.parent)break;Re=xe.range,xe=xe.parent}}return Me})}}class me{constructor(H,X){this._documents=H,this._provider=X,this._idPool=new m.IdGenerator(""),this._cache=new Map}async prepareSession(H,X,te){const oe=this._documents.getDocument(H),we=A.Position.to(X),De=await this._provider.prepareCallHierarchy(oe,we,te);if(!!De){const Me=this._idPool.nextId();return this._cache.set(Me,new Map),Array.isArray(De)?De.map(_e=>this._cacheAndConvertItem(Me,_e)):[this._cacheAndConvertItem(Me,De)]}}async provideCallsTo(H,X,te){const oe=this._itemFromCache(H,X);if(!oe)throw new Error("missing call hierarchy item");const we=await this._provider.provideCallHierarchyIncomingCalls(oe,te);if(!!we)return we.map(De=>({from:this._cacheAndConvertItem(H,De.from),fromRanges:De.fromRanges.map(Me=>A.Range.from(Me))}))}async provideCallsFrom(H,X,te){const oe=this._itemFromCache(H,X);if(!oe)throw new Error("missing call hierarchy item");const we=await this._provider.provideCallHierarchyOutgoingCalls(oe,te);if(!!we)return we.map(De=>({to:this._cacheAndConvertItem(H,De.to),fromRanges:De.fromRanges.map(Me=>A.Range.from(Me))}))}releaseSession(H){this._cache.delete(H)}_cacheAndConvertItem(H,X){var te;const oe=this._cache.get(H),we={_sessionId:H,_itemId:oe.size.toString(36),name:X.name,detail:X.detail,kind:A.SymbolKind.from(X.kind),uri:X.uri,range:A.Range.from(X.range),selectionRange:A.Range.from(X.selectionRange),tags:(te=X.tags)===null||te===void 0?void 0:te.map(A.SymbolTag.from)};return oe.set(we._itemId,X),we}_itemFromCache(H,X){const te=this._cache.get(H);return te==null?void 0:te.get(X)}}class Pe{constructor(H,X){this.adapter=H,this.extension=X}}class Ie{constructor(H,X,te,oe,we,De,Me){this._adapter=new Map,this._uriTransformer=X,this._proxy=H.getProxy(P.MainContext.MainThreadLanguageFeatures),this._documents=te,this._commands=oe,this._diagnostics=we,this._logService=De,this._apiDeprecation=Me}_transformDocumentSelector(H){return(0,T.coalesce)((0,T.asArray)(H).map(X=>this._doTransformDocumentSelector(X)))}_doTransformDocumentSelector(H){if(typeof H=="string")return{$serialized:!0,language:H};if(H)return{$serialized:!0,language:H.language,scheme:this._transformScheme(H.scheme),pattern:typeof H.pattern=="undefined"?void 0:A.GlobPattern.from(H.pattern),exclusive:H.exclusive}}_transformScheme(H){return this._uriTransformer&&typeof H=="string"?this._uriTransformer.transformOutgoingScheme(H):H}_createDisposable(H){return new I.Disposable(()=>{this._adapter.delete(H),this._proxy.$unregister(H)})}_nextHandle(){return Ie._handlePool++}_withAdapter(H,X,te,oe,we=!1){const De=this._adapter.get(H);if(!De)return Promise.resolve(oe);if(De.adapter instanceof X){let Me;De.extension&&(Me=Date.now(),this._logService.trace(`[${De.extension.identifier.value}] INVOKE provider '${X.name}'`));const _e=te(De.adapter,De.extension),ke=De.extension;return ke&&Promise.resolve(_e).then(()=>this._logService.trace(`[${ke.identifier.value}] provider DONE after ${Date.now()-Me}ms`),Re=>{we&&Re instanceof _.CancellationError||(this._logService.error(`[${ke.identifier.value}] provider FAILED`),this._logService.error(Re))}),_e}return Promise.reject(new Error("no adapter found"))}_addNewAdapter(H,X){const te=this._nextHandle();return this._adapter.set(te,new Pe(H,X)),te}static _extLabel(H){return H.displayName||H.name}registerDocumentSymbolProvider(H,X,te,oe){const we=this._addNewAdapter(new u(this._documents,te),H),De=oe&&oe.label||Ie._extLabel(H);return this._proxy.$registerDocumentSymbolProvider(we,this._transformDocumentSelector(X),De),this._createDisposable(we)}$provideDocumentSymbols(H,X,te){return this._withAdapter(H,u,oe=>oe.provideDocumentSymbols(v.URI.revive(X),te),void 0)}registerCodeLensProvider(H,X,te){const oe=this._nextHandle(),we=typeof te.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(oe,new Pe(new c(this._documents,this._commands.converter,te),H)),this._proxy.$registerCodeLensSupport(oe,this._transformDocumentSelector(X),we);let De=this._createDisposable(oe);if(we!==void 0){const Me=te.onDidChangeCodeLenses(_e=>this._proxy.$emitCodeLensEvent(we));De=I.Disposable.from(De,Me)}return De}$provideCodeLenses(H,X,te){return this._withAdapter(H,c,oe=>oe.provideCodeLenses(v.URI.revive(X),te),void 0)}$resolveCodeLens(H,X,te){return this._withAdapter(H,c,oe=>oe.resolveCodeLens(X,te),void 0)}$releaseCodeLenses(H,X){this._withAdapter(H,c,te=>Promise.resolve(te.releaseCodeLenses(X)),void 0)}registerDefinitionProvider(H,X,te){const oe=this._addNewAdapter(new t(this._documents,te),H);return this._proxy.$registerDefinitionSupport(oe,this._transformDocumentSelector(X)),this._createDisposable(oe)}$provideDefinition(H,X,te,oe){return this._withAdapter(H,t,we=>we.provideDefinition(v.URI.revive(X),te,oe),[])}registerDeclarationProvider(H,X,te){const oe=this._addNewAdapter(new r(this._documents,te),H);return this._proxy.$registerDeclarationSupport(oe,this._transformDocumentSelector(X)),this._createDisposable(oe)}$provideDeclaration(H,X,te,oe){return this._withAdapter(H,r,we=>we.provideDeclaration(v.URI.revive(X),te,oe),[])}registerImplementationProvider(H,X,te){const oe=this._addNewAdapter(new s(this._documents,te),H);return this._proxy.$registerImplementationSupport(oe,this._transformDocumentSelector(X)),this._createDisposable(oe)}$provideImplementation(H,X,te,oe){return this._withAdapter(H,s,we=>we.provideImplementation(v.URI.revive(X),te,oe),[])}registerTypeDefinitionProvider(H,X,te){const oe=this._addNewAdapter(new a(this._documents,te),H);return this._proxy.$registerTypeDefinitionSupport(oe,this._transformDocumentSelector(X)),this._createDisposable(oe)}$provideTypeDefinition(H,X,te,oe){return this._withAdapter(H,a,we=>we.provideTypeDefinition(v.URI.revive(X),te,oe),[])}registerHoverProvider(H,X,te,oe){const we=this._addNewAdapter(new n(this._documents,te),H);return this._proxy.$registerHoverProvider(we,this._transformDocumentSelector(X)),this._createDisposable(we)}$provideHover(H,X,te,oe){return this._withAdapter(H,n,we=>we.provideHover(v.URI.revive(X),te,oe),void 0)}registerEvaluatableExpressionProvider(H,X,te,oe){const we=this._addNewAdapter(new d(this._documents,te),H);return this._proxy.$registerEvaluatableExpressionProvider(we,this._transformDocumentSelector(X)),this._createDisposable(we)}$provideEvaluatableExpression(H,X,te,oe){return this._withAdapter(H,d,we=>we.provideEvaluatableExpression(v.URI.revive(X),te,oe),void 0)}registerInlineValuesProvider(H,X,te,oe){const we=typeof te.onDidChangeInlineValues=="function"?this._nextHandle():void 0,De=this._addNewAdapter(new p(this._documents,te),H);this._proxy.$registerInlineValuesProvider(De,this._transformDocumentSelector(X),we);let Me=this._createDisposable(De);if(we!==void 0){const _e=te.onDidChangeInlineValues(ke=>this._proxy.$emitInlineValuesEvent(we));Me=I.Disposable.from(Me,_e)}return Me}$provideInlineValues(H,X,te,oe,we){return this._withAdapter(H,p,De=>De.provideInlineValues(v.URI.revive(X),te,oe,we),void 0)}registerDocumentHighlightProvider(H,X,te){const oe=this._addNewAdapter(new E(this._documents,te),H);return this._proxy.$registerDocumentHighlightProvider(oe,this._transformDocumentSelector(X)),this._createDisposable(oe)}$provideDocumentHighlights(H,X,te,oe){return this._withAdapter(H,E,we=>we.provideDocumentHighlights(v.URI.revive(X),te,oe),void 0)}registerLinkedEditingRangeProvider(H,X,te){const oe=this._addNewAdapter(new h(this._documents,te),H);return this._proxy.$registerLinkedEditingRangeProvider(oe,this._transformDocumentSelector(X)),this._createDisposable(oe)}$provideLinkedEditingRanges(H,X,te,oe){return this._withAdapter(H,h,async we=>{const De=await we.provideLinkedEditingRanges(v.URI.revive(X),te,oe);if(De)return{ranges:De.ranges,wordPattern:De.wordPattern?Ie._serializeRegExp(De.wordPattern):void 0}},void 0)}registerReferenceProvider(H,X,te){const oe=this._addNewAdapter(new w(this._documents,te),H);return this._proxy.$registerReferenceSupport(oe,this._transformDocumentSelector(X)),this._createDisposable(oe)}$provideReferences(H,X,te,oe,we){return this._withAdapter(H,w,De=>De.provideReferences(v.URI.revive(X),te,oe,we),void 0)}registerCodeActionProvider(H,X,te,oe){var we,De;const Me=new f.DisposableStore,_e=this._addNewAdapter(new R(this._documents,this._commands.converter,this._diagnostics,te,this._logService,H,this._apiDeprecation),H);return this._proxy.$registerQuickFixSupport(_e,this._transformDocumentSelector(X),{providedKinds:(we=oe==null?void 0:oe.providedCodeActionKinds)===null||we===void 0?void 0:we.map(ke=>ke.value),documentation:(De=oe==null?void 0:oe.documentation)===null||De===void 0?void 0:De.map(ke=>({kind:ke.kind.value,command:this._commands.converter.toInternal(ke.command,Me)}))},Ie._extLabel(H),Boolean(te.resolveCodeAction)),Me.add(this._createDisposable(_e)),Me}$provideCodeActions(H,X,te,oe,we){return this._withAdapter(H,R,De=>De.provideCodeActions(v.URI.revive(X),te,oe,we),void 0)}$resolveCodeAction(H,X,te){return this._withAdapter(H,R,oe=>oe.resolveCodeAction(X,te),void 0)}$releaseCodeActions(H,X){this._withAdapter(H,R,te=>Promise.resolve(te.releaseCodeActions(X)),void 0)}registerDocumentFormattingEditProvider(H,X,te){const oe=this._addNewAdapter(new L(this._documents,te),H);return this._proxy.$registerDocumentFormattingSupport(oe,this._transformDocumentSelector(X),H.identifier,H.displayName||H.name),this._createDisposable(oe)}$provideDocumentFormattingEdits(H,X,te,oe){return this._withAdapter(H,L,we=>we.provideDocumentFormattingEdits(v.URI.revive(X),te,oe),void 0)}registerDocumentRangeFormattingEditProvider(H,X,te){const oe=this._addNewAdapter(new U(this._documents,te),H);return this._proxy.$registerRangeFormattingSupport(oe,this._transformDocumentSelector(X),H.identifier,H.displayName||H.name),this._createDisposable(oe)}$provideDocumentRangeFormattingEdits(H,X,te,oe,we){return this._withAdapter(H,U,De=>De.provideDocumentRangeFormattingEdits(v.URI.revive(X),te,oe,we),void 0)}registerOnTypeFormattingEditProvider(H,X,te,oe){const we=this._addNewAdapter(new J(this._documents,te),H);return this._proxy.$registerOnTypeFormattingSupport(we,this._transformDocumentSelector(X),oe,H.identifier),this._createDisposable(we)}$provideOnTypeFormattingEdits(H,X,te,oe,we,De){return this._withAdapter(H,J,Me=>Me.provideOnTypeFormattingEdits(v.URI.revive(X),te,oe,we,De),void 0)}registerWorkspaceSymbolProvider(H,X){const te=this._addNewAdapter(new Z(X,this._logService),H);return this._proxy.$registerNavigateTypeSupport(te),this._createDisposable(te)}$provideWorkspaceSymbols(H,X,te){return this._withAdapter(H,Z,oe=>oe.provideWorkspaceSymbols(X,te),{symbols:[]})}$resolveWorkspaceSymbol(H,X,te){return this._withAdapter(H,Z,oe=>oe.resolveWorkspaceSymbol(X,te),void 0)}$releaseWorkspaceSymbols(H,X){this._withAdapter(H,Z,te=>te.releaseWorkspaceSymbols(X),void 0)}registerRenameProvider(H,X,te){const oe=this._addNewAdapter(new z(this._documents,te,this._logService),H);return this._proxy.$registerRenameSupport(oe,this._transformDocumentSelector(X),z.supportsResolving(te)),this._createDisposable(oe)}$provideRenameEdits(H,X,te,oe,we){return this._withAdapter(H,z,De=>De.provideRenameEdits(v.URI.revive(X),te,oe,we),void 0)}$resolveRenameLocation(H,X,te,oe){return this._withAdapter(H,z,we=>we.resolveRenameLocation(v.URI.revive(X),te,oe),void 0)}registerDocumentSemanticTokensProvider(H,X,te,oe){const we=this._nextHandle(),De=typeof te.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._adapter.set(we,new Pe(new N(this._documents,te),H)),this._proxy.$registerDocumentSemanticTokensProvider(we,this._transformDocumentSelector(X),oe,De);let Me=this._createDisposable(we);if(De){const _e=te.onDidChangeSemanticTokens(ke=>this._proxy.$emitDocumentSemanticTokensEvent(De));Me=I.Disposable.from(Me,_e)}return Me}$provideDocumentSemanticTokens(H,X,te,oe){return this._withAdapter(H,N,we=>we.provideDocumentSemanticTokens(v.URI.revive(X),te,oe),null,!0)}$releaseDocumentSemanticTokens(H,X){this._withAdapter(H,N,te=>te.releaseDocumentSemanticColoring(X),void 0)}registerDocumentRangeSemanticTokensProvider(H,X,te,oe){const we=this._addNewAdapter(new W(this._documents,te),H);return this._proxy.$registerDocumentRangeSemanticTokensProvider(we,this._transformDocumentSelector(X),oe),this._createDisposable(we)}$provideDocumentRangeSemanticTokens(H,X,te,oe){return this._withAdapter(H,W,we=>we.provideDocumentRangeSemanticTokens(v.URI.revive(X),te,oe),null,!0)}registerCompletionItemProvider(H,X,te,oe){const we=this._addNewAdapter(new M(this._documents,this._commands.converter,te,this._apiDeprecation,H),H);return this._proxy.$registerSuggestSupport(we,this._transformDocumentSelector(X),oe,M.supportsResolving(te),`${H.identifier.value}(${oe.join("")})`),this._createDisposable(we)}$provideCompletionItems(H,X,te,oe,we){return this._withAdapter(H,M,De=>De.provideCompletionItems(v.URI.revive(X),te,oe,we),void 0)}$resolveCompletionItem(H,X,te){return this._withAdapter(H,M,oe=>oe.resolveCompletionItem(X,te),void 0)}$releaseCompletionItems(H,X){this._withAdapter(H,M,te=>te.releaseCompletionItems(X),void 0)}registerSignatureHelpProvider(H,X,te,oe){const we=Array.isArray(oe)?{triggerCharacters:oe,retriggerCharacters:[]}:oe,De=this._addNewAdapter(new O(this._documents,te),H);return this._proxy.$registerSignatureHelpProvider(De,this._transformDocumentSelector(X),we),this._createDisposable(De)}$provideSignatureHelp(H,X,te,oe,we){return this._withAdapter(H,O,De=>De.provideSignatureHelp(v.URI.revive(X),te,oe,we),void 0)}$releaseSignatureHelp(H,X){this._withAdapter(H,O,te=>te.releaseSignatureHelp(X),void 0)}registerInlineHintsProvider(H,X,te){const oe=typeof te.onDidChangeInlineHints=="function"?this._nextHandle():void 0,we=this._addNewAdapter(new F(this._documents,te),H);this._proxy.$registerInlineHintsProvider(we,this._transformDocumentSelector(X),oe);let De=this._createDisposable(we);if(oe!==void 0){const Me=te.onDidChangeInlineHints(_e=>this._proxy.$emitInlineHintsEvent(oe));De=I.Disposable.from(De,Me)}return De}$provideInlineHints(H,X,te,oe){return this._withAdapter(H,F,we=>we.provideInlineHints(v.URI.revive(X),te,oe),void 0)}registerDocumentLinkProvider(H,X,te){const oe=this._addNewAdapter(new B(this._documents,te),H);return this._proxy.$registerDocumentLinkProvider(oe,this._transformDocumentSelector(X),typeof te.resolveDocumentLink=="function"),this._createDisposable(oe)}$provideDocumentLinks(H,X,te){return this._withAdapter(H,B,oe=>oe.provideLinks(v.URI.revive(X),te),void 0)}$resolveDocumentLink(H,X,te){return this._withAdapter(H,B,oe=>oe.resolveLink(X,te),void 0)}$releaseDocumentLinks(H,X){this._withAdapter(H,B,te=>te.releaseLinks(X),void 0)}registerColorProvider(H,X,te){const oe=this._addNewAdapter(new V(this._documents,te),H);return this._proxy.$registerDocumentColorProvider(oe,this._transformDocumentSelector(X)),this._createDisposable(oe)}$provideDocumentColors(H,X,te){return this._withAdapter(H,V,oe=>oe.provideColors(v.URI.revive(X),te),[])}$provideColorPresentations(H,X,te,oe){return this._withAdapter(H,V,we=>we.provideColorPresentations(v.URI.revive(X),te,oe),void 0)}registerFoldingRangeProvider(H,X,te){const oe=this._nextHandle(),we=typeof te.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(oe,new Pe(new G(this._documents,te),H)),this._proxy.$registerFoldingRangeProvider(oe,this._transformDocumentSelector(X),we);let De=this._createDisposable(oe);if(we!==void 0){const Me=te.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(we));De=I.Disposable.from(De,Me)}return De}$provideFoldingRanges(H,X,te,oe){return this._withAdapter(H,G,we=>we.provideFoldingRanges(v.URI.revive(X),te,oe),void 0)}registerSelectionRangeProvider(H,X,te){const oe=this._addNewAdapter(new ce(this._documents,te,this._logService),H);return this._proxy.$registerSelectionRangeProvider(oe,this._transformDocumentSelector(X)),this._createDisposable(oe)}$provideSelectionRanges(H,X,te,oe){return this._withAdapter(H,ce,we=>we.provideSelectionRanges(v.URI.revive(X),te,oe),[])}registerCallHierarchyProvider(H,X,te){const oe=this._addNewAdapter(new me(this._documents,te),H);return this._proxy.$registerCallHierarchyProvider(oe,this._transformDocumentSelector(X)),this._createDisposable(oe)}$prepareCallHierarchy(H,X,te,oe){return this._withAdapter(H,me,we=>Promise.resolve(we.prepareSession(v.URI.revive(X),te,oe)),void 0)}$provideCallHierarchyIncomingCalls(H,X,te,oe){return this._withAdapter(H,me,we=>we.provideCallsTo(X,te,oe),void 0)}$provideCallHierarchyOutgoingCalls(H,X,te,oe){return this._withAdapter(H,me,we=>we.provideCallsFrom(X,te,oe),void 0)}$releaseCallHierarchy(H,X){this._withAdapter(H,me,te=>Promise.resolve(te.releaseSession(X)),void 0)}static _serializeRegExp(H){return{pattern:H.source,flags:(0,y.regExpFlags)(H)}}static _serializeIndentationRule(H){return{decreaseIndentPattern:Ie._serializeRegExp(H.decreaseIndentPattern),increaseIndentPattern:Ie._serializeRegExp(H.increaseIndentPattern),indentNextLinePattern:H.indentNextLinePattern?Ie._serializeRegExp(H.indentNextLinePattern):void 0,unIndentedLinePattern:H.unIndentedLinePattern?Ie._serializeRegExp(H.unIndentedLinePattern):void 0}}static _serializeOnEnterRule(H){return{beforeText:Ie._serializeRegExp(H.beforeText),afterText:H.afterText?Ie._serializeRegExp(H.afterText):void 0,previousLineText:H.previousLineText?Ie._serializeRegExp(H.previousLineText):void 0,action:H.action}}static _serializeOnEnterRules(H){return H.map(Ie._serializeOnEnterRule)}setLanguageConfiguration(H,X,te){let{wordPattern:oe}=te;if(oe&&(0,y.regExpLeadsToEndlessLoop)(oe))throw new Error(`Invalid language configuration: wordPattern '${oe}' is not allowed to match the empty string.`);oe?this._documents.setWordDefinitionFor(X,oe):this._documents.setWordDefinitionFor(X,void 0),te.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",H,"Do not use."),te.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",H,"Do not use.");const we=this._nextHandle(),De={comments:te.comments,brackets:te.brackets,wordPattern:te.wordPattern?Ie._serializeRegExp(te.wordPattern):void 0,indentationRules:te.indentationRules?Ie._serializeIndentationRule(te.indentationRules):void 0,onEnterRules:te.onEnterRules?Ie._serializeOnEnterRules(te.onEnterRules):void 0,__electricCharacterSupport:te.__electricCharacterSupport,__characterPairSupport:te.__characterPairSupport};return this._proxy.$setLanguageConfiguration(we,X,De),this._createDisposable(we)}$setWordDefinitions(H){for(const X of H)this._documents.setWordDefinitionFor(X.languageId,new RegExp(X.regexSource,X.regexFlags))}}e.ExtHostLanguageFeatures=Ie,Ie._handlePool=0}),define(pe[238],ve([0,1,5,20,8]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class I{constructor(P,y){this._proxy=P.getProxy(v.MainContext.MainThreadLanguages),this._documents=y}getLanguages(){return this._proxy.$getLanguages()}async changeLanguage(P,y){await this._proxy.$changeLanguage(P,y);const i=this._documents.getDocumentData(P);if(!i)throw new Error(`document '${P.toString}' NOT found`);return i.document}async tokenAtPosition(P,y){var i;const T=P.version,k=D.Position.from(y),b=await this._proxy.$tokensAtPosition(P.uri,k),f={type:A.StandardTokenType.Other,range:(i=P.getWordRangeAtPosition(y))!==null&&i!==void 0?i:new A.Range(y.line,y.character,y.line,y.character)};if(!b)return f;const l={range:D.Range.to(b.range),type:D.TokenType.to(b.type)};return!l.range.contains(y)||T!==P.version?f:l}}e.ExtHostLanguages=I}),define(pe[239],ve([0,1,5,13,41]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function I(P){return P&&P.title}let C=class{constructor(y,i){this._logService=i,this._proxy=y.getProxy(v.MainContext.MainThreadMessageService)}showMessage(y,i,T,k,b){const f={extension:y};let l;typeof k=="string"||I(k)?l=[k,...b]:(f.modal=k&&k.modal,f.useCustom=k&&k.useCustom,l=b),f.useCustom&&(0,A.checkProposedApiEnabled)(y);const m=[];for(let S=0;S<l.length;S++){const g=l[S];if(typeof g=="string")m.push({title:g,handle:S,isCloseAffordance:!1});else if(typeof g=="object"){let{title:_,isCloseAffordance:u}=g;m.push({title:_,isCloseAffordance:!!u,handle:S})}else this._logService.warn("Invalid message item:",g)}return this._proxy.$showMessage(i,T,f,m).then(S=>{if(typeof S=="number")return l[S]})}};C=je([Ue(1,D.ILogService)],C),e.ExtHostMessageService=C}),define(pe[240],ve([0,1,21,3,6,2,28,5,20,8,85,51,23,216,217,71,15,74]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookCellStatusBarItemInternal=e.ExtHostNotebookController=e.NotebookEditorDecorationType=e.ExtHostNotebookKernelProviderAdapter=void 0;class _ extends A.Disposable{constructor(n,d,p,E,h){super();this._editorId=n,this.uri=d,this._proxy=p,this._webviewInitData=E,this.document=h,this._onDidReceiveDocumentMessage=new D.Emitter,this._rendererIdToEmitters=new Map,this.contentProviderComm={editorId:this._editorId,onDidReceiveMessage:this._onDidReceiveDocumentMessage.event,postMessage:w=>this._proxy.$postMessage(this._editorId,void 0,w),asWebviewUri:w=>this._asWebviewUri(w)}}onDidReceiveMessage(n,d){var p;this._onDidReceiveDocumentMessage.fire(d),n!==void 0&&((p=this._rendererIdToEmitters.get(n))===null||p===void 0||p.fire(d))}getRendererComm(n){const d=new D.Emitter;return this._rendererIdToEmitters.set(n,d),{editorId:this._editorId,onDidReceiveMessage:d.event,postMessage:p=>this._proxy.$postMessage(this._editorId,n,p),asWebviewUri:p=>this._asWebviewUri(p)}}_asWebviewUri(n){return(0,T.asWebviewUri)(this._webviewInitData,this._editorId,n)}}class u extends A.Disposable{constructor(n,d,p,E){super();this._proxy=n,this._handle=d,this._extension=p,this._provider=E,this._kernelToFriendlyId=new b.ResourceMap,this._friendlyIdToKernel=new b.ResourceMap,this._provider.onDidChangeKernels&&this._register(this._provider.onDidChangeKernels(h=>{const w=h==null?void 0:h.uri;this._proxy.$onNotebookKernelChange(this._handle,w)}))}async provideKernels(n,d){const p=await this._provider.provideKernels(n.notebookDocument,d)||[],E=new Map;let h=0;const w=new Set,R=this._kernelToFriendlyId.get(n.uri),L=p.map(J=>{let Z=R==null?void 0:R.get(J);return Z===void 0&&(J.id&&w.has(J.id)?Z=`${this._extension.identifier.value}_${J.id}_${h++}`:Z=`${this._extension.identifier.value}_${J.id||C.generateUuid()}`),E.set(J,Z),{id:J.id,friendlyId:Z,label:J.label,extension:this._extension.identifier,extensionLocation:this._extension.extensionLocation,providerHandle:this._handle,description:J.description,detail:J.detail,isPreferred:J.isPreferred,preloads:J.preloads,supportedLanguages:J.supportedLanguages}});this._kernelToFriendlyId.set(n.uri,E);const U=new Map;return E.forEach((J,Z)=>{U.set(J,Z)}),this._friendlyIdToKernel.set(n.uri,U),L}getKernelByFriendlyId(n,d){var p;return(p=this._friendlyIdToKernel.get(n))===null||p===void 0?void 0:p.get(d)}async resolveNotebook(n,d,p,E){var h;const w=(h=this._friendlyIdToKernel.get(d.uri))===null||h===void 0?void 0:h.get(n);if(w&&this._provider.resolveKernel)return this._provider.resolveKernel(w,d.notebookDocument,p,E)}async executeNotebook(n,d,p){var E;const h=(E=this._friendlyIdToKernel.get(d.uri))===null||E===void 0?void 0:E.get(n);if(!!h)return c(p?w=>h.executeCell(d.notebookDocument,p.cell,w):w=>h.executeAllCells(d.notebookDocument,w))}async cancelNotebook(n,d,p){var E;const h=(E=this._friendlyIdToKernel.get(d.uri))===null||E===void 0?void 0:E.get(n);if(!!h)return p?h.cancelCellExecution(d.notebookDocument,p.cell):h.cancelAllCellsExecution(d.notebookDocument)}}e.ExtHostNotebookKernelProviderAdapter=u;async function c(a){const n=new v.CancellationTokenSource;try{await a(n.token)}finally{n.dispose()}}class o{constructor(n,d){const p=o._Keys.nextId();n.$registerNotebookEditorDecorationType(p,y.NotebookDecorationRenderOptions.from(d)),this.value={key:p,dispose(){n.$removeNotebookEditorDecorationType(p)}}}}e.NotebookEditorDecorationType=o,o._Keys=new m.IdGenerator("NotebookEditorDecorationType");class t{constructor(n,d,p,E,h,w,R){this._textDocumentsAndEditors=p,this._textDocuments=E,this._webviewInitData=h,this.logService=w,this._extensionStoragePaths=R,this._notebookContentProviders=new Map,this._notebookKernelProviders=new Map,this._documents=new b.ResourceMap,this._editors=new Map,this._webviewComm=new Map,this._onDidChangeNotebookEditorSelection=new D.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this._onDidChangeNotebookEditorVisibleRanges=new D.Emitter,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event,this._onDidChangeNotebookDocumentMetadata=new D.Emitter,this.onDidChangeNotebookDocumentMetadata=this._onDidChangeNotebookDocumentMetadata.event,this._onDidChangeNotebookCells=new D.Emitter,this.onDidChangeNotebookCells=this._onDidChangeNotebookCells.event,this._onDidChangeCellOutputs=new D.Emitter,this.onDidChangeCellOutputs=this._onDidChangeCellOutputs.event,this._onDidChangeCellMetadata=new D.Emitter,this.onDidChangeCellMetadata=this._onDidChangeCellMetadata.event,this._onDidChangeActiveNotebookEditor=new D.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new D.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new D.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidSaveNotebookDocument=new D.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event,this._onDidChangeActiveNotebookKernel=new D.Emitter,this.onDidChangeActiveNotebookKernel=this._onDidChangeActiveNotebookKernel.event,this._onDidChangeVisibleNotebookEditors=new D.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._backupIdPool=0,this._proxy=n.getProxy(P.MainContext.MainThreadNotebook),this._commandsConverter=d.converter,d.registerArgumentProcessor({processArgument:L=>{var U;if(L&&L.$mid===12){const J=(U=L.notebookEditor)===null||U===void 0?void 0:U.notebookUri,Z=L.cell.handle,z=this._documents.get(J),q=z==null?void 0:z.getCell(Z);if(q)return q.cell}return L}})}get activeNotebookEditor(){var n;return(n=this._activeNotebookEditor)===null||n===void 0?void 0:n.editor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(n=>n.editor)}get notebookDocuments(){return[...this._documents.values()]}lookupNotebookDocument(n){return this._documents.get(n)}_getNotebookDocument(n){const d=this._documents.get(n);if(!d)throw new Error(`NO notebook document for '${n}'`);return d}_getProviderData(n){const d=this._notebookContentProviders.get(n);if(!d)throw new Error(`NO provider for '${n}'`);return d}registerNotebookContentProvider(n,d,p,E){var h,w,R;if(this._notebookContentProviders.has(d))throw new Error(`Notebook provider for '${d}' already registered`);this._notebookContentProviders.set(d,{extension:n,provider:p});let L;p.onDidChangeNotebookContentOptions&&(L=p.onDidChangeNotebookContentOptions(()=>{this._proxy.$updateNotebookProviderOptions(d,p.options)}));const U=(h=E==null?void 0:E.viewOptions)===null||h===void 0?void 0:h.filenamePattern.map(J=>y.NotebookExclusiveDocumentPattern.from(J)).filter(J=>J!==void 0);return((w=E==null?void 0:E.viewOptions)===null||w===void 0?void 0:w.filenamePattern)&&!U&&console.warn(`Notebook content provider view options file name pattern is invalid ${(R=E==null?void 0:E.viewOptions)===null||R===void 0?void 0:R.filenamePattern}`),this._proxy.$registerNotebookProvider({id:n.identifier,location:n.extensionLocation,description:n.description},d,{transientOutputs:(E==null?void 0:E.transientOutputs)||!1,transientMetadata:(E==null?void 0:E.transientMetadata)||{},viewOptions:(E==null?void 0:E.viewOptions)&&U?{displayName:E.viewOptions.displayName,filenamePattern:U,exclusive:E.viewOptions.exclusive||!1}:void 0}),new i.Disposable(()=>{L==null||L.dispose(),this._notebookContentProviders.delete(d),this._proxy.$unregisterNotebookProvider(d)})}registerNotebookKernelProvider(n,d,p){const E=t._notebookKernelProviderHandlePool++,h=new u(this._proxy,E,n,p);return this._notebookKernelProviders.set(E,h),this._proxy.$registerNotebookKernelProvider({id:n.identifier,location:n.extensionLocation,description:n.description},E,{viewType:d.viewType,filenamePattern:d.filenamePattern?y.NotebookExclusiveDocumentPattern.from(d.filenamePattern):void 0}),new i.Disposable(()=>{h.dispose(),this._notebookKernelProviders.delete(E),this._proxy.$unregisterNotebookKernelProvider(E)})}createNotebookEditorDecorationType(n){return new o(this._proxy,n).value}async openNotebookDocument(n){const d=this._documents.get(n);if(d)return d.notebookDocument;const p=await this._proxy.$tryOpenDocument(n),E=this._documents.get(I.URI.revive(p));return(0,S.assertIsDefined)(E==null?void 0:E.notebookDocument)}_withAdapter(n,d,p){const E=this._documents.get(I.URI.revive(d));if(!E)return[];const h=this._notebookKernelProviders.get(n);return h?p(h,E):[]}async showNotebookDocument(n,d){var p;I.URI.isUri(n)&&(n=await this.openNotebookDocument(n));let E;typeof d=="object"?E={position:y.ViewColumn.from(d.viewColumn),preserveFocus:d.preserveFocus,selection:d.selection&&y.NotebookCellRange.from(d.selection),pinned:typeof d.preview=="boolean"?!d.preview:void 0}:E={preserveFocus:!1};const h=await this._proxy.$tryShowNotebookDocument(n.uri,n.viewType,E),w=h&&((p=this._editors.get(h))===null||p===void 0?void 0:p.editor);if(w)return w.editor;throw h?new Error(`Could NOT open editor for "${n.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${n.toString()}".`)}async $provideNotebookKernels(n,d,p){return this._withAdapter(n,d,(E,h)=>E.provideKernels(h,p))}async $resolveNotebookKernel(n,d,p,E,h){await this._withAdapter(n,p,async(w,R)=>{const L=this._webviewComm.get(d);L&&await w.resolveNotebook(E,R,L.contentProviderComm,h)})}async $resolveNotebookEditor(n,d,p){const E=this._notebookContentProviders.get(n),h=I.URI.revive(d),w=this._documents.get(h);if(!(!w||!E)){let R=this._webviewComm.get(p);R||(R=new _(p,h,this._proxy,this._webviewInitData,w),this._webviewComm.set(p,R)),!!E.provider.resolveNotebook&&await E.provider.resolveNotebook(w.notebookDocument,R.contentProviderComm)}}async $executeNotebookKernelFromProvider(n,d,p,E){await this._withAdapter(n,d,async(h,w)=>{const R=E!==void 0?w.getCell(E):void 0;return h.executeNotebook(p,w,R)})}async $cancelNotebookKernelFromProvider(n,d,p,E){await this._withAdapter(n,d,async(h,w)=>{const R=E!==void 0?w.getCell(E):void 0;return h.cancelNotebook(p,w,R)})}async $openNotebook(n,d,p,E,h){const{provider:w}=this._getProviderData(n),R=await w.openNotebook(I.URI.revive(d),{backupId:p,untitledDocumentData:h==null?void 0:h.buffer},E);return{metadata:Object.assign(Object.assign({},k.notebookDocumentMetadataDefaults),R.metadata),cells:R.cells.map(y.NotebookCellData.from)}}async $saveNotebook(n,d,p){const E=this._getNotebookDocument(I.URI.revive(d)),{provider:h}=this._getProviderData(n);return await h.saveNotebook(E.notebookDocument,p),!0}async $saveNotebookAs(n,d,p,E){const h=this._getNotebookDocument(I.URI.revive(d)),{provider:w}=this._getProviderData(n);return await w.saveNotebookAs(I.URI.revive(p),h.notebookDocument,E),!0}async $backupNotebook(n,d,p){var E;const h=this._getNotebookDocument(I.URI.revive(d)),w=this._getProviderData(n),R=(E=this._extensionStoragePaths.workspaceValue(w.extension))!==null&&E!==void 0?E:this._extensionStoragePaths.globalValue(w.extension),L=String((0,g.hash)([h.uri.toString(),this._backupIdPool++])),U=I.URI.joinPath(R,L),J=await w.provider.backupNotebook(h.notebookDocument,{destination:U},p);return h.updateBackup(J),J.id}$acceptNotebookActiveKernelChange(n){n.providerHandle!==void 0&&this._withAdapter(n.providerHandle,n.uri,async(d,p)=>{const E=n.kernelFriendlyId?d.getKernelByFriendlyId(I.URI.revive(n.uri),n.kernelFriendlyId):void 0;this._editors.forEach(h=>{h.editor.notebookData===p&&h.editor._acceptKernel(E)}),this._onDidChangeActiveNotebookKernel.fire({document:p.notebookDocument,kernel:E})})}$onDidReceiveMessage(n,d,p){var E;(E=this._webviewComm.get(n))===null||E===void 0||E.onDidReceiveMessage(d,p)}$acceptModelChanged(n,d,p){this._getNotebookDocument(I.URI.revive(n)).acceptModelChanged(d,p)}$acceptDirtyStateChanged(n,d){const p=this._getNotebookDocument(I.URI.revive(n));p.acceptModelChanged({rawEvents:[],versionId:p.notebookDocument.version},d)}$acceptModelSaved(n){const d=this._getNotebookDocument(I.URI.revive(n));this._onDidSaveNotebookDocument.fire(d.notebookDocument)}$acceptEditorPropertiesChanged(n,d){this.logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",n,d);const p=this._editors.get(n);if(!p)throw new Error(`unknown text editor: ${n}`);d.visibleRanges&&p.editor._acceptVisibleRanges(d.visibleRanges.ranges.map(y.NotebookCellRange.to)),d.selections&&p.editor._acceptSelections(d.selections.selections.map(y.NotebookCellRange.to)),d.visibleRanges&&this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:p.editor.editor,visibleRanges:p.editor.editor.visibleRanges}),d.selections&&this._onDidChangeNotebookEditorSelection.fire(Object.freeze({notebookEditor:p.editor.editor,selections:p.editor.editor.selections}))}$acceptDocumentPropertiesChanged(n,d){this.logService.debug("ExtHostNotebook#$acceptDocumentPropertiesChanged",n.path,d);const p=this._getNotebookDocument(I.URI.revive(n));p.acceptDocumentPropertiesChanged(d),d.metadata&&this._onDidChangeNotebookDocumentMetadata.fire({document:p.notebookDocument})}_createExtHostEditor(n,d,p){var E;const h=n.uri;let w=this._webviewComm.get(d);w||(w=new _(d,h,this._proxy,this._webviewInitData,n),this._webviewComm.set(d,w));const R=new l.ExtHostNotebookEditor(d,n.notebookDocument.viewType,this._proxy,n,p.visibleRanges.map(y.NotebookCellRange.to),p.selections.map(y.NotebookCellRange.to),typeof p.viewColumn=="number"?y.ViewColumn.to(p.viewColumn):void 0);(E=this._editors.get(d))===null||E===void 0||E.editor.dispose(),this._editors.set(d,{editor:R})}$acceptDocumentAndEditorsDelta(n){var d,p,E,h;let w=!1;if(n.removedDocuments)for(const L of n.removedDocuments){const U=I.URI.revive(L),J=this._documents.get(U);J&&(J.dispose(),this._documents.delete(U),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:J.notebookDocument.cells.map(Z=>Z.document.uri)}),this._onDidCloseNotebookDocument.fire(J.notebookDocument));for(const Z of this._editors.values())Z.editor.notebookData.uri.toString()===U.toString()&&(Z.editor.dispose(),this._editors.delete(Z.editor.id),w=!0)}if(n.addedDocuments){const L=[];for(const U of n.addedDocuments){const J=I.URI.revive(U.uri),Z=U.viewType;if(this._documents.has(J))throw new Error(`adding EXISTING notebook ${J}`);const z=this,q=new f.ExtHostNotebookDocument(this._proxy,this._textDocumentsAndEditors,this._textDocuments,{emitModelChange(N){z._onDidChangeNotebookCells.fire(N)},emitCellOutputsChange(N){z._onDidChangeCellOutputs.fire(N)},emitCellMetadataChange(N){z._onDidChangeCellMetadata.fire(N)}},Z,U.metadata?y.NotebookDocumentMetadata.to(U.metadata):new i.NotebookDocumentMetadata,J);q.acceptModelChanged({versionId:U.versionId,rawEvents:[{kind:k.NotebookCellsChangeType.Initialize,changes:[[0,0,U.cells]]}]},!1),L.push(...U.cells.map(N=>f.ExtHostCell.asModelAddData(q.notebookDocument,N))),(d=this._documents.get(J))===null||d===void 0||d.dispose(),this._documents.set(J,q),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:L}),this._onDidOpenNotebookDocument.fire(q.notebookDocument)}}if(n.addedEditors)for(const L of n.addedEditors){if(this._editors.has(L.id))return;const U=I.URI.revive(L.documentUri),J=this._documents.get(U);J&&(this._createExtHostEditor(J,L.id,L),w=!0)}const R=[];if(n.removedEditors)for(const L of n.removedEditors){const U=this._editors.get(L);U&&(w=!0,this._editors.delete(L),((p=this._activeNotebookEditor)===null||p===void 0?void 0:p.id)===U.editor.id&&(this._activeNotebookEditor=void 0),R.push(U))}if(w&&R.forEach(L=>{L.editor.dispose()}),n.visibleEditors){this._visibleNotebookEditors=n.visibleEditors.map(U=>this._editors.get(U).editor).filter(U=>!!U);const L=new Set;this._visibleNotebookEditors.forEach(U=>L.add(U.id));for(const U of this._editors.values()){const J=L.has(U.editor.id);U.editor._acceptVisibility(J)}this._visibleNotebookEditors=[...this._editors.values()].map(U=>U.editor).filter(U=>U.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}n.newActiveEditor===null?this._activeNotebookEditor=void 0:n.newActiveEditor&&(this._activeNotebookEditor=(E=this._editors.get(n.newActiveEditor))===null||E===void 0?void 0:E.editor),n.newActiveEditor!==void 0&&this._onDidChangeActiveNotebookEditor.fire((h=this._activeNotebookEditor)===null||h===void 0?void 0:h.editor)}createNotebookCellStatusBarItemInternal(n,d,p){const E=new r(this._proxy,this._commandsConverter,n,d,p),h=k.CellUri.parse(n.document.uri);if(h){const w=this._documents.get(h.notebook);if(w){const R=w.getCell(h.handle);R&&D.Event.once(R.onDidDispose)(()=>E.dispose())}}return E}}e.ExtHostNotebookController=t,t._notebookKernelProviderHandlePool=0;class r extends A.Disposable{constructor(n,d,p,E,h){super();this._proxy=n,this._commands=d,this._cell=p,this._priority=h,this._id=r.NEXT_ID++,this._isDisposed=!1,this._text="",this._visible=!1,this._internalCommandRegistration=this._register(new A.DisposableStore),this._alignment=E!=null?E:i.NotebookCellStatusBarAlignment.Left}get apiItem(){return this._apiItem||(this._apiItem=s(this)),this._apiItem}get cell(){return this._cell}get alignment(){return this._alignment}set alignment(n){this._alignment=n,this.update()}get priority(){return this._priority}set priority(n){this._priority=n,this.update()}get text(){return this._text}set text(n){this._text=n,this.update()}get tooltip(){return this._tooltip}set tooltip(n){this._tooltip=n,this.update()}get command(){var n;return(n=this._command)===null||n===void 0?void 0:n.fromApi}set command(n){var d;((d=this._command)===null||d===void 0?void 0:d.fromApi)!==n&&(this._internalCommandRegistration.clear(),typeof n=="string"?this._command={fromApi:n,internal:this._commands.toInternal({title:"",command:n},this._internalCommandRegistration)}:n?this._command={fromApi:n,internal:this._commands.toInternal(n,this._internalCommandRegistration)}:this._command=void 0,this.update())}get accessibilityInformation(){return this._accessibilityInformation}set accessibilityInformation(n){this._accessibilityInformation=n,this.update()}show(){this._visible=!0,this.update()}hide(){this._visible=!1,this.update()}dispose(){this.hide(),this._isDisposed=!0,this._internalCommandRegistration.dispose()}update(){var n;if(!this._isDisposed){const d={alignment:this.alignment===i.NotebookCellStatusBarAlignment.Left?0:1,cellResource:this.cell.document.uri,command:(n=this._command)===null||n===void 0?void 0:n.internal,text:this.text,tooltip:this.tooltip,accessibilityInformation:this.accessibilityInformation,priority:this.priority,visible:this._visible};this._proxy.$setStatusBarEntry(this._id,d)}}}e.NotebookCellStatusBarItemInternal=r,r.NEXT_ID=0;function s(a){return Object.freeze({cell:a.cell,get alignment(){return a.alignment},set alignment(n){a.alignment=n},get priority(){return a.priority},set priority(n){a.priority=n},get text(){return a.text},set text(n){a.text=n},get tooltip(){return a.tooltip},set tooltip(n){a.tooltip=n},get command(){return a.command},set command(n){a.command=n},get accessibilityInformation(){return a.accessibilityInformation},set accessibilityInformation(n){a.accessibilityInformation=n},show(){a.show()},hide(){a.hide()},dispose(){a.dispose()}})}}),define(pe[65],ve([0,1,5,3,6,26,4,14]),function(Q,e,v,D,A,I,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.LazyOutputChannel=e.ExtHostPushOutputChannel=e.AbstractExtHostOutputChannel=void 0;class y extends A.Disposable{constructor(l,m,S,g){super();this._onDidAppend=this._register(new D.Emitter),this.onDidAppend=this._onDidAppend.event,this._name=l,this._proxy=g,this._id=g.$register(this.name,m,S),this._disposed=!1,this._offset=0}get name(){return this._name}append(l){this.validate(),this._offset+=l?I.VSBuffer.fromString(l).byteLength:0}update(){this._id.then(l=>this._proxy.$update(l))}appendLine(l){this.validate(),this.append(l+`
`)}clear(){this.validate();const l=this._offset;this._id.then(m=>this._proxy.$clear(m,l))}show(l,m){this.validate(),this._id.then(S=>this._proxy.$reveal(S,!!(typeof l=="boolean"?l:m)))}hide(){this.validate(),this._id.then(l=>this._proxy.$close(l))}validate(){if(this._disposed)throw new Error("Channel has been closed")}dispose(){super.dispose(),this._disposed||this._id.then(l=>this._proxy.$dispose(l)).then(()=>this._disposed=!0)}}e.AbstractExtHostOutputChannel=y;class i extends y{constructor(l,m){super(l,!1,void 0,m)}append(l){super.append(l),this._id.then(m=>this._proxy.$append(m,l)),this._onDidAppend.fire()}}e.ExtHostPushOutputChannel=i;class T extends y{constructor(l,m,S){super(l,!0,m,S)}append(l){throw new Error("Not supported")}}class k{constructor(l,m){this.name=l,this._channel=m}append(l){this._channel.then(m=>m.append(l))}appendLine(l){this._channel.then(m=>m.appendLine(l))}clear(){this._channel.then(l=>l.clear())}show(l,m){this._channel.then(S=>S.show(l,m))}hide(){this._channel.then(l=>l.hide())}dispose(){this._channel.then(l=>l.dispose())}}e.LazyOutputChannel=k;let b=class{constructor(l){this._proxy=l.getProxy(v.MainContext.MainThreadOutputService)}$setVisibleChannel(l){}createOutputChannel(l){if(l=l.trim(),!l)throw new Error("illegal argument `name`. must not be falsy");return new i(l,this._proxy)}createOutputChannelFromLogFile(l,m){if(l=l.trim(),!l)throw new Error("illegal argument `name`. must not be falsy");if(!m)throw new Error("illegal argument `file`. must not be falsy");return new T(l,m,this._proxy)}};b=je([Ue(0,P.IExtHostRpcService)],b),e.ExtHostOutputService=b,e.IExtHostOutputService=(0,C.createDecorator)("IExtHostOutputService")}),define(pe[241],ve([0,1,19,21,3,6,5,2,8,18,12]),function(Q,e,v,D,A,I,C,P,y,i,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function k(b,f,l){const m=b.getProxy(C.MainContext.MainThreadQuickOpen);class S{constructor(s,a){this._sessions=new Map,this._instances=0,this._workspace=s,this._commands=a}showQuickPick(s,a,n,d=D.CancellationToken.None){this._onDidSelectItem=void 0;const p=Promise.resolve(s),E=++this._instances,h=m.$show(E,{placeHolder:n&&n.placeHolder,matchOnDescription:n&&n.matchOnDescription,matchOnDetail:n&&n.matchOnDetail,ignoreFocusLost:n&&n.ignoreFocusOut,canPickMany:n&&n.canPickMany},d),w={},R=h.then(()=>w);return Promise.race([R,p]).then(L=>{if(L!==w)return p.then(U=>{const J=[];for(let Z=0;Z<U.length;Z++){const z=U[Z];let q,N,W,M,O;typeof z=="string"?q=z:(q=z.label,N=z.description,W=z.detail,M=z.picked,O=z.alwaysShow),J.push({label:q,description:N,handle:Z,detail:W,picked:M,alwaysShow:O})}return n&&typeof n.onDidSelectItem=="function"&&(this._onDidSelectItem=Z=>{n.onDidSelectItem(U[Z])}),m.$setItems(E,J),h.then(Z=>{if(typeof Z=="number")return U[Z];if(Array.isArray(Z))return Z.map(z=>U[z])})})}).then(void 0,L=>{if(!(0,i.isPromiseCanceledError)(L))return m.$setError(E,L),Promise.reject(L)})}$onItemSelected(s){this._onDidSelectItem&&this._onDidSelectItem(s)}showInput(s,a=D.CancellationToken.None){return this._validateInput=s?s.validateInput:void 0,m.$input(s,typeof this._validateInput=="function",a).then(void 0,n=>{if(!(0,i.isPromiseCanceledError)(n))return Promise.reject(n)})}$validateInput(s){return this._validateInput?(0,v.asPromise)(()=>this._validateInput(s)):Promise.resolve(void 0)}async showWorkspaceFolderPick(s,a=D.CancellationToken.None){const n=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[s]);if(!!n){const d=await this._workspace.getWorkspaceFolders2();if(!!d)return d.find(p=>p.uri.toString()===n.uri.toString())}}createQuickPick(s,a){const n=new o(s,a,()=>this._sessions.delete(n._id));return this._sessions.set(n._id,n),n}createInputBox(s){const a=new t(s,()=>this._sessions.delete(a._id));return this._sessions.set(a._id,a),a}$onDidChangeValue(s,a){const n=this._sessions.get(s);n&&n._fireDidChangeValue(a)}$onDidAccept(s){const a=this._sessions.get(s);a&&a._fireDidAccept()}$onDidChangeActive(s,a){const n=this._sessions.get(s);n instanceof o&&n._fireDidChangeActive(a)}$onDidChangeSelection(s,a){const n=this._sessions.get(s);n instanceof o&&n._fireDidChangeSelection(a)}$onDidTriggerButton(s,a){const n=this._sessions.get(s);n&&n._fireDidTriggerButton(a)}$onDidHide(s){const a=this._sessions.get(s);a&&a._fireDidHide()}}class g{constructor(s,a){this._extensionId=s,this._onDidDispose=a,this._id=o._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new A.Emitter,this._onDidChangeValueEmitter=new A.Emitter,this._onDidTriggerButtonEmitter=new A.Emitter,this._onDidHideEmitter=new A.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(s){this._title=s,this.update({title:s})}get step(){return this._steps}set step(s){this._steps=s,this.update({step:s})}get totalSteps(){return this._totalSteps}set totalSteps(s){this._totalSteps=s,this.update({totalSteps:s})}get enabled(){return this._enabled}set enabled(s){this._enabled=s,this.update({enabled:s})}get busy(){return this._busy}set busy(s){this._busy=s,this.update({busy:s})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(s){this._ignoreFocusOut=s,this.update({ignoreFocusOut:s})}get value(){return this._value}set value(s){this._value=s,this.update({value:s})}get placeholder(){return this._placeholder}set placeholder(s){this._placeholder=s,this.update({placeholder:s})}get buttons(){return this._buttons}set buttons(s){this._buttons=s.slice(),this._handlesToButtons.clear(),s.forEach((a,n)=>{const d=a===y.QuickInputButtons.Back?-1:n;this._handlesToButtons.set(d,a)}),this.update({buttons:s.map((a,n)=>({iconPath:_(a.iconPath),tooltip:a.tooltip,handle:a===y.QuickInputButtons.Back?-1:n}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(s){this._value=s,this._onDidChangeValueEmitter.fire(s)}_fireDidTriggerButton(s){const a=this._handlesToButtons.get(s);a&&this._onDidTriggerButtonEmitter.fire(a)}_fireDidHide(){this._expectingHide&&(this._expectingHide=!1,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=(0,I.dispose)(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),m.$dispose(this._id))}update(s){if(!this._disposed){for(const a of Object.keys(s)){const n=s[a];this._pendingUpdate[a]=n===void 0?null:n}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){m.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}g._nextId=1;function _(r){if(r instanceof y.ThemeIcon)return{id:r.id};const s=c(r),a=u(r);return{dark:typeof s=="string"?P.URI.file(s):s,light:typeof a=="string"?P.URI.file(a):a}}function u(r){return typeof r=="object"&&"light"in r?r.light:r}function c(r){return typeof r=="object"&&"dark"in r?r.dark:r}class o extends g{constructor(s,a,n){super(s,n);this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._activeItems=[],this._onDidChangeActiveEmitter=new A.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new A.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(s){this._items=s.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),s.forEach((a,n)=>{this._handlesToItems.set(n,a),this._itemsToHandles.set(a,n)}),this.update({items:s.map((a,n)=>({label:a.label,description:a.description,handle:n,detail:a.detail,picked:a.picked,alwaysShow:a.alwaysShow}))})}get canSelectMany(){return this._canSelectMany}set canSelectMany(s){this._canSelectMany=s,this.update({canSelectMany:s})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(s){this._matchOnDescription=s,this.update({matchOnDescription:s})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(s){this._matchOnDetail=s,this.update({matchOnDetail:s})}get sortByLabel(){return this._sortByLabel}set sortByLabel(s){this._sortByLabel=s,this.update({sortByLabel:s})}get activeItems(){return this._activeItems}set activeItems(s){this._activeItems=s.filter(a=>this._itemsToHandles.has(a)),this.update({activeItems:this._activeItems.map(a=>this._itemsToHandles.get(a))})}get selectedItems(){return this._selectedItems}set selectedItems(s){this._selectedItems=s.filter(a=>this._itemsToHandles.has(a)),this.update({selectedItems:this._selectedItems.map(a=>this._itemsToHandles.get(a))})}_fireDidChangeActive(s){const a=(0,T.coalesce)(s.map(n=>this._handlesToItems.get(n)));this._activeItems=a,this._onDidChangeActiveEmitter.fire(a)}_fireDidChangeSelection(s){const a=(0,T.coalesce)(s.map(n=>this._handlesToItems.get(n)));this._selectedItems=a,this._onDidChangeSelectionEmitter.fire(a)}}class t extends g{constructor(s,a){super(s,a);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(s){this._password=s,this.update({password:s})}get prompt(){return this._prompt}set prompt(s){this._prompt=s,this.update({prompt:s})}get validationMessage(){return this._validationMessage}set validationMessage(s){this._validationMessage=s,this.update({validationMessage:s})}}return new S(f,l)}e.createExtHostQuickOpen=k}),define(pe[242],ve([0,1,2,3,55,6,19,5,12,95,13,29,41]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function f(a){if(a)return typeof a.iconPath=="string"?v.URI.file(a.iconPath):a.iconPath}function l(a,n){if(!a.iconPath&&!n.iconPath)return 0;if(a.iconPath){if(!n.iconPath)return 1}else return-1;const d=typeof a.iconPath=="string"?a.iconPath:a.iconPath.fsPath,p=typeof n.iconPath=="string"?n.iconPath:n.iconPath.fsPath;return(0,i.comparePaths)(d,p)}function m(a,n){let d=0;if(a.strikeThrough!==n.strikeThrough)return a.strikeThrough?1:-1;if(a.faded!==n.faded)return a.faded?1:-1;if(a.tooltip!==n.tooltip)return(a.tooltip||"").localeCompare(n.tooltip||"");if(d=l(a,n),d!==0)return d;if(a.light&&n.light)d=l(a.light,n.light);else{if(a.light)return 1;if(n.light)return-1}if(d!==0)return d;if(a.dark&&n.dark)d=l(a.dark,n.dark);else{if(a.dark)return 1;if(n.dark)return-1}return d}function S(a,n){if(a.command!==n.command)return a.command<n.command?-1:1;if(a.title!==n.title)return a.title<n.title?-1:1;if(a.tooltip!==n.tooltip){if(a.tooltip!==void 0&&n.tooltip!==void 0)return a.tooltip<n.tooltip?-1:1;if(a.tooltip!==void 0)return 1;if(n.tooltip!==void 0)return-1}if(a.arguments===n.arguments)return 0;if(a.arguments)if(n.arguments){if(a.arguments.length!==n.arguments.length)return a.arguments.length-n.arguments.length}else return 1;else return-1;for(let d=0;d<a.arguments.length;d++){const p=a.arguments[d],E=n.arguments[d];if(p!==E)return p<E?-1:1}return 0}function g(a,n){let d=(0,i.comparePaths)(a.resourceUri.fsPath,n.resourceUri.fsPath,!0);if(d!==0)return d;if(a.command&&n.command)d=S(a.command,n.command);else{if(a.command)return 1;if(n.command)return-1}if(d!==0)return d;if(a.decorations&&n.decorations)d=m(a.decorations,n.decorations);else{if(a.decorations)return 1;if(n.decorations)return-1}return d}function _(a,n){for(let d=0;d<a.length;d++)if(a[d]!==n[d])return!1;return!0}function u(a,n){return a.command===n.command&&a.title===n.title&&a.tooltip===n.tooltip&&(a.arguments&&n.arguments?_(a.arguments,n.arguments):a.arguments===n.arguments)}function c(a,n){return(0,y.equals)(a,n,u)}class o{constructor(n,d,p){this._extension=n,this._proxy=d,this._sourceControlHandle=p,this._value="",this._onDidChange=new D.Emitter,this._placeholder="",this._visible=!0}get value(){return this._value}set value(n){this._proxy.$setInputBoxValue(this._sourceControlHandle,n),this.updateValue(n)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(n){this._proxy.$setInputBoxPlaceholder(this._sourceControlHandle,n),this._placeholder=n}get validateInput(){return(0,b.checkProposedApiEnabled)(this._extension),this._validateInput}set validateInput(n){if((0,b.checkProposedApiEnabled)(this._extension),n&&typeof n!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=n,this._proxy.$setValidationProviderIsEnabled(this._sourceControlHandle,!!n)}get visible(){return this._visible}set visible(n){n=!!n,this._visible!==n&&(this._visible=n,this._proxy.$setInputBoxVisibility(this._sourceControlHandle,n))}$onInputBoxValueChange(n){this.updateValue(n)}updateValue(n){this._value=n,this._onDidChange.fire(n)}}e.ExtHostSCMInputBox=o;class t{constructor(n,d,p,E,h){this._proxy=n,this._commands=d,this._sourceControlHandle=p,this._id=E,this._label=h,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new D.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new D.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=t._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(n){this._label=n,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,n)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(n){this._hideWhenEmpty=n,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(n){this._resourceStates=[...n],this._onDidUpdateResourceStates.fire()}getResourceState(n){return this._resourceStatesMap.get(n)}$executeResourceCommand(n,d){const p=this._resourceStatesCommandsMap.get(n);return p?(0,C.asPromise)(()=>this._commands.executeCommand(p.command,...p.arguments||[],d)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){var n;const d=[...this._resourceStates].sort(g),E=(0,y.sortedDiff)(this._resourceSnapshot,d,g).map(R=>{const L=R.toInsert.map(U=>{const J=this._resourceHandlePool++;this._resourceStatesMap.set(J,U);const Z=U.resourceUri,z=f(U.decorations),q=U.decorations&&f(U.decorations.light)||z,N=U.decorations&&f(U.decorations.dark)||z,W=[];let M;if(U.command)if(U.command.command==="vscode.open"||U.command.command==="vscode.diff"){const ce=new I.DisposableStore;M=this._commands.converter.toInternal(U.command,ce),this._resourceStatesDisposablesMap.set(J,ce)}else this._resourceStatesCommandsMap.set(J,U.command);q&&W.push(q),N&&N.toString()!==(q==null?void 0:q.toString())&&W.push(N);const O=U.decorations&&U.decorations.tooltip||"",F=U.decorations&&!!U.decorations.strikeThrough,B=U.decorations&&!!U.decorations.faded,V=U.contextValue||"";return{rawResource:[J,Z,W,O,F,B,V,M],handle:J}});return{start:R.start,deleteCount:R.deleteCount,toInsert:L}}),h=E.map(({start:R,deleteCount:L,toInsert:U})=>[R,L,U.map(J=>J.rawResource)]),w=E.reverse();for(const{start:R,deleteCount:L,toInsert:U}of w){const J=U.map(z=>z.handle),Z=this._handlesSnapshot.splice(R,L,...J);for(const z of Z)this._resourceStatesMap.delete(z),this._resourceStatesCommandsMap.delete(z),(n=this._resourceStatesDisposablesMap.get(z))===null||n===void 0||n.dispose(),this._resourceStatesDisposablesMap.delete(z)}return this._resourceSnapshot=d,h}dispose(){this._disposed=!0,this._onDidDispose.fire()}}t._handlePool=0;class r{constructor(n,d,p,E,h,w){this._proxy=d,this._commands=p,this._id=E,this._label=h,this._rootUri=w,this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new I.MutableDisposable,this._acceptInputCommand=void 0,this._statusBarDisposables=new I.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new D.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=r._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,this._inputBox=new o(n,this._proxy,this.handle),this._proxy.$registerSourceControl(this.handle,E,h,w)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(n){this._count!==n&&(this._count=n,this._proxy.$updateSourceControl(this.handle,{count:n}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(n){this._quickDiffProvider=n,this._proxy.$updateSourceControl(this.handle,{hasQuickDiffProvider:!!n})}get commitTemplate(){return this._commitTemplate}set commitTemplate(n){n!==this._commitTemplate&&(this._commitTemplate=n,this._proxy.$updateSourceControl(this.handle,{commitTemplate:n}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(n){this._acceptInputDisposables.value=new I.DisposableStore,this._acceptInputCommand=n;const d=this._commands.converter.toInternal(n,this._acceptInputDisposables.value);this._proxy.$updateSourceControl(this.handle,{acceptInputCommand:d})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(n){if(!(this._statusBarCommands&&n&&c(this._statusBarCommands,n))){this._statusBarDisposables.value=new I.DisposableStore,this._statusBarCommands=n;const d=(n||[]).map(p=>this._commands.converter.toInternal(p,this._statusBarDisposables.value));this._proxy.$updateSourceControl(this.handle,{statusBarCommands:d})}}get selected(){return this._selected}createResourceGroup(n,d){const p=new t(this._proxy,this._commands,this.handle,n,d),E=D.Event.once(p.onDidDispose)(()=>this.createdResourceGroups.delete(p));return this.createdResourceGroups.set(p,E),this.eventuallyAddResourceGroups(),p}eventuallyAddResourceGroups(){const n=[],d=[];for(const[p,E]of this.createdResourceGroups){E.dispose();const h=p.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(p),this.eventuallyUpdateResourceStates()});D.Event.once(p.onDidDispose)(()=>{this.updatedResourceGroups.delete(p),h.dispose(),this._groups.delete(p.handle),this._proxy.$unregisterGroup(this.handle,p.handle)}),n.push([p.handle,p.id,p.label,p.features]);const w=p._takeResourceStateSnapshot();w.length>0&&d.push([p.handle,w]),this._groups.set(p.handle,p)}this._proxy.$registerGroups(this.handle,n,d),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const n=[];this.updatedResourceGroups.forEach(d=>{const p=d._takeResourceStateSnapshot();p.length!==0&&n.push([d.handle,p])}),n.length>0&&this._proxy.$spliceResourceStates(this.handle,n),this.updatedResourceGroups.clear()}getResourceGroup(n){return this._groups.get(n)}setSelectionState(n){this._selected=n,this._onDidChangeSelection.fire(n)}dispose(){this._acceptInputDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(n=>n.dispose()),this._proxy.$unregisterSourceControl(this.handle)}}r._handlePool=0,je([(0,A.debounce)(100)],r.prototype,"eventuallyAddResourceGroups",null),je([(0,A.debounce)(100)],r.prototype,"eventuallyUpdateResourceStates",null);let s=class Rn{constructor(n,d,p){this._commands=d,this.logService=p,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new D.Emitter,this._proxy=n.getProxy(P.MainContext.MainThreadSCM),this._telemetry=n.getProxy(P.MainContext.MainThreadTelemetry),d.registerArgumentProcessor({processArgument:E=>{if(E&&E.$mid===3){const h=this._sourceControls.get(E.sourceControlHandle);if(!h)return E;const w=h.getResourceGroup(E.groupHandle);return w?w.getResourceState(E.handle):E}else if(E&&E.$mid===4){const h=this._sourceControls.get(E.sourceControlHandle);return h?h.getResourceGroup(E.groupHandle):E}else if(E&&E.$mid===5){const h=this._sourceControls.get(E.handle);return h||E}return E}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(n,d,p,E){this.logService.trace("ExtHostSCM#createSourceControl",n.identifier.value,d,p,E),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:n.identifier.value});const h=Rn._handlePool++,w=new r(n,this._proxy,this._commands,d,p,E);this._sourceControls.set(h,w);const R=this._sourceControlsByExtension.get(k.ExtensionIdentifier.toKey(n.identifier))||[];return R.push(w),this._sourceControlsByExtension.set(k.ExtensionIdentifier.toKey(n.identifier),R),w}getLastInputBox(n){this.logService.trace("ExtHostSCM#getLastInputBox",n.identifier.value);const d=this._sourceControlsByExtension.get(k.ExtensionIdentifier.toKey(n.identifier)),p=d&&d[d.length-1];return p&&p.inputBox}$provideOriginalResource(n,d,p){const E=v.URI.revive(d);this.logService.trace("ExtHostSCM#$provideOriginalResource",n,E.toString());const h=this._sourceControls.get(n);return!h||!h.quickDiffProvider||!h.quickDiffProvider.provideOriginalResource?Promise.resolve(null):(0,C.asPromise)(()=>h.quickDiffProvider.provideOriginalResource(E,p)).then(w=>w||null)}$onInputBoxValueChange(n,d){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",n);const p=this._sourceControls.get(n);return p&&p.inputBox.$onInputBoxValueChange(d),Promise.resolve(void 0)}$executeResourceCommand(n,d,p,E){this.logService.trace("ExtHostSCM#$executeResourceCommand",n,d,p);const h=this._sourceControls.get(n);if(!h)return Promise.resolve(void 0);const w=h.getResourceGroup(d);return w?w.$executeResourceCommand(p,E):Promise.resolve(void 0)}$validateInput(n,d,p){this.logService.trace("ExtHostSCM#$validateInput",n);const E=this._sourceControls.get(n);return!E||!E.inputBox.validateInput?Promise.resolve(void 0):(0,C.asPromise)(()=>E.inputBox.validateInput(d,p)).then(h=>h?Promise.resolve([h.message,h.type]):Promise.resolve(void 0))}$setSelectedSourceControl(n){var d,p;return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",n),n!==void 0&&((d=this._sourceControls.get(n))===null||d===void 0||d.setSelectionState(!0)),this._selectedSourceControlHandle!==void 0&&((p=this._sourceControls.get(this._selectedSourceControlHandle))===null||p===void 0||p.setSelectionState(!1)),this._selectedSourceControlHandle=n,Promise.resolve(void 0)}};s._handlePool=0,s=je([Ue(2,T.ILogService)],s),e.ExtHostSCM=s});var tt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},$e=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(pe[243],ve([0,1,8,5,161,6]),function(Q,e,v,D,A,I){"use strict";var C,P;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class y{constructor(b,f,l,m,S=v.StatusBarAlignment.Left,g,_){C.set(this,void 0),P.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new I.DisposableStore,tt(this,C,b),tt(this,P,f),this._id=y.ID_GEN++,this._statusId=l,this._statusName=m,this._alignment=S,this._priority=g,this._accessibilityInformation=_}get id(){return this._id}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get tooltip(){return this._tooltip}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){var b;return(b=this._command)===null||b===void 0?void 0:b.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(b){this._text=b,this.update()}set tooltip(b){this._tooltip=b,this.update()}set color(b){this._color=b,this.update()}set backgroundColor(b){b&&!y.ALLOWED_BACKGROUND_COLORS.has(b.id)&&(b=void 0),this._backgroundColor=b,this.update()}set command(b){var f;((f=this._command)===null||f===void 0?void 0:f.fromApi)!==b&&(this._internalCommandRegistration.clear(),typeof b=="string"?this._command={fromApi:b,internal:$e(this,P).toInternal({title:"",command:b},this._internalCommandRegistration)}:b?this._command={fromApi:b,internal:$e(this,P).toInternal(b,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(b){this._accessibilityInformation=b,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,$e(this,C).$dispose(this.id)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{var b;this._timeoutHandle=void 0;let f=this._color;this._backgroundColor&&(f=y.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id)),$e(this,C).$setEntry(this.id,this._statusId,this._statusName,this._text,this._tooltip,(b=this._command)===null||b===void 0?void 0:b.internal,f,this._backgroundColor,this._alignment===v.StatusBarAlignment.Left?0:1,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=y,C=new WeakMap,P=new WeakMap,y.ID_GEN=0,y.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new v.ThemeColor("statusBarItem.errorForeground")]]);class i{constructor(b){this._messages=[],this._item=b.createStatusBarEntry("status.extensionMessage",(0,A.localize)(0,null),v.StatusBarAlignment.Left,Number.MIN_VALUE)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(b){const f={message:b};return this._messages.unshift(f),this._update(),new v.Disposable(()=>{const l=this._messages.indexOf(f);l>=0&&(this._messages.splice(l,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class T{constructor(b,f){this._proxy=b.getProxy(D.MainContext.MainThreadStatusBar),this._commands=f,this._statusMessage=new i(this)}createStatusBarEntry(b,f,l,m,S){return new y(this._proxy,this._commands,b,f,l,m,S)}setStatusBarMessage(b,f){const l=this._statusMessage.setMessage(b);let m;return typeof f=="number"?m=setTimeout(()=>l.dispose(),f):typeof f!="undefined"&&f.then(()=>l.dispose(),()=>l.dispose()),new v.Disposable(()=>{l.dispose(),clearTimeout(m)})}}e.ExtHostStatusBar=T}),define(pe[88],ve([0,1,5,3,4]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class I{constructor(P){this._onDidChangeStorage=new D.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=P.getProxy(v.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(P,y){this._proxy.$registerExtensionStorageKeysToSync(P,y)}getValue(P,y,i){return this._proxy.$getValue(P,y).then(T=>T||i)}setValue(P,y,i){return this._proxy.$setValue(P,y,i)}$acceptValue(P,y,i){this._onDidChangeStorage.fire({shared:P,key:y,value:i})}}e.ExtHostStorage=I,e.IExtHostStorage=(0,A.createDecorator)("IExtHostStorage")}),define(pe[89],ve([0,1,4,27,13,87,2]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=(0,v.createDecorator)("IExtensionStoragePaths");let P=class{constructor(i,T,k){var b;this._logService=T,this._extHostFileSystem=k,this._workspace=(b=i.workspace)!==null&&b!==void 0?b:void 0,this._environment=i.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(f=>this._value=f)}async _getOrCreateWorkspaceStoragePath(){var i;if(!this._workspace)return Promise.resolve(void 0);const T=this._workspace.id,k=C.URI.joinPath(this._environment.workspaceStorageHome,T);try{return await this._extHostFileSystem.value.stat(k),this._logService.trace("[ExtHostStorage] storage dir already exists",k),k}catch(b){}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",k),await this._extHostFileSystem.value.createDirectory(k),await this._extHostFileSystem.value.writeFile(C.URI.joinPath(k,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:(i=C.URI.revive(this._workspace.configuration))===null||i===void 0?void 0:i.toString(),name:this._workspace.name},void 0,2))),k}catch(b){this._logService.error("[ExtHostStorage]",b);return}}workspaceValue(i){if(this._value)return C.URI.joinPath(this._value,i.identifier.value)}globalValue(i){return C.URI.joinPath(this._environment.globalStorageHome,i.identifier.value.toLowerCase())}};P=je([Ue(0,D.IExtHostInitDataService),Ue(1,A.ILogService),Ue(2,I.IExtHostConsumerFileSystem)],P),e.ExtensionStoragePaths=P}),define(pe[34],ve([0,1,3,5,4,2,14,6,8,162,18,206,21,28,187]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=(0,A.createDecorator)("IExtHostTerminalService");class m{constructor(t,r,s,a){this._proxy=t,this._id=r,this._creationOptions=s,this._name=a,this._disposed=!1,this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(d=>this._pidPromiseComplete=d);const n=this;this.value={get name(){return n._name||""},get processId(){return n._pidPromise},get creationOptions(){return n._creationOptions},get exitStatus(){return n._exitStatus},sendText(d,p=!0){n._checkDisposed(),n._proxy.$sendText(n._id,d,p)},show(d){n._checkDisposed(),n._proxy.$show(n._id,d)},hide(){n._checkDisposed(),n._proxy.$hide(n._id)},dispose(){n._disposed||(n._disposed=!0,n._proxy.$dispose(n._id))},get dimensions(){if(!(n._cols===void 0||n._rows===void 0))return{columns:n._cols,rows:n._rows}}}}async create(t,r,s,a,n,d,p,E,h){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:this._name,shellPath:t,shellArgs:r,cwd:s,env:a,waitOnExit:n,strictEnv:d,hideFromUser:p,isFeatureTerminal:E,isExtensionOwnedTerminal:h})}async createExtensionTerminal(){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionCustomPtyTerminal:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(t){this._name=t}setExitCode(t){this._exitStatus=Object.freeze({code:t})}setDimensions(t,r){return t===this._cols&&r===this._rows||t===0||r===0?!1:(this._cols=t,this._rows=r,!0)}_setProcessId(t){this._pidPromiseComplete?(this._pidPromiseComplete(t),this._pidPromiseComplete=void 0):this._pidPromise.then(r=>{r!==t&&(this._pidPromise=Promise.resolve(t))})}}e.ExtHostTerminal=m;class S{constructor(t){this._pty=t,this.id=0,this.shouldPersist=!1,this._onProcessData=new v.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessExit=new v.Emitter,this.onProcessExit=this._onProcessExit.event,this._onProcessReady=new v.Emitter,this._onProcessTitleChanged=new v.Emitter,this.onProcessTitleChanged=this._onProcessTitleChanged.event,this._onProcessOverrideDimensions=new v.Emitter,this._onProcessShellTypeChanged=new v.Emitter,this.onProcessShellTypeChanged=this._onProcessShellTypeChanged.event}get onProcessReady(){return this._onProcessReady.event}get onProcessOverrideDimensions(){return this._onProcessOverrideDimensions.event}async start(){}shutdown(){this._pty.close()}input(t){this._pty.handleInput&&this._pty.handleInput(t)}resize(t,r){this._pty.setDimensions&&this._pty.setDimensions({columns:t,rows:r})}acknowledgeDataEvent(t){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(t){this._pty.onDidWrite(r=>this._onProcessData.fire(r)),this._pty.onDidClose&&this._pty.onDidClose((r=void 0)=>{this._onProcessExit.fire(r===void 0?void 0:r)}),this._pty.onDidOverrideDimensions&&this._pty.onDidOverrideDimensions(r=>this._onProcessOverrideDimensions.fire(r&&{cols:r.columns,rows:r.rows})),this._pty.open(t||void 0),this._pty.setDimensions&&t&&this._pty.setDimensions(t),this._onProcessReady.fire({pid:-1,cwd:""})}}e.ExtHostPseudoterminal=S;let g=1,_=class extends P.Disposable{constructor(t,r){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new v.Emitter,this._onDidOpenTerminal=new v.Emitter,this._onDidChangeActiveTerminal=new v.Emitter,this._onDidChangeTerminalDimensions=new v.Emitter,this._proxy=r.getProxy(D.MainContext.MainThreadTerminalService),this._bufferer=new l.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new v.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(t),this._register({dispose:()=>{for(const[s,a]of this._terminalProcesses)a.shutdown(!0)}})}get activeTerminal(){var t;return(t=this._activeTerminal)===null||t===void 0?void 0:t.value}get terminals(){return this._terminals.map(t=>t.value)}get onDidCloseTerminal(){return this._onDidCloseTerminal&&this._onDidCloseTerminal.event}get onDidOpenTerminal(){return this._onDidOpenTerminal&&this._onDidOpenTerminal.event}get onDidChangeActiveTerminal(){return this._onDidChangeActiveTerminal&&this._onDidChangeActiveTerminal.event}get onDidChangeTerminalDimensions(){return this._onDidChangeTerminalDimensions&&this._onDidChangeTerminalDimensions.event}get onDidWriteTerminalData(){return this._onDidWriteTerminalData&&this._onDidWriteTerminalData.event}createExtensionTerminal(t){const r=new m(this._proxy,(0,f.generateUuid)(),t,t.name),s=new S(t.pty);return r.createExtensionTerminal().then(a=>{const n=this._setupExtHostProcessListeners(a,s);this._terminalProcessDisposables[a]=n}),this._terminals.push(r),r.value}attachPtyToTerminal(t,r){if(!this._getTerminalById(t))throw new Error(`Cannot resolve terminal with id ${t} for virtual process`);const a=new S(r),n=this._setupExtHostProcessListeners(t,a);this._terminalProcessDisposables[t]=n}async $acceptActiveTerminalChanged(t){const r=this._activeTerminal;if(t===null){this._activeTerminal=void 0,r!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const s=this._getTerminalById(t);s&&(this._activeTerminal=s,r!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(t,r){const s=this._getTerminalById(t);s&&this._onDidWriteTerminalData.fire({terminal:s.value,data:r})}async $acceptTerminalDimensions(t,r,s){const a=this._getTerminalById(t);a&&a.setDimensions(r,s)&&this._onDidChangeTerminalDimensions.fire({terminal:a.value,dimensions:a.value.dimensions})}async $acceptTerminalMaximumDimensions(t,r,s){var a;(a=this._terminalProcesses.get(t))===null||a===void 0||a.resize(r,s)}async $acceptTerminalTitleChange(t,r){const s=this._getTerminalById(t);s&&(s.name=r)}async $acceptTerminalClosed(t,r){const s=this._getTerminalObjectIndexById(this._terminals,t);if(s!==null){const a=this._terminals.splice(s,1)[0];a.setExitCode(r),this._onDidCloseTerminal.fire(a.value)}}$acceptTerminalOpened(t,r,s,a){if(r){const p=this._getTerminalObjectIndexById(this._terminals,r);if(p!==null){this._terminals[p]._id=t,this._onDidOpenTerminal.fire(this.terminals[p]),this._terminals[p].isOpen=!0;return}}const n={name:a.name,shellPath:a.executable,shellArgs:a.args,cwd:typeof a.cwd=="string"?a.cwd:I.URI.revive(a.cwd),env:a.env,hideFromUser:a.hideFromUser},d=new m(this._proxy,t,n,s);this._terminals.push(d),this._onDidOpenTerminal.fire(d.value),d.isOpen=!0}async $acceptTerminalProcessId(t,r){const s=this._getTerminalById(t);s&&s._setProcessId(r)}async $startExtensionTerminal(t,r){const s=this._getTerminalById(t);if(!s)return{message:(0,i.localize)(0,null,t)};s.isOpen||await new Promise(n=>{const d=this.onDidOpenTerminal(async p=>{p===s.value&&(d.dispose(),n())})});const a=this._terminalProcesses.get(t);a?a.startSendingEvents(r):this._extensionTerminalAwaitingStart[t]={initialDimensions:r}}_setupExtHostProcessListeners(t,r){const s=new P.DisposableStore;s.add(r.onProcessReady(n=>this._proxy.$sendProcessReady(t,n.pid,n.cwd))),s.add(r.onProcessTitleChanged(n=>this._proxy.$sendProcessTitle(t,n))),this._bufferer.startBuffering(t,r.onProcessData),s.add(r.onProcessExit(n=>this._onProcessExit(t,n))),r.onProcessOverrideDimensions&&s.add(r.onProcessOverrideDimensions(n=>this._proxy.$sendOverrideDimensions(t,n))),this._terminalProcesses.set(t,r);const a=this._extensionTerminalAwaitingStart[t];return a&&r instanceof S&&(r.startSendingEvents(a.initialDimensions),delete this._extensionTerminalAwaitingStart[t]),s}$acceptProcessAckDataEvent(t,r){var s;(s=this._terminalProcesses.get(t))===null||s===void 0||s.acknowledgeDataEvent(r)}$acceptProcessInput(t,r){var s;(s=this._terminalProcesses.get(t))===null||s===void 0||s.input(r)}$acceptProcessResize(t,r,s){var a;try{(a=this._terminalProcesses.get(t))===null||a===void 0||a.resize(r,s)}catch(n){if(n.code!=="EPIPE"&&n.code!=="ERR_IPC_CHANNEL_CLOSED")throw n}}$acceptProcessShutdown(t,r){var s;(s=this._terminalProcesses.get(t))===null||s===void 0||s.shutdown(r)}$acceptProcessRequestInitialCwd(t){var r;(r=this._terminalProcesses.get(t))===null||r===void 0||r.getInitialCwd().then(s=>this._proxy.$sendProcessInitialCwd(t,s))}$acceptProcessRequestCwd(t){var r;(r=this._terminalProcesses.get(t))===null||r===void 0||r.getCwd().then(s=>this._proxy.$sendProcessCwd(t,s))}$acceptProcessRequestLatency(t){return t}registerLinkProvider(t){return this._linkProviders.add(t),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new y.Disposable(()=>{this._linkProviders.delete(t),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}async $provideLinks(t,r){const s=this._getTerminalById(t);if(!s)return[];this._terminalLinkCache.delete(t);const a=this._terminalLinkCancellationSource.get(t);a&&a.dispose(!0);const n=new b.CancellationTokenSource;this._terminalLinkCancellationSource.set(t,n);const d=[],p={terminal:s.value,line:r},E=[];for(const R of this._linkProviders)E.push(new Promise(async L=>{n.token.onCancellationRequested(()=>L({provider:R,links:[]}));const U=await R.provideTerminalLinks(p,n.token)||[];n.token.isCancellationRequested||L({provider:R,links:U})}));const h=await Promise.all(E);if(n.token.isCancellationRequested)return[];const w=new Map;for(const R of h)R&&R.links.length>0&&d.push(...R.links.map(L=>{const U={id:g++,startIndex:L.startIndex,length:L.length,label:L.tooltip};return w.set(U.id,{provider:R.provider,link:L}),U}));return this._terminalLinkCache.set(t,w),d}$activateLink(t,r){var s;const a=(s=this._terminalLinkCache.get(t))===null||s===void 0?void 0:s.get(r);!a||a.provider.handleTerminalLink(a.link)}_onProcessExit(t,r){this._bufferer.stopBuffering(t),this._terminalProcesses.delete(t),delete this._extensionTerminalAwaitingStart[t];const s=this._terminalProcessDisposables[t];s&&(s.dispose(),delete this._terminalProcessDisposables[t]),this._proxy.$sendProcessExit(t,r)}_getTerminalById(t){return this._getTerminalObjectById(this._terminals,t)}_getTerminalObjectById(t,r){const s=this._getTerminalObjectIndexById(t,r);return s!==null?t[s]:null}_getTerminalObjectIndexById(t,r){let s=null;return t.some((a,n)=>a._id===r?(s=n,!0):!1),s}getEnvironmentVariableCollection(t){let r=this._environmentVariableCollections.get(t.identifier.value);return r||(r=new u,this._setEnvironmentVariableCollection(t.identifier.value,r)),r}_syncEnvironmentVariableCollection(t,r){const s=(0,k.serializeEnvironmentVariableCollection)(r.map);this._proxy.$setEnvironmentVariableCollection(t,r.persistent,s.length===0?void 0:s)}$initEnvironmentVariableCollections(t){t.forEach(r=>{const s=r[0],a=new u(r[1]);this._setEnvironmentVariableCollection(s,a)})}_setEnvironmentVariableCollection(t,r){this._environmentVariableCollections.set(t,r),r.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(t,r)})}};_=je([Ue(1,C.IExtHostRpcService)],_),e.BaseExtHostTerminalService=_;class u{constructor(t){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new v.Emitter,this.map=new Map(t)}get persistent(){return this._persistent}set persistent(t){this._persistent=t,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(t,r){this._setIfDiffers(t,{value:r,type:y.EnvironmentVariableMutatorType.Replace})}append(t,r){this._setIfDiffers(t,{value:r,type:y.EnvironmentVariableMutatorType.Append})}prepend(t,r){this._setIfDiffers(t,{value:r,type:y.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(t,r){const s=this.map.get(t);(!s||s.value!==r.value||s.type!==r.type)&&(this.map.set(t,r),this._onDidChangeCollection.fire())}get(t){return this.map.get(t)}forEach(t,r){this.map.forEach((s,a)=>t.call(r,a,s,this))}delete(t){this.map.delete(t),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=u;let c=class extends _{constructor(t){super(!1,t)}createTerminal(t,r,s){throw new T.NotSupportedError}createTerminalFromOptions(t){throw new T.NotSupportedError}getDefaultShell(t,r){return""}getDefaultShellArgs(t,r){throw new T.NotSupportedError}$getAvailableShells(){throw new T.NotSupportedError}async $getDefaultShellAndArgs(t){throw new T.NotSupportedError}$acceptWorkspacePermissionsChanged(t){}};c=je([Ue(0,C.IExtHostRpcService)],c),e.WorkerExtHostTerminalService=c}),define(pe[244],ve([0,1,3,12,5,120,20,8]),function(Q,e,v,D,A,I,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class y{constructor(T,k){this._extHostDocumentsAndEditors=k,this._onDidChangeTextEditorSelection=new v.Emitter,this._onDidChangeTextEditorOptions=new v.Emitter,this._onDidChangeTextEditorVisibleRanges=new v.Emitter,this._onDidChangeTextEditorViewColumn=new v.Emitter,this._onDidChangeActiveTextEditor=new v.Emitter,this._onDidChangeVisibleTextEditors=new v.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=T.getProxy(A.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(b=>this._onDidChangeVisibleTextEditors.fire(b)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(b=>this._onDidChangeActiveTextEditor.fire(b))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(T){const k=this._extHostDocumentsAndEditors.allEditors();return T?k:k.map(b=>b.value)}async showTextDocument(T,k,b){let f;typeof k=="number"?f={position:C.ViewColumn.from(k),preserveFocus:b}:typeof k=="object"?f={position:C.ViewColumn.from(k.viewColumn),preserveFocus:k.preserveFocus,selection:typeof k.selection=="object"?C.Range.from(k.selection):void 0,pinned:typeof k.preview=="boolean"?!k.preview:void 0}:f={preserveFocus:!1};const l=await this._proxy.$tryShowTextDocument(T.uri,f),m=l&&this._extHostDocumentsAndEditors.getEditor(l);if(m)return m.value;throw l?new Error(`Could NOT open editor for "${T.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${T.uri.toString()}".`)}createTextEditorDecorationType(T){return new I.TextEditorDecorationType(this._proxy,T).value}$acceptEditorPropertiesChanged(T,k){const b=this._extHostDocumentsAndEditors.getEditor(T);if(!b)throw new Error("unknown text editor");if(k.options&&b._acceptOptions(k.options),k.selections){const f=k.selections.selections.map(C.Selection.to);b._acceptSelections(f)}if(k.visibleRanges){const f=D.coalesce(k.visibleRanges.map(C.Range.to));b._acceptVisibleRanges(f)}if(k.options&&this._onDidChangeTextEditorOptions.fire({textEditor:b.value,options:Object.assign(Object.assign({},k.options),{lineNumbers:C.TextEditorLineNumbersStyle.to(k.options.lineNumbers)})}),k.selections){const f=P.TextEditorSelectionChangeKind.fromValue(k.selections.source),l=k.selections.selections.map(C.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:b.value,selections:l,kind:f})}if(k.visibleRanges){const f=D.coalesce(k.visibleRanges.map(C.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:b.value,visibleRanges:f})}}$acceptEditorPositionData(T){for(const k in T){const b=this._extHostDocumentsAndEditors.getEditor(k);if(!b)throw new Error("Unknown text editor");const f=C.ViewColumn.to(T[k]);b.value.viewColumn!==f&&(b._acceptViewColumn(f),this._onDidChangeTextEditorViewColumn.fire({textEditor:b.value,viewColumn:f}))}}getDiffInformation(T){return Promise.resolve(this._proxy.$getDiffInformation(T))}}e.ExtHostEditors=y});var hn=this&&this.__rest||function(Q,e){var v={};for(var D in Q)Object.prototype.hasOwnProperty.call(Q,D)&&e.indexOf(D)<0&&(v[D]=Q[D]);if(Q!=null&&typeof Object.getOwnPropertySymbols=="function")for(var A=0,D=Object.getOwnPropertySymbols(Q);A<D.length;A++)e.indexOf(D[A])<0&&Object.prototype.propertyIsEnumerable.call(Q,D[A])&&(v[D[A]]=Q[D[A]]);return v};define(pe[245],ve([0,1,2,4,5,6,8]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=(0,D.createDecorator)("IExtHostTimeline");class P{constructor(T,k){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=T.getProxy(A.MainContext.MainThreadTimeline),k.registerArgumentProcessor({processArgument:b=>{var f,l;if(b&&b.$mid===11){const m=b.uri===void 0?void 0:v.URI.revive(b.uri);return(l=(f=this._itemsBySourceAndUriMap.get(b.source))===null||f===void 0?void 0:f.get(y(m)))===null||l===void 0?void 0:l.get(b.handle)}return b}})}async $getTimeline(T,k,b,f,l){const m=this._providers.get(T);return m==null?void 0:m.provideTimeline(v.URI.revive(k),b,f,l)}registerTimelineProvider(T,k,b,f){const l=new I.DisposableStore,m=this.convertTimelineItem(k.id,f,l).bind(this);let S;k.onDidChange&&(S=k.onDidChange(_=>this._proxy.$emitTimelineChangeEvent(Object.assign(Object.assign({uri:void 0,reset:!0},_),{id:k.id})),this));const g=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore(Object.assign(Object.assign({},k),{scheme:T,onDidChange:void 0,async provideTimeline(_,u,c,o){var t;(o==null?void 0:o.resetCache)&&(l.clear(),(t=g.get(k.id))===null||t===void 0||t.clear());const r=await k.provideTimeline(_,u,c);if(r!=null){const s=m(_,o);return Object.assign(Object.assign({},r),{source:k.id,items:r.items.map(s)})}},dispose(){var _;for(const u of g.values())(_=u.get(k.id))===null||_===void 0||_.clear();S==null||S.dispose(),l.dispose()}}))}convertTimelineItem(T,k,b){return(f,l)=>{let m;if(l==null?void 0:l.cacheResults){let S=this._itemsBySourceAndUriMap.get(T);S===void 0&&(S=new Map,this._itemsBySourceAndUriMap.set(T,S));const g=y(f);m=S.get(g),m===void 0&&(m=new Map,S.set(g,m))}return S=>{var g,_;const{iconPath:u}=S,c=hn(S,["iconPath"]),o=`${T}|${(g=S.id)!==null&&g!==void 0?g:S.timestamp}`;m==null||m.set(o,S);let t,r,s;return S.iconPath&&(u instanceof C.ThemeIcon?s={id:u.id}:v.URI.isUri(u)?(t=u,r=u):{light:t,dark:r}=u),Object.assign(Object.assign({},c),{id:(_=c.id)!==null&&_!==void 0?_:void 0,handle:o,source:T,command:S.command?k.toInternal(S.command,b):void 0,icon:t,iconDark:r,themeIcon:s,accessibilityInformation:S.accessibilityInformation})}}}registerTimelineProviderCore(T){if(this._providers.get(T.id))throw new Error(`Timeline Provider ${T.id} already exists.`);return this._proxy.$registerTimelineProvider({id:T.id,label:T.label,scheme:T.scheme}),this._providers.set(T.id,T),(0,I.toDisposable)(()=>{var b;for(const f of this._itemsBySourceAndUriMap.values())(b=f.get(T.id))===null||b===void 0||b.clear();this._providers.delete(T.id),this._proxy.$unregisterTimelineProvider(T.id),T.dispose()})}}e.ExtHostTimeline=P;function y(i){return i==null?void 0:i.toString()}}),define(pe[246],ve([0,1,6,11,2,5]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class C{constructor(y){this._openers=new Map,this._proxy=y.getProxy(I.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(y,i,T,k){if(this._openers.has(i))throw new Error(`Opener with id '${i}' already registered`);const b=k.schemes.find(f=>!C.supportedSchemes.has(f));if(b)throw new Error(`Scheme '${b}' is not supported. Only http and https are currently supported.`);return this._openers.set(i,T),this._proxy.$registerUriOpener(i,k.schemes,y,k.label),(0,v.toDisposable)(()=>{this._openers.delete(i),this._proxy.$unregisterUriOpener(i)})}async $canOpenUri(y,i,T){const k=this._openers.get(y);if(!k)throw new Error(`Unknown opener with id: ${y}`);const b=A.URI.revive(i);return k.canOpenExternalUri(b,T)}async $openUri(y,i,T){const k=this._openers.get(y);if(!k)throw new Error(`Unknown opener id: '${y}'`);return k.openExternalUri(A.URI.revive(i.resolvedUri),{sourceUri:A.URI.revive(i.sourceUri)},T)}}e.ExtHostUriOpeners=C,C.supportedSchemes=new Set([D.Schemas.http,D.Schemas.https])}),define(pe[247],ve([0,1,5,2,6,18,29]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class P{constructor(i){this.handles=new Set,this.handlers=new Map,this._proxy=i.getProxy(v.MainContext.MainThreadUrls)}registerUriHandler(i,T){if(this.handles.has(C.ExtensionIdentifier.toKey(i)))throw new Error(`Protocol handler already registered for extension ${i}`);const k=P.HandlePool++;return this.handles.add(C.ExtensionIdentifier.toKey(i)),this.handlers.set(k,T),this._proxy.$registerUriHandler(k,i),(0,A.toDisposable)(()=>{this.handles.delete(C.ExtensionIdentifier.toKey(i)),this.handlers.delete(k),this._proxy.$unregisterUriHandler(k)})}$handleExternalUri(i,T){const k=this.handlers.get(i);if(!k)return Promise.resolve(void 0);try{k.handleUri(D.URI.revive(T))}catch(b){(0,I.onUnexpectedError)(b)}return Promise.resolve(void 0)}async createAppUri(i){return D.URI.revive(await this._proxy.$createAppUri(i))}}e.ExtHostUrls=P,P.HandlePool=0});var tt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},$e=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(pe[66],ve([0,1,3,2,85,5]),function(Q,e,v,D,A,I){"use strict";var C,P,y,i,T,k,b,f,l,m,S;Object.defineProperty(e,"__esModule",{value:!0}),e.reviveOptions=e.serializeWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.ExtHostWebview=void 0;class g{constructor(s,a,n,d,p,E,h){C.set(this,void 0),P.set(this,void 0),y.set(this,void 0),i.set(this,void 0),T.set(this,void 0),k.set(this,void 0),b.set(this,""),f.set(this,void 0),l.set(this,!1),m.set(this,!1),this._onMessageEmitter=new v.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,S.set(this,new v.Emitter),this._onDidDispose=$e(this,S).event,tt(this,C,s),tt(this,P,a),tt(this,f,n),tt(this,i,d),tt(this,T,p),tt(this,k,E),tt(this,y,h)}dispose(){tt(this,l,!0),$e(this,S).fire(),$e(this,S).dispose(),this._onMessageEmitter.dispose()}asWebviewUri(s){return tt(this,m,!0),(0,A.asWebviewUri)($e(this,i),$e(this,C),s)}get cspSource(){return $e(this,i).webviewCspSource.replace("{{uuid}}",$e(this,C))}get html(){return this.assertNotDisposed(),$e(this,b)}set html(s){this.assertNotDisposed(),$e(this,b)!==s&&(tt(this,b,s),!$e(this,m)&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(s)&&(tt(this,m,!0),$e(this,y).report("Webview vscode-resource: uris",$e(this,k),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),$e(this,P).$setHtml($e(this,C),s))}get options(){return this.assertNotDisposed(),$e(this,f)}set options(s){this.assertNotDisposed(),$e(this,P).$setOptions($e(this,C),c($e(this,k),$e(this,T),s)),tt(this,f,s)}async postMessage(s){return $e(this,l)?!1:$e(this,P).$postMessage($e(this,C),s)}assertNotDisposed(){if($e(this,l))throw new Error("Webview is disposed")}}e.ExtHostWebview=g,C=new WeakMap,P=new WeakMap,y=new WeakMap,i=new WeakMap,T=new WeakMap,k=new WeakMap,b=new WeakMap,f=new WeakMap,l=new WeakMap,m=new WeakMap,S=new WeakMap;class _{constructor(s,a,n,d,p){this.initData=a,this.workspace=n,this._logService=d,this._deprecationService=p,this._webviews=new Map,this._webviewProxy=s.getProxy(I.MainContext.MainThreadWebviews)}$onMessage(s,a){const n=this.getWebview(s);n&&n._onMessageEmitter.fire(a)}$onMissingCsp(s,a){this._logService.warn(`${a} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(s,a,n){const d=new g(s,this._webviewProxy,o(a),this.initData,this.workspace,n,this._deprecationService);return this._webviews.set(s,d),d._onDidDispose(()=>{this._webviews.delete(s)}),d}deleteWebview(s){this._webviews.delete(s)}getWebview(s){return this._webviews.get(s)}}e.ExtHostWebviews=_;function u(r){return{id:r.identifier,location:r.extensionLocation}}e.toExtensionData=u;function c(r,s,a){return{enableCommandUris:a.enableCommandUris,enableScripts:a.enableScripts,portMapping:a.portMapping,localResourceRoots:a.localResourceRoots||t(r,s)}}e.serializeWebviewOptions=c;function o(r){var s;return{enableCommandUris:r.enableCommandUris,enableScripts:r.enableScripts,portMapping:r.portMapping,localResourceRoots:(s=r.localResourceRoots)===null||s===void 0?void 0:s.map(a=>D.URI.from(a))}}e.reviveOptions=o;function t(r,s){return[...((s==null?void 0:s.getWorkspaceFolders())||[]).map(a=>a.uri),r.extensionLocation]}}),define(pe[248],ve([0,1,21,74,6,11,24,2,20,66,115,5,8]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class f{constructor(t,r){this.document=t,this._storagePath=r,this._backupCounter=1,this._edits=new T.Cache("custom documents")}addEdit(t){return this._edits.add([t])}async undo(t,r){await this.getEdit(t).undo(),r||this.disposeBackup()}async redo(t,r){await this.getEdit(t).redo(),r||this.disposeBackup()}disposeEdits(t){for(const r of t)this._edits.delete(r)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const t=c(this.document.uri)+this._backupCounter++;return(0,C.joinPath)(this._storagePath,t)}updateBackup(t){var r;(r=this._backup)===null||r===void 0||r.delete(),this._backup=t}disposeBackup(){var t;(t=this._backup)===null||t===void 0||t.delete(),this._backup=void 0}getEdit(t){const r=this._edits.get(t,0);if(!r)throw new Error("No edit found");return r}}class l{constructor(){this._documents=new Map}get(t,r){return this._documents.get(this.key(t,r))}add(t,r,s){const a=this.key(t,r.uri);if(this._documents.has(a))throw new Error(`Document already exists for viewType:${t} resource:${r.uri}`);const n=new f(r,s);return this._documents.set(a,n),n}delete(t,r){const s=this.key(t,r.uri);this._documents.delete(s)}key(t,r){return`${t}@@@${r}`}}var m;(function(o){o[o.Text=0]="Text",o[o.Custom=1]="Custom"})(m||(m={}));class S{constructor(){this._providers=new Map}addTextProvider(t,r,s){return this.add(0,t,r,s)}addCustomProvider(t,r,s){return this.add(1,t,r,s)}get(t){return this._providers.get(t)}add(t,r,s,a){if(this._providers.has(r))throw new Error(`Provider for viewType:${r} already registered`);return this._providers.set(r,{type:t,extension:s,provider:a}),new b.Disposable(()=>this._providers.delete(r))}}class g{constructor(t,r,s,a,n){this._extHostDocuments=r,this._extensionStoragePaths=s,this._extHostWebview=a,this._extHostWebviewPanels=n,this._editorProviders=new S,this._documents=new l,this._proxy=t.getProxy(k.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(t,r,s,a){const n=new A.DisposableStore;return _(s)?(n.add(this._editorProviders.addTextProvider(r,t,s)),this._proxy.$registerTextEditorProvider((0,i.toExtensionData)(t),r,a.webviewOptions||{},{supportsMove:!!s.moveCustomTextEditor})):(n.add(this._editorProviders.addCustomProvider(r,t,s)),this.supportEditing(s)&&n.add(s.onDidChangeCustomDocument(d=>{const p=this.getCustomDocumentEntry(r,d.document.uri);if(u(d)){const E=p.addEdit(d);this._proxy.$onDidEdit(d.document.uri,r,E,d.label)}else this._proxy.$onContentChange(d.document.uri,r)})),this._proxy.$registerCustomEditorProvider((0,i.toExtensionData)(t),r,a.webviewOptions||{},!!a.supportsMultipleEditorsPerDocument)),b.Disposable.from(n,new b.Disposable(()=>{this._proxy.$unregisterEditorProvider(r)}))}async $createCustomDocument(t,r,s,a,n){var d;const p=this._editorProviders.get(r);if(!p)throw new Error(`No provider found for '${r}'`);if(p.type!==1)throw new Error(`Invalid provide type for '${r}'`);const E=P.URI.revive(t),h=await p.provider.openCustomDocument(E,{backupId:s,untitledDocumentData:a==null?void 0:a.buffer},n);let w;return this.supportEditing(p.provider)&&this._extensionStoragePaths&&(w=(d=this._extensionStoragePaths.workspaceValue(p.extension))!==null&&d!==void 0?d:this._extensionStoragePaths.globalValue(p.extension)),this._documents.add(r,h,w),{editable:this.supportEditing(p.provider)}}async $disposeCustomDocument(t,r){const s=this._editorProviders.get(r);if(!s)throw new Error(`No provider found for '${r}'`);if(s.type!==1)throw new Error(`Invalid provider type for '${r}'`);const a=P.URI.revive(t),{document:n}=this.getCustomDocumentEntry(r,a);this._documents.delete(r,n),n.dispose()}async $resolveWebviewEditor(t,r,s,a,n,d){const p=this._editorProviders.get(s);if(!p)throw new Error(`No provider found for '${s}'`);const E=y.ViewColumn.to(n),h=this._extHostWebview.createNewWebview(r,a.webviewOptions,p.extension),w=this._extHostWebviewPanels.createNewWebviewPanel(r,s,a.title,E,a.panelOptions,h),R=P.URI.revive(t);switch(p.type){case 1:{const{document:L}=this.getCustomDocumentEntry(s,R);return p.provider.resolveCustomEditor(L,w,d)}case 0:{const L=this._extHostDocuments.getDocument(R);return p.provider.resolveCustomTextEditor(L,w,d)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(t,r,s){this.getCustomDocumentEntry(r,t).disposeEdits(s)}async $onMoveCustomEditor(t,r,s){const a=this._editorProviders.get(s);if(!a)throw new Error(`No provider found for '${s}'`);if(!a.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${s}'`);const n=this._extHostWebviewPanels.getWebviewPanel(t);if(!n)throw new Error("No webview found");const d=P.URI.revive(r),p=this._extHostDocuments.getDocument(d);await a.provider.moveCustomTextEditor(p,n,v.CancellationToken.None)}async $undo(t,r,s,a){return this.getCustomDocumentEntry(r,t).undo(s,a)}async $redo(t,r,s,a){return this.getCustomDocumentEntry(r,t).redo(s,a)}async $revert(t,r,s){const a=this.getCustomDocumentEntry(r,t);await this.getCustomEditorProvider(r).revertCustomDocument(a.document,s),a.disposeBackup()}async $onSave(t,r,s){const a=this.getCustomDocumentEntry(r,t);await this.getCustomEditorProvider(r).saveCustomDocument(a.document,s),a.disposeBackup()}async $onSaveAs(t,r,s,a){const n=this.getCustomDocumentEntry(r,t);return this.getCustomEditorProvider(r).saveCustomDocumentAs(n.document,P.URI.revive(s),a)}async $backup(t,r,s){const a=this.getCustomDocumentEntry(r,t),d=await this.getCustomEditorProvider(r).backupCustomDocument(a.document,{destination:a.getNewBackupUri()},s);return a.updateBackup(d),d.id}getCustomDocumentEntry(t,r){const s=this._documents.get(t,P.URI.revive(r));if(!s)throw new Error("No custom document found");return s}getCustomEditorProvider(t){const r=this._editorProviders.get(t),s=r==null?void 0:r.provider;if(!s||!this.supportEditing(s))throw new Error("Custom document is not editable");return s}supportEditing(t){return!!t.onDidChangeCustomDocument}}e.ExtHostCustomEditors=g;function _(o){return typeof o.resolveCustomTextEditor=="function"}function u(o){return typeof o.undo=="function"&&typeof o.redo=="function"}function c(o){const t=o.scheme===I.Schemas.file||o.scheme===I.Schemas.untitled?o.fsPath:o.toString();return(0,D.hash)(t)+""}});var tt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},$e=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(pe[249],ve([0,1,3,6,2,28,20,66,5,8]),function(Q,e,v,D,A,I,C,P,y,i){"use strict";var T,k,b,f,l,m,S,g,_,u,c,o,t;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class r extends D.Disposable{constructor(d,p,E,h,w,R,L){super();T.set(this,void 0),k.set(this,void 0),b.set(this,void 0),f.set(this,void 0),l.set(this,void 0),m.set(this,void 0),S.set(this,void 0),g.set(this,void 0),_.set(this,!0),u.set(this,!0),c.set(this,!1),o.set(this,this._register(new v.Emitter)),this.onDidDispose=$e(this,o).event,t.set(this,this._register(new v.Emitter)),this.onDidChangeViewState=$e(this,t).event,tt(this,T,d),tt(this,k,p),tt(this,b,E),tt(this,l,R),tt(this,g,w),tt(this,m,h),tt(this,f,L)}dispose(){$e(this,c)||(tt(this,c,!0),$e(this,o).fire(),$e(this,k).$disposeWebview($e(this,T)),$e(this,f).dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),$e(this,f)}get viewType(){return this.assertNotDisposed(),$e(this,b)}get title(){return this.assertNotDisposed(),$e(this,m)}set title(d){this.assertNotDisposed(),$e(this,m)!==d&&(tt(this,m,d),$e(this,k).$setTitle($e(this,T),d))}get iconPath(){return this.assertNotDisposed(),$e(this,S)}set iconPath(d){this.assertNotDisposed(),$e(this,S)!==d&&(tt(this,S,d),$e(this,k).$setIconPath($e(this,T),A.URI.isUri(d)?{light:d,dark:d}:d))}get options(){return $e(this,l)}get viewColumn(){if(this.assertNotDisposed(),!(typeof $e(this,g)=="number"&&$e(this,g)<0))return $e(this,g)}get active(){return this.assertNotDisposed(),$e(this,u)}get visible(){return this.assertNotDisposed(),$e(this,_)}_updateViewState(d){$e(this,c)||(this.active!==d.active||this.visible!==d.visible||this.viewColumn!==d.viewColumn)&&(tt(this,u,d.active),tt(this,_,d.visible),tt(this,g,d.viewColumn),$e(this,t).fire({webviewPanel:this}))}reveal(d,p){this.assertNotDisposed(),$e(this,k).$reveal($e(this,T),{viewColumn:d?C.ViewColumn.from(d):void 0,preserveFocus:!!p})}assertNotDisposed(){if($e(this,c))throw new Error("Webview is disposed")}}T=new WeakMap,k=new WeakMap,b=new WeakMap,f=new WeakMap,l=new WeakMap,m=new WeakMap,S=new WeakMap,g=new WeakMap,_=new WeakMap,u=new WeakMap,c=new WeakMap,o=new WeakMap,t=new WeakMap;class s{constructor(d,p,E){this.webviews=p,this.workspace=E,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=d.getProxy(y.MainContext.MainThreadWebviewPanels)}static newHandle(){return(0,I.generateUuid)()}createWebviewPanel(d,p,E,h,w={}){const R=typeof h=="object"?h.viewColumn:h,L={viewColumn:C.ViewColumn.from(R),preserveFocus:typeof h=="object"&&!!h.preserveFocus},U=s.newHandle();this._proxy.$createWebviewPanel((0,P.toExtensionData)(d),U,p,{title:E,panelOptions:a(w),webviewOptions:(0,P.serializeWebviewOptions)(d,this.workspace,w)},L);const J=this.webviews.createNewWebview(U,w,d);return this.createNewWebviewPanel(U,p,E,R,w,J)}$onDidChangeWebviewPanelViewStates(d){const p=Object.keys(d);p.sort((E,h)=>{const w=d[E],R=d[h];return w.active?1:R.active?-1:+w.visible-+R.visible});for(const E of p){const h=this.getWebviewPanel(E);if(!!h){const w=d[E];h._updateViewState({active:w.active,visible:w.visible,viewColumn:C.ViewColumn.to(w.position)})}}}async $onDidDisposeWebviewPanel(d){const p=this.getWebviewPanel(d);p==null||p.dispose(),this._webviewPanels.delete(d),this.webviews.deleteWebview(d)}registerWebviewPanelSerializer(d,p,E){if(this._serializers.has(p))throw new Error(`Serializer for '${p}' already registered`);return this._serializers.set(p,{serializer:E,extension:d}),this._proxy.$registerSerializer(p),new i.Disposable(()=>{this._serializers.delete(p),this._proxy.$unregisterSerializer(p)})}async $deserializeWebviewPanel(d,p,E,h){const w=this._serializers.get(p);if(!w)throw new Error(`No serializer found for '${p}'`);const{serializer:R,extension:L}=w,U=this.webviews.createNewWebview(d,E.webviewOptions,L),J=this.createNewWebviewPanel(d,p,E.title,h,E.panelOptions,U);await R.deserializeWebviewPanel(J,E.state)}createNewWebviewPanel(d,p,E,h,w,R){const L=new r(d,this._proxy,p,E,h,w,R);return this._webviewPanels.set(d,L),L}getWebviewPanel(d){return this._webviewPanels.get(d)}}e.ExtHostWebviewPanels=s;function a(n){return{enableFindWidget:n.enableFindWidget,retainContextWhenHidden:n.retainContextWhenHidden}}});var tt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},$e=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(pe[250],ve([0,1,3,6,66,5,8]),function(Q,e,v,D,A,I,C){"use strict";var P,y,i,T,k,b,f,l,m,S;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class g extends D.Disposable{constructor(c,o,t,r,s,a){super();P.set(this,void 0),y.set(this,void 0),i.set(this,void 0),T.set(this,void 0),k.set(this,!1),b.set(this,void 0),f.set(this,void 0),l.set(this,void 0),m.set(this,this._register(new v.Emitter)),this.onDidChangeVisibility=$e(this,m).event,S.set(this,this._register(new v.Emitter)),this.onDidDispose=$e(this,S).event,tt(this,i,t),tt(this,f,r),tt(this,P,c),tt(this,y,o),tt(this,T,s),tt(this,b,a)}dispose(){$e(this,k)||(tt(this,k,!0),$e(this,S).fire(),$e(this,T).dispose(),super.dispose())}get title(){return this.assertNotDisposed(),$e(this,f)}set title(c){this.assertNotDisposed(),$e(this,f)!==c&&(tt(this,f,c),$e(this,y).$setWebviewViewTitle($e(this,P),c))}get description(){return this.assertNotDisposed(),$e(this,l)}set description(c){this.assertNotDisposed(),$e(this,l)!==c&&(tt(this,l,c),$e(this,y).$setWebviewViewDescription($e(this,P),c))}get visible(){return $e(this,b)}get webview(){return $e(this,T)}get viewType(){return $e(this,i)}_setVisible(c){c===$e(this,b)||$e(this,k)||(tt(this,b,c),$e(this,m).fire())}show(c){this.assertNotDisposed(),$e(this,y).$show($e(this,P),!!c)}assertNotDisposed(){if($e(this,k))throw new Error("Webview is disposed")}}P=new WeakMap,y=new WeakMap,i=new WeakMap,T=new WeakMap,k=new WeakMap,b=new WeakMap,f=new WeakMap,l=new WeakMap,m=new WeakMap,S=new WeakMap;class _{constructor(c,o){this._extHostWebview=o,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=c.getProxy(I.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(c,o,t,r){if(this._viewProviders.has(o))throw new Error(`View provider for '${o}' already registered`);return this._viewProviders.set(o,{provider:t,extension:c}),this._proxy.$registerWebviewViewProvider((0,A.toExtensionData)(c),o,r),new C.Disposable(()=>{this._viewProviders.delete(o),this._proxy.$unregisterWebviewViewProvider(o)})}async $resolveWebviewView(c,o,t,r,s){const a=this._viewProviders.get(o);if(!a)throw new Error(`No view provider found for '${o}'`);const{provider:n,extension:d}=a,p=this._extHostWebview.createNewWebview(c,{},d),E=new g(c,this._proxy,o,t,p,!0);this._webviewViews.set(c,E),await n.resolveWebviewView(E,{state:r},s)}async $onDidChangeWebviewViewVisibility(c,o){this.getWebviewView(c)._setVisible(o)}async $disposeWebviewView(c){const o=this.getWebviewView(c);this._webviewViews.delete(c),o.dispose(),this._extHostWebview.deleteWebview(c)}getWebviewView(c){const o=this._webviewViews.get(c);if(!o)throw new Error("No webview found");return o}}e.ExtHostWebviewViews=_}),define(pe[123],ve([0,1,3,5,2,11,9,4,14]),function(Q,e,v,D,A,I,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let i=class Ln{constructor(k){this._onDidChangeWindowState=new v.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=Ln.InitialState,this._proxy=k.getProxy(D.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(b=>this.$onDidChangeWindowFocus(b))}get state(){return this._state}$onDidChangeWindowFocus(k){k!==this._state.focused&&(this._state=Object.assign(Object.assign({},this._state),{focused:k}),this._onDidChangeWindowState.fire(this._state))}openUri(k,b){let f;if(typeof k=="string"){f=k;try{k=A.URI.parse(k)}catch(l){return Promise.reject(`Invalid uri - '${k}'`)}}return(0,C.isFalsyOrWhitespace)(k.scheme)?Promise.reject("Invalid scheme - cannot be empty"):k.scheme===I.Schemas.command?Promise.reject(`Invalid scheme '${k.scheme}'`):this._proxy.$openUri(k,f,b)}async asExternalUri(k,b){if((0,C.isFalsyOrWhitespace)(k.scheme))return Promise.reject("Invalid scheme - cannot be empty");if(!new Set([I.Schemas.http,I.Schemas.https]).has(k.scheme))return Promise.reject(`Invalid scheme '${k.scheme}'`);const f=await this._proxy.$asExternalUri(k,b);return A.URI.from(f)}};i.InitialState={focused:!0},i=je([Ue(0,y.IExtHostRpcService)],i),e.ExtHostWindow=i,e.IExtHostWindow=(0,P.createDecorator)("IExtHostWindow")}),define(pe[251],ve([0,1,7,47,28,52,6,5,2,14]),function(Q,e,v,D,A,I,C,P,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDownloadService=void 0;let T=class extends C.Disposable{constructor(b,f){super();const l=b.getProxy(P.MainContext.MainThreadDownloadService);f.registerCommand(!1,"_workbench.downloadResource",async m=>{const S=y.URI.file((0,v.join)((0,D.tmpdir)(),(0,A.generateUuid)()));return await l.$download(m,S),S})}};T=je([Ue(0,i.IExtHostRpcService),Ue(1,I.IExtHostCommands)],T),e.ExtHostDownloadService=T}),define(pe[252],ve([0,1,2,7,144,25,37,65,27,14,6,13,108,49]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostOutputService2=e.ExtHostOutputChannelBackedByFile=void 0;class l{constructor(_,u){this.file=u,this.appender=(0,b.createRotatingLogger)(_,u,30*f.ByteSize.MB,1),this.appender.clearFormatters()}append(_){this.appender.critical(_)}flush(){this.appender.flush()}}class m extends P.AbstractExtHostOutputChannel{constructor(_,u,c){super(_,!1,v.URI.file(u.file),c);this._appender=u}append(_){super.append(_),this._appender.append(_),this._onDidAppend.fire()}update(){this._appender.flush(),super.update()}show(_,u){this._appender.flush(),super.show(_,u)}clear(){this._appender.flush(),super.clear()}}e.ExtHostOutputChannelBackedByFile=m;let S=class extends P.ExtHostOutputService{constructor(_,u,c){super(_);this.logService=u,this._namePool=1,this._channels=new Map,this._visibleChannelDisposable=new T.MutableDisposable,this._logsLocation=c.logsLocation}$setVisibleChannel(_){if(_){const u=this._channels.get(_);u&&(this._visibleChannelDisposable.value=u.onDidAppend(()=>u.update()))}}createOutputChannel(_){if(_=_.trim(),!_)throw new Error("illegal argument `name`. must not be falsy");const u=this._doCreateOutChannel(_);return u.then(c=>c._id.then(o=>this._channels.set(o,c))),new P.LazyOutputChannel(_,u)}async _doCreateOutChannel(_){try{const u=(0,D.join)(this._logsLocation.fsPath,`output_logging_${(0,A.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}`);await I.SymlinkSupport.existsDirectory(u)||await C.promises.mkdir(u,{recursive:!0});const o=`${this._namePool++}-${_.replace(/[\\/:\*\?"<>\|]/g,"")}`,t=v.URI.file((0,D.join)(u,`${o}.log`)),r=new l(o,t.fsPath);return new m(_,r,this._proxy)}catch(u){return this.logService.error(u),new P.ExtHostPushOutputChannel(_,this._proxy)}}};S=je([Ue(0,i.IExtHostRpcService),Ue(1,k.ILogService),Ue(2,y.IExtHostInitDataService)],S),e.ExtHostOutputService2=S}),define(pe[253],ve([0,1,5,14,6,27,2,39,24,37,25,8,10,50,3,73,13,12]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.findPorts=e.loadConnectionTable=e.parseIpAddress=e.loadListeningPorts=e.getSockets=void 0;class _{constructor(d,p,E){this.remoteAddress=d,this.localAddress=p,this._dispose=E,this._onDispose=new l.Emitter,this.onDidDispose=this._onDispose.event}dispose(){return this._onDispose.fire(),this._dispose()}}function u(n){const d=n.trim().split(`
`),p=[];return d.forEach(E=>{const h=/\/proc\/(\d+)\/fd\/\d+ -> socket:\[(\d+)\]/.exec(E);h&&h.length>=3&&p.push({pid:parseInt(h[1],10),socket:parseInt(h[2],10)})}),p}e.getSockets=u;function c(...n){const d=[].concat(...n.map(t));return[...new Map(d.filter(p=>p.st==="0A").map(p=>{const E=p.local_address.split(":");return{socket:parseInt(p.inode,10),ip:o(E[0]),port:parseInt(E[1],16)}}).map(p=>[p.ip+":"+p.port,p])).values()]}e.loadListeningPorts=c;function o(n){let d="";if(n.length===8)for(let p=n.length-2;p>=0;p-=2)d+=parseInt(n.substr(p,2),16),p!==0&&(d+=".");else for(let p=n.length-4;p>=0;p-=4)d+=parseInt(n.substr(p,4),16).toString(16),p!==0&&(d+=":");return d}e.parseIpAddress=o;function t(n){const d=n.trim().split(`
`),p=d.shift().trim().split(/\s+/).filter(h=>h!=="rx_queue"&&h!=="tm->when");return d.map(h=>h.trim().split(/\s+/).reduce((w,R,L)=>(w[p[L]||L]=R,w),{}))}e.loadConnectionTable=t;function r(n){return!!n.match(/.*\.vscode-server-[a-zA-Z]+\/bin.*/)||n.indexOf("out/vs/server/main.js")!==-1||n.indexOf("_productName=VSCode")!==-1}async function s(n,d,p,E){const h=c(n,d),R=u(p).reduce((J,Z)=>(J[Z.socket]=Z,J),{}),L=E.reduce((J,Z)=>(J[Z.pid]=Z,J),{}),U=[];return h.filter(J=>R[J.socket]).forEach(({socket:J,ip:Z,port:z})=>{var q;const N=(q=L[R[J].pid])===null||q===void 0?void 0:q.cmd;N&&!r(N)&&U.push({host:Z,port:z,detail:N,pid:R[J].pid})}),U}e.findPorts=s;let a=class extends A.Disposable{constructor(d,p,E){super();this.logService=E,this._showCandidatePort=()=>Promise.resolve(!0),this._extensionTunnels=new Map,this._onDidChangeTunnels=new l.Emitter,this.onDidChangeTunnels=this._onDidChangeTunnels.event,this._candidateFindingEnabled=!1,this._providerHandleCounter=0,this._portAttributesProviders=new Map,this._proxy=d.getProxy(v.MainContext.MainThreadTunnelService),b.isLinux&&p.remote.isRemote&&p.remote.authority&&this._proxy.$setRemoteTunnelService(process.pid)}async openTunnel(d,p){this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) ${d.identifier} called openTunnel API for ${p.remoteAddress.port}.`);const E=await this._proxy.$openTunnel(p,d.displayName);if(E){const h=new _(E.remoteAddress,E.localAddress,()=>this._proxy.$closeTunnel(E.remoteAddress));return this._register(h),h}}async getTunnels(){return this._proxy.$getTunnels()}calculateDelay(d){return Math.max(d*20,2e3)}nextPortAttributesProviderHandle(){return this._providerHandleCounter++}registerPortsAttributesProvider(d,p){const E=this.nextPortAttributesProviderHandle();return this._portAttributesProviders.set(E,{selector:d,provider:p}),this._proxy.$registerPortsAttributesProvider(d,E),new k.Disposable(()=>{this._portAttributesProviders.delete(E),this._proxy.$unregisterPortsAttributesProvider(E)})}async $providePortAttributes(d,p,E,h,w){const L=(await Promise.all(d.map(U=>{const J=this._portAttributesProviders.get(U);return J?J.provider.providePortAttributes(p,E,h,w):[]}))).filter(U=>!!U&&U.length>0);return L.length>0?(0,g.flatten)(L).map(U=>({autoForwardAction:U.autoForwardAction,port:U.port})):[]}async $registerCandidateFinder(d){if(!(d&&this._candidateFindingEnabled)){this._candidateFindingEnabled=d;let p=new m.MovingAverage,E;for(;this._candidateFindingEnabled;){const h=new Date().getTime(),w=await this.findCandidatePorts();this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) found candidate ports ${w.map(L=>L.port).join(", ")}`);const R=new Date().getTime()-h;p.update(R),(!E||JSON.stringify(E)!==JSON.stringify(w))&&(E=w,await this._proxy.$onFoundNewCandidates(E)),await new Promise(L=>setTimeout(()=>L(),this.calculateDelay(p.value)))}}}async setTunnelExtensionFunctions(d){var p;return d?(d.candidatePortSource!==void 0&&await this._proxy.$setCandidatePortSource(d.candidatePortSource),d.showCandidatePort&&(this._showCandidatePort=d.showCandidatePort,await this._proxy.$setCandidateFilter()),d.tunnelFactory&&(this._forwardPortProvider=d.tunnelFactory,await this._proxy.$setTunnelProvider((p=d.tunnelFeatures)!==null&&p!==void 0?p:{elevation:!1,public:!1}))):this._forwardPortProvider=void 0,(0,A.toDisposable)(()=>{this._forwardPortProvider=void 0})}async $closeTunnel(d,p){if(this._extensionTunnels.has(d.host)){const E=this._extensionTunnels.get(d.host);E.has(d.port)&&(p&&E.get(d.port).disposeListener.dispose(),await E.get(d.port).tunnel.dispose(),E.delete(d.port))}}async $onDidTunnelsChange(){this._onDidChangeTunnels.fire()}async $forwardPort(d,p){if(this._forwardPortProvider)try{this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Getting tunnel from provider.");const E=this._forwardPortProvider(d,p);if(this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Got tunnel promise from provider."),E!==void 0){const h=await E;this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Successfully awaited tunnel from provider."),this._extensionTunnels.has(d.remoteAddress.host)||this._extensionTunnels.set(d.remoteAddress.host,new Map);const w=this._register(h.onDidDispose(()=>(this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Extension fired tunnel's onDidDispose."),this._proxy.$closeTunnel(h.remoteAddress))));return this._extensionTunnels.get(d.remoteAddress.host).set(d.remoteAddress.port,{tunnel:h,disposeListener:w}),f.TunnelDto.fromApiTunnel(h)}else this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Tunnel is undefined")}catch(E){this.logService.trace("ForwardedPorts: (ExtHostTunnelService) tunnel provider error")}}async $applyCandidateFilter(d){const p=await Promise.all(d.map(h=>this._showCandidatePort(h.host,h.port,h.detail))),E=d.filter((h,w)=>p[w]);return this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) filtered from ${d.map(h=>h.port).join(", ")} to ${E.map(h=>h.port).join(", ")}`),E}async findCandidatePorts(){let d="",p="";try{d=await i.promises.readFile("/proc/net/tcp","utf8"),p=await i.promises.readFile("/proc/net/tcp6","utf8")}catch(R){}const E=await new Promise(R=>{(0,P.exec)("ls -l /proc/[0-9]*/fd/[0-9]* | grep socket:",(L,U,J)=>{R(U)})}),h=await T.readdir("/proc"),w=[];for(let R of h)try{const L=Number(R),U=y.joinPath(C.URI.file("/proc"),R);if((await i.promises.stat(U.fsPath)).isDirectory()&&!isNaN(L)){const Z=await i.promises.readlink(y.joinPath(U,"cwd").fsPath),z=await i.promises.readFile(y.joinPath(U,"cmdline").fsPath,"utf8");w.push({pid:L,cwd:Z,cmd:z})}}catch(L){}return s(d,p,E,w)}};a=je([Ue(0,D.IExtHostRpcService),Ue(1,I.IExtHostInitDataService),Ue(2,S.ILogService)],a),e.ExtHostTunnelService=a}),define(pe[254],ve([0,1,19,21,18,3,6,97,225,121,26]),function(Q,e,v,D,A,I,C,P,y,i,T){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=void 0;function b(a,n){try{return JSON.stringify(a,n)}catch(d){return"null"}}function f(a,n){return JSON.stringify(a,n)}function l(a){return a?(n,d)=>d&&d.$mid===1?a.transformOutgoing(d):d:null}var m;(function(a){a[a.LocalSide=0]="LocalSide",a[a.OtherSide=1]="OtherSide"})(m=e.RequestInitiator||(e.RequestInitiator={}));var S;(function(a){a[a.Responsive=0]="Responsive",a[a.Unresponsive=1]="Unresponsive"})(S=e.ResponsiveState||(e.ResponsiveState={}));const g=()=>{},_=Symbol.for("rpcProtocol"),u=Symbol.for("rpcProxy");class c extends C.Disposable{constructor(n,d=null,p=null){super();this[k]=!0,this._onDidChangeResponsiveState=this._register(new I.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=n,this._logger=d,this._uriTransformer=p,this._uriReplacer=l(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let E=0,h=i.ProxyIdentifier.count;E<h;E++)this._locals[E]=null,this._proxies[E]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new v.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(E=>this._receiveOneMessage(E))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(n=>{this._pendingRPCReplies[n].resolveErr(A.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(n){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+c.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(n){this._unresponsiveTime=Date.now()+c.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(n){this._responsiveState!==n&&(this._responsiveState=n,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(n){return this._uriTransformer?(0,P.transformIncomingURIs)(n,this._uriTransformer):n}getProxy(n){const{nid:d,sid:p}=n;return this._proxies[d]||(this._proxies[d]=this._createProxy(d,p)),this._proxies[d]}_createProxy(n,d){let p={get:(E,h)=>(typeof h=="string"&&!E[h]&&h.charCodeAt(0)===36&&(E[h]=(...w)=>this._remoteCall(n,h,w)),h===u?d:E[h])};return new Proxy(Object.create(null),p)}set(n,d){return this._locals[n.nid]=d,d}assertRegistered(n){for(let d=0,p=n.length;d<p;d++){const E=n[d];if(!this._locals[E.nid])throw new Error(`Missing actor ${E.sid} (isMain: ${E.isMain})`)}}_receiveOneMessage(n){if(!this._isDisposed){const d=n.byteLength,p=o.read(n,0),E=p.readUInt8(),h=p.readUInt32();switch(E){case 1:case 2:{let{rpcId:w,method:R,args:L}=t.deserializeRequestJSONArgs(p);this._uriTransformer&&(L=(0,P.transformIncomingURIs)(L,this._uriTransformer)),this._receiveRequest(d,h,w,R,L,E===2);break}case 3:case 4:{let{rpcId:w,method:R,args:L}=t.deserializeRequestMixedArgs(p);this._uriTransformer&&(L=(0,P.transformIncomingURIs)(L,this._uriTransformer)),this._receiveRequest(d,h,w,R,L,E===4);break}case 5:{this._logger&&this._logger.logIncoming(d,h,0,"ack"),this._onDidReceiveAcknowledge(h);break}case 6:{this._receiveCancel(d,h);break}case 7:{this._receiveReply(d,h,void 0);break}case 9:{let w=t.deserializeReplyOKJSON(p);this._uriTransformer&&(w=(0,P.transformIncomingURIs)(w,this._uriTransformer)),this._receiveReply(d,h,w);break}case 8:{let w=t.deserializeReplyOKVSBuffer(p);this._receiveReply(d,h,w);break}case 10:{let w=t.deserializeReplyErrError(p);this._uriTransformer&&(w=(0,P.transformIncomingURIs)(w,this._uriTransformer)),this._receiveReplyErr(d,h,w);break}case 11:{this._receiveReplyErr(d,h,void 0);break}default:console.error("received unexpected message"),console.error(n)}}}_receiveRequest(n,d,p,E,h,w){this._logger&&this._logger.logIncoming(n,d,1,`receiveRequest ${(0,i.getStringIdentifierForProxy)(p)}.${E}(`,h);const R=String(d);let L,U;if(w){const Z=new D.CancellationTokenSource;h.push(Z.token),L=this._invokeHandler(p,E,h),U=()=>Z.cancel()}else L=this._invokeHandler(p,E,h),U=g;this._cancelInvokedHandlers[R]=U;const J=t.serializeAcknowledged(d);this._logger&&this._logger.logOutgoing(J.byteLength,d,1,"ack"),this._protocol.send(J),L.then(Z=>{delete this._cancelInvokedHandlers[R];const z=t.serializeReplyOK(d,Z,this._uriReplacer);this._logger&&this._logger.logOutgoing(z.byteLength,d,1,"reply:",Z),this._protocol.send(z)},Z=>{delete this._cancelInvokedHandlers[R];const z=t.serializeReplyErr(d,Z);this._logger&&this._logger.logOutgoing(z.byteLength,d,1,"replyErr:",Z),this._protocol.send(z)})}_receiveCancel(n,d){this._logger&&this._logger.logIncoming(n,d,1,"receiveCancel");const p=String(d);this._cancelInvokedHandlers[p]&&this._cancelInvokedHandlers[p]()}_receiveReply(n,d,p){this._logger&&this._logger.logIncoming(n,d,0,"receiveReply:",p);const E=String(d);if(!!this._pendingRPCReplies.hasOwnProperty(E)){const h=this._pendingRPCReplies[E];delete this._pendingRPCReplies[E],h.resolveOk(p)}}_receiveReplyErr(n,d,p){this._logger&&this._logger.logIncoming(n,d,0,"receiveReplyErr:",p);const E=String(d);if(!!this._pendingRPCReplies.hasOwnProperty(E)){const h=this._pendingRPCReplies[E];delete this._pendingRPCReplies[E];let w;p&&(p.$isError?(w=new Error,w.name=p.name,w.message=p.message,w.stack=p.stack):w=p),h.resolveErr(w)}}_invokeHandler(n,d,p){try{return Promise.resolve(this._doInvokeHandler(n,d,p))}catch(E){return Promise.reject(E)}}_doInvokeHandler(n,d,p){const E=this._locals[n];if(!E)throw new Error("Unknown actor "+(0,i.getStringIdentifierForProxy)(n));let h=E[d];if(typeof h!="function")throw new Error("Unknown method "+d+" on actor "+(0,i.getStringIdentifierForProxy)(n));return h.apply(E,p)}_remoteCall(n,d,p){if(this._isDisposed)return Promise.reject(A.canceled());let E=null;if(p.length>0&&D.CancellationToken.isCancellationToken(p[p.length-1])&&(E=p.pop()),E&&E.isCancellationRequested)return Promise.reject(A.canceled());const h=t.serializeRequestArguments(p,this._uriReplacer),w=++this._lastMessageId,R=String(w),L=new y.LazyPromise;E&&E.onCancellationRequested(()=>{const J=t.serializeCancel(w);this._logger&&this._logger.logOutgoing(J.byteLength,w,0,"cancel"),this._protocol.send(t.serializeCancel(w))}),this._pendingRPCReplies[R]=L,this._onWillSendRequest(w);const U=t.serializeRequest(w,n,d,h,!!E);return this._logger&&this._logger.logOutgoing(U.byteLength,w,0,`request: ${(0,i.getStringIdentifierForProxy)(n)}.${d}(`,p),this._protocol.send(U),L}}e.RPCProtocol=c,k=_,c.UNRESPONSIVE_TIME=3*1e3;class o{constructor(n,d){this._buff=n,this._offset=d}static alloc(n,d,p){let E=new o(T.VSBuffer.alloc(p+1+4),0);return E.writeUInt8(n),E.writeUInt32(d),E}static read(n,d){return new o(n,d)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(n){this._buff.writeUInt8(n,this._offset),this._offset+=1}readUInt8(){const n=this._buff.readUInt8(this._offset);return this._offset+=1,n}writeUInt32(n){this._buff.writeUInt32BE(n,this._offset),this._offset+=4}readUInt32(){const n=this._buff.readUInt32BE(this._offset);return this._offset+=4,n}static sizeShortString(n){return 1+n.byteLength}writeShortString(n){this._buff.writeUInt8(n.byteLength,this._offset),this._offset+=1,this._buff.set(n,this._offset),this._offset+=n.byteLength}readShortString(){const n=this._buff.readUInt8(this._offset);this._offset+=1;const p=this._buff.slice(this._offset,this._offset+n).toString();return this._offset+=n,p}static sizeLongString(n){return 4+n.byteLength}writeLongString(n){this._buff.writeUInt32BE(n.byteLength,this._offset),this._offset+=4,this._buff.set(n,this._offset),this._offset+=n.byteLength}readLongString(){const n=this._buff.readUInt32BE(this._offset);this._offset+=4;const p=this._buff.slice(this._offset,this._offset+n).toString();return this._offset+=n,p}writeBuffer(n){this._buff.writeUInt32BE(n.byteLength,this._offset),this._offset+=4,this._buff.set(n,this._offset),this._offset+=n.byteLength}static sizeVSBuffer(n){return 4+n.byteLength}writeVSBuffer(n){this._buff.writeUInt32BE(n.byteLength,this._offset),this._offset+=4,this._buff.set(n,this._offset),this._offset+=n.byteLength}readVSBuffer(){const n=this._buff.readUInt32BE(this._offset);this._offset+=4;const d=this._buff.slice(this._offset,this._offset+n);return this._offset+=n,d}static sizeMixedArray(n,d){let p=0;p+=1;for(let E=0,h=n.length;E<h;E++){const w=n[E],R=d[E];switch(p+=1,R){case 1:p+=this.sizeLongString(w);break;case 2:p+=this.sizeVSBuffer(w);break;case 3:break}}return p}writeMixedArray(n,d){this._buff.writeUInt8(n.length,this._offset),this._offset+=1;for(let p=0,E=n.length;p<E;p++){const h=n[p];switch(d[p]){case 1:this.writeUInt8(1),this.writeLongString(h);break;case 2:this.writeUInt8(2),this.writeVSBuffer(h);break;case 3:this.writeUInt8(3);break}}}readMixedArray(){const n=this._buff.readUInt8(this._offset);this._offset+=1;let d=new Array(n);for(let p=0;p<n;p++)switch(this.readUInt8()){case 1:d[p]=this.readLongString();break;case 2:d[p]=this.readVSBuffer();break;case 3:d[p]=void 0;break}return d}}class t{static _arrayContainsBufferOrUndefined(n){for(let d=0,p=n.length;d<p;d++)if(n[d]instanceof T.VSBuffer||typeof n[d]=="undefined")return!0;return!1}static serializeRequestArguments(n,d){if(this._arrayContainsBufferOrUndefined(n)){let p=[],E=[];for(let h=0,w=n.length;h<w;h++){const R=n[h];R instanceof T.VSBuffer?(p[h]=R,E[h]=2):typeof R=="undefined"?(p[h]=T.VSBuffer.alloc(0),E[h]=3):(p[h]=T.VSBuffer.fromString(f(R,d)),E[h]=1)}return{type:"mixed",args:p,argsType:E}}return{type:"simple",args:f(n,d)}}static serializeRequest(n,d,p,E,h){return E.type==="mixed"?this._requestMixedArgs(n,d,p,E.args,E.argsType,h):this._requestJSONArgs(n,d,p,E.args,h)}static _requestJSONArgs(n,d,p,E,h){const w=T.VSBuffer.fromString(p),R=T.VSBuffer.fromString(E);let L=0;L+=o.sizeUInt8(),L+=o.sizeShortString(w),L+=o.sizeLongString(R);let U=o.alloc(h?2:1,n,L);return U.writeUInt8(d),U.writeShortString(w),U.writeLongString(R),U.buffer}static deserializeRequestJSONArgs(n){const d=n.readUInt8(),p=n.readShortString(),E=n.readLongString();return{rpcId:d,method:p,args:JSON.parse(E)}}static _requestMixedArgs(n,d,p,E,h,w){const R=T.VSBuffer.fromString(p);let L=0;L+=o.sizeUInt8(),L+=o.sizeShortString(R),L+=o.sizeMixedArray(E,h);let U=o.alloc(w?4:3,n,L);return U.writeUInt8(d),U.writeShortString(R),U.writeMixedArray(E,h),U.buffer}static deserializeRequestMixedArgs(n){const d=n.readUInt8(),p=n.readShortString(),E=n.readMixedArray(),h=new Array(E.length);for(let w=0,R=E.length;w<R;w++){const L=E[w];typeof L=="string"?h[w]=JSON.parse(L):h[w]=L}return{rpcId:d,method:p,args:h}}static serializeAcknowledged(n){return o.alloc(5,n,0).buffer}static serializeCancel(n){return o.alloc(6,n,0).buffer}static serializeReplyOK(n,d,p){return typeof d=="undefined"?this._serializeReplyOKEmpty(n):d instanceof T.VSBuffer?this._serializeReplyOKVSBuffer(n,d):this._serializeReplyOKJSON(n,b(d,p))}static _serializeReplyOKEmpty(n){return o.alloc(7,n,0).buffer}static _serializeReplyOKVSBuffer(n,d){let p=0;p+=o.sizeVSBuffer(d);let E=o.alloc(8,n,p);return E.writeVSBuffer(d),E.buffer}static deserializeReplyOKVSBuffer(n){return n.readVSBuffer()}static _serializeReplyOKJSON(n,d){const p=T.VSBuffer.fromString(d);let E=0;E+=o.sizeLongString(p);let h=o.alloc(9,n,E);return h.writeLongString(p),h.buffer}static deserializeReplyOKJSON(n){const d=n.readLongString();return JSON.parse(d)}static serializeReplyErr(n,d){return d?this._serializeReplyErrEror(n,d):this._serializeReplyErrEmpty(n)}static _serializeReplyErrEror(n,d){const p=T.VSBuffer.fromString(b(A.transformErrorForSerialization(d),null));let E=0;E+=o.sizeLongString(p);let h=o.alloc(10,n,E);return h.writeLongString(p),h.buffer}static deserializeReplyErrError(n){const d=n.readLongString();return JSON.parse(d)}static _serializeReplyErrEmpty(n){return o.alloc(11,n,0).buffer}}var r;(function(a){a[a.RequestJSONArgs=1]="RequestJSONArgs",a[a.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",a[a.RequestMixedArgs=3]="RequestMixedArgs",a[a.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",a[a.Acknowledged=5]="Acknowledged",a[a.Cancel=6]="Cancel",a[a.ReplyOKEmpty=7]="ReplyOKEmpty",a[a.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",a[a.ReplyOKJSON=9]="ReplyOKJSON",a[a.ReplyErrError=10]="ReplyErrError",a[a.ReplyErrEmpty=11]="ReplyErrEmpty"})(r||(r={}));var s;(function(a){a[a.String=1]="String",a[a.VSBuffer=2]="VSBuffer",a[a.Undefined=3]="Undefined"})(s||(s={}))}),define(pe[255],ve([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=(0,v.createDecorator)("remoteAgentService")}),define(pe[256],ve([0,1,11,7,10,2,4,255]),function(Q,e,v,D,A,I,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=(0,C.createDecorator)("pathService");let y=class{constructor(T,k){this.localUserHome=T,this.remoteAgentService=k,this.resolveOS=(async()=>{const b=await this.remoteAgentService.getEnvironment();return(b==null?void 0:b.os)||A.OS})(),this.resolveUserHome=(async()=>{const b=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=(b==null?void 0:b.userHome)||T})()}async userHome(T){return(T==null?void 0:T.preferLocal)?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(T=>T===1?D.win32:D.posix)}async fileURI(T){let k="";if(await this.resolveOS===1&&(T=T.replace(/\\/g,"/")),T[0]==="/"&&T[1]==="/"){const f=T.indexOf("/",2);f===-1?(k=T.substring(2),T="/"):(k=T.substring(2,f),T=T.substring(f)||"/")}return I.URI.from({scheme:v.Schemas.file,authority:k,path:T,query:"",fragment:""})}};y=je([Ue(1,P.IRemoteAgentService)],y),e.AbstractPathService=y}),define(pe[31],ve([0,1,12,33,22,30,9,4,7,18]),function(Q,e,v,D,A,I,C,P,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=void 0,e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const T="\u27EA ",k=" characters skipped \u27EB",b=(T.length+k.length+5)*2;e.ISearchService=(0,P.createDecorator)("searchService");var f;(function(N){N[N.file=0]="file",N[N.text=1]="text"})(f=e.SearchProviderType||(e.SearchProviderType={}));var l;(function(N){N[N.File=1]="File",N[N.Text=2]="Text"})(l=e.QueryType||(e.QueryType={}));function m(N){return!!N.preview}e.resultIsMatch=m;function S(N){return!!N.resource}e.isFileMatch=S;function g(N){return!!N.message}e.isProgressMessage=g;var _;(function(N){N[N.Normal=0]="Normal",N[N.NewSearchStarted=1]="NewSearchStarted"})(_=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class u{constructor(W){this.resource=W,this.results=[]}}e.FileMatch=u;class c{constructor(W,M,O){this.ranges=M;const F=Array.isArray(M)?M:[M];if(O&&O.matchLines===1&&o(F)){W=(0,C.getNLines)(W,O.matchLines);let B="",V=0,G=0;const ce=Math.floor(O.charsPerLine/5),me=[];for(const Pe of F){const Ie=Math.max(Pe.startColumn-ce,0),Fe=Pe.startColumn+O.charsPerLine;if(Ie>G+ce+b){const H=T+(Ie-G)+k;B+=H+W.slice(Ie,Fe),V+=Ie-(G+H.length)}else B+=W.slice(G,Fe);me.push(new r(0,Pe.startColumn-V,Pe.endColumn-V)),G=Fe}this.preview={text:B,matches:Array.isArray(this.ranges)?me:me[0]}}else{const B=Array.isArray(M)?M[0].startLineNumber:M.startLineNumber;this.preview={text:W,matches:(0,v.mapArrayOrNot)(M,V=>new t(V.startLineNumber-B,V.startColumn,V.endLineNumber-B,V.endColumn))}}}}e.TextSearchMatch=c;function o(N){const W=N[0].startLineNumber;for(const M of N)if(M.startLineNumber!==W||M.endLineNumber!==W)return!1;return!0}class t{constructor(W,M,O,F){this.startLineNumber=W,this.startColumn=M,this.endLineNumber=O,this.endColumn=F}}e.SearchRange=t;class r extends t{constructor(W,M,O){super(W,M,W,O)}}e.OneLineRange=r;var s;(function(N){N.Default="default",N.FileNames="fileNames",N.Type="type",N.Modified="modified",N.CountDescending="countDescending",N.CountAscending="countAscending"})(s=e.SearchSortOrder||(e.SearchSortOrder={}));function a(N,W=!0){const M=N&&N.files&&N.files.exclude,O=W&&N&&N.search&&N.search.exclude;if(!(!M&&!O)){if(!M||!O)return M||O;let F=Object.create(null);return F=A.mixin(F,A.deepClone(M)),F=A.mixin(F,A.deepClone(O),!0),F}}e.getExcludes=a;function n(N,W){return N.excludePattern&&D.match(N.excludePattern,W)?!1:N.includePattern||N.usingSearchPaths?N.includePattern&&D.match(N.includePattern,W)?!0:N.usingSearchPaths?!!N.folderQueries&&N.folderQueries.some(M=>{const O=M.folder.fsPath;if(I.isEqualOrParent(W,O)){const F=y.relative(O,W);return!M.includePattern||!!D.match(M.includePattern,F)}else return!1}):!1:!0}e.pathIncludedInQuery=n;var d;(function(N){N[N.unknownEncoding=1]="unknownEncoding",N[N.regexParseError=2]="regexParseError",N[N.globParseError=3]="globParseError",N[N.invalidLiteral=4]="invalidLiteral",N[N.rgProcessError=5]="rgProcessError",N[N.other=6]="other",N[N.canceled=7]="canceled"})(d=e.SearchErrorCode||(e.SearchErrorCode={}));class p extends Error{constructor(W,M){super(W);this.code=M}}e.SearchError=p;function E(N){const W=N.message;if((0,i.isPromiseCanceledError)(N))return new p(W,d.canceled);try{const M=JSON.parse(W);return new p(M.message,M.code)}catch(M){return new p(W,d.other)}}e.deserializeSearchError=E;function h(N){const W={message:N.message,code:N.code};return new Error(JSON.stringify(W))}e.serializeSearchError=h;function w(N){return N.type==="error"?!0:N.type==="success"}e.isSerializedSearchComplete=w;function R(N){return N.type==="success"}e.isSerializedSearchSuccess=R;function L(N){return!!N.path}e.isSerializedFileMatch=L;function U(N,W){const M=N.searchPath?N.searchPath:N.relativePath;return(0,C.fuzzyContains)(M,W)}e.isFilePatternMatch=U;class J{constructor(W){this.path=W,this.results=[]}addMatch(W){this.results.push(W)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=J;function Z(N,W){const M=Object.assign(Object.assign({},N||{}),W||{});return Object.keys(M).filter(O=>{const F=M[O];return typeof F=="boolean"&&F})}e.resolvePatternsForProvider=Z;class z{constructor(W,M){this._parsedIncludeExpression=null,this._excludeExpression=Object.assign(Object.assign({},W.excludePattern||{}),M.excludePattern||{}),this._parsedExcludeExpression=D.parse(this._excludeExpression);let O=W.includePattern;M.includePattern&&(O?O=Object.assign(Object.assign({},O),M.includePattern):O=M.includePattern),O&&(this._parsedIncludeExpression=D.parse(O))}includedInQuerySync(W,M,O){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression(W,M,O)||this._parsedIncludeExpression&&!this._parsedIncludeExpression(W,M,O))}includedInQuery(W,M,O){return Promise.resolve(this._parsedExcludeExpression(W,M,O)).then(B=>!!B).then(B=>B?!1:this._parsedIncludeExpression?Promise.resolve(this._parsedIncludeExpression(W,M,O)).then(V=>!!V):Promise.resolve(!0)).then(B=>B)}hasSiblingExcludeClauses(){return q(this._excludeExpression)}}e.QueryGlobTester=z;function q(N){for(const W in N)if(typeof N[W]!="boolean")return!0;return!1}}),define(pe[32],ve([0,1,12,19,21,3,23,11,73,24,9,15,2,164,4,13,183,61,62,27,14,8,31,5]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S,g,_,u,c,o,t,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function s(R,L,U){return new i.ExtUri(J=>p(J,U)).isEqual(R,L)}function a(R,L,U){return s(R.uri,L.uri,U)?0:(0,T.compare)(R.uri.toString(),L.uri.toString())}function n(R,L,U){return R.index!==L.index?R.index<L.index?-1:1:s(R.uri,L.uri,U)?(0,T.compare)(R.name,L.name):(0,T.compare)(R.uri.toString(),L.uri.toString())}function d(R,L,U,J){const Z=R.slice(0).sort((q,N)=>U(q,N,J)),z=L.slice(0).sort((q,N)=>U(q,N,J));return(0,v.delta)(Z,z,(q,N)=>U(q,N,J))}function p(R,L){const U=L.getCapabilities(R.scheme);return!(U&&U&1024)}class E extends g.Workspace{constructor(L,U,J,Z,z,q){super(L,J.map(N=>new g.WorkspaceFolder(N)),Z,q);this._name=U,this._isUntitled=z,this._workspaceFolders=[],this._structure=C.TernarySearchTree.forUris(q),J.forEach(N=>{this._workspaceFolders.push(N),this._structure.set(N.uri,N)})}static toExtHostWorkspace(L,U,J,Z){if(!L)return{workspace:null,added:[],removed:[]};const{id:z,name:q,folders:N,configuration:W,isUntitled:M}=L,O=[],F=U;U?N.forEach((ce,me)=>{const Pe=b.URI.revive(ce.uri),Ie=E._findFolder(J||U,Pe,Z);Ie?(Ie.name=ce.name,Ie.index=ce.index,O.push(Ie)):O.push({uri:Pe,name:ce.name,index:me})}):O.push(...N.map(({uri:ce,name:me,index:Pe})=>({uri:b.URI.revive(ce),name:me,index:Pe}))),O.sort((ce,me)=>ce.index<me.index?-1:1);const B=new E(z,q,O,W?b.URI.revive(W):null,!!M,ce=>p(ce,Z)),{added:V,removed:G}=d(F?F.workspaceFolders:[],B.workspaceFolders,a,Z);return{workspace:B,added:V,removed:G}}static _findFolder(L,U,J){for(let Z=0;Z<L.folders.length;Z++){const z=L.workspaceFolders[Z];if(s(z.uri,U,J))return z}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(L,U){return U&&this._structure.get(L)&&(L=(0,i.dirname)(L)),this._structure.findSubstr(L)}resolveWorkspaceFolder(L){return this._structure.get(L)}}let h=class{constructor(L,U,J,Z){this._onDidChangeWorkspace=new I.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidChangeWorkspaceTrustState=new I.Emitter,this.onDidChangeWorkspaceTrustState=this._onDidChangeWorkspaceTrustState.event,this._activeSearchCallbacks=[],this._workspaceTrustState=o.WorkspaceTrustState.Unknown,this._logService=Z,this._extHostFileSystemInfo=J,this._requestIdProvider=new y.Counter,this._barrier=new D.Barrier,this._proxy=L.getProxy(r.MainContext.MainThreadWorkspace),this._messageService=L.getProxy(r.MainContext.MainThreadMessageService);const z=U.workspace;this._confirmedWorkspace=z?new E(z.id,z.name,[],z.configuration?b.URI.revive(z.configuration):null,!!z.isUntitled,q=>p(q,J)):void 0}$initializeWorkspace(L,U){this._workspaceTrustState=U,this.$acceptWorkspaceData(L),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?b.URI.from({scheme:P.Schemas.untitled,path:(0,i.basename)((0,i.dirname)(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(L,U,J,...Z){const z=[];if(Array.isArray(Z)&&Z.forEach(O=>{b.URI.isUri(O.uri)&&!z.some(F=>s(F.uri,O.uri,this._extHostFileSystemInfo))&&z.push({uri:O.uri,name:O.name||(0,i.basenameOrAuthority)(O.uri)})}),this._unconfirmedWorkspace||[U,J].some(O=>typeof O!="number"||O<0)||J===0&&z.length===0)return!1;const q=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if(U+J>q.length)return!1;const N=q.slice(0);N.splice(U,J,...z.map(O=>({uri:O.uri,name:O.name||(0,i.basenameOrAuthority)(O.uri),index:void 0})));for(let O=0;O<N.length;O++){const F=N[O];if(N.some((B,V)=>V!==O&&s(F.uri,B.uri,this._extHostFileSystemInfo)))return!1}N.forEach((O,F)=>O.index=F);const{added:W,removed:M}=d(q,N,n,this._extHostFileSystemInfo);if(W.length===0&&M.length===0)return!1;if(this._proxy){const O=L.displayName||L.name;this._proxy.$updateWorkspaceFolders(O,U,J,z).then(void 0,F=>{this._unconfirmedWorkspace=void 0,this._messageService.$showMessage(S.Severity.Error,(0,f.localize)(0,null,O,F.toString()),{extension:L},[])})}return this.trySetWorkspaceFolders(N),!0}getWorkspaceFolder(L,U){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(L,U)}async getWorkspaceFolder2(L,U){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(L,U)}async resolveWorkspaceFolder(L){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(L)}getPath(){if(!!this._actualWorkspace){const{folders:L}=this._actualWorkspace;if(L.length!==0)return L[0].uri.fsPath}}getRelativePath(L,U){let J,Z="";if(typeof L=="string"?(J=b.URI.file(L),Z=L):typeof L!="undefined"&&(J=L,Z=L.fsPath),!J)return Z;const z=this.getWorkspaceFolder(J,!0);if(!z)return Z;typeof U=="undefined"&&this._actualWorkspace&&(U=this._actualWorkspace.folders.length>1);let q=(0,i.relativePath)(z.uri,J);return U&&z.name&&(q=`${z.name}/${q}`),q}trySetWorkspaceFolders(L){this._actualWorkspace&&(this._unconfirmedWorkspace=E.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:L,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(L){const{workspace:U,added:J,removed:Z}=E.toExtHostWorkspace(L,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=U||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:J,removed:Z}))}findFiles(L,U,J,Z,z=A.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${Z.value}, entryPoint: findFiles`);let q;if(U===null?q=!1:U&&(typeof U=="string"?q=U:q=U.pattern),z&&z.isCancellationRequested)return Promise.resolve([]);const{includePattern:N,folder:W}=w(L);return this._proxy.$startFileSearch((0,k.withUndefinedAsNull)(N),(0,k.withUndefinedAsNull)(W),(0,k.withUndefinedAsNull)(q),(0,k.withUndefinedAsNull)(J),z).then(M=>Array.isArray(M)?M.map(O=>b.URI.revive(O)):[])}async findTextInFiles(L,U,J,Z,z=A.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${Z.value}, entryPoint: findTextInFiles`);const q=this._requestIdProvider.getNext(),N=typeof U.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:U.previewOptions,{includePattern:W,folder:M}=w(U.include),O=typeof U.exclude=="string"?U.exclude:U.exclude?U.exclude.pattern:void 0,F={ignoreSymlinks:typeof U.followSymlinks=="boolean"?!U.followSymlinks:void 0,disregardIgnoreFiles:typeof U.useIgnoreFiles=="boolean"?!U.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof U.useGlobalIgnoreFiles=="boolean"?!U.useGlobalIgnoreFiles:void 0,disregardExcludeSettings:typeof U.useDefaultExcludes=="boolean"?!U.useDefaultExcludes:!0,fileEncoding:U.encoding,maxResults:U.maxResults,previewOptions:N,afterContext:U.afterContext,beforeContext:U.beforeContext,includePattern:W,excludePattern:O},B=!1;if(this._activeSearchCallbacks[q]=V=>{if(!B){const G=b.URI.revive(V.resource);V.results.forEach(ce=>{(0,t.resultIsMatch)(ce)?J({uri:G,preview:{text:ce.preview.text,matches:(0,v.mapArrayOrNot)(ce.preview.matches,me=>new o.Range(me.startLineNumber,me.startColumn,me.endLineNumber,me.endColumn))},ranges:(0,v.mapArrayOrNot)(ce.ranges,me=>new o.Range(me.startLineNumber,me.startColumn,me.endLineNumber,me.endColumn))}):J({uri:G,text:ce.text,lineNumber:ce.lineNumber})})}},z.isCancellationRequested)return{};try{const V=await this._proxy.$startTextSearch(L,(0,k.withUndefinedAsNull)(M),F,q,z);return delete this._activeSearchCallbacks[q],V||{}}catch(V){throw delete this._activeSearchCallbacks[q],V}}$handleTextSearchResult(L,U){this._activeSearchCallbacks[U]&&this._activeSearchCallbacks[U](L)}saveAll(L){return this._proxy.$saveAll(L)}resolveProxy(L){return this._proxy.$resolveProxy(L)}get trustState(){return this._workspaceTrustState}requireWorkspaceTrust(L){return this._proxy.$requireWorkspaceTrust(L)}$onDidChangeWorkspaceTrustState(L){this._workspaceTrustState=L.currentTrustState,this._onDidChangeWorkspaceTrustState.fire(Object.freeze(L))}};h=je([Ue(0,c.IExtHostRpcService),Ue(1,u.IExtHostInitDataService),Ue(2,_.IExtHostFileSystemInfo),Ue(3,m.ILogService)],h),e.ExtHostWorkspace=h,e.IExtHostWorkspace=(0,l.createDecorator)("IExtHostWorkspace");function w(R){let L,U;return R&&(typeof R=="string"?L=R:(L=R.pattern,U=R.baseFolder||b.URI.file(R.base))),{includePattern:L,folder:U}}}),define(pe[35],ve([0,1,22,3,32,5,8,185,83,15,19,4,14,13,2]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function m(r,s){if(s){const a=s.split(".");let n=r;for(let d=0;n&&d<a.length;d++)n=n[a[d]];return n}}function S(r){return r instanceof l.URI}function g(r){return r&&r.uri instanceof l.URI&&r.languageId&&typeof r.languageId=="string"}function _(r){return r&&!r.uri&&r.languageId&&typeof r.languageId=="string"}function u(r){return r&&r.uri instanceof l.URI&&(!r.name||typeof r.name=="string")&&(!r.index||typeof r.index=="number")}function c(r){if(S(r))return{resource:r};if(g(r))return{resource:r.uri,overrideIdentifier:r.languageId};if(_(r))return{overrideIdentifier:r.languageId};if(u(r))return{resource:r.uri};if(r===null)return{resource:null}}let o=class{constructor(s,a,n){this._proxy=s.getProxy(I.MainContext.MainThreadConfiguration),this._extHostWorkspace=a,this._logService=n,this._barrier=new T.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(s=>this._actual)}$initializeConfiguration(s){this._actual=new t(this._proxy,this._extHostWorkspace,s,this._logService),this._barrier.open()}$acceptConfigurationChanged(s,a){this.getConfigProvider().then(n=>n.$acceptConfigurationChanged(s,a))}};o=je([Ue(0,b.IExtHostRpcService),Ue(1,A.IExtHostWorkspace),Ue(2,f.ILogService)],o),e.ExtHostConfiguration=o;class t{constructor(s,a,n,d){this._onDidChangeConfiguration=new D.Emitter,this._proxy=s,this._logService=d,this._extHostWorkspace=a,this._configuration=P.Configuration.parse(n),this._configurationScopes=this._toMap(n.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(s,a){const n={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=P.Configuration.parse(s),this._configurationScopes=this._toMap(s.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(a,n))}getConfiguration(s,a,n){const d=c(a)||{},p=this._toReadonlyValue(s?m(this._configuration.getValue(void 0,d,this._extHostWorkspace.workspace),s):this._configuration.getValue(void 0,d,this._extHostWorkspace.workspace));s&&this._validateConfigurationAccess(s,d,n==null?void 0:n.identifier);function E(w){if(w==null)return null;if(typeof w=="boolean")return w?1:4;switch(w){case C.ConfigurationTarget.Global:return 1;case C.ConfigurationTarget.Workspace:return 4;case C.ConfigurationTarget.WorkspaceFolder:return 5}}const h={has(w){return typeof m(p,w)!="undefined"},get:(w,R)=>{this._validateConfigurationAccess(s?`${s}.${w}`:w,d,n==null?void 0:n.identifier);let L=m(p,w);if(typeof L=="undefined")L=R;else{let U;const J=(Z,z)=>{let q;const N=()=>{U=U||(0,v.deepClone)(p),q=q||m(U,z)};return(0,i.isObject)(Z)?new Proxy(Z,{get:(W,M)=>{if(typeof M=="string"&&M.toLowerCase()==="tojson")return N(),()=>q;if(U)return q=q||m(U,z),q[M];const O=W[M];return typeof M=="string"?J(O,`${z}.${M}`):O},set:(W,M,O)=>(N(),q&&(q[M]=O),!0),deleteProperty:(W,M)=>(N(),q&&delete q[M],!0),defineProperty:(W,M,O)=>(N(),q&&Object.defineProperty(q,M,O),!0)}):Z};L=J(L,w)}return L},update:(w,R,L,U)=>{w=s?`${s}.${w}`:w;const J=E(L);return R!==void 0?this._proxy.$updateConfigurationOption(J,w,R,d,U):this._proxy.$removeConfigurationOption(J,w,d,U)},inspect:w=>{var R,L,U,J,Z,z,q,N;w=s?`${s}.${w}`:w;const W=(0,v.deepClone)(this._configuration.inspect(w,d,this._extHostWorkspace.workspace));if(W)return{key:w,defaultValue:(R=W.default)===null||R===void 0?void 0:R.value,globalValue:(L=W.user)===null||L===void 0?void 0:L.value,workspaceValue:(U=W.workspace)===null||U===void 0?void 0:U.value,workspaceFolderValue:(J=W.workspaceFolder)===null||J===void 0?void 0:J.value,defaultLanguageValue:(Z=W.default)===null||Z===void 0?void 0:Z.override,globalLanguageValue:(z=W.user)===null||z===void 0?void 0:z.override,workspaceLanguageValue:(q=W.workspace)===null||q===void 0?void 0:q.override,workspaceFolderLanguageValue:(N=W.workspaceFolder)===null||N===void 0?void 0:N.override,languageIds:W.overrideIdentifiers}}};return typeof p=="object"&&(0,v.mixin)(h,p,!1),Object.freeze(h)}_toReadonlyValue(s){const a=n=>(0,i.isObject)(n)?new Proxy(n,{get:(d,p)=>a(d[p]),set:(d,p,E)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(p)}' of object`)},deleteProperty:(d,p)=>{throw new Error(`TypeError: Cannot delete read only property '${String(p)}' of object`)},defineProperty:(d,p)=>{throw new Error(`TypeError: Cannot define property '${String(p)}' for a readonly object`)},setPrototypeOf:d=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):n;return a(s)}_validateConfigurationAccess(s,a,n){const d=y.OVERRIDE_PROPERTY_PATTERN.test(s)?4:this._configurationScopes.get(s),p=n?`[${n.value}] `:"";if(d===4){typeof(a==null?void 0:a.resource)=="undefined"&&this._logService.warn(`${p}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${s}', provide the URI of a resource or 'null' for any resource.`);return}if(d===3){(a==null?void 0:a.resource)&&this._logService.warn(`${p}Accessing a window scoped configuration for a resource is not expected. To associate '${s}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(s,a){const n=new P.ConfigurationChangeEvent(s,a,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(d,p)=>n.affectsConfiguration(d,c(p))})}_toMap(s){return s.reduce((a,n)=>(a.set(n[0],n[1]),a),new Map)}}e.ExtHostConfigProvider=t,e.IExtHostConfiguration=(0,k.createDecorator)("IExtHostConfiguration")});var tt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},$e=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(pe[67],ve([0,1,2,19,3,5,8,32,38,35,21,34,14,27,4,11,10,13,64,205,18]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S,g,_,u,c){"use strict";var o;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var t;(function(Z){function z(N){if(N!=null)return N}Z.from=z;function q(N){if(N!=null)return N}Z.to=q})(t=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var r;(function(Z){function z(N){if(N!=null)return N}Z.from=z;function q(N){if(N!=null)return N}Z.to=q})(r=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var s;(function(Z){function z(N){if(N!=null)return N}Z.from=z;function q(N){if(N!=null)return N}Z.to=q})(s=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var a;(function(Z){function z(W){if(W){const M=W;return M&&!!M.process}else return!1}Z.is=z;function q(W){if(W!=null){const M={process:W.process,args:W.args};return W.options&&(M.options=s.from(W.options)),M}}Z.from=q;function N(W){if(W!=null)return new C.ProcessExecution(W.process,W.args,W.options)}Z.to=N})(a=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var n;(function(Z){function z(N){if(N!=null)return N}Z.from=z;function q(N){if(N!=null)return N}Z.to=q})(n=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var d;(function(Z){function z(W){if(W){const M=W;return M&&(!!M.commandLine||!!M.command)}else return!1}Z.is=z;function q(W){if(W!=null){const M={};return W.commandLine!==void 0?M.commandLine=W.commandLine:(M.command=W.command,M.args=W.args),W.options&&(M.options=n.from(W.options)),M}}Z.from=q;function N(W){if(!(W==null||W.command===void 0&&W.commandLine===void 0))return W.commandLine?new C.ShellExecution(W.commandLine,W.options):new C.ShellExecution(W.command,W.args?W.args:[],W.options)}Z.to=N})(d=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var p;(function(Z){function z(W){if(W){let M=W;return M&&M.customExecution==="customExecution"}else return!1}Z.is=z;function q(W){return{customExecution:"customExecution"}}Z.from=q;function N(W,M){return M.get(W)}Z.to=N})(p=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var E;(function(Z){function z(q,N){let W;return q.scope!==void 0&&typeof q.scope!="number"?W=q.scope.uri:q.scope!==void 0&&typeof q.scope=="number"&&(q.scope===C.TaskScope.Workspace&&N&&N.workspaceFile?W=N.workspaceFile:W=u.USER_TASKS_GROUP_KEY),{id:q._id,workspaceFolder:W}}Z.from=z})(E=e.TaskHandleDTO||(e.TaskHandleDTO={}));var h;(function(Z){function z(W,M){if(W==null)return[];const O=[];for(let F of W){const B=q(F,M);B&&O.push(B)}return O}Z.fromMany=z;function q(W,M){if(W!=null){let O;W.execution instanceof C.ProcessExecution?O=a.from(W.execution):W.execution instanceof C.ShellExecution?O=d.from(W.execution):W.execution&&W.execution instanceof C.CustomExecution&&(O=p.from(W.execution));const F=t.from(W.definition);let B;if(W.scope?typeof W.scope=="number"?B=W.scope:B=W.scope.uri:B=C.TaskScope.Workspace,!(!F||!B)){const V=W.group?W.group.id:void 0;return{_id:W._id,definition:F,name:W.name,source:{extensionId:M.identifier.value,label:W.source,scope:B},execution:O,isBackground:W.isBackground,group:V,presentationOptions:r.from(W.presentationOptions),problemMatchers:W.problemMatchers,hasDefinedMatchers:W.hasDefinedMatchers,runOptions:W.runOptions?W.runOptions:{reevaluateOnRerun:!0},detail:W.detail}}}}Z.from=q;async function N(W,M,O){if(W!=null){let F;a.is(W.execution)?F=a.to(W.execution):d.is(W.execution)?F=d.to(W.execution):p.is(W.execution)&&(F=p.to(W._id,O));const B=t.to(W.definition);let V;if(W.source&&(W.source.scope!==void 0?typeof W.source.scope=="number"?V=W.source.scope:V=await M.resolveWorkspaceFolder(v.URI.revive(W.source.scope)):V=C.TaskScope.Workspace),!(!B||!V)){const G=new C.Task(B,V,W.name,W.source.label,F,W.problemMatchers);return W.isBackground!==void 0&&(G.isBackground=W.isBackground),W.group!==void 0&&(G.group=C.TaskGroup.from(W.group)),W.presentationOptions&&(G.presentationOptions=r.to(W.presentationOptions)),W._id&&(G._id=W._id),W.detail&&(G.detail=W.detail),G}}}Z.to=N})(h=e.TaskDTO||(e.TaskDTO={}));var w;(function(Z){function z(N){return N}Z.from=z;function q(N){if(!!N)return Object.assign(Object.create(null),N)}Z.to=q})(w=e.TaskFilterDTO||(e.TaskFilterDTO={}));class R{constructor(z,q,N){this._id=q,this._task=N,o.set(this,void 0),tt(this,o,z)}get task(){return this._task}terminate(){$e(this,o).terminateTask(this)}fireDidStartProcess(z){}fireDidEndProcess(z){}}o=new WeakMap;var L;(function(Z){function z(q){return{id:q._id,task:void 0}}Z.from=z})(L=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let U=class{constructor(z,q,N,W,M,O,F,B){this._onDidExecuteTask=new A.Emitter,this._onDidTerminateTask=new A.Emitter,this._onDidTaskProcessStarted=new A.Emitter,this._onDidTaskProcessEnded=new A.Emitter,this._proxy=z.getProxy(I.MainContext.MainThreadTask),this._workspaceProvider=N,this._editorService=W,this._configurationService=M,this._terminalService=O,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=F,this._deprecationService=B,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider(z,q,N){if(!N)return new C.Disposable(()=>{});const W=this.nextHandle();return this._handlers.set(W,{type:q,provider:N,extension:z}),this._proxy.$registerTaskProvider(W,q),new C.Disposable(()=>{this._handlers.delete(W),this._proxy.$unregisterTaskProvider(W)})}registerTaskSystem(z,q){this._proxy.$registerTaskSystem(z,q)}fetchTasks(z){return this._proxy.$fetchTasks(w.from(z)).then(async q=>{const N=[];for(let W of q){const M=await h.to(W,this._workspaceProvider,this._providedCustomExecutions2);M&&N.push(M)}return N})}get taskExecutions(){const z=[];return this._taskExecutions.forEach(q=>z.push(q)),z}terminateTask(z){if(!(z instanceof R))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(z._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask(z,q,N){const W=this._providedCustomExecutions2.get(z.id);if(W){if(this._activeCustomExecutions2.get(z.id)!==void 0)throw new Error("We should not be trying to start the same custom task executions twice.");this._activeCustomExecutions2.set(z.id,W),this._terminalService.attachPtyToTerminal(q,await W.callback(N))}this._lastStartedTask=z.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution(z)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(z){const q=await this.getTaskExecution(z);this._taskExecutionPromises.delete(z.id),this._taskExecutions.delete(z.id),this.customExecutionComplete(z),this._onDidTerminateTask.fire({execution:q})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(z){const q=await this.getTaskExecution(z.id);this._onDidTaskProcessStarted.fire({execution:q,processId:z.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(z){const q=await this.getTaskExecution(z.id);this._onDidTaskProcessEnded.fire({execution:q,exitCode:z.exitCode})}$provideTasks(z,q){const N=this._handlers.get(z);if(!N)return Promise.reject(new Error("no handler found"));const W=[],M=(0,D.asPromise)(()=>N.provider.provideTasks(T.CancellationToken.None)).then(O=>this.provideTasksInternal(q,W,N,O));return new Promise(O=>{M.then(F=>{Promise.all(W).then(()=>{O(F)})})})}async $resolveTask(z,q){const N=this._handlers.get(z);if(!N)return Promise.reject(new Error("no handler found"));if(q.definition.type!==N.type)throw new Error(`Unexpected: Task of type [${q.definition.type}] cannot be resolved by provider of type [${N.type}].`);const W=await h.to(q,this._workspaceProvider,this._providedCustomExecutions2);if(!W)throw new Error("Unexpected: Task cannot be resolved.");const M=await N.provider.resolveTask(W,T.CancellationToken.None);if(!!M){this.checkDeprecation(M,N);const O=h.from(M,N.extension);if(!O)throw new Error("Unexpected: Task cannot be resolved.");if(M.definition!==W.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return p.is(O.execution)&&await this.addCustomExecution(O,M,!0),await this.resolveTaskInternal(O)}}nextHandle(){return this._handleCounter++}async addCustomExecution(z,q,N){const W=await this._proxy.$createTaskId(z);!N&&!this._providedCustomExecutions2.has(W)&&this._notProvidedCustomExecutions.add(W),this._providedCustomExecutions2.set(W,q.execution)}async getTaskExecution(z,q){if(typeof z=="string"){const M=this._taskExecutionPromises.get(z);if(!M)throw new Error("Unexpected: The specified task is missing an execution");return M}let N=this._taskExecutionPromises.get(z.id);if(N)return N;const W=new Promise(async(M,O)=>{const F=q||await h.to(z.task,this._workspaceProvider,this._providedCustomExecutions2);F?M(new R(this,z.id,F)):O("Unexpected: Task does not exist.")});return this._taskExecutionPromises.set(z.id,W),W.then(M=>(this._taskExecutions.set(z.id,M),M),M=>Promise.reject(M))}checkDeprecation(z,q){z._deprecated&&this._deprecationService.report("Task.constructor",q.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(z){this._activeCustomExecutions2.get(z.id)&&this._activeCustomExecutions2.delete(z.id),this._notProvidedCustomExecutions.has(z.id)&&this._lastStartedTask!==z.id&&(this._providedCustomExecutions2.delete(z.id),this._notProvidedCustomExecutions.delete(z.id));let N=this._notProvidedCustomExecutions.values(),W=N.next();for(;!W.done;)!this._activeCustomExecutions2.has(W.value)&&this._lastStartedTask!==W.value&&(this._providedCustomExecutions2.delete(W.value),this._notProvidedCustomExecutions.delete(W.value)),W=N.next()}};U=je([Ue(0,b.IExtHostRpcService),Ue(1,f.IExtHostInitDataService),Ue(2,P.IExtHostWorkspace),Ue(3,y.IExtHostDocumentsAndEditors),Ue(4,i.IExtHostConfiguration),Ue(5,k.IExtHostTerminalService),Ue(6,g.ILogService),Ue(7,_.IExtHostApiDeprecationService)],U),e.ExtHostTaskBase=U;let J=class extends U{constructor(z,q,N,W,M,O,F,B){super(z,q,N,W,M,O,F,B);this.registerTaskSystem(m.Schemas.vscodeRemote,{scheme:m.Schemas.vscodeRemote,authority:"",platform:S.PlatformToString(0)})}async executeTask(z,q){if(!q.execution)throw new Error("Tasks to execute must include an execution");const N=h.from(q,z);if(N===void 0)throw new Error("Task is not valid");if(p.is(N.execution))await this.addCustomExecution(N,q,!1);else throw new c.NotSupportedError;const W=await this.getTaskExecution(await this._proxy.$getTaskExecution(N),q);return this._proxy.$executeTask(N).catch(M=>{throw new Error(M)}),W}provideTasksInternal(z,q,N,W){const M=[];if(W)for(let O of W){this.checkDeprecation(O,N),(!O.definition||!z[O.definition.type])&&this._logService.warn(`The task [${O.source}, ${O.name}] uses an undefined task type. The task will be ignored in the future.`);const F=h.from(O,N.extension);F&&p.is(F.execution)?(M.push(F),q.push(this.addCustomExecution(F,O,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:M,extension:N.extension}}async resolveTaskInternal(z){if(p.is(z.execution))return z;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(z,q){return{process:void 0,variables:Object.create(null)}}$getDefaultShellAndArgs(){throw new Error("Not implemented")}async $jsonTasksSupported(){return!1}async $findExecutable(z,q,N){}};J=je([Ue(0,b.IExtHostRpcService),Ue(1,f.IExtHostInitDataService),Ue(2,P.IExtHostWorkspace),Ue(3,y.IExtHostDocumentsAndEditors),Ue(4,i.IExtHostConfiguration),Ue(5,k.IExtHostTerminalService),Ue(6,g.ILogService),Ue(7,_.IExtHostApiDeprecationService)],J),e.WorkerExtHostTask=J,e.IExtHostTask=(0,l.createDecorator)("IExtHostTask")});var tt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},$e=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)},hn=this&&this.__rest||function(Q,e){var v={};for(var D in Q)Object.prototype.hasOwnProperty.call(Q,D)&&e.indexOf(D)<0&&(v[D]=Q[D]);if(Q!=null&&typeof Object.getOwnPropertySymbols=="function")for(var A=0,D=Object.getOwnPropertySymbols(Q);A<D.length;A++)e.indexOf(D[A])<0&&Object.prototype.propertyIsEnumerable.call(Q,D[A])&&(v[D[A]]=Q[D[A]]);return v};define(pe[257],ve([0,1,12,19,21,3,70,6,22,15,2,28,5,38,14,20,8,32,220,210]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S,g,_,u){"use strict";var c,o;Object.defineProperty(e,"__esModule",{value:!0}),e.MirroredTestCollection=e.TestItemFilteredWrapper=e.ExtHostTesting=void 0;const t=(w,R)=>`${w}:${R.toString()}`;let r=class{constructor(R,L,U){this.documents=L,this.workspace=U,this.resultsChangedEmitter=new I.Emitter,this.providers=new Map,this.ownedTests=new _.OwnedTestCollection,this.testSubscriptions=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=R.getProxy(b.MainContext.MainThreadTesting),this.workspaceObservers=new E(this.proxy),this.textDocumentObservers=new h(this.proxy,L)}registerTestProvider(R){const L=(0,k.generateUuid)();this.providers.set(L,R),this.proxy.$registerTestProvider(L);const U=[...this.testSubscriptions.keys()];return setTimeout(()=>{var J;for(const Z of U)(J=this.testSubscriptions.get(Z))===null||J===void 0||J.subscribeFn(L,R)},0),new S.Disposable(()=>{this.providers.delete(L),this.proxy.$unregisterTestProvider(L)})}createTextDocumentTestObserver(R){return this.textDocumentObservers.checkout(R.uri)}createWorkspaceTestObserver(R){return this.workspaceObservers.checkout(R.uri)}async runTests(R,L=A.CancellationToken.None){const U=J=>J.map(this.getInternalTestForReference,this).filter(i.isDefined).map(Z=>({providerId:Z.providerId,testId:Z.item.extId}));await this.proxy.$runTests({exclude:R.exclude?U(R.exclude).map(J=>J.testId):void 0,tests:U(R.tests),debug:R.debug},L)}publishExtensionProvidedResults(R,L){this.proxy.$publishExtensionProvidedResults(m.TestResults.from((0,k.generateUuid)(),R),L)}$publishTestResults(R){this.results=Object.freeze(R.map(L=>(0,y.deepFreeze)(m.TestResults.to(L))).concat(this.results).sort((L,U)=>U.completedAt-L.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $subscribeToTests(R,L){const U=T.URI.revive(L),J=t(R,U);if(!this.testSubscriptions.has(J)){const Z=new A.CancellationTokenSource;let z;if(R===1){let M=this.documents.getDocument(U);if(!M){const O=new P.DisposableStore;M=await new Promise(F=>{O.add((0,D.disposableTimeout)(()=>F(void 0),5e3)),O.add(this.documents.onDidAddDocuments(B=>{const V=B.find(G=>G.document.uri.toString()===U.toString());V&&F(V)}))}).finally(()=>O.dispose())}if(M){const O=await this.workspace.getWorkspaceFolder2(U,!1);z=F=>F.provideDocumentTestHierarchy?F.provideDocumentTestHierarchy(M.document,Z.token):this.createDefaultDocumentTestHierarchy(F,M.document,O,Z.token)}}else{const M=await this.workspace.getWorkspaceFolder2(U,!1);M&&(z=O=>O.provideWorkspaceTestHierarchy(M,Z.token))}if(!!z){const q=async(M,O)=>{var F;try{W.pushDiff([3,1]);const B=await z(O);if(!B){W.pushDiff([3,-1]);return}W.addRoot(B.root,M),Promise.resolve(B.discoveredInitialTests).then(()=>W.pushDiff([3,-1])),B.onDidChangeTest(V=>W.onItemChange(V,M)),(F=B.onDidInvalidateTest)===null||F===void 0||F.call(B,V=>{const G=W.getTestByReference(V);G?this.proxy.$retireTest(G.item.extId):console.warn("Received a TestProvider.onDidInvalidateTest for a test that does not currently exist.")})}catch(B){console.error(B)}},N=new P.DisposableStore,W=N.add(this.ownedTests.createForHierarchy(M=>this.proxy.$publishDiff(R,L,M)));N.add((0,P.toDisposable)(()=>Z.dispose(!0)));for(const[M,O]of this.providers)q(M,O);W.pushDiff([4,-1]),this.testSubscriptions.set(J,{store:N,collection:W,subscribeFn:q})}}}$unsubscribeFromTests(R,L){var U;const J=T.URI.revive(L),Z=t(R,J);(U=this.testSubscriptions.get(Z))===null||U===void 0||U.store.dispose(),this.testSubscriptions.delete(Z)}$acceptDiff(R,L,U){R===1?this.textDocumentObservers.acceptDiff(T.URI.revive(L),U):this.workspaceObservers.acceptDiff(T.URI.revive(L),U)}async $runTestsForProvider(R,L){const U=this.providers.get(R.providerId);if(!!U){const J=R.ids.map(z=>{var q;return(q=this.ownedTests.getTestById(z))===null||q===void 0?void 0:q[1]}).filter(i.isDefined),Z=R.excludeExtIds.map(z=>this.ownedTests.getTestById(z)).filter(i.isDefined).filter(([z,q])=>J.some(N=>z.comparePositions(N,q)===1));if(!!J.length)try{await U.runTests({setState:(z,q)=>{for(const[N,W]of Z){const M=N.comparePositions(W,z.id);if(M===1||M===3)return}this.flushCollectionDiffs(),this.proxy.$updateTestStateInRun(R.runId,z.id,m.TestState.from(q))},tests:J.map(z=>s.unwrap(z.actual)),exclude:Z.map(([,z])=>s.unwrap(z.actual)),debug:R.debug},L);for(const{collection:z}of this.testSubscriptions.values())z.flushDiff();return}catch(z){throw console.error(z),z}}}$lookupTest(R){const L=this.ownedTests.getTestById(R.testId);if(!L)return Promise.resolve(void 0);const U=L[1],{actual:J,previousChildren:Z,previousEquals:z}=U,q=hn(U,["actual","previousChildren","previousEquals"]);return Promise.resolve(q)}flushCollectionDiffs(){for(const{collection:R}of this.testSubscriptions.values())R.flushDiff()}getInternalTestForReference(R){var L,U;return(U=(L=this.workspaceObservers.getMirroredTestDataByReference(R))!==null&&L!==void 0?L:(0,v.mapFind)(this.testSubscriptions.values(),J=>J.collection.getTestByReference(R)))!==null&&U!==void 0?U:this.textDocumentObservers.getMirroredTestDataByReference(R)}async createDefaultDocumentTestHierarchy(R,L,U,J){var Z;if(!!U){const z=await R.provideWorkspaceTestHierarchy(U,J);if(!!z){const q=new I.Emitter;(Z=z.onDidInvalidateTest)===null||Z===void 0||Z.call(z,W=>{const M=s.getWrapperForTestItem(W,L);M.hasNodeMatchingFilter&&q.fire(M)});const N=new I.Emitter;return z.onDidChangeTest(W=>{const M=s.getWrapperForTestItem(W,L);if(M.hasNodeMatchingFilter){if(M.reset(),M.hasNodeMatchingFilter){N.fire(M);return}N.fire(M.visibleParent);return}const F=M.visibleParent;M.reset(),!!M.hasNodeMatchingFilter&&(F.reset(),N.fire(F))}),J.onCancellationRequested(()=>{s.removeFilter(L),N.dispose()}),{root:s.getWrapperForTestItem(z.root,L),discoveredInitialTests:z.discoveredInitialTests,onDidInvalidateTest:q.event,onDidChangeTest:N.event}}}}};r=je([Ue(0,l.IExtHostRpcService),Ue(1,f.IExtHostDocumentsAndEditors),Ue(2,g.IExtHostWorkspace)],r),e.ExtHostTesting=r;class s{constructor(R,L,U){this.actual=R,this.filterDocument=L,this.parent=U,this.getWrappedChildren()}static removeFilter(R){this.wrapperMap.delete(R)}static getWrapperForTestItem(R,L,U){let J=this.wrapperMap.get(L);if(J==null?void 0:J.has(R))return J.get(R);J||(J=new WeakMap,this.wrapperMap.set(L,J));const Z=new s(R,L,U);return J.set(R,Z),Z}static unwrap(R){return R instanceof s?R.actual:R}get id(){return this.actual.id}get label(){return this.actual.label}get debuggable(){return this.actual.debuggable}get description(){return this.actual.description}get location(){return this.actual.location}get runnable(){return this.actual.runnable}get children(){return this.getWrappedChildren().filter(R=>R.hasNodeMatchingFilter)}get visibleParent(){return this.hasNodeMatchingFilter?this:this.parent.visibleParent}get hasNodeMatchingFilter(){var R;return this.matchesFilter===void 0&&(this.matchesFilter=!this.parent||((R=this.actual.location)===null||R===void 0?void 0:R.uri.toString())===this.filterDocument.uri.toString()||this.getWrappedChildren().some(L=>L.hasNodeMatchingFilter)),this.matchesFilter}reset(){var R;this!==this.visibleParent&&((R=this.parent)===null||R===void 0||R.reset()),this.matchesFilter=void 0}getWrappedChildren(){var R;return((R=this.actual.children)===null||R===void 0?void 0:R.map(L=>s.getWrapperForTestItem(L,this.filterDocument,this)))||[]}}e.TestItemFilteredWrapper=s,s.wrapperMap=new WeakMap;class a extends u.IncrementalChangeCollector{constructor(R,L){super();this.collection=R,this.emitter=L,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add(R){this.added.add(R)}update(R){Object.assign(R.revived,m.TestItem.toPlainShallow(R.item)),this.added.has(R)||this.updated.add(R)}remove(R){if(this.added.has(R)){this.added.delete(R);return}if(this.updated.delete(R),R.parent&&this.alreadyRemoved.has(R.parent)){this.alreadyRemoved.add(R.item.extId);return}this.removed.add(R)}getChangeEvent(){const{collection:R,added:L,updated:U,removed:J}=this;return{get added(){return[...L].map(R.getPublicTestItem,R)},get updated(){return[...U].map(R.getPublicTestItem,R)},get removed(){return[...J].map(R.getPublicTestItem,R)}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class n extends u.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new I.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTestItems(){return this.getAllAsTestItem([...this.roots])}getAllAsTestItem(R){let L=[];for(const U of R){const J=this.items.get(U);J&&L.push(this.getPublicTestItem(J))}return L}getMirroredTestDataById(R){return this.items.get(R)}getMirroredTestDataByReference(R){return this.items.get(R.id)}createItem(R,L){return Object.assign(Object.assign({},R),{revived:m.TestItem.toPlainShallow(R.item),depth:L?L.depth+1:0,children:new Set})}createChangeCollector(){return new a(this,this.changeEmitter)}getPublicTestItem(R){return R.wrapped||(R.wrapped=new d(R,this)),R.wrapped}}e.MirroredTestCollection=n;class d{constructor(R,L){c.set(this,void 0),o.set(this,void 0),tt(this,c,R),tt(this,o,L)}get id(){return $e(this,c).revived.id}get label(){return $e(this,c).revived.label}get description(){return $e(this,c).revived.description}get location(){return $e(this,c).revived.location}get runnable(){var R;return(R=$e(this,c).revived.runnable)!==null&&R!==void 0?R:!0}get debuggable(){var R;return(R=$e(this,c).revived.debuggable)!==null&&R!==void 0?R:!1}get children(){return $e(this,o).getAllAsTestItem($e(this,c).children)}toJSON(){return{id:this.id,label:this.label,description:this.description,location:this.location,runnable:this.runnable,debuggable:this.debuggable,children:this.children.map(L=>L.toJSON()),providerId:$e(this,c).providerId,testId:this.id}}}c=new WeakMap,o=new WeakMap;class p{constructor(){this.resources=new Map}checkout(R){var L,U;const J=R.toString(),Z=(L=this.resources.get(J))!==null&&L!==void 0?L:this.createObserverData(R);return(U=Z.pendingDeletion)===null||U===void 0||U.dispose(),Z.observers++,{onDidChangeTest:Z.tests.onDidChangeTests,onDidDiscoverInitialTests:new I.Emitter().event,get tests(){return Z.tests.rootTestItems},dispose:(0,C.once)(()=>{--Z.observers||(Z.pendingDeletion=this.eventuallyDispose(R))})}}getMirroredTestDataByReference(R){for(const{tests:L}of this.resources.values()){const U=L.getMirroredTestDataByReference(R);if(U)return U}}eventuallyDispose(R){return(0,D.disposableTimeout)(()=>this.unlisten(R),10*1e3)}createObserverData(R){const L=new n,U=this.listen(R,Z=>L.apply(Z)),J={observers:0,tests:L,listener:U};return this.resources.set(R.toString(),J),J}unlisten(R){var L;const U=R.toString(),J=this.resources.get(U);J&&(J.observers=-1,(L=J.pendingDeletion)===null||L===void 0||L.dispose(),J.listener.dispose(),this.resources.delete(U))}}class E extends p{constructor(R){super();this.proxy=R,this.diffListeners=new Map}acceptDiff(R,L){var U;(U=this.diffListeners.get(R.toString()))===null||U===void 0||U(L)}listen(R,L){this.proxy.$subscribeToDiffs(0,R);const U=R.toString();return this.diffListeners.set(U,L),new S.Disposable(()=>{this.proxy.$unsubscribeFromDiffs(0,R),this.diffListeners.delete(U)})}}class h extends p{constructor(R,L){super();this.proxy=R,this.documents=L,this.diffListeners=new Map}acceptDiff(R,L){var U;(U=this.diffListeners.get(R.toString()))===null||U===void 0||U(L)}listen(R,L){if(!this.documents.getDocument(R))return new S.Disposable(()=>{});const J=R.toString();return this.diffListeners.set(J,L),this.proxy.$subscribeToDiffs(1,R),new S.Disposable(()=>{this.proxy.$unsubscribeFromDiffs(1,R),this.diffListeners.delete(J)})}}}),define(pe[258],ve([0,1,12,54,33,77,23,11,7,24,9,15,2,138,170,84,61,212,256,31]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S,g,_,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let c=class{constructor(E,h,w,R){this.configurationService=E,this.workspaceContextService=h,this.editorGroupsService=w,this.pathService=R}text(E,h,w={}){E=this.getContentPattern(E,w);const R=this.configurationService.getValue(),L=h&&h.some(J=>!this.configurationService.getValue({resource:J}).search.useRipgrep),U=this.commonQuery(h==null?void 0:h.map(S.toWorkspaceFolder),w);return Object.assign(Object.assign({},U),{type:2,contentPattern:E,previewOptions:w.previewOptions,maxFileSize:w.maxFileSize,usePCRE2:R.search.usePCRE2||L||!1,beforeContext:w.beforeContext,afterContext:w.afterContext,userDisabledExcludesAndIgnoreFiles:w.disregardExcludeSettings&&w.disregardIgnoreFiles})}getContentPattern(E,h){const w=this.configurationService.getValue();E.isRegExp&&(E.pattern=E.pattern.replace(/\r?\n/g,"\\n"));const R=Object.assign(Object.assign({},E),{wordSeparators:w.editor.wordSeparators});return this.isCaseSensitive(E,h)&&(R.isCaseSensitive=!0),this.isMultiline(E)&&(R.isMultiline=!0),R}file(E,h={}){const w=this.commonQuery(E,h);return Object.assign(Object.assign({},w),{type:1,filePattern:h.filePattern?h.filePattern.trim():h.filePattern,exists:h.exists,sortByScore:h.sortByScore,cacheKey:h.cacheKey})}handleIncludeExclude(E,h){return E?(E=Array.isArray(E)?E.map(a):a(E),h?this.parseSearchPaths(E):{pattern:t(...Array.isArray(E)?E:[E])}):{}}commonQuery(E=[],h={}){const w=this.handleIncludeExclude(h.includePattern,h.expandPatterns),R=this.handleIncludeExclude(h.excludePattern,h.expandPatterns),L=E.length>1,U=(w.searchPaths&&w.searchPaths.length?w.searchPaths.map(z=>this.getFolderQueryForSearchPath(z,h,R)):E.map(z=>this.getFolderQueryForRoot(z,h,R,L))).filter(z=>!!z),J={_reason:h._reason,folderQueries:U,usingSearchPaths:!!(w.searchPaths&&w.searchPaths.length),extraFileResources:h.extraFileResources,excludePattern:R.pattern,includePattern:w.pattern,onlyOpenEditors:h.onlyOpenEditors,maxResults:h.maxResults};if(h.onlyOpenEditors){const q=v.coalesce(v.flatten(this.editorGroupsService.groups.map(W=>W.editors.map(M=>M.resource)))).filter(W=>(0,u.pathIncludedInQuery)(J,W.fsPath)),N=this.commonQueryFromFileList(q);return Object.assign(Object.assign({},J),N)}const Z=h.extraFileResources&&h.extraFileResources.filter(z=>(0,u.pathIncludedInQuery)(J,z.fsPath));return J.extraFileResources=Z&&Z.length?Z:void 0,J}commonQueryFromFileList(E){const h=[],w=new C.ResourceMap,R={};let L=!1;return E.forEach(U=>{var J,Z;if(U.scheme!==P.Schemas.walkThrough)if((0,i.isAbsolutePath)(U)){const q=(Z=(J=this.workspaceContextService.getWorkspaceFolder(U))===null||J===void 0?void 0:J.uri)!==null&&Z!==void 0?Z:U.with({path:y.dirname(U.fsPath)});let N=w.get(q);N||(L=!0,N={folder:q,includePattern:{}},h.push(N),w.set(q,N));const W=y.relative(q.fsPath,U.fsPath);(0,k.assertIsDefined)(N.includePattern)[W.replace(/\\/g,"/")]=!0}else U.fsPath&&(L=!0,R[U.fsPath]=!0)}),{folderQueries:h,includePattern:R,usingSearchPaths:!0,excludePattern:L?void 0:{"**/*":!0}}}isCaseSensitive(E,h){if(h.isSmartCase){if(E.isRegExp){if(T.containsUppercaseCharacter(E.pattern,!0))return!0}else if(T.containsUppercaseCharacter(E.pattern))return!0}return!!E.isCaseSensitive}isMultiline(E){return E.isMultiline||E.isRegExp&&(0,f.isMultilineRegexSource)(E.pattern)||E.pattern.indexOf(`
`)>=0?!0:!!E.isMultiline}parseSearchPaths(E){const h=N=>y.isAbsolute(N)||/^\.\.?([\/\\]|$)/.test(N),R=(Array.isArray(E)?E:r(E)).map(N=>{const W=this.pathService.resolvedUserHome;return W?(0,I.untildify)(N,W.scheme===P.Schemas.file?W.fsPath:W.path):N}),L=D.groupBy(R,N=>h(N)?"searchPaths":"exprSegments"),U=(L.exprSegments||[]).map(N=>T.rtrim(N,"/")).map(N=>T.rtrim(N,"\\")).map(N=>(N[0]==="."&&(N="*"+N),s(N))),J={},Z=this.expandSearchPathPatterns(L.searchPaths||[]);Z&&Z.length&&(J.searchPaths=Z);const z=v.flatten(U),q=t(...z);return q&&(J.pattern=q),J}getExcludesForFolder(E,h){return h.disregardExcludeSettings?void 0:(0,u.getExcludes)(E,!h.disregardSearchExcludeSettings)}expandSearchPathPatterns(E){if(!E||!E.length)return[];const h=v.flatten(E.map(R=>{let{pathPortion:L,globPortion:U}=o(R);U&&(U=n(U));const J=this.expandOneSearchPath(L);return v.flatten(J.map(Z=>this.resolveOneSearchPathPattern(Z,U)))})),w=new Map;return h.forEach(R=>{const L=R.searchPath.toString(),U=w.get(L);U?R.pattern&&(U.pattern=U.pattern||{},U.pattern[R.pattern]=!0):w.set(L,{searchPath:R.searchPath,pattern:R.pattern?t(R.pattern):void 0})}),Array.from(w.values())}expandOneSearchPath(E){if(y.isAbsolute(E)){const h=this.workspaceContextService.getWorkspace().folders;return h[0]&&h[0].uri.scheme!==P.Schemas.file?[{searchPath:h[0].uri.with({path:E})}]:[{searchPath:b.URI.file(y.normalize(E))}]}if(this.workspaceContextService.getWorkbenchState()===2){const h=this.workspaceContextService.getWorkspace().folders[0].uri;if(E=a(E),E.startsWith("../")||E===".."){const R=y.posix.resolve(h.path,E);return[{searchPath:h.with({path:R})}]}const w=n(E);return[{searchPath:h,pattern:w}]}else{if(E==="./"||E===".\\")return[];{const h=E.match(/\.[\/\\]([^\/\\]+)(?:[\/\\](.+))?/);if(h){const w=h[1],R=this.workspaceContextService.getWorkspace().folders.filter(L=>L.name===w);if(R.length)return R.map(L=>{const U=h[2];return{searchPath:L.uri,pattern:U&&n(U)}});{const L=l.localize(0,null,w);throw new Error(L)}}}}return[]}resolveOneSearchPathPattern(E,h){const w=E.pattern&&h?`${E.pattern}/${h}`:E.pattern||h,R=[{searchPath:E.searchPath,pattern:w}];return w&&!w.endsWith("**")&&R.push({searchPath:E.searchPath,pattern:w+"/**"}),R}getFolderQueryForSearchPath(E,h,w){const R=this.getFolderQueryForRoot((0,S.toWorkspaceFolder)(E.searchPath),h,w,!1);return R?Object.assign(Object.assign({},R),{includePattern:E.pattern}):null}getFolderQueryForRoot(E,h,w,R){let L;const U=b.URI.isUri(E)?E:E.uri;if(w.searchPaths){const N=w.searchPaths.filter(W=>(0,i.isEqual)(W.searchPath,U))[0];if(N&&!N.pattern)return null;N&&(L=N.pattern)}const J=this.configurationService.getValue({resource:U}),Z=this.getExcludesForFolder(J,h),z=Object.assign(Object.assign({},Z||{}),L||{}),q=b.URI.isUri(E)?(0,i.basename)(E):E.name;return{folder:U,folderName:R?q:void 0,excludePattern:Object.keys(z).length>0?z:void 0,fileEncoding:J.files&&J.files.encoding,disregardIgnoreFiles:typeof h.disregardIgnoreFiles=="boolean"?h.disregardIgnoreFiles:!J.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof h.disregardGlobalIgnoreFiles=="boolean"?h.disregardGlobalIgnoreFiles:!J.search.useGlobalIgnoreFiles,ignoreSymlinks:typeof h.ignoreSymlinks=="boolean"?h.ignoreSymlinks:!J.search.followSymlinks}}};c=je([Ue(0,m.IConfigurationService),Ue(1,S.IWorkspaceContextService),Ue(2,g.IEditorGroupsService),Ue(3,_.IPathService)],c),e.QueryBuilder=c;function o(p){const E=p.match(/[\*\{\}\(\)\[\]\?]/);if(E){const h=E.index,w=p.substr(0,h).match(/[/|\\][^/\\]*$/);if(w){let R=p.substr(0,w.index);return R.match(/[/\\]/)||(R+="/"),{pathPortion:R,globPortion:p.substr((w.index||0)+1)}}}return{pathPortion:p}}function t(...p){return p.length?p.reduce((E,h)=>(E[h]=!0,E),Object.create(null)):void 0}function r(p){return A.splitGlobAware(p,",").map(E=>E.trim()).filter(E=>!!E.length)}function s(p){return[`**/${p}/**`,`**/${p}`].map(h=>h.replace(/\*\*\/\*\*/g,"**"))}function a(p){return p.replace(/\\/g,"/")}function n(p){return a(p).replace(/^\.\//,"").replace(/\/+$/g,"")}function d(p,E){p=v.distinct(p,R=>R.toString());const h=[],w=E.getWorkspace();return p&&p.forEach(R=>{let L;if(E.getWorkbenchState()===2)L=(0,i.relativePath)(w.folders[0].uri,R),L&&L!=="."&&(L="./"+L);else{const U=E.getWorkspaceFolder(R);if(U){const J=U.name;if(w.folders.filter(z=>z.name===J).length===1){const z=(0,i.relativePath)(U.uri,R);z===""?L=`./${U.name}`:L=`./${U.name}/${z}`}else L=R.fsPath}}L&&h.push(L)}),h}e.resolveResourcesForSearchIncludes=d}),define(pe[259],ve([0,1,24,2,21,18,4,258,31,61]),function(Q,e,v,D,A,I,C,P,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const T=7e3;function k(m,S){const g=S.activationEvents;if(!g)return Promise.resolve(void 0);const _=[],u=[];for(const a of g)if(/^workspaceContains:/.test(a)){const n=a.substr("workspaceContains:".length);n.indexOf("*")>=0||n.indexOf("?")>=0||m.forceUsingSearch?u.push(n):_.push(n)}if(_.length===0&&u.length===0)return Promise.resolve(void 0);let c;const o=new Promise((a,n)=>{c=a}),t=a=>c({activationEvent:a}),r=Promise.all(_.map(a=>b(m,a,t))).then(()=>{}),s=f(m,S.identifier,u,t);return Promise.all([r,s]).then(()=>{c(void 0)}),o}e.checkActivateWorkspaceContainsExtension=k;async function b(m,S,g){for(const _ of m.folders)if(await m.exists(v.joinPath(D.URI.revive(_),S))){g(`workspaceContains:${S}`);return}}async function f(m,S,g,_){if(g.length===0)return Promise.resolve(void 0);const u=new A.CancellationTokenSource,c=m.checkExists(m.folders,g,u.token),o=setTimeout(async()=>{u.cancel(),_(`workspaceContainsTimeout:${g.join(",")}`)},T);let t=!1;try{t=await c}catch(r){I.isPromiseCanceledError(r)||I.onUnexpectedError(r)}u.dispose(),clearTimeout(o),t&&_(`workspaceContains:${g.join(",")}`)}function l(m,S,g,_){const u=m.get(C.IInstantiationService),c=m.get(y.ISearchService),t=u.createInstance(P.QueryBuilder).file(S.map(r=>(0,i.toWorkspaceFolder)(D.URI.revive(r))),{_reason:"checkExists",includePattern:g,exists:!0});return c.fileSearch(t,_).then(r=>!!r.limitHit,r=>I.isPromiseCanceledError(r)?!1:Promise.reject(r))}e.checkGlobFileExists=l});var tt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},$e=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(pe[42],ve([0,1,159,7,68,24,19,6,23,2,13,5,35,223,88,32,41,221,18,29,11,26,193,8,112,4,27,89,14,82,50,34,3,259,86,194]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S,g,_,u,c,o,t,r,s,a,n,d,p,E,h,w,R,L,U,J){"use strict";var Z,z,q;Object.defineProperty(e,"__esModule",{value:!0}),e.Extension=e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=(0,a.createDecorator)("IHostUtils");let N=class Fn extends P.Disposable{constructor(F,B,V,G,ce,me,Pe,Ie,Fe,H){super();this._onDidChangeRemoteConnectionData=this._register(new R.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._hostUtils=B,this._extHostContext=V,this._initData=Pe,this._extHostWorkspace=G,this._extHostConfiguration=ce,this._logService=me,this._extHostTunnelService=Fe,this._extHostTerminalService=H,this._disposables=new P.DisposableStore,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(k.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(k.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(k.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new C.Barrier,this._readyToStartExtensionHost=new C.Barrier,this._readyToRunExtensions=new C.Barrier,this._registry=new g.ExtensionDescriptionRegistry(this._initData.extensions),this._storage=new l.ExtHostStorage(this._extHostContext),this._secretState=new U.ExtHostSecretState(this._extHostContext),this._storagePath=Ie,this._instaService=F.createChild(new E.ServiceCollection([l.IExtHostStorage,this._storage],[U.IExtHostSecretState,this._secretState]));const X=new Set;this._initData.hostExtensions.forEach(te=>X.add(u.ExtensionIdentifier.toKey(te))),this._activator=new f.ExtensionsActivator(this._registry,this._initData.resolvedExtensions,this._initData.hostExtensions,{onExtensionActivationError:(te,oe)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(te,oe)},actualActivateExtension:async(te,oe)=>{if(X.has(u.ExtensionIdentifier.toKey(te)))return await this._mainThreadExtensionsProxy.$activateExtension(te,oe),new f.HostExtension;const we=this._registry.getExtensionDescription(te);return this._activateExtension(we,oe)}},this._logService),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),A.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(F){_.onUnexpectedError(F)}}async deactivateAll(){let F=[];try{F=this._registry.getAllExtensionDescriptions().map(ce=>ce.identifier).filter(ce=>this.isActivated(ce)).map(ce=>this._deactivate(ce))}catch(B){}await Promise.all(F)}isActivated(F){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(F):!1}_activateByEvent(F,B){return this._activator.activateByEvent(F,B)}_activateById(F,B){return this._activator.activateById(F,B)}activateByIdWithErrors(F,B){return this._activateById(F,B).then(()=>{const V=this._activator.getActivatedExtension(F);if(V.activationFailed)return Promise.reject(V.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(F=>this._registry)}getExtensionExports(F){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(F).exports:null}getExtensionPathIndex(){if(!this._extensionPathIndex){const F=y.TernarySearchTree.forPaths(),B=this._registry.getAllExtensionDescriptions().map(V=>{if(!!this._getEntryPoint(V))return this._hostUtils.realpath(V.extensionLocation.fsPath).then(G=>F.set(i.URI.file(G).fsPath,V))});this._extensionPathIndex=Promise.all(B).then(()=>F)}return this._extensionPathIndex}_deactivate(F){let B=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(F))return B;const V=this._activator.getActivatedExtension(F);if(!V)return B;try{typeof V.module.deactivate=="function"&&(B=Promise.resolve(V.module.deactivate()).then(void 0,G=>Promise.resolve(void 0)))}catch(G){}try{(0,P.dispose)(V.subscriptions)}catch(G){}return B}async _activateExtension(F,B){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(F.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(F.identifier),this._doActivateExtension(F,B).then(V=>{const G=V.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(F.identifier,G.codeLoadingTime,G.activateCallTime,G.activateResolvedTime,B),this._logExtensionActivationTimes(F,B,"success",G),V},V=>{throw this._logExtensionActivationTimes(F,B,"failure"),V})}_logExtensionActivationTimes(F,B,V,G){const ce=W(F,B);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",Object.assign(Object.assign(Object.assign({},ce),G||{}),{outcome:V}))}_doActivateExtension(F,B){const V=W(F,B);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",V);const G=this._getEntryPoint(F);if(!G)return Promise.resolve(new f.EmptyExtension(f.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${F.identifier.value} ${JSON.stringify(B)}`),this._logService.flush();const ce=new f.ExtensionActivationTimesBuilder(B.startup);return Promise.all([this._loadCommonJSModule(F.identifier,(0,I.joinPath)(F.extensionLocation,G),ce),this._loadExtensionContext(F)]).then(me=>(A.mark(`code/extHost/willActivateExtension/${F.identifier.value}`),Fn._callActivate(this._logService,F.identifier,me[0],me[1],ce))).then(me=>(A.mark(`code/extHost/didActivateExtension/${F.identifier.value}`),me))}_loadExtensionContext(F){const B=new t.ExtensionGlobalMemento(F,this._storage),V=new t.ExtensionMemento(F.identifier.value,!1,this._storage),G=new J.ExtensionSecrets(F,this._secretState),ce=F.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?r.ExtensionMode.Test:r.ExtensionMode.Development:r.ExtensionMode.Production,me=this._initData.remote.isRemote?r.ExtensionKind.Workspace:r.ExtensionKind.UI;return this._logService.trace(`ExtensionService#loadExtensionContext ${F.identifier.value}`),Promise.all([B.whenReady,V.whenReady,this._storagePath.whenReady]).then(()=>{const Pe=this;let Ie;return Object.freeze({globalState:B,workspaceState:V,secrets:G,subscriptions:[],get extensionUri(){return F.extensionLocation},get extensionPath(){return F.extensionLocation.fsPath},asAbsolutePath(Fe){return D.join(F.extensionLocation.fsPath,Fe)},get storagePath(){var Fe;return(Fe=Pe._storagePath.workspaceValue(F))===null||Fe===void 0?void 0:Fe.fsPath},get globalStoragePath(){return Pe._storagePath.globalValue(F).fsPath},get logPath(){return D.join(Pe._initData.logsLocation.fsPath,F.identifier.value)},get logUri(){return i.URI.joinPath(Pe._initData.logsLocation,F.identifier.value)},get storageUri(){return Pe._storagePath.workspaceValue(F)},get globalStorageUri(){return Pe._storagePath.globalValue(F)},get extensionMode(){return ce},get extension(){return(0,S.checkProposedApiEnabled)(F),Ie===void 0&&(Ie=new M(this,F.identifier,F,me)),Ie},get extensionRuntime(){return(0,S.checkProposedApiEnabled)(F),Pe.extensionRuntime},get environmentVariableCollection(){return Pe._extHostTerminalService.getEnvironmentVariableCollection(F)}})})}static _callActivate(F,B,V,G,ce){return V=V||{activate:void 0,deactivate:void 0},this._callActivateOptional(F,B,V,G,ce).then(me=>new f.ActivatedExtension(!1,null,ce.build(),V,me,G.subscriptions))}static _callActivateOptional(F,B,V,G,ce){if(typeof V.activate=="function")try{ce.activateCallStart(),F.trace(`ExtensionService#_callActivateOptional ${B.value}`);const me=typeof global=="object"?global:self,Pe=V.activate.apply(me,[G]);return ce.activateCallStop(),ce.activateResolveStart(),Promise.resolve(Pe).then(Ie=>(ce.activateResolveStop(),Ie))}catch(me){return Promise.reject(me)}else return Promise.resolve(V)}_activateOneStartupFinished(F,B){this._activateById(F.identifier,{startup:!1,extensionId:F.identifier,activationEvent:B}).then(void 0,V=>{this._logService.error(V)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(A.getMarks());for(const F of this._registry.getAllExtensionDescriptions())if(F.activationEvents)for(const B of F.activationEvents)B==="onStartupFinished"&&this._activateOneStartupFinished(F,B)}_handleEagerExtensions(){const F=this._activateByEvent("*",!0).then(void 0,ce=>{this._logService.error(ce)});this._disposables.add(this._extHostWorkspace.onDidChangeWorkspace(ce=>this._handleWorkspaceContainsEagerExtensions(ce.added)));const B=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],V=this._handleWorkspaceContainsEagerExtensions(B),G=Promise.all([F,V]).then(()=>{});return Promise.race([G,(0,C.timeout)(1e4)]).then(()=>{this._activateAllStartupFinished()}),G}_handleWorkspaceContainsEagerExtensions(F){return F.length===0?Promise.resolve(void 0):Promise.all(this._registry.getAllExtensionDescriptions().map(B=>this._handleWorkspaceContainsEagerExtension(F,B))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(F,B){if(!this.isActivated(B.identifier)){const V=!this._initData.remote.isRemote&&!!this._initData.remote.authority,G={folders:F.map(me=>me.uri),forceUsingSearch:V,exists:me=>this._hostUtils.exists(me.fsPath),checkExists:(me,Pe,Ie)=>this._mainThreadWorkspaceProxy.$checkExists(me,Pe,Ie)},ce=await(0,L.checkActivateWorkspaceContainsExtension)(G,B);if(!!ce)return this._activateById(B.identifier,{startup:!0,extensionId:B.identifier,activationEvent:ce.activationEvent}).then(void 0,me=>this._logService.error(me))}}_handleExtensionTests(){return this._doHandleExtensionTests().then(void 0,F=>(console.error(F),Promise.reject(F)))}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:F,extensionTestsLocationURI:B}=this._initData.environment;if(!(F&&B&&B.scheme===c.Schemas.file))return Promise.resolve(void 0);const V=(0,I.originalFSPath)(B);let G,ce;try{G=await this._loadCommonJSModule(null,i.URI.file(V),new f.ExtensionActivationTimesBuilder(!1))}catch(me){ce=me}return G&&typeof G.run=="function"?new Promise((me,Pe)=>{const Ie=(H,X)=>{H?Pe(H.toString()):me(void 0),this._testRunnerExit(H||typeof X=="number"&&X>0?1:0)},Fe=G.run(V,Ie);Fe&&Fe.then&&Fe.then(()=>{me(),this._testRunnerExit(0)}).catch(H=>{Pe(H.toString()),this._testRunnerExit(1)})}):(this._testRunnerExit(1),Promise.reject(new Error(ce?ce.toString():v.localize(0,null,V))))}_testRunnerExit(F){this._logService.info(`extension host terminating: test runner requested exit with code ${F}`),this._logService.flush();const B=this._mainThreadExtensionsProxy.$onExtensionHostExit(F),V=this._extHostContext.drain();Promise.race([Promise.all([B,V]),(0,C.timeout)(5e3)]).then(()=>{this._logService.info(`exiting with code ${F}`),this._logService.flush(),this._hostUtils.exit(F)})}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>this._handleExtensionTests()).then(()=>{this._logService.info("eager extensions activated")})}registerRemoteAuthorityResolver(F,B){return this._resolvers[F]=B,(0,P.toDisposable)(()=>{delete this._resolvers[F]})}async $resolveAuthority(F,B){const V=F.indexOf("+");if(V===-1)throw new Error("Not an authority that can be resolved!");const G=F.substr(0,V);await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${G}`,!1);const ce=this._resolvers[G];if(!ce)return{type:"error",error:{code:s.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${G}.`,detail:void 0}};try{A.mark(`code/extHost/willResolveAuthority/${G}`);const me=await ce.resolve(F,{resolveAttempt:B});A.mark(`code/extHost/didResolveAuthorityOK/${G}`),this._disposables.add(await this._extHostTunnelService.setTunnelExtensionFunctions(ce));const Pe={authority:F,host:me.host,port:me.port,connectionToken:me.connectionToken},Ie={extensionHostEnv:me.extensionHostEnv};return{type:"ok",value:{authority:Pe,options:Ie,tunnelInformation:{environmentTunnels:me.environmentTunnels}}}}catch(me){if(A.mark(`code/extHost/didResolveAuthorityError/${G}`),me instanceof r.RemoteAuthorityResolverError)return{type:"error",error:{code:me._code,message:me._message,detail:me._detail}};throw me}}$startExtensionHost(F){return this._registry.keepOnly(F),this._startExtensionHost()}$activateByEvent(F,B){return B===1?this._activateByEvent(F,!1):this._readyToRunExtensions.wait().then(V=>this._activateByEvent(F,!1))}async $activate(F,B){return await this._readyToRunExtensions.wait(),this._registry.getExtensionDescription(F)?(await this._activateById(F,B),!0):!1}async $deltaExtensions(F,B){F.forEach(G=>G.extensionLocation=i.URI.revive(G.extensionLocation));const V=await this.getExtensionPathIndex();return await Promise.all(B.map(async G=>{const ce=this._registry.getExtensionDescription(G);if(!!ce){const me=await this._hostUtils.realpath(ce.extensionLocation.fsPath);V.delete(i.URI.file(me).fsPath)}})),await Promise.all(F.map(async G=>{const ce=await this._hostUtils.realpath(G.extensionLocation.fsPath);V.set(i.URI.file(ce).fsPath,G)})),this._registry.deltaExtensions(F,B),Promise.resolve(void 0)}async $test_latency(F){return F}async $test_up(F){return F.byteLength}async $test_down(F){let B=o.VSBuffer.alloc(F),V=Math.random()%256;for(let G=0;G<F;G++)B.writeUInt8(V,G);return B}async $updateRemoteConnectionData(F){this._remoteConnectionData=F,this._onDidChangeRemoteConnectionData.fire()}};N=je([Ue(0,a.IInstantiationService),Ue(1,e.IHostUtils),Ue(2,p.IExtHostRpcService),Ue(3,m.IExtHostWorkspace),Ue(4,b.IExtHostConfiguration),Ue(5,T.ILogService),Ue(6,n.IExtHostInitDataService),Ue(7,d.IExtensionStoragePaths),Ue(8,h.IExtHostTunnelService),Ue(9,w.IExtHostTerminalService)],N),e.AbstractExtHostExtensionService=N;function W(O,F){return{id:O.identifier.value,name:O.name,extensionVersion:O.version,publisherDisplayName:O.publisher,activationEvents:O.activationEvents?O.activationEvents.join(","):null,isBuiltin:O.isBuiltin,reason:F.activationEvent,reasonId:F.extensionId.value}}e.IExtHostExtensionService=(0,a.createDecorator)("IExtHostExtensionService");class M{constructor(F,B,V,G){Z.set(this,void 0),z.set(this,void 0),q.set(this,void 0),tt(this,Z,F),tt(this,z,B),tt(this,q,V.identifier),this.id=V.identifier.value,this.extensionUri=V.extensionLocation,this.extensionPath=D.normalize((0,I.originalFSPath)(V.extensionLocation)),this.packageJSON=V,this.extensionKind=G}get isActive(){return $e(this,Z).isActivated($e(this,q))}get exports(){if(this.packageJSON.api!=="none")return $e(this,Z).getExtensionExports($e(this,q))}activate(){return $e(this,Z).activateByIdWithErrors($e(this,q),{startup:!1,extensionId:$e(this,z),activationEvent:"api"}).then(()=>this.exports)}}e.Extension=M,Z=new WeakMap,z=new WeakMap,q=new WeakMap}),define(pe[44],ve([0,1,7,2,3,19,5,8,117,32,42,38,211,35,198,14,4,15]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostVariableResolverService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=(0,S.createDecorator)("IExtHostDebugService");let _=class{constructor(n,d,p,E,h){this._workspaceService=d,this._extensionService=p,this._editorsService=E,this._configurationService=h,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new A.Emitter,this._onDidTerminateDebugSession=new A.Emitter,this._onDidChangeActiveDebugSession=new A.Emitter,this._onDidReceiveDebugSessionCustomEvent=new A.Emitter,this._debugServiceProxy=n.getProxy(C.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new A.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new c(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(w=>{w.onDidChange(R=>{this.registerAllDebugTypes(w)}),this.registerAllDebugTypes(w)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(n,d){const p=n;if(typeof p.sourceReference=="number"&&p.sourceReference>0){let E=`debug:${encodeURIComponent(p.path||"")}`,h="?";return d&&(E+=`${h}session=${encodeURIComponent(d.id)}`,h="&"),E+=`${h}ref=${p.sourceReference}`,D.URI.parse(E)}else{if(p.path)return D.URI.file(p.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(n){const d=[];for(const p of n.getAllExtensionDescriptions())if(p.contributes){const E=p.contributes.debuggers;if(E&&E.length>0)for(const h of E)(0,l.isDebuggerMainContribution)(h)&&d.push(h.type)}this._debugServiceProxy.$registerDebugTypes(d)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const n=[];return this._breakpoints.forEach(d=>n.push(d)),n}addBreakpoints(n){this.startBreakpoints();const d=n.filter(h=>{const w=h.id;return this._breakpoints.has(w)?!1:(this._breakpoints.set(w,h),!0)});this.fireBreakpointChanges(d,[],[]);const p=[],E=new Map;for(const h of d)if(h instanceof P.SourceBreakpoint){let w=E.get(h.location.uri.toString());w||(w={type:"sourceMulti",uri:h.location.uri,lines:[]},E.set(h.location.uri.toString(),w),p.push(w)),w.lines.push({id:h.id,enabled:h.enabled,condition:h.condition,hitCondition:h.hitCondition,logMessage:h.logMessage,line:h.location.range.start.line,character:h.location.range.start.character})}else h instanceof P.FunctionBreakpoint&&p.push({type:"function",id:h.id,enabled:h.enabled,hitCondition:h.hitCondition,logMessage:h.logMessage,condition:h.condition,functionName:h.functionName});return this._debugServiceProxy.$registerBreakpoints(p)}removeBreakpoints(n){this.startBreakpoints();const d=n.filter(w=>this._breakpoints.delete(w.id));this.fireBreakpointChanges([],d,[]);const p=d.filter(w=>w instanceof P.SourceBreakpoint).map(w=>w.id),E=d.filter(w=>w instanceof P.FunctionBreakpoint).map(w=>w.id),h=d.filter(w=>w instanceof P.DataBreakpoint).map(w=>w.id);return this._debugServiceProxy.$unregisterBreakpoints(p,E,h)}startDebugging(n,d,p){return this._debugServiceProxy.$startDebugging(n?n.uri:void 0,d,{parentSessionID:p.parentSession?p.parentSession.id:void 0,repl:p.consoleMode===P.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:p.noDebug,compact:p.compact})}stopDebugging(n){return this._debugServiceProxy.$stopDebugging(n?n.id:void 0)}registerDebugConfigurationProvider(n,d,p){if(!d)return new P.Disposable(()=>{});const E=this._configProviderHandleCounter++;return this._configProviders.push({type:n,handle:E,provider:d}),this._debugServiceProxy.$registerDebugConfigurationProvider(n,p,!!d.provideDebugConfigurations,!!d.resolveDebugConfiguration,!!d.resolveDebugConfigurationWithSubstitutedVariables,E),new P.Disposable(()=>{this._configProviders=this._configProviders.filter(h=>h.provider!==d),this._debugServiceProxy.$unregisterDebugConfigurationProvider(E)})}registerDebugAdapterDescriptorFactory(n,d,p){if(!p)return new P.Disposable(()=>{});if(!this.definesDebugType(n,d))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${d}' debugger.`);if(this.getAdapterDescriptorFactoryByType(d))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const E=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:d,handle:E,factory:p}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(d,E),new P.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(h=>h.factory!==p),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(E)})}registerDebugAdapterTrackerFactory(n,d){if(!d)return new P.Disposable(()=>{});const p=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:n,handle:p,factory:d}),new P.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(E=>E.factory!==d)})}async $runInTerminal(n,d){return Promise.resolve(void 0)}async $substituteVariables(n,d){if(!this._variableResolver){const[h,w]=await Promise.all([this._workspaceService.getWorkspaceFolders2(),this._configurationService.getConfigProvider()]);this._variableResolver=this.createVariableResolver(h||[],this._editorsService,w)}let p;const E=await this.getFolder(n);return E&&(p={uri:E.uri,name:E.name,index:E.index,toResource:()=>{throw new Error("Not implemented")}}),this._variableResolver.resolveAny(p,d)}createDebugAdapter(n,d){if(n.type==="implementation")return new r(n.implementation)}createSignService(){}async $startDASession(n,d){const p=this,E=await this.getSession(d);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(E.type),E).then(h=>{if(!h)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${E.type}' (extension might have failed to activate)`);const w=this.convertToDto(h),R=this.createDebugAdapter(w,E);if(!R)throw new Error(`Couldn't create a debug adapter for type '${E.type}'.`);const L=R;return this._debugAdapters.set(n,L),this.getDebugAdapterTrackers(E).then(U=>(U&&this._debugAdaptersTrackers.set(n,U),L.onMessage(async J=>{if(J.type==="request"&&J.command==="handshake"){const Z=J,z={type:"response",seq:0,command:Z.command,request_seq:Z.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const q=await this._signService.sign(Z.arguments.value);z.body={signature:q},L.sendResponse(z)}else throw new Error("no signer")}catch(q){z.success=!1,z.message=q.message,L.sendResponse(z)}}else U&&U.onDidSendMessage&&U.onDidSendMessage(J),J=(0,l.convertToVSCPaths)(J,!0),p._debugServiceProxy.$acceptDAMessage(n,J)}),L.onError(J=>{U&&U.onError&&U.onError(J),this._debugServiceProxy.$acceptDAError(n,J.name,J.message,J.stack)}),L.onExit(J=>{U&&U.onExit&&U.onExit((0,g.withNullAsUndefined)(J),void 0),this._debugServiceProxy.$acceptDAExit(n,(0,g.withNullAsUndefined)(J),void 0)}),U&&U.onWillStartSession&&U.onWillStartSession(),L.startSession()))})}$sendDAMessage(n,d){d=(0,l.convertToDAPaths)(d,!1);const p=this._debugAdaptersTrackers.get(n);p&&p.onWillReceiveMessage&&p.onWillReceiveMessage(d);const E=this._debugAdapters.get(n);E&&E.sendMessage(d)}$stopDASession(n){const d=this._debugAdaptersTrackers.get(n);this._debugAdaptersTrackers.delete(n),d&&d.onWillStopSession&&d.onWillStopSession();const p=this._debugAdapters.get(n);return this._debugAdapters.delete(n),p?p.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(n){const d=[],p=[],E=[];if(n.added)for(const h of n.added){const w=h.id;if(w&&!this._breakpoints.has(w)){let R;if(h.type==="function")R=new P.FunctionBreakpoint(h.functionName,h.enabled,h.condition,h.hitCondition,h.logMessage);else if(h.type==="data")R=new P.DataBreakpoint(h.label,h.dataId,h.canPersist,h.enabled,h.hitCondition,h.condition,h.logMessage);else{const L=D.URI.revive(h.uri);R=new P.SourceBreakpoint(new P.Location(L,new P.Position(h.line,h.character)),h.enabled,h.condition,h.hitCondition,h.logMessage)}R._id=w,this._breakpoints.set(w,R),d.push(R)}}if(n.removed)for(const h of n.removed){const w=this._breakpoints.get(h);w&&(this._breakpoints.delete(h),p.push(w))}if(n.changed){for(const h of n.changed)if(h.id){const w=this._breakpoints.get(h.id);if(w){if(w instanceof P.FunctionBreakpoint&&h.type==="function"){const R=w;R.enabled=h.enabled,R.condition=h.condition,R.hitCondition=h.hitCondition,R.logMessage=h.logMessage,R.functionName=h.functionName}else if(w instanceof P.SourceBreakpoint&&h.type==="source"){const R=w;R.enabled=h.enabled,R.condition=h.condition,R.hitCondition=h.hitCondition,R.logMessage=h.logMessage,R.location=new P.Location(D.URI.revive(h.uri),new P.Position(h.line,h.character))}E.push(w)}}}this.fireBreakpointChanges(d,p,E)}$provideDebugConfigurations(n,d,p){return(0,I.asPromise)(async()=>{const E=this.getConfigProviderByHandle(n);if(!E)throw new Error("no DebugConfigurationProvider found");if(!E.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const h=await this.getFolder(d);return E.provideDebugConfigurations(h,p)}).then(E=>{if(!E)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return E})}$resolveDebugConfiguration(n,d,p,E){return(0,I.asPromise)(async()=>{const h=this.getConfigProviderByHandle(n);if(!h)throw new Error("no DebugConfigurationProvider found");if(!h.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const w=await this.getFolder(d);return h.resolveDebugConfiguration(w,p,E)})}$resolveDebugConfigurationWithSubstitutedVariables(n,d,p,E){return(0,I.asPromise)(async()=>{const h=this.getConfigProviderByHandle(n);if(!h)throw new Error("no DebugConfigurationProvider found");if(!h.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const w=await this.getFolder(d);return h.resolveDebugConfigurationWithSubstitutedVariables(w,p,E)})}async $provideDebugAdapter(n,d){const p=this.getAdapterDescriptorFactoryByHandle(n);if(!p)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const E=await this.getSession(d);return this.getAdapterDescriptor(p,E).then(h=>{if(!h)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${E.type}'`);return this.convertToDto(h)})}async $acceptDebugSessionStarted(n){const d=await this.getSession(n);this._onDidStartDebugSession.fire(d)}async $acceptDebugSessionTerminated(n){const d=await this.getSession(n);d&&(this._onDidTerminateDebugSession.fire(d),this._debugSessions.delete(d.id))}async $acceptDebugSessionActiveChanged(n){this._activeDebugSession=n?await this.getSession(n):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(n,d){const p=await this.getSession(n);p&&p._acceptNameChanged(d)}async $acceptDebugSessionCustomEvent(n,d){const E={session:await this.getSession(n),event:d.event,body:d.body};this._onDidReceiveDebugSessionCustomEvent.fire(E)}convertToDto(n){if(n instanceof P.DebugAdapterExecutable)return{type:"executable",command:n.command,args:n.args,options:n.options};if(n instanceof P.DebugAdapterServer)return{type:"server",port:n.port,host:n.host};if(n instanceof P.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:n.path};if(n instanceof P.DebugAdapterInlineImplementation)return{type:"implementation",implementation:n.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(n){const d=this._adapterFactories.filter(p=>p.type===n);if(d.length>0)return d[0].factory}getAdapterDescriptorFactoryByHandle(n){const d=this._adapterFactories.filter(p=>p.handle===n);if(d.length>0)return d[0].factory}getConfigProviderByHandle(n){const d=this._configProviders.filter(p=>p.handle===n);if(d.length>0)return d[0].provider}definesDebugType(n,d){if(n.contributes){const p=n.contributes.debuggers;if(p&&p.length>0){for(const E of p)if(E.label&&E.type&&E.type===d)return!0}}return!1}getDebugAdapterTrackers(n){const p=n.configuration.type,E=this._trackerFactories.filter(h=>h.type===p||h.type==="*").map(h=>(0,I.asPromise)(()=>h.factory.createDebugAdapterTracker(n)).then(w=>w,w=>null));return Promise.race([Promise.all(E).then(h=>{const w=h.filter(R=>!!R);if(w.length>0)return new t(w)}),new Promise((h,w)=>{const R=setTimeout(()=>{clearTimeout(R),w(new Error("timeout"))},1e3)})]).catch(h=>{})}async getAdapterDescriptor(n,d){const p=d.configuration.debugServer;if(typeof p=="number")return Promise.resolve(new P.DebugAdapterServer(p));if(n){const h=await this._extensionService.getExtensionRegistry();return(0,I.asPromise)(()=>n.createDebugAdapterDescriptor(d,this.daExecutableFromPackage(d,h))).then(w=>{if(w)return w})}const E=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(d,E))}daExecutableFromPackage(n,d){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(n,d,p){(n.length>0||d.length>0||p.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:n,removed:d,changed:p}))}async getSession(n){if(n)if(typeof n=="string"){const d=this._debugSessions.get(n);if(d)return d}else{let d=this._debugSessions.get(n.id);if(!d){const p=await this.getFolder(n.folderUri);d=new u(this._debugServiceProxy,n.id,n.type,n.name,p,n.configuration),this._debugSessions.set(d.id,d),this._debugServiceProxy.$sessionCached(d.id)}return d}throw new Error("cannot find session")}getFolder(n){if(n){const d=D.URI.revive(n);return this._workspaceService.resolveWorkspaceFolder(d)}return Promise.resolve(void 0)}};_=je([Ue(0,m.IExtHostRpcService),Ue(1,i.IExtHostWorkspace),Ue(2,T.IExtHostExtensionService),Ue(3,k.IExtHostDocumentsAndEditors),Ue(4,f.IExtHostConfiguration)],_),e.ExtHostDebugServiceBase=_;class u{constructor(n,d,p,E,h,w){this._debugServiceProxy=n,this._id=d,this._type=p,this._name=E,this._workspaceFolder=h,this._configuration=w}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(n){this._name=n,this._debugServiceProxy.$setDebugSessionName(this._id,n)}_acceptNameChanged(n){this._name=n}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(n,d){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,n,d)}getDebugProtocolBreakpoint(n){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,n.id)}}e.ExtHostDebugSession=u;class c{constructor(n){this.value=Object.freeze({append(d){n.$appendDebugConsole(d)},appendLine(d){this.append(d+`
`)}})}}e.ExtHostDebugConsole=c;class o extends b.AbstractVariableResolverService{constructor(n,d,p,E,h){super({getFolderUri:w=>{const R=n.filter(L=>L.name===w);if(R&&R.length>0)return R[0].uri},getWorkspaceFolderCount:()=>n.length,getConfigurationValue:(w,R)=>p.getConfiguration(void 0,w).get(R),getAppRoot:()=>E?E.VSCODE_CWD:void 0,getExecPath:()=>E?E.VSCODE_EXEC_PATH:void 0,getFilePath:()=>{if(d){const w=d.activeEditor();if(w)return v.normalize(w.document.uri.fsPath)}},getWorkspaceFolderPathForFile:()=>{if(d&&h){const w=d.activeEditor();if(w){const R=h.getWorkspaceFolder(w.document.uri);if(R)return v.normalize(R.uri.fsPath)}}},getSelectedText:()=>{if(d){const w=d.activeEditor();if(w&&!w.selection.isEmpty)return w.document.getText(w.selection)}},getLineNumber:()=>{if(d){const w=d.activeEditor();if(w)return String(w.selection.end.line+1)}}},void 0,E)}}e.ExtHostVariableResolverService=o;class t{constructor(n){this.trackers=n}onWillStartSession(){this.trackers.forEach(n=>n.onWillStartSession?n.onWillStartSession():void 0)}onWillReceiveMessage(n){this.trackers.forEach(d=>d.onWillReceiveMessage?d.onWillReceiveMessage(n):void 0)}onDidSendMessage(n){this.trackers.forEach(d=>d.onDidSendMessage?d.onDidSendMessage(n):void 0)}onWillStopSession(){this.trackers.forEach(n=>n.onWillStopSession?n.onWillStopSession():void 0)}onError(n){this.trackers.forEach(d=>d.onError?d.onError(n):void 0)}onExit(n,d){this.trackers.forEach(p=>p.onExit?p.onExit(n,d):void 0)}}class r extends y.AbstractDebugAdapter{constructor(n){super();this.implementation=n,n.onDidSendMessage(d=>{this.acceptMessage(d)})}startSession(){return Promise.resolve(void 0)}sendMessage(n){this.implementation.handleMessage(n)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let s=class extends _{constructor(n,d,p,E,h){super(n,d,p,E,h)}createVariableResolver(n,d,p){return new o(n,d,p)}};s=je([Ue(0,m.IExtHostRpcService),Ue(1,i.IExtHostWorkspace),Ue(2,T.IExtHostExtensionService),Ue(3,k.IExtHostDocumentsAndEditors),Ue(4,f.IExtHostConfiguration)],s),e.WorkerExtHostDebugService=s}),define(pe[260],ve([0,1,68,2,5,35,41,29,14,27,4,42,36,13]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let l=class{constructor(u,c,o,t,r,s,a){this._apiFactory=u,this._extensionRegistry=c,this._instaService=o,this._extHostConfiguration=t,this._extHostExtensionService=r,this._initData=s,this._logService=a,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),v.mark("code/extHost/willWaitForConfig");const u=await this._extHostConfiguration.getConfigProvider();v.mark("code/extHost/didWaitForConfig");const c=await this._extHostExtensionService.getExtensionPathIndex();this.register(new m(this._apiFactory,c,this._extensionRegistry,u,this._logService)),this.register(this._instaService.createInstance(S)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(g,c,this._initData.environment.appUriScheme))}register(u){if(Array.isArray(u.nodeModuleName))for(let c of u.nodeModuleName)this._factories.set(c,u);else this._factories.set(u.nodeModuleName,u);typeof u.alternativeModuleName=="function"&&this._alternatives.push(c=>u.alternativeModuleName(c))}};l=je([Ue(2,T.IInstantiationService),Ue(3,I.IExtHostConfiguration),Ue(4,k.IExtHostExtensionService),Ue(5,i.IExtHostInitDataService),Ue(6,f.ILogService)],l),e.RequireInterceptor=l;class m{constructor(u,c,o,t,r){this._apiFactory=u,this._extensionPaths=c,this._extensionRegistry=o,this._configProvider=t,this._logService=r,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(u,c){const o=this._extensionPaths.findSubstr(c.fsPath);if(o){let t=this._extApiImpl.get(P.ExtensionIdentifier.toKey(o.identifier));return t||(t=this._apiFactory(o,this._extensionRegistry,this._configProvider),this._extApiImpl.set(P.ExtensionIdentifier.toKey(o.identifier),t)),t}if(!this._defaultApiImpl){let t="";this._extensionPaths.forEach((r,s)=>t+=`	${s} -> ${r.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${c.fsPath}. These are the extension path mappings: 
${t}`),this._defaultApiImpl=this._apiFactory(C.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let S=class{constructor(u,c){this.nodeModuleName="keytar";const{environment:o}=c,t=u.getProxy(A.MainContext.MainThreadKeytar);if(o.appRoot){let r=o.appRoot.fsPath;b.platform==="win32"&&(r=r.replace(/\\/g,"/")),r[r.length-1]==="/"&&(r=r.substr(0,r.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${r}/node_modules.asar/keytar`),this.alternativeNames.add(`${r}/node_modules/keytar`)}this._impl={getPassword:(r,s)=>t.$getPassword(r,s),setPassword:(r,s,a)=>t.$setPassword(r,s,a),deletePassword:(r,s)=>t.$deletePassword(r,s),findPassword:r=>t.$findPassword(r),findCredentials(r){return t.$findCredentials(r)}}}load(u,c){return this._impl}alternativeModuleName(u){const c=u.length;if(!(c<=7||!this.alternativeNames)){const o=c-7;if((u.charAt(o)==="/"||u.charAt(o)==="\\")&&u.endsWith("keytar")&&(u=u.replace(/\\/g,"/"),this.alternativeNames.has(u)))return"keytar"}}};S=je([Ue(0,y.IExtHostRpcService),Ue(1,i.IExtHostInitDataService)],S);let g=class{constructor(u,c,o){this._extensionPaths=u,this._appUriScheme=c,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=o.getProxy(A.MainContext.MainThreadTelemetry);const t=o.getProxy(A.MainContext.MainThreadWindow);this._impl=(r,s)=>{const a=D.URI.parse(r);return s?this.callOriginal(r,s):a.scheme==="http"||a.scheme==="https"?t.$openUri(a,r,{allowTunneling:!0}):a.scheme==="mailto"||a.scheme===this._appUriScheme?t.$openUri(a,r,{}):this.callOriginal(r,s)}}load(u,c,o){const t=this._extensionPaths.findSubstr(c.fsPath);return t&&(this._extensionId=t.identifier.value,this.sendShimmingTelemetry()),this._original=o(u),this._impl}callOriginal(u,c){return this.sendNoForwardTelemetry(),this._original(u,c)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};g=je([Ue(2,y.IExtHostRpcService)],g)}),define(pe[261],ve([0,1,165,8,199,32,42,38,35,34,14,44,186,202,19]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDebugService=void 0;let m=class extends k.ExtHostDebugServiceBase{constructor(_,u,c,o,t,r){super(_,u,c,o,t);this._terminalService=r,this._integratedTerminalInstances=new S}createDebugAdapter(_,u){switch(_.type){case"server":return new A.SocketDebugAdapter(_);case"pipeServer":return new A.NamedPipeDebugAdapter(_);case"executable":return new A.ExecutableDebugAdapter(_,u.type)}return super.createDebugAdapter(_,u)}daExecutableFromPackage(_,u){const c=A.ExecutableDebugAdapter.platformAdapterExecutable(u.getAllExtensionDescriptions(),_.type);if(c)return new D.DebugAdapterExecutable(c.command,c.args,c.options)}createSignService(){return new b.SignService}async $runInTerminal(_,u){if(_.kind==="integrated"){this._terminalDisposedListener||(this._terminalDisposedListener=this._terminalService.onDidCloseTerminal(h=>{this._integratedTerminalInstances.onTerminalClosed(h)}));const c=await this._configurationService.getConfigProvider(),o=this._terminalService.getDefaultShell(!0,c),t=this._terminalService.getDefaultShellArgs(!0,c),r=JSON.stringify({shell:o,shellArgs:t});let s=await this._integratedTerminalInstances.checkout(r),a,n=!1;if(s)a=_.cwd;else{const h={shellPath:o,shellArgs:t,cwd:_.cwd,name:_.title||v.localize(0,null)};n=!0,s=this._terminalService.createTerminalFromOptions(h,!0),this._integratedTerminalInstances.insert(s,r)}s.show(!0);const d=await s.processId;n&&await new Promise(h=>setTimeout(h,1e3));const p=(0,f.prepareCommand)(o,_.args,a,_.env);s.sendText(p,!0);const E=this.onDidTerminateDebugSession(h=>{h.id===u&&(this._integratedTerminalInstances.free(s),E.dispose())});return d}else if(_.kind==="external")return(0,f.runInExternalTerminal)(_,await this._configurationService.getConfigProvider());return super.$runInTerminal(_,u)}createVariableResolver(_,u,c){return new k.ExtHostVariableResolverService(_,u,c,process.env,this._workspaceService)}};m=je([Ue(0,T.IExtHostRpcService),Ue(1,I.IExtHostWorkspace),Ue(2,C.IExtHostExtensionService),Ue(3,P.IExtHostDocumentsAndEditors),Ue(4,y.IExtHostConfiguration),Ue(5,i.IExtHostTerminalService)],m),e.ExtHostDebugService=m;class S{constructor(){this._terminalInstances=new Map}async checkout(_){const c=[...this._terminalInstances.entries()].map(([o,t])=>(0,l.createCancelablePromise)(async r=>{if(t.lastUsedAt!==-1&&await(0,f.hasChildProcesses)(await o.processId))return null;const s=Date.now();return t.lastUsedAt+S.minUseDelay>s||r.isCancellationRequested||t.config!==_?null:(t.lastUsedAt=s,o)}));return await(0,l.firstParallel)(c,o=>!!o)}insert(_,u){this._terminalInstances.set(_,{lastUsedAt:Date.now(),config:u})}free(_){const u=this._terminalInstances.get(_);u&&(u.lastUsedAt=-1)}onTerminalClosed(_){this._terminalInstances.delete(_)}}S.minUseDelay=1e3}),define(pe[262],ve([0,1,7,2,79,32,44,38,35,34,14,27,67,11,13,64]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTask=void 0;let S=class extends b.ExtHostTaskBase{constructor(_,u,c,o,t,r,s,a){super(_,u,c,o,t,r,s,a);this.workspaceService=c,u.remote.isRemote&&u.remote.authority&&this.registerTaskSystem(f.Schemas.vscodeRemote,{scheme:f.Schemas.vscodeRemote,authority:u.remote.authority,platform:process.platform}),this._proxy.$registerSupportedExecutions(!0,!0,!0)}async executeTask(_,u){const c=u;if(!u.execution&&c._id===void 0)throw new Error("Tasks to execute must include an execution");if(c._id!==void 0){const o=b.TaskHandleDTO.from(c,this.workspaceService),t=await this._proxy.$getTaskExecution(o);if(t.task===void 0)throw new Error("Task from execution DTO is undefined");const r=await this.getTaskExecution(t,u);return this._proxy.$executeTask(o).catch(()=>{}),r}else{const o=b.TaskDTO.from(u,_);if(o===void 0)return Promise.reject(new Error("Task is not valid"));b.CustomExecutionDTO.is(o.execution)&&await this.addCustomExecution(o,u,!1);const t=await this.getTaskExecution(await this._proxy.$getTaskExecution(o),u);return this._proxy.$executeTask(o).catch(()=>{}),t}}provideTasksInternal(_,u,c,o){const t=[];if(o)for(let r of o){this.checkDeprecation(r,c),(!r.definition||!_[r.definition.type])&&this._logService.warn(`The task [${r.source}, ${r.name}] uses an undefined task type. The task will be ignored in the future.`);const s=b.TaskDTO.from(r,c.extension);s&&(t.push(s),b.CustomExecutionDTO.is(s.execution)&&u.push(this.addCustomExecution(s,r,!0)))}return{tasks:t,extension:c.extension}}async resolveTaskInternal(_){return _}async getVariableResolver(_){if(this._variableResolver===void 0){const u=await this._configurationService.getConfigProvider();this._variableResolver=new C.ExtHostVariableResolverService(_,this._editorService,u,process.env,this.workspaceService)}return this._variableResolver}async $resolveVariables(_,u){const c=D.URI.revive(_),o={process:void 0,variables:Object.create(null)},t=await this._workspaceProvider.resolveWorkspaceFolder(c),r=await this._workspaceProvider.getWorkspaceFolders2();if(!r||!t)throw new Error("Unexpected: Tasks can only be run in a workspace folder");const s=await this.getVariableResolver(r),a={uri:t.uri,name:t.name,index:t.index,toResource:()=>{throw new Error("Not implemented")}};for(let n of u.variables)o.variables[n]=s.resolve(a,n);if(u.process!==void 0){let n;if(u.process.path!==void 0){n=u.process.path.split(v.delimiter);for(let d=0;d<n.length;d++)n[d]=s.resolve(a,n[d])}o.process=await A.win32.findExecutable(s.resolve(a,u.process.name),u.process.cwd!==void 0?s.resolve(a,u.process.cwd):void 0,n)}return o}$getDefaultShellAndArgs(){return this._terminalService.$getDefaultShellAndArgs(!0)}async $jsonTasksSupported(){return!0}async $findExecutable(_,u,c){return A.win32.findExecutable(_,u,c)}};S=je([Ue(0,T.IExtHostRpcService),Ue(1,k.IExtHostInitDataService),Ue(2,I.IExtHostWorkspace),Ue(3,P.IExtHostDocumentsAndEditors),Ue(4,y.IExtHostConfiguration),Ue(5,i.IExtHostTerminalService),Ue(6,l.ILogService),Ue(7,m.IExtHostApiDeprecationService)],S),e.ExtHostTask=S}),define(pe[263],ve([0,1,10,15,28,147,13,35,44,38,14,34,32,208,209]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTerminalService=void 0;let m=class extends k.BaseExtHostTerminalService{constructor(g,_,u,c,o){super(!0,g);this._extHostConfiguration=_,this._extHostWorkspace=u,this._extHostDocumentsAndEditors=c,this._logService=o,this._isWorkspaceShellAllowed=!1,(0,I.getSystemShell)(v.platform,process.env).then(t=>this._defaultShell=t),this._updateLastActiveWorkspace(),this._updateVariableResolver(),this._registerListeners()}createTerminal(g,_,u){const c=new k.ExtHostTerminal(this._proxy,(0,A.generateUuid)(),{name:g,shellPath:_,shellArgs:u},g);return this._terminals.push(c),c.create(_,u),c.value}createTerminalFromOptions(g,_){const u=new k.ExtHostTerminal(this._proxy,(0,A.generateUuid)(),g,g.name);return this._terminals.push(u),u.create((0,D.withNullAsUndefined)(g.shellPath),(0,D.withNullAsUndefined)(g.shellArgs),(0,D.withNullAsUndefined)(g.cwd),(0,D.withNullAsUndefined)(g.env),void 0,(0,D.withNullAsUndefined)(g.strictEnv),(0,D.withNullAsUndefined)(g.hideFromUser),(0,D.withNullAsUndefined)(_),!0),u.value}getDefaultShell(g,_){var u;const c=o=>{const t=_.getConfiguration(o.substr(0,o.lastIndexOf("."))).inspect(o.substr(o.lastIndexOf(".")+1));return this._apiInspectConfigToPlain(t)};return f.getDefaultShell(c,this._isWorkspaceShellAllowed,(u=this._defaultShell)!==null&&u!==void 0?u:(0,I.getSystemShellSync)(v.platform,process.env),process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),process.env.windir,f.createVariableResolver(this._lastActiveWorkspace,this._variableResolver),this._logService,g)}getDefaultShellArgs(g,_){const u=c=>{const o=_.getConfiguration(c.substr(0,c.lastIndexOf("."))).inspect(c.substr(c.lastIndexOf(".")+1));return this._apiInspectConfigToPlain(o)};return f.getDefaultShellArgs(u,this._isWorkspaceShellAllowed,g,f.createVariableResolver(this._lastActiveWorkspace,this._variableResolver),this._logService)}_apiInspectConfigToPlain(g){return{userValue:g?g.globalValue:void 0,value:g?g.workspaceValue:void 0,defaultValue:g?g.defaultValue:void 0}}_registerListeners(){this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(()=>this._updateLastActiveWorkspace()),this._extHostWorkspace.onDidChangeWorkspace(()=>this._updateVariableResolver())}_updateLastActiveWorkspace(){const g=this._extHostDocumentsAndEditors.activeEditor();g&&(this._lastActiveWorkspace=this._extHostWorkspace.getWorkspaceFolder(g.document.uri))}async _updateVariableResolver(){const g=await this._extHostConfiguration.getConfigProvider(),_=await this._extHostWorkspace.getWorkspaceFolders2();this._variableResolver=new y.ExtHostVariableResolverService(_||[],this._extHostDocumentsAndEditors,g,process.env)}$getAvailableShells(){return(0,l.detectAvailableShells)()}async $getDefaultShellAndArgs(g){const _=await this._extHostConfiguration.getConfigProvider();return{shell:this.getDefaultShell(g,_),args:this.getDefaultShellArgs(g,_)}}$acceptWorkspacePermissionsChanged(g){this._isWorkspaceShellAllowed=g}};m=je([Ue(0,T.IExtHostRpcService),Ue(1,P.IExtHostConfiguration),Ue(2,b.IExtHostWorkspace),Ue(3,i.IExtHostDocumentsAndEditors),Ue(4,C.ILogService)],m),e.ExtHostTerminalService=m}),define(pe[264],ve([0,1,19,18,68,6,2,5,254,13,80,82,27,182,14,63,42,34]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class _{constructor(c,o,t,r){this._disposables=new I.DisposableStore,this._isTerminating=!1,this._hostUtils=t;const s=new y.RPCProtocol(c,null,r);o=_._transform(o,s);const a=new k.ServiceCollection(...(0,T.getSingletonServiceDescriptors)());a.set(b.IExtHostInitDataService,Object.assign({_serviceBrand:void 0},o)),a.set(l.IExtHostRpcService,new l.ExtHostRpcService(s)),a.set(m.IURITransformerService,new m.URITransformerService(r)),a.set(S.IHostUtils,t);const n=new f.InstantiationService(a,!0),d=n.invokeFunction(w=>w.get(g.IExtHostTerminalService));this._disposables.add(d),this._logService=n.invokeFunction(w=>w.get(i.ILogService)),A.mark("code/extHost/didCreateServices"),this._logService.info("extension host started"),this._logService.trace("initData",o),this._extensionService=n.invokeFunction(w=>w.get(S.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const p=new WeakMap;this._extensionService.getExtensionPathIndex().then(w=>{Error.prepareStackTrace=(R,L)=>{let U="",J,Z;for(const z of L)U+=`
	at ${z.toString()}`,Z=z.getFileName(),!J&&Z&&(J=w.findSubstr(Z));return p.set(R,J),`${R.name||"Error"}: ${R.message||""}${U}`}});const E=s.getProxy(P.MainContext.MainThreadExtensionService),h=s.getProxy(P.MainContext.MainThreadErrors);D.setUnexpectedErrorHandler(w=>{const R=D.transformErrorForSerialization(w),L=p.get(w);L?E.$onExtensionRuntimeError(L.identifier,R):h.$onUnexpectedError(R)})}terminate(c){if(!this._isTerminating){this._isTerminating=!0,this._logService.info(`extension host terminating: ${c}`),this._logService.flush(),this._disposables.dispose(),D.setUnexpectedErrorHandler(t=>{});const o=this._extensionService.deactivateAll();setTimeout(()=>{Promise.race([(0,v.timeout)(4e3),o]).finally(()=>{this._logService.info("exiting with code 0"),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(0)})},1e3)}}static _transform(c,o){c.extensions.forEach(r=>r.extensionLocation=C.URI.revive(o.transformIncomingURIs(r.extensionLocation))),c.environment.appRoot=C.URI.revive(o.transformIncomingURIs(c.environment.appRoot));const t=c.environment.extensionDevelopmentLocationURI;return t&&(c.environment.extensionDevelopmentLocationURI=t.map(r=>C.URI.revive(o.transformIncomingURIs(r)))),c.environment.extensionTestsLocationURI=C.URI.revive(o.transformIncomingURIs(c.environment.extensionTestsLocationURI)),c.environment.globalStorageHome=C.URI.revive(o.transformIncomingURIs(c.environment.globalStorageHome)),c.environment.workspaceStorageHome=C.URI.revive(o.transformIncomingURIs(c.environment.workspaceStorageHome)),c.logsLocation=C.URI.revive(o.transformIncomingURIs(c.logsLocation)),c.logFile=C.URI.revive(o.transformIncomingURIs(c.logFile)),c.workspace=o.transformIncomingURIs(c.workspace),c}}e.ExtensionHostMain=_}),define(pe[265],ve([0,1,7,21,59,33,24,45,31,36]),function(Q,e,v,D,A,I,C,P,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class T{constructor(f,l,m){this.config=f,this.provider=l,this.sessionToken=m,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=f.filePattern,this.includePattern=f.includePattern&&I.parse(f.includePattern),this.maxResults=f.maxResults||void 0,this.exists=f.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=f.excludePattern&&I.parse(f.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(f=>f.cancel()),this.activeCancellationTokens=new Set}search(f){const l=this.config.folderQueries||[];return new Promise((m,S)=>{const g=_=>{this.resultCount++,f(_)};if(this.isCanceled)return m({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(_=>{const u=_.toString(),c=v.basename(u);this.globalExcludePattern&&this.globalExcludePattern(u,c)||this.matchFile(g,{base:_,basename:c})}),Promise.all(l.map(_=>this.searchInFolder(_,g))).then(_=>{m({limitHit:this.isLimitHit,stats:_[0]||void 0})},_=>{S(new Error((0,A.toErrorMessage)(_)))})})}searchInFolder(f,l){const m=new D.CancellationTokenSource;return new Promise((S,g)=>{const _=this.getSearchOptionsForFolder(f),u=this.initDirectoryTree(),c=new y.QueryGlobTester(this.config,f),o=!c.hasSiblingExcludeClauses();let t;new Promise(r=>(0,i.nextTick)(r)).then(()=>(this.activeCancellationTokens.add(m),t=P.StopWatch.create(),this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},_,m.token))).then(r=>{const s=t.elapsed(),a=P.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(r&&r.forEach(n=>{const d=v.posix.relative(f.folder.path,n.path);if(o){const p=v.basename(n.path);this.matchFile(l,{base:f.folder,relativePath:d,basename:p});return}this.addDirectoryEntries(u,f.folder,d,l)}),this.activeCancellationTokens.delete(m),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(u,c,l),{providerTime:s,postProcessTime:a.elapsed()})}).then(r=>{m.dispose(),S(r)},r=>{m.dispose(),g(r)})})}getSearchOptionsForFolder(f){const l=(0,y.resolvePatternsForProvider)(this.config.includePattern,f.includePattern),m=(0,y.resolvePatternsForProvider)(this.config.excludePattern,f.excludePattern);return{folder:f.folder,excludes:m,includes:l,useIgnoreFiles:!f.disregardIgnoreFiles,useGlobalIgnoreFiles:!f.disregardGlobalIgnoreFiles,followSymlinks:!f.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const f={rootEntries:[],pathToEntries:Object.create(null)};return f.pathToEntries["."]=f.rootEntries,f}addDirectoryEntries({pathToEntries:f},l,m,S){if(m===this.filePattern){const _=v.basename(this.filePattern);this.matchFile(S,{base:l,relativePath:this.filePattern,basename:_})}function g(_){const u=v.basename(_),c=v.dirname(_);let o=f[c];o||(o=f[c]=[],g(c)),o.push({base:l,relativePath:_,basename:u})}g(m)}matchDirectoryTree({rootEntries:f,pathToEntries:l},m,S){const g=this,_=this.filePattern;function u(c){const o=I.hasSiblingFn(()=>c.map(t=>t.basename));for(let t=0,r=c.length;t<r;t++){const s=c[t],{relativePath:a,basename:n}=s;if(!!m.includedInQuerySync(a,n,_!==n?o:void 0)){const d=l[a];if(d)u(d);else{if(a===_)continue;g.matchFile(S,s)}if(g.isLimitHit)break}}}u(f)}matchFile(f,l){(!this.includePattern||l.relativePath&&this.includePattern(l.relativePath,l.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||f(l))}}class k{constructor(){this.sessions=new Map}fileSearch(f,l,m,S){const g=this.getSessionTokenSource(f.cacheKey),_=new T(f,l,g&&g.token);let u=0;const c=o=>{u+=o.length,m(o.map(t=>this.rawMatchToSearchItem(t)))};return this.doSearch(_,k.BATCH_SIZE,c,S).then(o=>({limitHit:o.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:u,detailStats:o.stats}}))}clearCache(f){const l=this.getSessionTokenSource(f);l&&l.cancel()}getSessionTokenSource(f){if(!!f)return this.sessions.has(f)||this.sessions.set(f,new D.CancellationTokenSource),this.sessions.get(f)}rawMatchToSearchItem(f){return f.relativePath?{resource:C.joinPath(f.base,f.relativePath)}:{resource:f.base}}doSearch(f,l,m,S){S.onCancellationRequested(()=>{f.cancel()});const g=u=>{u&&(_.push(u),l>0&&_.length>=l&&(m(_),_=[]))};let _=[];return f.search(g).then(u=>(_.length&&m(_),u),u=>(_.length&&m(_),Promise.reject(u)))}}e.FileSearchManager=k,k.BATCH_SIZE=512}),define(pe[124],ve([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=e.Position=void 0;class v{constructor(I,C){this.line=I,this.character=C}isBefore(I){return!1}isBeforeOrEqual(I){return!1}isAfter(I){return!1}isAfterOrEqual(I){return!1}isEqual(I){return!1}compareTo(I){return 0}translate(I,C){return new v(0,0)}with(I){return new v(0,0)}}e.Position=v;class D{constructor(I,C,P,y){this.isEmpty=!1,this.isSingleLine=!1,this.start=new v(I,C),this.end=new v(P,y)}contains(I){return!1}isEqual(I){return!1}intersection(I){}union(I){return new D(0,0,0,0)}with(I){return new D(0,0,0,0)}}e.Range=D}),define(pe[125],ve([0,1,7,12,21,59,24,33,2,31,36,11]),function(Q,e,v,D,A,I,C,P,y,i,T,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class b{constructor(u,c,o){this.query=u,this.provider=c,this.fileUtils=o,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(u,c){const o=this.query.folderQueries||[],t=new A.CancellationTokenSource;return c.onCancellationRequested(()=>t.cancel()),new Promise((r,s)=>{this.collector=new l(u);let a=!1;const n=(d,p)=>{if(!a&&!this.isLimitHit){const E=this.resultSize(d);S(d)&&typeof this.query.maxResults=="number"&&this.resultCount+E>this.query.maxResults&&(this.isLimitHit=!0,a=!0,t.cancel(),d=this.trimResultToSize(d,this.query.maxResults-this.resultCount));const h=this.resultSize(d);this.resultCount+=h,(h>0||!S(d))&&this.collector.add(d,p)}};Promise.all(o.map((d,p)=>this.searchInFolder(d,E=>n(E,p),t.token))).then(d=>{t.dispose(),this.collector.flush();const p=d.some(E=>!!E&&!!E.limitHit);r({limitHit:this.isLimitHit||p,stats:{type:"textSearchProvider"}})},d=>{t.dispose();const p=(0,I.toErrorMessage)(d);s(new Error(p))})})}resultSize(u){return S(u)?Array.isArray(u.ranges)?u.ranges.length:1:0}trimResultToSize(u,c){const o=Array.isArray(u.ranges)?u.ranges:[u.ranges],t=Array.isArray(u.preview.matches)?u.preview.matches:[u.preview.matches];return{ranges:o.slice(0,c),preview:{matches:t.slice(0,c),text:u.preview.text},uri:u.uri}}searchInFolder(u,c,o){const t=new i.QueryGlobTester(this.query,u),r=[],s={report:n=>{if(!!this.validateProviderResult(n)){const d=u.folder.scheme===k.Schemas.file?P.hasSiblingPromiseFn(()=>this.fileUtils.readdir(C.dirname(n.uri))):void 0,p=C.relativePath(u.folder,n.uri);p&&r.push(t.includedInQuery(p,v.basename(p),d).then(E=>{E&&c(n)}))}}},a=this.getSearchOptionsForFolder(u);return new Promise(n=>(0,T.nextTick)(n)).then(()=>this.provider.provideTextSearchResults(f(this.query.contentPattern),a,s,o)).then(n=>Promise.all(r).then(()=>n))}validateProviderResult(u){if(S(u)){if(Array.isArray(u.ranges)){if(!Array.isArray(u.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(u.preview.matches.length!==u.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(u.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(u){const c=(0,i.resolvePatternsForProvider)(this.query.includePattern,u.includePattern),o=(0,i.resolvePatternsForProvider)(this.query.excludePattern,u.excludePattern),t={folder:y.URI.from(u.folder),excludes:o,includes:c,useIgnoreFiles:!u.disregardIgnoreFiles,useGlobalIgnoreFiles:!u.disregardGlobalIgnoreFiles,followSymlinks:!u.ignoreSymlinks,encoding:u.fileEncoding&&this.fileUtils.toCanonicalName(u.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return t.usePCRE2=this.query.usePCRE2,t}}e.TextSearchManager=b;function f(_){return{isCaseSensitive:_.isCaseSensitive||!1,isRegExp:_.isRegExp||!1,isWordMatch:_.isWordMatch||!1,isMultiline:_.isMultiline||!1,pattern:_.pattern}}class l{constructor(u){this._onResult=u,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new g(512,c=>this.sendItems(c))}add(u,c){this._currentFileMatch&&(this._currentFolderIdx!==c||!C.isEqual(this._currentUri,u.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=c,this._currentFileMatch={resource:u.uri,results:[]}),this._currentFileMatch.results.push(m(u))}pushToCollector(){const u=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,u)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(u){this._onResult(u)}}e.TextSearchResultsCollector=l;function m(_){return S(_)?{preview:{matches:(0,D.mapArrayOrNot)(_.preview.matches,u=>({startLineNumber:u.start.line,startColumn:u.start.character,endLineNumber:u.end.line,endColumn:u.end.character})),text:_.preview.text},ranges:(0,D.mapArrayOrNot)(_.ranges,u=>({startLineNumber:u.start.line,startColumn:u.start.character,endLineNumber:u.end.line,endColumn:u.end.character}))}:{text:_.text,lineNumber:_.lineNumber}}function S(_){return!!_.preview}e.extensionResultIsMatch=S;class g{constructor(u,c){this.maxBatchSize=u,this.cb=c,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(u,c){!u||this.addItemToBatch(u,c)}addItems(u,c){!u||this.addItemsToBatch(u,c)}addItemToBatch(u,c){this.batch.push(u),this.batchSize+=c,this.onUpdate()}addItemsToBatch(u,c){this.batch=this.batch.concat(u),this.batchSize+=c,this.onUpdate()}onUpdate(){this.totalNumberCompleted<g.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},g.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=g,g.TIMEOUT=4e3,g.START_BATCH_AFTER_COUNT=50}),define(pe[69],ve([0,1,6,5,4,265,14,63,13,2,125]),function(Q,e,v,D,A,I,C,P,y,i,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=(0,A.createDecorator)("IExtHostSearch");let k=class{constructor(m,S,g){this.extHostRpc=m,this._uriTransformer=S,this._logService=g,this._proxy=this.extHostRpc.getProxy(D.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new I.FileSearchManager}_transformScheme(m){return this._uriTransformer.transformOutgoingScheme(m)}registerTextSearchProvider(m,S){if(this._textSearchUsedSchemes.has(m))throw new Error(`a text search provider for the scheme '${m}' is already registered`);this._textSearchUsedSchemes.add(m);const g=this._handlePool++;return this._textSearchProvider.set(g,S),this._proxy.$registerTextSearchProvider(g,this._transformScheme(m)),(0,v.toDisposable)(()=>{this._textSearchUsedSchemes.delete(m),this._textSearchProvider.delete(g),this._proxy.$unregisterProvider(g)})}registerFileSearchProvider(m,S){if(this._fileSearchUsedSchemes.has(m))throw new Error(`a file search provider for the scheme '${m}' is already registered`);this._fileSearchUsedSchemes.add(m);const g=this._handlePool++;return this._fileSearchProvider.set(g,S),this._proxy.$registerFileSearchProvider(g,this._transformScheme(m)),(0,v.toDisposable)(()=>{this._fileSearchUsedSchemes.delete(m),this._fileSearchProvider.delete(g),this._proxy.$unregisterProvider(g)})}$provideFileSearchResults(m,S,g,_){const u=b(g),c=this._fileSearchProvider.get(m);if(c)return this._fileSearchManager.fileSearch(u,c,o=>{this._proxy.$handleFileMatch(m,S,o.map(t=>t.resource))},_);throw new Error("unknown provider: "+m)}$clearCache(m){return this._fileSearchManager.clearCache(m),Promise.resolve(void 0)}$provideTextSearchResults(m,S,g,_){const u=this._textSearchProvider.get(m);if(!u||!u.provideTextSearchResults)throw new Error(`Unknown provider ${m}`);const c=b(g);return this.createTextSearchManager(c,u).search(t=>this._proxy.$handleTextMatch(m,S,t),_)}createTextSearchManager(m,S){return new T.TextSearchManager(m,S,{readdir:g=>Promise.resolve([]),toCanonicalName:g=>g})}};k=je([Ue(0,C.IExtHostRpcService),Ue(1,P.IURITransformerService),Ue(2,y.ILogService)],k),e.ExtHostSearch=k;function b(l){return Object.assign(Object.assign({},l),{folderQueries:l.folderQueries&&l.folderQueries.map(f),extraFileResources:l.extraFileResources&&l.extraFileResources.map(m=>i.URI.revive(m))})}e.reviveQuery=b;function f(l){return Object.assign(Object.assign({},l),{folder:i.URI.revive(l.folder)})}}),define(pe[266],ve([0,1,156,21,18,3,75,2,149,103,139,78,49,5,229,228,52,230,35,231,232,233,214,234,38,42,235,215,237,238,239,65,218,241,242,243,88,34,244,219,20,8,247,66,123,32,41,54,195,236,113,122,67,44,69,13,63,14,27,240,204,50,64,226,245,203,89,87,250,248,249,227,62,257,246,86,192,116]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S,g,_,u,c,o,t,r,s,a,n,d,p,E,h,w,R,L,U,J,Z,z,q,N,W,M,O,F,B,V,G,ce,me,Pe,Ie,Fe,H,X,te,oe,we,De,Me,_e,ke,Re,xe,ye,Ge,K,ie,Se,Ne,ze,Be,Je,j,se,de,Y,ne,le){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function ge(Ee){const He=Ee.get(Me.IExtHostInitDataService),We=Ee.get(j.IExtHostFileSystemInfo),qe=Ee.get(Se.IExtHostConsumerFileSystem),Xe=Ee.get(a.IExtHostExtensionService),Ze=Ee.get(V.IExtHostWorkspace),ht=Ee.get(le.IExtHostTelemetry),rt=Ee.get(_.IExtHostConfiguration),be=Ee.get(we.IURITransformerService),fe=Ee.get(De.IExtHostRpcService),ue=Ee.get(Z.IExtHostStorage),ee=Ee.get(ie.IExtensionStoragePaths),Te=Ee.get(oe.ILogService),Le=Ee.get(Re.IExtHostTunnelService),et=Ee.get(xe.IExtHostApiDeprecationService),Ke=Ee.get(B.IExtHostWindow),nt=Ee.get(Y.IExtHostSecretState);fe.set(f.ExtHostContext.ExtHostFileSystemInfo,We),fe.set(f.ExtHostContext.ExtHostLogService,Te),fe.set(f.ExtHostContext.ExtHostWorkspace,Ze),fe.set(f.ExtHostContext.ExtHostConfiguration,rt),fe.set(f.ExtHostContext.ExtHostExtensionService,Xe),fe.set(f.ExtHostContext.ExtHostStorage,ue),fe.set(f.ExtHostContext.ExtHostTunnelService,Le),fe.set(f.ExtHostContext.ExtHostWindow,Ke),fe.set(f.ExtHostContext.ExtHostSecretState,nt),fe.set(f.ExtHostContext.ExtHostTelemetry,ht);const ut=fe.set(f.ExtHostContext.ExtHostDecorations,Ee.get(Fe.IExtHostDecorations)),Ye=fe.set(f.ExtHostContext.ExtHostDocumentsAndEditors,Ee.get(s.IExtHostDocumentsAndEditors)),at=fe.set(f.ExtHostContext.ExtHostCommands,Ee.get(S.IExtHostCommands)),lt=fe.set(f.ExtHostContext.ExtHostTerminalService,Ee.get(z.IExtHostTerminalService)),ot=fe.set(f.ExtHostContext.ExtHostDebugService,Ee.get(X.IExtHostDebugService)),It=fe.set(f.ExtHostContext.ExtHostSearch,Ee.get(te.IExtHostSearch)),_t=fe.set(f.ExtHostContext.ExtHostTask,Ee.get(H.IExtHostTask)),kt=fe.set(f.ExtHostContext.ExtHostOutputService,Ee.get(w.IExtHostOutputService)),St=fe.set(f.ExtHostContext.ExtHostEditorTabs,new ne.ExtHostEditorTabs),yt=fe.set(f.ExtHostContext.ExtHostUrls,new O.ExtHostUrls(fe)),gt=fe.set(f.ExtHostContext.ExtHostDocuments,new r.ExtHostDocuments(fe,Ye)),Lt=fe.set(f.ExtHostContext.ExtHostDocumentContentProviders,new o.ExtHostDocumentContentProvider(fe,Ye,Te)),Ft=fe.set(f.ExtHostContext.ExtHostDocumentSaveParticipant,new t.ExtHostDocumentSaveParticipant(Te,gt,fe.getProxy(f.MainContext.MainThreadBulkEdits))),ft=fe.set(f.ExtHostContext.ExtHostNotebook,new _e.ExtHostNotebookController(fe,at,Ye,gt,He.environment,Te,ee)),Dt=fe.set(f.ExtHostContext.ExtHostEditors,new q.ExtHostEditors(fe,Ye)),Ht=fe.set(f.ExtHostContext.ExtHostTreeViews,new N.ExtHostTreeViews(fe.getProxy(f.MainContext.MainThreadTreeViews),at,Te)),qt=fe.set(f.ExtHostContext.ExtHostEditorInsets,new me.ExtHostEditorInsets(fe.getProxy(f.MainContext.MainThreadEditorInsets),Dt,He.environment)),Ot=fe.set(f.ExtHostContext.ExtHostDiagnostics,new u.ExtHostDiagnostics(fe,Te)),dt=fe.set(f.ExtHostContext.ExtHostLanguageFeatures,new p.ExtHostLanguageFeatures(fe,be,gt,at,Ot,Te,et)),Gt=fe.set(f.ExtHostContext.ExtHostFileSystem,new n.ExtHostFileSystem(fe,dt)),Pt=fe.set(f.ExtHostContext.ExtHostFileSystemEventService,new d.ExtHostFileSystemEventService(fe,Te,Ye)),Tt=fe.set(f.ExtHostContext.ExtHostQuickOpen,(0,L.createExtHostQuickOpen)(fe,Ze,at)),zt=fe.set(f.ExtHostContext.ExtHostSCM,new U.ExtHostSCM(fe,at,Te)),fn=fe.set(f.ExtHostContext.ExtHostComments,new g.ExtHostComments(fe,at,gt)),sn=fe.set(f.ExtHostContext.ExtHostProgress,new R.ExtHostProgress(fe.getProxy(f.MainContext.MainThreadProgress))),mn=fe.set(f.ExtHostContext.ExtHosLabelService,new Pe.ExtHostLabelService(fe)),on=fe.set(f.ExtHostContext.ExtHostTheming,new ke.ExtHostTheming(fe)),Mt=fe.set(f.ExtHostContext.ExtHostAuthentication,new ye.ExtHostAuthentication(fe)),Kt=fe.set(f.ExtHostContext.ExtHostTimeline,new Ge.ExtHostTimeline(fe,at)),Nt=fe.set(f.ExtHostContext.ExtHostWebviews,new F.ExtHostWebviews(fe,He.environment,Ze,Te,et)),Xt=fe.set(f.ExtHostContext.ExtHostWebviewPanels,new Be.ExtHostWebviewPanels(fe,Nt,Ze)),gn=fe.set(f.ExtHostContext.ExtHostCustomEditors,new ze.ExtHostCustomEditors(fe,gt,ee,Nt,Xt)),pn=fe.set(f.ExtHostContext.ExtHostWebviewViews,new Ne.ExtHostWebviewViews(fe,Nt)),At=fe.set(f.ExtHostContext.ExtHostTesting,new se.ExtHostTesting(fe,Ye,Ze)),Vt=fe.set(f.ExtHostContext.ExtHostUriOpeners,new de.ExtHostUriOpeners(fe)),vn=(0,ce.values)(f.ExtHostContext);fe.assertRegistered(vn);const wn=new Je.ExtHostBulkEdits(fe,Ye),Yt=new m.ExtHostClipboard(fe),Qt=new h.ExtHostMessageService(fe,Te),an=new c.ExtHostDialogs(fe),jt=new J.ExtHostStatusBar(fe,at.converter),Ut=new E.ExtHostLanguages(fe,gt);return l.ExtHostApiCommands.register(at),function(Oe,Jt,xt){const mt=function(){let re=!Oe.isUnderDevelopment;function he(Ae){re||(Te.info(`Extension '${Oe.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),re=!0)}return function Ae(ct){if(Array.isArray(ct))ct.forEach(Ae);else if(typeof ct=="string")he(ct);else{const $=ct;typeof $.scheme=="undefined"&&he(ct),!Oe.enableProposedApi&&typeof $.exclusive=="boolean"&&(0,G.throwProposedApiError)(Oe)}return ct}}(),_n={getSession(re,he,Ae){return Mt.getSession(Oe,re,he,Ae)},get onDidChangeSessions(){return Mt.onDidChangeSessions},registerAuthenticationProvider(re,he,Ae,ct){return Mt.registerAuthenticationProvider(re,he,Ae,ct)},get onDidChangeAuthenticationProviders(){return(0,G.checkProposedApiEnabled)(Oe),Mt.onDidChangeAuthenticationProviders},get providers(){return(0,G.checkProposedApiEnabled)(Oe),Mt.providers},logout(re,he){return(0,G.checkProposedApiEnabled)(Oe),Mt.removeSession(re,he)}},bn={registerCommand(re,he,Ae){return at.registerCommand(!0,re,he,Ae)},registerTextEditorCommand(re,he,Ae){return at.registerCommand(!0,re,(...ct)=>{const $=Dt.getActiveTextEditor();if(!$){Te.warn("Cannot execute "+re+" because there is no active text editor.");return}return $.edit(x=>{he.apply(Ae,[$,x,...ct])}).then(x=>{x||Te.warn("Edits from command "+re+" were not applied.")},x=>{Te.warn("An error occurred while running command "+re,x)})})},registerDiffInformationCommand:(re,he,Ae)=>((0,G.checkProposedApiEnabled)(Oe),at.registerCommand(!0,re,async(...ct)=>{const $=Ye.activeEditor(!0);if(!$){Te.warn("Cannot execute "+re+" because there is no active text editor.");return}const x=await Dt.getDiffInformation($.id);he.apply(Ae,[x,...ct])})),executeCommand(re,...he){return at.executeCommand(re,...he)},getCommands(re=!1){return at.getCommands(re)}},Zt={get machineId(){return He.telemetryInfo.machineId},get sessionId(){return He.telemetryInfo.sessionId},get language(){return He.environment.appLanguage},get appName(){return He.environment.appName},get appRoot(){var re,he;return(he=(re=He.environment.appRoot)===null||re===void 0?void 0:re.fsPath)!==null&&he!==void 0?he:""},get uriScheme(){return He.environment.appUriScheme},get clipboard(){return Yt.value},get shell(){return lt.getDefaultShell(!1,xt)},get isTelemetryEnabled(){return ht.getTelemetryEnabled()},get onDidChangeTelemetryEnabled(){return ht.onDidChangeTelemetryEnabled},get isNewAppInstall(){const re=Date.now()-new Date(He.telemetryInfo.firstSessionDate).getTime();return isNaN(re)?!1:re<1e3*60*60*24},openExternal(re,he){return Ke.openUri(re,{allowTunneling:!!He.remote.authority,allowContributedOpeners:he==null?void 0:he.allowContributedOpeners})},asExternalUri(re){return re.scheme===He.environment.appUriScheme?yt.createAppUri(re):Ke.asExternalUri(re,{allowTunneling:!!He.remote.authority})},get remoteName(){return(0,Ie.getRemoteName)(He.remote.authority)},get uiKind(){return He.uiKind}};He.environment.extensionTestsLocationURI||Object.freeze(Zt);const ln=He.remote.isRemote?M.ExtensionKind.Workspace:M.ExtensionKind.UI,En={registerTestProvider(re){return(0,G.checkProposedApiEnabled)(Oe),At.registerTestProvider(re)},createDocumentTestObserver(re){return(0,G.checkProposedApiEnabled)(Oe),At.createTextDocumentTestObserver(re)},createWorkspaceTestObserver(re){return(0,G.checkProposedApiEnabled)(Oe),At.createWorkspaceTestObserver(re)},runTests(re){return(0,G.checkProposedApiEnabled)(Oe),At.runTests(re)},publishTestResult(re,he=!0){return(0,G.checkProposedApiEnabled)(Oe),At.publishExtensionProvidedResults(re,he)},get onDidChangeTestResults(){return(0,G.checkProposedApiEnabled)(Oe),At.onResultsChanged},get testResults(){return(0,G.checkProposedApiEnabled)(Oe),At.results}},en={getExtension(re){const he=Jt.getExtensionDescription(re);if(he)return new a.Extension(Xe,Oe.identifier,he,ln)},get all(){return Jt.getAllExtensionDescriptions().map(re=>new a.Extension(Xe,Oe.identifier,re,ln))},get onDidChange(){return Jt.onDidChange}},Sn={createDiagnosticCollection(re){return Ot.createDiagnosticCollection(Oe.identifier,re)},get onDidChangeDiagnostics(){return Ot.onDidChangeDiagnostics},getDiagnostics:re=>Ot.getDiagnostics(re),getLanguages(){return Ut.getLanguages()},setTextDocumentLanguage(re,he){return Ut.changeLanguage(re.uri,he)},match(re,he){return(0,k.score)(W.LanguageSelector.from(re),he.uri,he.languageId,!0)},registerCodeActionsProvider(re,he,Ae){return dt.registerCodeActionProvider(Oe,mt(re),he,Ae)},registerCodeLensProvider(re,he){return dt.registerCodeLensProvider(Oe,mt(re),he)},registerDefinitionProvider(re,he){return dt.registerDefinitionProvider(Oe,mt(re),he)},registerDeclarationProvider(re,he){return dt.registerDeclarationProvider(Oe,mt(re),he)},registerImplementationProvider(re,he){return dt.registerImplementationProvider(Oe,mt(re),he)},registerTypeDefinitionProvider(re,he){return dt.registerTypeDefinitionProvider(Oe,mt(re),he)},registerHoverProvider(re,he){return dt.registerHoverProvider(Oe,mt(re),he,Oe.identifier)},registerEvaluatableExpressionProvider(re,he){return dt.registerEvaluatableExpressionProvider(Oe,mt(re),he,Oe.identifier)},registerInlineValuesProvider(re,he){return(0,G.checkProposedApiEnabled)(Oe),dt.registerInlineValuesProvider(Oe,mt(re),he,Oe.identifier)},registerDocumentHighlightProvider(re,he){return dt.registerDocumentHighlightProvider(Oe,mt(re),he)},registerLinkedEditingRangeProvider(re,he){return dt.registerLinkedEditingRangeProvider(Oe,mt(re),he)},registerReferenceProvider(re,he){return dt.registerReferenceProvider(Oe,mt(re),he)},registerRenameProvider(re,he){return dt.registerRenameProvider(Oe,mt(re),he)},registerDocumentSymbolProvider(re,he,Ae){return dt.registerDocumentSymbolProvider(Oe,mt(re),he,Ae)},registerWorkspaceSymbolProvider(re){return dt.registerWorkspaceSymbolProvider(Oe,re)},registerDocumentFormattingEditProvider(re,he){return dt.registerDocumentFormattingEditProvider(Oe,mt(re),he)},registerDocumentRangeFormattingEditProvider(re,he){return dt.registerDocumentRangeFormattingEditProvider(Oe,mt(re),he)},registerOnTypeFormattingEditProvider(re,he,Ae,...ct){return dt.registerOnTypeFormattingEditProvider(Oe,mt(re),he,[Ae].concat(ct))},registerDocumentSemanticTokensProvider(re,he,Ae){return dt.registerDocumentSemanticTokensProvider(Oe,mt(re),he,Ae)},registerDocumentRangeSemanticTokensProvider(re,he,Ae){return dt.registerDocumentRangeSemanticTokensProvider(Oe,mt(re),he,Ae)},registerSignatureHelpProvider(re,he,Ae,...ct){return typeof Ae=="object"?dt.registerSignatureHelpProvider(Oe,mt(re),he,Ae):dt.registerSignatureHelpProvider(Oe,mt(re),he,typeof Ae=="undefined"?[]:[Ae,...ct])},registerCompletionItemProvider(re,he,...Ae){return dt.registerCompletionItemProvider(Oe,mt(re),he,Ae)},registerDocumentLinkProvider(re,he){return dt.registerDocumentLinkProvider(Oe,mt(re),he)},registerColorProvider(re,he){return dt.registerColorProvider(Oe,mt(re),he)},registerFoldingRangeProvider(re,he){return dt.registerFoldingRangeProvider(Oe,mt(re),he)},registerSelectionRangeProvider(re,he){return dt.registerSelectionRangeProvider(Oe,re,he)},registerCallHierarchyProvider(re,he){return dt.registerCallHierarchyProvider(Oe,re,he)},setLanguageConfiguration:(re,he)=>dt.setLanguageConfiguration(Oe,re,he),getTokenInformationAtPosition(re,he){return(0,G.checkProposedApiEnabled)(Oe),Ut.tokenAtPosition(re,he)},registerInlineHintsProvider(re,he){return(0,G.checkProposedApiEnabled)(Oe),dt.registerInlineHintsProvider(Oe,re,he)}},yn={get activeTextEditor(){return Dt.getActiveTextEditor()},get visibleTextEditors(){return Dt.getVisibleTextEditors()},get activeTerminal(){return lt.activeTerminal},get terminals(){return lt.terminals},async showTextDocument(re,he,Ae){const ct=await(P.URI.isUri(re)?Promise.resolve(cn.openTextDocument(re)):Promise.resolve(re));return Dt.showTextDocument(ct,he,Ae)},createTextEditorDecorationType(re){return Dt.createTextEditorDecorationType(re)},onDidChangeActiveTextEditor(re,he,Ae){return Dt.onDidChangeActiveTextEditor(re,he,Ae)},onDidChangeVisibleTextEditors(re,he,Ae){return Dt.onDidChangeVisibleTextEditors(re,he,Ae)},onDidChangeTextEditorSelection(re,he,Ae){return Dt.onDidChangeTextEditorSelection(re,he,Ae)},onDidChangeTextEditorOptions(re,he,Ae){return Dt.onDidChangeTextEditorOptions(re,he,Ae)},onDidChangeTextEditorVisibleRanges(re,he,Ae){return Dt.onDidChangeTextEditorVisibleRanges(re,he,Ae)},onDidChangeTextEditorViewColumn(re,he,Ae){return Dt.onDidChangeTextEditorViewColumn(re,he,Ae)},onDidCloseTerminal(re,he,Ae){return lt.onDidCloseTerminal(re,he,Ae)},onDidOpenTerminal(re,he,Ae){return lt.onDidOpenTerminal(re,he,Ae)},onDidChangeActiveTerminal(re,he,Ae){return lt.onDidChangeActiveTerminal(re,he,Ae)},onDidChangeTerminalDimensions(re,he,Ae){return(0,G.checkProposedApiEnabled)(Oe),lt.onDidChangeTerminalDimensions(re,he,Ae)},onDidWriteTerminalData(re,he,Ae){return(0,G.checkProposedApiEnabled)(Oe),lt.onDidWriteTerminalData(re,he,Ae)},get state(){return Ke.state},onDidChangeWindowState(re,he,Ae){return Ke.onDidChangeWindowState(re,he,Ae)},showInformationMessage(re,...he){return Qt.showMessage(Oe,C.default.Info,re,he[0],he.slice(1))},showWarningMessage(re,...he){return Qt.showMessage(Oe,C.default.Warning,re,he[0],he.slice(1))},showErrorMessage(re,...he){return Qt.showMessage(Oe,C.default.Error,re,he[0],he.slice(1))},showQuickPick(re,he,Ae){return Tt.showQuickPick(re,!!Oe.enableProposedApi,he,Ae)},showWorkspaceFolderPick(re){return Tt.showWorkspaceFolderPick(re)},showInputBox(re,he){return Tt.showInput(re,he)},showOpenDialog(re){return an.showOpenDialog(re)},showSaveDialog(re){return an.showSaveDialog(re)},createStatusBarItem(re,he){let Ae,ct,$,x;return re&&typeof re!="number"?(Ae=re.id,ct=re.name,$=re.alignment,he=re.priority,x=re.accessibilityInformation):(Ae=Oe.identifier.value,ct=v.localize(0,null,Oe.displayName||Oe.name),$=re),jt.createStatusBarEntry(Ae,ct,$,he,x)},setStatusBarMessage(re,he){return jt.setStatusBarMessage(re,he)},withScmProgress(re){return et.report("window.withScmProgress",Oe,"Use 'withProgress' instead."),sn.withProgress(Oe,{location:M.ProgressLocation.SourceControl},(he,Ae)=>re({report(ct){}}))},withProgress(re,he){return sn.withProgress(Oe,re,he)},createOutputChannel(re){return kt.createOutputChannel(re)},createWebviewPanel(re,he,Ae,ct){return Xt.createWebviewPanel(Oe,re,he,Ae,ct)},createWebviewTextEditorInset(re,he,Ae,ct){return(0,G.checkProposedApiEnabled)(Oe),qt.createWebviewEditorInset(re,he,Ae,ct,Oe)},createTerminal(re,he,Ae){return typeof re=="object"?"pty"in re?lt.createExtensionTerminal(re):lt.createTerminalFromOptions(re):lt.createTerminal(re,he,Ae)},registerTerminalLinkProvider(re){return lt.registerLinkProvider(re)},registerTreeDataProvider(re,he){return Ht.registerTreeDataProvider(re,he,Oe)},createTreeView(re,he){return Ht.createTreeView(re,he,Oe)},registerWebviewPanelSerializer:(re,he)=>Xt.registerWebviewPanelSerializer(Oe,re,he),registerCustomEditorProvider:(re,he,Ae={})=>gn.registerCustomEditorProvider(Oe,re,he,Ae),registerFileDecorationProvider(re){return ut.registerFileDecorationProvider(re,Oe.identifier)},registerUriHandler(re){return yt.registerUriHandler(Oe.identifier,re)},createQuickPick(){return Tt.createQuickPick(Oe.identifier,!!Oe.enableProposedApi)},createInputBox(){return Tt.createInputBox(Oe.identifier)},get activeColorTheme(){return on.activeColorTheme},onDidChangeActiveColorTheme(re,he,Ae){return on.onDidChangeActiveColorTheme(re,he,Ae)},registerWebviewViewProvider(re,he,Ae){return pn.registerWebviewViewProvider(Oe,re,he,Ae==null?void 0:Ae.webviewOptions)},get activeNotebookEditor(){return(0,G.checkProposedApiEnabled)(Oe),ft.activeNotebookEditor},onDidChangeActiveNotebookEditor(re,he,Ae){return(0,G.checkProposedApiEnabled)(Oe),ft.onDidChangeActiveNotebookEditor(re,he,Ae)},get visibleNotebookEditors(){return(0,G.checkProposedApiEnabled)(Oe),ft.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return(0,G.checkProposedApiEnabled)(Oe),ft.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(re,he,Ae){return(0,G.checkProposedApiEnabled)(Oe),ft.onDidChangeNotebookEditorSelection(re,he,Ae)},onDidChangeNotebookEditorVisibleRanges(re,he,Ae){return(0,G.checkProposedApiEnabled)(Oe),ft.onDidChangeNotebookEditorVisibleRanges(re,he,Ae)},showNotebookDocument(re,he){return(0,G.checkProposedApiEnabled)(Oe),ft.showNotebookDocument(re,he)},registerExternalUriOpener(re,he,Ae){return(0,G.checkProposedApiEnabled)(Oe),Vt.registerExternalUriOpener(Oe.identifier,re,he,Ae)},get openEditors(){return(0,G.checkProposedApiEnabled)(Oe),St.tabs},get onDidChangeOpenEditors(){return(0,G.checkProposedApiEnabled)(Oe),St.onDidChangeTabs}},cn={get rootPath(){return et.report("workspace.rootPath",Oe,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),Ze.getPath()},set rootPath(re){throw A.readonly()},getWorkspaceFolder(re){return Ze.getWorkspaceFolder(re)},get workspaceFolders(){return Ze.getWorkspaceFolders()},get name(){return Ze.name},set name(re){throw A.readonly()},get workspaceFile(){return Ze.workspaceFile},set workspaceFile(re){throw A.readonly()},updateWorkspaceFolders:(re,he,...Ae)=>Ze.updateWorkspaceFolders(Oe,re,he||0,...Ae),onDidChangeWorkspaceFolders:function(re,he,Ae){return Ze.onDidChangeWorkspace(re,he,Ae)},asRelativePath:(re,he)=>Ze.getRelativePath(re,he),findFiles:(re,he,Ae,ct)=>Ze.findFiles(W.GlobPattern.from(re),W.GlobPattern.from(he),Ae,Oe.identifier,ct),findTextInFiles:(re,he,Ae,ct)=>{let $,x;return typeof he=="object"?($=he,x=Ae):($={},x=he,ct=Ae),Ze.findTextInFiles(re,$||{},x,Oe.identifier,ct)},saveAll:re=>Ze.saveAll(re),applyEdit(re){return wn.applyWorkspaceEdit(re)},createFileSystemWatcher:(re,he,Ae,ct)=>Pt.createFileSystemWatcher(W.GlobPattern.from(re),he,Ae,ct),get textDocuments(){return gt.getAllDocumentData().map(re=>re.document)},set textDocuments(re){throw A.readonly()},openTextDocument(re){let he;const Ae=re;if(typeof re=="string")he=Promise.resolve(P.URI.file(re));else if(P.URI.isUri(re))he=Promise.resolve(re);else if(!Ae||typeof Ae=="object")he=gt.createDocumentData(Ae);else throw new Error("illegal argument - uriOrFileNameOrOptions");return he.then(ct=>gt.ensureDocumentData(ct).then($=>$.document))},onDidOpenTextDocument:(re,he,Ae)=>gt.onDidAddDocument(re,he,Ae),onDidCloseTextDocument:(re,he,Ae)=>gt.onDidRemoveDocument(re,he,Ae),onDidChangeTextDocument:(re,he,Ae)=>gt.onDidChangeDocument(re,he,Ae),onDidSaveTextDocument:(re,he,Ae)=>gt.onDidSaveDocument(re,he,Ae),onWillSaveTextDocument:(re,he,Ae)=>Ft.getOnWillSaveTextDocumentEvent(Oe)(re,he,Ae),onDidChangeConfiguration:(re,he,Ae)=>xt.onDidChangeConfiguration(re,he,Ae),getConfiguration(re,he){return he=arguments.length===1?void 0:he,xt.getConfiguration(re,he,Oe)},registerTextDocumentContentProvider(re,he){return Lt.registerTextDocumentContentProvider(re,he)},registerTaskProvider:(re,he)=>(et.report("window.registerTaskProvider",Oe,"Use the corresponding function on the 'tasks' namespace instead"),_t.registerTaskProvider(Oe,re,he)),registerFileSystemProvider(re,he,Ae){return Gt.registerFileSystemProvider(Oe.identifier,re,he,Ae)},get fs(){return qe.value},registerFileSearchProvider:(re,he)=>((0,G.checkProposedApiEnabled)(Oe),It.registerFileSearchProvider(re,he)),registerTextSearchProvider:(re,he)=>((0,G.checkProposedApiEnabled)(Oe),It.registerTextSearchProvider(re,he)),registerRemoteAuthorityResolver:(re,he)=>((0,G.checkProposedApiEnabled)(Oe),Xe.registerRemoteAuthorityResolver(re,he)),registerResourceLabelFormatter:re=>((0,G.checkProposedApiEnabled)(Oe),mn.$registerResourceLabelFormatter(re)),onDidCreateFiles:(re,he,Ae)=>Pt.onDidCreateFile(re,he,Ae),onDidDeleteFiles:(re,he,Ae)=>Pt.onDidDeleteFile(re,he,Ae),onDidRenameFiles:(re,he,Ae)=>Pt.onDidRenameFile(re,he,Ae),onWillCreateFiles:(re,he,Ae)=>Pt.getOnWillCreateFileEvent(Oe)(re,he,Ae),onWillDeleteFiles:(re,he,Ae)=>Pt.getOnWillDeleteFileEvent(Oe)(re,he,Ae),onWillRenameFiles:(re,he,Ae)=>Pt.getOnWillRenameFileEvent(Oe)(re,he,Ae),openTunnel:re=>((0,G.checkProposedApiEnabled)(Oe),Le.openTunnel(Oe,re).then(he=>{if(!he)throw new Error("cannot open tunnel");return he})),get tunnels(){return(0,G.checkProposedApiEnabled)(Oe),Le.getTunnels()},onDidChangeTunnels:(re,he,Ae)=>((0,G.checkProposedApiEnabled)(Oe),Le.onDidChangeTunnels(re,he,Ae)),registerPortAttributesProvider:(re,he)=>((0,G.checkProposedApiEnabled)(Oe),Le.registerPortsAttributesProvider(re,he)),registerTimelineProvider:(re,he)=>((0,G.checkProposedApiEnabled)(Oe),Kt.registerTimelineProvider(re,he,Oe.identifier,at.converter)),get trustState(){return(0,G.checkProposedApiEnabled)(Oe),(0,G.checkRequiresWorkspaceTrust)(Oe),Ze.trustState},requireWorkspaceTrust:re=>((0,G.checkProposedApiEnabled)(Oe),(0,G.checkRequiresWorkspaceTrust)(Oe),Ze.requireWorkspaceTrust(re)),onDidChangeWorkspaceTrustState:(re,he,Ae)=>Ze.onDidChangeWorkspaceTrustState(re,he,Ae)},Dn={get inputBox(){return et.report("scm.inputBox",Oe,"Use 'SourceControl.inputBox' instead"),zt.getLastInputBox(Oe)},createSourceControl(re,he,Ae){return zt.createSourceControl(Oe,re,he,Ae)}},Cn={createCommentController(re,he){return fn.createCommentController(Oe,re,he)}},un={get activeDebugSession(){return ot.activeDebugSession},get activeDebugConsole(){return ot.activeDebugConsole},get breakpoints(){return ot.breakpoints},onDidStartDebugSession(re,he,Ae){return ot.onDidStartDebugSession(re,he,Ae)},onDidTerminateDebugSession(re,he,Ae){return ot.onDidTerminateDebugSession(re,he,Ae)},onDidChangeActiveDebugSession(re,he,Ae){return ot.onDidChangeActiveDebugSession(re,he,Ae)},onDidReceiveDebugSessionCustomEvent(re,he,Ae){return ot.onDidReceiveDebugSessionCustomEvent(re,he,Ae)},onDidChangeBreakpoints(re,he,Ae){return ot.onDidChangeBreakpoints(re,he,Ae)},registerDebugConfigurationProvider(re,he,Ae){return ot.registerDebugConfigurationProvider(re,he,Ae||M.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(re,he){return ot.registerDebugAdapterDescriptorFactory(Oe,re,he)},registerDebugAdapterTrackerFactory(re,he){return ot.registerDebugAdapterTrackerFactory(re,he)},startDebugging(re,he,Ae){return!Ae||typeof Ae=="object"&&"configuration"in Ae?ot.startDebugging(re,he,{parentSession:Ae}):ot.startDebugging(re,he,Ae||{})},stopDebugging(re){return ot.stopDebugging(re)},addBreakpoints(re){return ot.addBreakpoints(re)},removeBreakpoints(re){return ot.removeBreakpoints(re)},asDebugSourceUri(re,he){return ot.asDebugSourceUri(re,he)}},kn={registerTaskProvider:(re,he)=>_t.registerTaskProvider(Oe,re,he),fetchTasks:re=>_t.fetchTasks(re),executeTask:re=>_t.executeTask(Oe,re),get taskExecutions(){return _t.taskExecutions},onDidStartTask:(re,he,Ae)=>_t.onDidStartTask(re,he,Ae),onDidEndTask:(re,he,Ae)=>_t.onDidEndTask(re,he,Ae),onDidStartTaskProcess:(re,he,Ae)=>_t.onDidStartTaskProcess(re,he,Ae),onDidEndTaskProcess:(re,he,Ae)=>_t.onDidEndTaskProcess(re,he,Ae)},In={openNotebookDocument:re=>((0,G.checkProposedApiEnabled)(Oe),ft.openNotebookDocument(re)),get onDidOpenNotebookDocument(){return(0,G.checkProposedApiEnabled)(Oe),ft.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return(0,G.checkProposedApiEnabled)(Oe),ft.onDidCloseNotebookDocument},get onDidSaveNotebookDocument(){return(0,G.checkProposedApiEnabled)(Oe),ft.onDidSaveNotebookDocument},get notebookDocuments(){return(0,G.checkProposedApiEnabled)(Oe),ft.notebookDocuments.map(re=>re.notebookDocument)},get onDidChangeActiveNotebookKernel(){return(0,G.checkProposedApiEnabled)(Oe),ft.onDidChangeActiveNotebookKernel},registerNotebookContentProvider:(re,he,Ae)=>((0,G.checkProposedApiEnabled)(Oe),ft.registerNotebookContentProvider(Oe,re,he,Ae)),registerNotebookKernelProvider:(re,he)=>((0,G.checkProposedApiEnabled)(Oe),ft.registerNotebookKernelProvider(Oe,re,he)),createNotebookEditorDecorationType(re){return(0,G.checkProposedApiEnabled)(Oe),ft.createNotebookEditorDecorationType(re)},onDidChangeNotebookDocumentMetadata(re,he,Ae){return(0,G.checkProposedApiEnabled)(Oe),ft.onDidChangeNotebookDocumentMetadata(re,he,Ae)},onDidChangeNotebookCells(re,he,Ae){return(0,G.checkProposedApiEnabled)(Oe),ft.onDidChangeNotebookCells(re,he,Ae)},onDidChangeCellOutputs(re,he,Ae){return(0,G.checkProposedApiEnabled)(Oe),ft.onDidChangeCellOutputs(re,he,Ae)},onDidChangeCellMetadata(re,he,Ae){return(0,G.checkProposedApiEnabled)(Oe),ft.onDidChangeCellMetadata(re,he,Ae)},createConcatTextDocument(re,he){return(0,G.checkProposedApiEnabled)(Oe),new K.ExtHostNotebookConcatDocument(ft,gt,re,he)},createCellStatusBarItem(re,he,Ae){return(0,G.checkProposedApiEnabled)(Oe),ft.createNotebookCellStatusBarItemInternal(re,he,Ae)}};return{version:He.version,authentication:_n,commands:bn,comments:Cn,debug:un,env:Zt,extensions:en,languages:Sn,notebook:In,scm:Dn,tasks:kn,test:En,window:yn,workspace:cn,Breakpoint:M.Breakpoint,CallHierarchyIncomingCall:M.CallHierarchyIncomingCall,CallHierarchyItem:M.CallHierarchyItem,CallHierarchyOutgoingCall:M.CallHierarchyOutgoingCall,CancellationError:A.CancellationError,CancellationTokenSource:D.CancellationTokenSource,CandidatePortSource:f.CandidatePortSource,CodeAction:M.CodeAction,CodeActionKind:M.CodeActionKind,CodeActionTriggerKind:M.CodeActionTriggerKind,CodeLens:M.CodeLens,Color:M.Color,ColorInformation:M.ColorInformation,ColorPresentation:M.ColorPresentation,ColorThemeKind:M.ColorThemeKind,CommentMode:M.CommentMode,CommentThreadCollapsibleState:M.CommentThreadCollapsibleState,CompletionItem:M.CompletionItem,CompletionItemKind:M.CompletionItemKind,CompletionItemTag:M.CompletionItemTag,CompletionList:M.CompletionList,CompletionTriggerKind:M.CompletionTriggerKind,ConfigurationTarget:M.ConfigurationTarget,CustomExecution:M.CustomExecution,DebugAdapterExecutable:M.DebugAdapterExecutable,DebugAdapterInlineImplementation:M.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:M.DebugAdapterNamedPipeServer,DebugAdapterServer:M.DebugAdapterServer,DebugConfigurationProviderTriggerKind:M.DebugConfigurationProviderTriggerKind,DebugConsoleMode:M.DebugConsoleMode,DecorationRangeBehavior:M.DecorationRangeBehavior,Diagnostic:M.Diagnostic,DiagnosticRelatedInformation:M.DiagnosticRelatedInformation,DiagnosticSeverity:M.DiagnosticSeverity,DiagnosticTag:M.DiagnosticTag,Disposable:M.Disposable,DocumentHighlight:M.DocumentHighlight,DocumentHighlightKind:M.DocumentHighlightKind,DocumentLink:M.DocumentLink,DocumentSymbol:M.DocumentSymbol,EndOfLine:M.EndOfLine,EnvironmentVariableMutatorType:M.EnvironmentVariableMutatorType,EvaluatableExpression:M.EvaluatableExpression,InlineValueText:M.InlineValueText,InlineValueVariableLookup:M.InlineValueVariableLookup,InlineValueEvaluatableExpression:M.InlineValueEvaluatableExpression,EventEmitter:I.Emitter,ExtensionKind:M.ExtensionKind,ExtensionMode:M.ExtensionMode,ExternalUriOpenerPriority:M.ExternalUriOpenerPriority,FileChangeType:M.FileChangeType,FileDecoration:M.FileDecoration,FileSystemError:M.FileSystemError,FileType:b.FileType,FoldingRange:M.FoldingRange,FoldingRangeKind:M.FoldingRangeKind,FunctionBreakpoint:M.FunctionBreakpoint,Hover:M.Hover,IndentAction:T.IndentAction,Location:M.Location,MarkdownString:M.MarkdownString,OverviewRulerLane:i.OverviewRulerLane,ParameterInformation:M.ParameterInformation,PortAutoForwardAction:M.PortAutoForwardAction,Position:M.Position,ProcessExecution:M.ProcessExecution,ProgressLocation:M.ProgressLocation,QuickInputButtons:M.QuickInputButtons,Range:M.Range,RelativePattern:M.RelativePattern,Selection:M.Selection,SelectionRange:M.SelectionRange,SemanticTokens:M.SemanticTokens,SemanticTokensBuilder:M.SemanticTokensBuilder,SemanticTokensEdit:M.SemanticTokensEdit,SemanticTokensEdits:M.SemanticTokensEdits,SemanticTokensLegend:M.SemanticTokensLegend,ShellExecution:M.ShellExecution,ShellQuoting:M.ShellQuoting,SignatureHelp:M.SignatureHelp,SignatureHelpTriggerKind:M.SignatureHelpTriggerKind,SignatureInformation:M.SignatureInformation,SnippetString:M.SnippetString,SourceBreakpoint:M.SourceBreakpoint,StandardTokenType:M.StandardTokenType,StatusBarAlignment:M.StatusBarAlignment,SymbolInformation:M.SymbolInformation,SymbolKind:M.SymbolKind,SymbolTag:M.SymbolTag,Task:M.Task,TaskGroup:M.TaskGroup,TaskPanelKind:M.TaskPanelKind,TaskRevealKind:M.TaskRevealKind,TaskScope:M.TaskScope,TextDocumentSaveReason:M.TextDocumentSaveReason,TextEdit:M.TextEdit,TextEditorCursorStyle:y.TextEditorCursorStyle,TextEditorLineNumbersStyle:M.TextEditorLineNumbersStyle,TextEditorRevealType:M.TextEditorRevealType,TextEditorSelectionChangeKind:M.TextEditorSelectionChangeKind,ThemeColor:M.ThemeColor,ThemeIcon:M.ThemeIcon,TreeItem:M.TreeItem,TreeItemCollapsibleState:M.TreeItemCollapsibleState,UIKind:f.UIKind,Uri:P.URI,ViewColumn:M.ViewColumn,WorkspaceEdit:M.WorkspaceEdit,InlineHint:M.InlineHint,InlineHintKind:M.InlineHintKind,RemoteAuthorityResolverError:M.RemoteAuthorityResolverError,ResolvedAuthority:M.ResolvedAuthority,SourceControlInputBoxValidationType:M.SourceControlInputBoxValidationType,ExtensionRuntime:M.ExtensionRuntime,TimelineItem:M.TimelineItem,NotebookCellRange:M.NotebookCellRange,NotebookCellKind:M.NotebookCellKind,NotebookCellRunState:M.NotebookCellRunState,NotebookDocumentMetadata:M.NotebookDocumentMetadata,NotebookCellMetadata:M.NotebookCellMetadata,NotebookCellData:M.NotebookCellData,NotebookData:M.NotebookData,NotebookRunState:M.NotebookRunState,NotebookCellStatusBarAlignment:M.NotebookCellStatusBarAlignment,NotebookEditorRevealType:M.NotebookEditorRevealType,NotebookCellOutput:M.NotebookCellOutput,NotebookCellOutputItem:M.NotebookCellOutputItem,LinkedEditingRanges:M.LinkedEditingRanges,TestItem:M.TestItem,TestState:M.TestState,TestResult:M.TestResult,TestMessage:M.TestMessage,TestMessageSeverity:M.TestMessageSeverity,WorkspaceTrustState:M.WorkspaceTrustState}}}e.createApiFactoryAndRegisterActors=ge}),define(pe[267],ve([0,1,80,65,32,122,35,52,38,34,67,44,69,89,88,50,64,123,87,62,86,116]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S,g,_,u,c,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,v.registerSingleton)(f.IExtensionStoragePaths,f.ExtensionStoragePaths),(0,v.registerSingleton)(S.IExtHostApiDeprecationService,S.ExtHostApiDeprecationService),(0,v.registerSingleton)(P.IExtHostCommands,P.ExtHostCommands),(0,v.registerSingleton)(C.IExtHostConfiguration,C.ExtHostConfiguration),(0,v.registerSingleton)(_.IExtHostConsumerFileSystem,_.ExtHostConsumerFileSystem),(0,v.registerSingleton)(k.IExtHostDebugService,k.WorkerExtHostDebugService),(0,v.registerSingleton)(I.IExtHostDecorations,I.ExtHostDecorations),(0,v.registerSingleton)(y.IExtHostDocumentsAndEditors,y.ExtHostDocumentsAndEditors),(0,v.registerSingleton)(u.IExtHostFileSystemInfo,u.ExtHostFileSystemInfo),(0,v.registerSingleton)(D.IExtHostOutputService,D.ExtHostOutputService),(0,v.registerSingleton)(b.IExtHostSearch,b.ExtHostSearch),(0,v.registerSingleton)(l.IExtHostStorage,l.ExtHostStorage),(0,v.registerSingleton)(T.IExtHostTask,T.WorkerExtHostTask),(0,v.registerSingleton)(i.IExtHostTerminalService,i.WorkerExtHostTerminalService),(0,v.registerSingleton)(m.IExtHostTunnelService,m.ExtHostTunnelService),(0,v.registerSingleton)(g.IExtHostWindow,g.ExtHostWindow),(0,v.registerSingleton)(A.IExtHostWorkspace,A.ExtHostWorkspace),(0,v.registerSingleton)(c.IExtHostSecretState,c.ExtHostSecretState),(0,v.registerSingleton)(o.IExtHostTelemetry,o.ExtHostTelemetry)}),define(pe[90],ve([0,1,12,13,31,124]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutputChannel=e.createTextSearchResult=e.anchorGlob=void 0;function C(k){return k.startsWith("**")||k.startsWith("/")?k:`/${k}`}e.anchorGlob=C;function P(k,b,f,l){const m=(0,v.mapArrayOrNot)(f,y),S=new A.TextSearchMatch(b,m,l),g=S.preview.matches;return{ranges:(0,v.mapArrayOrNot)(m,i),uri:k,preview:{text:S.preview.text,matches:(0,v.mapArrayOrNot)(g,i)}}}e.createTextSearchResult=P;function y(k){return new A.SearchRange(k.start.line,k.start.character,k.end.line,k.end.character)}function i(k){return new I.Range(k.startLineNumber,k.startColumn,k.endLineNumber,k.endColumn)}let T=class{constructor(b,f){this.prefix=b,this.logService=f}appendLine(b){this.logService.debug(`${this.prefix}#search`,b)}};T=je([Ue(1,D.ILogService)],T),e.OutputChannel=T}),define(pe[268],ve([0,1,91,26]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SUPPORTED_ENCODINGS=e.detectEncodingFromBuffer=e.toCanonicalName=e.detectEncodingByBOMFromBuffer=e.toNodeEncoding=e.encodingExists=e.toEncodeReadable=e.toDecodeStream=e.UTF8_BOM=e.UTF16le_BOM=e.UTF16be_BOM=e.isUTFEncoding=e.UTF16le=e.UTF16be=e.UTF8_with_bom=e.UTF8=void 0,e.UTF8="utf8",e.UTF8_with_bom="utf8bom",e.UTF16be="utf16be",e.UTF16le="utf16le";function A(t){return[e.UTF8,e.UTF8_with_bom,e.UTF16be,e.UTF16le].some(r=>r===t)}e.isUTFEncoding=A,e.UTF16be_BOM=[254,255],e.UTF16le_BOM=[255,254],e.UTF8_BOM=[239,187,191];const I=512,C=512,P=512*8,y=512*128;class i{constructor(r){this.iconvLiteDecoder=r}static async create(r){let s;if(r!==e.UTF8)s=(await new Promise((n,d)=>{Q(["iconv-lite-umd"],n,d)})).getDecoder(f(r));else{const a=new TextDecoder;s={write(n){return a.decode(n,{stream:!0})},end(){return a.decode()}}}return new i(s)}write(r){return this.iconvLiteDecoder.write(r)}end(){return this.iconvLiteDecoder.end()}}function T(t,r){var s;const a=((s=r.minBytesRequiredForDetection)!==null&&s!==void 0?s:r.guessEncoding)?P:C;return new Promise((n,d)=>{const p=(0,v.newWriteableStream)(L=>L.join("")),E=[];let h=0,w;const R=async()=>{try{const L=await o({buffer:D.VSBuffer.concat(E),bytesRead:h},r.guessEncoding);L.encoding=await r.overwriteEncoding(L.encoding),w=await i.create(L.encoding);const U=w.write(D.VSBuffer.concat(E).buffer);p.write(U),E.length=0,h=0,n({stream:p,detected:L})}catch(L){d(L)}};(0,v.listenStream)(t,{onData:async L=>{w?p.write(w.write(L.buffer)):(E.push(L),h+=L.byteLength,h>=a&&(t.pause(),await R(),setTimeout(()=>t.resume())))},onError:L=>p.error(L),onEnd:async()=>{w||await R(),p.end(w==null?void 0:w.end())}})})}e.toDecodeStream=T;async function k(t,r,s){const n=(await new Promise((E,h)=>{Q(["iconv-lite-umd"],E,h)})).getEncoder(f(r),s);let d=!1,p=!1;return{read(){if(p)return null;const E=t.read();if(typeof E!="string"){if(p=!0,!d&&(s==null?void 0:s.addBOM))switch(r){case e.UTF8:case e.UTF8_with_bom:return D.VSBuffer.wrap(Uint8Array.from(e.UTF8_BOM));case e.UTF16be:return D.VSBuffer.wrap(Uint8Array.from(e.UTF16be_BOM));case e.UTF16le:return D.VSBuffer.wrap(Uint8Array.from(e.UTF16le_BOM))}const h=n.end();return h&&h.length>0?(d=!0,D.VSBuffer.wrap(h)):null}return d=!0,D.VSBuffer.wrap(n.write(E))}}}e.toEncodeReadable=k;async function b(t){return(await new Promise((s,a)=>{Q(["iconv-lite-umd"],s,a)})).encodingExists(f(t))}e.encodingExists=b;function f(t){return t===e.UTF8_with_bom||t===null?e.UTF8:t}e.toNodeEncoding=f;function l(t,r){if(!t||r<e.UTF16be_BOM.length)return null;const s=t.readUInt8(0),a=t.readUInt8(1);if(s===e.UTF16be_BOM[0]&&a===e.UTF16be_BOM[1])return e.UTF16be;if(s===e.UTF16le_BOM[0]&&a===e.UTF16le_BOM[1])return e.UTF16le;if(r<e.UTF8_BOM.length)return null;const n=t.readUInt8(2);return s===e.UTF8_BOM[0]&&a===e.UTF8_BOM[1]&&n===e.UTF8_BOM[2]?e.UTF8_with_bom:null}e.detectEncodingByBOMFromBuffer=l;const m=["ascii","utf-16","utf-32"];async function S(t){const r=await new Promise((p,E)=>{Q(["jschardet"],p,E)}),s=t.slice(0,y),a=u(s.buffer),n=r.detect(a);if(!n||!n.encoding)return null;const d=n.encoding.toLowerCase();return 0<=m.indexOf(d)?null:_(n.encoding)}const g={ibm866:"cp866",big5:"cp950"};function _(t){const r=t.replace(/[^a-zA-Z0-9]/g,"").toLowerCase();return g[r]||r}function u(t){let r="";for(let s=0;s<t.length;s++)r+=String.fromCharCode(t[s]);return r}function c(t){switch(t){case"shiftjis":return"shift-jis";case"utf16le":return"utf-16le";case"utf16be":return"utf-16be";case"big5hkscs":return"big5-hkscs";case"eucjp":return"euc-jp";case"euckr":return"euc-kr";case"koi8r":return"koi8-r";case"koi8u":return"koi8-u";case"macroman":return"x-mac-roman";case"utf8bom":return"utf8";default:const r=t.match(/windows(\d+)/);return r?"windows-"+r[1]:t}}e.toCanonicalName=c;function o({buffer:t,bytesRead:r},s){let a=l(t,r),n=!1;if(a!==e.UTF16be&&a!==e.UTF16le&&t){let d=!0,p=!0,E=!1;for(let h=0;h<r&&h<I;h++){const w=h%2==1,R=t.readUInt8(h)===0;if(R&&(E=!0),d&&(w&&!R||!w&&R)&&(d=!1),p&&(w&&R||!w&&!R)&&(p=!1),R&&!d&&!p)break}E&&(d?a=e.UTF16le:p?a=e.UTF16be:n=!0)}return s&&!n&&!a&&t?S(t.slice(0,r)).then(d=>({seemsBinary:!1,encoding:d})):{seemsBinary:n,encoding:a}}e.detectEncodingFromBuffer=o,e.SUPPORTED_ENCODINGS={utf8:{labelLong:"UTF-8",labelShort:"UTF-8",order:1,alias:"utf8bom"},utf8bom:{labelLong:"UTF-8 with BOM",labelShort:"UTF-8 with BOM",encodeOnly:!0,order:2,alias:"utf8"},utf16le:{labelLong:"UTF-16 LE",labelShort:"UTF-16 LE",order:3},utf16be:{labelLong:"UTF-16 BE",labelShort:"UTF-16 BE",order:4},windows1252:{labelLong:"Western (Windows 1252)",labelShort:"Windows 1252",order:5},iso88591:{labelLong:"Western (ISO 8859-1)",labelShort:"ISO 8859-1",order:6},iso88593:{labelLong:"Western (ISO 8859-3)",labelShort:"ISO 8859-3",order:7},iso885915:{labelLong:"Western (ISO 8859-15)",labelShort:"ISO 8859-15",order:8},macroman:{labelLong:"Western (Mac Roman)",labelShort:"Mac Roman",order:9},cp437:{labelLong:"DOS (CP 437)",labelShort:"CP437",order:10},windows1256:{labelLong:"Arabic (Windows 1256)",labelShort:"Windows 1256",order:11},iso88596:{labelLong:"Arabic (ISO 8859-6)",labelShort:"ISO 8859-6",order:12},windows1257:{labelLong:"Baltic (Windows 1257)",labelShort:"Windows 1257",order:13},iso88594:{labelLong:"Baltic (ISO 8859-4)",labelShort:"ISO 8859-4",order:14},iso885914:{labelLong:"Celtic (ISO 8859-14)",labelShort:"ISO 8859-14",order:15},windows1250:{labelLong:"Central European (Windows 1250)",labelShort:"Windows 1250",order:16},iso88592:{labelLong:"Central European (ISO 8859-2)",labelShort:"ISO 8859-2",order:17},cp852:{labelLong:"Central European (CP 852)",labelShort:"CP 852",order:18},windows1251:{labelLong:"Cyrillic (Windows 1251)",labelShort:"Windows 1251",order:19},cp866:{labelLong:"Cyrillic (CP 866)",labelShort:"CP 866",order:20},iso88595:{labelLong:"Cyrillic (ISO 8859-5)",labelShort:"ISO 8859-5",order:21},koi8r:{labelLong:"Cyrillic (KOI8-R)",labelShort:"KOI8-R",order:22},koi8u:{labelLong:"Cyrillic (KOI8-U)",labelShort:"KOI8-U",order:23},iso885913:{labelLong:"Estonian (ISO 8859-13)",labelShort:"ISO 8859-13",order:24},windows1253:{labelLong:"Greek (Windows 1253)",labelShort:"Windows 1253",order:25},iso88597:{labelLong:"Greek (ISO 8859-7)",labelShort:"ISO 8859-7",order:26},windows1255:{labelLong:"Hebrew (Windows 1255)",labelShort:"Windows 1255",order:27},iso88598:{labelLong:"Hebrew (ISO 8859-8)",labelShort:"ISO 8859-8",order:28},iso885910:{labelLong:"Nordic (ISO 8859-10)",labelShort:"ISO 8859-10",order:29},iso885916:{labelLong:"Romanian (ISO 8859-16)",labelShort:"ISO 8859-16",order:30},windows1254:{labelLong:"Turkish (Windows 1254)",labelShort:"Windows 1254",order:31},iso88599:{labelLong:"Turkish (ISO 8859-9)",labelShort:"ISO 8859-9",order:32},windows1258:{labelLong:"Vietnamese (Windows 1258)",labelShort:"Windows 1258",order:33},gbk:{labelLong:"Simplified Chinese (GBK)",labelShort:"GBK",order:34},gb18030:{labelLong:"Simplified Chinese (GB18030)",labelShort:"GB18030",order:35},cp950:{labelLong:"Traditional Chinese (Big5)",labelShort:"Big5",order:36},big5hkscs:{labelLong:"Traditional Chinese (Big5-HKSCS)",labelShort:"Big5-HKSCS",order:37},shiftjis:{labelLong:"Japanese (Shift JIS)",labelShort:"Shift JIS",order:38},eucjp:{labelLong:"Japanese (EUC-JP)",labelShort:"EUC-JP",order:39},euckr:{labelLong:"Korean (EUC-KR)",labelShort:"EUC-KR",order:40},windows874:{labelLong:"Thai (Windows 874)",labelShort:"Windows 874",order:41},iso885911:{labelLong:"Latin/Thai (ISO 8859-11)",labelShort:"ISO 8859-11",order:42},koi8ru:{labelLong:"Cyrillic (KOI8-RU)",labelShort:"KOI8-RU",order:43},koi8t:{labelLong:"Tajik (KOI8-T)",labelShort:"KOI8-T",order:44},gb2312:{labelLong:"Simplified Chinese (GB 2312)",labelShort:"GB 2312",order:45},cp865:{labelLong:"Nordic DOS (CP 865)",labelShort:"CP 865",order:46},cp850:{labelLong:"Western European DOS (CP 850)",labelShort:"CP 850",order:47}}}),define(pe[126],ve([0,1,268,25,125]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeTextSearchManager=void 0;class I extends A.TextSearchManager{constructor(P,y,i=D){super(P,y,{readdir:T=>i.readdir(T.fsPath),toCanonicalName:T=>(0,v.toCanonicalName)(T)})}}e.NativeTextSearchManager=I}),define(pe[269],ve([0,1,270,283,284,2,285]),function(Q,e,v,D,A,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connectProxyResolver=void 0;function P(k,b,f,l,m,S){const g=S.environment.useHostProxy,_=typeof g=="boolean"?g:!S.remote.isRemote,u=(0,C.createProxyResolver)({resolveProxy:o=>k.resolveProxy(o),getHttpProxySetting:()=>b.getConfiguration("http").get("proxy"),log:(o,t,...r)=>{switch(o){case C.LogLevel.Trace:l.trace(t,...r);break;case C.LogLevel.Debug:l.debug(t,...r);break;case C.LogLevel.Info:l.info(t,...r);break;case C.LogLevel.Warning:l.warn(t,...r);break;case C.LogLevel.Error:l.error(t,...r);break;case C.LogLevel.Critical:l.critical(t,...r);break;case C.LogLevel.Off:break;default:s(o,t,r);break}function s(a,n,...d){l.error("Unknown log level",a),l.error(n,...d)}},getLogLevel:()=>l.getLevel(),proxyResolveTelemetry:o=>{m.$publicLog2("resolveProxy",o)},useHostProxy:_,env:process.env}),c=y(b,u);return T(f,c)}e.connectProxyResolver=P;function y(k,b){const f={config:k.getConfiguration("http").get("proxySupport")||"off"};k.onDidChangeConfiguration(m=>{f.config=k.getConfiguration("http").get("proxySupport")||"off"});const l={config:!!k.getConfiguration("http").get("systemCertificates")};return k.onDidChangeConfiguration(m=>{l.config=!!k.getConfiguration("http").get("systemCertificates")}),{http:{off:Object.assign({},v,(0,C.createHttpPatch)(v,b,{config:"off"},l,!0)),on:Object.assign({},v,(0,C.createHttpPatch)(v,b,{config:"on"},l,!0)),override:Object.assign({},v,(0,C.createHttpPatch)(v,b,{config:"override"},l,!0)),onRequest:Object.assign({},v,(0,C.createHttpPatch)(v,b,f,l,!0)),default:Object.assign(v,(0,C.createHttpPatch)(v,b,f,l,!1))},https:{off:Object.assign({},D,(0,C.createHttpPatch)(D,b,{config:"off"},l,!0)),on:Object.assign({},D,(0,C.createHttpPatch)(D,b,{config:"on"},l,!0)),override:Object.assign({},D,(0,C.createHttpPatch)(D,b,{config:"override"},l,!0)),onRequest:Object.assign({},D,(0,C.createHttpPatch)(D,b,f,l,!0)),default:Object.assign(D,(0,C.createHttpPatch)(D,b,f,l,!1))},tls:Object.assign(A,(0,C.createTlsPatch)(A))}}const i=new Map;function T(k,b){return k.getExtensionPathIndex().then(f=>{const l=Q.__$__nodeRequire("module"),m=l._load;l._load=function(g,_,u){if(g==="tls")return b.tls;if(g!=="http"&&g!=="https")return m.apply(this,arguments);const c=b[g],o=f.findSubstr(I.URI.file(_.filename).fsPath);let t=i.get(o);if(t||i.set(o,t={}),!t[g]){let r=c.default;o&&o.enableProposedApi&&(r=c[o.proxySupport]||c.onRequest),t[g]=Object.assign({},r)}return t[g]}})}}),define(pe[271],ve([0,1,39,7,76,30,10,9,90,272]),function(Q,e,v,D,A,I,C,P,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixDriveC=e.getAbsoluteGlob=e.foldersToIncludeGlobs=e.foldersToRgExcludeGlobs=e.spawnRipgrepCmd=void 0;const T=i.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");function k(u,c,o,t){const r=b(u,c,o,t),s=c.folder.fsPath;return{cmd:v.spawn(T,r.args,{cwd:s}),rgDiskPath:T,siblingClauses:r.siblingClauses,rgArgs:r,cwd:s}}e.spawnRipgrepCmd=k;function b(u,c,o,t){const r=["--files","--hidden","--case-sensitive"];l([c],o,!1).forEach(a=>{const n=(0,y.anchorGlob)(a);if(r.push("-g",n),C.isMacintosh){const d=(0,A.normalizeNFD)(n);d!==n&&r.push("-g",d)}});const s=f([c],t,void 0,!1);return s.globArgs.forEach(a=>{const n=`!${(0,y.anchorGlob)(a)}`;if(r.push("-g",n),C.isMacintosh){const d=(0,A.normalizeNFD)(n);d!==n&&r.push("-g",d)}}),c.disregardIgnoreFiles!==!1?r.push("--no-ignore"):r.push("--no-ignore-parent"),c.ignoreSymlinks||r.push("--follow"),u.exists&&r.push("--quiet"),r.push("--no-config"),c.disregardGlobalIgnoreFiles&&r.push("--no-ignore-global"),{args:r,siblingClauses:s.siblingClauses}}function f(u,c,o,t=!0){const r=[];let s={};return u.forEach(a=>{const n=Object.assign({},a.excludePattern||{},c||{}),d=m(n,t?a.folder.fsPath:void 0,o);r.push(...d.globArgs),d.siblingClauses&&(s=Object.assign(s,d.siblingClauses))}),{globArgs:r,siblingClauses:s}}e.foldersToRgExcludeGlobs=f;function l(u,c,o=!0){const t=[];return u.forEach(r=>{const s=Object.assign({},c||{},r.includePattern||{}),a=m(s,o?r.folder.fsPath:void 0);t.push(...a.globArgs)}),t}e.foldersToIncludeGlobs=l;function m(u,c,o){const t=[],r={};return Object.keys(u).forEach(s=>{if(!(o&&o.has(s))&&!!s){const a=u[s];s=g(c?S(c,s):s),s.startsWith("\\\\")?s="\\\\"+s.substr(2).replace(/\\/g,"/"):s=s.replace(/\\/g,"/"),typeof a=="boolean"&&a?(s.startsWith("\\\\")&&(s+="**"),t.push(_(s))):a&&a.when&&(r[s]=a)}}),{globArgs:t,siblingClauses:r}}function S(u,c){return D.isAbsolute(c)?c:D.join(u,c)}e.getAbsoluteGlob=S;function g(u){return u=P.rtrim(u,"\\"),P.rtrim(u,"/")}function _(u){return I.getRoot(u).toLowerCase()==="c:/"?u.replace(/^c:[/\\]/i,"/"):u}e.fixDriveC=_}),define(pe[273],ve([0,1,39,37,7,98,12,59,33,76,30,10,45,9,15,25,31,271,96]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S,g,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.rgErrorMsgForDisplay=e.Engine=e.FileWalker=void 0;const u=new Set;process.on("exit",()=>{u.forEach(s=>s())});class c{constructor(a){this.normalizedFilePatternLowercase=null,this.maxFilesize=null,this.isCanceled=!1,this.fileWalkSW=null,this.cmdSW=null,this.cmdResultCount=0,this.config=a,this.filePattern=a.filePattern||"",this.includePattern=a.includePattern&&y.parse(a.includePattern),this.maxResults=a.maxResults||null,this.exists=!!a.exists,this.walkedPaths=Object.create(null),this.resultCount=0,this.isLimitHit=!1,this.directoriesWalked=0,this.filesWalked=0,this.errors=[],this.filePattern&&(this.normalizedFilePatternLowercase=(0,_.prepareQuery)(this.filePattern).normalizedLowercase),this.globalExcludePattern=a.excludePattern&&y.parse(a.excludePattern),this.folderExcludePatterns=new Map,a.folderQueries.forEach(n=>{const d=Object.assign({},n.excludePattern||{},this.config.excludePattern||{}),p=n.folder.fsPath;a.folderQueries.map(E=>E.folder.fsPath).filter(E=>E!==p).forEach(E=>{(0,T.isEqualOrParent)(E,p)&&(d[A.relative(p,E)]=!0)}),this.folderExcludePatterns.set(p,new t(d,p))})}cancel(){this.isCanceled=!0}walk(a,n,d,p,E){if(this.fileWalkSW=b.StopWatch.create(!1),this.isCanceled)return E(null,this.isLimitHit);n.forEach(h=>{const w=A.basename(h.fsPath);this.globalExcludePattern&&this.globalExcludePattern(h.fsPath,w)||this.matchFile(d,{relativePath:h.fsPath,searchPath:void 0})}),this.cmdSW=b.StopWatch.create(!1),this.parallel(a,(h,w)=>{this.call(this.cmdTraversal,this,h,d,p,R=>{if(R){const L=(0,P.toErrorMessage)(R);console.error(L),this.errors.push(L),w(R,void 0)}else w(null,void 0)})},(h,w)=>{this.fileWalkSW.stop();const R=h?C.coalesce(h)[0]:null;E(R,this.isLimitHit)})}parallel(a,n,d){const p=new Array(a.length),E=new Array(a.length);let h=!1,w=0;if(a.length===0)return d(null,[]);a.forEach((R,L)=>{n(R,(U,J)=>{if(U?(h=!0,p[L]=null,E[L]=U):(p[L]=J,E[L]=null),++w===a.length)return d(h?E:null,p)})})}call(a,n,...d){try{a.apply(n,d)}catch(p){d[d.length-1](p)}}cmdTraversal(a,n,d,p){const E=a.folder.fsPath,h=k.isMacintosh;let w;const R=()=>w&&w.kill();u.add(R);let L=W=>{u.delete(R),L=()=>{},p(W)},U="";const J=this.initDirectoryTree();let Z;const z=(0,g.spawnRipgrepCmd)(this.config,a,this.config.includePattern,this.folderExcludePatterns.get(a.folder.fsPath).expression);w=z.cmd,Z=!Object.keys(z.siblingClauses).length;const q=z.rgArgs.args.map(W=>W.match(/^-/)?W:`'${W}'`).join(" ");let N=`${z.rgDiskPath} ${q}
 - cwd: ${z.cwd}`;z.rgArgs.siblingClauses&&(N+=`
 - Sibling clauses: ${JSON.stringify(z.rgArgs.siblingClauses)}`),d({message:N}),this.cmdResultCount=0,this.collectStdout(w,"utf8",d,(W,M,O)=>{if(W){L(W);return}if(this.isLimitHit){L();return}const B=(U+(h?i.normalizeNFC(M||""):M)).split(`
`);if(O){const V=B.length;B[V-1]=B[V-1].trim(),B[V-1]||B.pop()}else U=B.pop()||"";if(B.length&&B[0].indexOf(`
`)!==-1){L(new Error("Splitting up files failed"));return}if(this.cmdResultCount+=B.length,Z){for(const V of B)if(this.matchFile(n,{base:E,relativePath:V,searchPath:this.getSearchPath(a,V)}),this.isLimitHit){R();break}(O||this.isLimitHit)&&L();return}this.addDirectoryEntries(a,J,E,B,n),O&&(this.matchDirectoryTree(J,E,n),L())})}spawnFindCmd(a){const n=this.folderExcludePatterns.get(a.folder.fsPath),d=n.getBasenameTerms(),p=n.getPathTerms(),E=["-L","."];if(d.length||p.length){E.push("-not","(","(");for(const h of d)E.push("-name",h),E.push("-o");for(const h of p)E.push("-path",h),E.push("-o");E.pop(),E.push(")","-prune",")")}return E.push("-type","f"),v.spawn("find",E,{cwd:a.folder.fsPath})}readStdout(a,n,d){let p="";this.collectStdout(a,n,()=>{},(E,h,w)=>{if(E){d(E);return}p+=h,w&&d(null,p)})}collectStdout(a,n,d,p){let E=(R,L,U)=>{(R||U)&&(E=()=>{},this.cmdSW&&this.cmdSW.stop()),p(R,L,U)},h=!1;a.stdout?(this.forwardData(a.stdout,n,E),a.stdout.once("data",()=>h=!0)):d({message:"stdout is null"});let w;a.stderr?w=this.collectData(a.stderr):d({message:"stderr is null"}),a.on("error",R=>{E(R)}),a.on("close",R=>{let L;!h&&(L=this.decodeData(w,n))&&r(L)?E(new Error(`command failed with error code ${R}: ${this.decodeData(w,n)}`)):(this.exists&&R===0&&(this.isLimitHit=!0),E(null,"",!0))})}forwardData(a,n,d){const p=new I.StringDecoder(n);return a.on("data",E=>{d(null,p.write(E))}),p}collectData(a){const n=[];return a.on("data",d=>{n.push(d)}),n}decodeData(a,n){const d=new I.StringDecoder(n);return a.map(p=>d.write(p)).join("")}initDirectoryTree(){const a={rootEntries:[],pathToEntries:Object.create(null)};return a.pathToEntries["."]=a.rootEntries,a}addDirectoryEntries(a,{pathToEntries:n},d,p,E){p.indexOf(this.filePattern)!==-1&&this.matchFile(E,{base:d,relativePath:this.filePattern,searchPath:this.getSearchPath(a,this.filePattern)});const h=w=>{const R=A.basename(w),L=A.dirname(w);let U=n[L];U||(U=n[L]=[],h(L)),U.push({base:d,relativePath:w,basename:R,searchPath:this.getSearchPath(a,w)})};p.forEach(h)}matchDirectoryTree({rootEntries:a,pathToEntries:n},d,p){const E=this,h=this.folderExcludePatterns.get(d),w=this.filePattern;function R(L){E.directoriesWalked++;const U=y.hasSiblingFn(()=>L.map(J=>J.basename));for(let J=0,Z=L.length;J<Z;J++){const z=L[J],{relativePath:q,basename:N}=z;if(!h.test(q,N,w!==N?U:void 0)){const W=n[q];if(W)R(W);else{if(E.filesWalked++,q===w)continue;E.matchFile(p,z)}if(E.isLimitHit)break}}}R(a)}getStats(){return{cmdTime:this.cmdSW.elapsed(),fileWalkTime:this.fileWalkSW.elapsed(),directoriesWalked:this.directoriesWalked,filesWalked:this.filesWalked,cmdResultCount:this.cmdResultCount}}doWalk(a,n,d,p,E){const h=a.folder,w=y.hasSiblingFn(()=>d);this.parallel(d,(R,L)=>{if(this.isCanceled||this.isLimitHit)return L(null);const U=n?[n,R].join(A.sep):R;if(this.folderExcludePatterns.get(a.folder.fsPath).test(U,R,this.config.filePattern!==R?w:void 0))return L(null);const J=[h.fsPath,U].join(A.sep);D.lstat(J,(Z,z)=>{if(Z||this.isCanceled||this.isLimitHit)return L(null);this.statLinkIfNeeded(J,z,(q,N)=>q||this.isCanceled||this.isLimitHit?L(null):N.isDirectory()?(this.directoriesWalked++,this.realPathIfNeeded(J,z,(W,M)=>W||this.isCanceled||this.isLimitHit||(M=M||"",this.walkedPaths[M])?L(null):(this.walkedPaths[M]=!0,(0,m.readdir)(J).then(O=>{if(this.isCanceled||this.isLimitHit)return L(null);this.doWalk(a,U,O,p,F=>L(F||null))},O=>{L(null)})))):(this.filesWalked++,U===this.filePattern||this.maxFilesize&&l.isNumber(N.size)&&N.size>this.maxFilesize||this.matchFile(p,{base:h.fsPath,relativePath:U,searchPath:this.getSearchPath(a,U)}),L(null,void 0)))})},R=>{const L=R&&C.coalesce(R);return E(L&&L.length>0?L[0]:void 0)})}matchFile(a,n){this.isFileMatch(n)&&(!this.includePattern||this.includePattern(n.relativePath,A.basename(n.relativePath)))&&(this.resultCount++,(this.exists||this.maxResults&&this.resultCount>this.maxResults)&&(this.isLimitHit=!0),this.isLimitHit||a(n))}isFileMatch(a){if(this.filePattern){if(this.filePattern==="*")return!0;if(this.normalizedFilePatternLowercase)return(0,S.isFilePatternMatch)(a,this.normalizedFilePatternLowercase)}return!0}statLinkIfNeeded(a,n,d){return n.isSymbolicLink()?D.stat(a,d):d(null,n)}realPathIfNeeded(a,n,d){return n.isSymbolicLink()?D.realpath(a,(p,E)=>p?d(p):d(null,E)):d(null,a)}getSearchPath(a,n){return a.folderName?A.join(a.folderName,n):n}}e.FileWalker=c;class o{constructor(a){this.folderQueries=a.folderQueries,this.extraFiles=a.extraFileResources||[],this.walker=new c(a)}search(a,n,d){this.walker.walk(this.folderQueries,this.extraFiles,a,n,(p,E)=>{d(p,{limitHit:E,stats:this.walker.getStats()})})}cancel(){this.walker.cancel()}}e.Engine=o;class t{constructor(a,n){this.expression=a,this.root=n,this.init(a)}init(a){let n,d;Object.keys(a).filter(p=>a[p]).forEach(p=>{A.isAbsolute(p)?(n=n||y.getEmptyExpression(),n[p]=a[p]):(d=d||y.getEmptyExpression(),d[p]=a[p])}),this.absoluteParsedExpr=n&&y.parse(n,{trimForExclusions:!0}),this.relativeParsedExpr=d&&y.parse(d,{trimForExclusions:!0})}test(a,n,d){return this.relativeParsedExpr&&this.relativeParsedExpr(a,n,d)||this.absoluteParsedExpr&&this.absoluteParsedExpr(A.join(this.root,a),n,d)}getBasenameTerms(){const a=[];return this.absoluteParsedExpr&&a.push(...y.getBasenameTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&a.push(...y.getBasenameTerms(this.relativeParsedExpr)),a}getPathTerms(){const a=[];return this.absoluteParsedExpr&&a.push(...y.getPathTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&a.push(...y.getPathTerms(this.relativeParsedExpr)),a}}function r(s){const a=s.trim().split(`
`),n=a[0].trim();if(n.startsWith("Error parsing regex"))return n;if(n.startsWith("regex parse error"))return f.uppercaseFirstLetter(a[a.length-1].trim());if(n.startsWith("error parsing glob")||n.startsWith("unsupported encoding"))return n.charAt(0).toUpperCase()+n.substr(1);if(n==="Literal '\\n' not allowed.")return"Literal '\\n' currently not supported";if(n.startsWith("Literal "))return n}e.rgErrorMsgForDisplay=r}),define(pe[127],ve([0,1,39,286,98,12,54,33,7,9,2,31,124,287,272,90]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixNewline=e.fixRegexNewline=e.unicodeEscapesToPCRE2=e.spreadGlobComponents=e.RipgrepParser=e.buildRegexParseError=e.rgErrorMsgForDisplay=e.RipgrepTextSearchEngine=void 0;const S=l.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");class g{constructor(h){this.outputChannel=h}provideTextSearchResults(h,w,R,L){return this.outputChannel.appendLine(`provideTextSearchResults ${h.pattern}, ${JSON.stringify(Object.assign(Object.assign({},w),{folder:w.folder.toString()}))}`),new Promise((U,J)=>{L.onCancellationRequested(()=>F());const Z=r(h,w),z=w.folder.fsPath,q=Z.map(me=>me.match(/^-/)?me:`'${me}'`).join(" ");this.outputChannel.appendLine(`${S} ${q}
 - cwd: ${z}`);let N=v.spawn(S,Z,{cwd:z});N.on("error",me=>{console.error(me),this.outputChannel.appendLine("Error: "+(me&&me.message)),J((0,k.serializeSearchError)(new k.SearchError(me&&me.message,k.SearchErrorCode.rgProcessError)))});let W=!1;const M=new c(w.maxResults,z,w.previewOptions);M.on("result",me=>{W=!0,V="",R.report(me)});let O=!1;const F=()=>{O=!0,N&&N.kill(),M&&M.cancel()};let B=!1;M.on("hitLimit",()=>{B=!0,F()});let V="";N.stdout.on("data",me=>{M.handleData(me),W||(V+=me)});let G=!1;N.stdout.once("data",()=>G=!0);let ce="";N.stderr.on("data",me=>{const Pe=me.toString();this.outputChannel.appendLine(Pe),ce+=Pe}),N.on("close",()=>{if(this.outputChannel.appendLine(G?"Got data from stdout":"No data from stdout"),this.outputChannel.appendLine(W?"Got result from parser":"No result from parser"),V&&this.outputChannel.appendLine(`Got data without result: ${V}`),this.outputChannel.appendLine(""),O)U({limitHit:B});else{M.flush(),N=null;let me;ce&&!G&&(me=_(ce))?J((0,k.serializeSearchError)(new k.SearchError(me.message,me.code))):U({limitHit:B})}})})}}e.RipgrepTextSearchEngine=g;function _(E){const h=E.split(`
`),w=h[0].trim();if(h.some(L=>L.startsWith("regex parse error")))return new k.SearchError(u(h),k.SearchErrorCode.regexParseError);const R=w.match(/grep config error: unknown encoding: (.*)/);if(R)return new k.SearchError(`Unknown encoding: ${R[1]}`,k.SearchErrorCode.unknownEncoding);if(w.startsWith("error parsing glob"))return new k.SearchError(w.charAt(0).toUpperCase()+w.substr(1),k.SearchErrorCode.globParseError);if(w.startsWith("the literal"))return new k.SearchError(w.charAt(0).toUpperCase()+w.substr(1),k.SearchErrorCode.invalidLiteral);if(w.startsWith("PCRE2: error compiling pattern"))return new k.SearchError(w,k.SearchErrorCode.regexParseError)}e.rgErrorMsgForDisplay=_;function u(E){const h=["Regex parse error"],w=E.filter(R=>R.startsWith("PCRE2:"));if(w.length>=1){const R=w[0].replace("PCRE2:","");if(R.indexOf(":")!==-1&&R.split(":").length>=2){const L=R.split(":")[1];h.push(":"+L)}}return h.join("")}e.buildRegexParseError=u;class c extends D.EventEmitter{constructor(h,w,R){super();this.maxResults=h,this.rootFolder=w,this.previewOptions=R,this.remainder="",this.isDone=!1,this.hitLimit=!1,this.numResults=0,this.stringDecoder=new A.StringDecoder}cancel(){this.isDone=!0}flush(){this.handleDecodedData(this.stringDecoder.end())}on(h,w){return super.on(h,w),this}handleData(h){if(!this.isDone){const w=typeof h=="string"?h:this.stringDecoder.write(h);this.handleDecodedData(w)}}handleDecodedData(h){let w=h.indexOf(`
`);const R=this.remainder+h;if(w>=0)w+=this.remainder.length;else{this.remainder=R;return}let L=0;for(;w>=0;)this.handleLine(R.substring(L,w).trim()),L=w+1,w=R.indexOf(`
`,L);this.remainder=R.substring(L)}handleLine(h){if(!(this.isDone||!h)){let w;try{w=JSON.parse(h)}catch(R){throw new Error(`malformed line from rg: ${h}`)}if(w.type==="match"){const R=o(w.data.path),L=T.URI.file(y.join(this.rootFolder,R)),U=this.createTextSearchMatch(w.data,L);this.onResult(U),this.hitLimit&&(this.cancel(),this.emit("hitLimit"))}else if(w.type==="context"){const R=o(w.data.path),L=T.URI.file(y.join(this.rootFolder,R));this.createTextSearchContext(w.data,L).forEach(J=>this.onResult(J))}}}createTextSearchMatch(h,w){const R=h.line_number-1;let L=!1,U=o(h.lines);R===0&&(0,i.startsWithUTF8BOM)(U)&&(L=!0,U=(0,i.stripUTF8BOM)(U));const J=Buffer.from(U);let Z=0,z=0,q=R;h.submatches.length===0&&h.submatches.push(U.length?{start:0,end:1,match:{text:U[0]}}:{start:0,end:0,match:{text:""}});const N=(0,I.coalesce)(h.submatches.map((W,M)=>{if(this.hitLimit)return null;this.numResults++,this.numResults>=this.maxResults&&(this.hitLimit=!0);let O=o(W.match);R===0&&M===0&&L&&(O=(0,i.stripUTF8BOM)(O),W.start=W.start<=3?0:W.start-3,W.end=W.end<=3?0:W.end-3);const F=J.slice(Z,W.start).toString().length,B=z+F,V=t(O),G=q,ce=V.numLines+G,me=V.numLines>0?V.lastLineLength:V.lastLineLength+B;return Z=W.end,z=me,q=ce,new b.Range(G,B,ce,me)}));return(0,m.createTextSearchResult)(w,U,N,this.previewOptions)}createTextSearchContext(h,w){const R=o(h.lines),L=h.line_number;return R.replace(/\r?\n$/,"").split(`
`).map((U,J)=>({text:U,uri:w,lineNumber:L+J}))}onResult(h){this.emit("result",h)}}e.RipgrepParser=c;function o(E){return E.bytes?Buffer.from(E.bytes,"base64").toString():E.text}function t(E){const h=/\n/g;let w=0,R=-1,L;for(;L=h.exec(E);)w++,R=L.index;const U=R>=0?E.length-R-1:E.length;return{numLines:w,lastLineLength:U}}function r(E,h){const w=["--hidden"];w.push(E.isCaseSensitive?"--case-sensitive":"--ignore-case");const{doubleStarIncludes:R,otherIncludes:L}=(0,C.groupBy)(h.includes,J=>J.startsWith("**")?"doubleStarIncludes":"otherIncludes");if(L&&L.length){const J=new Set;L.forEach(Z=>{J.add(Z)}),w.push("-g","!*"),J.forEach(Z=>{s(Z).map(m.anchorGlob).forEach(z=>{w.push("-g",z)})})}R&&R.length&&R.forEach(J=>{w.push("-g",J)}),h.excludes.map(m.anchorGlob).forEach(J=>w.push("-g",`!${J}`)),h.maxFileSize&&w.push("--max-filesize",h.maxFileSize+""),h.useIgnoreFiles?w.push("--no-ignore-parent"):w.push("--no-ignore"),h.followSymlinks&&w.push("--follow"),h.encoding&&h.encoding!=="utf8"&&w.push("--encoding",h.encoding),E.pattern==="--"&&(E.isRegExp=!0,E.pattern="\\-\\-"),E.isMultiline&&!E.isRegExp&&(E.pattern=(0,i.escapeRegExpCharacters)(E.pattern),E.isRegExp=!0),h.usePCRE2&&w.push("--pcre2"),w.push("--crlf"),E.isRegExp&&(E.pattern=a(E.pattern),w.push("--auto-hybrid-regex"));let U;if(E.isWordMatch){const Z=(0,i.createRegExp)(E.pattern,!!E.isRegExp,{wholeWord:E.isWordMatch}).source.replace(/\\\//g,"/");w.push("--regexp",Z)}else if(E.isRegExp){let J=d(E.pattern);J=p(J),w.push("--regexp",J)}else U=E.pattern,w.push("--fixed-strings");return w.push("--no-config"),h.useGlobalIgnoreFiles||w.push("--no-ignore-global"),w.push("--json"),E.isMultiline&&w.push("--multiline"),h.beforeContext&&w.push("--before-context",h.beforeContext+""),h.afterContext&&w.push("--after-context",h.afterContext+""),w.push("--"),U&&w.push(U),w.push("."),w}function s(E){const h=(0,P.splitGlobAware)(E,"/");return h.map((w,R)=>h.slice(0,R+1).join("/"))}e.spreadGlobComponents=s;function a(E){const h=/((?:[^\\]|^)(?:\\\\)*)\\u([a-z0-9]{4})/gi;for(;E.match(h);)E=E.replace(h,"$1\\x{$2}");const w=/((?:[^\\]|^)(?:\\\\)*)\\u\{([a-z0-9]{4})\}/gi;for(;E.match(w);)E=E.replace(w,"$1\\x{$2}");return E}e.unicodeEscapesToPCRE2=a;const n=E=>E.type==="Assertion"&&E.kind==="lookbehind";function d(E){let h;try{h=new f.RegExpParser().parsePattern(E)}catch(Z){return E}let w="",R=0;const L=(Z,z,q)=>{w+=E.slice(R,Z)+q,R=z},U=[];return new f.RegExpVisitor({onCharacterEnter(Z){if(Z.raw==="\\n"){const z=U[0];if(!z)L(Z.start,Z.end,"\\r?\\n");else if(!U.some(n))if(z.type==="CharacterClass"){const q=E.slice(z.start+1,Z.start)+E.slice(Z.end,z.end-1);L(z.start,z.end,q===""?"\\r?\\n":`(?:[${q}]|\\r?\\n)`)}else z.type==="Quantifier"&&L(Z.start,Z.end,"(?:\\r?\\n)")}},onQuantifierEnter(Z){U.unshift(Z)},onQuantifierLeave(){U.shift()},onCharacterClassRangeEnter(Z){U.unshift(Z)},onCharacterClassRangeLeave(){U.shift()},onCharacterClassEnter(Z){U.unshift(Z)},onCharacterClassLeave(){U.shift()},onAssertionEnter(Z){n(Z)&&U.push(Z)},onAssertionLeave(Z){U[0]===Z&&U.shift()}}).visit(h),w+=E.slice(R),w}e.fixRegexNewline=d;function p(E){return E.replace(/\n/g,"\\r?\\n")}e.fixNewline=p}),define(pe[274],ve([0,1,21,127,110,11]),function(Q,e,v,D,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RipgrepSearchProvider=void 0;class C{constructor(i){this.outputChannel=i,this.inProgress=new Set,process.once("exit",()=>this.dispose())}provideTextSearchResults(i,T,k,b){const f=new D.RipgrepTextSearchEngine(this.outputChannel);if(T.folder.scheme===I.Schemas.userData){const l=Object.assign(Object.assign({},T),{folder:T.folder.with({scheme:I.Schemas.file})}),m=new A.Progress(S=>k.report(Object.assign(Object.assign({},S),{uri:S.uri.with({scheme:T.folder.scheme})})));return this.withToken(b,S=>f.provideTextSearchResults(i,l,m,S))}else return this.withToken(b,l=>f.provideTextSearchResults(i,T,k,l))}async withToken(i,T){const k=P(i);this.inProgress.add(k);const b=await T(k.token);return this.inProgress.delete(k),b}dispose(){this.inProgress.forEach(i=>i.cancel())}}e.RipgrepSearchProvider=C;function P(y){const i=new v.CancellationTokenSource;return y.onCancellationRequested(()=>i.cancel()),i}}),define(pe[275],ve([0,1,25,127,126]),function(Q,e,v,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchEngineAdapter=void 0;class I{constructor(y){this.query=y}search(y,i,T){if((!this.query.folderQueries||!this.query.folderQueries.length)&&(!this.query.extraFileResources||!this.query.extraFileResources.length))return Promise.resolve({type:"success",limitHit:!1,stats:{type:"searchProcess"}});const k={appendLine(f){T({message:f})}},b=new A.NativeTextSearchManager(this.query,new D.RipgrepTextSearchEngine(k),v);return new Promise((f,l)=>b.search(m=>{i(m.map(C))},y).then(m=>f({limitHit:m.limitHit,type:"success"}),l))}}e.TextSearchEngineAdapter=I;function C(P){return{path:P.resource&&P.resource.fsPath,results:P.results,numMatches:(P.results||[]).reduce((y,i)=>{if(i.ranges){const T=i;return y+(Array.isArray(T.ranges)?T.ranges.length:1)}else return y+1},0)}}}),define(pe[276],ve([0,1,37,288,12,19,18,3,96,7,45,2,25,31,273,275]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SearchService=void 0,D.gracefulify(v);class S{constructor(){this.caches=Object.create(null)}fileSearch(t){let r;const s=u(t),a=new P.Emitter({onFirstListenerDidAdd:()=>{r=(0,I.createCancelablePromise)(n=>this.doFileSearchWithEngine(l.Engine,s,d=>a.fire(d),n)),r.then(n=>a.fire(n),n=>a.fire({type:"error",error:{message:n.message,stack:n.stack}}))},onLastListenerRemove:()=>{r.cancel()}});return a.event}textSearch(t){let r;const s=u(t),a=new P.Emitter({onFirstListenerDidAdd:()=>{r=(0,I.createCancelablePromise)(n=>this.ripgrepTextSearch(s,d=>a.fire(d),n)),r.then(n=>a.fire(n),n=>a.fire({type:"error",error:{message:n.message,stack:n.stack}}))},onLastListenerRemove:()=>{r.cancel()}});return a.event}ripgrepTextSearch(t,r,s){return t.maxFileSize=b.MAX_FILE_SIZE,new m.TextSearchEngineAdapter(t).search(s,r,r)}doFileSearch(t,r,s){return this.doFileSearchWithEngine(l.Engine,t,r,s)}doFileSearchWithEngine(t,r,s,a,n=S.BATCH_SIZE){let d=0;const p=h=>{Array.isArray(h)?(d+=h.length,s(h.map(w=>this.rawMatchToSearchItem(w)))):h.relativePath?(d++,s(this.rawMatchToSearchItem(h))):s(h)};if(r.sortByScore){let h=this.trySortedSearchFromCache(r,p,a);if(!h){const w=r.maxResults?Object.assign({},r,{maxResults:null}):r,R=new t(w);h=this.doSortedSearch(R,r,s,p,a)}return new Promise((w,R)=>{h.then(([L,U])=>{const J=U.map(Z=>this.rawMatchToSearchItem(Z));this.sendProgress(J,s,n),w(L)},R)})}const E=new t(r);return this.doSearch(E,p,n,a).then(h=>({limitHit:h.limitHit,type:"success",stats:{detailStats:h.stats,type:"searchProcess",fromCache:!1,resultCount:d,sortingTime:void 0}}))}rawMatchToSearchItem(t){return{path:t.base?(0,i.join)(t.base,t.relativePath):t.relativePath}}doSortedSearch(t,r,s,a,n){const d=new P.Emitter;let p=(0,I.createCancelablePromise)(h=>{let w=[];const R=L=>{Array.isArray(L)?w=L:(a(L),d.fire(L))};return this.doSearch(t,R,-1,h).then(L=>[L,w])}),E;if(r.cacheKey){E=this.getOrCreateCache(r.cacheKey);const h={promise:p,event:d.event,resolved:!1};E.resultsToSearchCache[r.filePattern||""]=h,p.then(()=>{h.resolved=!0},w=>{delete E.resultsToSearchCache[r.filePattern||""]}),p=this.preventCancellation(p)}return p.then(([h,w])=>{const R=E?E.scorerCache:Object.create(null),L=(typeof r.maxResults!="number"||r.maxResults>0)&&T.StopWatch.create(!1);return this.sortResults(r,w,R,n).then(U=>{const J=L?L.elapsed():-1;return[{type:"success",stats:{detailStats:h.stats,sortingTime:J,fromCache:!1,type:"searchProcess",workspaceFolderCount:r.folderQueries.length,resultCount:U.length},limitHit:h.limitHit||typeof r.maxResults=="number"&&w.length>r.maxResults},U]})})}getOrCreateCache(t){const r=this.caches[t];return r||(this.caches[t]=new g)}trySortedSearchFromCache(t,r,s){const a=t.cacheKey&&this.caches[t.cacheKey];if(!!a){const n=this.getResultsFromCache(a,t.filePattern||"",r,s);if(n)return n.then(([d,p,E])=>{const h=T.StopWatch.create(!1);return this.sortResults(t,p,a.scorerCache,s).then(w=>{const R=h.elapsed(),L={fromCache:!0,detailStats:E,type:"searchProcess",resultCount:p.length,sortingTime:R};return[{type:"success",limitHit:d.limitHit||typeof t.maxResults=="number"&&p.length>t.maxResults,stats:L},w]})})}}sortResults(t,r,s,a){const n=(0,y.prepareQuery)(t.filePattern||""),d=(E,h)=>(0,y.compareItemsByFuzzyScore)(E,h,n,!0,_,s),p=typeof t.maxResults=="number"?t.maxResults:Number.MAX_VALUE;return A.topAsync(r,d,p,1e4,a)}sendProgress(t,r,s){if(s&&s>0)for(let a=0;a<t.length;a+=s)r(t.slice(a,a+s));else r(t)}getResultsFromCache(t,r,s,a){const n=T.StopWatch.create(!1),d=r.indexOf(i.sep)>=0;let p;for(const R in t.resultsToSearchCache)if(r.startsWith(R)){if(d&&R.indexOf(i.sep)<0&&R!=="")continue;const L=t.resultsToSearchCache[R];p={promise:this.preventCancellation(L.promise),event:L.event,resolved:L.resolved};break}if(!p)return null;const E=n.elapsed(),h=T.StopWatch.create(!1),w=p.event(s);return a&&a.onCancellationRequested(()=>{w.dispose()}),p.promise.then(([R,L])=>{if(a&&a.isCancellationRequested)throw(0,C.canceled)();const U=[],J=(0,y.prepareQuery)(r).normalizedLowercase;for(const Z of L)!(0,f.isFilePatternMatch)(Z,J)||U.push(Z);return[R,U,{cacheWasResolved:p.resolved,cacheLookupTime:E,cacheFilterTime:h.elapsed(),cacheEntryCount:L.length}]})}doSearch(t,r,s,a){return new Promise((n,d)=>{let p=[];a&&a.onCancellationRequested(()=>t.cancel()),t.search(E=>{E&&(s?(p.push(E),s>0&&p.length>=s&&(r(p),p=[])):r(E))},E=>{r(E)},(E,h)=>{p.length&&r(p),E?d(E):n(h)})})}clearCache(t){return delete this.caches[t],Promise.resolve(void 0)}preventCancellation(t){return new class{get[Symbol.toStringTag](){return this.toString()}cancel(){}then(r,s){return t.then(r,s)}catch(r){return this.then(void 0,r)}finally(r){return t.finally(r)}}}}e.SearchService=S,S.BATCH_SIZE=512;class g{constructor(){this.resultsToSearchCache=Object.create(null),this.scorerCache=Object.create(null)}}const _=new class{getItemLabel(o){return(0,i.basename)(o.relativePath)}getItemDescription(o){return(0,i.dirname)(o.relativePath)}getItemPath(o){return o.relativePath}};function u(o){return Object.assign(Object.assign({},o),{folderQueries:o.folderQueries&&o.folderQueries.map(c),extraFileResources:o.extraFileResources&&o.extraFileResources.map(t=>k.URI.revive(t))})}function c(o){return Object.assign(Object.assign({},o),{folder:k.URI.revive(o.folder)})}}),define(pe[277],ve([0,1,6,2,25,13,31,276,274,90,14,63,27,69,11,126]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeExtHostSearch=void 0;let S=class extends f.ExtHostSearch{constructor(_,u,c,o){super(_,c,o);this._pfs=A,this._internalFileSearchHandle=-1,this._internalFileSearchProvider=null;const t=new i.OutputChannel("RipgrepSearchUD",this._logService);this.registerTextSearchProvider(l.Schemas.userData,new y.RipgrepSearchProvider(t)),u.remote.isRemote&&u.remote.authority&&this._registerEHSearchProviders()}_registerEHSearchProviders(){const _=new i.OutputChannel("RipgrepSearchEH",this._logService);this.registerTextSearchProvider(l.Schemas.file,new y.RipgrepSearchProvider(_)),this.registerInternalFileSearchProvider(l.Schemas.file,new P.SearchService)}registerInternalFileSearchProvider(_,u){const c=this._handlePool++;return this._internalFileSearchProvider=u,this._internalFileSearchHandle=c,this._proxy.$registerFileSearchProvider(c,this._transformScheme(_)),(0,v.toDisposable)(()=>{this._internalFileSearchProvider=null,this._proxy.$unregisterProvider(c)})}$provideFileSearchResults(_,u,c,o){const t=(0,f.reviveQuery)(c);return _===this._internalFileSearchHandle?this.doInternalFileSearch(_,u,t,o):super.$provideFileSearchResults(_,u,c,o)}doInternalFileSearch(_,u,c,o){const t=r=>{if((0,C.isSerializedFileMatch)(r)&&(r=[r]),Array.isArray(r)){this._proxy.$handleFileMatch(_,u,r.map(s=>D.URI.file(s.path)));return}r.message&&this._logService.debug("ExtHostSearch",r.message)};if(!this._internalFileSearchProvider)throw new Error("No internal file search handler");return this._internalFileSearchProvider.doFileSearch(c,t,o)}$clearCache(_){return this._internalFileSearchProvider&&this._internalFileSearchProvider.clearCache(_),super.$clearCache(_)}createTextSearchManager(_,u){return new m.NativeTextSearchManager(_,u)}};S=je([Ue(0,T.IExtHostRpcService),Ue(1,b.IExtHostInitDataService),Ue(2,k.IURITransformerService),Ue(3,I.ILogService)],S),e.NativeExtHostSearch=S}),define(pe[128],ve([0,1,289,118,290,3,100,7,47,28,6,26,101,18,10]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class m{constructor(p){this.socket=p}dispose(){this.socket.destroy()}onData(p){const E=h=>p(k.VSBuffer.wrap(h));return this.socket.on("data",E),{dispose:()=>this.socket.off("data",E)}}onClose(p){return this.socket.on("close",p),{dispose:()=>this.socket.off("close",p)}}onEnd(p){return this.socket.on("end",p),{dispose:()=>this.socket.off("end",p)}}write(p){if(!this.socket.destroyed)try{this.socket.write(p.buffer)}catch(E){if(E.code==="EPIPE")return;(0,f.onUnexpectedError)(E)}}end(){this.socket.end()}drain(){return new Promise((p,E)=>{if(this.socket.bufferSize===0){p();return}const h=()=>{this.socket.off("close",h),this.socket.off("end",h),this.socket.off("error",h),this.socket.off("timeout",h),this.socket.off("drain",h),p()};this.socket.on("close",h),this.socket.on("end",h),this.socket.on("error",h),this.socket.on("timeout",h),this.socket.on("drain",h)})}}e.NodeSocket=m;var S;(function(d){d[d.MinHeaderByteSize=2]="MinHeaderByteSize"})(S||(S={}));var g;(function(d){d[d.PeekHeader=1]="PeekHeader",d[d.ReadHeader=2]="ReadHeader",d[d.ReadBody=3]="ReadBody",d[d.Fin=4]="Fin"})(g||(g={}));class _ extends T.Disposable{constructor(p,E,h,w){super();this._onDidZlibFlush=this._register(new I.Emitter),this._recordedInflateBytes=[],this._pendingInflateData=[],this._pendingDeflateData=[],this._onData=this._register(new I.Emitter),this._onClose=this._register(new I.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,mask:0},this.socket=p,this._totalIncomingWireBytes=0,this._totalIncomingDataBytes=0,this._totalOutgoingWireBytes=0,this._totalOutgoingDataBytes=0,this.permessageDeflate=E,this._recordInflateBytes=w,E?(this._zlibInflate=A.createInflateRaw({windowBits:15}),this._zlibInflate.on("error",R=>{console.error(R),(0,f.onUnexpectedError)(R),this._onClose.fire()}),this._zlibInflate.on("data",R=>{this._pendingInflateData.push(R)}),h&&(this._zlibInflate.write(h.buffer),this._zlibInflate.flush(()=>{this._pendingInflateData.length=0})),this._zlibDeflate=A.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",R=>{console.error(R),(0,f.onUnexpectedError)(R),this._onClose.fire()}),this._zlibDeflate.on("data",R=>{this._pendingDeflateData.push(R)})):(this._zlibInflate=null,this._zlibDeflate=null),this._zlibDeflateFlushWaitingCount=0,this._incomingData=new b.ChunkStream,this._register(this.socket.onData(R=>this._acceptChunk(R))),this._register(this.socket.onClose(()=>this._onClose.fire()))}get totalIncomingWireBytes(){return this._totalIncomingWireBytes}get totalIncomingDataBytes(){return this._totalIncomingDataBytes}get totalOutgoingWireBytes(){return this._totalOutgoingWireBytes}get totalOutgoingDataBytes(){return this._totalOutgoingDataBytes}get recordedInflateBytes(){return this._recordInflateBytes?k.VSBuffer.wrap(Buffer.concat(this._recordedInflateBytes)):k.VSBuffer.alloc(0)}dispose(){this._zlibDeflateFlushWaitingCount>0?this._register(this._onDidZlibFlush.event(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(p){return this._onData.event(p)}onClose(p){return this._onClose.event(p)}onEnd(p){return this.socket.onEnd(p)}write(p){this._totalOutgoingDataBytes+=p.byteLength,this._zlibDeflate?(this._zlibDeflate.write(p.buffer),this._zlibDeflateFlushWaitingCount++,this._zlibDeflate.flush(2,()=>{this._zlibDeflateFlushWaitingCount--;let E=Buffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,E=E.slice(0,E.length-4),this._isEnded||this._write(k.VSBuffer.wrap(E),!0),this._zlibDeflateFlushWaitingCount===0&&this._onDidZlibFlush.fire()})):this._write(p,!1)}_write(p,E){let h=2;p.byteLength<126?h+=0:p.byteLength<2**16?h+=2:h+=8;const w=k.VSBuffer.alloc(h);if(E?w.writeUInt8(194,0):w.writeUInt8(130,0),p.byteLength<126)w.writeUInt8(p.byteLength,1);else if(p.byteLength<2**16){w.writeUInt8(126,1);let R=1;w.writeUInt8(p.byteLength>>>8&255,++R),w.writeUInt8(p.byteLength>>>0&255,++R)}else{w.writeUInt8(127,1);let R=1;w.writeUInt8(0,++R),w.writeUInt8(0,++R),w.writeUInt8(0,++R),w.writeUInt8(0,++R),w.writeUInt8(p.byteLength>>>24&255,++R),w.writeUInt8(p.byteLength>>>16&255,++R),w.writeUInt8(p.byteLength>>>8&255,++R),w.writeUInt8(p.byteLength>>>0&255,++R)}this._totalOutgoingWireBytes+=w.byteLength+p.byteLength,this.socket.write(k.VSBuffer.concat([w,p]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(p){if(p.byteLength!==0){for(this._totalIncomingWireBytes+=p.byteLength,this._incomingData.acceptChunk(p);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const E=this._incomingData.peek(this._state.readLen),w=(E.readUInt8(0)&128)>>>7,R=E.readUInt8(1),L=(R&128)>>>7,U=R&127;this._state.state=2,this._state.readLen=2+(L?4:0)+(U===126?2:0)+(U===127?8:0),this._state.fin=w,this._state.mask=0}else if(this._state.state===2){const E=this._incomingData.read(this._state.readLen),h=E.readUInt8(1),w=(h&128)>>>7;let R=h&127,L=1;R===126?R=E.readUInt8(++L)*2**8+E.readUInt8(++L):R===127&&(R=E.readUInt8(++L)*0+E.readUInt8(++L)*0+E.readUInt8(++L)*0+E.readUInt8(++L)*0+E.readUInt8(++L)*2**24+E.readUInt8(++L)*2**16+E.readUInt8(++L)*2**8+E.readUInt8(++L));let U=0;w&&(U=E.readUInt8(++L)*2**24+E.readUInt8(++L)*2**16+E.readUInt8(++L)*2**8+E.readUInt8(++L)),this._state.state=3,this._state.readLen=R,this._state.mask=U}else if(this._state.state===3){const E=this._incomingData.read(this._state.readLen);u(E,this._state.mask),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._zlibInflate?(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from(E.buffer)),this._zlibInflate.write(E.buffer),this._state.fin&&(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from([0,0,255,255])),this._zlibInflate.write(Buffer.from([0,0,255,255]))),this._zlibInflate.flush(()=>{const h=Buffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,this._totalIncomingDataBytes+=h.length,this._onData.fire(k.VSBuffer.wrap(h))})):(this._totalIncomingDataBytes+=E.byteLength,this._onData.fire(E))}}}async drain(){this._zlibDeflateFlushWaitingCount>0&&await I.Event.toPromise(this._onDidZlibFlush.event),await this.socket.drain()}}e.WebSocketNodeSocket=_;function u(d,p){if(p!==0){let E=d.byteLength>>>2;for(let J=0;J<E;J++){const Z=d.readUInt32BE(J*4);d.writeUInt32BE(Z^p,J*4)}let h=E*4,w=d.byteLength-h;const R=p>>>24&255,L=p>>>16&255,U=p>>>8&255;w>=1&&d.writeUInt8(d.readUInt8(h)^R,h),w>=2&&d.writeUInt8(d.readUInt8(h+1)^L,h+1),w>=3&&d.writeUInt8(d.readUInt8(h+2)^U,h+2)}}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const c={[2]:107,[1]:103};function o(){const d=(0,i.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${d}-sock`;let p;return e.XDG_RUNTIME_DIR?p=(0,P.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${d}.sock`):p=(0,P.join)((0,y.tmpdir)(),`vscode-ipc-${d}.sock`),r(p),p}e.createRandomIPCHandle=o;function t(d,p,E){const h=(0,v.createHash)("md5").update(d).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${h}-${E}-${p}-sock`;let w;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?w=(0,P.join)(e.XDG_RUNTIME_DIR,`vscode-${h.substr(0,8)}-${E}-${p}.sock`):w=(0,P.join)(d,`${E}-${p}.sock`),r(w),w}e.createStaticIPCHandle=t;function r(d){const p=c[l.platform];typeof p=="number"&&d.length>=p&&console.warn(`WARNING: IPC handle "${d}" is longer than ${p} chars, try a shorter --user-data-dir`)}class s extends C.IPCServer{constructor(p){super(s.toClientConnectionEvent(p));this.server=p}static toClientConnectionEvent(p){const E=I.Event.fromNodeEventEmitter(p,"connection");return I.Event.map(E,h=>({protocol:new b.Protocol(new m(h)),onDidClientDisconnect:I.Event.once(I.Event.fromNodeEventEmitter(h,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=s;function a(d){return new Promise((p,E)=>{const h=(0,D.createServer)();h.on("error",E),h.listen(d,()=>{h.removeListener("error",E),p(new s(h))})})}e.serve=a;function n(d,p){return new Promise((E,h)=>{const w=(0,D.createConnection)(d,()=>{w.removeListener("error",h),E(b.Client.fromSocket(new m(w),p))});w.once("error",h)})}e.connect=n}),define(pe[278],ve([0,1,128,270,37,52,2,114,13]),function(Q,e,v,D,A,I,C,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CLIServer=e.CLIServerBase=void 0;class i{constructor(b,f,l){this._commands=b,this.logService=f,this._ipcHandlePath=l,this._server=D.createServer((m,S)=>this.onRequest(m,S)),this.setup().catch(m=>(f.error(m),""))}get ipcHandlePath(){return this._ipcHandlePath}async setup(){try{this._server.listen(this.ipcHandlePath),this._server.on("error",b=>this.logService.error(b))}catch(b){this.logService.error("Could not start open from terminal server.")}return this._ipcHandlePath}onRequest(b,f){const l=[];b.setEncoding("utf8"),b.on("data",m=>l.push(m)),b.on("end",()=>{const m=JSON.parse(l.join(""));switch(m.type){case"open":this.open(m,f);break;case"openExternal":this.openExternal(m,f);break;case"status":this.getStatus(m,f);break;case"command":this.runCommand(m,f).catch(this.logService.error);break;case"extensionManagement":this.manageExtensions(m,f).catch(this.logService.error);break;default:f.writeHead(404),f.write(`Unknown message type: ${m.type}`,S=>{S&&this.logService.error(S)}),f.end();break}})}open(b,f){let{fileURIs:l,folderURIs:m,forceNewWindow:S,diffMode:g,addMode:_,forceReuseWindow:u,gotoLineMode:c,waitMarkerFilePath:o}=b;const t=[];if(Array.isArray(m))for(const r of m)try{t.push({folderUri:C.URI.parse(r)})}catch(s){}if(Array.isArray(l))for(const r of l)try{(0,P.hasWorkspaceFileExtension)(r)?t.push({workspaceUri:C.URI.parse(r)}):t.push({fileUri:C.URI.parse(r)})}catch(s){}if(t.length){const r=o?C.URI.file(o):void 0,a={forceNewWindow:S,diffMode:g,addMode:_,gotoLineMode:c,forceReuseWindow:u,preferNewWindow:!u&&!r&&!_,waitMarkerFileURI:r};this._commands.executeCommand("_files.windowOpen",t,a)}f.writeHead(200),f.end()}async openExternal(b,f){for(const l of b.uris){const m=C.URI.parse(l),S=m.scheme==="file"?m:l;await this._commands.executeCommand("_remoteCLI.openExternal",S)}f.writeHead(200),f.end()}async manageExtensions(b,f){console.log("server: manageExtensions");try{const l=g=>g==null?void 0:g.map(_=>/\.vsix$/i.test(_)?C.URI.parse(_):_),m={list:b.list,install:l(b.install),uninstall:l(b.uninstall),force:b.force},S=await this._commands.executeCommand("_remoteCLI.manageExtensions",m,{allowTunneling:!0});f.writeHead(200),f.write(S)}catch(l){f.writeHead(500),f.write(String(l))}f.end()}async getStatus(b,f){try{const l=await this._commands.executeCommand("_issues.getSystemStatus");f.writeHead(200),f.write(l),f.end()}catch(l){f.writeHead(500),f.write(String(l),m=>{m&&this.logService.error(m)}),f.end()}}async runCommand(b,f){try{const{command:l,args:m}=b,S=await this._commands.executeCommand(l,...m);f.writeHead(200),f.write(JSON.stringify(S),g=>{g&&this.logService.error(g)}),f.end()}catch(l){f.writeHead(500),f.write(String(l),m=>{m&&this.logService.error(m)}),f.end()}}dispose(){this._server.close(),this._ipcHandlePath&&process.platform!=="win32"&&A.existsSync(this._ipcHandlePath)&&A.unlinkSync(this._ipcHandlePath)}}e.CLIServerBase=i;let T=class extends i{constructor(b,f){super(b,f,(0,v.createRandomIPCHandle)())}};T=je([Ue(0,I.IExtHostCommands),Ue(1,y.ILogService)],T),e.CLIServer=T}),define(pe[279],ve([0,1,68,266,260,5,269,42,251,2,11,8,278]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;class f extends A.RequireInterceptor{_installInterceptor(){const S=this,g=Q.__$__nodeRequire("module"),_=g._load;g._load=function(c,o,t){for(let r of S._alternatives){let s=r(c);if(s){c=s;break}}return S._factories.has(c)?S._factories.get(c).load(c,i.URI.file(o.filename),r=>_.apply(this,[r,o,t])):_.apply(this,arguments)}}}class l extends P.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=k.ExtensionRuntime.Node}async _beforeAlmostReadyToRunExtensions(){const S=this._instaService.invokeFunction(D.createApiFactoryAndRegisterActors);if(this._instaService.createInstance(y.ExtHostDownloadService),this._initData.remote.isRemote&&this._initData.remote.authority){const o=this._instaService.createInstance(b.CLIServer);process.env.VSCODE_IPC_HOOK_CLI=o.ipcHandlePath}await this._instaService.createInstance(f,S,this._registry).install(),v.mark("code/extHost/didInitAPI");const _=await this._extHostConfiguration.getConfigProvider();await(0,C.connectProxyResolver)(this._extHostWorkspace,_,this,this._logService,this._mainThreadTelemetryProxy,this._initData),v.mark("code/extHost/didInitProxyResolver");const u=process.send,c=this._extHostContext.getProxy(I.MainContext.MainThreadConsole);process.send=(...o)=>o.length===0||!o[0]||o[0].type!=="__$console"?u.apply(process,o):(c.$logExtensionHostMessage(o[0]),!1)}_getEntryPoint(S){return S.main}_loadCommonJSModule(S,g,_){if(g.scheme!==T.Schemas.file)throw new Error(`Cannot load URI: '${g}', must be of file-scheme`);let u=null;_.codeLoadingStart(),this._logService.info(`ExtensionService#loadCommonJSModule ${g.toString(!0)}`),this._logService.flush();try{S&&v.mark(`code/extHost/willLoadExtensionCode/${S.value}`),u=Q.__$__nodeRequire(g.fsPath)}catch(c){return Promise.reject(c)}finally{S&&v.mark(`code/extHost/didLoadExtensionCode/${S.value}`),_.codeLoadingStop()}return Promise.resolve(u)}async $setRemoteEnvironment(S){if(!!this._initData.remote.isRemote)for(const g in S){const _=S[g];_===null?delete process.env[g]:process.env[g]=_}}}e.ExtHostExtensionService=l}),define(pe[280],ve([0,1,80,252,263,262,261,277,279,224,253,44,42,65,69,67,34,50,13]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m,S,g,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,v.registerSingleton)(b.IExtHostExtensionService,y.ExtHostExtensionService),(0,v.registerSingleton)(_.ILogService,i.ExtHostLogService),(0,v.registerSingleton)(k.IExtHostDebugService,C.ExtHostDebugService),(0,v.registerSingleton)(f.IExtHostOutputService,D.ExtHostOutputService2),(0,v.registerSingleton)(l.IExtHostSearch,P.NativeExtHostSearch),(0,v.registerSingleton)(m.IExtHostTask,I.ExtHostTask),(0,v.registerSingleton)(S.IExtHostTerminalService,A.ExtHostTerminalService),(0,v.registerSingleton)(g.IExtHostTunnelService,T.ExtHostTunnelService)}),define(pe[281],ve([0,1,118,291,68,18,101,128,184,222,264,26,97,25,135,19,267,280]),function(Q,e,v,D,A,I,C,P,y,i,T,k,b,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.startExtensionHostProcess=void 0,function(){for(let a=0;a<process.execArgv.length;a++)process.execArgv[a]==="--inspect-port=0"&&(process.execArgv.splice(a,1),a--)}();const S=D(process.argv.slice(2),{string:["uriTransformerPath","useHostProxy"]});(function(){const s=Q.__$__nodeRequire("module"),a=s._load;s._load=function(n){if(n==="natives")throw new Error('Either the extension or a NPM dependency is using the "natives" node module which is unsupported as it can cause a crash of the extension host. Click [here](https://go.microsoft.com/fwlink/?linkid=871887) to find out more');return a.apply(this,arguments)}})();const g=process.exit.bind(process);function _(s){process.exit=function(a){if(s)g(a);else{const n=new Error("An extension called process.exit() and this was prevented.");console.warn(n.stack)}},process.crash=function(){const a=new Error("An extension called process.crash() and this was prevented.");console.warn(a.stack)}}let u=function(s){g()};function c(){if(process.env.VSCODE_EXTHOST_WILL_SEND_SOCKET)return new Promise((s,a)=>{let n=null,d=setTimeout(()=>{a(new Error("VSCODE_EXTHOST_IPC_SOCKET timeout"))},6e4);const p=108e5,E=3e5,h=new m.RunOnceScheduler(()=>u("renderer disconnected for too long (1)"),p),w=new m.RunOnceScheduler(()=>u("renderer disconnected for too long (2)"),E);process.on("message",(L,U)=>{if(L&&L.type==="VSCODE_EXTHOST_IPC_SOCKET"){const J=k.VSBuffer.wrap(Buffer.from(L.initialDataChunk,"base64"));let Z;if(L.skipWebSocketFrames)Z=new P.NodeSocket(U);else{const z=k.VSBuffer.wrap(Buffer.from(L.inflateBytes,"base64"));Z=new P.WebSocketNodeSocket(new P.NodeSocket(U),L.permessageDeflate,z,!1)}n?(h.cancel(),w.cancel(),n.beginAcceptReconnection(Z,J),n.endAcceptReconnection()):(clearTimeout(d),n=new C.PersistentProtocol(Z,J),n.onDidDispose(()=>u("renderer disconnected")),s(n),n.onSocketClose(()=>{h.schedule()}))}if(L&&L.type==="VSCODE_EXTHOST_IPC_REDUCE_GRACE_TIME"){if(w.isScheduled())return;h.isScheduled()&&w.schedule()}});const R={type:"VSCODE_EXTHOST_IPC_READY"};process.send&&process.send(R)});{const s=process.env.VSCODE_IPC_HOOK_EXTHOST;return new Promise((a,n)=>{const d=v.createConnection(s,()=>{d.removeListener("error",n),a(new C.PersistentProtocol(new P.NodeSocket(d)))});d.once("error",n)})}}async function o(){const s=await c();return new class{constructor(){this._onMessage=new C.BufferedEmitter,this.onMessage=this._onMessage.event,this._terminating=!1,s.onMessage(a=>{(0,i.isMessageOfType)(a,2)?(this._terminating=!0,u("received terminate message from renderer")):this._onMessage.fire(a)})}send(a){this._terminating||s.send(a)}drain(){return s.drain()}}}function t(s){return new Promise(a=>{const n=s.onMessage(d=>{n.dispose();const p=JSON.parse(d.toString()),E=p.commit,h=y.default.commit;E&&h&&E!==h&&g(55);const w=[];process.on("unhandledRejection",(U,J)=>{w.push(J),setTimeout(()=>{const Z=w.indexOf(J);Z>=0&&J.catch(z=>{w.splice(Z,1),console.warn(`rejected promise not handled within 1 second: ${z}`),z&&z.stack&&console.warn(`stack trace: ${z.stack}`),(0,I.onUnexpectedError)(U)})},1e3)}),process.on("rejectionHandled",U=>{const J=w.indexOf(U);J>=0&&w.splice(J,1)}),process.on("uncaughtException",function(U){(0,I.onUnexpectedError)(U)});let R=0;setInterval(function(){try{process.kill(p.parentPid,0),R=0}catch(U){U&&U.code==="EPERM"?(R++,R>=3&&u(`parent process ${p.parentPid} does not exist anymore (3 x EPERM): ${U.message} (code: ${U.code}) (errno: ${U.errno})`)):u(`parent process ${p.parentPid} does not exist anymore: ${U.message} (code: ${U.code}) (errno: ${U.errno})`)}},1e3);let L;try{L=Q.__$__nodeRequire("native-watchdog"),L.start(p.parentPid)}catch(U){(0,I.onUnexpectedError)(U)}s.send((0,i.createMessageOfType)(0)),a({protocol:s,initData:p})});s.send((0,i.createMessageOfType)(1))})}async function r(){A.mark("code/extHost/willConnectToRenderer");const s=await o();A.mark("code/extHost/didConnectToRenderer");const a=await t(s);A.mark("code/extHost/didWaitForInitData");const{initData:n}=a;_(!!n.environment.extensionTestsLocationURI),n.environment.useHostProxy=S.useHostProxy!==void 0?S.useHostProxy!=="false":void 0;const d=new class{exit(w){g(w)}exists(w){return(0,f.exists)(w)}realpath(w){return(0,l.realpath)(w)}};let p=null;if(n.remote.authority&&S.uriTransformerPath)try{const w=Q.__$__nodeRequire(S.uriTransformerPath)(n.remote.authority);p=new b.URITransformer(w)}catch(h){console.error(h)}const E=new T.ExtensionHostMain(a.protocol,n,d,p);u=h=>E.terminate(h)}e.startExtensionHostProcess=r}),define(pe[292],ve([0,1,281]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,v.startExtensionHostProcess)().catch(D=>console.log(D))})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/9b2ee7fb7d970b9a628fdb3545bdd01d67078d16/core/vs/workbench/services/extensions/node/extensionHostProcess.js.map
