/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var we=["require","exports","vs/base/common/uri","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/base/common/lifecycle","vs/workbench/api/common/extHostTypes","vs/base/common/strings","vs/workbench/api/common/extHostTypeConverters","vs/base/common/errors","vs/base/common/path","vs/base/common/types","vs/base/common/async","vs/workbench/api/common/extHostRpcService","vs/base/common/arrays","vs/base/common/network","vs/nls","vs/nls!vs/workbench/services/extensions/worker/extensionHostWorker","vs/platform/log/common/log","vs/base/common/cancellation","vs/base/common/platform","vs/base/common/map","vs/base/common/objects","vs/base/common/resources","vs/platform/extensions/common/extensions","vs/base/common/buffer","vs/workbench/api/common/extHostInitDataService","vs/base/common/glob","vs/base/common/uuid","vs/platform/registry/common/platform","vs/workbench/api/common/extHostWorkspace","vs/editor/common/core/range","vs/workbench/services/extensions/common/extensions","vs/workbench/api/common/extHostConfiguration","vs/workbench/api/common/extHostExtensionService","vs/base/common/process","vs/base/common/codicons","vs/base/common/extpath","vs/editor/common/core/position","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/api/common/extHostDocumentsAndEditors","vs/workbench/api/common/extHostTerminalService","vs/workbench/services/search/common/search","vs/base/common/assert","vs/base/common/decorators","vs/base/common/json","vs/base/common/linkedList","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostWebview","vs/base/common/collections","vs/base/common/functional","vs/base/common/idGenerator","vs/base/common/iterator","vs/base/common/stopwatch","vs/base/common/hash","vs/base/common/severity","vs/base/common/marshalling","vs/base/common/labels","vs/editor/common/modes/languageSelector","vs/base/common/errorMessage","vs/platform/instantiation/common/extensions","vs/editor/common/modes","vs/platform/contextkey/common/contextkey","vs/platform/files/common/files","vs/platform/instantiation/common/serviceCollection","vs/platform/configuration/common/configurationRegistry","vs/workbench/api/common/extHostTunnelService","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/api/common/shared/webview","vs/workbench/api/common/exHostSecretState","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostCommands","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostStorage","vs/workbench/api/common/extHostStoragePaths","vs/base/common/performance","vs/base/common/numbers","vs/base/common/uint","vs/base/common/htmlContent","vs/editor/common/core/characterClassifier","vs/editor/common/model","vs/editor/common/model/wordHelper","vs/editor/common/services/semanticTokensDto","vs/editor/common/viewModel/prefixSumComputer","vs/platform/instantiation/common/descriptors","vs/platform/markers/common/markers","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configuration","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteHosts","vs/workbench/api/common/cache","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostDocumentData","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostOutput","vs/workbench/api/common/extHostWindow","vs/workbench/api/common/extHostTask","vs/workbench/api/common/extHostDebugService","vs/workbench/api/common/extHostSearch","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/lazy","vs/base/common/stream","vs/base/common/filters","vs/base/common/iconLabels","vs/base/common/comparers","vs/base/common/uriIpc","vs/editor/common/controller/wordCharacterClassifier","vs/editor/common/core/selection","vs/editor/common/model/textModelSearch","vs/editor/common/modes/languageConfiguration","vs/editor/common/modes/linkComputer","vs/editor/common/modes/tokenizationRegistry","vs/editor/common/model/mirrorTextModel","vs/nls!vs/base/common/errorMessage","vs/nls!vs/editor/common/config/editorOptions","vs/editor/common/config/editorOptions","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/theme/common/iconRegistry","vs/nls!vs/platform/workspaces/common/workspaces","vs/nls!vs/workbench/api/common/extHost.api.impl","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionActivator","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/common/views","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/search/common/queryBuilder","vs/nls!vs/workbench/contrib/tasks/common/taskService","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/platform/editor/common/editor","vs/platform/instantiation/common/graph","vs/editor/common/services/modelService","vs/editor/common/modes/languageFeatureRegistry","vs/platform/commands/common/commands","vs/platform/environment/common/environment","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/instantiation/common/instantiationService","vs/platform/notification/common/notification","vs/platform/progress/common/progress","vs/platform/configuration/common/configurationModels","vs/platform/terminal/common/terminalDataBuffering","vs/platform/theme/common/theme","vs/platform/theme/common/themeService","vs/platform/theme/common/iconRegistry","vs/platform/workspaces/common/workspaces","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostCodeInsets","vs/workbench/common/views","vs/workbench/api/common/apiCommands","vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/api/common/extHostNotebookConcatDocument","vs/workbench/api/common/extHostTheming","vs/workbench/contrib/tasks/common/taskService","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/contrib/testing/common/testCollection","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostProgress","vs/workbench/api/common/extHostTreeViews","vs/workbench/contrib/testing/common/ownedTestCollection","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/worker/extHostLogService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/extensions/worker/polyfillNestedWorker","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/api/common/extHostTesting","vs/workbench/contrib/search/common/queryBuilder","vs/workbench/api/common/shared/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/services/extensions/common/extensionHostMain","vs/workbench/services/search/common/fileSearchManager","vs/workbench/services/search/common/textSearchManager","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/common/extHost.common.services","vs/workbench/api/worker/extHostExtensionService","vs/workbench/api/worker/extHost.worker.services","vs/base/common/marked/marked","vs/workbench/services/extensions/worker/extensionHostWorker"],Ee=function(ae){for(var e=[],_=0,S=ae.length;_<S;_++)e[_]=we[ae[_]];return e};define(we[44],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function _(S,T){if(!S)throw new Error(T?`Assertion failed (${T})`:"Assertion Failed")}e.ok=_}),define(we[51],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const _=Object.prototype.hasOwnProperty;function S(A){const C=[];for(let v in A)_.call(A,v)&&C.push(A[v]);return C}e.values=S;function T(A,C){for(let v in A)if(_.call(A,v)&&C({key:v,value:A[v]},function(){delete A[v]})===!1)return}e.forEach=T;function P(A,C){const v=Object.create(null);for(const d of A){const s=C(d);let h=v[s];h||(h=v[s]=[]),h.push(d)}return v}e.groupBy=P;function E(A){const C=Object.create(null);return A&&A.forEach((v,d)=>{C[d]=v}),C}e.fromMap=E;function k(A,C){const v=[],d=[];for(let s of A)C.has(s)||v.push(s);for(let s of C)A.has(s)||d.push(s);return{removed:v,added:d}}e.diffSets=k;function D(A,C){const v=[],d=[];for(let[s,h]of A)C.has(s)||v.push(h);for(let[s,h]of C)A.has(s)||d.push(h);return{removed:v,added:d}}e.diffMaps=D;class n{constructor(){this.map=new Map}add(C,v){let d=this.map.get(C);d||(d=new Set,this.map.set(C,d)),d.add(v)}delete(C,v){const d=this.map.get(C);!d||(d.delete(v),d.size===0&&this.map.delete(C))}forEach(C,v){const d=this.map.get(C);!d||d.forEach(v)}}e.SetMap=n}),define(we[45],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createMemoizer=e.createDecorator=void 0;function _(D){return(n,A,C)=>{let v=null,d=null;if(typeof C.value=="function"?(v="value",d=C.value):typeof C.get=="function"&&(v="get",d=C.get),!d)throw new Error("not supported");C[v]=D(d,A)}}e.createDecorator=_;let S=0;function T(){const D=`$memoize${S++}`;let n;const A=function(v,d,s){let h=null,p=null;if(typeof s.value=="function"?(h="value",p=s.value,p.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof s.get=="function"&&(h="get",p=s.get),!p)throw new Error("not supported");const g=`${D}:${d}`;s[h]=function(...b){return n=this,this.hasOwnProperty(g)||Object.defineProperty(this,g,{configurable:!0,enumerable:!1,writable:!0,value:p.apply(this,b)}),this[g]}};return A.clear=()=>{typeof n!="undefined"&&Object.getOwnPropertyNames(n).forEach(C=>{C.indexOf(D)===0&&delete n[C]})},A}e.createMemoizer=T;function P(D,n,A){return T()(D,n,A)}e.memoize=P;function E(D,n,A){return _((C,v)=>{const d=`$debounce$${v}`,s=`$debounce$result$${v}`;return function(...h){this[s]||(this[s]=A?A():void 0),clearTimeout(this[d]),n&&(this[s]=n(this[s],...h),h=[this[s]]),this[d]=setTimeout(()=>{C.apply(this,h),this[s]=A?A():void 0},D)}})}e.debounce=E;function k(D,n,A){return _((C,v)=>{const d=`$throttle$timer$${v}`,s=`$throttle$result$${v}`,h=`$throttle$lastRun$${v}`,p=`$throttle$pending$${v}`;return function(...g){if(this[s]||(this[s]=A?A():void 0),(this[h]===null||this[h]===void 0)&&(this[h]=-Number.MAX_VALUE),n&&(this[s]=n(this[s],...g)),!this[p]){const b=this[h]+D;b<=Date.now()?(this[h]=Date.now(),C.apply(this,[this[s]]),this[s]=A?A():void 0):(this[p]=!0,this[d]=setTimeout(()=>{this[p]=!1,this[h]=Date.now(),C.apply(this,[this[s]]),this[s]=A?A():void 0},b-Date.now()))}}})}e.throttle=k}),define(we[10],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class _{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(t){setTimeout(()=>{throw t.stack?new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.listeners.push(t),()=>{this._removeListener(t)}}emit(t){this.listeners.forEach(r=>{r(t)})}_removeListener(t){this.listeners.splice(this.listeners.indexOf(t),1)}setUnexpectedErrorHandler(t){this.unexpectedErrorHandler=t}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(t){this.unexpectedErrorHandler(t),this.emit(t)}onUnexpectedExternalError(t){this.unexpectedErrorHandler(t)}}e.ErrorHandler=_,e.errorHandler=new _;function S(a){e.errorHandler.setUnexpectedErrorHandler(a)}e.setUnexpectedErrorHandler=S;function T(a){D(a)||e.errorHandler.onUnexpectedError(a)}e.onUnexpectedError=T;function P(a){D(a)||e.errorHandler.onUnexpectedExternalError(a)}e.onUnexpectedExternalError=P;function E(a){if(a instanceof Error){let{name:t,message:r}=a;const o=a.stacktrace||a.stack;return{$isError:!0,name:t,message:r,stack:o}}return a}e.transformErrorForSerialization=E;const k="Canceled";function D(a){return a instanceof Error&&a.name===k&&a.message===k}e.isPromiseCanceledError=D;class n extends Error{constructor(){super(k);this.name=this.message}}e.CancellationError=n;function A(){const a=new Error(k);return a.name=a.message,a}e.canceled=A;function C(a){return a?new Error(`Illegal argument: ${a}`):new Error("Illegal argument")}e.illegalArgument=C;function v(a){return a?new Error(`Illegal state: ${a}`):new Error("Illegal state")}e.illegalState=v;function d(a){return a?new Error(`readonly property '${a} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=d;function s(a){const t=new Error(`${a} has been disposed`);return t.name="DISPOSED",t}e.disposed=s;function h(a){return a?a.message?a.message:a.stack?a.stack.split(`
`)[0]:String(a):"Error"}e.getErrorMessage=h;class p extends Error{constructor(t){super("NotImplemented");t&&(this.message=t)}}e.NotImplementedError=p;class g extends Error{constructor(t){super("NotSupported");t&&(this.message=t)}}e.NotSupportedError=g;class b extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=b;function c(a){const t=a;return t instanceof Error&&Array.isArray(t.actions)}e.isErrorWithActions=c;function u(a,t=Object.create(null)){const r=new Error(a);return t.actions&&(r.actions=t.actions),r}e.createErrorWithActions=u}),define(we[15],Ee([0,1,10]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function S(M,x=0){return M[M.length-(1+x)]}e.tail=S;function T(M){if(M.length===0)throw new Error("Invalid tail call");return[M.slice(0,M.length-1),M[M.length-1]]}e.tail2=T;function P(M,x,$=(q,U)=>q===U){if(M===x)return!0;if(!M||!x||M.length!==x.length)return!1;for(let q=0,U=M.length;q<U;q++)if(!$(M[q],x[q]))return!1;return!0}e.equals=P;function E(M,x,$){let q=0,U=M.length-1;for(;q<=U;){const Y=(q+U)/2|0,Z=$(M[Y],x);if(Z<0)q=Y+1;else if(Z>0)U=Y-1;else return Y}return-(q+1)}e.binarySearch=E;function k(M,x){let $=0,q=M.length;if(q===0)return 0;for(;$<q;){const U=Math.floor(($+q)/2);x(M[U])?q=U:$=U+1}return $}e.findFirstInSorted=k;function D(M,x,$){if(M=M|0,M>=x.length)throw new TypeError("invalid index");let q=x[Math.floor(x.length*Math.random())],U=[],Y=[],Z=[];for(let se of x){const Se=$(se,q);Se<0?U.push(se):Se>0?Y.push(se):Z.push(se)}return M<U.length?D(M,U,$):M<U.length+Z.length?Z[0]:D(M-(U.length+Z.length),Y,$)}e.quickSelect=D;function n(M,x){const $=[];let q;for(const U of M.slice(0).sort(x))!q||x(q[0],U)!==0?(q=[U],$.push(q)):q.push(U);return $}e.groupBy=n;function A(M,x,$){const q=[];function U(se,Se,Pe){if(!(Se===0&&Pe.length===0)){const $e=q[q.length-1];$e&&$e.start+$e.deleteCount===se?($e.deleteCount+=Se,$e.toInsert.push(...Pe)):q.push({start:se,deleteCount:Se,toInsert:Pe})}}let Y=0,Z=0;for(;;){if(Y===M.length){U(Y,0,x.slice(Z));break}if(Z===x.length){U(Y,M.length-Y,[]);break}const se=M[Y],Se=x[Z],Pe=$(se,Se);Pe===0?(Y+=1,Z+=1):Pe<0?(U(Y,1,[]),Y+=1):Pe>0&&(U(Y,0,[Se]),Z+=1)}return q}e.sortedDiff=A;function C(M,x,$){const q=A(M,x,$),U=[],Y=[];for(const Z of q)U.push(...M.slice(Z.start,Z.start+Z.deleteCount)),Y.push(...Z.toInsert);return{removed:U,added:Y}}e.delta=C;function v(M,x,$){if($===0)return[];const q=M.slice(0,$).sort(x);return s(M,x,q,$,M.length),q}e.top=v;function d(M,x,$,q,U){return $===0?Promise.resolve([]):new Promise((Y,Z)=>{(async()=>{const se=M.length,Se=M.slice(0,$).sort(x);for(let Pe=$,$e=Math.min($+q,se);Pe<se;Pe=$e,$e=Math.min($e+q,se)){if(Pe>$&&await new Promise(Fe=>setTimeout(Fe)),U&&U.isCancellationRequested)throw(0,_.canceled)();s(M,x,Se,Pe,$e)}return Se})().then(Y,Z)})}e.topAsync=d;function s(M,x,$,q,U){for(const Y=$.length;q<U;q++){const Z=M[q];if(x(Z,$[Y-1])<0){$.pop();const se=k($,Se=>x(Z,Se)<0);$.splice(se,0,Z)}}}function h(M){return M.filter(x=>!!x)}e.coalesce=h;function p(M){let x=0;for(let $=0;$<M.length;$++)M[$]&&(M[x]=M[$],x+=1);M.length=x}e.coalesceInPlace=p;function g(M,x,$){M.splice($,0,M.splice(x,1)[0])}e.move=g;function b(M){return!Array.isArray(M)||M.length===0}e.isFalsyOrEmpty=b;function c(M){return Array.isArray(M)&&M.length>0}e.isNonEmptyArray=c;function u(M,x){if(!x)return M.filter((q,U)=>M.indexOf(q)===U);const $=Object.create(null);return M.filter(q=>{const U=x(q);return $[U]?!1:($[U]=!0,!0)})}e.distinct=u;function a(M){const x=new Set;return M.filter($=>x.has($)?!1:(x.add($),!0))}e.distinctES6=a;function t(M){const x=Object.create(null);return $=>{const q=M($);return x[q]?!1:(x[q]=!0,!0)}}e.uniqueFilter=t;function r(M,x){for(let $=M.length-1;$>=0;$--){const q=M[$];if(x(q))return $}return-1}e.lastIndex=r;function o(M,x){return M.length>0?M[0]:x}e.firstOrDefault=o;function l(M,x,$=(q,U)=>q===U){let q=0;for(let U=0,Y=Math.min(M.length,x.length);U<Y&&$(M[U],x[U]);U++)q++;return q}e.commonPrefixLength=l;function i(M){return[].concat(...M)}e.flatten=i;function f(M,x){let $=typeof x=="number"?M:0;typeof x=="number"?$=M:($=0,x=M);const q=[];if($<=x)for(let U=$;U<x;U++)q.push(U);else for(let U=$;U>x;U--)q.push(U);return q}e.range=f;function y(M,x,$){return M.reduce((q,U)=>(q[x(U)]=$?$(U):U,q),Object.create(null))}e.index=y;function I(M,x){return M.push(x),()=>m(M,x)}e.insert=I;function m(M,x){const $=M.indexOf(x);if($>-1)return M.splice($,1),x}e.remove=m;function w(M,x,$){const q=M.slice(0,x),U=M.slice(x);return q.concat($,U)}e.arrayInsert=w;function R(M,x){let $;if(typeof x=="number"){let q=x;$=()=>{const U=Math.sin(q++)*179426549;return U-Math.floor(U)}}else $=Math.random;for(let q=M.length-1;q>0;q-=1){const U=Math.floor($()*(q+1)),Y=M[q];M[q]=M[U],M[U]=Y}}e.shuffle=R;function F(M,x){const $=M.indexOf(x);$>-1&&(M.splice($,1),M.unshift(x))}e.pushToStart=F;function W(M,x){const $=M.indexOf(x);$>-1&&(M.splice($,1),M.push(x))}e.pushToEnd=W;function oe(M,x){return Array.isArray(M)?M.map(x):x(M)}e.mapArrayOrNot=oe;function ie(M){return Array.isArray(M)?M:[M]}e.asArray=ie;function j(M){return M[Math.floor(Math.random()*M.length)]}e.getRandomElement=j;function ee(M,x){for(const $ of M){const q=x($);if(q!==void 0)return q}}e.mapFind=ee}),define(we[52],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function _(S){const T=this;let P=!1,E;return function(){return P||(P=!0,E=S.apply(T,arguments)),E}}e.once=_}),define(we[53],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class _{constructor(T){this._prefix=T,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=_,e.defaultGenerator=new _("id#")}),define(we[54],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var _;(function(S){function T(a){return a&&typeof a=="object"&&typeof a[Symbol.iterator]=="function"}S.is=T;const P=Object.freeze([]);function E(){return P}S.empty=E;function*k(a){yield a}S.single=k;function D(a){return a||P}S.from=D;function n(a){return!a||a[Symbol.iterator]().next().done===!0}S.isEmpty=n;function A(a){return a[Symbol.iterator]().next().value}S.first=A;function C(a,t){for(const r of a)if(t(r))return!0;return!1}S.some=C;function v(a,t){for(const r of a)if(t(r))return r}S.find=v;function*d(a,t){for(const r of a)t(r)&&(yield r)}S.filter=d;function*s(a,t){for(const r of a)yield t(r)}S.map=s;function*h(...a){for(const t of a)for(const r of t)yield r}S.concat=h;function*p(a){for(const t of a)for(const r of t)yield r}S.concatNested=p;function g(a,t,r){let o=r;for(const l of a)o=t(o,l);return o}S.reduce=g;function*b(a,t,r=a.length){for(t<0&&(t+=a.length),r<0?r+=a.length:r>a.length&&(r=a.length);t<r;t++)yield a[t]}S.slice=b;function c(a,t=Number.POSITIVE_INFINITY){const r=[];if(t===0)return[r,a];const o=a[Symbol.iterator]();for(let l=0;l<t;l++){const i=o.next();if(i.done)return[r,S.empty()];r.push(i.value)}return[r,{[Symbol.iterator](){return o}}]}S.consume=c;function u(a,t,r=(o,l)=>o===l){const o=a[Symbol.iterator](),l=t[Symbol.iterator]();for(;;){const i=o.next(),f=l.next();if(i.done!==f.done)return!1;if(i.done)return!0;if(!r(i.value,f.value))return!1}}S.equals=u})(_=e.Iterable||(e.Iterable={}))}),define(we[46],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var _;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(_=e.ScanError||(e.ScanError={}));var S;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(S=e.SyntaxKind||(e.SyntaxKind={}));var T;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(T=e.ParseErrorCode||(e.ParseErrorCode={}));var P;(function(t){t.DEFAULT={allowTrailingComma:!0}})(P=e.ParseOptions||(e.ParseOptions={}));function E(t,r=!1){let o=0,l=t.length,i="",f=0,y=16,I=0;function m(j){let ee=0,M=0;for(;ee<j;){const x=t.charCodeAt(o);if(x>=48&&x<=57)M=M*16+x-48;else if(x>=65&&x<=70)M=M*16+x-65+10;else if(x>=97&&x<=102)M=M*16+x-97+10;else break;o++,ee++}return ee<j&&(M=-1),M}function w(j){o=j,i="",f=0,y=16,I=0}function R(){const j=o;if(t.charCodeAt(o)===48)o++;else for(o++;o<t.length&&n(t.charCodeAt(o));)o++;if(o<t.length&&t.charCodeAt(o)===46)if(o++,o<t.length&&n(t.charCodeAt(o)))for(o++;o<t.length&&n(t.charCodeAt(o));)o++;else return I=3,t.substring(j,o);let ee=o;if(o<t.length&&(t.charCodeAt(o)===69||t.charCodeAt(o)===101))if(o++,(o<t.length&&t.charCodeAt(o)===43||t.charCodeAt(o)===45)&&o++,o<t.length&&n(t.charCodeAt(o))){for(o++;o<t.length&&n(t.charCodeAt(o));)o++;ee=o}else I=3;return t.substring(j,ee)}function F(){let j="",ee=o;for(;;){if(o>=l){j+=t.substring(ee,o),I=2;break}const M=t.charCodeAt(o);if(M===34){j+=t.substring(ee,o),o++;break}if(M===92){if(j+=t.substring(ee,o),o++,o>=l){I=2;break}switch(t.charCodeAt(o++)){case 34:j+='"';break;case 92:j+="\\";break;case 47:j+="/";break;case 98:j+="\b";break;case 102:j+="\f";break;case 110:j+=`
`;break;case 114:j+="\r";break;case 116:j+="	";break;case 117:const $=m(4);$>=0?j+=String.fromCharCode($):I=4;break;default:I=5}ee=o;continue}if(M>=0&&M<=31)if(D(M)){j+=t.substring(ee,o),I=2;break}else I=6;o++}return j}function W(){if(i="",I=0,f=o,o>=l)return f=l,y=17;let j=t.charCodeAt(o);if(k(j)){do o++,i+=String.fromCharCode(j),j=t.charCodeAt(o);while(k(j));return y=15}if(D(j))return o++,i+=String.fromCharCode(j),j===13&&t.charCodeAt(o)===10&&(o++,i+=`
`),y=14;switch(j){case 123:return o++,y=1;case 125:return o++,y=2;case 91:return o++,y=3;case 93:return o++,y=4;case 58:return o++,y=6;case 44:return o++,y=5;case 34:return o++,i=F(),y=10;case 47:const ee=o-1;if(t.charCodeAt(o+1)===47){for(o+=2;o<l&&!D(t.charCodeAt(o));)o++;return i=t.substring(ee,o),y=12}if(t.charCodeAt(o+1)===42){o+=2;const M=l-1;let x=!1;for(;o<M;){if(t.charCodeAt(o)===42&&t.charCodeAt(o+1)===47){o+=2,x=!0;break}o++}return x||(o++,I=1),i=t.substring(ee,o),y=13}return i+=String.fromCharCode(j),o++,y=16;case 45:if(i+=String.fromCharCode(j),o++,o===l||!n(t.charCodeAt(o)))return y=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return i+=R(),y=11;default:for(;o<l&&oe(j);)o++,j=t.charCodeAt(o);if(f!==o){switch(i=t.substring(f,o),i){case"true":return y=8;case"false":return y=9;case"null":return y=7}return y=16}return i+=String.fromCharCode(j),o++,y=16}}function oe(j){if(k(j)||D(j))return!1;switch(j){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function ie(){let j;do j=W();while(j>=12&&j<=15);return j}return{setPosition:w,getPosition:()=>o,scan:r?ie:W,getToken:()=>y,getTokenValue:()=>i,getTokenOffset:()=>f,getTokenLength:()=>o-f,getTokenError:()=>I}}e.createScanner=E;function k(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function D(t){return t===10||t===13||t===8232||t===8233}function n(t){return t>=48&&t<=57}var A;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(A||(A={}));function C(t,r){const o=[],l=new Object;let i;const f={value:{},offset:0,length:0,type:"object",parent:void 0};let y=!1;function I(m,w,R,F){f.value=m,f.offset=w,f.length=R,f.type=F,f.colonOffset=void 0,i=f}try{c(t,{onObjectBegin:(m,w)=>{if(r<=m)throw l;i=void 0,y=r>m,o.push("")},onObjectProperty:(m,w,R)=>{if(r<w||(I(m,w,R,"property"),o[o.length-1]=m,r<=w+R))throw l},onObjectEnd:(m,w)=>{if(r<=m)throw l;i=void 0,o.pop()},onArrayBegin:(m,w)=>{if(r<=m)throw l;i=void 0,o.push(0)},onArrayEnd:(m,w)=>{if(r<=m)throw l;i=void 0,o.pop()},onLiteralValue:(m,w,R)=>{if(r<w||(I(m,w,R,a(m)),r<=w+R))throw l},onSeparator:(m,w,R)=>{if(r<=w)throw l;if(m===":"&&i&&i.type==="property")i.colonOffset=w,y=!1,i=void 0;else if(m===","){const F=o[o.length-1];typeof F=="number"?o[o.length-1]=F+1:(y=!0,o[o.length-1]=""),i=void 0}}})}catch(m){if(m!==l)throw m}return{path:o,previousNode:i,isAtPropertyKey:y,matches:m=>{let w=0;for(let R=0;w<m.length&&R<o.length;R++)if(m[w]===o[R]||m[w]==="*")w++;else if(m[w]!=="**")return!1;return w===m.length}}}e.getLocation=C;function v(t,r=[],o=P.DEFAULT){let l=null,i=[];const f=[];function y(m){Array.isArray(i)?i.push(m):l!==null&&(i[l]=m)}return c(t,{onObjectBegin:()=>{const m={};y(m),f.push(i),i=m,l=null},onObjectProperty:m=>{l=m},onObjectEnd:()=>{i=f.pop()},onArrayBegin:()=>{const m=[];y(m),f.push(i),i=m,l=null},onArrayEnd:()=>{i=f.pop()},onLiteralValue:y,onError:(m,w,R)=>{r.push({error:m,offset:w,length:R})}},o),i[0]}e.parse=v;function d(t,r=[],o=P.DEFAULT){let l={type:"array",offset:-1,length:-1,children:[],parent:void 0};function i(m){l.type==="property"&&(l.length=m-l.offset,l=l.parent)}function f(m){return l.children.push(m),m}c(t,{onObjectBegin:m=>{l=f({type:"object",offset:m,length:-1,parent:l,children:[]})},onObjectProperty:(m,w,R)=>{l=f({type:"property",offset:w,length:-1,parent:l,children:[]}),l.children.push({type:"string",value:m,offset:w,length:R,parent:l})},onObjectEnd:(m,w)=>{l.length=m+w-l.offset,l=l.parent,i(m+w)},onArrayBegin:(m,w)=>{l=f({type:"array",offset:m,length:-1,parent:l,children:[]})},onArrayEnd:(m,w)=>{l.length=m+w-l.offset,l=l.parent,i(m+w)},onLiteralValue:(m,w,R)=>{f({type:a(m),offset:w,length:R,parent:l,value:m}),i(w+R)},onSeparator:(m,w,R)=>{l.type==="property"&&(m===":"?l.colonOffset=w:m===","&&i(w))},onError:(m,w,R)=>{r.push({error:m,offset:w,length:R})}},o);const I=l.children[0];return I&&delete I.parent,I}e.parseTree=d;function s(t,r){if(!!t){let o=t;for(let l of r)if(typeof l=="string"){if(o.type!=="object"||!Array.isArray(o.children))return;let i=!1;for(const f of o.children)if(Array.isArray(f.children)&&f.children[0].value===l){o=f.children[1],i=!0;break}if(!i)return}else{const i=l;if(o.type!=="array"||i<0||!Array.isArray(o.children)||i>=o.children.length)return;o=o.children[i]}return o}}e.findNodeAtLocation=s;function h(t){if(!t.parent||!t.parent.children)return[];const r=h(t.parent);if(t.parent.type==="property"){const o=t.parent.children[0].value;r.push(o)}else if(t.parent.type==="array"){const o=t.parent.children.indexOf(t);o!==-1&&r.push(o)}return r}e.getNodePath=h;function p(t){switch(t.type){case"array":return t.children.map(p);case"object":const r=Object.create(null);for(let o of t.children){const l=o.children[1];l&&(r[o.children[0].value]=p(l))}return r;case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=p;function g(t,r,o=!1){return r>=t.offset&&r<t.offset+t.length||o&&r===t.offset+t.length}e.contains=g;function b(t,r,o=!1){if(g(t,r,o)){const l=t.children;if(Array.isArray(l))for(let i=0;i<l.length&&l[i].offset<=r;i++){const f=b(l[i],r,o);if(f)return f}return t}}e.findNodeAtOffset=b;function c(t,r,o=P.DEFAULT){const l=E(t,!1);function i(Se){return Se?()=>Se(l.getTokenOffset(),l.getTokenLength()):()=>!0}function f(Se){return Se?Pe=>Se(Pe,l.getTokenOffset(),l.getTokenLength()):()=>!0}const y=i(r.onObjectBegin),I=f(r.onObjectProperty),m=i(r.onObjectEnd),w=i(r.onArrayBegin),R=i(r.onArrayEnd),F=f(r.onLiteralValue),W=f(r.onSeparator),oe=i(r.onComment),ie=f(r.onError),j=o&&o.disallowComments,ee=o&&o.allowTrailingComma;function M(){for(;;){const Se=l.scan();switch(l.getTokenError()){case 4:x(14);break;case 5:x(15);break;case 3:x(13);break;case 1:j||x(11);break;case 2:x(12);break;case 6:x(16);break}switch(Se){case 12:case 13:j?x(10):oe();break;case 16:x(1);break;case 15:case 14:break;default:return Se}}}function x(Se,Pe=[],$e=[]){if(ie(Se),Pe.length+$e.length>0){let Fe=l.getToken();for(;Fe!==17;){if(Pe.indexOf(Fe)!==-1){M();break}else if($e.indexOf(Fe)!==-1)break;Fe=M()}}}function $(Se){const Pe=l.getTokenValue();return Se?F(Pe):I(Pe),M(),!0}function q(){switch(l.getToken()){case 11:let Se=0;try{Se=JSON.parse(l.getTokenValue()),typeof Se!="number"&&(x(2),Se=0)}catch(Pe){x(2)}F(Se);break;case 7:F(null);break;case 8:F(!0);break;case 9:F(!1);break;default:return!1}return M(),!0}function U(){return l.getToken()!==10?(x(3,[],[2,5]),!1):($(!1),l.getToken()===6?(W(":"),M(),se()||x(4,[],[2,5])):x(5,[],[2,5]),!0)}function Y(){y(),M();let Se=!1;for(;l.getToken()!==2&&l.getToken()!==17;){if(l.getToken()===5){if(Se||x(4,[],[]),W(","),M(),l.getToken()===2&&ee)break}else Se&&x(6,[],[]);U()||x(4,[],[2,5]),Se=!0}return m(),l.getToken()!==2?x(7,[2],[]):M(),!0}function Z(){w(),M();let Se=!1;for(;l.getToken()!==4&&l.getToken()!==17;){if(l.getToken()===5){if(Se||x(4,[],[]),W(","),M(),l.getToken()===4&&ee)break}else Se&&x(6,[],[]);se()||x(4,[],[4,5]),Se=!0}return R(),l.getToken()!==4?x(8,[4],[]):M(),!0}function se(){switch(l.getToken()){case 3:return Z();case 1:return Y();case 10:return $(!0);default:return q()}}return M(),l.getToken()===17?o.allowEmptyContent?!0:(x(4,[],[]),!1):se()?(l.getToken()!==17&&x(9,[],[]),!0):(x(4,[],[]),!1)}e.visit=c;function u(t,r){let o=E(t),l=[],i,f=0,y;do switch(y=o.getPosition(),i=o.scan(),i){case 12:case 13:case 17:f!==y&&l.push(t.substring(f,y)),r!==void 0&&l.push(o.getTokenValue().replace(/[^\r\n]/g,r)),f=o.getPosition();break}while(i!==17);return l.join("")}e.stripComments=u;function a(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=a}),define(we[103],Ee([0,1,46]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.format=void 0;function S(D,n,A){let C,v,d,s,h;if(n){for(s=n.offset,h=s+n.length,d=s;d>0&&!k(D,d-1);)d--;let f=h;for(;f<D.length&&!k(D,f);)f++;v=D.substring(d,f),C=P(v,A)}else v=D,C=0,d=0,s=0,h=D.length;const p=E(A,D);let g=!1,b=0,c;A.insertSpaces?c=T(" ",A.tabSize||4):c="	";const u=(0,_.createScanner)(v,!1);let a=!1;function t(){return p+T(c,C+b)}function r(){let f=u.scan();for(g=!1;f===15||f===14;)g=g||f===14,f=u.scan();return a=f===16||u.getTokenError()!==0,f}const o=[];function l(f,y,I){!a&&y<h&&I>s&&D.substring(y,I)!==f&&o.push({offset:y,length:I-y,content:f})}let i=r();if(i!==17){const f=u.getTokenOffset()+d,y=T(c,C);l(y,d,f)}for(;i!==17;){let f=u.getTokenOffset()+u.getTokenLength()+d,y=r(),I="";for(;!g&&(y===12||y===13);){const w=u.getTokenOffset()+d;l(" ",f,w),f=u.getTokenOffset()+u.getTokenLength()+d,I=y===12?t():"",y=r()}if(y===2)i!==1&&(b--,I=t());else if(y===4)i!==3&&(b--,I=t());else{switch(i){case 3:case 1:b++,I=t();break;case 5:case 12:I=t();break;case 13:g?I=t():I=" ";break;case 6:I=" ";break;case 10:if(y===6){I="";break}case 7:case 8:case 9:case 11:case 2:case 4:y===12||y===13?I=" ":y!==5&&y!==17&&(a=!0);break;case 16:a=!0;break}g&&(y===12||y===13)&&(I=t())}const m=u.getTokenOffset()+d;l(I,f,m),i=y}return o}e.format=S;function T(D,n){let A="";for(let C=0;C<n;C++)A+=D;return A}function P(D,n){let A=0,C=0;const v=n.tabSize||4;for(;A<D.length;){const d=D.charAt(A);if(d===" ")C++;else if(d==="	")C+=v;else break;A++}return Math.floor(C/v)}function E(D,n){for(let A=0;A<n.length;A++){const C=n.charAt(A);if(C==="\r")return A+1<n.length&&n.charAt(A+1)===`
`?`\r
`:"\r";if(C===`
`)return`
`}return D&&D.eol||`
`}e.getEOL=E;function k(D,n){return`\r
`.indexOf(D.charAt(n))!==-1}e.isEOL=k}),define(we[104],Ee([0,1,46,103]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function T(n,A,C){return P(n,A,void 0,C)}e.removeProperty=T;function P(n,A,C,v,d){const s=A.slice(),h=[],p=(0,_.parseTree)(n,h);let g,b;for(;s.length>0&&(b=s.pop(),g=(0,_.findNodeAtLocation)(p,s),g===void 0&&C!==void 0);)typeof b=="string"?C={[b]:C}:C=[C];if(g)if(g.type==="object"&&typeof b=="string"&&Array.isArray(g.children)){const c=(0,_.findNodeAtLocation)(g,[b]);if(c!==void 0)if(C===void 0){if(!c.parent)throw new Error("Malformed AST");const u=g.children.indexOf(c.parent);let a,t=c.parent.offset+c.parent.length;if(u>0){const r=g.children[u-1];a=r.offset+r.length}else a=g.offset+1,g.children.length>1&&(t=g.children[1].offset);return E(n,{offset:a,length:t-a,content:""},v)}else return E(n,{offset:c.offset,length:c.length,content:JSON.stringify(C)},v);else{if(C===void 0)return[];const u=`${JSON.stringify(b)}: ${JSON.stringify(C)}`,a=d?d(g.children.map(r=>r.children[0].value)):g.children.length;let t;if(a>0){const r=g.children[a-1];t={offset:r.offset+r.length,length:0,content:","+u}}else g.children.length===0?t={offset:g.offset+1,length:0,content:u}:t={offset:g.offset+1,length:0,content:u+","};return E(n,t,v)}}else if(g.type==="array"&&typeof b=="number"&&Array.isArray(g.children))if(C!==void 0){const c=`${JSON.stringify(C)}`;let u;if(g.children.length===0||b===0)u={offset:g.offset+1,length:0,content:g.children.length===0?c:c+","};else{const a=b===-1||b>g.children.length?g.children.length:b,t=g.children[a-1];u={offset:t.offset+t.length,length:0,content:","+c}}return E(n,u,v)}else{const c=b,u=g.children[c];let a;if(g.children.length===1)a={offset:g.offset+1,length:g.length-2,content:""};else if(g.children.length-1===c){const t=g.children[c-1],r=t.offset+t.length,o=g.offset+g.length;a={offset:r,length:o-2-r,content:""}}else a={offset:u.offset,length:g.children[c+1].offset-u.offset,content:""};return E(n,a,v)}else throw new Error(`Can not add ${typeof b!="number"?"index":"property"} to parent of type ${g.type}`);else{if(C===void 0)throw new Error("Can not delete in empty document");return E(n,{offset:p?p.offset:0,length:p?p.length:0,content:JSON.stringify(C)},v)}}e.setProperty=P;function E(n,A,C){let v=k(n,A),d=A.offset,s=A.offset+A.content.length;if(A.length===0||A.content.length===0){for(;d>0&&!(0,S.isEOL)(v,d-1);)d--;for(;s<v.length&&!(0,S.isEOL)(v,s);)s++}const h=(0,S.format)(v,{offset:d,length:s-d},C);for(let g=h.length-1;g>=0;g--){const b=h[g];v=k(v,b),d=Math.min(d,b.offset),s=Math.max(s,b.offset+b.length),s+=b.content.length-b.length}const p=n.length-(v.length-s)-d;return[{offset:d,length:p,content:v.substring(d,s)}]}e.withFormatting=E;function k(n,A){return n.substring(0,A.offset)+A.content+n.substring(A.offset+A.length)}e.applyEdit=k;function D(n,A){let C=A.slice(0).sort((d,s)=>{const h=d.offset-s.offset;return h===0?d.length-s.length:h}),v=n.length;for(let d=C.length-1;d>=0;d--){let s=C[d];if(s.offset+s.length<=v)n=k(n,s);else throw new Error("Overlapping edit");v=s.offset}return n}e.applyEdits=D}),define(we[105],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class _{constructor(T){this.executor=T,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(T){this._error=T}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(T){return new _(()=>T(this.getValue()))}}e.Lazy=_}),define(we[6],Ee([0,1,52,54]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const T=!1;let P=null;function E(c){P=c}if(e.setDisposableTracker=E,T){const c="__is_disposable_tracked__";P=new class{trackDisposable(u){const a=new Error("Potentially leaked disposable").stack;setTimeout(()=>{u[c]||console.log(a)},3e3)}markTracked(u){if(u&&u!==h.None)try{u[c]=!0}catch(a){}}}}function k(c){!P||P.markTracked(c)}function D(c){return P&&P.trackDisposable(c),c}e.trackDisposable=D;class n extends Error{constructor(u){super(`Encountered errors while disposing of store. Errors: [${u.join(", ")}]`);this.errors=u}}e.MultiDisposeError=n;function A(c){return typeof c.dispose=="function"&&c.dispose.length===0}e.isDisposable=A;function C(c){if(S.Iterable.is(c)){let u=[];for(const a of c)if(a){k(a);try{a.dispose()}catch(t){u.push(t)}}if(u.length===1)throw u[0];if(u.length>1)throw new n(u);return Array.isArray(c)?[]:c}else if(c)return k(c),c.dispose(),c}e.dispose=C;function v(...c){return c.forEach(k),d(()=>C(c))}e.combinedDisposable=v;function d(c){const u=D({dispose:()=>{k(u),c()}});return u}e.toDisposable=d;class s{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(k(this),this._isDisposed=!0,this.clear())}clear(){try{C(this._toDispose.values())}finally{this._toDispose.clear()}}add(u){if(!u)return u;if(u===this)throw new Error("Cannot register a disposable on itself!");return k(u),this._isDisposed?s.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(u),u}}e.DisposableStore=s,s.DISABLE_DISPOSED_WARNING=!1;class h{constructor(){this._store=new s,D(this)}dispose(){k(this),this._store.dispose()}_register(u){if(u===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(u)}}e.Disposable=h,h.None=Object.freeze({dispose(){}});class p{constructor(){this._isDisposed=!1,D(this)}get value(){return this._isDisposed?void 0:this._value}set value(u){var a;this._isDisposed||u===this._value||((a=this._value)===null||a===void 0||a.dispose(),u&&k(u),this._value=u)}clear(){this.value=void 0}dispose(){var u;this._isDisposed=!0,k(this),(u=this._value)===null||u===void 0||u.dispose(),this._value=void 0}}e.MutableDisposable=p;class g{constructor(){this.references=new Map}acquire(u,...a){let t=this.references.get(u);t||(t={counter:0,object:this.createReferencedObject(u,...a)},this.references.set(u,t));const{object:r}=t,o=(0,_.once)(()=>{--t.counter==0&&(this.destroyReferencedObject(u,t.object),this.references.delete(u))});return t.counter++,{object:r,dispose:o}}}e.ReferenceCollection=g;class b{constructor(u){this.object=u}dispose(){}}e.ImmortalReference=b}),define(we[47],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class _{constructor(P){this.element=P,this.next=_.Undefined,this.prev=_.Undefined}}_.Undefined=new _(void 0);class S{constructor(){this._first=_.Undefined,this._last=_.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===_.Undefined}clear(){this._first=_.Undefined,this._last=_.Undefined,this._size=0}unshift(P){return this._insert(P,!1)}push(P){return this._insert(P,!0)}_insert(P,E){const k=new _(P);if(this._first===_.Undefined)this._first=k,this._last=k;else if(E){const n=this._last;this._last=k,k.prev=n,n.next=k}else{const n=this._first;this._first=k,k.next=n,n.prev=k}this._size+=1;let D=!1;return()=>{D||(D=!0,this._remove(k))}}shift(){if(this._first!==_.Undefined){const P=this._first.element;return this._remove(this._first),P}}pop(){if(this._last!==_.Undefined){const P=this._last.element;return this._remove(this._last),P}}_remove(P){if(P.prev!==_.Undefined&&P.next!==_.Undefined){const E=P.prev;E.next=P.next,P.next.prev=E}else P.prev===_.Undefined&&P.next===_.Undefined?(this._first=_.Undefined,this._last=_.Undefined):P.next===_.Undefined?(this._last=this._last.prev,this._last.next=_.Undefined):P.prev===_.Undefined&&(this._first=this._first.next,this._first.prev=_.Undefined);this._size-=1}*[Symbol.iterator](){let P=this._first;for(;P!==_.Undefined;)yield P.element,P=P.next}}e.LinkedList=S}),function(ae,e){typeof exports=="object"&&typeof module!="undefined"?module.exports=e():typeof define=="function"&&define.amd?define("vs/base/common/marked/marked",e):(ae=typeof globalThis!="undefined"?globalThis:ae||self,ae.marked=e())}(this,function(){"use strict";function ae(B,te){for(var ce=0;ce<te.length;ce++){var z=te[ce];z.enumerable=z.enumerable||!1,z.configurable=!0,"value"in z&&(z.writable=!0),Object.defineProperty(B,z.key,z)}}function e(B,te,ce){return te&&ae(B.prototype,te),ce&&ae(B,ce),B}function _(B,te){if(!!B){if(typeof B=="string")return S(B,te);var ce=Object.prototype.toString.call(B).slice(8,-1);if(ce==="Object"&&B.constructor&&(ce=B.constructor.name),ce==="Map"||ce==="Set")return Array.from(B);if(ce==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(ce))return S(B,te)}}function S(B,te){(te==null||te>B.length)&&(te=B.length);for(var ce=0,z=new Array(te);ce<te;ce++)z[ce]=B[ce];return z}function T(B,te){var ce;if(typeof Symbol=="undefined"||B[Symbol.iterator]==null){if(Array.isArray(B)||(ce=_(B))||te&&B&&typeof B.length=="number"){ce&&(B=ce);var z=0;return function(){return z>=B.length?{done:!0}:{done:!1,value:B[z++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}return ce=B[Symbol.iterator](),ce.next.bind(ce)}function P(B){var te={exports:{}};return B(te,te.exports),te.exports}var E=P(function(B){function te(){return{baseUrl:null,breaks:!1,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}function ce(z){B.exports.defaults=z}B.exports={defaults:te(),getDefaults:te,changeDefaults:ce}}),k=/[&<>"']/,D=/[&<>"']/g,n=/[<>"']|&(?!#?\w+;)/,A=/[<>"']|&(?!#?\w+;)/g,C={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},v=function(te){return C[te]};function d(B,te){if(te){if(k.test(B))return B.replace(D,v)}else if(n.test(B))return B.replace(A,v);return B}var s=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function h(B){return B.replace(s,function(te,ce){return ce=ce.toLowerCase(),ce==="colon"?":":ce.charAt(0)==="#"?ce.charAt(1)==="x"?String.fromCharCode(parseInt(ce.substring(2),16)):String.fromCharCode(+ce.substring(1)):""})}var p=/(^|[^\[])\^/g;function g(B,te){B=B.source||B,te=te||"";var ce={replace:function(G,le){return le=le.source||le,le=le.replace(p,"$1"),B=B.replace(G,le),ce},getRegex:function(){return new RegExp(B,te)}};return ce}var b=/[^\w:]/g,c=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function u(B,te,ce){if(B){var z;try{z=decodeURIComponent(h(ce)).replace(b,"").toLowerCase()}catch(G){return null}if(z.indexOf("javascript:")===0||z.indexOf("vbscript:")===0||z.indexOf("data:")===0)return null}te&&!c.test(ce)&&(ce=l(te,ce));try{ce=encodeURI(ce).replace(/%25/g,"%")}catch(G){return null}return ce}var a={},t=/^[^:]+:\/*[^/]*$/,r=/^([^:]+:)[\s\S]*$/,o=/^([^:]+:\/*[^/]*)[\s\S]*$/;function l(B,te){a[" "+B]||(t.test(B)?a[" "+B]=B+"/":a[" "+B]=I(B,"/",!0)),B=a[" "+B];var ce=B.indexOf(":")===-1;return te.substring(0,2)==="//"?ce?te:B.replace(r,"$1")+te:te.charAt(0)==="/"?ce?te:B.replace(o,"$1")+te:B+te}var i={exec:function(){}};function f(B){for(var te=1,ce,z;te<arguments.length;te++){ce=arguments[te];for(z in ce)Object.prototype.hasOwnProperty.call(ce,z)&&(B[z]=ce[z])}return B}function y(B,te){var ce=B.replace(/\|/g,function(le,fe,ve){for(var xe=!1,Oe=fe;--Oe>=0&&ve[Oe]==="\\";)xe=!xe;return xe?"|":" |"}),z=ce.split(/ \|/),G=0;if(z.length>te)z.splice(te);else for(;z.length<te;)z.push("");for(;G<z.length;G++)z[G]=z[G].trim().replace(/\\\|/g,"|");return z}function I(B,te,ce){var z=B.length;if(z===0)return"";for(var G=0;G<z;){var le=B.charAt(z-G-1);if(le===te&&!ce)G++;else if(le!==te&&ce)G++;else break}return B.substr(0,z-G)}function m(B,te){if(B.indexOf(te[1])===-1)return-1;for(var ce=B.length,z=0,G=0;G<ce;G++)if(B[G]==="\\")G++;else if(B[G]===te[0])z++;else if(B[G]===te[1]&&(z--,z<0))return G;return-1}function w(B){B&&B.sanitize&&!B.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function R(B,te){if(te<1)return"";for(var ce="";te>1;)te&1&&(ce+=B),te>>=1,B+=B;return ce+B}var F={escape:d,unescape:h,edit:g,cleanUrl:u,resolveUrl:l,noopTest:i,merge:f,splitCells:y,rtrim:I,findClosingBracket:m,checkSanitizeDeprecation:w,repeatString:R},W=E.defaults,oe=F.rtrim,ie=F.splitCells,j=F.escape,ee=F.findClosingBracket;function M(B,te,ce){var z=te.href,G=te.title?j(te.title):null,le=B[1].replace(/\\([\[\]])/g,"$1");return B[0].charAt(0)!=="!"?{type:"link",raw:ce,href:z,title:G,text:le}:{type:"image",raw:ce,href:z,title:G,text:j(le)}}function x(B,te){var ce=B.match(/^(\s+)(?:```)/);if(ce===null)return te;var z=ce[1];return te.split(`
`).map(function(G){var le=G.match(/^\s+/);if(le===null)return G;var fe=le[0];return fe.length>=z.length?G.slice(z.length):G}).join(`
`)}var $=function(){function B(ce){this.options=ce||W}var te=B.prototype;return te.space=function(z){var G=this.rules.block.newline.exec(z);if(G)return G[0].length>1?{type:"space",raw:G[0]}:{raw:`
`}},te.code=function(z){var G=this.rules.block.code.exec(z);if(G){var le=G[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:G[0],codeBlockStyle:"indented",text:this.options.pedantic?le:oe(le,`
`)}}},te.fences=function(z){var G=this.rules.block.fences.exec(z);if(G){var le=G[0],fe=x(le,G[3]||"");return{type:"code",raw:le,lang:G[2]?G[2].trim():G[2],text:fe}}},te.heading=function(z){var G=this.rules.block.heading.exec(z);if(G){var le=G[2].trim();if(/#$/.test(le)){var fe=oe(le,"#");(this.options.pedantic||!fe||/ $/.test(fe))&&(le=fe.trim())}return{type:"heading",raw:G[0],depth:G[1].length,text:le}}},te.nptable=function(z){var G=this.rules.block.nptable.exec(z);if(G){var le={type:"table",header:ie(G[1].replace(/^ *| *\| *$/g,"")),align:G[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:G[3]?G[3].replace(/\n$/,"").split(`
`):[],raw:G[0]};if(le.header.length===le.align.length){var fe=le.align.length,ve;for(ve=0;ve<fe;ve++)/^ *-+: *$/.test(le.align[ve])?le.align[ve]="right":/^ *:-+: *$/.test(le.align[ve])?le.align[ve]="center":/^ *:-+ *$/.test(le.align[ve])?le.align[ve]="left":le.align[ve]=null;for(fe=le.cells.length,ve=0;ve<fe;ve++)le.cells[ve]=ie(le.cells[ve],le.header.length);return le}}},te.hr=function(z){var G=this.rules.block.hr.exec(z);if(G)return{type:"hr",raw:G[0]}},te.blockquote=function(z){var G=this.rules.block.blockquote.exec(z);if(G){var le=G[0].replace(/^ *> ?/gm,"");return{type:"blockquote",raw:G[0],text:le}}},te.list=function(z){var G=this.rules.block.list.exec(z);if(G){var le=G[0],fe=G[2],ve=fe.length>1,xe={type:"list",raw:le,ordered:ve,start:ve?+fe.slice(0,-1):"",loose:!1,items:[]},Oe=G[0].match(this.rules.block.item),Ve=!1,Qe,Ze,ht,rt,pe,he,ue,K,ke=Oe.length;ht=this.rules.block.listItemStart.exec(Oe[0]);for(var Te=0;Te<ke;Te++){if(Qe=Oe[Te],le=Qe,Te!==ke-1){if(rt=this.rules.block.listItemStart.exec(Oe[Te+1]),this.options.pedantic?rt[1].length>ht[1].length:rt[1].length>ht[0].length||rt[1].length>3){Oe.splice(Te,2,Oe[Te]+`
`+Oe[Te+1]),Te--,ke--;continue}else(!this.options.pedantic||this.options.smartLists?rt[2][rt[2].length-1]!==fe[fe.length-1]:ve===(rt[2].length===1))&&(pe=Oe.slice(Te+1).join(`
`),xe.raw=xe.raw.substring(0,xe.raw.length-pe.length),Te=ke-1);ht=rt}Ze=Qe.length,Qe=Qe.replace(/^ *([*+-]|\d+[.)]) ?/,""),~Qe.indexOf(`
 `)&&(Ze-=Qe.length,Qe=this.options.pedantic?Qe.replace(/^ {1,4}/gm,""):Qe.replace(new RegExp("^ {1,"+Ze+"}","gm"),"")),he=Ve||/\n\n(?!\s*$)/.test(Qe),Te!==ke-1&&(Ve=Qe.charAt(Qe.length-1)===`
`,he||(he=Ve)),he&&(xe.loose=!0),this.options.gfm&&(ue=/^\[[ xX]\] /.test(Qe),K=void 0,ue&&(K=Qe[1]!==" ",Qe=Qe.replace(/^\[[ xX]\] +/,""))),xe.items.push({type:"list_item",raw:le,task:ue,checked:K,loose:he,text:Qe})}return xe}},te.html=function(z){var G=this.rules.block.html.exec(z);if(G)return{type:this.options.sanitize?"paragraph":"html",raw:G[0],pre:!this.options.sanitizer&&(G[1]==="pre"||G[1]==="script"||G[1]==="style"),text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(G[0]):j(G[0]):G[0]}},te.def=function(z){var G=this.rules.block.def.exec(z);if(G){G[3]&&(G[3]=G[3].substring(1,G[3].length-1));var le=G[1].toLowerCase().replace(/\s+/g," ");return{tag:le,raw:G[0],href:G[2],title:G[3]}}},te.table=function(z){var G=this.rules.block.table.exec(z);if(G){var le={type:"table",header:ie(G[1].replace(/^ *| *\| *$/g,"")),align:G[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:G[3]?G[3].replace(/\n$/,"").split(`
`):[]};if(le.header.length===le.align.length){le.raw=G[0];var fe=le.align.length,ve;for(ve=0;ve<fe;ve++)/^ *-+: *$/.test(le.align[ve])?le.align[ve]="right":/^ *:-+: *$/.test(le.align[ve])?le.align[ve]="center":/^ *:-+ *$/.test(le.align[ve])?le.align[ve]="left":le.align[ve]=null;for(fe=le.cells.length,ve=0;ve<fe;ve++)le.cells[ve]=ie(le.cells[ve].replace(/^ *\| *| *\| *$/g,""),le.header.length);return le}}},te.lheading=function(z){var G=this.rules.block.lheading.exec(z);if(G)return{type:"heading",raw:G[0],depth:G[2].charAt(0)==="="?1:2,text:G[1]}},te.paragraph=function(z){var G=this.rules.block.paragraph.exec(z);if(G)return{type:"paragraph",raw:G[0],text:G[1].charAt(G[1].length-1)===`
`?G[1].slice(0,-1):G[1]}},te.text=function(z){var G=this.rules.block.text.exec(z);if(G)return{type:"text",raw:G[0],text:G[0]}},te.escape=function(z){var G=this.rules.inline.escape.exec(z);if(G)return{type:"escape",raw:G[0],text:j(G[1])}},te.tag=function(z,G,le){var fe=this.rules.inline.tag.exec(z);if(fe)return!G&&/^<a /i.test(fe[0])?G=!0:G&&/^<\/a>/i.test(fe[0])&&(G=!1),!le&&/^<(pre|code|kbd|script)(\s|>)/i.test(fe[0])?le=!0:le&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(fe[0])&&(le=!1),{type:this.options.sanitize?"text":"html",raw:fe[0],inLink:G,inRawBlock:le,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(fe[0]):j(fe[0]):fe[0]}},te.link=function(z){var G=this.rules.inline.link.exec(z);if(G){var le=G[2].trim();if(!this.options.pedantic&&/^</.test(le)){if(!/>$/.test(le))return;var fe=oe(le.slice(0,-1),"\\");if((le.length-fe.length)%2==0)return}else{var ve=ee(G[2],"()");if(ve>-1){var xe=G[0].indexOf("!")===0?5:4,Oe=xe+G[1].length+ve;G[2]=G[2].substring(0,ve),G[0]=G[0].substring(0,Oe).trim(),G[3]=""}}var Ve=G[2],Qe="";if(this.options.pedantic){var Ze=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(Ve);Ze&&(Ve=Ze[1],Qe=Ze[3])}else Qe=G[3]?G[3].slice(1,-1):"";return Ve=Ve.trim(),/^</.test(Ve)&&(this.options.pedantic&&!/>$/.test(le)?Ve=Ve.slice(1):Ve=Ve.slice(1,-1)),M(G,{href:Ve&&Ve.replace(this.rules.inline._escapes,"$1"),title:Qe&&Qe.replace(this.rules.inline._escapes,"$1")},G[0])}},te.reflink=function(z,G){var le;if((le=this.rules.inline.reflink.exec(z))||(le=this.rules.inline.nolink.exec(z))){var fe=(le[2]||le[1]).replace(/\s+/g," ");if(fe=G[fe.toLowerCase()],!fe||!fe.href){var ve=le[0].charAt(0);return{type:"text",raw:ve,text:ve}}return M(le,fe,le[0])}},te.emStrong=function(z,G,le){le===void 0&&(le="");var fe=this.rules.inline.emStrong.lDelim.exec(z);if(!!fe&&!(fe[3]&&le.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u08A0-\u08B4\u08B6-\u08C7\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\u9FFC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7BF\uA7C2-\uA7CA\uA7F5-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEC0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82C[\uDC00-\uDD1E\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDD\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var ve=fe[1]||fe[2]||"";if(!ve||ve&&(le===""||this.rules.inline.punctuation.exec(le))){var xe=fe[0].length-1,Oe,Ve,Qe=xe,Ze=0,ht=fe[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(ht.lastIndex=0,G=G.slice(-1*z.length+xe);(fe=ht.exec(G))!=null;)if(Oe=fe[1]||fe[2]||fe[3]||fe[4]||fe[5]||fe[6],!!Oe){if(Ve=Oe.length,fe[3]||fe[4]){Qe+=Ve;continue}else if((fe[5]||fe[6])&&xe%3&&!((xe+Ve)%3)){Ze+=Ve;continue}if(Qe-=Ve,!(Qe>0)){if(Qe+Ze-Ve<=0&&!G.slice(ht.lastIndex).match(ht)&&(Ve=Math.min(Ve,Ve+Qe+Ze)),Math.min(xe,Ve)%2)return{type:"em",raw:z.slice(0,xe+fe.index+Ve+1),text:z.slice(1,xe+fe.index+Ve)};if(Math.min(xe,Ve)%2==0)return{type:"strong",raw:z.slice(0,xe+fe.index+Ve+1),text:z.slice(2,xe+fe.index+Ve-1)}}}}}},te.codespan=function(z){var G=this.rules.inline.code.exec(z);if(G){var le=G[2].replace(/\n/g," "),fe=/[^ ]/.test(le),ve=/^ /.test(le)&&/ $/.test(le);return fe&&ve&&(le=le.substring(1,le.length-1)),le=j(le,!0),{type:"codespan",raw:G[0],text:le}}},te.br=function(z){var G=this.rules.inline.br.exec(z);if(G)return{type:"br",raw:G[0]}},te.del=function(z){var G=this.rules.inline.del.exec(z);if(G)return{type:"del",raw:G[0],text:G[2]}},te.autolink=function(z,G){var le=this.rules.inline.autolink.exec(z);if(le){var fe,ve;return le[2]==="@"?(fe=j(this.options.mangle?G(le[1]):le[1]),ve="mailto:"+fe):(fe=j(le[1]),ve=fe),{type:"link",raw:le[0],text:fe,href:ve,tokens:[{type:"text",raw:fe,text:fe}]}}},te.url=function(z,G){var le;if(le=this.rules.inline.url.exec(z)){var fe,ve;if(le[2]==="@")fe=j(this.options.mangle?G(le[0]):le[0]),ve="mailto:"+fe;else{var xe;do xe=le[0],le[0]=this.rules.inline._backpedal.exec(le[0])[0];while(xe!==le[0]);fe=j(le[0]),le[1]==="www."?ve="http://"+fe:ve=fe}return{type:"link",raw:le[0],text:fe,href:ve,tokens:[{type:"text",raw:fe,text:fe}]}}},te.inlineText=function(z,G,le){var fe=this.rules.inline.text.exec(z);if(fe){var ve;return G?ve=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(fe[0]):j(fe[0]):fe[0]:ve=j(this.options.smartypants?le(fe[0]):fe[0]),{type:"text",raw:fe[0],text:ve}}},B}(),q=F.noopTest,U=F.edit,Y=F.merge,Z={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?:\n+|$)|$)/,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3})(bull) [\s\S]+?(?:hr|def|\n{2,}(?! )(?! {0,3}bull )\n*|\s*$)/,html:"^ {0,3}(?:<(script|pre|style)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:\\n{2,}|$)|<(?!script|pre|style)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$)|</(?!script|pre|style)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$))",def:/^ {0,3}\[(label)\]: *\n? *<?([^\s>]+)>?(?:(?: +\n? *| *\n *)(title))? *(?:\n+|$)/,nptable:q,table:q,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html| +\n)[^\n]+)*)/,text:/^[^\n]+/};Z._label=/(?!\s*\])(?:\\[\[\]]|[^\[\]])+/,Z._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,Z.def=U(Z.def).replace("label",Z._label).replace("title",Z._title).getRegex(),Z.bullet=/(?:[*+-]|\d{1,9}[.)])/,Z.item=/^( *)(bull) ?[^\n]*(?:\n(?! *bull ?)[^\n]*)*/,Z.item=U(Z.item,"gm").replace(/bull/g,Z.bullet).getRegex(),Z.listItemStart=U(/^( *)(bull)/).replace("bull",Z.bullet).getRegex(),Z.list=U(Z.list).replace(/bull/g,Z.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+Z.def.source+")").getRegex(),Z._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",Z._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,Z.html=U(Z.html,"i").replace("comment",Z._comment).replace("tag",Z._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),Z.paragraph=U(Z._paragraph).replace("hr",Z.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",Z._tag).getRegex(),Z.blockquote=U(Z.blockquote).replace("paragraph",Z.paragraph).getRegex(),Z.normal=Y({},Z),Z.gfm=Y({},Z.normal,{nptable:"^ *([^|\\n ].*\\|.*)\\n {0,3}([-:]+ *\\|[-| :]*)(?:\\n((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)",table:"^ *\\|(.+)\\n {0,3}\\|?( *[-:]+[-| :]*)(?:\\n *((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),Z.gfm.nptable=U(Z.gfm.nptable).replace("hr",Z.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",Z._tag).getRegex(),Z.gfm.table=U(Z.gfm.table).replace("hr",Z.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",Z._tag).getRegex(),Z.pedantic=Y({},Z.normal,{html:U(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",Z._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:q,paragraph:U(Z.normal._paragraph).replace("hr",Z.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",Z.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var se={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:q,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(?!\s*\])((?:\\[\[\]]?|[^\[\]\\])+)\]/,nolink:/^!?\[(?!\s*\])((?:\[[^\[\]]*\]|\\[\[\]]|[^\[\]])*)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/\_\_[^_]*?\*[^_]*?\_\_|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/\*\*[^*]*?\_[^*]*?\*\*|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:q,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};se._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",se.punctuation=U(se.punctuation).replace(/punctuation/g,se._punctuation).getRegex(),se.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,se.escapedEmSt=/\\\*|\\_/g,se._comment=U(Z._comment).replace("(?:-->|$)","-->").getRegex(),se.emStrong.lDelim=U(se.emStrong.lDelim).replace(/punct/g,se._punctuation).getRegex(),se.emStrong.rDelimAst=U(se.emStrong.rDelimAst,"g").replace(/punct/g,se._punctuation).getRegex(),se.emStrong.rDelimUnd=U(se.emStrong.rDelimUnd,"g").replace(/punct/g,se._punctuation).getRegex(),se._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,se._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,se._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,se.autolink=U(se.autolink).replace("scheme",se._scheme).replace("email",se._email).getRegex(),se._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,se.tag=U(se.tag).replace("comment",se._comment).replace("attribute",se._attribute).getRegex(),se._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,se._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,se._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,se.link=U(se.link).replace("label",se._label).replace("href",se._href).replace("title",se._title).getRegex(),se.reflink=U(se.reflink).replace("label",se._label).getRegex(),se.reflinkSearch=U(se.reflinkSearch,"g").replace("reflink",se.reflink).replace("nolink",se.nolink).getRegex(),se.normal=Y({},se),se.pedantic=Y({},se.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:U(/^!?\[(label)\]\((.*?)\)/).replace("label",se._label).getRegex(),reflink:U(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",se._label).getRegex()}),se.gfm=Y({},se.normal,{escape:U(se.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))/}),se.gfm.url=U(se.gfm.url,"i").replace("email",se.gfm._extended_email).getRegex(),se.breaks=Y({},se.gfm,{br:U(se.br).replace("{2,}","*").getRegex(),text:U(se.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});var Se={block:Z,inline:se},Pe=E.defaults,$e=Se.block,Fe=Se.inline,He=F.repeatString;function N(B){return B.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function V(B){var te="",ce,z,G=B.length;for(ce=0;ce<G;ce++)z=B.charCodeAt(ce),Math.random()>.5&&(z="x"+z.toString(16)),te+="&#"+z+";";return te}var X=function(){function B(ce){this.tokens=[],this.tokens.links=Object.create(null),this.options=ce||Pe,this.options.tokenizer=this.options.tokenizer||new $,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options;var z={block:$e.normal,inline:Fe.normal};this.options.pedantic?(z.block=$e.pedantic,z.inline=Fe.pedantic):this.options.gfm&&(z.block=$e.gfm,this.options.breaks?z.inline=Fe.breaks:z.inline=Fe.gfm),this.tokenizer.rules=z}B.lex=function(z,G){var le=new B(G);return le.lex(z)},B.lexInline=function(z,G){var le=new B(G);return le.inlineTokens(z)};var te=B.prototype;return te.lex=function(z){return z=z.replace(/\r\n|\r/g,`
`).replace(/\t/g,"    "),this.blockTokens(z,this.tokens,!0),this.inline(this.tokens),this.tokens},te.blockTokens=function(z,G,le){G===void 0&&(G=[]),le===void 0&&(le=!0),this.options.pedantic&&(z=z.replace(/^ +$/gm,""));for(var fe,ve,xe,Oe;z;){if(fe=this.tokenizer.space(z)){z=z.substring(fe.raw.length),fe.type&&G.push(fe);continue}if(fe=this.tokenizer.code(z)){z=z.substring(fe.raw.length),Oe=G[G.length-1],Oe&&Oe.type==="paragraph"?(Oe.raw+=`
`+fe.raw,Oe.text+=`
`+fe.text):G.push(fe);continue}if(fe=this.tokenizer.fences(z)){z=z.substring(fe.raw.length),G.push(fe);continue}if(fe=this.tokenizer.heading(z)){z=z.substring(fe.raw.length),G.push(fe);continue}if(fe=this.tokenizer.nptable(z)){z=z.substring(fe.raw.length),G.push(fe);continue}if(fe=this.tokenizer.hr(z)){z=z.substring(fe.raw.length),G.push(fe);continue}if(fe=this.tokenizer.blockquote(z)){z=z.substring(fe.raw.length),fe.tokens=this.blockTokens(fe.text,[],le),G.push(fe);continue}if(fe=this.tokenizer.list(z)){for(z=z.substring(fe.raw.length),xe=fe.items.length,ve=0;ve<xe;ve++)fe.items[ve].tokens=this.blockTokens(fe.items[ve].text,[],!1);G.push(fe);continue}if(fe=this.tokenizer.html(z)){z=z.substring(fe.raw.length),G.push(fe);continue}if(le&&(fe=this.tokenizer.def(z))){z=z.substring(fe.raw.length),this.tokens.links[fe.tag]||(this.tokens.links[fe.tag]={href:fe.href,title:fe.title});continue}if(fe=this.tokenizer.table(z)){z=z.substring(fe.raw.length),G.push(fe);continue}if(fe=this.tokenizer.lheading(z)){z=z.substring(fe.raw.length),G.push(fe);continue}if(le&&(fe=this.tokenizer.paragraph(z))){z=z.substring(fe.raw.length),G.push(fe);continue}if(fe=this.tokenizer.text(z)){z=z.substring(fe.raw.length),Oe=G[G.length-1],Oe&&Oe.type==="text"?(Oe.raw+=`
`+fe.raw,Oe.text+=`
`+fe.text):G.push(fe);continue}if(z){var Ve="Infinite loop on byte: "+z.charCodeAt(0);if(this.options.silent){console.error(Ve);break}else throw new Error(Ve)}}return G},te.inline=function(z){var G,le,fe,ve,xe,Oe,Ve=z.length;for(G=0;G<Ve;G++)switch(Oe=z[G],Oe.type){case"paragraph":case"text":case"heading":{Oe.tokens=[],this.inlineTokens(Oe.text,Oe.tokens);break}case"table":{for(Oe.tokens={header:[],cells:[]},ve=Oe.header.length,le=0;le<ve;le++)Oe.tokens.header[le]=[],this.inlineTokens(Oe.header[le],Oe.tokens.header[le]);for(ve=Oe.cells.length,le=0;le<ve;le++)for(xe=Oe.cells[le],Oe.tokens.cells[le]=[],fe=0;fe<xe.length;fe++)Oe.tokens.cells[le][fe]=[],this.inlineTokens(xe[fe],Oe.tokens.cells[le][fe]);break}case"blockquote":{this.inline(Oe.tokens);break}case"list":{for(ve=Oe.items.length,le=0;le<ve;le++)this.inline(Oe.items[le].tokens);break}}return z},te.inlineTokens=function(z,G,le,fe){G===void 0&&(G=[]),le===void 0&&(le=!1),fe===void 0&&(fe=!1);var ve,xe,Oe=z,Ve,Qe,Ze;if(this.tokens.links){var ht=Object.keys(this.tokens.links);if(ht.length>0)for(;(Ve=this.tokenizer.rules.inline.reflinkSearch.exec(Oe))!=null;)ht.includes(Ve[0].slice(Ve[0].lastIndexOf("[")+1,-1))&&(Oe=Oe.slice(0,Ve.index)+"["+He("a",Ve[0].length-2)+"]"+Oe.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(Ve=this.tokenizer.rules.inline.blockSkip.exec(Oe))!=null;)Oe=Oe.slice(0,Ve.index)+"["+He("a",Ve[0].length-2)+"]"+Oe.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(Ve=this.tokenizer.rules.inline.escapedEmSt.exec(Oe))!=null;)Oe=Oe.slice(0,Ve.index)+"++"+Oe.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;z;){if(Qe||(Ze=""),Qe=!1,ve=this.tokenizer.escape(z)){z=z.substring(ve.raw.length),G.push(ve);continue}if(ve=this.tokenizer.tag(z,le,fe)){z=z.substring(ve.raw.length),le=ve.inLink,fe=ve.inRawBlock;var rt=G[G.length-1];rt&&ve.type==="text"&&rt.type==="text"?(rt.raw+=ve.raw,rt.text+=ve.text):G.push(ve);continue}if(ve=this.tokenizer.link(z)){z=z.substring(ve.raw.length),ve.type==="link"&&(ve.tokens=this.inlineTokens(ve.text,[],!0,fe)),G.push(ve);continue}if(ve=this.tokenizer.reflink(z,this.tokens.links)){z=z.substring(ve.raw.length);var pe=G[G.length-1];ve.type==="link"?(ve.tokens=this.inlineTokens(ve.text,[],!0,fe),G.push(ve)):pe&&ve.type==="text"&&pe.type==="text"?(pe.raw+=ve.raw,pe.text+=ve.text):G.push(ve);continue}if(ve=this.tokenizer.emStrong(z,Oe,Ze)){z=z.substring(ve.raw.length),ve.tokens=this.inlineTokens(ve.text,[],le,fe),G.push(ve);continue}if(ve=this.tokenizer.codespan(z)){z=z.substring(ve.raw.length),G.push(ve);continue}if(ve=this.tokenizer.br(z)){z=z.substring(ve.raw.length),G.push(ve);continue}if(ve=this.tokenizer.del(z)){z=z.substring(ve.raw.length),ve.tokens=this.inlineTokens(ve.text,[],le,fe),G.push(ve);continue}if(ve=this.tokenizer.autolink(z,V)){z=z.substring(ve.raw.length),G.push(ve);continue}if(!le&&(ve=this.tokenizer.url(z,V))){z=z.substring(ve.raw.length),G.push(ve);continue}if(ve=this.tokenizer.inlineText(z,fe,N)){z=z.substring(ve.raw.length),ve.raw.slice(-1)!=="_"&&(Ze=ve.raw.slice(-1)),Qe=!0,xe=G[G.length-1],xe&&xe.type==="text"?(xe.raw+=ve.raw,xe.text+=ve.text):G.push(ve);continue}if(z){var he="Infinite loop on byte: "+z.charCodeAt(0);if(this.options.silent){console.error(he);break}else throw new Error(he)}}return G},e(B,null,[{key:"rules",get:function(){return{block:$e,inline:Fe}}}]),B}(),re=E.defaults,me=F.cleanUrl,De=F.escape,Le=function(){function B(ce){this.options=ce||re}var te=B.prototype;return te.code=function(z,G,le){var fe=(G||"").match(/\S*/)[0];if(this.options.highlight){var ve=this.options.highlight(z,fe);ve!=null&&ve!==z&&(le=!0,z=ve)}return z=z.replace(/\n$/,"")+`
`,fe?'<pre><code class="'+this.options.langPrefix+De(fe,!0)+'">'+(le?z:De(z,!0))+`</code></pre>
`:"<pre><code>"+(le?z:De(z,!0))+`</code></pre>
`},te.blockquote=function(z){return`<blockquote>
`+z+`</blockquote>
`},te.html=function(z){return z},te.heading=function(z,G,le,fe){return this.options.headerIds?"<h"+G+' id="'+this.options.headerPrefix+fe.slug(le)+'">'+z+"</h"+G+`>
`:"<h"+G+">"+z+"</h"+G+`>
`},te.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},te.list=function(z,G,le){var fe=G?"ol":"ul",ve=G&&le!==1?' start="'+le+'"':"";return"<"+fe+ve+`>
`+z+"</"+fe+`>
`},te.listitem=function(z){return"<li>"+z+`</li>
`},te.checkbox=function(z){return"<input "+(z?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},te.paragraph=function(z){return"<p>"+z+`</p>
`},te.table=function(z,G){return G&&(G="<tbody>"+G+"</tbody>"),`<table>
<thead>
`+z+`</thead>
`+G+`</table>
`},te.tablerow=function(z){return`<tr>
`+z+`</tr>
`},te.tablecell=function(z,G){var le=G.header?"th":"td",fe=G.align?"<"+le+' align="'+G.align+'">':"<"+le+">";return fe+z+"</"+le+`>
`},te.strong=function(z){return"<strong>"+z+"</strong>"},te.em=function(z){return"<em>"+z+"</em>"},te.codespan=function(z){return"<code>"+z+"</code>"},te.br=function(){return this.options.xhtml?"<br/>":"<br>"},te.del=function(z){return"<del>"+z+"</del>"},te.link=function(z,G,le){if(z=me(this.options.sanitize,this.options.baseUrl,z),z===null)return le;var fe='<a href="'+De(z)+'"';return G&&(fe+=' title="'+G+'"'),fe+=">"+le+"</a>",fe},te.image=function(z,G,le){if(z=me(this.options.sanitize,this.options.baseUrl,z),z===null)return le;var fe='<img src="'+z+'" alt="'+le+'"';return G&&(fe+=' title="'+G+'"'),fe+=this.options.xhtml?"/>":">",fe},te.text=function(z){return z},B}(),ge=function(){function B(){}var te=B.prototype;return te.strong=function(z){return z},te.em=function(z){return z},te.codespan=function(z){return z},te.del=function(z){return z},te.html=function(z){return z},te.text=function(z){return z},te.link=function(z,G,le){return""+le},te.image=function(z,G,le){return""+le},te.br=function(){return""},B}(),Ce=function(){function B(){this.seen={}}var te=B.prototype;return te.serialize=function(z){return z.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},te.getNextSafeSlug=function(z,G){var le=z,fe=0;if(this.seen.hasOwnProperty(le)){fe=this.seen[z];do fe++,le=z+"-"+fe;while(this.seen.hasOwnProperty(le))}return G||(this.seen[z]=fe,this.seen[le]=0),le},te.slug=function(z,G){G===void 0&&(G={});var le=this.serialize(z);return this.getNextSafeSlug(le,G.dryrun)},B}(),Ae=E.defaults,Ue=F.unescape,be=function(){function B(ce){this.options=ce||Ae,this.options.renderer=this.options.renderer||new Le,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new ge,this.slugger=new Ce}B.parse=function(z,G){var le=new B(G);return le.parse(z)},B.parseInline=function(z,G){var le=new B(G);return le.parseInline(z)};var te=B.prototype;return te.parse=function(z,G){G===void 0&&(G=!0);var le="",fe,ve,xe,Oe,Ve,Qe,Ze,ht,rt,pe,he,ue,K,ke,Te,et,Ge,nt,ct=z.length;for(fe=0;fe<ct;fe++)switch(pe=z[fe],pe.type){case"space":continue;case"hr":{le+=this.renderer.hr();continue}case"heading":{le+=this.renderer.heading(this.parseInline(pe.tokens),pe.depth,Ue(this.parseInline(pe.tokens,this.textRenderer)),this.slugger);continue}case"code":{le+=this.renderer.code(pe.text,pe.lang,pe.escaped);continue}case"table":{for(ht="",Ze="",Oe=pe.header.length,ve=0;ve<Oe;ve++)Ze+=this.renderer.tablecell(this.parseInline(pe.tokens.header[ve]),{header:!0,align:pe.align[ve]});for(ht+=this.renderer.tablerow(Ze),rt="",Oe=pe.cells.length,ve=0;ve<Oe;ve++){for(Qe=pe.tokens.cells[ve],Ze="",Ve=Qe.length,xe=0;xe<Ve;xe++)Ze+=this.renderer.tablecell(this.parseInline(Qe[xe]),{header:!1,align:pe.align[xe]});rt+=this.renderer.tablerow(Ze)}le+=this.renderer.table(ht,rt);continue}case"blockquote":{rt=this.parse(pe.tokens),le+=this.renderer.blockquote(rt);continue}case"list":{for(he=pe.ordered,ue=pe.start,K=pe.loose,Oe=pe.items.length,rt="",ve=0;ve<Oe;ve++)Te=pe.items[ve],et=Te.checked,Ge=Te.task,ke="",Te.task&&(nt=this.renderer.checkbox(et),K?Te.tokens.length>0&&Te.tokens[0].type==="text"?(Te.tokens[0].text=nt+" "+Te.tokens[0].text,Te.tokens[0].tokens&&Te.tokens[0].tokens.length>0&&Te.tokens[0].tokens[0].type==="text"&&(Te.tokens[0].tokens[0].text=nt+" "+Te.tokens[0].tokens[0].text)):Te.tokens.unshift({type:"text",text:nt}):ke+=nt),ke+=this.parse(Te.tokens,K),rt+=this.renderer.listitem(ke,Ge,et);le+=this.renderer.list(rt,he,ue);continue}case"html":{le+=this.renderer.html(pe.text);continue}case"paragraph":{le+=this.renderer.paragraph(this.parseInline(pe.tokens));continue}case"text":{for(rt=pe.tokens?this.parseInline(pe.tokens):pe.text;fe+1<ct&&z[fe+1].type==="text";)pe=z[++fe],rt+=`
`+(pe.tokens?this.parseInline(pe.tokens):pe.text);le+=G?this.renderer.paragraph(rt):rt;continue}default:{var Je='Token with "'+pe.type+'" type was not found.';if(this.options.silent){console.error(Je);return}else throw new Error(Je)}}return le},te.parseInline=function(z,G){G=G||this.renderer;var le="",fe,ve,xe=z.length;for(fe=0;fe<xe;fe++)switch(ve=z[fe],ve.type){case"escape":{le+=G.text(ve.text);break}case"html":{le+=G.html(ve.text);break}case"link":{le+=G.link(ve.href,ve.title,this.parseInline(ve.tokens,G));break}case"image":{le+=G.image(ve.href,ve.title,ve.text);break}case"strong":{le+=G.strong(this.parseInline(ve.tokens,G));break}case"em":{le+=G.em(this.parseInline(ve.tokens,G));break}case"codespan":{le+=G.codespan(ve.text);break}case"br":{le+=G.br();break}case"del":{le+=G.del(this.parseInline(ve.tokens,G));break}case"text":{le+=G.text(ve.text);break}default:{var Oe='Token with "'+ve.type+'" type was not found.';if(this.options.silent){console.error(Oe);return}else throw new Error(Oe)}}return le},B}(),qe=F.merge,H=F.checkSanitizeDeprecation,Q=F.escape,_e=E.getDefaults,Me=E.changeDefaults,Be=E.defaults;function Ne(B,te,ce){if(typeof B=="undefined"||B===null)throw new Error("marked(): input parameter is undefined or null");if(typeof B!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(B)+", string expected");if(typeof te=="function"&&(ce=te,te=null),te=qe({},Ne.defaults,te||{}),H(te),ce){var z=te.highlight,G;try{G=X.lex(B,te)}catch(xe){return ce(xe)}var le=function(Oe){var Ve;if(!Oe)try{Ve=be.parse(G,te)}catch(Qe){Oe=Qe}return te.highlight=z,Oe?ce(Oe):ce(null,Ve)};if(!z||z.length<3||(delete te.highlight,!G.length))return le();var fe=0;Ne.walkTokens(G,function(xe){xe.type==="code"&&(fe++,setTimeout(function(){z(xe.text,xe.lang,function(Oe,Ve){if(Oe)return le(Oe);Ve!=null&&Ve!==xe.text&&(xe.text=Ve,xe.escaped=!0),fe--,fe===0&&le()})},0))}),fe===0&&le();return}try{var ve=X.lex(B,te);return te.walkTokens&&Ne.walkTokens(ve,te.walkTokens),be.parse(ve,te)}catch(xe){if(xe.message+=`
Please report this to https://github.com/markedjs/marked.`,te.silent)return"<p>An error occurred:</p><pre>"+Q(xe.message+"",!0)+"</pre>";throw xe}}Ne.options=Ne.setOptions=function(B){return qe(Ne.defaults,B),Me(Ne.defaults),Ne},Ne.getDefaults=_e,Ne.defaults=Be,Ne.use=function(B){var te=qe({},B);if(B.renderer&&function(){var z=Ne.defaults.renderer||new Le,G=function(ve){var xe=z[ve];z[ve]=function(){for(var Oe=arguments.length,Ve=new Array(Oe),Qe=0;Qe<Oe;Qe++)Ve[Qe]=arguments[Qe];var Ze=B.renderer[ve].apply(z,Ve);return Ze===!1&&(Ze=xe.apply(z,Ve)),Ze}};for(var le in B.renderer)G(le);te.renderer=z}(),B.tokenizer&&function(){var z=Ne.defaults.tokenizer||new $,G=function(ve){var xe=z[ve];z[ve]=function(){for(var Oe=arguments.length,Ve=new Array(Oe),Qe=0;Qe<Oe;Qe++)Ve[Qe]=arguments[Qe];var Ze=B.tokenizer[ve].apply(z,Ve);return Ze===!1&&(Ze=xe.apply(z,Ve)),Ze}};for(var le in B.tokenizer)G(le);te.tokenizer=z}(),B.walkTokens){var ce=Ne.defaults.walkTokens;te.walkTokens=function(z){B.walkTokens(z),ce&&ce(z)}}Ne.setOptions(te)},Ne.walkTokens=function(B,te){for(var ce=T(B),z;!(z=ce()).done;){var G=z.value;switch(te(G),G.type){case"table":{for(var le=T(G.tokens.header),fe;!(fe=le()).done;){var ve=fe.value;Ne.walkTokens(ve,te)}for(var xe=T(G.tokens.cells),Oe;!(Oe=xe()).done;)for(var Ve=Oe.value,Qe=T(Ve),Ze;!(Ze=Qe()).done;){var ht=Ze.value;Ne.walkTokens(ht,te)}break}case"list":{Ne.walkTokens(G.items,te);break}default:G.tokens&&Ne.walkTokens(G.tokens,te)}}},Ne.parseInline=function(B,te){if(typeof B=="undefined"||B===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof B!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(B)+", string expected");te=qe({},Ne.defaults,te||{}),H(te);try{var ce=X.lexInline(B,te);return te.walkTokens&&Ne.walkTokens(ce,te.walkTokens),be.parseInline(ce,te)}catch(z){if(z.message+=`
Please report this to https://github.com/markedjs/marked.`,te.silent)return"<p>An error occurred:</p><pre>"+Q(z.message+"",!0)+"</pre>";throw z}},Ne.Parser=be,Ne.parser=be.parse,Ne.Renderer=Le,Ne.TextRenderer=ge,Ne.Lexer=X,Ne.lexer=X.lex,Ne.Tokenizer=$,Ne.Slugger=Ce,Ne.parse=Ne;var Xe=Ne;return Xe}),define(we[78],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function _(E,k,D){return Math.min(Math.max(E,k),D)}e.clamp=_;function S(E,k){return(k+E%k)%k}e.rot=S;class T{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=T;class P{constructor(){this._n=1,this._val=0}update(k){return this._val=this._val+(k-this._val)/this._n,this._n+=1,this}get value(){return this._val}}e.MovingAverage=P});"use strict";(function(){function ae(T){const P=[];typeof T=="number"&&P.push("code/timeOrigin",T);function E(D){P.push(D,Date.now())}function k(){const D=[];for(let n=0;n<P.length;n+=2)D.push({name:P[n],startTime:P[n+1]});return D}return{mark:E,getMarks:k}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?ae():{mark(T){performance.mark(T)},getMarks(){let T=performance.timeOrigin;typeof T!="number"&&(T=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const P=[{name:"code/timeOrigin",startTime:Math.round(T)}];for(const E of performance.getEntriesByType("mark"))P.push({name:E.name,startTime:Math.round(T+E.startTime)});return P}};if(typeof process=="object"){const T=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return ae(T)}else return console.trace("perf-util loaded in UNKNOWN environment"),ae()}function _(T){return T.MonacoPerformanceMarks||(T.MonacoPerformanceMarks=e()),T.MonacoPerformanceMarks}var S;typeof global=="object"?S=global:typeof self=="object"?S=self:S={},typeof define=="function"?define("vs/base/common/performance",[],function(){return _(S)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=_(S):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),S.perf=_(S))})(),define(we[21],Ee([0,1]),function(ae,e){"use strict";var _;Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.globals=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=void 0;const S="en";let T=!1,P=!1,E=!1,k=!1,D=!1,n=!1,A=!1,C,v=S,d,s;const h=typeof self=="object"?self:typeof global=="object"?global:{};let p;typeof process!="undefined"?p=process:typeof h.vscode!="undefined"&&(p=h.vscode.process);const g=typeof((_=p==null?void 0:p.versions)===null||_===void 0?void 0:_.electron)=="string"&&p.type==="renderer";if(e.isElectronSandboxed=g&&(p==null?void 0:p.sandboxed),e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const i=p==null?void 0:p.env.ENABLE_VSCODE_BROWSER_CODE_LOADING;if(typeof i=="string")return i==="none"||i==="code"||i==="bypassHeatCheck"||i==="bypassHeatCheckAndEagerCompile"?i:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!g)s=navigator.userAgent,T=s.indexOf("Windows")>=0,P=s.indexOf("Macintosh")>=0,A=(s.indexOf("Macintosh")>=0||s.indexOf("iPad")>=0||s.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,E=s.indexOf("Linux")>=0,n=!0,C=navigator.language,v=C;else if(typeof p=="object"){T=p.platform==="win32",P=p.platform==="darwin",E=p.platform==="linux",k=E&&!!p.env.SNAP&&!!p.env.SNAP_REVISION,C=S,v=S;const i=p.env.VSCODE_NLS_CONFIG;if(i)try{const f=JSON.parse(i),y=f.availableLanguages["*"];C=f.locale,v=y||S,d=f._translationsConfigFile}catch(f){}D=!0}else console.error("Unable to resolve platform.");var b;(function(i){i[i.Web=0]="Web",i[i.Mac=1]="Mac",i[i.Linux=2]="Linux",i[i.Windows=3]="Windows"})(b=e.Platform||(e.Platform={}));function c(i){switch(i){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=c;let u=0;P?u=1:T?u=3:E&&(u=2),e.isWindows=T,e.isMacintosh=P,e.isLinux=E,e.isLinuxSnap=k,e.isNative=D,e.isWeb=n,e.isIOS=A,e.platform=u,e.userAgent=s,e.language=v;var a;(function(i){function f(){return e.language}i.value=f;function y(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}i.isDefaultVariant=y;function I(){return e.language==="en"}i.isDefault=I})(a=e.Language||(e.Language={})),e.locale=C,e.translationsConfigFile=d,e.globals=h,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let y=[];e.globals.addEventListener("message",m=>{if(m.data&&m.data.vscodeSetImmediateId)for(let w=0,R=y.length;w<R;w++){const F=y[w];if(F.id===m.data.vscodeSetImmediateId){y.splice(w,1),F.callback();return}}});let I=0;return m=>{const w=++I;y.push({id:w,callback:m}),e.globals.postMessage({vscodeSetImmediateId:w},"*")}}if(p&&typeof p.nextTick=="function")return p.nextTick.bind(p);const f=Promise.resolve();return y=>f.then(y)}();var t;(function(i){i[i.Windows=1]="Windows",i[i.Macintosh=2]="Macintosh",i[i.Linux=3]="Linux"})(t=e.OperatingSystem||(e.OperatingSystem={})),e.OS=P||A?2:T?1:3;let r=!0,o=!1;function l(){if(!o){o=!0;const i=new Uint8Array(2);i[0]=1,i[1]=2,r=new Uint16Array(i.buffer)[0]===(2<<8)+1}return r}e.isLittleEndian=l}),define(we[36],Ee([0,1,21]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let S;typeof process!="undefined"?S=process:typeof _.globals.vscode!="undefined"?S={get platform(){return _.globals.vscode.process.platform},get env(){return _.globals.vscode.process.env},nextTick(T){return(0,_.setImmediate)(T)},cwd(){return _.globals.vscode.process.env.VSCODE_CWD||_.globals.vscode.process.execPath.substr(0,_.globals.vscode.process.execPath.lastIndexOf(_.globals.vscode.process.platform==="win32"?"\\":"/"))}}:S={get platform(){return _.isWindows?"win32":_.isMacintosh?"darwin":"linux"},nextTick(T){return(0,_.setImmediate)(T)},get env(){return Object.create(null)},cwd(){return"/"}},e.cwd=S.cwd,e.env=S.env,e.platform=S.platform,e.nextTick=S.nextTick}),define(we[11],Ee([0,1,36]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const S=65,T=97,P=90,E=122,k=46,D=47,n=92,A=58,C=63;class v extends Error{constructor(u,a,t){let r;typeof a=="string"&&a.indexOf("not ")===0?(r="must not be",a=a.replace(/^not /,"")):r="must be";const o=u.indexOf(".")!==-1?"property":"argument";let l=`The "${u}" ${o} ${r} of type ${a}`;l+=`. Received type ${typeof t}`,super(l),this.code="ERR_INVALID_ARG_TYPE"}}function d(c,u){if(typeof c!="string")throw new v(u,"string",c)}function s(c){return c===D||c===n}function h(c){return c===D}function p(c){return c>=S&&c<=P||c>=T&&c<=E}function g(c,u,a,t){let r="",o=0,l=-1,i=0,f=0;for(let y=0;y<=c.length;++y){if(y<c.length)f=c.charCodeAt(y);else{if(t(f))break;f=D}if(t(f)){if(!(l===y-1||i===1))if(i===2){if(r.length<2||o!==2||r.charCodeAt(r.length-1)!==k||r.charCodeAt(r.length-2)!==k){if(r.length>2){const I=r.lastIndexOf(a);I===-1?(r="",o=0):(r=r.slice(0,I),o=r.length-1-r.lastIndexOf(a)),l=y,i=0;continue}else if(r.length!==0){r="",o=0,l=y,i=0;continue}}u&&(r+=r.length>0?`${a}..`:"..",o=2)}else r.length>0?r+=`${a}${c.slice(l+1,y)}`:r=c.slice(l+1,y),o=y-l-1;l=y,i=0}else f===k&&i!==-1?++i:i=-1}return r}function b(c,u){if(u===null||typeof u!="object")throw new v("pathObject","Object",u);const a=u.dir||u.root,t=u.base||`${u.name||""}${u.ext||""}`;return a?a===u.root?`${a}${t}`:`${a}${c}${t}`:t}e.win32={resolve(...c){let u="",a="",t=!1;for(let r=c.length-1;r>=-1;r--){let o;if(r>=0){if(o=c[r],d(o,"path"),o.length===0)continue}else u.length===0?o=_.cwd():(o=_.env[`=${u}`]||_.cwd(),(o===void 0||o.slice(0,2).toLowerCase()!==u.toLowerCase()&&o.charCodeAt(2)===n)&&(o=`${u}\\`));const l=o.length;let i=0,f="",y=!1;const I=o.charCodeAt(0);if(l===1)s(I)&&(i=1,y=!0);else if(s(I))if(y=!0,s(o.charCodeAt(1))){let m=2,w=m;for(;m<l&&!s(o.charCodeAt(m));)m++;if(m<l&&m!==w){const R=o.slice(w,m);for(w=m;m<l&&s(o.charCodeAt(m));)m++;if(m<l&&m!==w){for(w=m;m<l&&!s(o.charCodeAt(m));)m++;(m===l||m!==w)&&(f=`\\\\${R}\\${o.slice(w,m)}`,i=m)}}}else i=1;else p(I)&&o.charCodeAt(1)===A&&(f=o.slice(0,2),i=2,l>2&&s(o.charCodeAt(2))&&(y=!0,i=3));if(f.length>0)if(u.length>0){if(f.toLowerCase()!==u.toLowerCase())continue}else u=f;if(t){if(u.length>0)break}else if(a=`${o.slice(i)}\\${a}`,t=y,y&&u.length>0)break}return a=g(a,!t,"\\",s),t?`${u}\\${a}`:`${u}${a}`||"."},normalize(c){d(c,"path");const u=c.length;if(u===0)return".";let a=0,t,r=!1;const o=c.charCodeAt(0);if(u===1)return h(o)?"\\":c;if(s(o))if(r=!0,s(c.charCodeAt(1))){let i=2,f=i;for(;i<u&&!s(c.charCodeAt(i));)i++;if(i<u&&i!==f){const y=c.slice(f,i);for(f=i;i<u&&s(c.charCodeAt(i));)i++;if(i<u&&i!==f){for(f=i;i<u&&!s(c.charCodeAt(i));)i++;if(i===u)return`\\\\${y}\\${c.slice(f)}\\`;i!==f&&(t=`\\\\${y}\\${c.slice(f,i)}`,a=i)}}}else a=1;else p(o)&&c.charCodeAt(1)===A&&(t=c.slice(0,2),a=2,u>2&&s(c.charCodeAt(2))&&(r=!0,a=3));let l=a<u?g(c.slice(a),!r,"\\",s):"";return l.length===0&&!r&&(l="."),l.length>0&&s(c.charCodeAt(u-1))&&(l+="\\"),t===void 0?r?`\\${l}`:l:r?`${t}\\${l}`:`${t}${l}`},isAbsolute(c){d(c,"path");const u=c.length;if(u===0)return!1;const a=c.charCodeAt(0);return s(a)||u>2&&p(a)&&c.charCodeAt(1)===A&&s(c.charCodeAt(2))},join(...c){if(c.length===0)return".";let u,a;for(let o=0;o<c.length;++o){const l=c[o];d(l,"path"),l.length>0&&(u===void 0?u=a=l:u+=`\\${l}`)}if(u===void 0)return".";let t=!0,r=0;if(typeof a=="string"&&s(a.charCodeAt(0))){++r;const o=a.length;o>1&&s(a.charCodeAt(1))&&(++r,o>2&&(s(a.charCodeAt(2))?++r:t=!1))}if(t){for(;r<u.length&&s(u.charCodeAt(r));)r++;r>=2&&(u=`\\${u.slice(r)}`)}return e.win32.normalize(u)},relative(c,u){if(d(c,"from"),d(u,"to"),c===u)return"";const a=e.win32.resolve(c),t=e.win32.resolve(u);if(a===t||(c=a.toLowerCase(),u=t.toLowerCase(),c===u))return"";let r=0;for(;r<c.length&&c.charCodeAt(r)===n;)r++;let o=c.length;for(;o-1>r&&c.charCodeAt(o-1)===n;)o--;const l=o-r;let i=0;for(;i<u.length&&u.charCodeAt(i)===n;)i++;let f=u.length;for(;f-1>i&&u.charCodeAt(f-1)===n;)f--;const y=f-i,I=l<y?l:y;let m=-1,w=0;for(;w<I;w++){const F=c.charCodeAt(r+w);if(F!==u.charCodeAt(i+w))break;F===n&&(m=w)}if(w!==I){if(m===-1)return t}else{if(y>I){if(u.charCodeAt(i+w)===n)return t.slice(i+w+1);if(w===2)return t.slice(i+w)}l>I&&(c.charCodeAt(r+w)===n?m=w:w===2&&(m=3)),m===-1&&(m=0)}let R="";for(w=r+m+1;w<=o;++w)(w===o||c.charCodeAt(w)===n)&&(R+=R.length===0?"..":"\\..");return i+=m,R.length>0?`${R}${t.slice(i,f)}`:(t.charCodeAt(i)===n&&++i,t.slice(i,f))},toNamespacedPath(c){if(typeof c!="string")return c;if(c.length===0)return"";const u=e.win32.resolve(c);if(u.length<=2)return c;if(u.charCodeAt(0)===n){if(u.charCodeAt(1)===n){const a=u.charCodeAt(2);if(a!==C&&a!==k)return`\\\\?\\UNC\\${u.slice(2)}`}}else if(p(u.charCodeAt(0))&&u.charCodeAt(1)===A&&u.charCodeAt(2)===n)return`\\\\?\\${u}`;return c},dirname(c){d(c,"path");const u=c.length;if(u===0)return".";let a=-1,t=0;const r=c.charCodeAt(0);if(u===1)return s(r)?c:".";if(s(r)){if(a=t=1,s(c.charCodeAt(1))){let i=2,f=i;for(;i<u&&!s(c.charCodeAt(i));)i++;if(i<u&&i!==f){for(f=i;i<u&&s(c.charCodeAt(i));)i++;if(i<u&&i!==f){for(f=i;i<u&&!s(c.charCodeAt(i));)i++;if(i===u)return c;i!==f&&(a=t=i+1)}}}}else p(r)&&c.charCodeAt(1)===A&&(a=u>2&&s(c.charCodeAt(2))?3:2,t=a);let o=-1,l=!0;for(let i=u-1;i>=t;--i)if(s(c.charCodeAt(i))){if(!l){o=i;break}}else l=!1;if(o===-1){if(a===-1)return".";o=a}return c.slice(0,o)},basename(c,u){u!==void 0&&d(u,"ext"),d(c,"path");let a=0,t=-1,r=!0,o;if(c.length>=2&&p(c.charCodeAt(0))&&c.charCodeAt(1)===A&&(a=2),u!==void 0&&u.length>0&&u.length<=c.length){if(u===c)return"";let l=u.length-1,i=-1;for(o=c.length-1;o>=a;--o){const f=c.charCodeAt(o);if(s(f)){if(!r){a=o+1;break}}else i===-1&&(r=!1,i=o+1),l>=0&&(f===u.charCodeAt(l)?--l==-1&&(t=o):(l=-1,t=i))}return a===t?t=i:t===-1&&(t=c.length),c.slice(a,t)}for(o=c.length-1;o>=a;--o)if(s(c.charCodeAt(o))){if(!r){a=o+1;break}}else t===-1&&(r=!1,t=o+1);return t===-1?"":c.slice(a,t)},extname(c){d(c,"path");let u=0,a=-1,t=0,r=-1,o=!0,l=0;c.length>=2&&c.charCodeAt(1)===A&&p(c.charCodeAt(0))&&(u=t=2);for(let i=c.length-1;i>=u;--i){const f=c.charCodeAt(i);if(s(f)){if(!o){t=i+1;break}continue}r===-1&&(o=!1,r=i+1),f===k?a===-1?a=i:l!==1&&(l=1):a!==-1&&(l=-1)}return a===-1||r===-1||l===0||l===1&&a===r-1&&a===t+1?"":c.slice(a,r)},format:b.bind(null,"\\"),parse(c){d(c,"path");const u={root:"",dir:"",base:"",ext:"",name:""};if(c.length===0)return u;const a=c.length;let t=0,r=c.charCodeAt(0);if(a===1)return s(r)?(u.root=u.dir=c,u):(u.base=u.name=c,u);if(s(r)){if(t=1,s(c.charCodeAt(1))){let m=2,w=m;for(;m<a&&!s(c.charCodeAt(m));)m++;if(m<a&&m!==w){for(w=m;m<a&&s(c.charCodeAt(m));)m++;if(m<a&&m!==w){for(w=m;m<a&&!s(c.charCodeAt(m));)m++;m===a?t=m:m!==w&&(t=m+1)}}}}else if(p(r)&&c.charCodeAt(1)===A){if(a<=2)return u.root=u.dir=c,u;if(t=2,s(c.charCodeAt(2))){if(a===3)return u.root=u.dir=c,u;t=3}}t>0&&(u.root=c.slice(0,t));let o=-1,l=t,i=-1,f=!0,y=c.length-1,I=0;for(;y>=t;--y){if(r=c.charCodeAt(y),s(r)){if(!f){l=y+1;break}continue}i===-1&&(f=!1,i=y+1),r===k?o===-1?o=y:I!==1&&(I=1):o!==-1&&(I=-1)}return i!==-1&&(o===-1||I===0||I===1&&o===i-1&&o===l+1?u.base=u.name=c.slice(l,i):(u.name=c.slice(l,o),u.base=c.slice(l,i),u.ext=c.slice(o,i))),l>0&&l!==t?u.dir=c.slice(0,l-1):u.dir=u.root,u},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...c){let u="",a=!1;for(let t=c.length-1;t>=-1&&!a;t--){const r=t>=0?c[t]:_.cwd();d(r,"path"),r.length!==0&&(u=`${r}/${u}`,a=r.charCodeAt(0)===D)}return u=g(u,!a,"/",h),a?`/${u}`:u.length>0?u:"."},normalize(c){if(d(c,"path"),c.length===0)return".";const u=c.charCodeAt(0)===D,a=c.charCodeAt(c.length-1)===D;return c=g(c,!u,"/",h),c.length===0?u?"/":a?"./":".":(a&&(c+="/"),u?`/${c}`:c)},isAbsolute(c){return d(c,"path"),c.length>0&&c.charCodeAt(0)===D},join(...c){if(c.length===0)return".";let u;for(let a=0;a<c.length;++a){const t=c[a];d(t,"path"),t.length>0&&(u===void 0?u=t:u+=`/${t}`)}return u===void 0?".":e.posix.normalize(u)},relative(c,u){if(d(c,"from"),d(u,"to"),c===u||(c=e.posix.resolve(c),u=e.posix.resolve(u),c===u))return"";const a=1,t=c.length,r=t-a,o=1,l=u.length-o,i=r<l?r:l;let f=-1,y=0;for(;y<i;y++){const m=c.charCodeAt(a+y);if(m!==u.charCodeAt(o+y))break;m===D&&(f=y)}if(y===i)if(l>i){if(u.charCodeAt(o+y)===D)return u.slice(o+y+1);if(y===0)return u.slice(o+y)}else r>i&&(c.charCodeAt(a+y)===D?f=y:y===0&&(f=0));let I="";for(y=a+f+1;y<=t;++y)(y===t||c.charCodeAt(y)===D)&&(I+=I.length===0?"..":"/..");return`${I}${u.slice(o+f)}`},toNamespacedPath(c){return c},dirname(c){if(d(c,"path"),c.length===0)return".";const u=c.charCodeAt(0)===D;let a=-1,t=!0;for(let r=c.length-1;r>=1;--r)if(c.charCodeAt(r)===D){if(!t){a=r;break}}else t=!1;return a===-1?u?"/":".":u&&a===1?"//":c.slice(0,a)},basename(c,u){u!==void 0&&d(u,"ext"),d(c,"path");let a=0,t=-1,r=!0,o;if(u!==void 0&&u.length>0&&u.length<=c.length){if(u===c)return"";let l=u.length-1,i=-1;for(o=c.length-1;o>=0;--o){const f=c.charCodeAt(o);if(f===D){if(!r){a=o+1;break}}else i===-1&&(r=!1,i=o+1),l>=0&&(f===u.charCodeAt(l)?--l==-1&&(t=o):(l=-1,t=i))}return a===t?t=i:t===-1&&(t=c.length),c.slice(a,t)}for(o=c.length-1;o>=0;--o)if(c.charCodeAt(o)===D){if(!r){a=o+1;break}}else t===-1&&(r=!1,t=o+1);return t===-1?"":c.slice(a,t)},extname(c){d(c,"path");let u=-1,a=0,t=-1,r=!0,o=0;for(let l=c.length-1;l>=0;--l){const i=c.charCodeAt(l);if(i===D){if(!r){a=l+1;break}continue}t===-1&&(r=!1,t=l+1),i===k?u===-1?u=l:o!==1&&(o=1):u!==-1&&(o=-1)}return u===-1||t===-1||o===0||o===1&&u===t-1&&u===a+1?"":c.slice(u,t)},format:b.bind(null,"/"),parse(c){d(c,"path");const u={root:"",dir:"",base:"",ext:"",name:""};if(c.length===0)return u;const a=c.charCodeAt(0)===D;let t;a?(u.root="/",t=1):t=0;let r=-1,o=0,l=-1,i=!0,f=c.length-1,y=0;for(;f>=t;--f){const I=c.charCodeAt(f);if(I===D){if(!i){o=f+1;break}continue}l===-1&&(i=!1,l=f+1),I===k?r===-1?r=f:y!==1&&(y=1):r!==-1&&(y=-1)}if(l!==-1){const I=o===0&&a?1:o;r===-1||y===0||y===1&&r===l-1&&r===o+1?u.base=u.name=c.slice(I,l):(u.name=c.slice(I,r),u.base=c.slice(I,l),u.ext=c.slice(r,l))}return o>0?u.dir=c.slice(0,o-1):a&&(u.dir="/"),u},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=_.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=_.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=_.platform==="win32"?e.win32.join:e.posix.join,e.resolve=_.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=_.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=_.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=_.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=_.platform==="win32"?e.win32.extname:e.posix.extname,e.format=_.platform==="win32"?e.win32.format:e.posix.format,e.parse=_.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=_.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=_.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=_.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(we[55],Ee([0,1,21]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const S=_.globals.performance&&typeof _.globals.performance.now=="function";class T{constructor(E){this._highResolution=S&&E,this._startTime=this._now(),this._stopTime=-1}static create(E=!0){return new T(E)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?_.globals.performance.now():Date.now()}}e.StopWatch=T}),define(we[3],Ee([0,1,10,52,6,47,55]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.PauseableEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var k;(function(g){g.None=()=>T.Disposable.None;function b(ie){return(j,ee=null,M)=>{let x=!1,$;return $=ie(q=>{if(!x)return $?$.dispose():x=!0,j.call(ee,q)},null,M),x&&$.dispose(),$}}g.once=b;function c(ie,j){return l((ee,M=null,x)=>ie($=>ee.call(M,j($)),null,x))}g.map=c;function u(ie,j){return l((ee,M=null,x)=>ie($=>{j($),ee.call(M,$)},null,x))}g.forEach=u;function a(ie,j){return l((ee,M=null,x)=>ie($=>j($)&&ee.call(M,$),null,x))}g.filter=a;function t(ie){return ie}g.signal=t;function r(...ie){return(j,ee=null,M)=>(0,T.combinedDisposable)(...ie.map(x=>x($=>j.call(ee,$),null,M)))}g.any=r;function o(ie,j,ee){let M=ee;return c(ie,x=>(M=j(M,x),M))}g.reduce=o;function l(ie){let j;const ee=new v({onFirstListenerAdd(){j=ie(ee.fire,ee)},onLastListenerRemove(){j.dispose()}});return ee.event}g.snapshot=l;function i(ie,j,ee=100,M=!1,x){let $,q,U,Y=0;const Z=new v({leakWarningThreshold:x,onFirstListenerAdd(){$=ie(se=>{Y++,q=j(q,se),M&&!U&&(Z.fire(q),q=void 0),clearTimeout(U),U=setTimeout(()=>{const Se=q;q=void 0,U=void 0,(!M||Y>1)&&Z.fire(Se),Y=0},ee)})},onLastListenerRemove(){$.dispose()}});return Z.event}g.debounce=i;function f(ie){const j=new Date().getTime();return c(b(ie),ee=>new Date().getTime()-j)}g.stopwatch=f;function y(ie){let j=!0,ee;return a(ie,M=>{const x=j||M!==ee;return j=!1,ee=M,x})}g.latch=y;function I(ie,j=!1,ee=[]){let M=ee.slice(),x=ie(U=>{M?M.push(U):q.fire(U)});const $=()=>{M&&M.forEach(U=>q.fire(U)),M=null},q=new v({onFirstListenerAdd(){x||(x=ie(U=>q.fire(U)))},onFirstListenerDidAdd(){M&&(j?setTimeout($):$())},onLastListenerRemove(){x&&x.dispose(),x=null}});return q.event}g.buffer=I;class m{constructor(j){this.event=j}map(j){return new m(c(this.event,j))}forEach(j){return new m(u(this.event,j))}filter(j){return new m(a(this.event,j))}reduce(j,ee){return new m(o(this.event,j,ee))}latch(){return new m(y(this.event))}debounce(j,ee=100,M=!1,x){return new m(i(this.event,j,ee,M,x))}on(j,ee,M){return this.event(j,ee,M)}once(j,ee,M){return b(this.event)(j,ee,M)}}function w(ie){return new m(ie)}g.chain=w;function R(ie,j,ee=M=>M){const M=(...U)=>q.fire(ee(...U)),x=()=>ie.on(j,M),$=()=>ie.removeListener(j,M),q=new v({onFirstListenerAdd:x,onLastListenerRemove:$});return q.event}g.fromNodeEventEmitter=R;function F(ie,j,ee=M=>M){const M=(...U)=>q.fire(ee(...U)),x=()=>ie.addEventListener(j,M),$=()=>ie.removeEventListener(j,M),q=new v({onFirstListenerAdd:x,onLastListenerRemove:$});return q.event}g.fromDOMEventEmitter=F;function W(ie){const j=new v;let ee=!1;return ie.then(void 0,()=>null).then(()=>{ee?j.fire(void 0):setTimeout(()=>j.fire(void 0),0)}),ee=!0,j.event}g.fromPromise=W;function oe(ie){return new Promise(j=>b(ie)(j))}g.toPromise=oe})(k=e.Event||(e.Event={}));class D{constructor(b){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${b}_${D._idPool++}`}start(b){this._stopWatch=new E.StopWatch(!0),this._listenerCount=b}stop(){if(this._stopWatch){const b=this._stopWatch.elapsed();this._elapsedOverall+=b,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${b.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}D._idPool=0;let n=-1;function A(g){const b=n;return n=g,{dispose(){n=b}}}e.setGlobalLeakWarningThreshold=A;class C{constructor(b,c=Math.random().toString(18).slice(2,5)){this.customThreshold=b,this.name=c,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(b){let c=n;if(typeof this.customThreshold=="number"&&(c=this.customThreshold),!(c<=0||b<c)){this._stacks||(this._stacks=new Map);const u=new Error().stack.split(`
`).slice(3).join(`
`),a=this._stacks.get(u)||0;if(this._stacks.set(u,a+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=c*.5;let t,r=0;for(const[o,l]of this._stacks)(!t||r<l)&&(t=o,r=l);console.warn(`[${this.name}] potential listener LEAK detected, having ${b} listeners already. MOST frequent listener (${r}):`),console.warn(t)}return()=>{const t=this._stacks.get(u)||0;this._stacks.set(u,t-1)}}}}class v{constructor(b){var c;this._disposed=!1,this._options=b,this._leakageMon=n>0?new C(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((c=this._options)===null||c===void 0?void 0:c._profName)?new D(this._options._profName):void 0}get event(){return this._event||(this._event=(b,c,u)=>{var a;this._listeners||(this._listeners=new P.LinkedList);const t=this._listeners.isEmpty();t&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const r=this._listeners.push(c?[b,c]:b);t&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,b,c);const o=(a=this._leakageMon)===null||a===void 0?void 0:a.check(this._listeners.size);let l;return l={dispose:()=>{o&&o(),l.dispose=v._noop,this._disposed||(r(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},u instanceof T.DisposableStore?u.add(l):Array.isArray(u)&&u.push(l),l}),this._event}fire(b){var c,u;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new P.LinkedList);for(let a of this._listeners)this._deliveryQueue.push([a,b]);for((c=this._perfMon)===null||c===void 0||c.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[a,t]=this._deliveryQueue.shift();try{typeof a=="function"?a.call(void 0,t):a[0].call(a[1],t)}catch(r){(0,_.onUnexpectedError)(r)}}(u=this._perfMon)===null||u===void 0||u.stop()}}dispose(){var b,c,u;(b=this._listeners)===null||b===void 0||b.clear(),(c=this._deliveryQueue)===null||c===void 0||c.clear(),(u=this._leakageMon)===null||u===void 0||u.dispose(),this._disposed=!0}}e.Emitter=v,v._noop=function(){};class d extends v{constructor(b){super(b);this._isPaused=0,this._eventQueue=new P.LinkedList,this._mergeFn=b==null?void 0:b.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const b=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(b))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(b){this._listeners&&(this._isPaused!==0?this._eventQueue.push(b):super.fire(b))}}e.PauseableEmitter=d;class s{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new v({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(b){const c={event:b,listener:null};this.events.push(c),this.hasListeners&&this.hook(c);const u=()=>{this.hasListeners&&this.unhook(c);const a=this.events.indexOf(c);this.events.splice(a,1)};return(0,T.toDisposable)((0,S.once)(u))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(b=>this.hook(b))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(b=>this.unhook(b))}hook(b){b.listener=b.event(c=>this.emitter.fire(c))}unhook(b){b.listener&&b.listener.dispose(),b.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=s;class h{constructor(){this.buffers=[]}wrapEvent(b){return(c,u,a)=>b(t=>{const r=this.buffers[this.buffers.length-1];r?r.push(()=>c.call(u,t)):c.call(u,t)},void 0,a)}bufferEvents(b){const c=[];this.buffers.push(c);const u=b();return this.buffers.pop(),c.forEach(a=>a()),u}}e.EventBufferer=h;class p{constructor(){this.listening=!1,this.inputEvent=k.None,this.inputEventListener=T.Disposable.None,this.emitter=new v({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(b){this.inputEvent=b,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=b(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=p}),define(we[20],Ee([0,1,3]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const S=Object.freeze(function(k,D){const n=setTimeout(k.bind(D),0);return{dispose(){clearTimeout(n)}}});var T;(function(k){function D(n){return n===k.None||n===k.Cancelled||n instanceof P?!0:!n||typeof n!="object"?!1:typeof n.isCancellationRequested=="boolean"&&typeof n.onCancellationRequested=="function"}k.isCancellationToken=D,k.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:_.Event.None}),k.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:S})})(T=e.CancellationToken||(e.CancellationToken={}));class P{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?S:(this._emitter||(this._emitter=new _.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class E{constructor(D){this._token=void 0,this._parentListener=void 0,this._parentListener=D&&D.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new P),this._token}cancel(){this._token?this._token instanceof P&&this._token.cancel():this._token=T.Cancelled}dispose(D=!1){D&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof P&&this._token.dispose():this._token=T.None}}e.CancellationTokenSource=E}),define(we[37],Ee([0,1,3]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.registerCodicon=e.iconRegistry=void 0;class S{constructor(){this._icons=new Map,this._onDidRegister=new _.Emitter}add(A){const C=this._icons.get(A.id);C?A.description?C.description=A.description:console.error(`Duplicate registration of codicon ${A.id}`):(this._icons.set(A.id,A),this._onDidRegister.fire(A))}get(A){return this._icons.get(A)}get all(){return this._icons.values()}get onDidRegister(){return this._onDidRegister.event}}const T=new S;e.iconRegistry=T;function P(n,A){return new E(n,A)}e.registerCodicon=P;class E{constructor(A,C,v){this.id=A,this.definition=C,this.description=v,T.add(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}}e.Codicon=E;function k(n,A){const C=["codicon","codicon-"+n];return A&&C.push("codicon-modifier-"+A),C}e.getClassNamesArray=k;var D;(function(n){n.iconNameSegment="[A-Za-z0-9]+",n.iconNameExpression="[A-Za-z0-9\\-]+",n.iconModifierExpression="~[A-Za-z]+";const A=new RegExp(`^(${n.iconNameExpression})(${n.iconModifierExpression})?$`);function C(s){if(s instanceof E)return["codicon","codicon-"+s.id];const h=A.exec(s.id);if(!h)return C(E.error);let[,p,g]=h;const b=["codicon","codicon-"+p];return g&&b.push("codicon-modifier-"+g.substr(1)),b}n.asClassNameArray=C;function v(s){return C(s).join(" ")}n.asClassName=v;function d(s){return"."+C(s).join(".")}n.asCSSSelector=d})(D=e.CSSIcon||(e.CSSIcon={})),function(n){n.add=new n("add",{fontCharacter:"\\ea60"}),n.plus=new n("plus",{fontCharacter:"\\ea60"}),n.gistNew=new n("gist-new",{fontCharacter:"\\ea60"}),n.repoCreate=new n("repo-create",{fontCharacter:"\\ea60"}),n.lightbulb=new n("lightbulb",{fontCharacter:"\\ea61"}),n.lightBulb=new n("light-bulb",{fontCharacter:"\\ea61"}),n.repo=new n("repo",{fontCharacter:"\\ea62"}),n.repoDelete=new n("repo-delete",{fontCharacter:"\\ea62"}),n.gistFork=new n("gist-fork",{fontCharacter:"\\ea63"}),n.repoForked=new n("repo-forked",{fontCharacter:"\\ea63"}),n.gitPullRequest=new n("git-pull-request",{fontCharacter:"\\ea64"}),n.gitPullRequestAbandoned=new n("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),n.recordKeys=new n("record-keys",{fontCharacter:"\\ea65"}),n.keyboard=new n("keyboard",{fontCharacter:"\\ea65"}),n.tag=new n("tag",{fontCharacter:"\\ea66"}),n.tagAdd=new n("tag-add",{fontCharacter:"\\ea66"}),n.tagRemove=new n("tag-remove",{fontCharacter:"\\ea66"}),n.person=new n("person",{fontCharacter:"\\ea67"}),n.personAdd=new n("person-add",{fontCharacter:"\\ea67"}),n.personFollow=new n("person-follow",{fontCharacter:"\\ea67"}),n.personOutline=new n("person-outline",{fontCharacter:"\\ea67"}),n.personFilled=new n("person-filled",{fontCharacter:"\\ea67"}),n.gitBranch=new n("git-branch",{fontCharacter:"\\ea68"}),n.gitBranchCreate=new n("git-branch-create",{fontCharacter:"\\ea68"}),n.gitBranchDelete=new n("git-branch-delete",{fontCharacter:"\\ea68"}),n.sourceControl=new n("source-control",{fontCharacter:"\\ea68"}),n.mirror=new n("mirror",{fontCharacter:"\\ea69"}),n.mirrorPublic=new n("mirror-public",{fontCharacter:"\\ea69"}),n.star=new n("star",{fontCharacter:"\\ea6a"}),n.starAdd=new n("star-add",{fontCharacter:"\\ea6a"}),n.starDelete=new n("star-delete",{fontCharacter:"\\ea6a"}),n.starEmpty=new n("star-empty",{fontCharacter:"\\ea6a"}),n.comment=new n("comment",{fontCharacter:"\\ea6b"}),n.commentAdd=new n("comment-add",{fontCharacter:"\\ea6b"}),n.alert=new n("alert",{fontCharacter:"\\ea6c"}),n.warning=new n("warning",{fontCharacter:"\\ea6c"}),n.search=new n("search",{fontCharacter:"\\ea6d"}),n.searchSave=new n("search-save",{fontCharacter:"\\ea6d"}),n.logOut=new n("log-out",{fontCharacter:"\\ea6e"}),n.signOut=new n("sign-out",{fontCharacter:"\\ea6e"}),n.logIn=new n("log-in",{fontCharacter:"\\ea6f"}),n.signIn=new n("sign-in",{fontCharacter:"\\ea6f"}),n.eye=new n("eye",{fontCharacter:"\\ea70"}),n.eyeUnwatch=new n("eye-unwatch",{fontCharacter:"\\ea70"}),n.eyeWatch=new n("eye-watch",{fontCharacter:"\\ea70"}),n.circleFilled=new n("circle-filled",{fontCharacter:"\\ea71"}),n.primitiveDot=new n("primitive-dot",{fontCharacter:"\\ea71"}),n.closeDirty=new n("close-dirty",{fontCharacter:"\\ea71"}),n.debugBreakpoint=new n("debug-breakpoint",{fontCharacter:"\\ea71"}),n.debugBreakpointDisabled=new n("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),n.debugHint=new n("debug-hint",{fontCharacter:"\\ea71"}),n.primitiveSquare=new n("primitive-square",{fontCharacter:"\\ea72"}),n.edit=new n("edit",{fontCharacter:"\\ea73"}),n.pencil=new n("pencil",{fontCharacter:"\\ea73"}),n.info=new n("info",{fontCharacter:"\\ea74"}),n.issueOpened=new n("issue-opened",{fontCharacter:"\\ea74"}),n.gistPrivate=new n("gist-private",{fontCharacter:"\\ea75"}),n.gitForkPrivate=new n("git-fork-private",{fontCharacter:"\\ea75"}),n.lock=new n("lock",{fontCharacter:"\\ea75"}),n.mirrorPrivate=new n("mirror-private",{fontCharacter:"\\ea75"}),n.close=new n("close",{fontCharacter:"\\ea76"}),n.removeClose=new n("remove-close",{fontCharacter:"\\ea76"}),n.x=new n("x",{fontCharacter:"\\ea76"}),n.repoSync=new n("repo-sync",{fontCharacter:"\\ea77"}),n.sync=new n("sync",{fontCharacter:"\\ea77"}),n.clone=new n("clone",{fontCharacter:"\\ea78"}),n.desktopDownload=new n("desktop-download",{fontCharacter:"\\ea78"}),n.beaker=new n("beaker",{fontCharacter:"\\ea79"}),n.microscope=new n("microscope",{fontCharacter:"\\ea79"}),n.vm=new n("vm",{fontCharacter:"\\ea7a"}),n.deviceDesktop=new n("device-desktop",{fontCharacter:"\\ea7a"}),n.file=new n("file",{fontCharacter:"\\ea7b"}),n.fileText=new n("file-text",{fontCharacter:"\\ea7b"}),n.more=new n("more",{fontCharacter:"\\ea7c"}),n.ellipsis=new n("ellipsis",{fontCharacter:"\\ea7c"}),n.kebabHorizontal=new n("kebab-horizontal",{fontCharacter:"\\ea7c"}),n.mailReply=new n("mail-reply",{fontCharacter:"\\ea7d"}),n.reply=new n("reply",{fontCharacter:"\\ea7d"}),n.organization=new n("organization",{fontCharacter:"\\ea7e"}),n.organizationFilled=new n("organization-filled",{fontCharacter:"\\ea7e"}),n.organizationOutline=new n("organization-outline",{fontCharacter:"\\ea7e"}),n.newFile=new n("new-file",{fontCharacter:"\\ea7f"}),n.fileAdd=new n("file-add",{fontCharacter:"\\ea7f"}),n.newFolder=new n("new-folder",{fontCharacter:"\\ea80"}),n.fileDirectoryCreate=new n("file-directory-create",{fontCharacter:"\\ea80"}),n.trash=new n("trash",{fontCharacter:"\\ea81"}),n.trashcan=new n("trashcan",{fontCharacter:"\\ea81"}),n.history=new n("history",{fontCharacter:"\\ea82"}),n.clock=new n("clock",{fontCharacter:"\\ea82"}),n.folder=new n("folder",{fontCharacter:"\\ea83"}),n.fileDirectory=new n("file-directory",{fontCharacter:"\\ea83"}),n.symbolFolder=new n("symbol-folder",{fontCharacter:"\\ea83"}),n.logoGithub=new n("logo-github",{fontCharacter:"\\ea84"}),n.markGithub=new n("mark-github",{fontCharacter:"\\ea84"}),n.github=new n("github",{fontCharacter:"\\ea84"}),n.terminal=new n("terminal",{fontCharacter:"\\ea85"}),n.console=new n("console",{fontCharacter:"\\ea85"}),n.repl=new n("repl",{fontCharacter:"\\ea85"}),n.zap=new n("zap",{fontCharacter:"\\ea86"}),n.symbolEvent=new n("symbol-event",{fontCharacter:"\\ea86"}),n.error=new n("error",{fontCharacter:"\\ea87"}),n.stop=new n("stop",{fontCharacter:"\\ea87"}),n.variable=new n("variable",{fontCharacter:"\\ea88"}),n.symbolVariable=new n("symbol-variable",{fontCharacter:"\\ea88"}),n.array=new n("array",{fontCharacter:"\\ea8a"}),n.symbolArray=new n("symbol-array",{fontCharacter:"\\ea8a"}),n.symbolModule=new n("symbol-module",{fontCharacter:"\\ea8b"}),n.symbolPackage=new n("symbol-package",{fontCharacter:"\\ea8b"}),n.symbolNamespace=new n("symbol-namespace",{fontCharacter:"\\ea8b"}),n.symbolObject=new n("symbol-object",{fontCharacter:"\\ea8b"}),n.symbolMethod=new n("symbol-method",{fontCharacter:"\\ea8c"}),n.symbolFunction=new n("symbol-function",{fontCharacter:"\\ea8c"}),n.symbolConstructor=new n("symbol-constructor",{fontCharacter:"\\ea8c"}),n.symbolBoolean=new n("symbol-boolean",{fontCharacter:"\\ea8f"}),n.symbolNull=new n("symbol-null",{fontCharacter:"\\ea8f"}),n.symbolNumeric=new n("symbol-numeric",{fontCharacter:"\\ea90"}),n.symbolNumber=new n("symbol-number",{fontCharacter:"\\ea90"}),n.symbolStructure=new n("symbol-structure",{fontCharacter:"\\ea91"}),n.symbolStruct=new n("symbol-struct",{fontCharacter:"\\ea91"}),n.symbolParameter=new n("symbol-parameter",{fontCharacter:"\\ea92"}),n.symbolTypeParameter=new n("symbol-type-parameter",{fontCharacter:"\\ea92"}),n.symbolKey=new n("symbol-key",{fontCharacter:"\\ea93"}),n.symbolText=new n("symbol-text",{fontCharacter:"\\ea93"}),n.symbolReference=new n("symbol-reference",{fontCharacter:"\\ea94"}),n.goToFile=new n("go-to-file",{fontCharacter:"\\ea94"}),n.symbolEnum=new n("symbol-enum",{fontCharacter:"\\ea95"}),n.symbolValue=new n("symbol-value",{fontCharacter:"\\ea95"}),n.symbolRuler=new n("symbol-ruler",{fontCharacter:"\\ea96"}),n.symbolUnit=new n("symbol-unit",{fontCharacter:"\\ea96"}),n.activateBreakpoints=new n("activate-breakpoints",{fontCharacter:"\\ea97"}),n.archive=new n("archive",{fontCharacter:"\\ea98"}),n.arrowBoth=new n("arrow-both",{fontCharacter:"\\ea99"}),n.arrowDown=new n("arrow-down",{fontCharacter:"\\ea9a"}),n.arrowLeft=new n("arrow-left",{fontCharacter:"\\ea9b"}),n.arrowRight=new n("arrow-right",{fontCharacter:"\\ea9c"}),n.arrowSmallDown=new n("arrow-small-down",{fontCharacter:"\\ea9d"}),n.arrowSmallLeft=new n("arrow-small-left",{fontCharacter:"\\ea9e"}),n.arrowSmallRight=new n("arrow-small-right",{fontCharacter:"\\ea9f"}),n.arrowSmallUp=new n("arrow-small-up",{fontCharacter:"\\eaa0"}),n.arrowUp=new n("arrow-up",{fontCharacter:"\\eaa1"}),n.bell=new n("bell",{fontCharacter:"\\eaa2"}),n.bold=new n("bold",{fontCharacter:"\\eaa3"}),n.book=new n("book",{fontCharacter:"\\eaa4"}),n.bookmark=new n("bookmark",{fontCharacter:"\\eaa5"}),n.debugBreakpointConditionalUnverified=new n("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),n.debugBreakpointConditional=new n("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),n.debugBreakpointConditionalDisabled=new n("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),n.debugBreakpointDataUnverified=new n("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),n.debugBreakpointData=new n("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),n.debugBreakpointDataDisabled=new n("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),n.debugBreakpointLogUnverified=new n("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),n.debugBreakpointLog=new n("debug-breakpoint-log",{fontCharacter:"\\eaab"}),n.debugBreakpointLogDisabled=new n("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),n.briefcase=new n("briefcase",{fontCharacter:"\\eaac"}),n.broadcast=new n("broadcast",{fontCharacter:"\\eaad"}),n.browser=new n("browser",{fontCharacter:"\\eaae"}),n.bug=new n("bug",{fontCharacter:"\\eaaf"}),n.calendar=new n("calendar",{fontCharacter:"\\eab0"}),n.caseSensitive=new n("case-sensitive",{fontCharacter:"\\eab1"}),n.check=new n("check",{fontCharacter:"\\eab2"}),n.checklist=new n("checklist",{fontCharacter:"\\eab3"}),n.chevronDown=new n("chevron-down",{fontCharacter:"\\eab4"}),n.chevronLeft=new n("chevron-left",{fontCharacter:"\\eab5"}),n.chevronRight=new n("chevron-right",{fontCharacter:"\\eab6"}),n.chevronUp=new n("chevron-up",{fontCharacter:"\\eab7"}),n.chromeClose=new n("chrome-close",{fontCharacter:"\\eab8"}),n.chromeMaximize=new n("chrome-maximize",{fontCharacter:"\\eab9"}),n.chromeMinimize=new n("chrome-minimize",{fontCharacter:"\\eaba"}),n.chromeRestore=new n("chrome-restore",{fontCharacter:"\\eabb"}),n.circleOutline=new n("circle-outline",{fontCharacter:"\\eabc"}),n.debugBreakpointUnverified=new n("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),n.circleSlash=new n("circle-slash",{fontCharacter:"\\eabd"}),n.circuitBoard=new n("circuit-board",{fontCharacter:"\\eabe"}),n.clearAll=new n("clear-all",{fontCharacter:"\\eabf"}),n.clippy=new n("clippy",{fontCharacter:"\\eac0"}),n.closeAll=new n("close-all",{fontCharacter:"\\eac1"}),n.cloudDownload=new n("cloud-download",{fontCharacter:"\\eac2"}),n.cloudUpload=new n("cloud-upload",{fontCharacter:"\\eac3"}),n.code=new n("code",{fontCharacter:"\\eac4"}),n.collapseAll=new n("collapse-all",{fontCharacter:"\\eac5"}),n.colorMode=new n("color-mode",{fontCharacter:"\\eac6"}),n.commentDiscussion=new n("comment-discussion",{fontCharacter:"\\eac7"}),n.compareChanges=new n("compare-changes",{fontCharacter:"\\eafd"}),n.creditCard=new n("credit-card",{fontCharacter:"\\eac9"}),n.dash=new n("dash",{fontCharacter:"\\eacc"}),n.dashboard=new n("dashboard",{fontCharacter:"\\eacd"}),n.database=new n("database",{fontCharacter:"\\eace"}),n.debugContinue=new n("debug-continue",{fontCharacter:"\\eacf"}),n.debugDisconnect=new n("debug-disconnect",{fontCharacter:"\\ead0"}),n.debugPause=new n("debug-pause",{fontCharacter:"\\ead1"}),n.debugRestart=new n("debug-restart",{fontCharacter:"\\ead2"}),n.debugStart=new n("debug-start",{fontCharacter:"\\ead3"}),n.debugStepInto=new n("debug-step-into",{fontCharacter:"\\ead4"}),n.debugStepOut=new n("debug-step-out",{fontCharacter:"\\ead5"}),n.debugStepOver=new n("debug-step-over",{fontCharacter:"\\ead6"}),n.debugStop=new n("debug-stop",{fontCharacter:"\\ead7"}),n.debug=new n("debug",{fontCharacter:"\\ead8"}),n.deviceCameraVideo=new n("device-camera-video",{fontCharacter:"\\ead9"}),n.deviceCamera=new n("device-camera",{fontCharacter:"\\eada"}),n.deviceMobile=new n("device-mobile",{fontCharacter:"\\eadb"}),n.diffAdded=new n("diff-added",{fontCharacter:"\\eadc"}),n.diffIgnored=new n("diff-ignored",{fontCharacter:"\\eadd"}),n.diffModified=new n("diff-modified",{fontCharacter:"\\eade"}),n.diffRemoved=new n("diff-removed",{fontCharacter:"\\eadf"}),n.diffRenamed=new n("diff-renamed",{fontCharacter:"\\eae0"}),n.diff=new n("diff",{fontCharacter:"\\eae1"}),n.discard=new n("discard",{fontCharacter:"\\eae2"}),n.editorLayout=new n("editor-layout",{fontCharacter:"\\eae3"}),n.emptyWindow=new n("empty-window",{fontCharacter:"\\eae4"}),n.exclude=new n("exclude",{fontCharacter:"\\eae5"}),n.extensions=new n("extensions",{fontCharacter:"\\eae6"}),n.eyeClosed=new n("eye-closed",{fontCharacter:"\\eae7"}),n.fileBinary=new n("file-binary",{fontCharacter:"\\eae8"}),n.fileCode=new n("file-code",{fontCharacter:"\\eae9"}),n.fileMedia=new n("file-media",{fontCharacter:"\\eaea"}),n.filePdf=new n("file-pdf",{fontCharacter:"\\eaeb"}),n.fileSubmodule=new n("file-submodule",{fontCharacter:"\\eaec"}),n.fileSymlinkDirectory=new n("file-symlink-directory",{fontCharacter:"\\eaed"}),n.fileSymlinkFile=new n("file-symlink-file",{fontCharacter:"\\eaee"}),n.fileZip=new n("file-zip",{fontCharacter:"\\eaef"}),n.files=new n("files",{fontCharacter:"\\eaf0"}),n.filter=new n("filter",{fontCharacter:"\\eaf1"}),n.flame=new n("flame",{fontCharacter:"\\eaf2"}),n.foldDown=new n("fold-down",{fontCharacter:"\\eaf3"}),n.foldUp=new n("fold-up",{fontCharacter:"\\eaf4"}),n.fold=new n("fold",{fontCharacter:"\\eaf5"}),n.folderActive=new n("folder-active",{fontCharacter:"\\eaf6"}),n.folderOpened=new n("folder-opened",{fontCharacter:"\\eaf7"}),n.gear=new n("gear",{fontCharacter:"\\eaf8"}),n.gift=new n("gift",{fontCharacter:"\\eaf9"}),n.gistSecret=new n("gist-secret",{fontCharacter:"\\eafa"}),n.gist=new n("gist",{fontCharacter:"\\eafb"}),n.gitCommit=new n("git-commit",{fontCharacter:"\\eafc"}),n.gitCompare=new n("git-compare",{fontCharacter:"\\eafd"}),n.gitMerge=new n("git-merge",{fontCharacter:"\\eafe"}),n.githubAction=new n("github-action",{fontCharacter:"\\eaff"}),n.githubAlt=new n("github-alt",{fontCharacter:"\\eb00"}),n.globe=new n("globe",{fontCharacter:"\\eb01"}),n.grabber=new n("grabber",{fontCharacter:"\\eb02"}),n.graph=new n("graph",{fontCharacter:"\\eb03"}),n.gripper=new n("gripper",{fontCharacter:"\\eb04"}),n.heart=new n("heart",{fontCharacter:"\\eb05"}),n.home=new n("home",{fontCharacter:"\\eb06"}),n.horizontalRule=new n("horizontal-rule",{fontCharacter:"\\eb07"}),n.hubot=new n("hubot",{fontCharacter:"\\eb08"}),n.inbox=new n("inbox",{fontCharacter:"\\eb09"}),n.issueClosed=new n("issue-closed",{fontCharacter:"\\eb0a"}),n.issueReopened=new n("issue-reopened",{fontCharacter:"\\eb0b"}),n.issues=new n("issues",{fontCharacter:"\\eb0c"}),n.italic=new n("italic",{fontCharacter:"\\eb0d"}),n.jersey=new n("jersey",{fontCharacter:"\\eb0e"}),n.json=new n("json",{fontCharacter:"\\eb0f"}),n.kebabVertical=new n("kebab-vertical",{fontCharacter:"\\eb10"}),n.key=new n("key",{fontCharacter:"\\eb11"}),n.law=new n("law",{fontCharacter:"\\eb12"}),n.lightbulbAutofix=new n("lightbulb-autofix",{fontCharacter:"\\eb13"}),n.linkExternal=new n("link-external",{fontCharacter:"\\eb14"}),n.link=new n("link",{fontCharacter:"\\eb15"}),n.listOrdered=new n("list-ordered",{fontCharacter:"\\eb16"}),n.listUnordered=new n("list-unordered",{fontCharacter:"\\eb17"}),n.liveShare=new n("live-share",{fontCharacter:"\\eb18"}),n.loading=new n("loading",{fontCharacter:"\\eb19"}),n.location=new n("location",{fontCharacter:"\\eb1a"}),n.mailRead=new n("mail-read",{fontCharacter:"\\eb1b"}),n.mail=new n("mail",{fontCharacter:"\\eb1c"}),n.markdown=new n("markdown",{fontCharacter:"\\eb1d"}),n.megaphone=new n("megaphone",{fontCharacter:"\\eb1e"}),n.mention=new n("mention",{fontCharacter:"\\eb1f"}),n.milestone=new n("milestone",{fontCharacter:"\\eb20"}),n.mortarBoard=new n("mortar-board",{fontCharacter:"\\eb21"}),n.move=new n("move",{fontCharacter:"\\eb22"}),n.multipleWindows=new n("multiple-windows",{fontCharacter:"\\eb23"}),n.mute=new n("mute",{fontCharacter:"\\eb24"}),n.noNewline=new n("no-newline",{fontCharacter:"\\eb25"}),n.note=new n("note",{fontCharacter:"\\eb26"}),n.octoface=new n("octoface",{fontCharacter:"\\eb27"}),n.openPreview=new n("open-preview",{fontCharacter:"\\eb28"}),n.package_=new n("package",{fontCharacter:"\\eb29"}),n.paintcan=new n("paintcan",{fontCharacter:"\\eb2a"}),n.pin=new n("pin",{fontCharacter:"\\eb2b"}),n.play=new n("play",{fontCharacter:"\\eb2c"}),n.run=new n("run",{fontCharacter:"\\eb2c"}),n.plug=new n("plug",{fontCharacter:"\\eb2d"}),n.preserveCase=new n("preserve-case",{fontCharacter:"\\eb2e"}),n.preview=new n("preview",{fontCharacter:"\\eb2f"}),n.project=new n("project",{fontCharacter:"\\eb30"}),n.pulse=new n("pulse",{fontCharacter:"\\eb31"}),n.question=new n("question",{fontCharacter:"\\eb32"}),n.quote=new n("quote",{fontCharacter:"\\eb33"}),n.radioTower=new n("radio-tower",{fontCharacter:"\\eb34"}),n.reactions=new n("reactions",{fontCharacter:"\\eb35"}),n.references=new n("references",{fontCharacter:"\\eb36"}),n.refresh=new n("refresh",{fontCharacter:"\\eb37"}),n.regex=new n("regex",{fontCharacter:"\\eb38"}),n.remoteExplorer=new n("remote-explorer",{fontCharacter:"\\eb39"}),n.remote=new n("remote",{fontCharacter:"\\eb3a"}),n.remove=new n("remove",{fontCharacter:"\\eb3b"}),n.replaceAll=new n("replace-all",{fontCharacter:"\\eb3c"}),n.replace=new n("replace",{fontCharacter:"\\eb3d"}),n.repoClone=new n("repo-clone",{fontCharacter:"\\eb3e"}),n.repoForcePush=new n("repo-force-push",{fontCharacter:"\\eb3f"}),n.repoPull=new n("repo-pull",{fontCharacter:"\\eb40"}),n.repoPush=new n("repo-push",{fontCharacter:"\\eb41"}),n.report=new n("report",{fontCharacter:"\\eb42"}),n.requestChanges=new n("request-changes",{fontCharacter:"\\eb43"}),n.rocket=new n("rocket",{fontCharacter:"\\eb44"}),n.rootFolderOpened=new n("root-folder-opened",{fontCharacter:"\\eb45"}),n.rootFolder=new n("root-folder",{fontCharacter:"\\eb46"}),n.rss=new n("rss",{fontCharacter:"\\eb47"}),n.ruby=new n("ruby",{fontCharacter:"\\eb48"}),n.saveAll=new n("save-all",{fontCharacter:"\\eb49"}),n.saveAs=new n("save-as",{fontCharacter:"\\eb4a"}),n.save=new n("save",{fontCharacter:"\\eb4b"}),n.screenFull=new n("screen-full",{fontCharacter:"\\eb4c"}),n.screenNormal=new n("screen-normal",{fontCharacter:"\\eb4d"}),n.searchStop=new n("search-stop",{fontCharacter:"\\eb4e"}),n.server=new n("server",{fontCharacter:"\\eb50"}),n.settingsGear=new n("settings-gear",{fontCharacter:"\\eb51"}),n.settings=new n("settings",{fontCharacter:"\\eb52"}),n.shield=new n("shield",{fontCharacter:"\\eb53"}),n.smiley=new n("smiley",{fontCharacter:"\\eb54"}),n.sortPrecedence=new n("sort-precedence",{fontCharacter:"\\eb55"}),n.splitHorizontal=new n("split-horizontal",{fontCharacter:"\\eb56"}),n.splitVertical=new n("split-vertical",{fontCharacter:"\\eb57"}),n.squirrel=new n("squirrel",{fontCharacter:"\\eb58"}),n.starFull=new n("star-full",{fontCharacter:"\\eb59"}),n.starHalf=new n("star-half",{fontCharacter:"\\eb5a"}),n.symbolClass=new n("symbol-class",{fontCharacter:"\\eb5b"}),n.symbolColor=new n("symbol-color",{fontCharacter:"\\eb5c"}),n.symbolConstant=new n("symbol-constant",{fontCharacter:"\\eb5d"}),n.symbolEnumMember=new n("symbol-enum-member",{fontCharacter:"\\eb5e"}),n.symbolField=new n("symbol-field",{fontCharacter:"\\eb5f"}),n.symbolFile=new n("symbol-file",{fontCharacter:"\\eb60"}),n.symbolInterface=new n("symbol-interface",{fontCharacter:"\\eb61"}),n.symbolKeyword=new n("symbol-keyword",{fontCharacter:"\\eb62"}),n.symbolMisc=new n("symbol-misc",{fontCharacter:"\\eb63"}),n.symbolOperator=new n("symbol-operator",{fontCharacter:"\\eb64"}),n.symbolProperty=new n("symbol-property",{fontCharacter:"\\eb65"}),n.wrench=new n("wrench",{fontCharacter:"\\eb65"}),n.wrenchSubaction=new n("wrench-subaction",{fontCharacter:"\\eb65"}),n.symbolSnippet=new n("symbol-snippet",{fontCharacter:"\\eb66"}),n.tasklist=new n("tasklist",{fontCharacter:"\\eb67"}),n.telescope=new n("telescope",{fontCharacter:"\\eb68"}),n.textSize=new n("text-size",{fontCharacter:"\\eb69"}),n.threeBars=new n("three-bars",{fontCharacter:"\\eb6a"}),n.thumbsdown=new n("thumbsdown",{fontCharacter:"\\eb6b"}),n.thumbsup=new n("thumbsup",{fontCharacter:"\\eb6c"}),n.tools=new n("tools",{fontCharacter:"\\eb6d"}),n.triangleDown=new n("triangle-down",{fontCharacter:"\\eb6e"}),n.triangleLeft=new n("triangle-left",{fontCharacter:"\\eb6f"}),n.triangleRight=new n("triangle-right",{fontCharacter:"\\eb70"}),n.triangleUp=new n("triangle-up",{fontCharacter:"\\eb71"}),n.twitter=new n("twitter",{fontCharacter:"\\eb72"}),n.unfold=new n("unfold",{fontCharacter:"\\eb73"}),n.unlock=new n("unlock",{fontCharacter:"\\eb74"}),n.unmute=new n("unmute",{fontCharacter:"\\eb75"}),n.unverified=new n("unverified",{fontCharacter:"\\eb76"}),n.verified=new n("verified",{fontCharacter:"\\eb77"}),n.versions=new n("versions",{fontCharacter:"\\eb78"}),n.vmActive=new n("vm-active",{fontCharacter:"\\eb79"}),n.vmOutline=new n("vm-outline",{fontCharacter:"\\eb7a"}),n.vmRunning=new n("vm-running",{fontCharacter:"\\eb7b"}),n.watch=new n("watch",{fontCharacter:"\\eb7c"}),n.whitespace=new n("whitespace",{fontCharacter:"\\eb7d"}),n.wholeWord=new n("whole-word",{fontCharacter:"\\eb7e"}),n.window=new n("window",{fontCharacter:"\\eb7f"}),n.wordWrap=new n("word-wrap",{fontCharacter:"\\eb80"}),n.zoomIn=new n("zoom-in",{fontCharacter:"\\eb81"}),n.zoomOut=new n("zoom-out",{fontCharacter:"\\eb82"}),n.listFilter=new n("list-filter",{fontCharacter:"\\eb83"}),n.listFlat=new n("list-flat",{fontCharacter:"\\eb84"}),n.listSelection=new n("list-selection",{fontCharacter:"\\eb85"}),n.selection=new n("selection",{fontCharacter:"\\eb85"}),n.listTree=new n("list-tree",{fontCharacter:"\\eb86"}),n.debugBreakpointFunctionUnverified=new n("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),n.debugBreakpointFunction=new n("debug-breakpoint-function",{fontCharacter:"\\eb88"}),n.debugBreakpointFunctionDisabled=new n("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),n.debugStackframeActive=new n("debug-stackframe-active",{fontCharacter:"\\eb89"}),n.debugStackframeDot=new n("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),n.debugStackframe=new n("debug-stackframe",{fontCharacter:"\\eb8b"}),n.debugStackframeFocused=new n("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),n.debugBreakpointUnsupported=new n("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),n.symbolString=new n("symbol-string",{fontCharacter:"\\eb8d"}),n.debugReverseContinue=new n("debug-reverse-continue",{fontCharacter:"\\eb8e"}),n.debugStepBack=new n("debug-step-back",{fontCharacter:"\\eb8f"}),n.debugRestartFrame=new n("debug-restart-frame",{fontCharacter:"\\eb90"}),n.callIncoming=new n("call-incoming",{fontCharacter:"\\eb92"}),n.callOutgoing=new n("call-outgoing",{fontCharacter:"\\eb93"}),n.menu=new n("menu",{fontCharacter:"\\eb94"}),n.expandAll=new n("expand-all",{fontCharacter:"\\eb95"}),n.feedback=new n("feedback",{fontCharacter:"\\eb96"}),n.groupByRefType=new n("group-by-ref-type",{fontCharacter:"\\eb97"}),n.ungroupByRefType=new n("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),n.account=new n("account",{fontCharacter:"\\eb99"}),n.bellDot=new n("bell-dot",{fontCharacter:"\\eb9a"}),n.debugConsole=new n("debug-console",{fontCharacter:"\\eb9b"}),n.library=new n("library",{fontCharacter:"\\eb9c"}),n.output=new n("output",{fontCharacter:"\\eb9d"}),n.runAll=new n("run-all",{fontCharacter:"\\eb9e"}),n.syncIgnored=new n("sync-ignored",{fontCharacter:"\\eb9f"}),n.pinned=new n("pinned",{fontCharacter:"\\eba0"}),n.githubInverted=new n("github-inverted",{fontCharacter:"\\eba1"}),n.debugAlt=new n("debug-alt",{fontCharacter:"\\eb91"}),n.serverProcess=new n("server-process",{fontCharacter:"\\eba2"}),n.serverEnvironment=new n("server-environment",{fontCharacter:"\\eba3"}),n.pass=new n("pass",{fontCharacter:"\\eba4"}),n.stopCircle=new n("stop-circle",{fontCharacter:"\\eba5"}),n.playCircle=new n("play-circle",{fontCharacter:"\\eba6"}),n.record=new n("record",{fontCharacter:"\\eba7"}),n.debugAltSmall=new n("debug-alt-small",{fontCharacter:"\\eba8"}),n.vmConnect=new n("vm-connect",{fontCharacter:"\\eba9"}),n.cloud=new n("cloud",{fontCharacter:"\\ebaa"}),n.merge=new n("merge",{fontCharacter:"\\ebab"}),n.exportIcon=new n("export",{fontCharacter:"\\ebac"}),n.graphLeft=new n("graph-left",{fontCharacter:"\\ebad"}),n.magnet=new n("magnet",{fontCharacter:"\\ebae"}),n.notebook=new n("notebook",{fontCharacter:"\\ebaf"}),n.redo=new n("redo",{fontCharacter:"\\ebb0"}),n.checkAll=new n("check-all",{fontCharacter:"\\ebb1"}),n.pinnedDirty=new n("pinned-dirty",{fontCharacter:"\\ebb2"}),n.passFilled=new n("pass-filled",{fontCharacter:"\\ebb3"}),n.circleLargeFilled=new n("circle-large-filled",{fontCharacter:"\\ebb4"}),n.circleLargeOutline=new n("circle-large-outline",{fontCharacter:"\\ebb5"}),n.combine=new n("combine",{fontCharacter:"\\ebb6"}),n.gather=new n("gather",{fontCharacter:"\\ebb6"}),n.table=new n("table",{fontCharacter:"\\ebb7"}),n.variableGroup=new n("variable-group",{fontCharacter:"\\ebb8"}),n.typeHierarchy=new n("type-hierarchy",{fontCharacter:"\\ebb9"}),n.typeHierarchySub=new n("type-hierarchy-sub",{fontCharacter:"\\ebba"}),n.typeHierarchySuper=new n("type-hierarchy-super",{fontCharacter:"\\ebbb"}),n.gitPullRequestCreate=new n("git-pull-request-create",{fontCharacter:"\\ebbc"}),n.runAbove=new n("run-above",{fontCharacter:"\\ebbd"}),n.runBelow=new n("run-below",{fontCharacter:"\\ebbe"}),n.notebookTemplate=new n("notebook-template",{fontCharacter:"\\ebbf"}),n.debugRerun=new n("debug-rerun",{fontCharacter:"\\ebc0"}),n.workspaceTrusted=new n("workspace-trusted",{fontCharacter:"\\ebc1"}),n.workspaceUntrusted=new n("workspace-untrusted",{fontCharacter:"\\ebc2"}),n.workspaceUnknown=new n("workspace-unknown",{fontCharacter:"\\ebc3"}),n.dropDownButton=new n("drop-down-button",n.chevronDown.definition)}(E=e.Codicon||(e.Codicon={}))}),define(we[106],Ee([0,1,10,6]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transform=e.toReadable=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function T(p){const g=p;return g&&[g.on,g.pause,g.resume,g.destroy].every(b=>typeof b=="function")}e.isReadableStream=T;function P(p){const g=p;return g&&T(g.stream)&&Array.isArray(g.buffer)&&typeof g.ended=="boolean"}e.isReadableBufferedStream=P;function E(p,g){return new k(p,g)}e.newWriteableStream=E;class k{constructor(g,b){this.reducer=g,this.options=b,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(g){var b;if(!this.state.destroyed){if(this.state.flowing)this.emitData(g);else if(this.buffer.data.push(g),typeof((b=this.options)===null||b===void 0?void 0:b.highWaterMark)=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(c=>this.pendingWritePromises.push(c))}}error(g){this.state.destroyed||(this.state.flowing?this.emitError(g):this.buffer.error.push(g))}end(g){this.state.destroyed||(typeof g!="undefined"&&this.write(g),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(g){this.listeners.data.slice(0).forEach(b=>b(g))}emitError(g){this.listeners.error.length===0?(0,_.onUnexpectedError)(g):this.listeners.error.slice(0).forEach(b=>b(g))}emitEnd(){this.listeners.end.slice(0).forEach(g=>g())}on(g,b){if(!this.state.destroyed)switch(g){case"data":this.listeners.data.push(b),this.resume();break;case"end":this.listeners.end.push(b),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(b),this.state.flowing&&this.flowErrors();break}}removeListener(g,b){if(!this.state.destroyed){let c;switch(g){case"data":c=this.listeners.data;break;case"end":c=this.listeners.end;break;case"error":c=this.listeners.error;break}if(c){const u=c.indexOf(b);u>=0&&c.splice(u,1)}}}flowData(){if(this.buffer.data.length>0){const g=this.reducer(this.buffer.data);this.emitData(g),this.buffer.data.length=0;const b=[...this.pendingWritePromises];this.pendingWritePromises.length=0,b.forEach(c=>c())}}flowErrors(){if(this.listeners.error.length>0){for(const g of this.buffer.error)this.emitError(g);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function D(p,g){const b=[];let c;for(;(c=p.read())!==null;)b.push(c);return g(b)}e.consumeReadable=D;function n(p,g,b){const c=[];let u;for(;(u=p.read())!==null&&c.length<b;)c.push(u);return u===null&&c.length>0?g(c):{read:()=>{if(c.length>0)return c.shift();if(typeof u!="undefined"){const a=u;return u=void 0,a}return p.read()}}}e.peekReadable=n;function A(p,g){return new Promise((b,c)=>{const u=[];C(p,{onData:a=>{g&&u.push(a)},onError:a=>{g?c(a):b(void 0)},onEnd:()=>{b(g?g(u):void 0)}})})}e.consumeStream=A;function C(p,g){p.on("error",b=>g.onError(b)),p.on("end",()=>g.onEnd()),p.on("data",b=>g.onData(b))}e.listenStream=C;function v(p,g){return new Promise((b,c)=>{const u=new S.DisposableStore,a=[],t=l=>{if(a.push(l),a.length>g)return u.dispose(),p.pause(),b({stream:p,buffer:a,ended:!1})},r=l=>c(l),o=()=>b({stream:p,buffer:a,ended:!0});u.add((0,S.toDisposable)(()=>p.removeListener("error",r))),p.on("error",r),u.add((0,S.toDisposable)(()=>p.removeListener("end",o))),p.on("end",o),u.add((0,S.toDisposable)(()=>p.removeListener("data",t))),p.on("data",t)})}e.peekStream=v;function d(p,g){const b=E(g);return b.end(p),b}e.toStream=d;function s(p){let g=!1;return{read:()=>g?null:(g=!0,p)}}e.toReadable=s;function h(p,g,b){const c=E(b);return C(p,{onData:u=>c.write(g.data(u)),onError:u=>c.error(g.error?g.error(u):u),onEnd:()=>c.end()}),c}e.transform=h}),define(we[8],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format=e.isFalsyOrWhitespace=void 0;function _(B){return!B||typeof B!="string"?!0:B.trim().length===0}e.isFalsyOrWhitespace=_;const S=/{(\d+)}/g;function T(B,...te){return te.length===0?B:B.replace(S,function(ce,z){const G=parseInt(z,10);return isNaN(G)||G<0||G>=te.length?ce:te[G]})}e.format=T;function P(B){return B.replace(/[<>&]/g,function(te){switch(te){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return te}})}e.escape=P;function E(B){return B.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=E;function k(B,te){let ce=0;const z=te.charCodeAt(0);for(let G=B.length-1;G>=0;G--)B.charCodeAt(G)===z&&ce++;return ce}e.count=k;function D(B,te,ce="\u2026"){return B.length<=te?B:`${B.substr(0,te)}${ce}`}e.truncate=D;function n(B,te=" "){const ce=A(B,te);return C(ce,te)}e.trim=n;function A(B,te){if(!B||!te)return B;const ce=te.length;if(ce===0||B.length===0)return B;let z=0;for(;B.indexOf(te,z)===z;)z=z+ce;return B.substring(z)}e.ltrim=A;function C(B,te){if(!B||!te)return B;const ce=te.length,z=B.length;if(ce===0||z===0)return B;let G=z,le=-1;for(;le=B.lastIndexOf(te,G-1),!(le===-1||le+ce!==G);){if(le===0)return"";G=le}return B.substring(0,G)}e.rtrim=C;function v(B){return B.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=v;function d(B){return B.replace(/\*/g,"")}e.stripWildcards=d;function s(B,te,ce={}){if(!B)throw new Error("Cannot create regex from empty string");te||(B=E(B)),ce.wholeWord&&(/\B/.test(B.charAt(0))||(B="\\b"+B),/\B/.test(B.charAt(B.length-1))||(B=B+"\\b"));let z="";return ce.global&&(z+="g"),ce.matchCase||(z+="i"),ce.multiline&&(z+="m"),ce.unicode&&(z+="u"),new RegExp(B,z)}e.createRegExp=s;function h(B){return B.source==="^"||B.source==="^$"||B.source==="$"||B.source==="^\\s*$"?!1:!!(B.exec("")&&B.lastIndex===0)}e.regExpLeadsToEndlessLoop=h;function p(B){return!!B.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=p;function g(B){return(B.global?"g":"")+(B.ignoreCase?"i":"")+(B.multiline?"m":"")+(B.unicode?"u":"")}e.regExpFlags=g;function b(B){return B.split(/\r\n|\r|\n/)}e.splitLines=b;function c(B){for(let te=0,ce=B.length;te<ce;te++){const z=B.charCodeAt(te);if(z!==32&&z!==9)return te}return-1}e.firstNonWhitespaceIndex=c;function u(B,te=0,ce=B.length){for(let z=te;z<ce;z++){const G=B.charCodeAt(z);if(G!==32&&G!==9)return B.substring(te,z)}return B.substring(te,ce)}e.getLeadingWhitespace=u;function a(B,te=B.length-1){for(let ce=te;ce>=0;ce--){const z=B.charCodeAt(ce);if(z!==32&&z!==9)return ce}return-1}e.lastNonWhitespaceIndex=a;function t(B,te){return B<te?-1:B>te?1:0}e.compare=t;function r(B,te,ce=0,z=B.length,G=0,le=te.length){for(;ce<z&&G<le;ce++,G++){let xe=B.charCodeAt(ce),Oe=te.charCodeAt(G);if(xe<Oe)return-1;if(xe>Oe)return 1}const fe=z-ce,ve=le-G;return fe<ve?-1:fe>ve?1:0}e.compareSubstring=r;function o(B,te){return l(B,te,0,B.length,0,te.length)}e.compareIgnoreCase=o;function l(B,te,ce=0,z=B.length,G=0,le=te.length){for(;ce<z&&G<le;ce++,G++){let xe=B.charCodeAt(ce),Oe=te.charCodeAt(G);if(xe!==Oe){const Ve=xe-Oe;if(!(Ve===32&&f(Oe))&&!(Ve===-32&&f(xe)))return i(xe)&&i(Oe)?Ve:r(B.toLowerCase(),te.toLowerCase(),ce,z,G,le)}}const fe=z-ce,ve=le-G;return fe<ve?-1:fe>ve?1:0}e.compareSubstringIgnoreCase=l;function i(B){return B>=97&&B<=122}e.isLowerAsciiLetter=i;function f(B){return B>=65&&B<=90}e.isUpperAsciiLetter=f;function y(B){return i(B)||f(B)}function I(B,te){return B.length===te.length&&m(B,te)}e.equalsIgnoreCase=I;function m(B,te,ce=B.length){for(let z=0;z<ce;z++){const G=B.charCodeAt(z),le=te.charCodeAt(z);if(G!==le){if(y(G)&&y(le)){const fe=Math.abs(G-le);if(fe!==0&&fe!==32)return!1}else if(String.fromCharCode(G).toLowerCase()!==String.fromCharCode(le).toLowerCase())return!1}}return!0}function w(B,te){const ce=te.length;return te.length>B.length?!1:m(B,te,ce)}e.startsWithIgnoreCase=w;function R(B,te){let ce,z=Math.min(B.length,te.length);for(ce=0;ce<z;ce++)if(B.charCodeAt(ce)!==te.charCodeAt(ce))return ce;return z}e.commonPrefixLength=R;function F(B,te){let ce,z=Math.min(B.length,te.length);const G=B.length-1,le=te.length-1;for(ce=0;ce<z;ce++)if(B.charCodeAt(G-ce)!==te.charCodeAt(le-ce))return ce;return z}e.commonSuffixLength=F;function W(B){return 55296<=B&&B<=56319}e.isHighSurrogate=W;function oe(B){return 56320<=B&&B<=57343}e.isLowSurrogate=oe;function ie(B,te){return(B-55296<<10)+(te-56320)+65536}e.computeCodePoint=ie;function j(B,te,ce){const z=B.charCodeAt(ce);if(W(z)&&ce+1<te){const G=B.charCodeAt(ce+1);if(oe(G))return ie(z,G)}return z}e.getNextCodePoint=j;function ee(B,te){const ce=B.charCodeAt(te-1);if(oe(ce)&&te>1){const z=B.charCodeAt(te-2);if(W(z))return ie(z,ce)}return ce}function M(B,te){const ce=Ne.getInstance(),z=te,G=B.length,le=j(B,G,te);te+=le>=65536?2:1;let fe=ce.getGraphemeBreakType(le);for(;te<G;){const ve=j(B,G,te),xe=ce.getGraphemeBreakType(ve);if(Me(fe,xe))break;te+=ve>=65536?2:1,fe=xe}return te-z}e.nextCharLength=M;function x(B,te){const ce=Ne.getInstance(),z=te,G=ee(B,te);te-=G>=65536?2:1;let le=ce.getGraphemeBreakType(G);for(;te>0;){const fe=ee(B,te),ve=ce.getGraphemeBreakType(fe);if(Me(ve,le))break;te-=fe>=65536?2:1,le=ve}return z-te}e.prevCharLength=x;function $(B,te){const ce=Ne.getInstance(),z=B.length,G=te,le=j(B,z,te),fe=ce.getGraphemeBreakType(le);te+=le>=65536?2:1;let ve=fe;for(;te<z;){const Oe=j(B,z,te),Ve=ce.getGraphemeBreakType(Oe);if(Me(ve,Ve))break;te+=Oe>=65536?2:1,ve=Ve}const xe=te;for(te=G,ve=fe;te>0;){const Oe=ee(B,te),Ve=ce.getGraphemeBreakType(Oe);if(Me(Ve,ve))break;te-=Oe>=65536?2:1,ve=Ve}return[te,xe]}function q(B,te){return te>0&&oe(B.charCodeAt(te))?$(B,te-1):$(B,te)}e.getCharContainingOffset=q;function U(B){const te=B.length;let ce=0,z=0;for(;z<te;){const fe=j(B,te,z);z+=fe>=65536?2:1,fe<128?ce+=1:fe<2048?ce+=2:fe<65536?ce+=3:ce+=4}const G=new Uint8Array(ce);z=0;let le=0;for(;z<te;){const fe=j(B,te,z);z+=fe>=65536?2:1,fe<128?G[le++]=fe:fe<2048?(G[le++]=192|(fe&1984)>>>6,G[le++]=128|(fe&63)>>>0):fe<65536?(G[le++]=224|(fe&61440)>>>12,G[le++]=128|(fe&4032)>>>6,G[le++]=128|(fe&63)>>>0):(G[le++]=240|(fe&1835008)>>>18,G[le++]=128|(fe&258048)>>>12,G[le++]=128|(fe&4032)>>>6,G[le++]=128|(fe&63)>>>0)}return G}e.encodeUTF8=U;function Y(B){const te=B.byteLength,ce=[];let z=0;for(;z<te;){const G=B[z];let le;if(G>=240&&z+3<te?le=(B[z++]&7)<<18>>>0|(B[z++]&63)<<12>>>0|(B[z++]&63)<<6>>>0|(B[z++]&63)<<0>>>0:G>=224&&z+2<te?le=(B[z++]&15)<<12>>>0|(B[z++]&63)<<6>>>0|(B[z++]&63)<<0>>>0:G>=192&&z+1<te?le=(B[z++]&31)<<6>>>0|(B[z++]&63)<<0>>>0:le=B[z++],le>=0&&le<=55295||le>=57344&&le<=65535)ce.push(String.fromCharCode(le));else if(le>=65536&&le<=1114111){const fe=le-65536,ve=55296+((fe&1047552)>>>10),xe=56320+((fe&1023)>>>0);ce.push(String.fromCharCode(ve)),ce.push(String.fromCharCode(xe))}else ce.push(String.fromCharCode(65533))}return ce.join("")}e.decodeUTF8=Y;const Z=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function se(B){return Z.test(B)}e.containsRTL=se;const Se=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function Pe(B){return Se.test(B)}e.containsEmoji=Pe;const $e=/^[\t\n\r\x20-\x7E]*$/;function Fe(B){return $e.test(B)}e.isBasicASCII=Fe,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function He(B){return e.UNUSUAL_LINE_TERMINATORS.test(B)}e.containsUnusualLineTerminators=He;function N(B){for(let te=0,ce=B.length;te<ce;te++)if(V(B.charCodeAt(te)))return!0;return!1}e.containsFullWidthCharacter=N;function V(B){return B=+B,B>=11904&&B<=55215||B>=63744&&B<=64255||B>=65281&&B<=65374}e.isFullWidthCharacter=V;function X(B){return B>=127462&&B<=127487||B===8986||B===8987||B===9200||B===9203||B>=9728&&B<=10175||B===11088||B===11093||B>=127744&&B<=128591||B>=128640&&B<=128764||B>=128992&&B<=129003||B>=129280&&B<=129535||B>=129648&&B<=129750}e.isEmojiImprecise=X;function re(B,te){if(B.length<te)return B;const ce=/\b/g;let z=0;for(;ce.test(B)&&!(B.length-ce.lastIndex<te);)z=ce.lastIndex,ce.lastIndex+=1;return B.substring(z).replace(/^\s/,"")}e.lcut=re;const me=/\x1B\x5B[12]?K/g,De=/\x1b\[\d+m/g,Le=/\x1b\[0?m/g;function ge(B){return B&&(B=B.replace(me,""),B=B.replace(De,""),B=B.replace(Le,"")),B}e.removeAnsiEscapeCodes=ge,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Ce(B){return!!(B&&B.length>0&&B.charCodeAt(0)===65279)}e.startsWithUTF8BOM=Ce;function Ae(B){return Ce(B)?B.substr(1):B}e.stripUTF8BOM=Ae;function Ue(B,te){if(!B||!te||B.length<te.length)return!1;const ce=te.length,z=B.toLowerCase();let G=0,le=-1;for(;G<ce;){const fe=z.indexOf(te[G],le+1);if(fe<0)return!1;le=fe,G++}return!0}e.fuzzyContains=Ue;function be(B,te=!1){return B?(te&&(B=B.replace(/\\./g,"")),B.toLowerCase()!==B):!1}e.containsUppercaseCharacter=be;function qe(B){return B.charAt(0).toUpperCase()+B.slice(1)}e.uppercaseFirstLetter=qe;function H(B,te=1){if(te===0)return"";let ce=-1;do ce=B.indexOf(`
`,ce+1),te--;while(te>0&&ce>=0);return ce===-1?B:(B[ce-1]==="\r"&&ce--,B.substr(0,ce))}e.getNLines=H;function Q(B){const te=90-65+1;return B=B%(2*te),B<te?String.fromCharCode(97+B):String.fromCharCode(65+B-te)}e.singleLetterHash=Q;function _e(B){return Ne.getInstance().getGraphemeBreakType(B)}e.getGraphemeBreakType=_e;function Me(B,te){return B===0?te!==5&&te!==7:B===2&&te===3?!1:B===4||B===2||B===3||te===4||te===2||te===3?!0:!(B===8&&(te===8||te===9||te===11||te===12)||(B===11||B===9)&&(te===9||te===10)||(B===12||B===10)&&te===10||te===5||te===13||te===7||B===1||B===13&&te===14||B===6&&te===6)}e.breakBetweenGraphemeBreakType=Me;var Be;(function(B){B[B.Other=0]="Other",B[B.Prepend=1]="Prepend",B[B.CR=2]="CR",B[B.LF=3]="LF",B[B.Control=4]="Control",B[B.Extend=5]="Extend",B[B.Regional_Indicator=6]="Regional_Indicator",B[B.SpacingMark=7]="SpacingMark",B[B.L=8]="L",B[B.V=9]="V",B[B.T=10]="T",B[B.LV=11]="LV",B[B.LVT=12]="LVT",B[B.ZWJ=13]="ZWJ",B[B.Extended_Pictographic=14]="Extended_Pictographic"})(Be=e.GraphemeBreakType||(e.GraphemeBreakType={}));class Ne{constructor(){this._data=Xe()}static getInstance(){return Ne._INSTANCE||(Ne._INSTANCE=new Ne),Ne._INSTANCE}getGraphemeBreakType(te){if(te<32)return te===10?3:te===13?2:4;if(te<127)return 0;const ce=this._data,z=ce.length/3;let G=1;for(;G<=z;)if(te<ce[3*G])G=2*G;else if(te>ce[3*G+1])G=2*G+1;else return ce[3*G+2];return 0}}Ne._INSTANCE=null;function Xe(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}}),define(we[26],Ee([0,1,8,106]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const T=typeof Buffer!="undefined",P=typeof TextEncoder!="undefined",E=typeof TextDecoder!="undefined";let k,D;class n{constructor(i){this.buffer=i,this.byteLength=this.buffer.byteLength}static alloc(i){return T?new n(Buffer.allocUnsafe(i)):new n(new Uint8Array(i))}static wrap(i){return T&&!Buffer.isBuffer(i)&&(i=Buffer.from(i.buffer,i.byteOffset,i.byteLength)),new n(i)}static fromString(i,f){return!((f==null?void 0:f.dontUseNodeBuffer)||!1)&&T?new n(Buffer.from(i)):P?(k||(k=new TextEncoder),new n(k.encode(i))):new n(_.encodeUTF8(i))}static concat(i,f){if(typeof f=="undefined"){f=0;for(let m=0,w=i.length;m<w;m++)f+=i[m].byteLength}const y=n.alloc(f);let I=0;for(let m=0,w=i.length;m<w;m++){const R=i[m];y.set(R,I),I+=R.byteLength}return y}toString(){return T?this.buffer.toString():E?(D||(D=new TextDecoder),D.decode(this.buffer)):_.decodeUTF8(this.buffer)}slice(i,f){return new n(this.buffer.subarray(i,f))}set(i,f){i instanceof n?this.buffer.set(i.buffer,f):this.buffer.set(i,f)}readUInt32BE(i){return v(this.buffer,i)}writeUInt32BE(i,f){d(this.buffer,i,f)}readUInt32LE(i){return s(this.buffer,i)}writeUInt32LE(i,f){h(this.buffer,i,f)}readUInt8(i){return p(this.buffer,i)}writeUInt8(i,f){g(this.buffer,i,f)}}e.VSBuffer=n;function A(l,i){return l[i+0]<<0>>>0|l[i+1]<<8>>>0}e.readUInt16LE=A;function C(l,i,f){l[f+0]=i&255,i=i>>>8,l[f+1]=i&255}e.writeUInt16LE=C;function v(l,i){return l[i]*2**24+l[i+1]*2**16+l[i+2]*2**8+l[i+3]}e.readUInt32BE=v;function d(l,i,f){l[f+3]=i,i=i>>>8,l[f+2]=i,i=i>>>8,l[f+1]=i,i=i>>>8,l[f]=i}e.writeUInt32BE=d;function s(l,i){return l[i+0]<<0>>>0|l[i+1]<<8>>>0|l[i+2]<<16>>>0|l[i+3]<<24>>>0}e.readUInt32LE=s;function h(l,i,f){l[f+0]=i&255,i=i>>>8,l[f+1]=i&255,i=i>>>8,l[f+2]=i&255,i=i>>>8,l[f+3]=i&255}e.writeUInt32LE=h;function p(l,i){return l[i]}e.readUInt8=p;function g(l,i,f){l[f]=i}e.writeUInt8=g;function b(l){return S.consumeReadable(l,i=>n.concat(i))}e.readableToBuffer=b;function c(l){return S.toReadable(l)}e.bufferToReadable=c;function u(l){return S.consumeStream(l,i=>n.concat(i))}e.streamToBuffer=u;async function a(l){return l.ended?n.concat(l.buffer):n.concat([...l.buffer,await u(l.stream)])}e.bufferedStreamToBuffer=a;function t(l){return S.toStream(l,i=>n.concat(i))}e.bufferToStream=t;function r(l){return S.transform(l,{data:i=>typeof i=="string"?n.fromString(i):n.wrap(i)},i=>n.concat(i))}e.streamToBufferReadableStream=r;function o(l){return S.newWriteableStream(i=>n.concat(i),l)}e.newWriteableBufferStream=o}),define(we[56],Ee([0,1,8]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.doHash=e.hash=void 0;function S(g){return T(g,0)}e.hash=S;function T(g,b){switch(typeof g){case"object":return g===null?P(349,b):Array.isArray(g)?D(g,b):n(g,b);case"string":return k(g,b);case"boolean":return E(g,b);case"number":return P(g,b);case"undefined":return P(937,b);default:return P(617,b)}}e.doHash=T;function P(g,b){return(b<<5)-b+g|0}function E(g,b){return P(g?433:863,b)}function k(g,b){b=P(149417,b);for(let c=0,u=g.length;c<u;c++)b=P(g.charCodeAt(c),b);return b}e.stringHash=k;function D(g,b){return b=P(104579,b),g.reduce((c,u)=>T(u,c),b)}function n(g,b){return b=P(181387,b),Object.keys(g).sort().reduce((c,u)=>(c=k(u,c),T(g[u],c)),b)}class A{constructor(){this._value=0}get value(){return this._value}hash(b){return this._value=T(b,this._value),this._value}}e.Hasher=A;var C;(function(g){g[g.BLOCK_SIZE=64]="BLOCK_SIZE",g[g.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(C||(C={}));function v(g,b,c=32){const u=c-b,a=~((1<<u)-1);return(g<<b|(a&g)>>>u)>>>0}function d(g,b=0,c=g.byteLength,u=0){for(let a=0;a<c;a++)g[b+a]=u}function s(g,b,c="0"){for(;g.length<b;)g=c+g;return g}function h(g,b=32){return g instanceof ArrayBuffer?Array.from(new Uint8Array(g)).map(c=>c.toString(16).padStart(2,"0")).join(""):s((g>>>0).toString(16),b/4)}e.toHexString=h;class p{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(b){const c=b.length;if(c!==0){const u=this._buff;let a=this._buffLen,t=this._leftoverHighSurrogate,r,o;for(t!==0?(r=t,o=-1,t=0):(r=b.charCodeAt(0),o=0);;){let l=r;if(_.isHighSurrogate(r))if(o+1<c){const i=b.charCodeAt(o+1);_.isLowSurrogate(i)?(o++,l=_.computeCodePoint(r,i)):l=65533}else{t=r;break}else _.isLowSurrogate(r)&&(l=65533);if(a=this._push(u,a,l),o++,o<c)r=b.charCodeAt(o);else break}this._buffLen=a,this._leftoverHighSurrogate=t}}_push(b,c,u){return u<128?b[c++]=u:u<2048?(b[c++]=192|(u&1984)>>>6,b[c++]=128|(u&63)>>>0):u<65536?(b[c++]=224|(u&61440)>>>12,b[c++]=128|(u&4032)>>>6,b[c++]=128|(u&63)>>>0):(b[c++]=240|(u&1835008)>>>18,b[c++]=128|(u&258048)>>>12,b[c++]=128|(u&4032)>>>6,b[c++]=128|(u&63)>>>0),c>=64&&(this._step(),c-=64,this._totalLen+=64,b[0]=b[64+0],b[1]=b[64+1],b[2]=b[64+2]),c}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),h(this._h0)+h(this._h1)+h(this._h2)+h(this._h3)+h(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,d(this._buff,this._buffLen),this._buffLen>56&&(this._step(),d(this._buff));const b=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(b/4294967296),!1),this._buffDV.setUint32(60,b%4294967296,!1),this._step()}_step(){const b=p._bigBlock32,c=this._buffDV;for(let y=0;y<64;y+=4)b.setUint32(y,c.getUint32(y,!1),!1);for(let y=64;y<320;y+=4)b.setUint32(y,v(b.getUint32(y-12,!1)^b.getUint32(y-32,!1)^b.getUint32(y-56,!1)^b.getUint32(y-64,!1),1),!1);let u=this._h0,a=this._h1,t=this._h2,r=this._h3,o=this._h4,l,i,f;for(let y=0;y<80;y++)y<20?(l=a&t|~a&r,i=1518500249):y<40?(l=a^t^r,i=1859775393):y<60?(l=a&t|a&r|t&r,i=2400959708):(l=a^t^r,i=3395469782),f=v(u,5)+l+o+i+b.getUint32(y*4,!1)&4294967295,o=r,r=t,t=v(a,30),a=u,u=f;this._h0=this._h0+u&4294967295,this._h1=this._h1+a&4294967295,this._h2=this._h2+t&4294967295,this._h3=this._h3+r&4294967295,this._h4=this._h4+o&4294967295}}e.StringSHA1=p,p._bigBlock32=new DataView(new ArrayBuffer(320))}),define(we[57],Ee([0,1,8]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var S;(function(T){T[T.Ignore=0]="Ignore",T[T.Info=1]="Info",T[T.Warning=2]="Warning",T[T.Error=3]="Error"})(S||(S={})),function(T){const P="error",E="warning",k="warn",D="info";function n(A){return A?_.equalsIgnoreCase(P,A)?T.Error:_.equalsIgnoreCase(E,A)||_.equalsIgnoreCase(k,A)?T.Warning:_.equalsIgnoreCase(D,A)?T.Info:T.Ignore:T.Ignore}T.fromValue=n}(S||(S={})),e.default=S}),define(we[12],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function _(i){return Array.isArray(i)}e.isArray=_;function S(i){return typeof i=="string"}e.isString=S;function T(i){return Array.isArray(i)&&i.every(f=>S(f))}e.isStringArray=T;function P(i){return typeof i=="object"&&i!==null&&!Array.isArray(i)&&!(i instanceof RegExp)&&!(i instanceof Date)}e.isObject=P;function E(i){return typeof i=="number"&&!isNaN(i)}e.isNumber=E;function k(i){return i===!0||i===!1}e.isBoolean=k;function D(i){return typeof i=="undefined"}e.isUndefined=D;function n(i){return!A(i)}e.isDefined=n;function A(i){return D(i)||i===null}e.isUndefinedOrNull=A;function C(i,f){if(!i)throw new Error(f?`Unexpected type, expected '${f}'`:"Unexpected type")}e.assertType=C;function v(i){if(A(i))throw new Error("Assertion Failed: argument is undefined or null");return i}e.assertIsDefined=v;function d(...i){const f=[];for(let y=0;y<i.length;y++){const I=i[y];if(A(I))throw new Error(`Assertion Failed: argument at index ${y} is undefined or null`);f.push(I)}return f}e.assertAllDefined=d;const s=Object.prototype.hasOwnProperty;function h(i){if(!P(i))return!1;for(let f in i)if(s.call(i,f))return!1;return!0}e.isEmptyObject=h;function p(i){return typeof i=="function"}e.isFunction=p;function g(...i){return i.length>0&&i.every(p)}e.areFunctions=g;function b(i,f){const y=Math.min(i.length,f.length);for(let I=0;I<y;I++)c(i[I],f[I])}e.validateConstraints=b;function c(i,f){if(S(f)){if(typeof i!==f)throw new Error(`argument does not match constraint: typeof ${f}`)}else if(p(f)){try{if(i instanceof f)return}catch(y){}if(!A(i)&&i.constructor===f||f.length===1&&f.call(void 0,i)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=c;function u(i){let f=[],y=Object.getPrototypeOf(i);for(;Object.prototype!==y;)f=f.concat(Object.getOwnPropertyNames(y)),y=Object.getPrototypeOf(y);return f}e.getAllPropertyNames=u;function a(i){const f=[];for(const y of u(i))typeof i[y]=="function"&&f.push(y);return f}e.getAllMethodNames=a;function t(i,f){const y=m=>function(){const w=Array.prototype.slice.call(arguments,0);return f(m,w)};let I={};for(const m of i)I[m]=y(m);return I}e.createProxyObject=t;function r(i){return i===null?void 0:i}e.withNullAsUndefined=r;function o(i){return typeof i=="undefined"?null:i}e.withUndefinedAsNull=o;function l(i){return class{constructor(){return new Proxy({},{get(f,y){if(f[y])return f[y];throw new Error(`Not Implemented: ${i}->${String(y)}`)}})}}}e.NotImplementedProxy=l}),define(we[38],Ee([0,1,21,8,11,12]),function(ae,e,_,S,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toSlashes=e.isPathSeparator=void 0;function E(r){return r===47||r===92}e.isPathSeparator=E;function k(r){return r.replace(/[\\/]/g,T.posix.sep)}e.toSlashes=k;function D(r,o=T.posix.sep){if(!r)return"";const l=r.length,i=r.charCodeAt(0);if(E(i)){if(E(r.charCodeAt(1))&&!E(r.charCodeAt(2))){let y=3;const I=y;for(;y<l&&!E(r.charCodeAt(y));y++);if(I!==y&&!E(r.charCodeAt(y+1))){for(y+=1;y<l;y++)if(E(r.charCodeAt(y)))return r.slice(0,y+1).replace(/[\\/]/g,o)}}return o}else if(p(i)&&r.charCodeAt(1)===58)return E(r.charCodeAt(2))?r.slice(0,2)+o:r.slice(0,2);let f=r.indexOf("://");if(f!==-1){for(f+=3;f<l;f++)if(E(r.charCodeAt(f)))return r.slice(0,f+1)}return""}e.getRoot=D;function n(r){if(!_.isWindows||!r||r.length<5)return!1;let o=r.charCodeAt(0);if(o!==92||(o=r.charCodeAt(1),o!==92))return!1;let l=2;const i=l;for(;l<r.length&&(o=r.charCodeAt(l),o!==92);l++);return!(i===l||(o=r.charCodeAt(l+1),isNaN(o)||o===92))}e.isUNC=n;const A=/[\\/:\*\?"<>\|]/g,C=/[\\/]/g,v=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function d(r,o=_.isWindows){const l=o?A:C;return!(!r||r.length===0||/^\s+$/.test(r)||(l.lastIndex=0,l.test(r))||o&&v.test(r)||r==="."||r===".."||o&&r[r.length-1]==="."||o&&r.length!==r.trim().length||r.length>255)}e.isValidBasename=d;function s(r,o,l){const i=r===o;return!l||i?i:!r||!o?!1:(0,S.equalsIgnoreCase)(r,o)}e.isEqual=s;function h(r,o,l,i=T.sep){if(r===o)return!0;if(!r||!o||o.length>r.length)return!1;if(l){if(!(0,S.startsWithIgnoreCase)(r,o))return!1;if(o.length===r.length)return!0;let y=o.length;return o.charAt(o.length-1)===i&&y--,r.charAt(y)===i}return o.charAt(o.length-1)!==i&&(o+=i),r.indexOf(o)===0}e.isEqualOrParent=h;function p(r){return r>=65&&r<=90||r>=97&&r<=122}e.isWindowsDriveLetter=p;function g(r,o){return _.isWindows&&r.endsWith(":")&&(r+=T.sep),(0,T.isAbsolute)(r)||(r=(0,T.join)(o,r)),r=(0,T.normalize)(r),_.isWindows?(r=(0,S.rtrim)(r,T.sep),r.endsWith(":")&&(r+=T.sep)):(r=(0,S.rtrim)(r,T.sep),r||(r=T.sep)),r}e.sanitizeFilePath=g;function b(r){const o=(0,T.normalize)(r);return _.isWindows?r.length>3?!1:c(o)&&(r.length===2||o.charCodeAt(2)===92):o===T.posix.sep}e.isRootOrDriveLetter=b;function c(r){return _.isWindows?p(r.charCodeAt(0))&&r.charCodeAt(1)===58:!1}e.hasDriveLetter=c;function u(r){return c(r)?r[0]:void 0}e.getDriveLetter=u;function a(r,o,l){return o.length>r.length?-1:r===o?0:(l&&(r=r.toLowerCase(),o=o.toLowerCase()),r.indexOf(o))}e.indexOfPath=a;function t(r){const o=r.split(":");let l,i,f;if(o.forEach(y=>{const I=Number(y);(0,P.isNumber)(I)?i===void 0?i=I:f===void 0&&(f=I):l=l?[l,y].join(":"):y}),!l)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:l,line:i!==void 0?i:void 0,column:f!==void 0?f:i!==void 0?1:void 0}}e.parseLineAndColumnAware=t}),define(we[23],Ee([0,1,12]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function S(s){if(!s||typeof s!="object"||s instanceof RegExp)return s;const h=Array.isArray(s)?[]:{};return Object.keys(s).forEach(p=>{s[p]&&typeof s[p]=="object"?h[p]=S(s[p]):h[p]=s[p]}),h}e.deepClone=S;function T(s){if(!s||typeof s!="object")return s;const h=[s];for(;h.length>0;){const p=h.shift();Object.freeze(p);for(const g in p)if(P.call(p,g)){const b=p[g];typeof b=="object"&&!Object.isFrozen(b)&&h.push(b)}}return s}e.deepFreeze=T;const P=Object.prototype.hasOwnProperty;function E(s,h){return k(s,h,new Set)}e.cloneAndChange=E;function k(s,h,p){if((0,_.isUndefinedOrNull)(s))return s;const g=h(s);if(typeof g!="undefined")return g;if((0,_.isArray)(s)){const b=[];for(const c of s)b.push(k(c,h,p));return b}if((0,_.isObject)(s)){if(p.has(s))throw new Error("Cannot clone recursive data-structure");p.add(s);const b={};for(let c in s)P.call(s,c)&&(b[c]=k(s[c],h,p));return p.delete(s),b}return s}function D(s,h,p=!0){return(0,_.isObject)(s)?((0,_.isObject)(h)&&Object.keys(h).forEach(g=>{g in s?p&&((0,_.isObject)(s[g])&&(0,_.isObject)(h[g])?D(s[g],h[g],p):s[g]=h[g]):s[g]=h[g]}),s):h}e.mixin=D;function n(s,h){if(s===h)return!0;if(s==null||h===null||h===void 0||typeof s!=typeof h||typeof s!="object"||Array.isArray(s)!==Array.isArray(h))return!1;let p,g;if(Array.isArray(s)){if(s.length!==h.length)return!1;for(p=0;p<s.length;p++)if(!n(s[p],h[p]))return!1}else{const b=[];for(g in s)b.push(g);b.sort();const c=[];for(g in h)c.push(g);if(c.sort(),!n(b,c))return!1;for(p=0;p<b.length;p++)if(!n(s[b[p]],h[b[p]]))return!1}return!0}e.equals=n;function A(s){const h=new Set;return JSON.stringify(s,(p,g)=>{if((0,_.isObject)(g)||Array.isArray(g)){if(h.has(g))return"[Circular]";h.add(g)}return g})}e.safeStringify=A;function C(s,h,p){const g=h(s);return typeof g=="undefined"?p:g}e.getOrDefault=C;function v(s,h){const p=Object.create(null);return!s||!h||Object.keys(h).forEach(b=>{const c=s[b],u=h[b];n(c,u)||(p[b]=u)}),p}e.distinct=v;function d(s,h){const p=h.toLowerCase(),g=Object.keys(s).find(b=>b.toLowerCase()===p);return g?s[g]:s[h]}e.getCaseInsensitive=d}),define(we[79],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toUint32=e.toUint8=e.Constants=void 0;var _;(function(P){P[P.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",P[P.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",P[P.MAX_UINT_8=255]="MAX_UINT_8",P[P.MAX_UINT_16=65535]="MAX_UINT_16",P[P.MAX_UINT_32=4294967295]="MAX_UINT_32",P[P.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(_=e.Constants||(e.Constants={}));function S(P){return P<0?0:P>255?255:P|0}e.toUint8=S;function T(P){return P<0?0:P>4294967295?4294967295:P|0}e.toUint32=T}),define(we[2],Ee([0,1,21,11]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const T=/^\w[\w\d+.-]*$/,P=/^\//,E=/^\/\//;function k(o,l){if(!o.scheme&&l)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${o.authority}", path: "${o.path}", query: "${o.query}", fragment: "${o.fragment}"}`);if(o.scheme&&!T.test(o.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(o.path){if(o.authority){if(!P.test(o.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(E.test(o.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function D(o,l){return!o&&!l?"file":o}function n(o,l){switch(o){case"https":case"http":case"file":l?l[0]!==C&&(l=C+l):l=C;break}return l}const A="",C="/",v=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class d{constructor(l,i,f,y,I,m=!1){typeof l=="object"?(this.scheme=l.scheme||A,this.authority=l.authority||A,this.path=l.path||A,this.query=l.query||A,this.fragment=l.fragment||A):(this.scheme=D(l,m),this.authority=i||A,this.path=n(this.scheme,f||A),this.query=y||A,this.fragment=I||A,k(this,m))}static isUri(l){return l instanceof d?!0:l?typeof l.authority=="string"&&typeof l.fragment=="string"&&typeof l.path=="string"&&typeof l.query=="string"&&typeof l.scheme=="string"&&typeof l.fsPath=="string"&&typeof l.with=="function"&&typeof l.toString=="function":!1}get fsPath(){return c(this,!1)}with(l){if(!l)return this;let{scheme:i,authority:f,path:y,query:I,fragment:m}=l;return i===void 0?i=this.scheme:i===null&&(i=A),f===void 0?f=this.authority:f===null&&(f=A),y===void 0?y=this.path:y===null&&(y=A),I===void 0?I=this.query:I===null&&(I=A),m===void 0?m=this.fragment:m===null&&(m=A),i===this.scheme&&f===this.authority&&y===this.path&&I===this.query&&m===this.fragment?this:new h(i,f,y,I,m)}static parse(l,i=!1){const f=v.exec(l);return f?new h(f[2]||A,r(f[4]||A),r(f[5]||A),r(f[7]||A),r(f[9]||A),i):new h(A,A,A,A,A)}static file(l){let i=A;if(_.isWindows&&(l=l.replace(/\\/g,C)),l[0]===C&&l[1]===C){const f=l.indexOf(C,2);f===-1?(i=l.substring(2),l=C):(i=l.substring(2,f),l=l.substring(f)||C)}return new h("file",i,l,A,A)}static from(l){return new h(l.scheme,l.authority,l.path,l.query,l.fragment)}static joinPath(l,...i){if(!l.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let f;return _.isWindows&&l.scheme==="file"?f=d.file(S.win32.join(c(l,!0),...i)).path:f=S.posix.join(l.path,...i),l.with({path:f})}toString(l=!1){return u(this,l)}toJSON(){return this}static revive(l){if(l){if(l instanceof d)return l;{const i=new h(l);return i._formatted=l.external,i._fsPath=l._sep===s?l.fsPath:null,i}}else return l}}e.URI=d;const s=_.isWindows?1:void 0;class h extends d{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=c(this,!1)),this._fsPath}toString(l=!1){return l?u(this,!0):(this._formatted||(this._formatted=u(this,!1)),this._formatted)}toJSON(){const l={$mid:1};return this._fsPath&&(l.fsPath=this._fsPath,l._sep=s),this._formatted&&(l.external=this._formatted),this.path&&(l.path=this.path),this.scheme&&(l.scheme=this.scheme),this.authority&&(l.authority=this.authority),this.query&&(l.query=this.query),this.fragment&&(l.fragment=this.fragment),l}}const p={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function g(o,l){let i,f=-1;for(let y=0;y<o.length;y++){const I=o.charCodeAt(y);if(I>=97&&I<=122||I>=65&&I<=90||I>=48&&I<=57||I===45||I===46||I===95||I===126||l&&I===47)f!==-1&&(i+=encodeURIComponent(o.substring(f,y)),f=-1),i!==void 0&&(i+=o.charAt(y));else{i===void 0&&(i=o.substr(0,y));const m=p[I];m!==void 0?(f!==-1&&(i+=encodeURIComponent(o.substring(f,y)),f=-1),i+=m):f===-1&&(f=y)}}return f!==-1&&(i+=encodeURIComponent(o.substring(f))),i!==void 0?i:o}function b(o){let l;for(let i=0;i<o.length;i++){const f=o.charCodeAt(i);f===35||f===63?(l===void 0&&(l=o.substr(0,i)),l+=p[f]):l!==void 0&&(l+=o[i])}return l!==void 0?l:o}function c(o,l){let i;return o.authority&&o.path.length>1&&o.scheme==="file"?i=`//${o.authority}${o.path}`:o.path.charCodeAt(0)===47&&(o.path.charCodeAt(1)>=65&&o.path.charCodeAt(1)<=90||o.path.charCodeAt(1)>=97&&o.path.charCodeAt(1)<=122)&&o.path.charCodeAt(2)===58?l?i=o.path.substr(1):i=o.path[1].toLowerCase()+o.path.substr(2):i=o.path,_.isWindows&&(i=i.replace(/\//g,"\\")),i}e.uriToFsPath=c;function u(o,l){const i=l?b:g;let f="",{scheme:y,authority:I,path:m,query:w,fragment:R}=o;if(y&&(f+=y,f+=":"),(I||y==="file")&&(f+=C,f+=C),I){let F=I.indexOf("@");if(F!==-1){const W=I.substr(0,F);I=I.substr(F+1),F=W.indexOf(":"),F===-1?f+=i(W,!1):(f+=i(W.substr(0,F),!1),f+=":",f+=i(W.substr(F+1),!1)),f+="@"}I=I.toLowerCase(),F=I.indexOf(":"),F===-1?f+=i(I,!1):(f+=i(I.substr(0,F),!1),f+=I.substr(F))}if(m){if(m.length>=3&&m.charCodeAt(0)===47&&m.charCodeAt(2)===58){const F=m.charCodeAt(1);F>=65&&F<=90&&(m=`/${String.fromCharCode(F+32)}:${m.substr(3)}`)}else if(m.length>=2&&m.charCodeAt(1)===58){const F=m.charCodeAt(0);F>=65&&F<=90&&(m=`${String.fromCharCode(F+32)}:${m.substr(2)}`)}f+=i(m,!0)}return w&&(f+="?",f+=i(w,!1)),R&&(f+="#",f+=l?R:g(R,!1)),f}function a(o){try{return decodeURIComponent(o)}catch(l){return o.length>3?o.substr(0,3)+a(o.substr(3)):o}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function r(o){return o.match(t)?o.replace(t,l=>a(l)):o}}),define(we[22],Ee([0,1,2,8]),function(ae,e,_,S){"use strict";var T,P;Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function E(u,a,t){let r=u.get(a);return r===void 0&&(r=t,u.set(a,r)),r}e.getOrSet=E;function k(u){const a=[];return u.forEach((t,r)=>{a.push(`${r} => ${t}`)}),`Map(${u.size}) {${a.join(", ")}}`}e.mapToString=k;function D(u){const a=[];return u.forEach(t=>{a.push(t)}),`Set(${u.size}) {${a.join(", ")}}`}e.setToString=D;class n{constructor(){this._value="",this._pos=0}reset(a){return this._value=a,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(a){const t=a.charCodeAt(0),r=this._value.charCodeAt(this._pos);return t-r}value(){return this._value[this._pos]}}e.StringIterator=n;class A{constructor(a=!0){this._caseSensitive=a}reset(a){return this._value=a,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let a=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(a)this._from++;else break;else a=!1;return this}cmp(a){return this._caseSensitive?(0,S.compareSubstring)(a,this._value,0,a.length,this._from,this._to):(0,S.compareSubstringIgnoreCase)(a,this._value,0,a.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=A;class C{constructor(a=!0,t=!0){this._splitOnBackslash=a,this._caseSensitive=t}reset(a){return this._value=a.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let a=!0;for(;this._to<this._value.length;this._to++){const t=this._value.charCodeAt(this._to);if(t===47||this._splitOnBackslash&&t===92)if(a)this._from++;else break;else a=!1}return this}cmp(a){return this._caseSensitive?(0,S.compareSubstring)(a,this._value,0,a.length,this._from,this._to):(0,S.compareSubstringIgnoreCase)(a,this._value,0,a.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=C;var v;(function(u){u[u.Scheme=1]="Scheme",u[u.Authority=2]="Authority",u[u.Path=3]="Path",u[u.Query=4]="Query",u[u.Fragment=5]="Fragment"})(v||(v={}));class d{constructor(a){this._ignorePathCasing=a,this._states=[],this._stateIdx=0}reset(a){return this._value=a,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new C(!1,!this._ignorePathCasing(a)),this._pathIterator.reset(a.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(a){if(this._states[this._stateIdx]===1)return(0,S.compareIgnoreCase)(a,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,S.compareIgnoreCase)(a,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(a);if(this._states[this._stateIdx]===4)return(0,S.compare)(a,this._value.query);if(this._states[this._stateIdx]===5)return(0,S.compare)(a,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=d;class s{isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}}class h{constructor(a){this._iter=a}static forUris(a=()=>!1){return new h(new d(a))}static forPaths(){return new h(new C)}static forStrings(){return new h(new n)}static forConfigKeys(){return new h(new A)}clear(){this._root=void 0}set(a,t){const r=this._iter.reset(a);let o;for(this._root||(this._root=new s,this._root.segment=r.value()),o=this._root;;){const i=r.cmp(o.segment);if(i>0)o.left||(o.left=new s,o.left.segment=r.value()),o=o.left;else if(i<0)o.right||(o.right=new s,o.right.segment=r.value()),o=o.right;else if(r.hasNext())r.next(),o.mid||(o.mid=new s,o.mid.segment=r.value()),o=o.mid;else break}const l=o.value;return o.value=t,o.key=a,l}get(a){var t;return(t=this._getNode(a))===null||t===void 0?void 0:t.value}_getNode(a){const t=this._iter.reset(a);let r=this._root;for(;r;){const o=t.cmp(r.segment);if(o>0)r=r.left;else if(o<0)r=r.right;else if(t.hasNext())t.next(),r=r.mid;else break}return r}has(a){const t=this._getNode(a);return!((t==null?void 0:t.value)===void 0&&(t==null?void 0:t.mid)===void 0)}delete(a){return this._delete(a,!1)}deleteSuperstr(a){return this._delete(a,!0)}_delete(a,t){const r=this._iter.reset(a),o=[];let l=this._root;for(;l;){const i=r.cmp(l.segment);if(i>0)o.push([1,l]),l=l.left;else if(i<0)o.push([-1,l]),l=l.right;else if(r.hasNext())r.next(),o.push([0,l]),l=l.mid;else{for(t?(l.left=void 0,l.mid=void 0,l.right=void 0):l.value=void 0;o.length>0&&l.isEmpty();){let[f,y]=o.pop();switch(f){case 1:y.left=void 0;break;case 0:y.mid=void 0;break;case-1:y.right=void 0;break}l=y}break}}}findSubstr(a){const t=this._iter.reset(a);let r=this._root,o;for(;r;){const l=t.cmp(r.segment);if(l>0)r=r.left;else if(l<0)r=r.right;else if(t.hasNext())t.next(),o=r.value||o,r=r.mid;else break}return r&&r.value||o}findSuperstr(a){const t=this._iter.reset(a);let r=this._root;for(;r;){const o=t.cmp(r.segment);if(o>0)r=r.left;else if(o<0)r=r.right;else if(t.hasNext())t.next(),r=r.mid;else return r.mid?this._entries(r.mid):void 0}}forEach(a){for(const[t,r]of this)a(r,t)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(a){a&&(yield*this._entries(a.left),a.value&&(yield[a.key,a.value]),yield*this._entries(a.mid),yield*this._entries(a.right))}}e.TernarySearchTree=h;class p{constructor(a,t){this[T]="ResourceMap",a instanceof p?(this.map=new Map(a.map),this.toKey=t!=null?t:p.defaultToKey):(this.map=new Map,this.toKey=a!=null?a:p.defaultToKey)}set(a,t){return this.map.set(this.toKey(a),t),this}get(a){return this.map.get(this.toKey(a))}has(a){return this.map.has(this.toKey(a))}get size(){return this.map.size}clear(){this.map.clear()}delete(a){return this.map.delete(this.toKey(a))}forEach(a,t){typeof t!="undefined"&&(a=a.bind(t));for(let[r,o]of this.map)a(o,_.URI.parse(r),this)}values(){return this.map.values()}*keys(){for(let a of this.map.keys())yield _.URI.parse(a)}*entries(){for(let a of this.map.entries())yield[_.URI.parse(a[0]),a[1]]}*[(T=Symbol.toStringTag,Symbol.iterator)](){for(let a of this.map)yield[_.URI.parse(a[0]),a[1]]}}e.ResourceMap=p,p.defaultToKey=u=>u.toString();var g;(function(u){u[u.None=0]="None",u[u.AsOld=1]="AsOld",u[u.AsNew=2]="AsNew"})(g=e.Touch||(e.Touch={}));class b{constructor(){this[P]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){var a;return(a=this._head)===null||a===void 0?void 0:a.value}get last(){var a;return(a=this._tail)===null||a===void 0?void 0:a.value}has(a){return this._map.has(a)}get(a,t=0){const r=this._map.get(a);if(!!r)return t!==0&&this.touch(r,t),r.value}set(a,t,r=0){let o=this._map.get(a);if(o)o.value=t,r!==0&&this.touch(o,r);else{switch(o={key:a,value:t,next:void 0,previous:void 0},r){case 0:this.addItemLast(o);break;case 1:this.addItemFirst(o);break;case 2:this.addItemLast(o);break;default:this.addItemLast(o);break}this._map.set(a,o),this._size++}return this}delete(a){return!!this.remove(a)}remove(a){const t=this._map.get(a);if(!!t)return this._map.delete(a),this.removeItem(t),this._size--,t.value}shift(){if(!(!this._head&&!this._tail)){if(!this._head||!this._tail)throw new Error("Invalid list");const a=this._head;return this._map.delete(a.key),this.removeItem(a),this._size--,a.value}}forEach(a,t){const r=this._state;let o=this._head;for(;o;){if(t?a.bind(t)(o.value,o.key,this):a(o.value,o.key,this),this._state!==r)throw new Error("LinkedMap got modified during iteration.");o=o.next}}keys(){const a=this,t=this._state;let r=this._head;const o={[Symbol.iterator](){return o},next(){if(a._state!==t)throw new Error("LinkedMap got modified during iteration.");if(r){const l={value:r.key,done:!1};return r=r.next,l}else return{value:void 0,done:!0}}};return o}values(){const a=this,t=this._state;let r=this._head;const o={[Symbol.iterator](){return o},next(){if(a._state!==t)throw new Error("LinkedMap got modified during iteration.");if(r){const l={value:r.value,done:!1};return r=r.next,l}else return{value:void 0,done:!0}}};return o}entries(){const a=this,t=this._state;let r=this._head;const o={[Symbol.iterator](){return o},next(){if(a._state!==t)throw new Error("LinkedMap got modified during iteration.");if(r){const l={value:[r.key,r.value],done:!1};return r=r.next,l}else return{value:void 0,done:!0}}};return o}[(P=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(a){if(!(a>=this.size)){if(a===0){this.clear();return}let t=this._head,r=this.size;for(;t&&r>a;)this._map.delete(t.key),t=t.next,r--;this._head=t,this._size=r,t&&(t.previous=void 0),this._state++}}addItemFirst(a){if(!this._head&&!this._tail)this._tail=a;else if(this._head)a.next=this._head,this._head.previous=a;else throw new Error("Invalid list");this._head=a,this._state++}addItemLast(a){if(!this._head&&!this._tail)this._head=a;else if(this._tail)a.previous=this._tail,this._tail.next=a;else throw new Error("Invalid list");this._tail=a,this._state++}removeItem(a){if(a===this._head&&a===this._tail)this._head=void 0,this._tail=void 0;else if(a===this._head){if(!a.next)throw new Error("Invalid list");a.next.previous=void 0,this._head=a.next}else if(a===this._tail){if(!a.previous)throw new Error("Invalid list");a.previous.next=void 0,this._tail=a.previous}else{const t=a.next,r=a.previous;if(!t||!r)throw new Error("Invalid list");t.previous=r,r.next=t}a.next=void 0,a.previous=void 0,this._state++}touch(a,t){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(t!==1&&t!==2)){if(t===1){if(a===this._head)return;const r=a.next,o=a.previous;a===this._tail?(o.next=void 0,this._tail=o):(r.previous=o,o.next=r),a.previous=void 0,a.next=this._head,this._head.previous=a,this._head=a,this._state++}else if(t===2){if(a===this._tail)return;const r=a.next,o=a.previous;a===this._head?(r.previous=void 0,this._head=r):(r.previous=o,o.next=r),a.next=void 0,a.previous=this._tail,this._tail.next=a,this._tail=a,this._state++}}}toJSON(){const a=[];return this.forEach((t,r)=>{a.push([r,t])}),a}fromJSON(a){this.clear();for(const[t,r]of a)this.set(t,r)}}e.LinkedMap=b;class c extends b{constructor(a,t=1){super();this._limit=a,this._ratio=Math.min(Math.max(0,t),1)}get limit(){return this._limit}set limit(a){this._limit=a,this.checkTrim()}get ratio(){return this._ratio}set ratio(a){this._ratio=Math.min(Math.max(0,a),1),this.checkTrim()}get(a,t=2){return super.get(a,t)}peek(a){return super.get(a,0)}set(a,t){return super.set(a,t,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=c}),define(we[107],Ee([0,1,22,8]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function T(...ge){return function(Ce,Ae){for(let Ue=0,be=ge.length;Ue<be;Ue++){const qe=ge[Ue](Ce,Ae);if(qe)return qe}return null}}e.or=T,e.matchesStrictPrefix=P.bind(void 0,!1),e.matchesPrefix=P.bind(void 0,!0);function P(ge,Ce,Ae){if(!Ae||Ae.length<Ce.length)return null;let Ue;return ge?Ue=S.startsWithIgnoreCase(Ae,Ce):Ue=Ae.indexOf(Ce)===0,Ue?Ce.length>0?[{start:0,end:Ce.length}]:[]:null}function E(ge,Ce){const Ae=Ce.toLowerCase().indexOf(ge.toLowerCase());return Ae===-1?null:[{start:Ae,end:Ae+ge.length}]}e.matchesContiguousSubString=E;function k(ge,Ce){return D(ge.toLowerCase(),Ce.toLowerCase(),0,0)}e.matchesSubString=k;function D(ge,Ce,Ae,Ue){if(Ae===ge.length)return[];if(Ue===Ce.length)return null;if(ge[Ae]===Ce[Ue]){let be=null;return(be=D(ge,Ce,Ae+1,Ue+1))?g({start:Ue,end:Ue+1},be):null}return D(ge,Ce,Ae,Ue+1)}function n(ge){return 97<=ge&&ge<=122}function A(ge){return 65<=ge&&ge<=90}e.isUpper=A;function C(ge){return 48<=ge&&ge<=57}function v(ge){return ge===32||ge===9||ge===10||ge===13}const d=new Set;"`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?".split("").forEach(ge=>d.add(ge.charCodeAt(0)));function s(ge){return v(ge)||d.has(ge)}function h(ge,Ce){return ge===Ce||s(ge)&&s(Ce)}function p(ge){return n(ge)||A(ge)||C(ge)}function g(ge,Ce){return Ce.length===0?Ce=[ge]:ge.end===Ce[0].start?Ce[0].start=ge.start:Ce.unshift(ge),Ce}function b(ge,Ce){for(let Ae=Ce;Ae<ge.length;Ae++){const Ue=ge.charCodeAt(Ae);if(A(Ue)||C(Ue)||Ae>0&&!p(ge.charCodeAt(Ae-1)))return Ae}return ge.length}function c(ge,Ce,Ae,Ue){if(Ae===ge.length)return[];if(Ue===Ce.length)return null;if(ge[Ae]!==Ce[Ue].toLowerCase())return null;{let be=null,qe=Ue+1;for(be=c(ge,Ce,Ae+1,Ue+1);!be&&(qe=b(Ce,qe))<Ce.length;)be=c(ge,Ce,Ae+1,qe),qe++;return be===null?null:g({start:Ue,end:Ue+1},be)}}function u(ge){let Ce=0,Ae=0,Ue=0,be=0,qe=0;for(let Be=0;Be<ge.length;Be++)qe=ge.charCodeAt(Be),A(qe)&&Ce++,n(qe)&&Ae++,p(qe)&&Ue++,C(qe)&&be++;const H=Ce/ge.length,Q=Ae/ge.length,_e=Ue/ge.length,Me=be/ge.length;return{upperPercent:H,lowerPercent:Q,alphaPercent:_e,numericPercent:Me}}function a(ge){const{upperPercent:Ce,lowerPercent:Ae}=ge;return Ae===0&&Ce>.6}function t(ge){const{upperPercent:Ce,lowerPercent:Ae,alphaPercent:Ue,numericPercent:be}=ge;return Ae>.2&&Ce<.8&&Ue>.6&&be<.2}function r(ge){let Ce=0,Ae=0,Ue=0,be=0;for(let qe=0;qe<ge.length;qe++)Ue=ge.charCodeAt(qe),A(Ue)&&Ce++,n(Ue)&&Ae++,v(Ue)&&be++;return(Ce===0||Ae===0)&&be===0?ge.length<=30:Ce<=5}function o(ge,Ce){if(!Ce||(Ce=Ce.trim(),Ce.length===0)||!r(ge)||Ce.length>60)return null;const Ae=u(Ce);if(!t(Ae)){if(!a(Ae))return null;Ce=Ce.toLowerCase()}let Ue=null,be=0;for(ge=ge.toLowerCase();be<Ce.length&&(Ue=c(ge,Ce,0,be))===null;)be=b(Ce,be+1);return Ue}e.matchesCamelCase=o;function l(ge,Ce,Ae=!1){if(!Ce||Ce.length===0)return null;let Ue=null,be=0;for(ge=ge.toLowerCase(),Ce=Ce.toLowerCase();be<Ce.length&&(Ue=i(ge,Ce,0,be,Ae))===null;)be=f(Ce,be+1);return Ue}e.matchesWords=l;function i(ge,Ce,Ae,Ue,be){if(Ae===ge.length)return[];if(Ue===Ce.length)return null;if(h(ge.charCodeAt(Ae),Ce.charCodeAt(Ue))){let qe=null,H=Ue+1;if(qe=i(ge,Ce,Ae+1,Ue+1,be),!be)for(;!qe&&(H=f(Ce,H))<Ce.length;)qe=i(ge,Ce,Ae+1,H,be),H++;return qe===null?null:g({start:Ue,end:Ue+1},qe)}else return null}function f(ge,Ce){for(let Ae=Ce;Ae<ge.length;Ae++)if(s(ge.charCodeAt(Ae))||Ae>0&&s(ge.charCodeAt(Ae-1)))return Ae;return ge.length}const y=T(e.matchesPrefix,o,E),I=T(e.matchesPrefix,o,k),m=new _.LRUCache(1e4);function w(ge,Ce,Ae=!1){if(typeof ge!="string"||typeof Ce!="string")return null;let Ue=m.get(ge);Ue||(Ue=new RegExp(S.convertSimple2RegExpPattern(ge),"i"),m.set(ge,Ue));const be=Ue.exec(Ce);return be?[{start:be.index,end:be.index+be[0].length}]:Ae?I(ge,Ce):y(ge,Ce)}e.matchesFuzzy=w;function R(ge,Ce){const Ae=N(ge,ge.toLowerCase(),0,Ce,Ce.toLowerCase(),0,!0);return Ae?W(Ae):null}e.matchesFuzzy2=R;function F(ge,Ce,Ae,Ue,be,qe){const H=Math.min(13,ge.length);for(;Ae<H;Ae++){const Q=N(ge,Ce,Ae,Ue,be,qe,!1);if(Q)return Q}return[0,qe]}e.anyScore=F;function W(ge){if(typeof ge=="undefined")return[];const Ce=[],Ae=ge[1];for(let Ue=ge.length-1;Ue>1;Ue--){const be=ge[Ue]+Ae,qe=Ce[Ce.length-1];qe&&qe.end===be?qe.end=be+1:Ce.push({start:be,end:be+1})}return Ce}e.createMatches=W;const oe=128;function ie(){const ge=[],Ce=[];for(let Ae=0;Ae<=oe;Ae++)Ce[Ae]=0;for(let Ae=0;Ae<=oe;Ae++)ge.push(Ce.slice(0));return ge}function j(ge){const Ce=[];for(let Ae=0;Ae<=ge;Ae++)Ce[Ae]=0;return Ce}const ee=j(2*oe),M=j(2*oe),x=ie(),$=ie(),q=ie(),U=!1;function Y(ge,Ce,Ae,Ue,be){function qe(Q,_e,Me=" "){for(;Q.length<_e;)Q=Me+Q;return Q}let H=` |   |${Ue.split("").map(Q=>qe(Q,3)).join("|")}
`;for(let Q=0;Q<=Ae;Q++)Q===0?H+=" |":H+=`${Ce[Q-1]}|`,H+=ge[Q].slice(0,be+1).map(_e=>qe(_e.toString(),3)).join("|")+`
`;return H}function Z(ge,Ce,Ae,Ue){ge=ge.substr(Ce),Ae=Ae.substr(Ue),console.log(Y($,ge,ge.length,Ae,Ae.length)),console.log(Y(q,ge,ge.length,Ae,Ae.length)),console.log(Y(x,ge,ge.length,Ae,Ae.length))}function se(ge,Ce){if(Ce<0||Ce>=ge.length)return!1;const Ae=ge.codePointAt(Ce);switch(Ae){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 40:case 91:return!0;case void 0:return!1;default:return!!S.isEmojiImprecise(Ae)}}function Se(ge,Ce){if(Ce<0||Ce>=ge.length)return!1;switch(ge.charCodeAt(Ce)){case 32:case 9:return!0;default:return!1}}function Pe(ge,Ce,Ae){return Ce[ge]!==Ae[ge]}function $e(ge,Ce,Ae,Ue,be,qe,H=!1){for(;Ce<Ae&&be<qe;)ge[Ce]===Ue[be]&&(H&&(ee[Ce]=be),Ce+=1),be+=1;return Ce===Ae}e.isPatternInWord=$e;var Fe;(function(ge){ge[ge.Diag=1]="Diag",ge[ge.Left=2]="Left",ge[ge.LeftLeft=3]="LeftLeft"})(Fe||(Fe={}));var He;(function(ge){ge.Default=[-100,0];function Ce(Ae){return!Ae||Ae.length===2&&Ae[0]===-100&&Ae[1]===0}ge.isDefault=Ce})(He=e.FuzzyScore||(e.FuzzyScore={}));function N(ge,Ce,Ae,Ue,be,qe,H){const Q=ge.length>oe?oe:ge.length,_e=Ue.length>oe?oe:Ue.length;if(!(Ae>=Q||qe>=_e||Q-Ae>_e-qe)&&!!$e(Ce,Ae,Q,be,qe,_e,!0)){V(Q,_e,Ae,qe,Ce,be);let Me=1,Be=1,Ne=Ae,Xe=qe;const B=[!1];for(Me=1,Ne=Ae;Ne<Q;Me++,Ne++){const le=ee[Ne],fe=M[Ne],ve=Ne+1<Q?M[Ne+1]:_e;for(Be=le-qe+1,Xe=le;Xe<ve;Be++,Xe++){let xe=Number.MIN_SAFE_INTEGER,Oe=!1;Xe<=fe&&(xe=X(ge,Ce,Ne,Ae,Ue,be,Xe,_e,qe,x[Me-1][Be-1]===0,B));let Ve=0;xe!==Number.MAX_SAFE_INTEGER&&(Oe=!0,Ve=xe+$[Me-1][Be-1]);const Qe=Xe>le,Ze=Qe?$[Me][Be-1]+(x[Me][Be-1]>0?-5:0):0,ht=Xe>le+1&&x[Me][Be-1]>0,rt=ht?$[Me][Be-2]+(x[Me][Be-2]>0?-5:0):0;if(ht&&(!Qe||rt>=Ze)&&(!Oe||rt>=Ve))$[Me][Be]=rt,q[Me][Be]=3,x[Me][Be]=0;else if(Qe&&(!Oe||Ze>=Ve))$[Me][Be]=Ze,q[Me][Be]=2,x[Me][Be]=0;else if(Oe)$[Me][Be]=Ve,q[Me][Be]=1,x[Me][Be]=x[Me-1][Be-1]+1;else throw new Error("not possible")}}if(U&&Z(ge,Ae,Ue,qe),!(!B[0]&&!H)){Me--,Be--;const te=[$[Me][Be],qe];let ce=0,z=0;for(;Me>=1;){let le=Be;do{const fe=q[Me][le];if(fe===3)le=le-2;else if(fe===2)le=le-1;else break}while(le>=1);ce>1&&Ce[Ae+Me-1]===be[qe+Be-1]&&!Pe(le+qe-1,Ue,be)&&ce+1>x[Me][le]&&(le=Be),le===Be?ce++:ce=1,z||(z=le),Me--,Be=le-1,te.push(Be)}_e===Q&&(te[0]+=2);const G=z-Q;return te[0]-=G,te}}}e.fuzzyScore=N;function V(ge,Ce,Ae,Ue,be,qe){let H=ge-1,Q=Ce-1;for(;H>=Ae&&Q>=Ue;)be[H]===qe[Q]&&(M[H]=Q,H--),Q--}function X(ge,Ce,Ae,Ue,be,qe,H,Q,_e,Me,Be){if(Ce[Ae]!==qe[H])return Number.MIN_SAFE_INTEGER;let Ne=1,Xe=!1;return H===Ae-Ue?Ne=ge[Ae]===be[H]?7:5:Pe(H,be,qe)&&(H===0||!Pe(H-1,be,qe))?(Ne=ge[Ae]===be[H]?7:5,Xe=!0):se(qe,H)&&(H===0||!se(qe,H-1))?Ne=5:(se(qe,H-1)||Se(qe,H-1))&&(Ne=5,Xe=!0),Ne>1&&Ae===Ue&&(Be[0]=!0),Xe||(Xe=Pe(H,be,qe)||se(qe,H-1)||Se(qe,H-1)),Ae===Ue?H>_e&&(Ne-=Xe?3:5):Me?Ne+=Xe?2:0:Ne+=Xe?0:1,H+1===Q&&(Ne-=Xe?3:5),Ne}function re(ge,Ce,Ae,Ue,be,qe,H){return De(ge,Ce,Ae,Ue,be,qe,!0,H)}e.fuzzyScoreGracefulAggressive=re;function me(ge,Ce,Ae,Ue,be,qe,H){return De(ge,Ce,Ae,Ue,be,qe,!1,H)}e.fuzzyScoreGraceful=me;function De(ge,Ce,Ae,Ue,be,qe,H,Q){let _e=N(ge,Ce,Ae,Ue,be,qe,Q);if(_e&&!H)return _e;if(ge.length>=3){const Me=Math.min(7,ge.length-1);for(let Be=Ae+1;Be<Me;Be++){const Ne=Le(ge,Be);if(Ne){const Xe=N(Ne,Ne.toLowerCase(),Ae,Ue,be,qe,Q);Xe&&(Xe[0]-=3,(!_e||Xe[0]>_e[0])&&(_e=Xe))}}}return _e}function Le(ge,Ce){if(!(Ce+1>=ge.length)){const Ae=ge[Ce],Ue=ge[Ce+1];if(Ae!==Ue)return ge.slice(0,Ce)+Ue+Ae+ge.slice(Ce+2)}}}),define(we[108],Ee([0,1,37,107,8]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const P=new RegExp(`\\$\\(${_.CSSIcon.iconNameExpression}(?:${_.CSSIcon.iconModifierExpression})?\\)`,"g"),E=new RegExp(`(\\\\)?${P.source}`,"g");function k(h){return h.replace(E,(p,g)=>g?p:`\\${p}`)}e.escapeIcons=k;const D=new RegExp(`\\\\${P.source}`,"g");function n(h){return h.replace(D,p=>`\\${p}`)}e.markdownEscapeEscapedIcons=n;const A=new RegExp(`(\\s)?(\\\\)?${P.source}(\\s)?`,"g");function C(h){return h.indexOf(e.iconStartMarker)===-1?h:h.replace(A,(p,g,b,c)=>b?p:g||c||"")}e.stripIcons=C;function v(h){const p=h.indexOf(e.iconStartMarker);return p===-1?{text:h}:d(h,p)}e.parseLabelWithIcons=v;function d(h,p){const g=[];let b="";function c(f){if(f){b+=f;for(const y of f)g.push(t)}}let u=-1,a="",t=0,r,o,l=p;const i=h.length;for(c(h.substr(0,p));l<i;)r=h[l],o=h[l+1],r===e.iconStartMarker[0]&&o===e.iconStartMarker[1]?(u=l,c(a),a=e.iconStartMarker,l++):r===")"&&u!==-1?(t+=l-u+1,u=-1,a=""):u!==-1?/^[a-z0-9\-]$/i.test(r)?a+=r:(c(a),u=-1,a=""):c(r),l++;return c(a),{text:b,iconOffsets:g}}function s(h,p,g=!1){const{text:b,iconOffsets:c}=p;if(!c||c.length===0)return(0,S.matchesFuzzy)(h,b,g);const u=(0,T.ltrim)(b," "),a=b.length-u.length,t=(0,S.matchesFuzzy)(h,u,g);if(t)for(const r of t){const o=c[r.start+a]+a;r.start+=o,r.end+=o}return t}e.matchesFuzzyIconAware=s}),define(we[80],Ee([0,1,15,108,10]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeMarkdownSyntaxTokens=e.markedStringsEquals=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var P;(function(s){s[s.Paragraph=0]="Paragraph",s[s.Break=1]="Break"})(P=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class E{constructor(h="",p=!1){var g,b;if(this.value=h,typeof this.value!="string")throw(0,T.illegalArgument)("value");typeof p=="boolean"?(this.isTrusted=p,this.supportThemeIcons=!1):(this.isTrusted=(g=p.isTrusted)!==null&&g!==void 0?g:void 0,this.supportThemeIcons=(b=p.supportThemeIcons)!==null&&b!==void 0?b:!1)}appendText(h,p=0){return this.value+=C(this.supportThemeIcons?(0,S.escapeIcons)(h):h).replace(/([ \t]+)/g,(g,b)=>"&nbsp;".repeat(b.length)).replace(/^>/gm,"\\>").replace(/\n/g,p===1?`\\
`:`

`),this}appendMarkdown(h){return this.value+=h,this}appendCodeblock(h,p){return this.value+="\n```",this.value+=h,this.value+=`
`,this.value+=p,this.value+="\n```\n",this}}e.MarkdownString=E;function k(s){return D(s)?!s.value:Array.isArray(s)?s.every(k):!0}e.isEmptyMarkdownString=k;function D(s){return s instanceof E?!0:s&&typeof s=="object"?typeof s.value=="string"&&(typeof s.isTrusted=="boolean"||s.isTrusted===void 0)&&(typeof s.supportThemeIcons=="boolean"||s.supportThemeIcons===void 0):!1}e.isMarkdownString=D;function n(s,h){return!s&&!h?!0:!s||!h?!1:Array.isArray(s)&&Array.isArray(h)?(0,_.equals)(s,h,A):D(s)&&D(h)?A(s,h):!1}e.markedStringsEquals=n;function A(s,h){return s===h?!0:!s||!h?!1:s.value===h.value&&s.isTrusted===h.isTrusted&&s.supportThemeIcons===h.supportThemeIcons}function C(s){return s.replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=C;function v(s){return s&&s.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=v;function d(s){const h=[],p=s.split("|").map(b=>b.trim());s=p[0];const g=p[1];if(g){const b=/height=(\d+)/.exec(g),c=/width=(\d+)/.exec(g),u=b?b[1]:"",a=c?c[1]:"",t=isFinite(parseInt(a)),r=isFinite(parseInt(u));t&&h.push(`width="${a}"`),r&&h.push(`height="${u}"`)}return{href:s,dimensions:h}}e.parseHrefAndDimensions=d}),define(we[58],Ee([0,1,26,8,2]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function P(n){return JSON.stringify(n,k)}e.stringify=P;function E(n){let A=JSON.parse(n);return A=D(A),A}e.parse=E;function k(n,A){return A instanceof RegExp?{$mid:2,source:A.source,flags:(0,S.regExpFlags)(A)}:A}function D(n,A=0){if(!n||A>200)return n;if(typeof n=="object"){switch(n.$mid){case 1:return T.URI.revive(n);case 2:return new RegExp(n.source,n.flags)}if(n instanceof _.VSBuffer||n instanceof Uint8Array)return n;if(Array.isArray(n))for(let C=0;C<n.length;++C)n[C]=D(n[C],A+1);else for(const C in n)Object.hasOwnProperty.call(n,C)&&(n[C]=D(n[C],A+1))}return n}e.revive=D}),define(we[16],Ee([0,1,2,21]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var T;(function(k){k.inMemory="inmemory",k.vscode="vscode",k.internal="private",k.walkThrough="walkThrough",k.walkThroughSnippet="walkThroughSnippet",k.http="http",k.https="https",k.file="file",k.mailto="mailto",k.untitled="untitled",k.data="data",k.command="command",k.vscodeRemote="vscode-remote",k.vscodeRemoteResource="vscode-remote-resource",k.userData="vscode-userdata",k.vscodeCustomEditor="vscode-custom-editor",k.vscodeNotebook="vscode-notebook",k.vscodeNotebookCell="vscode-notebook-cell",k.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",k.vscodeSettings="vscode-settings",k.vscodeWorkspaceTrust="vscode-workspace-trust",k.webviewPanel="webview-panel",k.vscodeWebview="vscode-webview",k.vscodeWebviewResource="vscode-webview-resource",k.extension="extension",k.vscodeFileResource="vscode-file"})(T=e.Schemas||(e.Schemas={}));class P{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(D){this._preferredWebSchema=D}setDelegate(D){this._delegate=D}set(D,n,A){this._hosts[D]=n,this._ports[D]=A}setConnectionToken(D,n){this._connectionTokens[D]=n}rewrite(D){if(this._delegate)return this._delegate(D);const n=D.authority;let A=this._hosts[n];A&&A.indexOf(":")!==-1&&(A=`[${A}]`);const C=this._ports[n],v=this._connectionTokens[n];let d=`path=${encodeURIComponent(D.path)}`;return typeof v=="string"&&(d+=`&tkn=${encodeURIComponent(v)}`),_.URI.from({scheme:S.isWeb?this._preferredWebSchema:T.vscodeRemoteResource,authority:`${A}:${C}`,path:"/vscode-remote-resource",query:d})}}e.RemoteAuthorities=new P;class E{constructor(){this.FALLBACK_AUTHORITY="vscode-app"}asBrowserUri(D,n,A){const C=this.toUri(D,n);return C.scheme===T.vscodeRemote?e.RemoteAuthorities.rewrite(C):S.isNative&&(A||S.isPreferringBrowserCodeLoad)&&C.scheme===T.file?C.with({scheme:T.vscodeFileResource,authority:C.authority||this.FALLBACK_AUTHORITY,query:null,fragment:null}):C}asFileUri(D,n){const A=this.toUri(D,n);return A.scheme===T.vscodeFileResource?A.with({scheme:T.file,authority:A.authority!==this.FALLBACK_AUTHORITY?A.authority:null,query:null,fragment:null}):A}toUri(D,n){return _.URI.isUri(D)?D:_.URI.parse(n.toUrl(D))}}e.FileAccess=new E}),define(we[24],Ee([0,1,38,11,2,8,16,21]),function(ae,e,_,S,T,P,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function D(d){return(0,T.uriToFsPath)(d,!0)}e.originalFSPath=D;class n{constructor(s){this._ignorePathCasing=s}compare(s,h,p=!1){return s===h?0:(0,P.compare)(this.getComparisonKey(s,p),this.getComparisonKey(h,p))}isEqual(s,h,p=!1){return s===h?!0:!s||!h?!1:this.getComparisonKey(s,p)===this.getComparisonKey(h,p)}getComparisonKey(s,h=!1){return s.with({path:this._ignorePathCasing(s)?s.path.toLowerCase():void 0,fragment:h?null:void 0}).toString()}ignorePathCasing(s){return this._ignorePathCasing(s)}isEqualOrParent(s,h,p=!1){if(s.scheme===h.scheme){if(s.scheme===E.Schemas.file)return _.isEqualOrParent(D(s),D(h),this._ignorePathCasing(s))&&s.query===h.query&&(p||s.fragment===h.fragment);if((0,e.isEqualAuthority)(s.authority,h.authority))return _.isEqualOrParent(s.path,h.path,this._ignorePathCasing(s),"/")&&s.query===h.query&&(p||s.fragment===h.fragment)}return!1}joinPath(s,...h){return T.URI.joinPath(s,...h)}basenameOrAuthority(s){return(0,e.basename)(s)||s.authority}basename(s){return S.posix.basename(s.path)}extname(s){return S.posix.extname(s.path)}dirname(s){if(s.path.length===0)return s;let h;return s.scheme===E.Schemas.file?h=T.URI.file(S.dirname(D(s))).path:(h=S.posix.dirname(s.path),s.authority&&h.length&&h.charCodeAt(0)!==47&&(console.error(`dirname("${s.toString})) resulted in a relative path`),h="/")),s.with({path:h})}normalizePath(s){if(!s.path.length)return s;let h;return s.scheme===E.Schemas.file?h=T.URI.file(S.normalize(D(s))).path:h=S.posix.normalize(s.path),s.with({path:h})}relativePath(s,h){if(!(s.scheme!==h.scheme||!(0,e.isEqualAuthority)(s.authority,h.authority))){if(s.scheme===E.Schemas.file){const b=S.relative(D(s),D(h));return k.isWindows?_.toSlashes(b):b}let p=s.path||"/",g=h.path||"/";if(this._ignorePathCasing(s)){let b=0;for(const c=Math.min(p.length,g.length);b<c&&!(p.charCodeAt(b)!==g.charCodeAt(b)&&p.charAt(b).toLowerCase()!==g.charAt(b).toLowerCase());b++);p=g.substr(0,b)+p.substr(b)}return S.posix.relative(p,g)}}resolvePath(s,h){if(s.scheme===E.Schemas.file){const p=T.URI.file(S.resolve(D(s),h));return s.with({authority:p.authority,path:p.path})}return h.indexOf("/")===-1&&(h=_.toSlashes(h),/^[a-zA-Z]:(\/|$)/.test(h)&&(h="/"+h)),s.with({path:S.posix.resolve(s.path,h)})}isAbsolutePath(s){return!!s.path&&s.path[0]==="/"}isEqualAuthority(s,h){return s===h||(0,P.equalsIgnoreCase)(s,h)}hasTrailingPathSeparator(s,h=S.sep){if(s.scheme===E.Schemas.file){const p=D(s);return p.length>_.getRoot(p).length&&p[p.length-1]===h}else{const p=s.path;return p.length>1&&p.charCodeAt(p.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(s.fsPath)}}removeTrailingPathSeparator(s,h=S.sep){return(0,e.hasTrailingPathSeparator)(s,h)?s.with({path:s.path.substr(0,s.path.length-1)}):s}addTrailingPathSeparator(s,h=S.sep){let p=!1;if(s.scheme===E.Schemas.file){const g=D(s);p=g!==void 0&&g.length===_.getRoot(g).length&&g[g.length-1]===h}else{h="/";const g=s.path;p=g.length===1&&g.charCodeAt(g.length-1)===47}return!p&&!(0,e.hasTrailingPathSeparator)(s,h)?s.with({path:s.path+"/"}):s}}e.ExtUri=n,e.extUri=new n(()=>!1),e.extUriBiasedIgnorePathCase=new n(d=>d.scheme===E.Schemas.file?!k.isLinux:!0),e.extUriIgnorePathCase=new n(d=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function A(d,s){const h=[];for(let p=0;p<d.length;p++){const g=s(d[p]);d.some((b,c)=>c===p?!1:(0,e.isEqualOrParent)(g,s(b)))||h.push(d[p])}return h}e.distinctParents=A;var C;(function(d){d.META_DATA_LABEL="label",d.META_DATA_DESCRIPTION="description",d.META_DATA_SIZE="size",d.META_DATA_MIME="mime";function s(h){const p=new Map;h.path.substring(h.path.indexOf(";")+1,h.path.lastIndexOf(";")).split(";").forEach(c=>{const[u,a]=c.split(":");u&&a&&p.set(u,a)});const b=h.path.substring(0,h.path.indexOf(";"));return b&&p.set(d.META_DATA_MIME,b),p}d.parseMetaData=s})(C=e.DataUri||(e.DataUri={}));function v(d,s,h){if(s){let p=d.path;return p&&p[0]!==S.posix.sep&&(p=S.posix.sep+p),d.with({scheme:h,authority:s,path:p})}return d.with({scheme:h})}e.toLocalResource=v}),define(we[13],Ee([0,1,20,10,3,6,47,24]),function(ae,e,_,S,T,P,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.AsyncEmitter=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function D($){return!!$&&typeof $.then=="function"}e.isThenable=D;function n($){const q=new _.CancellationTokenSource,U=$(q.token),Y=new Promise((Z,se)=>{q.token.onCancellationRequested(()=>{se((0,S.canceled)())}),Promise.resolve(U).then(Se=>{q.dispose(),Z(Se)},Se=>{q.dispose(),se(Se)})});return new class{cancel(){q.cancel()}then(Z,se){return Y.then(Z,se)}catch(Z){return this.then(void 0,Z)}finally(Z){return Y.finally(Z)}}}e.createCancelablePromise=n;function A($,q,U){return Promise.race([$,new Promise(Y=>q.onCancellationRequested(()=>Y(U)))])}e.raceCancellation=A;async function C($){let q=-1;const U=$.map((Z,se)=>Z.then(Se=>(q=se,Se))),Y=await Promise.race(U);return $.forEach((Z,se)=>{se!==q&&Z.cancel()}),Y}e.raceCancellablePromises=C;function v($,q,U){let Y;const Z=setTimeout(()=>{Y==null||Y(void 0),U==null||U()},q);return Promise.race([$.finally(()=>clearTimeout(Z)),new Promise(se=>Y=se)])}e.raceTimeout=v;function d($){return new Promise((q,U)=>{const Y=$();D(Y)?Y.then(q,U):q(Y)})}e.asPromise=d;class s{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(q){if(this.activePromise){if(this.queuedPromiseFactory=q,!this.queuedPromise){const U=()=>{this.queuedPromise=null;const Y=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,Y};this.queuedPromise=new Promise(Y=>{this.activePromise.then(U,U).then(Y)})}return new Promise((U,Y)=>{this.queuedPromise.then(U,Y)})}return this.activePromise=q(),new Promise((U,Y)=>{this.activePromise.then(Z=>{this.activePromise=null,U(Z)},Z=>{this.activePromise=null,Y(Z)})})}}e.Throttler=s;class h{constructor(){this.current=Promise.resolve(null)}queue(q){return this.current=this.current.then(()=>q(),()=>q())}}e.Sequencer=h;class p{constructor(){this.promiseMap=new Map}queue(q,U){var Y;const se=((Y=this.promiseMap.get(q))!==null&&Y!==void 0?Y:Promise.resolve()).catch(()=>{}).then(U).finally(()=>{this.promiseMap.get(q)===se&&this.promiseMap.delete(q)});return this.promiseMap.set(q,se),se}}e.SequencerByKey=p;class g{constructor(q){this.defaultDelay=q,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(q,U=this.defaultDelay){return this.task=q,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((Y,Z)=>{this.doResolve=Y,this.doReject=Z}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const Y=this.task;return this.task=null,Y()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},U),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject((0,S.canceled)()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancelTimeout()}}e.Delayer=g;class b{constructor(q){this.delayer=new g(q),this.throttler=new s}trigger(q,U){return this.delayer.trigger(()=>this.throttler.queue(q),U)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=b;class c{constructor(){this._isOpen=!1,this._promise=new Promise((q,U)=>{this._completePromise=q})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=c;class u extends c{constructor(q){super();this._timeout=setTimeout(()=>this.open(),q)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=u;function a($,q){return q?new Promise((U,Y)=>{const Z=setTimeout(U,$);q.onCancellationRequested(()=>{clearTimeout(Z),Y((0,S.canceled)())})}):n(U=>a($,U))}e.timeout=a;function t($,q=0){const U=setTimeout($,q);return(0,P.toDisposable)(()=>clearTimeout(U))}e.disposableTimeout=t;function r($){return $.then(void 0,q=>{})}e.ignoreErrors=r;function o($){const q=[];let U=0;const Y=$.length;function Z(){return U<Y?$[U++]():null}function se(Se){Se!=null&&q.push(Se);const Pe=Z();return Pe?Pe.then(se):Promise.resolve(q)}return Promise.resolve(null).then(se)}e.sequence=o;function l($,q=Y=>!!Y,U=null){let Y=0;const Z=$.length,se=()=>{if(Y>=Z)return Promise.resolve(U);const Se=$[Y++];return Promise.resolve(Se()).then($e=>q($e)?Promise.resolve($e):se())};return se()}e.first=l;function i($,q=Y=>!!Y,U=null){if($.length===0)return Promise.resolve(U);let Y=$.length;const Z=()=>{var se,Se;Y=-1;for(const Pe of $)(Se=(se=Pe).cancel)===null||Se===void 0||Se.call(se)};return new Promise((se,Se)=>{for(const Pe of $)Pe.then($e=>{--Y>=0&&q($e)?(Z(),se($e)):Y===0&&se(U)}).catch($e=>{--Y>=0&&(Z(),Se($e))})})}e.firstParallel=i;class f{constructor(q){this._size=0,this.maxDegreeOfParalellism=q,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new T.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(q){return this._size++,new Promise((U,Y)=>{this.outstandingPromises.push({factory:q,c:U,e:Y}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const q=this.outstandingPromises.shift();this.runningPromises++;const U=q.factory();U.then(q.c,q.e),U.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=f;class y extends f{constructor(){super(1)}}e.Queue=y;class I{constructor(){this.queues=new Map}queueFor(q,U=k.extUri){const Y=U.getComparisonKey(q);let Z=this.queues.get(Y);return Z||(Z=new y,T.Event.once(Z.onFinished)(()=>{Z==null||Z.dispose(),this.queues.delete(Y)}),this.queues.set(Y,Z)),Z}dispose(){this.queues.forEach(q=>q.dispose()),this.queues.clear()}}e.ResourceQueue=I;class m{constructor(q,U){this._token=-1,typeof q=="function"&&typeof U=="number"&&this.setIfNotSet(q,U)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(q,U){this.cancel(),this._token=setTimeout(()=>{this._token=-1,q()},U)}setIfNotSet(q,U){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,q()},U))}}e.TimeoutTimer=m;class w{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(q,U){this.cancel(),this._token=setInterval(()=>{q()},U)}}e.IntervalTimer=w;class R{constructor(q,U){this.timeoutToken=-1,this.runner=q,this.timeout=U,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(q=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,q)}get delay(){return this.timeout}set delay(q){this.timeout=q}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=R;class F extends R{constructor(q,U){super(q,U);this.units=[]}work(q){this.units.push(q),this.isScheduled()||this.schedule()}doRun(){const q=this.units;this.units=[],this.runner&&this.runner(q)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=F,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const $=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=q=>{const U=setTimeout(()=>q($));let Y=!1;return{dispose(){Y||(Y=!0,clearTimeout(U))}}}}else e.runWhenIdle=($,q)=>{const U=requestIdleCallback($,typeof q=="number"?{timeout:q}:void 0);let Y=!1;return{dispose(){Y||(Y=!0,cancelIdleCallback(U))}}}}();class W{constructor(q){this._didRun=!1,this._executor=()=>{try{this._value=q()}catch(U){this._error=U}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=W;async function oe($,q,U){let Y;for(let Z=0;Z<U;Z++)try{return await $()}catch(se){Y=se,await a(q)}throw Y}e.retry=oe;class ie{hasPending(q){return this._pending?typeof q=="number"?this._pending.taskId===q:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){var q;(q=this._pending)===null||q===void 0||q.cancel()}setPending(q,U,Y){return this._pending={taskId:q,cancel:()=>Y==null?void 0:Y(),promise:U},U.then(()=>this.donePending(q),()=>this.donePending(q)),U}donePending(q){this._pending&&q===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const q=this._next;this._next=void 0,q.run().then(q.promiseResolve,q.promiseReject)}}setNext(q){if(this._next)this._next.run=q;else{let U,Y;const Z=new Promise((se,Se)=>{U=se,Y=Se});this._next={run:q,promise:Z,promiseResolve:U,promiseReject:Y}}return this._next.promise}}e.TaskSequentializer=ie;class j{constructor(q){this.interval=q,this.lastIncrementTime=0,this.value=0}increment(){const q=Date.now();return q-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=q,this.value=0),this.value++,this.value}}e.IntervalCounter=j;class ee{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((q,U)=>{this.completeCallback=q,this.errorCallback=U})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(q){return new Promise(U=>{this.completeCallback(q),this.resolved=!0,U()})}error(q){return new Promise(U=>{this.errorCallback(q),this.rejected=!0,U()})}cancel(){new Promise(q=>{this.errorCallback((0,S.canceled)()),this.rejected=!0,q()})}}e.DeferredPromise=ee;class M extends T.Emitter{async fireAsync(q,U,Y){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new E.LinkedList);for(const Z of this._listeners)this._asyncDeliveryQueue.push([Z,q]);for(;this._asyncDeliveryQueue.size>0&&!U.isCancellationRequested;){const[Z,se]=this._asyncDeliveryQueue.shift(),Se=[],Pe=Object.assign(Object.assign({},se),{waitUntil:$e=>{if(Object.isFrozen(Se))throw new Error("waitUntil can NOT be called asynchronous");Y&&($e=Y($e,typeof Z=="function"?Z:Z[0])),Se.push($e)}});try{typeof Z=="function"?Z.call(void 0,Pe):Z[0].call(Z[1],Pe)}catch($e){(0,S.onUnexpectedError)($e);continue}Object.freeze(Se),await x.settled(Se).catch($e=>(0,S.onUnexpectedError)($e))}}}}e.AsyncEmitter=M;var x;(function($){async function q(se){return typeof Promise.allSettled=="function"?U(se):Y(se)}$.allSettled=q;async function U(se){return Promise.allSettled(se)}async function Y(se){return Promise.all(se.map(Se=>Se.then(Pe=>({status:"fulfilled",value:Pe}),Pe=>({status:"rejected",reason:Pe}))))}async function Z(se){let Se;const Pe=await Promise.all(se.map($e=>$e.then(Fe=>Fe,Fe=>{Se||(Se=Fe)})));if(typeof Se!="undefined")throw Se;return Pe}$.settled=Z})(x=e.Promises||(e.Promises={}))}),define(we[109],Ee([0,1,11,13]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesDefault=e.compareFileNames=void 0;const T=new S.IdleValue(()=>{const u=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:u,collatorIsNumeric:u.resolvedOptions().numeric}}),P=new S.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),E=new S.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function k(u,a,t=!1){const r=u||"",o=a||"",l=T.value.collator.compare(r,o);return T.value.collatorIsNumeric&&l===0&&r!==o?r<o?-1:1:l}e.compareFileNames=k;function D(u,a){const t=P.value.collator;return u=u||"",a=a||"",h(t,u,a)}e.compareFileNamesDefault=D;function n(u,a,t=!1){t||(u=u&&u.toLowerCase(),a=a&&a.toLowerCase());const[r,o]=d(u),[l,i]=d(a);return r!==l?r<l?-1:1:o===i?0:o<i?-1:1}e.noIntlCompareFileNames=n;function A(u,a){const[t,r]=d(u),[o,l]=d(a);let i=T.value.collator.compare(r,l);if(i===0){if(T.value.collatorIsNumeric&&r!==l)return r<l?-1:1;if(i=T.value.collator.compare(t,o),T.value.collatorIsNumeric&&i===0&&t!==o)return t<o?-1:1}return i}e.compareFileExtensions=A;function C(u,a){u=u||"",a=a||"";const t=s(u),r=s(a),o=P.value.collator,l=E.value.collator;let i;return i=h(l,t,r),i!==0?i:h(o,u,a)}e.compareFileExtensionsDefault=C;const v=/^(.*?)(\.([^.]*))?$/;function d(u,a=!1){const t=u?v.exec(u):[];let r=[t&&t[1]||"",t&&t[3]||""];return a&&(!r[0]&&r[1]||r[0]&&r[0].charAt(0)===".")&&(r=[r[0]+"."+r[1],""]),r}function s(u){const a=u?v.exec(u):[];return a&&a[1]&&a[1].charAt(0)!=="."&&a[3]||""}function h(u,a,t){let r=u.compare(a,t);return r!==0?r:a.length!==t.length?a.length<t.length?-1:1:0}function p(u,a,t=!1){return t||(u=u&&u.toLowerCase(),a=a&&a.toLowerCase()),u===a?0:u<a?-1:1}function g(u,a,t=!1){const r=u.split(_.sep),o=a.split(_.sep),l=r.length-1,i=o.length-1;let f,y;for(let I=0;;I++){if(f=l===I,y=i===I,f&&y)return k(r[I],o[I],t);if(f)return-1;if(y)return 1;const m=p(r[I],o[I],t);if(m!==0)return m}}e.comparePaths=g;function b(u,a,t){const r=u.toLowerCase(),o=a.toLowerCase(),l=c(u,a,t);if(l)return l;const i=r.endsWith(t),f=o.endsWith(t);if(i!==f)return i?-1:1;const y=k(r,o);return y!==0?y:r.localeCompare(o)}e.compareAnything=b;function c(u,a,t){const r=u.toLowerCase(),o=a.toLowerCase(),l=r.startsWith(t),i=o.startsWith(t);if(l!==i)return l?-1:1;if(l&&i){if(r.length<o.length)return-1;if(r.length>o.length)return 1}return 0}e.compareByPrefix=c}),define(we[28],Ee([0,1,8,38,11,22,13]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.getEmptyExpression=void 0;function k(){return Object.create(null)}e.getEmptyExpression=k;const D="**",n="/",A="[/\\\\]",C="[^/\\\\]",v=/\//g;function d(U){switch(U){case 0:return"";case 1:return`${C}*?`;default:return`(?:${A}|${C}+${A}|${A}${C}+)*?`}}function s(U,Y){if(!U)return[];const Z=[];let se=!1,Se=!1,Pe="";for(const $e of U){switch($e){case Y:if(!se&&!Se){Z.push(Pe),Pe="";continue}break;case"{":se=!0;break;case"}":se=!1;break;case"[":Se=!0;break;case"]":Se=!1;break}Pe+=$e}return Pe&&Z.push(Pe),Z}e.splitGlobAware=s;function h(U){if(!U)return"";let Y="";const Z=s(U,n);if(Z.every(se=>se===D))Y=".*";else{let se=!1;Z.forEach((Se,Pe)=>{if(Se===D){se||(Y+=d(2),se=!0);return}let $e=!1,Fe="",He=!1,N="";for(const V of Se){if(V!=="}"&&$e){Fe+=V;continue}if(He&&(V!=="]"||!N)){let X;V==="-"?X=V:(V==="^"||V==="!")&&!N?X="^":V===n?X="":X=_.escapeRegExpCharacters(V),N+=X;continue}switch(V){case"{":$e=!0;continue;case"[":He=!0;continue;case"}":Y+=`(?:${s(Fe,",").map(me=>h(me)).join("|")})`,$e=!1,Fe="";break;case"]":Y+="["+N+"]",He=!1,N="";break;case"?":Y+=C;continue;case"*":Y+=d(1);continue;default:Y+=_.escapeRegExpCharacters(V)}}Pe<Z.length-1&&(Z[Pe+1]!==D||Pe+2<Z.length)&&(Y+=A),se=!1})}return Y}const p=/^\*\*\/\*\.[\w\.-]+$/,g=/^\*\*\/([\w\.-]+)\/?$/,b=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,c=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,u=/^\*\*((\/[\w\.-]+)+)\/?$/,a=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new P.LRUCache(1e4),r=function(){return!1},o=function(){return null};function l(U,Y){if(!U)return o;let Z;typeof U!="string"?Z=U.pattern:Z=U,Z=Z.trim();const se=`${Z}_${!!Y.trimForExclusions}`;let Se=t.get(se);if(Se)return i(Se,U);let Pe;if(p.test(Z)){const $e=Z.substr(4);Se=function(Fe,He){return typeof Fe=="string"&&Fe.endsWith($e)?Z:null}}else(Pe=g.exec(f(Z,Y)))?Se=y(Pe[1],Z):(Y.trimForExclusions?c:b).test(Z)?Se=I(Z,Y):(Pe=u.exec(f(Z,Y)))?Se=m(Pe[1].substr(1),Z,!0):(Pe=a.exec(f(Z,Y)))?Se=m(Pe[1],Z,!1):Se=w(Z);return t.set(se,Se),i(Se,U)}function i(U,Y){return typeof Y=="string"?U:function(Z,se){return S.isEqualOrParent(Z,Y.base)?U(T.relative(Y.base,Z),se):null}}function f(U,Y){return Y.trimForExclusions&&U.endsWith("/**")?U.substr(0,U.length-2):U}function y(U,Y){const Z=`/${U}`,se=`\\${U}`,Se=function($e,Fe){return typeof $e!="string"?null:Fe?Fe===U?Y:null:$e===U||$e.endsWith(Z)||$e.endsWith(se)?Y:null},Pe=[U];return Se.basenames=Pe,Se.patterns=[Y],Se.allBasenames=Pe,Se}function I(U,Y){const Z=q(U.slice(1,-1).split(",").map(Fe=>l(Fe,Y)).filter(Fe=>Fe!==o),U),se=Z.length;if(!se)return o;if(se===1)return Z[0];const Se=function(Fe,He){for(let N=0,V=Z.length;N<V;N++)if(Z[N](Fe,He))return U;return null},Pe=Z.find(Fe=>!!Fe.allBasenames);Pe&&(Se.allBasenames=Pe.allBasenames);const $e=Z.reduce((Fe,He)=>He.allPaths?Fe.concat(He.allPaths):Fe,[]);return $e.length&&(Se.allPaths=$e),Se}function m(U,Y,Z){const se=T.sep===T.posix.sep,Se=se?U:U.replace(v,T.sep),Pe=T.sep+Se,$e=T.posix.sep+U,Fe=Z?function(He,N){return typeof He=="string"&&(He===Se||He.endsWith(Pe)||!se&&(He===U||He.endsWith($e)))?Y:null}:function(He,N){return typeof He=="string"&&(He===Se||!se&&He===U)?Y:null};return Fe.allPaths=[(Z?"*/":"./")+U],Fe}function w(U){try{const Y=new RegExp(`^${h(U)}$`);return function(Z){return Y.lastIndex=0,typeof Z=="string"&&Y.test(Z)?U:null}}catch(Y){return o}}function R(U,Y,Z){return!U||typeof Y!="string"?!1:F(U)(Y,void 0,Z)}e.match=R;function F(U,Y={}){if(!U)return r;if(typeof U=="string"||j(U)){const Z=l(U,Y);if(Z===o)return r;const se=function(Se,Pe){return!!Z(Se,Pe)};return Z.allBasenames&&(se.allBasenames=Z.allBasenames),Z.allPaths&&(se.allPaths=Z.allPaths),se}return x(U,Y)}e.parse=F;function W(U){if(!!U){let Y;return Z=>(Y||(Y=(U()||Promise.resolve([])).then(se=>se?ie(se):{})),Y.then(se=>!!se[Z]))}}e.hasSiblingPromiseFn=W;function oe(U){if(!!U){let Y;return Z=>{if(!Y){const se=U();Y=se?ie(se):{}}return!!Y[Z]}}}e.hasSiblingFn=oe;function ie(U){const Y={};for(const Z of U)Y[Z]=!0;return Y}function j(U){const Y=U;return Y&&typeof Y.base=="string"&&typeof Y.pattern=="string"}e.isRelativePattern=j;function ee(U){return U.allBasenames||[]}e.getBasenameTerms=ee;function M(U){return U.allPaths||[]}e.getPathTerms=M;function x(U,Y){const Z=q(Object.getOwnPropertyNames(U).map(Fe=>$(Fe,U[Fe],Y)).filter(Fe=>Fe!==o)),se=Z.length;if(!se)return o;if(!Z.some(Fe=>!!Fe.requiresSiblings)){if(se===1)return Z[0];const Fe=function(V,X){for(let re=0,me=Z.length;re<me;re++){const De=Z[re](V,X);if(De)return De}return null},He=Z.find(V=>!!V.allBasenames);He&&(Fe.allBasenames=He.allBasenames);const N=Z.reduce((V,X)=>X.allPaths?V.concat(X.allPaths):V,[]);return N.length&&(Fe.allPaths=N),Fe}const Se=function(Fe,He,N){let V;for(let X=0,re=Z.length;X<re;X++){const me=Z[X];me.requiresSiblings&&N&&(He||(He=T.basename(Fe)),V||(V=He.substr(0,He.length-T.extname(Fe).length)));const De=me(Fe,He,V,N);if(De)return De}return null},Pe=Z.find(Fe=>!!Fe.allBasenames);Pe&&(Se.allBasenames=Pe.allBasenames);const $e=Z.reduce((Fe,He)=>He.allPaths?Fe.concat(He.allPaths):Fe,[]);return $e.length&&(Se.allPaths=$e),Se}function $(U,Y,Z){if(Y===!1)return o;const se=l(U,Z);if(se===o)return o;if(typeof Y=="boolean")return se;if(Y){const Se=Y.when;if(typeof Se=="string"){const Pe=($e,Fe,He,N)=>{if(!N||!se($e,Fe))return null;const V=Se.replace("$(basename)",He),X=N(V);return(0,E.isThenable)(X)?X.then(re=>re?U:null):X?U:null};return Pe.requiresSiblings=!0,Pe}}return se}function q(U,Y){const Z=U.filter(Fe=>!!Fe.basenames);if(Z.length<2)return U;const se=Z.reduce((Fe,He)=>{const N=He.basenames;return N?Fe.concat(N):Fe},[]);let Se;if(Y){Se=[];for(let Fe=0,He=se.length;Fe<He;Fe++)Se.push(Y)}else Se=Z.reduce((Fe,He)=>{const N=He.patterns;return N?Fe.concat(N):Fe},[]);const Pe=function(Fe,He){if(typeof Fe!="string")return null;if(!He){let V;for(V=Fe.length;V>0;V--){const X=Fe.charCodeAt(V-1);if(X===47||X===92)break}He=Fe.substr(V)}const N=se.indexOf(He);return N!==-1?Se[N]:null};Pe.basenames=se,Pe.patterns=Se,Pe.allBasenames=se;const $e=U.filter(Fe=>!Fe.basenames);return $e.push(Pe),$e}}),define(we[59],Ee([0,1,2,11,8,16,21,24,38]),function(ae,e,_,S,T,P,E,k,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function n(l,i,f){if(typeof l=="string"&&(l=_.URI.file(l)),f){const I=f.getWorkspaceFolder(l);if(I){const m=f.getWorkspace().folders.length>1;let w;if((0,k.isEqual)(I.uri,l)?w="":w=(0,k.relativePath)(I.uri,l),m){const R=I.name?I.name:(0,k.basename)(I.uri);w=w?R+" \u2022 "+w:R}return w}}if(l.scheme!==P.Schemas.file&&l.scheme!==P.Schemas.untitled)return l.with({query:null,fragment:null}).toString(!0);if((0,D.hasDriveLetter)(l.fsPath))return(0,S.normalize)(C(l.fsPath));let y=(0,S.normalize)(l.fsPath);return!E.isWindows&&(i==null?void 0:i.userHome)&&(y=d(y,i.userHome.fsPath)),y}e.getPathLabel=n;function A(l){if(!!l){typeof l=="string"&&(l=_.URI.file(l));const i=(0,k.basename)(l)||(l.scheme===P.Schemas.file?l.fsPath:l.path);return E.isWindows&&(0,D.isRootOrDriveLetter)(i)?C(i):i}}e.getBaseLabel=A;function C(l){return(0,D.hasDriveLetter)(l)?l.charAt(0).toUpperCase()+l.slice(1):l}e.normalizeDriveLetter=C;let v=Object.create(null);function d(l,i){if(E.isWindows||!l||!i)return l;let f=v.original===i?v.normalized:void 0;return f||(f=`${(0,T.rtrim)(i,S.posix.sep)}${S.posix.sep}`,v={original:i,normalized:f}),(E.isLinux?l.startsWith(f):(0,T.startsWithIgnoreCase)(l,f))&&(l=`~/${l.substr(f.length)}`),l}e.tildify=d;function s(l,i){return l.replace(/^~($|\/|\\)/,`${i}$1`)}e.untildify=s;const h="\u2026",p="\\\\",g="~";function b(l,i=S.sep){const f=new Array(l.length);let y=!1;for(let I=0;I<l.length;I++){let m=l[I];if(m===""){f[I]=`.${i}`;continue}if(!m){f[I]=m;continue}y=!0;let w="";m.indexOf(p)===0?(w=m.substr(0,m.indexOf(p)+p.length),m=m.substr(m.indexOf(p)+p.length)):m.indexOf(i)===0?(w=m.substr(0,m.indexOf(i)+i.length),m=m.substr(m.indexOf(i)+i.length)):m.indexOf(g)===0&&(w=m.substr(0,m.indexOf(g)+g.length),m=m.substr(m.indexOf(g)+g.length));const R=m.split(i);for(let F=1;y&&F<=R.length;F++)for(let W=R.length-F;y&&W>=0;W--){y=!1;let oe=R.slice(W,W+F).join(i);for(let ie=0;!y&&ie<l.length;ie++)if(ie!==I&&l[ie]&&l[ie].indexOf(oe)>-1){const j=W+F===R.length,ee=W>0&&l[ie].indexOf(i)>-1?i+oe:oe,M=l[ie].endsWith(ee);y=!j||M}if(!y){let ie="";(R[0].endsWith(":")||w!=="")&&(W===1&&(W=0,F++,oe=R[0]+i+oe),W>0&&(ie=R[0]+i),ie=w+ie),W>0&&(ie=ie+h+i),ie=ie+oe,W+F<R.length&&(ie=ie+i+h),f[I]=ie}}y&&(f[I]=m)}return f}e.shorten=b;var c;(function(l){l[l.TEXT=0]="TEXT",l[l.VARIABLE=1]="VARIABLE",l[l.SEPARATOR=2]="SEPARATOR"})(c||(c={}));function u(l,i=Object.create(null)){const f=[];let y=!1,I="";for(const m of l)if(m==="$"||y&&m==="{")I&&f.push({value:I,type:c.TEXT}),I="",y=!0;else if(m==="}"&&y){const w=i[I];if(typeof w=="string")w.length&&f.push({value:w,type:c.VARIABLE});else if(w){const R=f[f.length-1];(!R||R.type!==c.SEPARATOR)&&f.push({value:w.label,type:c.SEPARATOR})}I="",y=!1}else I+=m;return I&&!y&&f.push({value:I,type:c.TEXT}),f.filter((m,w)=>{if(m.type===c.SEPARATOR){const R=f[w-1],F=f[w+1];return[R,F].every(W=>W&&(W.type===c.VARIABLE||W.type===c.TEXT)&&W.value.length>0)}return!0}).map(m=>m.value).join("")}e.template=u;function a(l,i){return E.isMacintosh||i?l.replace(/\(&&\w\)|&&/g,"").replace(/&/g,E.isMacintosh?"&":"&&"):l.replace(/&&|&/g,f=>f==="&"?"&&":"&")}e.mnemonicMenuLabel=a;function t(l,i){return E.isMacintosh||i?l.replace(/\(&&\w\)|&&/g,""):E.isWindows?l.replace(/&&|&/g,f=>f==="&"?"&&":"&"):l.replace(/&&/g,"_")}e.mnemonicButtonLabel=t;function r(l){return l.replace(/&/g,"&&")}e.unmnemonicLabel=r;function o(l){const i=l.indexOf("/")!==-1?S.posix:S.win32,f=i.basename(l),y=i.dirname(l);return f.length?{name:f,parentPath:y}:{name:y,parentPath:""}}e.splitName=o}),define(we[110],Ee([0,1,2]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function S(A){return A.toJSON()}class T{constructor(C){this._uriTransformer=C}transformIncoming(C){const v=this._uriTransformer.transformIncoming(C);return v===C?C:S(_.URI.from(v))}transformOutgoing(C){const v=this._uriTransformer.transformOutgoing(C);return v===C?C:S(_.URI.from(v))}transformOutgoingURI(C){const v=this._uriTransformer.transformOutgoing(C);return v===C?C:_.URI.from(v)}transformOutgoingScheme(C){return this._uriTransformer.transformOutgoingScheme(C)}}e.URITransformer=T,e.DefaultURITransformer=new class{transformIncoming(A){return A}transformOutgoing(A){return A}transformOutgoingURI(A){return A}transformOutgoingScheme(A){return A}};function P(A,C,v){if(!A||v>200)return null;if(typeof A=="object"){if(A instanceof _.URI)return C.transformOutgoing(A);for(let d in A)if(Object.hasOwnProperty.call(A,d)){const s=P(A[d],C,v+1);s!==null&&(A[d]=s)}}return null}function E(A,C){const v=P(A,C,0);return v===null?A:v}e.transformOutgoingURIs=E;function k(A,C,v,d){if(!A||d>200)return null;if(typeof A=="object"){if(A.$mid===1)return v?_.URI.revive(C.transformIncoming(A)):C.transformIncoming(A);for(let s in A)if(Object.hasOwnProperty.call(A,s)){const h=k(A[s],C,v,d+1);h!==null&&(A[s]=h)}}return null}function D(A,C){const v=k(A,C,!1,0);return v===null?A:v}e.transformIncomingURIs=D;function n(A,C){const v=k(A,C,!0,0);return v===null?A:v}e.transformAndReviveIncomingURIs=n}),define(we[29],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const _=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function S(D){return _.test(D)}e.isUUID=S;const T=new Uint8Array(16),P=[];for(let D=0;D<256;D++)P.push(D.toString(16).padStart(2,"0"));let E;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?E=crypto.getRandomValues.bind(crypto):E=function(D){for(let n=0;n<D.length;n++)D[n]=Math.floor(Math.random()*256);return D};function k(){E(T),T[6]=T[6]&15|64,T[8]=T[8]&63|128;let D=0,n="";return n+=P[T[D++]],n+=P[T[D++]],n+=P[T[D++]],n+=P[T[D++]],n+="-",n+=P[T[D++]],n+=P[T[D++]],n+="-",n+=P[T[D++]],n+=P[T[D++]],n+="-",n+=P[T[D++]],n+=P[T[D++]],n+="-",n+=P[T[D++]],n+=P[T[D++]],n+=P[T[D++]],n+=P[T[D++]],n+=P[T[D++]],n+=P[T[D++]],n}e.generateUuid=k}),define(we[81],Ee([0,1,79]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CharacterSet=e.CharacterClassifier=void 0;class S{constructor(k){let D=(0,_.toUint8)(k);this._defaultValue=D,this._asciiMap=S._createAsciiMap(D),this._map=new Map}static _createAsciiMap(k){let D=new Uint8Array(256);for(let n=0;n<256;n++)D[n]=k;return D}set(k,D){let n=(0,_.toUint8)(D);k>=0&&k<256?this._asciiMap[k]=n:this._map.set(k,n)}get(k){return k>=0&&k<256?this._asciiMap[k]:this._map.get(k)||this._defaultValue}}e.CharacterClassifier=S;var T;(function(E){E[E.False=0]="False",E[E.True=1]="True"})(T||(T={}));class P{constructor(){this._actual=new S(0)}add(k){this._actual.set(k,1)}has(k){return this._actual.get(k)===1}}e.CharacterSet=P}),define(we[111],Ee([0,1,81]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMapForWordSeparators=e.WordCharacterClassifier=e.WordCharacterClass=void 0;var S;(function(E){E[E.Regular=0]="Regular",E[E.Whitespace=1]="Whitespace",E[E.WordSeparator=2]="WordSeparator"})(S=e.WordCharacterClass||(e.WordCharacterClass={}));class T extends _.CharacterClassifier{constructor(k){super(0);for(let D=0,n=k.length;D<n;D++)this.set(k.charCodeAt(D),2);this.set(32,1),this.set(9,1)}}e.WordCharacterClassifier=T;function P(E){let k={};return D=>(k.hasOwnProperty(D)||(k[D]=E(D)),k[D])}e.getMapForWordSeparators=P(E=>new T(E))}),define(we[39],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Position=void 0;class _{constructor(T,P){this.lineNumber=T,this.column=P}with(T=this.lineNumber,P=this.column){return T===this.lineNumber&&P===this.column?this:new _(T,P)}delta(T=0,P=0){return this.with(this.lineNumber+T,this.column+P)}equals(T){return _.equals(this,T)}static equals(T,P){return!T&&!P?!0:!!T&&!!P&&T.lineNumber===P.lineNumber&&T.column===P.column}isBefore(T){return _.isBefore(this,T)}static isBefore(T,P){return T.lineNumber<P.lineNumber?!0:P.lineNumber<T.lineNumber?!1:T.column<P.column}isBeforeOrEqual(T){return _.isBeforeOrEqual(this,T)}static isBeforeOrEqual(T,P){return T.lineNumber<P.lineNumber?!0:P.lineNumber<T.lineNumber?!1:T.column<=P.column}static compare(T,P){let E=T.lineNumber|0,k=P.lineNumber|0;if(E===k){let D=T.column|0,n=P.column|0;return D-n}return E-k}clone(){return new _(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(T){return new _(T.lineNumber,T.column)}static isIPosition(T){return T&&typeof T.lineNumber=="number"&&typeof T.column=="number"}}e.Position=_}),define(we[32],Ee([0,1,39]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=void 0;class S{constructor(P,E,k,D){P>k||P===k&&E>D?(this.startLineNumber=k,this.startColumn=D,this.endLineNumber=P,this.endColumn=E):(this.startLineNumber=P,this.startColumn=E,this.endLineNumber=k,this.endColumn=D)}isEmpty(){return S.isEmpty(this)}static isEmpty(P){return P.startLineNumber===P.endLineNumber&&P.startColumn===P.endColumn}containsPosition(P){return S.containsPosition(this,P)}static containsPosition(P,E){return!(E.lineNumber<P.startLineNumber||E.lineNumber>P.endLineNumber||E.lineNumber===P.startLineNumber&&E.column<P.startColumn||E.lineNumber===P.endLineNumber&&E.column>P.endColumn)}containsRange(P){return S.containsRange(this,P)}static containsRange(P,E){return!(E.startLineNumber<P.startLineNumber||E.endLineNumber<P.startLineNumber||E.startLineNumber>P.endLineNumber||E.endLineNumber>P.endLineNumber||E.startLineNumber===P.startLineNumber&&E.startColumn<P.startColumn||E.endLineNumber===P.endLineNumber&&E.endColumn>P.endColumn)}strictContainsRange(P){return S.strictContainsRange(this,P)}static strictContainsRange(P,E){return!(E.startLineNumber<P.startLineNumber||E.endLineNumber<P.startLineNumber||E.startLineNumber>P.endLineNumber||E.endLineNumber>P.endLineNumber||E.startLineNumber===P.startLineNumber&&E.startColumn<=P.startColumn||E.endLineNumber===P.endLineNumber&&E.endColumn>=P.endColumn)}plusRange(P){return S.plusRange(this,P)}static plusRange(P,E){let k,D,n,A;return E.startLineNumber<P.startLineNumber?(k=E.startLineNumber,D=E.startColumn):E.startLineNumber===P.startLineNumber?(k=E.startLineNumber,D=Math.min(E.startColumn,P.startColumn)):(k=P.startLineNumber,D=P.startColumn),E.endLineNumber>P.endLineNumber?(n=E.endLineNumber,A=E.endColumn):E.endLineNumber===P.endLineNumber?(n=E.endLineNumber,A=Math.max(E.endColumn,P.endColumn)):(n=P.endLineNumber,A=P.endColumn),new S(k,D,n,A)}intersectRanges(P){return S.intersectRanges(this,P)}static intersectRanges(P,E){let k=P.startLineNumber,D=P.startColumn,n=P.endLineNumber,A=P.endColumn,C=E.startLineNumber,v=E.startColumn,d=E.endLineNumber,s=E.endColumn;return k<C?(k=C,D=v):k===C&&(D=Math.max(D,v)),n>d?(n=d,A=s):n===d&&(A=Math.min(A,s)),k>n||k===n&&D>A?null:new S(k,D,n,A)}equalsRange(P){return S.equalsRange(this,P)}static equalsRange(P,E){return!!P&&!!E&&P.startLineNumber===E.startLineNumber&&P.startColumn===E.startColumn&&P.endLineNumber===E.endLineNumber&&P.endColumn===E.endColumn}getEndPosition(){return S.getEndPosition(this)}static getEndPosition(P){return new _.Position(P.endLineNumber,P.endColumn)}getStartPosition(){return S.getStartPosition(this)}static getStartPosition(P){return new _.Position(P.startLineNumber,P.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(P,E){return new S(this.startLineNumber,this.startColumn,P,E)}setStartPosition(P,E){return new S(P,E,this.endLineNumber,this.endColumn)}collapseToStart(){return S.collapseToStart(this)}static collapseToStart(P){return new S(P.startLineNumber,P.startColumn,P.startLineNumber,P.startColumn)}static fromPositions(P,E=P){return new S(P.lineNumber,P.column,E.lineNumber,E.column)}static lift(P){return P?new S(P.startLineNumber,P.startColumn,P.endLineNumber,P.endColumn):null}static isIRange(P){return P&&typeof P.startLineNumber=="number"&&typeof P.startColumn=="number"&&typeof P.endLineNumber=="number"&&typeof P.endColumn=="number"}static areIntersectingOrTouching(P,E){return!(P.endLineNumber<E.startLineNumber||P.endLineNumber===E.startLineNumber&&P.endColumn<E.startColumn||E.endLineNumber<P.startLineNumber||E.endLineNumber===P.startLineNumber&&E.endColumn<P.startColumn)}static areIntersecting(P,E){return!(P.endLineNumber<E.startLineNumber||P.endLineNumber===E.startLineNumber&&P.endColumn<=E.startColumn||E.endLineNumber<P.startLineNumber||E.endLineNumber===P.startLineNumber&&E.endColumn<=P.startColumn)}static compareRangesUsingStarts(P,E){if(P&&E){const n=P.startLineNumber|0,A=E.startLineNumber|0;if(n===A){const C=P.startColumn|0,v=E.startColumn|0;if(C===v){const d=P.endLineNumber|0,s=E.endLineNumber|0;if(d===s){const h=P.endColumn|0,p=E.endColumn|0;return h-p}return d-s}return C-v}return n-A}return(P?1:0)-(E?1:0)}static compareRangesUsingEnds(P,E){return P.endLineNumber===E.endLineNumber?P.endColumn===E.endColumn?P.startLineNumber===E.startLineNumber?P.startColumn-E.startColumn:P.startLineNumber-E.startLineNumber:P.endColumn-E.endColumn:P.endLineNumber-E.endLineNumber}static spansMultipleLines(P){return P.endLineNumber>P.startLineNumber}}e.Range=S}),define(we[112],Ee([0,1,39,32]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Selection=e.SelectionDirection=void 0;var T;(function(E){E[E.LTR=0]="LTR",E[E.RTL=1]="RTL"})(T=e.SelectionDirection||(e.SelectionDirection={}));class P extends S.Range{constructor(k,D,n,A){super(k,D,n,A);this.selectionStartLineNumber=k,this.selectionStartColumn=D,this.positionLineNumber=n,this.positionColumn=A}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(k){return P.selectionsEqual(this,k)}static selectionsEqual(k,D){return k.selectionStartLineNumber===D.selectionStartLineNumber&&k.selectionStartColumn===D.selectionStartColumn&&k.positionLineNumber===D.positionLineNumber&&k.positionColumn===D.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(k,D){return this.getDirection()===0?new P(this.startLineNumber,this.startColumn,k,D):new P(k,D,this.startLineNumber,this.startColumn)}getPosition(){return new _.Position(this.positionLineNumber,this.positionColumn)}setStartPosition(k,D){return this.getDirection()===0?new P(k,D,this.endLineNumber,this.endColumn):new P(this.endLineNumber,this.endColumn,k,D)}static fromPositions(k,D=k){return new P(k.lineNumber,k.column,D.lineNumber,D.column)}static liftSelection(k){return new P(k.selectionStartLineNumber,k.selectionStartColumn,k.positionLineNumber,k.positionColumn)}static selectionsArrEqual(k,D){if(k&&!D||!k&&D)return!1;if(!k&&!D)return!0;if(k.length!==D.length)return!1;for(let n=0,A=k.length;n<A;n++)if(!this.selectionsEqual(k[n],D[n]))return!1;return!0}static isISelection(k){return k&&typeof k.selectionStartLineNumber=="number"&&typeof k.selectionStartColumn=="number"&&typeof k.positionLineNumber=="number"&&typeof k.positionColumn=="number"}static createWithDirection(k,D,n,A,C){return C===0?new P(k,D,n,A):new P(n,A,k,D)}}e.Selection=P}),define(we[82],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApplyEditsResult=e.ValidAnnotatedEditOperation=e.ModelConstants=e.TrackedRangeStickiness=e.FindMatch=e.TextModelResolvedOptions=e.EndOfLineSequence=e.DefaultEndOfLine=e.EndOfLinePreference=e.MinimapPosition=e.OverviewRulerLane=void 0;var _;(function(d){d[d.Left=1]="Left",d[d.Center=2]="Center",d[d.Right=4]="Right",d[d.Full=7]="Full"})(_=e.OverviewRulerLane||(e.OverviewRulerLane={}));var S;(function(d){d[d.Inline=1]="Inline",d[d.Gutter=2]="Gutter"})(S=e.MinimapPosition||(e.MinimapPosition={}));var T;(function(d){d[d.TextDefined=0]="TextDefined",d[d.LF=1]="LF",d[d.CRLF=2]="CRLF"})(T=e.EndOfLinePreference||(e.EndOfLinePreference={}));var P;(function(d){d[d.LF=1]="LF",d[d.CRLF=2]="CRLF"})(P=e.DefaultEndOfLine||(e.DefaultEndOfLine={}));var E;(function(d){d[d.LF=0]="LF",d[d.CRLF=1]="CRLF"})(E=e.EndOfLineSequence||(e.EndOfLineSequence={}));class k{constructor(s){this.tabSize=Math.max(1,s.tabSize|0),this.indentSize=s.tabSize|0,this.insertSpaces=Boolean(s.insertSpaces),this.defaultEOL=s.defaultEOL|0,this.trimAutoWhitespace=Boolean(s.trimAutoWhitespace)}equals(s){return this.tabSize===s.tabSize&&this.indentSize===s.indentSize&&this.insertSpaces===s.insertSpaces&&this.defaultEOL===s.defaultEOL&&this.trimAutoWhitespace===s.trimAutoWhitespace}createChangeEvent(s){return{tabSize:this.tabSize!==s.tabSize,indentSize:this.indentSize!==s.indentSize,insertSpaces:this.insertSpaces!==s.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==s.trimAutoWhitespace}}}e.TextModelResolvedOptions=k;class D{constructor(s,h){this.range=s,this.matches=h}}e.FindMatch=D;var n;(function(d){d[d.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",d[d.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",d[d.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",d[d.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(n=e.TrackedRangeStickiness||(e.TrackedRangeStickiness={}));var A;(function(d){d[d.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(A=e.ModelConstants||(e.ModelConstants={}));class C{constructor(s,h,p,g,b,c){this.identifier=s,this.range=h,this.text=p,this.forceMoveMarkers=g,this.isAutoWhitespaceEdit=b,this._isTracked=c}}e.ValidAnnotatedEditOperation=C;class v{constructor(s,h,p){this.reverseEdits=s,this.changes=h,this.trimAutoWhitespaceLineNumbers=p}}e.ApplyEditsResult=v}),define(we[113],Ee([0,1,8,111,39,32,82]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Searcher=e.isValidMatch=e.TextModelSearch=e.createFindMatch=e.SearchData=e.isMultilineRegexSource=e.SearchParams=void 0;const k=999;class D{constructor(c,u,a,t){this.searchString=c,this.isRegex=u,this.matchCase=a,this.wordSeparators=t}parseSearchRequest(){if(this.searchString==="")return null;let c;this.isRegex?c=n(this.searchString):c=this.searchString.indexOf(`
`)>=0;let u=null;try{u=_.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:c,global:!0,unicode:!0})}catch(t){return null}if(!u)return null;let a=!this.isRegex&&!c;return a&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(a=this.matchCase),new A(u,this.wordSeparators?(0,S.getMapForWordSeparators)(this.wordSeparators):null,a?this.searchString:null)}}e.SearchParams=D;function n(b){if(!b||b.length===0)return!1;for(let c=0,u=b.length;c<u;c++)if(b.charCodeAt(c)===92){if(c++,c>=u)break;const t=b.charCodeAt(c);if(t===110||t===114||t===87||t===119)return!0}return!1}e.isMultilineRegexSource=n;class A{constructor(c,u,a){this.regex=c,this.wordSeparators=u,this.simpleSearch=a}}e.SearchData=A;function C(b,c,u){if(!u)return new E.FindMatch(b,null);let a=[];for(let t=0,r=c.length;t<r;t++)a[t]=c[t];return new E.FindMatch(b,a)}e.createFindMatch=C;class v{constructor(c){let u=[],a=0;for(let t=0,r=c.length;t<r;t++)c.charCodeAt(t)===10&&(u[a++]=t);this._lineFeedsOffsets=u}findLineFeedCountBeforeOffset(c){const u=this._lineFeedsOffsets;let a=0,t=u.length-1;if(t===-1||c<=u[0])return 0;for(;a<t;){const r=a+((t-a)/2>>0);u[r]>=c?t=r-1:u[r+1]>=c?(a=r,t=r):a=r+1}return a+1}}class d{static findMatches(c,u,a,t,r){const o=u.parseSearchRequest();return o?o.regex.multiline?this._doFindMatchesMultiline(c,a,new g(o.wordSeparators,o.regex),t,r):this._doFindMatchesLineByLine(c,a,o,t,r):[]}static _getMultilineMatchRange(c,u,a,t,r,o){let l,i=0;t?(i=t.findLineFeedCountBeforeOffset(r),l=u+r+i):l=u+r;let f;if(t){let w=t.findLineFeedCountBeforeOffset(r+o.length)-i;f=l+o.length+w}else f=l+o.length;const y=c.getPositionAt(l),I=c.getPositionAt(f);return new P.Range(y.lineNumber,y.column,I.lineNumber,I.column)}static _doFindMatchesMultiline(c,u,a,t,r){const o=c.getOffsetAt(u.getStartPosition()),l=c.getValueInRange(u,1),i=c.getEOL()===`\r
`?new v(l):null,f=[];let y=0,I;for(a.reset(0);I=a.next(l);)if(f[y++]=C(this._getMultilineMatchRange(c,o,l,i,I.index,I[0]),I,t),y>=r)return f;return f}static _doFindMatchesLineByLine(c,u,a,t,r){const o=[];let l=0;if(u.startLineNumber===u.endLineNumber){const f=c.getLineContent(u.startLineNumber).substring(u.startColumn-1,u.endColumn-1);return l=this._findMatchesInLine(a,f,u.startLineNumber,u.startColumn-1,l,o,t,r),o}const i=c.getLineContent(u.startLineNumber).substring(u.startColumn-1);l=this._findMatchesInLine(a,i,u.startLineNumber,u.startColumn-1,l,o,t,r);for(let f=u.startLineNumber+1;f<u.endLineNumber&&l<r;f++)l=this._findMatchesInLine(a,c.getLineContent(f),f,0,l,o,t,r);if(l<r){const f=c.getLineContent(u.endLineNumber).substring(0,u.endColumn-1);l=this._findMatchesInLine(a,f,u.endLineNumber,0,l,o,t,r)}return o}static _findMatchesInLine(c,u,a,t,r,o,l,i){const f=c.wordSeparators;if(!l&&c.simpleSearch){const m=c.simpleSearch,w=m.length,R=u.length;let F=-w;for(;(F=u.indexOf(m,F+w))!==-1;)if((!f||p(f,u,R,F,w))&&(o[r++]=new E.FindMatch(new P.Range(a,F+1+t,a,F+1+w+t),null),r>=i))return r;return r}const y=new g(c.wordSeparators,c.regex);let I;y.reset(0);do if(I=y.next(u),I&&(o[r++]=C(new P.Range(a,I.index+1+t,a,I.index+1+I[0].length+t),I,l),r>=i))return r;while(I);return r}static findNextMatch(c,u,a,t){const r=u.parseSearchRequest();if(!r)return null;const o=new g(r.wordSeparators,r.regex);return r.regex.multiline?this._doFindNextMatchMultiline(c,a,o,t):this._doFindNextMatchLineByLine(c,a,o,t)}static _doFindNextMatchMultiline(c,u,a,t){const r=new T.Position(u.lineNumber,1),o=c.getOffsetAt(r),l=c.getLineCount(),i=c.getValueInRange(new P.Range(r.lineNumber,r.column,l,c.getLineMaxColumn(l)),1),f=c.getEOL()===`\r
`?new v(i):null;a.reset(u.column-1);let y=a.next(i);return y?C(this._getMultilineMatchRange(c,o,i,f,y.index,y[0]),y,t):u.lineNumber!==1||u.column!==1?this._doFindNextMatchMultiline(c,new T.Position(1,1),a,t):null}static _doFindNextMatchLineByLine(c,u,a,t){const r=c.getLineCount(),o=u.lineNumber,l=c.getLineContent(o),i=this._findFirstMatchInLine(a,l,o,u.column,t);if(i)return i;for(let f=1;f<=r;f++){const y=(o+f-1)%r,I=c.getLineContent(y+1),m=this._findFirstMatchInLine(a,I,y+1,1,t);if(m)return m}return null}static _findFirstMatchInLine(c,u,a,t,r){c.reset(t-1);const o=c.next(u);return o?C(new P.Range(a,o.index+1,a,o.index+1+o[0].length),o,r):null}static findPreviousMatch(c,u,a,t){const r=u.parseSearchRequest();if(!r)return null;const o=new g(r.wordSeparators,r.regex);return r.regex.multiline?this._doFindPreviousMatchMultiline(c,a,o,t):this._doFindPreviousMatchLineByLine(c,a,o,t)}static _doFindPreviousMatchMultiline(c,u,a,t){const r=this._doFindMatchesMultiline(c,new P.Range(1,1,u.lineNumber,u.column),a,t,10*k);if(r.length>0)return r[r.length-1];const o=c.getLineCount();return u.lineNumber!==o||u.column!==c.getLineMaxColumn(o)?this._doFindPreviousMatchMultiline(c,new T.Position(o,c.getLineMaxColumn(o)),a,t):null}static _doFindPreviousMatchLineByLine(c,u,a,t){const r=c.getLineCount(),o=u.lineNumber,l=c.getLineContent(o).substring(0,u.column-1),i=this._findLastMatchInLine(a,l,o,t);if(i)return i;for(let f=1;f<=r;f++){const y=(r+o-f-1)%r,I=c.getLineContent(y+1),m=this._findLastMatchInLine(a,I,y+1,t);if(m)return m}return null}static _findLastMatchInLine(c,u,a,t){let r=null,o;for(c.reset(0);o=c.next(u);)r=C(new P.Range(a,o.index+1,a,o.index+1+o[0].length),o,t);return r}}e.TextModelSearch=d;function s(b,c,u,a,t){if(a===0)return!0;const r=c.charCodeAt(a-1);if(b.get(r)!==0||r===13||r===10)return!0;if(t>0){const o=c.charCodeAt(a);if(b.get(o)!==0)return!0}return!1}function h(b,c,u,a,t){if(a+t===u)return!0;const r=c.charCodeAt(a+t);if(b.get(r)!==0||r===13||r===10)return!0;if(t>0){const o=c.charCodeAt(a+t-1);if(b.get(o)!==0)return!0}return!1}function p(b,c,u,a,t){return s(b,c,u,a,t)&&h(b,c,u,a,t)}e.isValidMatch=p;class g{constructor(c,u){this._wordSeparators=c,this._searchRegex=u,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(c){this._searchRegex.lastIndex=c,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(c){const u=c.length;let a;do{if(this._prevMatchStartIndex+this._prevMatchLength===u||(a=this._searchRegex.exec(c),!a))return null;const t=a.index,r=a[0].length;if(t===this._prevMatchStartIndex&&r===this._prevMatchLength){if(r===0){_.getNextCodePoint(c,u,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=t,this._prevMatchLength=r,!this._wordSeparators||p(this._wordSeparators,c,u,t,r))return a}while(a);return null}}e.Searcher=g}),define(we[83],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWordAtText=e.ensureValidWordDefinition=e.DEFAULT_WORD_REGEXP=e.USUAL_WORD_SEPARATORS=void 0,e.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function _(k=""){let D="(-?\\d*\\.\\d\\w*)|([^";for(const n of e.USUAL_WORD_SEPARATORS)k.indexOf(n)>=0||(D+="\\"+n);return D+="\\s]+)",new RegExp(D,"g")}e.DEFAULT_WORD_REGEXP=_();function S(k){let D=e.DEFAULT_WORD_REGEXP;if(k&&k instanceof RegExp)if(k.global)D=k;else{let n="g";k.ignoreCase&&(n+="i"),k.multiline&&(n+="m"),k.unicode&&(n+="u"),D=new RegExp(k.source,n)}return D.lastIndex=0,D}e.ensureValidWordDefinition=S;const T={maxLen:1e3,windowSize:15,timeBudget:150};function P(k,D,n,A,C=T){if(n.length>C.maxLen){let p=k-C.maxLen/2;return p<0?p=0:A+=p,n=n.substring(p,k+C.maxLen/2),P(k,D,n,A,C)}const v=Date.now(),d=k-1-A;let s=-1,h=null;for(let p=1;!(Date.now()-v>=C.timeBudget);p++){const g=d-C.windowSize*p;D.lastIndex=Math.max(0,g);const b=E(D,n,d,s);if(!b&&h||(h=b,g<=0))break;s=g}if(h){let p={word:h[0],startColumn:A+1+h.index,endColumn:A+1+h.index+h[0].length};return D.lastIndex=0,p}return null}e.getWordAtText=P;function E(k,D,n,A){let C;for(;C=k.exec(D);){const v=C.index||0;if(v<=n&&k.lastIndex>=n)return C;if(A>0&&v>A)return null}return null}}),define(we[114],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var _;(function(E){E[E.None=0]="None",E[E.Indent=1]="Indent",E[E.IndentOutdent=2]="IndentOutdent",E[E.Outdent=3]="Outdent"})(_=e.IndentAction||(e.IndentAction={}));class S{constructor(k){if(this.open=k.open,this.close=k.close,this._standardTokenMask=0,Array.isArray(k.notIn))for(let D=0,n=k.notIn.length;D<n;D++)switch(k.notIn[D]){case"string":this._standardTokenMask|=2;break;case"comment":this._standardTokenMask|=1;break;case"regex":this._standardTokenMask|=4;break}}isOK(k){return(this._standardTokenMask&k)==0}}e.StandardAutoClosingPairConditional=S;class T{constructor(k){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const D of k)P(this.autoClosingPairsOpenByStart,D.open.charAt(0),D),P(this.autoClosingPairsOpenByEnd,D.open.charAt(D.open.length-1),D),P(this.autoClosingPairsCloseByStart,D.close.charAt(0),D),P(this.autoClosingPairsCloseByEnd,D.close.charAt(D.close.length-1),D),D.close.length===1&&D.open.length===1&&P(this.autoClosingPairsCloseSingleChar,D.close,D)}}e.AutoClosingPairs=T;function P(E,k,D){E.has(k)?E.get(k).push(D):E.set(k,[D])}}),define(we[60],Ee([0,1,28,11]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function T(P,E,k,D){if(Array.isArray(P)){let n=0;for(const A of P){const C=T(A,E,k,D);if(C===10)return C;C>n&&(n=C)}return n}else{if(typeof P=="string")return D?P==="*"?5:P===k?10:0:0;if(P){const{language:n,pattern:A,scheme:C,hasAccessToAllModels:v}=P;if(!D&&!v)return 0;let d=0;if(C)if(C===E.scheme)d=10;else if(C==="*")d=5;else return 0;if(n)if(n===k)d=10;else if(n==="*")d=Math.max(d,5);else return 0;if(A){let s;if(typeof A=="string"?s=A:s=Object.assign(Object.assign({},A),{base:(0,S.normalize)(A.base)}),s===E.fsPath||(0,_.match)(s,E.fsPath))d=10;else return 0}return d}else return 0}}e.score=T}),define(we[115],Ee([0,1,81]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeLinks=e.LinkComputer=e.StateMachine=e.Uint8Matrix=e.State=void 0;var S;(function(d){d[d.Invalid=0]="Invalid",d[d.Start=1]="Start",d[d.H=2]="H",d[d.HT=3]="HT",d[d.HTT=4]="HTT",d[d.HTTP=5]="HTTP",d[d.F=6]="F",d[d.FI=7]="FI",d[d.FIL=8]="FIL",d[d.BeforeColon=9]="BeforeColon",d[d.AfterColon=10]="AfterColon",d[d.AlmostThere=11]="AlmostThere",d[d.End=12]="End",d[d.Accept=13]="Accept",d[d.LastKnownState=14]="LastKnownState"})(S=e.State||(e.State={}));class T{constructor(s,h,p){const g=new Uint8Array(s*h);for(let b=0,c=s*h;b<c;b++)g[b]=p;this._data=g,this.rows=s,this.cols=h}get(s,h){return this._data[s*this.cols+h]}set(s,h,p){this._data[s*this.cols+h]=p}}e.Uint8Matrix=T;class P{constructor(s){let h=0,p=0;for(let b=0,c=s.length;b<c;b++){let[u,a,t]=s[b];a>h&&(h=a),u>p&&(p=u),t>p&&(p=t)}h++,p++;let g=new T(p,h,0);for(let b=0,c=s.length;b<c;b++){let[u,a,t]=s[b];g.set(u,a,t)}this._states=g,this._maxCharCode=h}nextState(s,h){return h<0||h>=this._maxCharCode?0:this._states.get(s,h)}}e.StateMachine=P;let E=null;function k(){return E===null&&(E=new P([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),E}var D;(function(d){d[d.None=0]="None",d[d.ForceTermination=1]="ForceTermination",d[d.CannotEndIn=2]="CannotEndIn"})(D||(D={}));let n=null;function A(){if(n===null){n=new _.CharacterClassifier(0);const d=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u3011\u300F\u300D\u300B\u3009\u201D\u2019\uFF40\uFF5E\u2026`;for(let h=0;h<d.length;h++)n.set(d.charCodeAt(h),1);const s=".,;";for(let h=0;h<s.length;h++)n.set(s.charCodeAt(h),2)}return n}class C{static _createLink(s,h,p,g,b){let c=b-1;do{const u=h.charCodeAt(c);if(s.get(u)!==2)break;c--}while(c>g);if(g>0){const u=h.charCodeAt(g-1),a=h.charCodeAt(c);(u===40&&a===41||u===91&&a===93||u===123&&a===125)&&c--}return{range:{startLineNumber:p,startColumn:g+1,endLineNumber:p,endColumn:c+2},url:h.substring(g,c+1)}}static computeLinks(s,h=k()){const p=A();let g=[];for(let b=1,c=s.getLineCount();b<=c;b++){const u=s.getLineContent(b),a=u.length;let t=0,r=0,o=0,l=1,i=!1,f=!1,y=!1,I=!1;for(;t<a;){let m=!1;const w=u.charCodeAt(t);if(l===13){let R;switch(w){case 40:i=!0,R=0;break;case 41:R=i?0:1;break;case 91:y=!0,f=!0,R=0;break;case 93:y=!1,R=f?0:1;break;case 123:I=!0,R=0;break;case 125:R=I?0:1;break;case 39:R=o===34||o===96?0:1;break;case 34:R=o===39||o===96?0:1;break;case 96:R=o===39||o===34?0:1;break;case 42:R=o===42?1:0;break;case 124:R=o===124?1:0;break;case 32:R=y?0:1;break;default:R=p.get(w)}R===1&&(g.push(C._createLink(p,u,b,r,t)),m=!0)}else if(l===12){let R;w===91?(f=!0,R=0):R=p.get(w),R===1?m=!0:l=13}else l=h.nextState(l,w),l===0&&(m=!0);m&&(l=1,i=!1,f=!1,I=!1,r=t+1,o=w),t++}l===13&&g.push(C._createLink(p,u,b,r,a))}return g}}e.LinkComputer=C;function v(d){return!d||typeof d.getLineCount!="function"||typeof d.getLineContent!="function"?[]:C.computeLinks(d)}e.computeLinks=v}),define(we[116],Ee([0,1,3,6]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TokenizationRegistryImpl=void 0;class T{constructor(){this._map=new Map,this._promises=new Map,this._onDidChange=new _.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(E){this._onDidChange.fire({changedLanguages:E,changedColorMap:!1})}register(E,k){return this._map.set(E,k),this.fire([E]),(0,S.toDisposable)(()=>{this._map.get(E)===k&&(this._map.delete(E),this.fire([E]))})}registerPromise(E,k){let D=null,n=!1;return this._promises.set(E,k.then(A=>{this._promises.delete(E),!(n||!A)&&(D=this.register(E,A))})),(0,S.toDisposable)(()=>{n=!0,D&&D.dispose()})}getPromise(E){const k=this.get(E);if(k)return Promise.resolve(k);const D=this._promises.get(E);return D?D.then(n=>this.get(E)):null}get(E){return this._map.get(E)||null}setColorMap(E){this._colorMap=E,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}e.TokenizationRegistryImpl=T}),define(we[84],Ee([0,1,26,21]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var T;(function(C){C[C.Full=1]="Full",C[C.Delta=2]="Delta"})(T||(T={}));function P(C){for(let v=0,d=C.length;v<d;v+=4){const s=C[v+0],h=C[v+1],p=C[v+2],g=C[v+3];C[v+0]=g,C[v+1]=p,C[v+2]=h,C[v+3]=s}}function E(C){const v=new Uint8Array(C.buffer,C.byteOffset,C.length*4);return S.isLittleEndian()||P(v),_.VSBuffer.wrap(v)}function k(C){const v=C.buffer;if(S.isLittleEndian()||P(v),v.byteOffset%4==0)return new Uint32Array(v.buffer,v.byteOffset,v.length/4);{const d=new Uint8Array(v.byteLength);return d.set(v),new Uint32Array(d.buffer,d.byteOffset,d.length/4)}}function D(C){const v=new Uint32Array(n(C));let d=0;if(v[d++]=C.id,C.type==="full")v[d++]=1,v[d++]=C.data.length,v.set(C.data,d),d+=C.data.length;else{v[d++]=2,v[d++]=C.deltas.length;for(const s of C.deltas)v[d++]=s.start,v[d++]=s.deleteCount,s.data?(v[d++]=s.data.length,v.set(s.data,d),d+=s.data.length):v[d++]=0}return E(v)}e.encodeSemanticTokensDto=D;function n(C){let v=0;if(v+=1+1,C.type==="full")v+=1+C.data.length;else{v+=1,v+=(1+1+1)*C.deltas.length;for(const d of C.deltas)d.data&&(v+=d.data.length)}return v}function A(C){const v=k(C);let d=0;const s=v[d++];if(v[d++]===1){const b=v[d++],c=v.subarray(d,d+b);return d+=b,{id:s,type:"full",data:c}}const p=v[d++];let g=[];for(let b=0;b<p;b++){const c=v[d++],u=v[d++],a=v[d++];let t;a>0&&(t=v.subarray(d,d+a),d+=a),g[b]={start:c,deleteCount:u,data:t}}return{id:s,type:"delta",deltas:g}}e.decodeSemanticTokensDto=A}),define(we[85],Ee([0,1,79]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PrefixSumComputer=e.PrefixSumIndexOfResult=void 0;class S{constructor(E,k){this.index=E,this.remainder=k}}e.PrefixSumIndexOfResult=S;class T{constructor(E){this.values=E,this.prefixSum=new Uint32Array(E.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(E,k){E=(0,_.toUint32)(E);const D=this.values,n=this.prefixSum,A=k.length;return A===0?!1:(this.values=new Uint32Array(D.length+A),this.values.set(D.subarray(0,E),0),this.values.set(D.subarray(E),E+A),this.values.set(k,E),E-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=E-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(n.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}changeValue(E,k){return E=(0,_.toUint32)(E),k=(0,_.toUint32)(k),this.values[E]===k?!1:(this.values[E]=k,E-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=E-1),!0)}removeValues(E,k){E=(0,_.toUint32)(E),k=(0,_.toUint32)(k);const D=this.values,n=this.prefixSum;if(E>=D.length)return!1;let A=D.length-E;return k>=A&&(k=A),k===0?!1:(this.values=new Uint32Array(D.length-k),this.values.set(D.subarray(0,E),0),this.values.set(D.subarray(E+k),E),this.prefixSum=new Uint32Array(this.values.length),E-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=E-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(n.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalValue(){return this.values.length===0?0:this._getAccumulatedValue(this.values.length-1)}getAccumulatedValue(E){return E<0?0:(E=(0,_.toUint32)(E),this._getAccumulatedValue(E))}_getAccumulatedValue(E){if(E<=this.prefixSumValidIndex[0])return this.prefixSum[E];let k=this.prefixSumValidIndex[0]+1;k===0&&(this.prefixSum[0]=this.values[0],k++),E>=this.values.length&&(E=this.values.length-1);for(let D=k;D<=E;D++)this.prefixSum[D]=this.prefixSum[D-1]+this.values[D];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],E),this.prefixSum[E]}getIndexOf(E){E=Math.floor(E),this.getTotalValue();let k=0,D=this.values.length-1,n=0,A=0,C=0;for(;k<=D;)if(n=k+(D-k)/2|0,A=this.prefixSum[n],C=A-this.values[n],E<C)D=n-1;else if(E>=A)k=n+1;else break;return new S(n,E-C)}}e.PrefixSumComputer=T}),define(we[117],Ee([0,1,8,39,85]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MirrorTextModel=void 0;class P{constructor(k,D,n,A){this._uri=k,this._lines=D,this._eol=n,this._versionId=A,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(k){k.eol&&k.eol!==this._eol&&(this._eol=k.eol,this._lineStarts=null);const D=k.changes;for(const n of D)this._acceptDeleteRange(n.range),this._acceptInsertText(new S.Position(n.range.startLineNumber,n.range.startColumn),n.text);this._versionId=k.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const k=this._eol.length,D=this._lines.length,n=new Uint32Array(D);for(let A=0;A<D;A++)n[A]=this._lines[A].length+k;this._lineStarts=new T.PrefixSumComputer(n)}}_setLineText(k,D){this._lines[k]=D,this._lineStarts&&this._lineStarts.changeValue(k,this._lines[k].length+this._eol.length)}_acceptDeleteRange(k){if(k.startLineNumber===k.endLineNumber){if(k.startColumn===k.endColumn)return;this._setLineText(k.startLineNumber-1,this._lines[k.startLineNumber-1].substring(0,k.startColumn-1)+this._lines[k.startLineNumber-1].substring(k.endColumn-1));return}this._setLineText(k.startLineNumber-1,this._lines[k.startLineNumber-1].substring(0,k.startColumn-1)+this._lines[k.endLineNumber-1].substring(k.endColumn-1)),this._lines.splice(k.startLineNumber,k.endLineNumber-k.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(k.startLineNumber,k.endLineNumber-k.startLineNumber)}_acceptInsertText(k,D){if(D.length!==0){let n=(0,_.splitLines)(D);if(n.length===1){this._setLineText(k.lineNumber-1,this._lines[k.lineNumber-1].substring(0,k.column-1)+n[0]+this._lines[k.lineNumber-1].substring(k.column-1));return}n[n.length-1]+=this._lines[k.lineNumber-1].substring(k.column-1),this._setLineText(k.lineNumber-1,this._lines[k.lineNumber-1].substring(0,k.column-1)+n[0]);let A=new Uint32Array(n.length-1);for(let C=1;C<n.length;C++)this._lines.splice(k.lineNumber+C-1,0,n[C]),A[C-1]=n[C].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(k.lineNumber,A)}}}e.MirrorTextModel=P}),define(we[118],Ee([17,18]),function(ae,e){return ae.create("vs/base/common/errorMessage",e)}),define(we[61],Ee([0,1,118,12,15]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function P(n,A){return A&&(n.stack||n.stacktrace)?_.localize(0,null,k(n),E(n.stack)||E(n.stacktrace)):k(n)}function E(n){return Array.isArray(n)?n.join(`
`):n}function k(n){return typeof n.code=="string"&&typeof n.errno=="number"&&typeof n.syscall=="string"?_.localize(1,null,n.message):n.message||_.localize(2,null)}function D(n=null,A=!1){if(!n)return _.localize(3,null);if(Array.isArray(n)){const C=T.coalesce(n),v=D(C[0],A);return C.length>1?_.localize(4,null,v,C.length):v}if(S.isString(n))return n;if(n.detail){const C=n.detail;if(C.error)return P(C.error,A);if(C.exception)return P(C.exception,A)}return n.stack?P(n,A):n.message?n.message:_.localize(5,null)}e.toErrorMessage=D}),define(we[119],Ee([17,18]),function(ae,e){return ae.create("vs/editor/common/config/editorOptions",e)}),define(we[120],Ee([0,1,119,21,83]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_MODEL_DEFAULTS=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.boolean=e.ComputeOptionsMemory=e.ValidatedEditorOptions=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var P;(function(H){H[H.None=0]="None",H[H.Keep=1]="Keep",H[H.Brackets=2]="Brackets",H[H.Advanced=3]="Advanced",H[H.Full=4]="Full"})(P=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class E{constructor(Q){this._values=Q}hasChanged(Q){return this._values[Q]}}e.ConfigurationChangedEvent=E;class k{constructor(){this._values=[]}_read(Q){return this._values[Q]}get(Q){return this._values[Q]}_write(Q,_e){this._values[Q]=_e}}e.ValidatedEditorOptions=k;class D{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=D;class n{constructor(Q,_e,Me,Be){this.id=Q,this.name=_e,this.defaultValue=Me,this.schema=Be}compute(Q,_e,Me){return Me}}class A{constructor(Q,_e=null){this.schema=void 0,this.id=Q,this.name="_never_",this.defaultValue=void 0,this.deps=_e}validate(Q){return this.defaultValue}}class C{constructor(Q,_e,Me,Be){this.id=Q,this.name=_e,this.defaultValue=Me,this.schema=Be}validate(Q){return typeof Q=="undefined"?this.defaultValue:Q}compute(Q,_e,Me){return Me}}function v(H,Q){return typeof H=="undefined"?Q:H==="false"?!1:Boolean(H)}e.boolean=v;class d extends C{constructor(Q,_e,Me,Be=void 0){typeof Be!="undefined"&&(Be.type="boolean",Be.default=Me),super(Q,_e,Me,Be)}validate(Q){return v(Q,this.defaultValue)}}class s extends C{constructor(Q,_e,Me,Be,Ne,Xe=void 0){typeof Xe!="undefined"&&(Xe.type="integer",Xe.default=Me,Xe.minimum=Be,Xe.maximum=Ne),super(Q,_e,Me,Xe),this.minimum=Be,this.maximum=Ne}static clampedInt(Q,_e,Me,Be){if(typeof Q=="undefined")return _e;let Ne=parseInt(Q,10);return isNaN(Ne)?_e:(Ne=Math.max(Me,Ne),Ne=Math.min(Be,Ne),Ne|0)}validate(Q){return s.clampedInt(Q,this.defaultValue,this.minimum,this.maximum)}}class h extends C{constructor(Q,_e,Me,Be,Ne){typeof Ne!="undefined"&&(Ne.type="number",Ne.default=Me),super(Q,_e,Me,Ne),this.validationFn=Be}static clamp(Q,_e,Me){return Q<_e?_e:Q>Me?Me:Q}static float(Q,_e){if(typeof Q=="number")return Q;if(typeof Q=="undefined")return _e;const Me=parseFloat(Q);return isNaN(Me)?_e:Me}validate(Q){return this.validationFn(h.float(Q,this.defaultValue))}}class p extends C{static string(Q,_e){return typeof Q!="string"?_e:Q}constructor(Q,_e,Me,Be=void 0){typeof Be!="undefined"&&(Be.type="string",Be.default=Me),super(Q,_e,Me,Be)}validate(Q){return p.string(Q,this.defaultValue)}}function g(H,Q,_e){return typeof H!="string"||_e.indexOf(H)===-1?Q:H}e.stringSet=g;class b extends C{constructor(Q,_e,Me,Be,Ne=void 0){typeof Ne!="undefined"&&(Ne.type="string",Ne.enum=Be,Ne.default=Me),super(Q,_e,Me,Ne),this._allowedValues=Be}validate(Q){return g(Q,this.defaultValue,this._allowedValues)}}class c extends n{constructor(Q,_e,Me,Be,Ne,Xe,B=void 0){typeof B!="undefined"&&(B.type="string",B.enum=Ne,B.default=Be),super(Q,_e,Me,B),this._allowedValues=Ne,this._convert=Xe}validate(Q){return typeof Q!="string"?this.defaultValue:this._allowedValues.indexOf(Q)===-1?this.defaultValue:this._convert(Q)}}function u(H){switch(H){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class a extends n{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[_.localize(0,null),_.localize(1,null),_.localize(2,null)],default:"auto",description:_.localize(3,null)})}validate(Q){switch(Q){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(Q,_e,Me){return Me===0?Q.accessibilitySupport:Me}}class t extends n{constructor(){const Q={insertSpace:!0,ignoreEmptyLines:!0};super(16,"comments",Q,{"editor.comments.insertSpace":{type:"boolean",default:Q.insertSpace,description:_.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:Q.ignoreEmptyLines,description:_.localize(5,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const _e=Q;return{insertSpace:v(_e.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:v(_e.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var r;(function(H){H[H.Hidden=0]="Hidden",H[H.Blink=1]="Blink",H[H.Smooth=2]="Smooth",H[H.Phase=3]="Phase",H[H.Expand=4]="Expand",H[H.Solid=5]="Solid"})(r=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function o(H){switch(H){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var l;(function(H){H[H.Line=1]="Line",H[H.Block=2]="Block",H[H.Underline=3]="Underline",H[H.LineThin=4]="LineThin",H[H.BlockOutline=5]="BlockOutline",H[H.UnderlineThin=6]="UnderlineThin"})(l=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function i(H){switch(H){case l.Line:return"line";case l.Block:return"block";case l.Underline:return"underline";case l.LineThin:return"line-thin";case l.BlockOutline:return"block-outline";case l.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=i;function f(H){switch(H){case"line":return l.Line;case"block":return l.Block;case"underline":return l.Underline;case"line-thin":return l.LineThin;case"block-outline":return l.BlockOutline;case"underline-thin":return l.UnderlineThin}}class y extends A{constructor(){super(121,[60,29])}compute(Q,_e,Me){const Be=["monaco-editor"];return _e.get(29)&&Be.push(_e.get(29)),Q.extraEditorClassName&&Be.push(Q.extraEditorClassName),_e.get(60)==="default"?Be.push("mouse-default"):_e.get(60)==="copy"&&Be.push("mouse-copy"),_e.get(95)&&Be.push("showUnused"),_e.get(119)&&Be.push("showDeprecated"),Be.join(" ")}}class I extends d{constructor(){super(28,"emptySelectionClipboard",!0,{description:_.localize(6,null)})}compute(Q,_e,Me){return Me&&Q.emptySelectionClipboard}}class m extends n{constructor(){const Q={cursorMoveOnType:!0,seedSearchStringFromSelection:!0,autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(31,"find",Q,{"editor.find.cursorMoveOnType":{type:"boolean",default:Q.cursorMoveOnType,description:_.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"boolean",default:Q.seedSearchStringFromSelection,description:_.localize(8,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:Q.autoFindInSelection,enumDescriptions:[_.localize(9,null),_.localize(10,null),_.localize(11,null)],description:_.localize(12,null)},"editor.find.globalFindClipboard":{type:"boolean",default:Q.globalFindClipboard,description:_.localize(13,null),included:S.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:Q.addExtraSpaceOnTop,description:_.localize(14,null)},"editor.find.loop":{type:"boolean",default:Q.loop,description:_.localize(15,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const _e=Q;return{cursorMoveOnType:v(_e.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:v(_e.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection),autoFindInSelection:typeof Q.autoFindInSelection=="boolean"?Q.autoFindInSelection?"always":"never":g(_e.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:v(_e.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:v(_e.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:v(_e.loop,this.defaultValue.loop)}}}class w extends n{constructor(){super(39,"fontLigatures",w.OFF,{anyOf:[{type:"boolean",description:_.localize(16,null)},{type:"string",description:_.localize(17,null)}],description:_.localize(18,null),default:!1})}validate(Q){return typeof Q=="undefined"?this.defaultValue:typeof Q=="string"?Q==="false"?w.OFF:Q==="true"?w.ON:Q:Boolean(Q)?w.ON:w.OFF}}e.EditorFontLigatures=w,w.OFF='"liga" off, "calt" off',w.ON='"liga" on, "calt" on';class R extends A{constructor(){super(38)}compute(Q,_e,Me){return Q.fontInfo}}class F extends C{constructor(){super(40,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:_.localize(19,null)})}validate(Q){let _e=h.float(Q,this.defaultValue);return _e===0?e.EDITOR_FONT_DEFAULTS.fontSize:h.clamp(_e,6,100)}compute(Q,_e,Me){return Q.fontInfo.fontSize}}class W extends n{constructor(){super(41,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:W.MINIMUM_VALUE,maximum:W.MAXIMUM_VALUE,errorMessage:_.localize(20,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:W.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:_.localize(21,null)})}validate(Q){return Q==="normal"||Q==="bold"?Q:String(s.clampedInt(Q,e.EDITOR_FONT_DEFAULTS.fontWeight,W.MINIMUM_VALUE,W.MAXIMUM_VALUE))}}W.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],W.MINIMUM_VALUE=1,W.MAXIMUM_VALUE=1e3;class oe extends n{constructor(){const Q={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},_e={type:"string",enum:["peek","gotoAndPeek","goto"],default:Q.multiple,enumDescriptions:[_.localize(22,null),_.localize(23,null),_.localize(24,null)]};super(45,"gotoLocation",Q,{"editor.gotoLocation.multiple":{deprecationMessage:_.localize(25,null)},"editor.gotoLocation.multipleDefinitions":Object.assign({description:_.localize(26,null)},_e),"editor.gotoLocation.multipleTypeDefinitions":Object.assign({description:_.localize(27,null)},_e),"editor.gotoLocation.multipleDeclarations":Object.assign({description:_.localize(28,null)},_e),"editor.gotoLocation.multipleImplementations":Object.assign({description:_.localize(29,null)},_e),"editor.gotoLocation.multipleReferences":Object.assign({description:_.localize(30,null)},_e),"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:Q.alternativeDefinitionCommand,description:_.localize(31,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:Q.alternativeTypeDefinitionCommand,description:_.localize(32,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:Q.alternativeDeclarationCommand,description:_.localize(33,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:Q.alternativeImplementationCommand,description:_.localize(34,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:Q.alternativeReferenceCommand,description:_.localize(35,null)}})}validate(Q){var _e,Me,Be,Ne,Xe;if(!Q||typeof Q!="object")return this.defaultValue;const B=Q;return{multiple:g(B.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:(_e=B.multipleDefinitions)!==null&&_e!==void 0?_e:g(B.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:(Me=B.multipleTypeDefinitions)!==null&&Me!==void 0?Me:g(B.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:(Be=B.multipleDeclarations)!==null&&Be!==void 0?Be:g(B.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:(Ne=B.multipleImplementations)!==null&&Ne!==void 0?Ne:g(B.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:(Xe=B.multipleReferences)!==null&&Xe!==void 0?Xe:g(B.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:p.string(B.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:p.string(B.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:p.string(B.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:p.string(B.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:p.string(B.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class ie extends n{constructor(){const Q={enabled:!0,delay:300,sticky:!0};super(48,"hover",Q,{"editor.hover.enabled":{type:"boolean",default:Q.enabled,description:_.localize(36,null)},"editor.hover.delay":{type:"number",default:Q.delay,description:_.localize(37,null)},"editor.hover.sticky":{type:"boolean",default:Q.sticky,description:_.localize(38,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const _e=Q;return{enabled:v(_e.enabled,this.defaultValue.enabled),delay:s.clampedInt(_e.delay,this.defaultValue.delay,0,1e4),sticky:v(_e.sticky,this.defaultValue.sticky)}}}var j;(function(H){H[H.None=0]="None",H[H.Text=1]="Text",H[H.Blocks=2]="Blocks"})(j=e.RenderMinimap||(e.RenderMinimap={}));class ee extends A{constructor(){super(124,[44,52,33,59,87,54,55,89,111,114,115,116,2])}compute(Q,_e,Me){return ee.computeLayout(_e,{memory:Q.memory,outerWidth:Q.outerWidth,outerHeight:Q.outerHeight,isDominatedByLongLines:Q.isDominatedByLongLines,lineHeight:Q.fontInfo.lineHeight,viewLineCount:Q.viewLineCount,lineNumbersDigitCount:Q.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:Q.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:Q.fontInfo.maxDigitWidth,pixelRatio:Q.pixelRatio})}static computeContainedMinimapLineCount(Q){const _e=Q.height/Q.lineHeight,Me=Q.scrollBeyondLastLine?_e-1:0,Be=(Q.viewLineCount+Me)/(Q.pixelRatio*Q.height),Ne=Math.floor(Q.viewLineCount/Be);return{typicalViewportLineCount:_e,extraLinesBeyondLastLine:Me,desiredRatio:Be,minimapLineCount:Ne}}static _computeMinimapLayout(Q,_e){const Me=Q.outerWidth,Be=Q.outerHeight,Ne=Q.pixelRatio;if(!Q.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(Ne*Be),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:Be};const Xe=_e.stableMinimapLayoutInput,B=Xe&&Q.outerHeight===Xe.outerHeight&&Q.lineHeight===Xe.lineHeight&&Q.typicalHalfwidthCharacterWidth===Xe.typicalHalfwidthCharacterWidth&&Q.pixelRatio===Xe.pixelRatio&&Q.scrollBeyondLastLine===Xe.scrollBeyondLastLine&&Q.minimap.enabled===Xe.minimap.enabled&&Q.minimap.side===Xe.minimap.side&&Q.minimap.size===Xe.minimap.size&&Q.minimap.showSlider===Xe.minimap.showSlider&&Q.minimap.renderCharacters===Xe.minimap.renderCharacters&&Q.minimap.maxColumn===Xe.minimap.maxColumn&&Q.minimap.scale===Xe.minimap.scale&&Q.verticalScrollbarWidth===Xe.verticalScrollbarWidth&&Q.isViewportWrapping===Xe.isViewportWrapping,te=Q.lineHeight,ce=Q.typicalHalfwidthCharacterWidth,z=Q.scrollBeyondLastLine,G=Q.minimap.renderCharacters;let le=Ne>=2?Math.round(Q.minimap.scale*2):Q.minimap.scale;const fe=Q.minimap.maxColumn,ve=Q.minimap.size,xe=Q.minimap.side,Oe=Q.verticalScrollbarWidth,Ve=Q.viewLineCount,Qe=Q.remainingWidth,Ze=Q.isViewportWrapping,ht=G?2:3;let rt=Math.floor(Ne*Be);const pe=rt/Ne;let he=!1,ue=!1,K=ht*le,ke=le/Ne,Te=1;if(ve==="fill"||ve==="fit"){const{typicalViewportLineCount:lt,extraLinesBeyondLastLine:ot,desiredRatio:kt,minimapLineCount:_t}=ee.computeContainedMinimapLineCount({viewLineCount:Ve,scrollBeyondLastLine:z,height:Be,lineHeight:te,pixelRatio:Ne});if(Ve/_t>1)he=!0,ue=!0,le=1,K=1,ke=le/Ne;else{let Et=!1,St=le+1;if(ve==="fit"){const gt=Math.ceil((Ve+ot)*K);Ze&&B&&Qe<=_e.stableFitRemainingWidth?(Et=!0,St=_e.stableFitMaxMinimapScale):(Et=gt>rt,Ze&&Et?(_e.stableMinimapLayoutInput=Q,_e.stableFitRemainingWidth=Qe):(_e.stableMinimapLayoutInput=null,_e.stableFitRemainingWidth=0))}if(ve==="fill"||Et){he=!0;const gt=le;K=Math.min(te*Ne,Math.max(1,Math.floor(1/kt))),le=Math.min(St,Math.max(1,Math.floor(K/ht))),le>gt&&(Te=Math.min(2,le/gt)),ke=le/Ne/Te,rt=Math.ceil(Math.max(lt,Ve+ot)*K),Ze&&Et&&(_e.stableFitMaxMinimapScale=le)}}}const et=Math.floor(fe*ke),Ge=Math.min(et,Math.max(0,Math.floor((Qe-Oe-2)*ke/(ce+ke)))+e.MINIMAP_GUTTER_WIDTH);let nt=Math.floor(Ne*Ge);const ct=nt/Ne;nt=Math.floor(nt*Te);const Je=G?1:2,at=xe==="left"?0:Me-Ge-Oe;return{renderMinimap:Je,minimapLeft:at,minimapWidth:Ge,minimapHeightIsEditorHeight:he,minimapIsSampling:ue,minimapScale:le,minimapLineHeight:K,minimapCanvasInnerWidth:nt,minimapCanvasInnerHeight:rt,minimapCanvasOuterWidth:ct,minimapCanvasOuterHeight:pe}}static computeLayout(Q,_e){const Me=_e.outerWidth|0,Be=_e.outerHeight|0,Ne=_e.lineHeight|0,Xe=_e.lineNumbersDigitCount|0,B=_e.typicalHalfwidthCharacterWidth,te=_e.maxDigitWidth,ce=_e.pixelRatio,z=_e.viewLineCount,G=Q.get(116),le=G==="inherit"?Q.get(115):G,fe=le==="inherit"?Q.get(111):le,ve=Q.get(114),xe=Q.get(2),Oe=_e.isDominatedByLongLines,Ve=Q.get(44),Qe=Q.get(54).renderType!==0,Ze=Q.get(55),ht=Q.get(89),rt=Q.get(59),pe=Q.get(87),he=pe.verticalScrollbarSize,ue=pe.verticalHasArrows,K=pe.arrowSize,ke=pe.horizontalScrollbarSize,Te=Q.get(52),et=Q.get(33);let Ge;if(typeof Te=="string"&&/^\d+(\.\d+)?ch$/.test(Te)){const ft=parseFloat(Te.substr(0,Te.length-2));Ge=s.clampedInt(ft*B,0,0,1e3)}else Ge=s.clampedInt(Te,0,0,1e3);et&&(Ge+=16);let nt=0;if(Qe){const ft=Math.max(Xe,Ze);nt=Math.round(ft*te)}let ct=0;Ve&&(ct=Ne);let Je=0,at=Je+ct,lt=at+nt,ot=lt+Ge;const kt=Me-ct-nt-Ge;let _t=!1,Ct=!1,Et=-1;xe!==2&&(le==="inherit"&&Oe?(_t=!0,Ct=!0):fe==="on"||fe==="bounded"?Ct=!0:fe==="wordWrapColumn"&&(Et=ve));const St=ee._computeMinimapLayout({outerWidth:Me,outerHeight:Be,lineHeight:Ne,typicalHalfwidthCharacterWidth:B,pixelRatio:ce,scrollBeyondLastLine:ht,minimap:rt,verticalScrollbarWidth:he,viewLineCount:z,remainingWidth:kt,isViewportWrapping:Ct},_e.memory||new D);St.renderMinimap!==0&&St.minimapLeft===0&&(Je+=St.minimapWidth,at+=St.minimapWidth,lt+=St.minimapWidth,ot+=St.minimapWidth);const gt=kt-St.minimapWidth,Rt=Math.max(1,Math.floor((gt-he-2)/B)),Ft=ue?K:0;return Ct&&(Et=Math.max(1,Rt),fe==="bounded"&&(Et=Math.min(Et,ve))),{width:Me,height:Be,glyphMarginLeft:Je,glyphMarginWidth:ct,lineNumbersLeft:at,lineNumbersWidth:nt,decorationsLeft:lt,decorationsWidth:Ge,contentLeft:ot,contentWidth:gt,minimap:St,viewportColumn:Rt,isWordWrapMinified:_t,isViewportWrapping:Ct,wrappingColumn:Et,verticalScrollbarWidth:he,horizontalScrollbarHeight:ke,overviewRuler:{top:Ft,width:he,height:Be-2*Ft,right:0}}}}e.EditorLayoutInfoComputer=ee;class M extends n{constructor(){const Q={enabled:!0};super(51,"lightbulb",Q,{"editor.lightbulb.enabled":{type:"boolean",default:Q.enabled,description:_.localize(39,null)}})}validate(Q){return!Q||typeof Q!="object"?this.defaultValue:{enabled:v(Q.enabled,this.defaultValue.enabled)}}}class x extends n{constructor(){const Q={enabled:!0,fontSize:0,fontFamily:e.EDITOR_FONT_DEFAULTS.fontFamily};super(120,"inlineHints",Q,{"editor.inlineHints.enabled":{type:"boolean",default:Q.enabled,description:_.localize(40,null)},"editor.inlineHints.fontSize":{type:"number",default:Q.fontSize,description:_.localize(41,null)},"editor.inlineHints.fontFamily":{type:"string",default:Q.fontFamily,description:_.localize(42,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const _e=Q;return{enabled:v(_e.enabled,this.defaultValue.enabled),fontSize:s.clampedInt(_e.fontSize,this.defaultValue.fontSize,0,100),fontFamily:p.string(_e.fontFamily,this.defaultValue.fontFamily)}}}class $ extends s{constructor(){super(53,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,0,150,{description:_.localize(43,null)})}compute(Q,_e,Me){return Q.fontInfo.lineHeight}}class q extends n{constructor(){const Q={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",renderCharacters:!0,maxColumn:120,scale:1};super(59,"minimap",Q,{"editor.minimap.enabled":{type:"boolean",default:Q.enabled,description:_.localize(44,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[_.localize(45,null),_.localize(46,null),_.localize(47,null)],default:Q.size,description:_.localize(48,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:Q.side,description:_.localize(49,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:Q.showSlider,description:_.localize(50,null)},"editor.minimap.scale":{type:"number",default:Q.scale,minimum:1,maximum:3,enum:[1,2,3],description:_.localize(51,null)},"editor.minimap.renderCharacters":{type:"boolean",default:Q.renderCharacters,description:_.localize(52,null)},"editor.minimap.maxColumn":{type:"number",default:Q.maxColumn,description:_.localize(53,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const _e=Q;return{enabled:v(_e.enabled,this.defaultValue.enabled),size:g(_e.size,this.defaultValue.size,["proportional","fill","fit"]),side:g(_e.side,this.defaultValue.side,["right","left"]),showSlider:g(_e.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:v(_e.renderCharacters,this.defaultValue.renderCharacters),scale:s.clampedInt(_e.scale,1,1,3),maxColumn:s.clampedInt(_e.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function U(H){return H==="ctrlCmd"?S.isMacintosh?"metaKey":"ctrlKey":"altKey"}class Y extends n{constructor(){super(69,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:_.localize(54,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:_.localize(55,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const _e=Q;return{top:s.clampedInt(_e.top,0,0,1e3),bottom:s.clampedInt(_e.bottom,0,0,1e3)}}}class Z extends n{constructor(){const Q={enabled:!0,cycle:!1};super(70,"parameterHints",Q,{"editor.parameterHints.enabled":{type:"boolean",default:Q.enabled,description:_.localize(56,null)},"editor.parameterHints.cycle":{type:"boolean",default:Q.cycle,description:_.localize(57,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const _e=Q;return{enabled:v(_e.enabled,this.defaultValue.enabled),cycle:v(_e.cycle,this.defaultValue.cycle)}}}class se extends A{constructor(){super(122)}compute(Q,_e,Me){return Q.pixelRatio}}class Se extends n{constructor(){const Q={other:!0,comments:!1,strings:!1};super(73,"quickSuggestions",Q,{anyOf:[{type:"boolean"},{type:"object",properties:{strings:{type:"boolean",default:Q.strings,description:_.localize(58,null)},comments:{type:"boolean",default:Q.comments,description:_.localize(59,null)},other:{type:"boolean",default:Q.other,description:_.localize(60,null)}}}],default:Q,description:_.localize(61,null)});this.defaultValue=Q}validate(Q){if(typeof Q=="boolean")return Q;if(Q&&typeof Q=="object"){const _e=Q,Me={other:v(_e.other,this.defaultValue.other),comments:v(_e.comments,this.defaultValue.comments),strings:v(_e.strings,this.defaultValue.strings)};return Me.other&&Me.comments&&Me.strings?!0:!Me.other&&!Me.comments&&!Me.strings?!1:Me}return this.defaultValue}}var Pe;(function(H){H[H.Off=0]="Off",H[H.On=1]="On",H[H.Relative=2]="Relative",H[H.Interval=3]="Interval",H[H.Custom=4]="Custom"})(Pe=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class $e extends n{constructor(){super(54,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[_.localize(62,null),_.localize(63,null),_.localize(64,null),_.localize(65,null)],default:"on",description:_.localize(66,null)})}validate(Q){let _e=this.defaultValue.renderType,Me=this.defaultValue.renderFn;return typeof Q!="undefined"&&(typeof Q=="function"?(_e=4,Me=Q):Q==="interval"?_e=3:Q==="relative"?_e=2:Q==="on"?_e=1:_e=0),{renderType:_e,renderFn:Me}}}function Fe(H){const Q=H.get(82);return Q==="editable"?H.get(75):Q!=="on"}e.filterValidationDecorations=Fe;class He extends n{constructor(){const Q=[],_e={type:"number",description:_.localize(67,null)};super(86,"rulers",Q,{type:"array",items:{anyOf:[_e,{type:["object"],properties:{column:_e,color:{type:"string",description:_.localize(68,null),format:"color-hex"}}}]},default:Q,description:_.localize(69,null)})}validate(Q){if(Array.isArray(Q)){let _e=[];for(let Me of Q)if(typeof Me=="number")_e.push({column:s.clampedInt(Me,0,0,1e4),color:null});else if(Me&&typeof Me=="object"){const Be=Me;_e.push({column:s.clampedInt(Be.column,0,0,1e4),color:Be.color})}return _e.sort((Me,Be)=>Me.column-Be.column),_e}return this.defaultValue}}function N(H,Q){if(typeof H!="string")return Q;switch(H){case"hidden":return 2;case"visible":return 3;default:return 1}}class V extends n{constructor(){super(87,"scrollbar",{vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const _e=Q,Me=s.clampedInt(_e.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),Be=s.clampedInt(_e.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:s.clampedInt(_e.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:N(_e.vertical,this.defaultValue.vertical),horizontal:N(_e.horizontal,this.defaultValue.horizontal),useShadows:v(_e.useShadows,this.defaultValue.useShadows),verticalHasArrows:v(_e.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:v(_e.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:v(_e.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:v(_e.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:Me,horizontalSliderSize:s.clampedInt(_e.horizontalSliderSize,Me,0,1e3),verticalScrollbarSize:Be,verticalSliderSize:s.clampedInt(_e.verticalSliderSize,Be,0,1e3),scrollByPage:v(_e.scrollByPage,this.defaultValue.scrollByPage)}}}class X extends n{constructor(){const Q={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(101,"suggest",Q,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[_.localize(70,null),_.localize(71,null)],default:Q.insertMode,description:_.localize(72,null)},"editor.suggest.filterGraceful":{type:"boolean",default:Q.filterGraceful,description:_.localize(73,null)},"editor.suggest.localityBonus":{type:"boolean",default:Q.localityBonus,description:_.localize(74,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:Q.shareSuggestSelections,markdownDescription:_.localize(75,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:Q.snippetsPreventQuickSuggestions,description:_.localize(76,null)},"editor.suggest.showIcons":{type:"boolean",default:Q.showIcons,description:_.localize(77,null)},"editor.suggest.showStatusBar":{type:"boolean",default:Q.showStatusBar,description:_.localize(78,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:Q.showInlineDetails,description:_.localize(79,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:_.localize(80,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:_.localize(81,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:_.localize(82,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:_.localize(83,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:_.localize(84,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:_.localize(85,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:_.localize(86,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:_.localize(87,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:_.localize(88,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:_.localize(89,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:_.localize(90,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:_.localize(91,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:_.localize(92,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:_.localize(93,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:_.localize(94,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:_.localize(95,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:_.localize(96,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:_.localize(97,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:_.localize(98,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:_.localize(99,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:_.localize(100,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:_.localize(101,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:_.localize(102,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:_.localize(103,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:_.localize(104,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:_.localize(105,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:_.localize(106,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:_.localize(107,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:_.localize(108,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:_.localize(109,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const _e=Q;return{insertMode:g(_e.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:v(_e.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:v(_e.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:v(_e.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:v(_e.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:v(_e.showIcons,this.defaultValue.showIcons),showStatusBar:v(_e.showStatusBar,this.defaultValue.showStatusBar),showInlineDetails:v(_e.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:v(_e.showMethods,this.defaultValue.showMethods),showFunctions:v(_e.showFunctions,this.defaultValue.showFunctions),showConstructors:v(_e.showConstructors,this.defaultValue.showConstructors),showFields:v(_e.showFields,this.defaultValue.showFields),showVariables:v(_e.showVariables,this.defaultValue.showVariables),showClasses:v(_e.showClasses,this.defaultValue.showClasses),showStructs:v(_e.showStructs,this.defaultValue.showStructs),showInterfaces:v(_e.showInterfaces,this.defaultValue.showInterfaces),showModules:v(_e.showModules,this.defaultValue.showModules),showProperties:v(_e.showProperties,this.defaultValue.showProperties),showEvents:v(_e.showEvents,this.defaultValue.showEvents),showOperators:v(_e.showOperators,this.defaultValue.showOperators),showUnits:v(_e.showUnits,this.defaultValue.showUnits),showValues:v(_e.showValues,this.defaultValue.showValues),showConstants:v(_e.showConstants,this.defaultValue.showConstants),showEnums:v(_e.showEnums,this.defaultValue.showEnums),showEnumMembers:v(_e.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:v(_e.showKeywords,this.defaultValue.showKeywords),showWords:v(_e.showWords,this.defaultValue.showWords),showColors:v(_e.showColors,this.defaultValue.showColors),showFiles:v(_e.showFiles,this.defaultValue.showFiles),showReferences:v(_e.showReferences,this.defaultValue.showReferences),showFolders:v(_e.showFolders,this.defaultValue.showFolders),showTypeParameters:v(_e.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:v(_e.showSnippets,this.defaultValue.showSnippets),showUsers:v(_e.showUsers,this.defaultValue.showUsers),showIssues:v(_e.showIssues,this.defaultValue.showIssues)}}}class re extends n{constructor(){super(97,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:_.localize(110,null),default:!0,type:"boolean"}})}validate(Q){return!Q||typeof Q!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:v(Q.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class me extends A{constructor(){super(123,[75])}compute(Q,_e,Me){return _e.get(75)?!0:Q.tabFocusMode}}var De;(function(H){H[H.None=0]="None",H[H.Same=1]="Same",H[H.Indent=2]="Indent",H[H.DeepIndent=3]="DeepIndent"})(De=e.WrappingIndent||(e.WrappingIndent={}));function Le(H){switch(H){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class ge extends A{constructor(){super(125,[124])}compute(Q,_e,Me){const Be=_e.get(124);return{isDominatedByLongLines:Q.isDominatedByLongLines,isWordWrapMinified:Be.isWordWrapMinified,isViewportWrapping:Be.isViewportWrapping,wrappingColumn:Be.wrappingColumn}}}const Ce="Consolas, 'Courier New', monospace",Ae="Menlo, Monaco, 'Courier New', monospace",Ue="'Droid Sans Mono', 'monospace', monospace, 'Droid Sans Fallback'";e.EDITOR_FONT_DEFAULTS={fontFamily:S.isMacintosh?Ae:S.isLinux?Ue:Ce,fontWeight:"normal",fontSize:S.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0},e.editorOptionsRegistry=[];function be(H){return e.editorOptionsRegistry[H.id]=H,H}var qe;(function(H){H[H.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",H[H.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",H[H.accessibilitySupport=2]="accessibilitySupport",H[H.accessibilityPageSize=3]="accessibilityPageSize",H[H.ariaLabel=4]="ariaLabel",H[H.autoClosingBrackets=5]="autoClosingBrackets",H[H.autoClosingOvertype=6]="autoClosingOvertype",H[H.autoClosingQuotes=7]="autoClosingQuotes",H[H.autoIndent=8]="autoIndent",H[H.automaticLayout=9]="automaticLayout",H[H.autoSurround=10]="autoSurround",H[H.codeLens=11]="codeLens",H[H.codeLensFontFamily=12]="codeLensFontFamily",H[H.codeLensFontSize=13]="codeLensFontSize",H[H.colorDecorators=14]="colorDecorators",H[H.columnSelection=15]="columnSelection",H[H.comments=16]="comments",H[H.contextmenu=17]="contextmenu",H[H.copyWithSyntaxHighlighting=18]="copyWithSyntaxHighlighting",H[H.cursorBlinking=19]="cursorBlinking",H[H.cursorSmoothCaretAnimation=20]="cursorSmoothCaretAnimation",H[H.cursorStyle=21]="cursorStyle",H[H.cursorSurroundingLines=22]="cursorSurroundingLines",H[H.cursorSurroundingLinesStyle=23]="cursorSurroundingLinesStyle",H[H.cursorWidth=24]="cursorWidth",H[H.disableLayerHinting=25]="disableLayerHinting",H[H.disableMonospaceOptimizations=26]="disableMonospaceOptimizations",H[H.dragAndDrop=27]="dragAndDrop",H[H.emptySelectionClipboard=28]="emptySelectionClipboard",H[H.extraEditorClassName=29]="extraEditorClassName",H[H.fastScrollSensitivity=30]="fastScrollSensitivity",H[H.find=31]="find",H[H.fixedOverflowWidgets=32]="fixedOverflowWidgets",H[H.folding=33]="folding",H[H.foldingStrategy=34]="foldingStrategy",H[H.foldingHighlight=35]="foldingHighlight",H[H.unfoldOnClickAfterEndOfLine=36]="unfoldOnClickAfterEndOfLine",H[H.fontFamily=37]="fontFamily",H[H.fontInfo=38]="fontInfo",H[H.fontLigatures=39]="fontLigatures",H[H.fontSize=40]="fontSize",H[H.fontWeight=41]="fontWeight",H[H.formatOnPaste=42]="formatOnPaste",H[H.formatOnType=43]="formatOnType",H[H.glyphMargin=44]="glyphMargin",H[H.gotoLocation=45]="gotoLocation",H[H.hideCursorInOverviewRuler=46]="hideCursorInOverviewRuler",H[H.highlightActiveIndentGuide=47]="highlightActiveIndentGuide",H[H.hover=48]="hover",H[H.inDiffEditor=49]="inDiffEditor",H[H.letterSpacing=50]="letterSpacing",H[H.lightbulb=51]="lightbulb",H[H.lineDecorationsWidth=52]="lineDecorationsWidth",H[H.lineHeight=53]="lineHeight",H[H.lineNumbers=54]="lineNumbers",H[H.lineNumbersMinChars=55]="lineNumbersMinChars",H[H.linkedEditing=56]="linkedEditing",H[H.links=57]="links",H[H.matchBrackets=58]="matchBrackets",H[H.minimap=59]="minimap",H[H.mouseStyle=60]="mouseStyle",H[H.mouseWheelScrollSensitivity=61]="mouseWheelScrollSensitivity",H[H.mouseWheelZoom=62]="mouseWheelZoom",H[H.multiCursorMergeOverlapping=63]="multiCursorMergeOverlapping",H[H.multiCursorModifier=64]="multiCursorModifier",H[H.multiCursorPaste=65]="multiCursorPaste",H[H.occurrencesHighlight=66]="occurrencesHighlight",H[H.overviewRulerBorder=67]="overviewRulerBorder",H[H.overviewRulerLanes=68]="overviewRulerLanes",H[H.padding=69]="padding",H[H.parameterHints=70]="parameterHints",H[H.peekWidgetDefaultFocus=71]="peekWidgetDefaultFocus",H[H.definitionLinkOpensInPeek=72]="definitionLinkOpensInPeek",H[H.quickSuggestions=73]="quickSuggestions",H[H.quickSuggestionsDelay=74]="quickSuggestionsDelay",H[H.readOnly=75]="readOnly",H[H.renameOnType=76]="renameOnType",H[H.renderControlCharacters=77]="renderControlCharacters",H[H.renderIndentGuides=78]="renderIndentGuides",H[H.renderFinalNewline=79]="renderFinalNewline",H[H.renderLineHighlight=80]="renderLineHighlight",H[H.renderLineHighlightOnlyWhenFocus=81]="renderLineHighlightOnlyWhenFocus",H[H.renderValidationDecorations=82]="renderValidationDecorations",H[H.renderWhitespace=83]="renderWhitespace",H[H.revealHorizontalRightPadding=84]="revealHorizontalRightPadding",H[H.roundedSelection=85]="roundedSelection",H[H.rulers=86]="rulers",H[H.scrollbar=87]="scrollbar",H[H.scrollBeyondLastColumn=88]="scrollBeyondLastColumn",H[H.scrollBeyondLastLine=89]="scrollBeyondLastLine",H[H.scrollPredominantAxis=90]="scrollPredominantAxis",H[H.selectionClipboard=91]="selectionClipboard",H[H.selectionHighlight=92]="selectionHighlight",H[H.selectOnLineNumbers=93]="selectOnLineNumbers",H[H.showFoldingControls=94]="showFoldingControls",H[H.showUnused=95]="showUnused",H[H.snippetSuggestions=96]="snippetSuggestions",H[H.smartSelect=97]="smartSelect",H[H.smoothScrolling=98]="smoothScrolling",H[H.stickyTabStops=99]="stickyTabStops",H[H.stopRenderingLineAfter=100]="stopRenderingLineAfter",H[H.suggest=101]="suggest",H[H.suggestFontSize=102]="suggestFontSize",H[H.suggestLineHeight=103]="suggestLineHeight",H[H.suggestOnTriggerCharacters=104]="suggestOnTriggerCharacters",H[H.suggestSelection=105]="suggestSelection",H[H.tabCompletion=106]="tabCompletion",H[H.tabIndex=107]="tabIndex",H[H.unusualLineTerminators=108]="unusualLineTerminators",H[H.useTabStops=109]="useTabStops",H[H.wordSeparators=110]="wordSeparators",H[H.wordWrap=111]="wordWrap",H[H.wordWrapBreakAfterCharacters=112]="wordWrapBreakAfterCharacters",H[H.wordWrapBreakBeforeCharacters=113]="wordWrapBreakBeforeCharacters",H[H.wordWrapColumn=114]="wordWrapColumn",H[H.wordWrapOverride1=115]="wordWrapOverride1",H[H.wordWrapOverride2=116]="wordWrapOverride2",H[H.wrappingIndent=117]="wrappingIndent",H[H.wrappingStrategy=118]="wrappingStrategy",H[H.showDeprecated=119]="showDeprecated",H[H.inlineHints=120]="inlineHints",H[H.editorClassName=121]="editorClassName",H[H.pixelRatio=122]="pixelRatio",H[H.tabFocusMode=123]="tabFocusMode",H[H.layoutInfo=124]="layoutInfo",H[H.wrappingInfo=125]="wrappingInfo"})(qe=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:be(new d(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:_.localize(111,null)})),acceptSuggestionOnEnter:be(new b(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",_.localize(112,null),""],markdownDescription:_.localize(113,null)})),accessibilitySupport:be(new a),accessibilityPageSize:be(new s(3,"accessibilityPageSize",10,1,1073741824,{description:_.localize(114,null),deprecationMessage:_.localize(115,null)})),ariaLabel:be(new p(4,"ariaLabel",_.localize(116,null))),autoClosingBrackets:be(new b(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",_.localize(117,null),_.localize(118,null),""],description:_.localize(119,null)})),autoClosingOvertype:be(new b(6,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",_.localize(120,null),""],description:_.localize(121,null)})),autoClosingQuotes:be(new b(7,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",_.localize(122,null),_.localize(123,null),""],description:_.localize(124,null)})),autoIndent:be(new c(8,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],u,{enumDescriptions:[_.localize(125,null),_.localize(126,null),_.localize(127,null),_.localize(128,null),_.localize(129,null)],description:_.localize(130,null)})),automaticLayout:be(new d(9,"automaticLayout",!1)),autoSurround:be(new b(10,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[_.localize(131,null),_.localize(132,null),_.localize(133,null),""],description:_.localize(134,null)})),stickyTabStops:be(new d(99,"stickyTabStops",!1,{description:_.localize(135,null)})),codeLens:be(new d(11,"codeLens",!0,{description:_.localize(136,null)})),codeLensFontFamily:be(new p(12,"codeLensFontFamily","",{description:_.localize(137,null)})),codeLensFontSize:be(new s(13,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,description:_.localize(138,null)})),colorDecorators:be(new d(14,"colorDecorators",!0,{description:_.localize(139,null)})),columnSelection:be(new d(15,"columnSelection",!1,{description:_.localize(140,null)})),comments:be(new t),contextmenu:be(new d(17,"contextmenu",!0)),copyWithSyntaxHighlighting:be(new d(18,"copyWithSyntaxHighlighting",!0,{description:_.localize(141,null)})),cursorBlinking:be(new c(19,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],o,{description:_.localize(142,null)})),cursorSmoothCaretAnimation:be(new d(20,"cursorSmoothCaretAnimation",!1,{description:_.localize(143,null)})),cursorStyle:be(new c(21,"cursorStyle",l.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],f,{description:_.localize(144,null)})),cursorSurroundingLines:be(new s(22,"cursorSurroundingLines",0,0,1073741824,{description:_.localize(145,null)})),cursorSurroundingLinesStyle:be(new b(23,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[_.localize(146,null),_.localize(147,null)],description:_.localize(148,null)})),cursorWidth:be(new s(24,"cursorWidth",0,0,1073741824,{markdownDescription:_.localize(149,null)})),disableLayerHinting:be(new d(25,"disableLayerHinting",!1)),disableMonospaceOptimizations:be(new d(26,"disableMonospaceOptimizations",!1)),dragAndDrop:be(new d(27,"dragAndDrop",!0,{description:_.localize(150,null)})),emptySelectionClipboard:be(new I),extraEditorClassName:be(new p(29,"extraEditorClassName","")),fastScrollSensitivity:be(new h(30,"fastScrollSensitivity",5,H=>H<=0?5:H,{markdownDescription:_.localize(151,null)})),find:be(new m),fixedOverflowWidgets:be(new d(32,"fixedOverflowWidgets",!1)),folding:be(new d(33,"folding",!0,{description:_.localize(152,null)})),foldingStrategy:be(new b(34,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[_.localize(153,null),_.localize(154,null)],description:_.localize(155,null)})),foldingHighlight:be(new d(35,"foldingHighlight",!0,{description:_.localize(156,null)})),unfoldOnClickAfterEndOfLine:be(new d(36,"unfoldOnClickAfterEndOfLine",!1,{description:_.localize(157,null)})),fontFamily:be(new p(37,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:_.localize(158,null)})),fontInfo:be(new R),fontLigatures2:be(new w),fontSize:be(new F),fontWeight:be(new W),formatOnPaste:be(new d(42,"formatOnPaste",!1,{description:_.localize(159,null)})),formatOnType:be(new d(43,"formatOnType",!1,{description:_.localize(160,null)})),glyphMargin:be(new d(44,"glyphMargin",!0,{description:_.localize(161,null)})),gotoLocation:be(new oe),hideCursorInOverviewRuler:be(new d(46,"hideCursorInOverviewRuler",!1,{description:_.localize(162,null)})),highlightActiveIndentGuide:be(new d(47,"highlightActiveIndentGuide",!0,{description:_.localize(163,null)})),hover:be(new ie),inDiffEditor:be(new d(49,"inDiffEditor",!1)),letterSpacing:be(new h(50,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,H=>h.clamp(H,-5,20),{description:_.localize(164,null)})),lightbulb:be(new M),lineDecorationsWidth:be(new C(52,"lineDecorationsWidth",10)),lineHeight:be(new $),lineNumbers:be(new $e),lineNumbersMinChars:be(new s(55,"lineNumbersMinChars",5,1,300)),linkedEditing:be(new d(56,"linkedEditing",!1,{description:_.localize(165,null)})),links:be(new d(57,"links",!0,{description:_.localize(166,null)})),matchBrackets:be(new b(58,"matchBrackets","always",["always","near","never"],{description:_.localize(167,null)})),minimap:be(new q),mouseStyle:be(new b(60,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:be(new h(61,"mouseWheelScrollSensitivity",1,H=>H===0?1:H,{markdownDescription:_.localize(168,null)})),mouseWheelZoom:be(new d(62,"mouseWheelZoom",!1,{markdownDescription:_.localize(169,null)})),multiCursorMergeOverlapping:be(new d(63,"multiCursorMergeOverlapping",!0,{description:_.localize(170,null)})),multiCursorModifier:be(new c(64,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],U,{markdownEnumDescriptions:[_.localize(171,null),_.localize(172,null)],markdownDescription:_.localize(173,null)})),multiCursorPaste:be(new b(65,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[_.localize(174,null),_.localize(175,null)],markdownDescription:_.localize(176,null)})),occurrencesHighlight:be(new d(66,"occurrencesHighlight",!0,{description:_.localize(177,null)})),overviewRulerBorder:be(new d(67,"overviewRulerBorder",!0,{description:_.localize(178,null)})),overviewRulerLanes:be(new s(68,"overviewRulerLanes",3,0,3)),padding:be(new Y),parameterHints:be(new Z),peekWidgetDefaultFocus:be(new b(71,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[_.localize(179,null),_.localize(180,null)],description:_.localize(181,null)})),definitionLinkOpensInPeek:be(new d(72,"definitionLinkOpensInPeek",!1,{description:_.localize(182,null)})),quickSuggestions:be(new Se),quickSuggestionsDelay:be(new s(74,"quickSuggestionsDelay",10,0,1073741824,{description:_.localize(183,null)})),readOnly:be(new d(75,"readOnly",!1)),renameOnType:be(new d(76,"renameOnType",!1,{description:_.localize(184,null),markdownDeprecationMessage:_.localize(185,null)})),renderControlCharacters:be(new d(77,"renderControlCharacters",!1,{description:_.localize(186,null)})),renderIndentGuides:be(new d(78,"renderIndentGuides",!0,{description:_.localize(187,null)})),renderFinalNewline:be(new d(79,"renderFinalNewline",!0,{description:_.localize(188,null)})),renderLineHighlight:be(new b(80,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",_.localize(189,null)],description:_.localize(190,null)})),renderLineHighlightOnlyWhenFocus:be(new d(81,"renderLineHighlightOnlyWhenFocus",!1,{description:_.localize(191,null)})),renderValidationDecorations:be(new b(82,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:be(new b(83,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",_.localize(192,null),_.localize(193,null),_.localize(194,null),""],description:_.localize(195,null)})),revealHorizontalRightPadding:be(new s(84,"revealHorizontalRightPadding",30,0,1e3)),roundedSelection:be(new d(85,"roundedSelection",!0,{description:_.localize(196,null)})),rulers:be(new He),scrollbar:be(new V),scrollBeyondLastColumn:be(new s(88,"scrollBeyondLastColumn",5,0,1073741824,{description:_.localize(197,null)})),scrollBeyondLastLine:be(new d(89,"scrollBeyondLastLine",!0,{description:_.localize(198,null)})),scrollPredominantAxis:be(new d(90,"scrollPredominantAxis",!0,{description:_.localize(199,null)})),selectionClipboard:be(new d(91,"selectionClipboard",!0,{description:_.localize(200,null),included:S.isLinux})),selectionHighlight:be(new d(92,"selectionHighlight",!0,{description:_.localize(201,null)})),selectOnLineNumbers:be(new d(93,"selectOnLineNumbers",!0)),showFoldingControls:be(new b(94,"showFoldingControls","mouseover",["always","mouseover"],{enumDescriptions:[_.localize(202,null),_.localize(203,null)],description:_.localize(204,null)})),showUnused:be(new d(95,"showUnused",!0,{description:_.localize(205,null)})),showDeprecated:be(new d(119,"showDeprecated",!0,{description:_.localize(206,null)})),inlineHints:be(new x),snippetSuggestions:be(new b(96,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[_.localize(207,null),_.localize(208,null),_.localize(209,null),_.localize(210,null)],description:_.localize(211,null)})),smartSelect:be(new re),smoothScrolling:be(new d(98,"smoothScrolling",!1,{description:_.localize(212,null)})),stopRenderingLineAfter:be(new s(100,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:be(new X),suggestFontSize:be(new s(102,"suggestFontSize",0,0,1e3,{markdownDescription:_.localize(213,null)})),suggestLineHeight:be(new s(103,"suggestLineHeight",0,0,1e3,{markdownDescription:_.localize(214,null)})),suggestOnTriggerCharacters:be(new d(104,"suggestOnTriggerCharacters",!0,{description:_.localize(215,null)})),suggestSelection:be(new b(105,"suggestSelection","recentlyUsed",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[_.localize(216,null),_.localize(217,null),_.localize(218,null)],description:_.localize(219,null)})),tabCompletion:be(new b(106,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[_.localize(220,null),_.localize(221,null),_.localize(222,null)],description:_.localize(223,null)})),tabIndex:be(new s(107,"tabIndex",0,-1,1073741824)),unusualLineTerminators:be(new b(108,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[_.localize(224,null),_.localize(225,null),_.localize(226,null)],description:_.localize(227,null)})),useTabStops:be(new d(109,"useTabStops",!0,{description:_.localize(228,null)})),wordSeparators:be(new p(110,"wordSeparators",T.USUAL_WORD_SEPARATORS,{description:_.localize(229,null)})),wordWrap:be(new b(111,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[_.localize(230,null),_.localize(231,null),_.localize(232,null),_.localize(233,null)],description:_.localize(234,null)})),wordWrapBreakAfterCharacters:be(new p(112,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:be(new p(113,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:be(new s(114,"wordWrapColumn",80,1,1073741824,{markdownDescription:_.localize(235,null)})),wordWrapOverride1:be(new b(115,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:be(new b(116,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:be(new c(117,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],Le,{enumDescriptions:[_.localize(236,null),_.localize(237,null),_.localize(238,null),_.localize(239,null)],description:_.localize(240,null)})),wrappingStrategy:be(new b(118,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[_.localize(241,null),_.localize(242,null)],description:_.localize(243,null)})),editorClassName:be(new y),pixelRatio:be(new se),tabFocusMode:be(new me),layoutInfo:be(new ee),wrappingInfo:be(new ge)}}),define(we[121],Ee([17,18]),function(ae,e){return ae.create("vs/platform/configuration/common/configurationRegistry",e)}),define(we[122],Ee([17,18]),function(ae,e){return ae.create("vs/platform/files/common/files",e)}),define(we[123],Ee([17,18]),function(ae,e){return ae.create("vs/platform/markers/common/markers",e)}),define(we[124],Ee([17,18]),function(ae,e){return ae.create("vs/platform/theme/common/iconRegistry",e)}),define(we[125],Ee([17,18]),function(ae,e){return ae.create("vs/platform/workspaces/common/workspaces",e)}),define(we[126],Ee([17,18]),function(ae,e){return ae.create("vs/workbench/api/common/extHost.api.impl",e)}),define(we[127],Ee([17,18]),function(ae,e){return ae.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(we[128],Ee([17,18]),function(ae,e){return ae.create("vs/workbench/api/common/extHostExtensionActivator",e)}),define(we[129],Ee([17,18]),function(ae,e){return ae.create("vs/workbench/api/common/extHostExtensionService",e)}),define(we[130],Ee([17,18]),function(ae,e){return ae.create("vs/workbench/api/common/extHostProgress",e)}),define(we[131],Ee([17,18]),function(ae,e){return ae.create("vs/workbench/api/common/extHostStatusBar",e)}),define(we[132],Ee([17,18]),function(ae,e){return ae.create("vs/workbench/api/common/extHostTerminalService",e)}),define(we[133],Ee([17,18]),function(ae,e){return ae.create("vs/workbench/api/common/extHostTreeViews",e)}),define(we[134],Ee([17,18]),function(ae,e){return ae.create("vs/workbench/api/common/extHostWorkspace",e)}),define(we[135],Ee([17,18]),function(ae,e){return ae.create("vs/workbench/common/views",e)}),define(we[136],Ee([17,18]),function(ae,e){return ae.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(we[137],Ee([17,18]),function(ae,e){return ae.create("vs/workbench/contrib/search/common/queryBuilder",e)}),define(we[138],Ee([17,18]),function(ae,e){return ae.create("vs/workbench/contrib/tasks/common/taskService",e)}),define(we[139],Ee([17,18]),function(ae,e){return ae.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(we[140],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextEditorSelectionRevealType=e.EditorOpenContext=e.EditorOverride=e.EditorActivation=void 0;var _;(function(E){E[E.ACTIVATE=0]="ACTIVATE",E[E.RESTORE=1]="RESTORE",E[E.PRESERVE=2]="PRESERVE"})(_=e.EditorActivation||(e.EditorActivation={}));var S;(function(E){E[E.PICK=1]="PICK",E[E.DISABLED=2]="DISABLED"})(S=e.EditorOverride||(e.EditorOverride={}));var T;(function(E){E[E.API=0]="API",E[E.USER=1]="USER"})(T=e.EditorOpenContext||(e.EditorOpenContext={}));var P;(function(E){E[E.Center=0]="Center",E[E.CenterIfOutsideViewport=1]="CenterIfOutsideViewport",E[E.NearTop=2]="NearTop",E[E.NearTopIfOutsideViewport=3]="NearTopIfOutsideViewport"})(P=e.TextEditorSelectionRevealType||(e.TextEditorSelectionRevealType={}))}),define(we[86],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createSyncDescriptor=e.SyncDescriptor=void 0;class _{constructor(P,E=[],k=!1){this.ctor=P,this.staticArguments=E,this.supportsDelayedInstantiation=k}}e.SyncDescriptor=_;const S=(T,...P)=>new _(T,P);e.createSyncDescriptor=S}),define(we[62],Ee([0,1,86]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const S=[];function T(E,k,D){k instanceof _.SyncDescriptor||(k=new _.SyncDescriptor(k,[],D)),S.push([E,k])}e.registerSingleton=T;function P(){return S}e.getSingletonServiceDescriptors=P}),define(we[141],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class _{constructor(P){this.incoming=new Map,this.outgoing=new Map,this.data=P}}e.Node=_;class S{constructor(P){this._hashFn=P,this._nodes=new Map}roots(){const P=[];for(let E of this._nodes.values())E.outgoing.size===0&&P.push(E);return P}insertEdge(P,E){const k=this.lookupOrInsertNode(P),D=this.lookupOrInsertNode(E);k.outgoing.set(this._hashFn(E),D),D.incoming.set(this._hashFn(P),k)}removeNode(P){const E=this._hashFn(P);this._nodes.delete(E);for(let k of this._nodes.values())k.outgoing.delete(E),k.incoming.delete(E)}lookupOrInsertNode(P){const E=this._hashFn(P);let k=this._nodes.get(E);return k||(k=new _(P),this._nodes.set(E,k)),k}lookup(P){return this._nodes.get(this._hashFn(P))}isEmpty(){return this._nodes.size===0}toString(){let P=[];for(let[E,k]of this._nodes)P.push(`${E}, (incoming)[${[...k.incoming.keys()].join(", ")}], (outgoing)[${[...k.outgoing.keys()].join(",")}]`);return P.join(`
`)}}e.Graph=S}),define(we[4],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.optional=e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var _;(function(k){k.serviceIds=new Map,k.DI_TARGET="$di$target",k.DI_DEPENDENCIES="$di$dependencies";function D(n){return n[k.DI_DEPENDENCIES]||[]}k.getServiceDependencies=D})(_=e._util||(e._util={})),e.IInstantiationService=T("instantiationService");function S(k,D,n,A){D[_.DI_TARGET]===D?D[_.DI_DEPENDENCIES].push({id:k,index:n,optional:A}):(D[_.DI_DEPENDENCIES]=[{id:k,index:n,optional:A}],D[_.DI_TARGET]=D)}function T(k){if(_.serviceIds.has(k))return _.serviceIds.get(k);const D=function(n,A,C){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");S(D,n,C,!1)};return D.toString=()=>k,_.serviceIds.set(k,D),D}e.createDecorator=T;function P(k){return k}e.refineServiceDecorator=P;function E(k){return function(D,n,A){if(arguments.length!==3)throw new Error("@optional-decorator can only be used to decorate a parameter");S(k,D,A,!0)}}e.optional=E}),define(we[142],Ee([0,1,4]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shouldSynchronizeModel=e.IModelService=void 0,e.IModelService=(0,_.createDecorator)("modelService");function S(T){return!T.isTooLargeForSyncing()&&!T.isForSimpleWidget}e.shouldSynchronizeModel=S}),define(we[143],Ee([0,1,3,56,6,22,78,60,142]),function(ae,e,_,S,T,P,E,k,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguageFeatureRequestDelays=e.LanguageFeatureRegistry=void 0;function n(v){return typeof v=="string"?!1:Array.isArray(v)?v.every(n):!!v.exclusive}class A{constructor(){this._clock=0,this._entries=[],this._onDidChange=new _.Emitter}get onDidChange(){return this._onDidChange.event}register(d,s){let h={selector:d,provider:s,_score:-1,_time:this._clock++};return this._entries.push(h),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),(0,T.toDisposable)(()=>{if(h){let p=this._entries.indexOf(h);p>=0&&(this._entries.splice(p,1),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),h=void 0)}})}has(d){return this.all(d).length>0}all(d){if(!d)return[];this._updateScores(d);const s=[];for(let h of this._entries)h._score>0&&s.push(h.provider);return s}ordered(d){const s=[];return this._orderedForEach(d,h=>s.push(h.provider)),s}orderedGroups(d){const s=[];let h,p;return this._orderedForEach(d,g=>{h&&p===g._score?h.push(g.provider):(p=g._score,h=[g.provider],s.push(h))}),s}_orderedForEach(d,s){if(!!d){this._updateScores(d);for(const h of this._entries)h._score>0&&s(h)}}_updateScores(d){let s={uri:d.uri.toString(),language:d.getLanguageIdentifier().language};if(!(this._lastCandidate&&this._lastCandidate.language===s.language&&this._lastCandidate.uri===s.uri)){this._lastCandidate=s;for(let h of this._entries)if(h._score=(0,k.score)(h.selector,d.uri,d.getLanguageIdentifier().language,(0,D.shouldSynchronizeModel)(d)),n(h.selector)&&h._score>0){for(let p of this._entries)p._score=0;h._score=1e3;break}this._entries.sort(A._compareByScoreAndTime)}}static _compareByScoreAndTime(d,s){return d._score<s._score?1:d._score>s._score?-1:d._time<s._time?1:d._time>s._time?-1:0}}e.LanguageFeatureRegistry=A;class C{constructor(d,s,h=Number.MAX_SAFE_INTEGER){this._registry=d,this.min=s,this.max=h,this._cache=new P.LRUCache(50,.7)}_key(d){return d.id+(0,S.hash)(this._registry.all(d))}_clamp(d){return d===void 0?this.min:Math.min(this.max,Math.max(this.min,Math.floor(d*1.3)))}get(d){const s=this._key(d),h=this._cache.get(s);return this._clamp(h==null?void 0:h.value)}update(d,s){const h=this._key(d);let p=this._cache.get(h);return p||(p=new E.MovingAverage,this._cache.set(h,p)),p.update(s),this.get(d)}}e.LanguageFeatureRequestDelays=C}),define(we[63],Ee([0,1,2,32,143,116,37]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.TokenizationRegistry=e.DocumentRangeSemanticTokensProviderRegistry=e.DocumentSemanticTokensProviderRegistry=e.FoldingRangeProviderRegistry=e.SelectionRangeRegistry=e.ColorProviderRegistry=e.LinkProviderRegistry=e.OnTypeFormattingEditProviderRegistry=e.DocumentRangeFormattingEditProviderRegistry=e.DocumentFormattingEditProviderRegistry=e.CodeActionProviderRegistry=e.InlineHintsProviderRegistry=e.CodeLensProviderRegistry=e.TypeDefinitionProviderRegistry=e.ImplementationProviderRegistry=e.DeclarationProviderRegistry=e.DefinitionProviderRegistry=e.LinkedEditingRangeProviderRegistry=e.DocumentHighlightProviderRegistry=e.DocumentSymbolProviderRegistry=e.InlineValuesProviderRegistry=e.EvaluatableExpressionProviderRegistry=e.HoverProviderRegistry=e.SignatureHelpProviderRegistry=e.CompletionProviderRegistry=e.RenameProviderRegistry=e.ReferenceProviderRegistry=e.InlineHintKind=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.isLocationLink=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.completionKindFromString=e.completionKindToCssClass=e.CompletionItemKind=e.TokenMetadata=e.MetadataConsts=e.StandardTokenType=e.ColorId=e.FontStyle=e.LanguageIdentifier=e.LanguageId=void 0;var k;(function(m){m[m.Null=0]="Null",m[m.PlainText=1]="PlainText"})(k=e.LanguageId||(e.LanguageId={}));class D{constructor(w,R){this.language=w,this.id=R}}e.LanguageIdentifier=D;var n;(function(m){m[m.NotSet=-1]="NotSet",m[m.None=0]="None",m[m.Italic=1]="Italic",m[m.Bold=2]="Bold",m[m.Underline=4]="Underline"})(n=e.FontStyle||(e.FontStyle={}));var A;(function(m){m[m.None=0]="None",m[m.DefaultForeground=1]="DefaultForeground",m[m.DefaultBackground=2]="DefaultBackground"})(A=e.ColorId||(e.ColorId={}));var C;(function(m){m[m.Other=0]="Other",m[m.Comment=1]="Comment",m[m.String=2]="String",m[m.RegEx=4]="RegEx"})(C=e.StandardTokenType||(e.StandardTokenType={}));var v;(function(m){m[m.LANGUAGEID_MASK=255]="LANGUAGEID_MASK",m[m.TOKEN_TYPE_MASK=1792]="TOKEN_TYPE_MASK",m[m.FONT_STYLE_MASK=14336]="FONT_STYLE_MASK",m[m.FOREGROUND_MASK=8372224]="FOREGROUND_MASK",m[m.BACKGROUND_MASK=4286578688]="BACKGROUND_MASK",m[m.ITALIC_MASK=2048]="ITALIC_MASK",m[m.BOLD_MASK=4096]="BOLD_MASK",m[m.UNDERLINE_MASK=8192]="UNDERLINE_MASK",m[m.SEMANTIC_USE_ITALIC=1]="SEMANTIC_USE_ITALIC",m[m.SEMANTIC_USE_BOLD=2]="SEMANTIC_USE_BOLD",m[m.SEMANTIC_USE_UNDERLINE=4]="SEMANTIC_USE_UNDERLINE",m[m.SEMANTIC_USE_FOREGROUND=8]="SEMANTIC_USE_FOREGROUND",m[m.SEMANTIC_USE_BACKGROUND=16]="SEMANTIC_USE_BACKGROUND",m[m.LANGUAGEID_OFFSET=0]="LANGUAGEID_OFFSET",m[m.TOKEN_TYPE_OFFSET=8]="TOKEN_TYPE_OFFSET",m[m.FONT_STYLE_OFFSET=11]="FONT_STYLE_OFFSET",m[m.FOREGROUND_OFFSET=14]="FOREGROUND_OFFSET",m[m.BACKGROUND_OFFSET=23]="BACKGROUND_OFFSET"})(v=e.MetadataConsts||(e.MetadataConsts={}));class d{static getLanguageId(w){return(w&255)>>>0}static getTokenType(w){return(w&1792)>>>8}static getFontStyle(w){return(w&14336)>>>11}static getForeground(w){return(w&8372224)>>>14}static getBackground(w){return(w&4286578688)>>>23}static getClassNameFromMetadata(w){let R=this.getForeground(w),F="mtk"+R,W=this.getFontStyle(w);return W&1&&(F+=" mtki"),W&2&&(F+=" mtkb"),W&4&&(F+=" mtku"),F}static getInlineStyleFromMetadata(w,R){const F=this.getForeground(w),W=this.getFontStyle(w);let oe=`color: ${R[F]};`;return W&1&&(oe+="font-style: italic;"),W&2&&(oe+="font-weight: bold;"),W&4&&(oe+="text-decoration: underline;"),oe}}e.TokenMetadata=d;var s;(function(m){m[m.Method=0]="Method",m[m.Function=1]="Function",m[m.Constructor=2]="Constructor",m[m.Field=3]="Field",m[m.Variable=4]="Variable",m[m.Class=5]="Class",m[m.Struct=6]="Struct",m[m.Interface=7]="Interface",m[m.Module=8]="Module",m[m.Property=9]="Property",m[m.Event=10]="Event",m[m.Operator=11]="Operator",m[m.Unit=12]="Unit",m[m.Value=13]="Value",m[m.Constant=14]="Constant",m[m.Enum=15]="Enum",m[m.EnumMember=16]="EnumMember",m[m.Keyword=17]="Keyword",m[m.Text=18]="Text",m[m.Color=19]="Color",m[m.File=20]="File",m[m.Reference=21]="Reference",m[m.Customcolor=22]="Customcolor",m[m.Folder=23]="Folder",m[m.TypeParameter=24]="TypeParameter",m[m.User=25]="User",m[m.Issue=26]="Issue",m[m.Snippet=27]="Snippet"})(s=e.CompletionItemKind||(e.CompletionItemKind={})),e.completionKindToCssClass=function(){let m=Object.create(null);return m[0]="symbol-method",m[1]="symbol-function",m[2]="symbol-constructor",m[3]="symbol-field",m[4]="symbol-variable",m[5]="symbol-class",m[6]="symbol-struct",m[7]="symbol-interface",m[8]="symbol-module",m[9]="symbol-property",m[10]="symbol-event",m[11]="symbol-operator",m[12]="symbol-unit",m[13]="symbol-value",m[14]="symbol-constant",m[15]="symbol-enum",m[16]="symbol-enum-member",m[17]="symbol-keyword",m[27]="symbol-snippet",m[18]="symbol-text",m[19]="symbol-color",m[20]="symbol-file",m[21]="symbol-reference",m[22]="symbol-customcolor",m[23]="symbol-folder",m[24]="symbol-type-parameter",m[25]="account",m[26]="issues",function(w){const R=m[w];let F=R&&E.iconRegistry.get(R);return F||(console.info("No codicon found for CompletionItemKind "+w),F=E.Codicon.symbolProperty),F.classNames}}(),e.completionKindFromString=function(){let m=Object.create(null);return m.method=0,m.function=1,m.constructor=2,m.field=3,m.variable=4,m.class=5,m.struct=6,m.interface=7,m.module=8,m.property=9,m.event=10,m.operator=11,m.unit=12,m.value=13,m.constant=14,m.enum=15,m["enum-member"]=16,m.enumMember=16,m.keyword=17,m.snippet=27,m.text=18,m.color=19,m.file=20,m.reference=21,m.customcolor=22,m.folder=23,m["type-parameter"]=24,m.typeParameter=24,m.account=25,m.issue=26,function(w,R){let F=m[w];return typeof F=="undefined"&&!R&&(F=9),F}}();var h;(function(m){m[m.Deprecated=1]="Deprecated"})(h=e.CompletionItemTag||(e.CompletionItemTag={}));var p;(function(m){m[m.KeepWhitespace=1]="KeepWhitespace",m[m.InsertAsSnippet=4]="InsertAsSnippet"})(p=e.CompletionItemInsertTextRule||(e.CompletionItemInsertTextRule={}));var g;(function(m){m[m.Invoke=0]="Invoke",m[m.TriggerCharacter=1]="TriggerCharacter",m[m.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(g=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var b;(function(m){m[m.Auto=1]="Auto",m[m.Manual=2]="Manual"})(b=e.CodeActionTriggerType||(e.CodeActionTriggerType={}));var c;(function(m){m[m.Invoke=1]="Invoke",m[m.TriggerCharacter=2]="TriggerCharacter",m[m.ContentChange=3]="ContentChange"})(c=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var u;(function(m){m[m.Text=0]="Text",m[m.Read=1]="Read",m[m.Write=2]="Write"})(u=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));function a(m){return m&&_.URI.isUri(m.uri)&&S.Range.isIRange(m.range)&&(S.Range.isIRange(m.originSelectionRange)||S.Range.isIRange(m.targetSelectionRange))}e.isLocationLink=a;var t;(function(m){m[m.File=0]="File",m[m.Module=1]="Module",m[m.Namespace=2]="Namespace",m[m.Package=3]="Package",m[m.Class=4]="Class",m[m.Method=5]="Method",m[m.Property=6]="Property",m[m.Field=7]="Field",m[m.Constructor=8]="Constructor",m[m.Enum=9]="Enum",m[m.Interface=10]="Interface",m[m.Function=11]="Function",m[m.Variable=12]="Variable",m[m.Constant=13]="Constant",m[m.String=14]="String",m[m.Number=15]="Number",m[m.Boolean=16]="Boolean",m[m.Array=17]="Array",m[m.Object=18]="Object",m[m.Key=19]="Key",m[m.Null=20]="Null",m[m.EnumMember=21]="EnumMember",m[m.Struct=22]="Struct",m[m.Event=23]="Event",m[m.Operator=24]="Operator",m[m.TypeParameter=25]="TypeParameter"})(t=e.SymbolKind||(e.SymbolKind={}));var r;(function(m){m[m.Deprecated=1]="Deprecated"})(r=e.SymbolTag||(e.SymbolTag={}));var o;(function(m){const w=new Map;w.set("file",0),w.set("module",1),w.set("namespace",2),w.set("package",3),w.set("class",4),w.set("method",5),w.set("property",6),w.set("field",7),w.set("constructor",8),w.set("enum",9),w.set("interface",10),w.set("function",11),w.set("variable",12),w.set("constant",13),w.set("string",14),w.set("number",15),w.set("boolean",16),w.set("array",17),w.set("object",18),w.set("key",19),w.set("null",20),w.set("enum-member",21),w.set("struct",22),w.set("event",23),w.set("operator",24),w.set("type-parameter",25);const R=new Map;R.set(0,"file"),R.set(1,"module"),R.set(2,"namespace"),R.set(3,"package"),R.set(4,"class"),R.set(5,"method"),R.set(6,"property"),R.set(7,"field"),R.set(8,"constructor"),R.set(9,"enum"),R.set(10,"interface"),R.set(11,"function"),R.set(12,"variable"),R.set(13,"constant"),R.set(14,"string"),R.set(15,"number"),R.set(16,"boolean"),R.set(17,"array"),R.set(18,"object"),R.set(19,"key"),R.set(20,"null"),R.set(21,"enum-member"),R.set(22,"struct"),R.set(23,"event"),R.set(24,"operator"),R.set(25,"type-parameter");function F(ie){return w.get(ie)}m.fromString=F;function W(ie){return R.get(ie)}m.toString=W;function oe(ie,j){const ee=R.get(ie);let M=ee&&E.iconRegistry.get("symbol-"+ee);return M||(console.info("No codicon found for SymbolKind "+ie),M=E.Codicon.symbolProperty),`${j?"inline":"block"} ${M.classNames}`}m.toCssClassName=oe})(o=e.SymbolKinds||(e.SymbolKinds={}));class l{constructor(w){this.value=w}}e.FoldingRangeKind=l,l.Comment=new l("comment"),l.Imports=new l("imports"),l.Region=new l("region");var i;(function(m){m[m.Collapsed=0]="Collapsed",m[m.Expanded=1]="Expanded"})(i=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var f;(function(m){m[m.Editing=0]="Editing",m[m.Preview=1]="Preview"})(f=e.CommentMode||(e.CommentMode={}));var y;(function(m){m[m.Other=0]="Other",m[m.Type=1]="Type",m[m.Parameter=2]="Parameter"})(y=e.InlineHintKind||(e.InlineHintKind={})),e.ReferenceProviderRegistry=new T.LanguageFeatureRegistry,e.RenameProviderRegistry=new T.LanguageFeatureRegistry,e.CompletionProviderRegistry=new T.LanguageFeatureRegistry,e.SignatureHelpProviderRegistry=new T.LanguageFeatureRegistry,e.HoverProviderRegistry=new T.LanguageFeatureRegistry,e.EvaluatableExpressionProviderRegistry=new T.LanguageFeatureRegistry,e.InlineValuesProviderRegistry=new T.LanguageFeatureRegistry,e.DocumentSymbolProviderRegistry=new T.LanguageFeatureRegistry,e.DocumentHighlightProviderRegistry=new T.LanguageFeatureRegistry,e.LinkedEditingRangeProviderRegistry=new T.LanguageFeatureRegistry,e.DefinitionProviderRegistry=new T.LanguageFeatureRegistry,e.DeclarationProviderRegistry=new T.LanguageFeatureRegistry,e.ImplementationProviderRegistry=new T.LanguageFeatureRegistry,e.TypeDefinitionProviderRegistry=new T.LanguageFeatureRegistry,e.CodeLensProviderRegistry=new T.LanguageFeatureRegistry,e.InlineHintsProviderRegistry=new T.LanguageFeatureRegistry,e.CodeActionProviderRegistry=new T.LanguageFeatureRegistry,e.DocumentFormattingEditProviderRegistry=new T.LanguageFeatureRegistry,e.DocumentRangeFormattingEditProviderRegistry=new T.LanguageFeatureRegistry,e.OnTypeFormattingEditProviderRegistry=new T.LanguageFeatureRegistry,e.LinkProviderRegistry=new T.LanguageFeatureRegistry,e.ColorProviderRegistry=new T.LanguageFeatureRegistry,e.SelectionRangeRegistry=new T.LanguageFeatureRegistry,e.FoldingRangeProviderRegistry=new T.LanguageFeatureRegistry,e.DocumentSemanticTokensProviderRegistry=new T.LanguageFeatureRegistry,e.DocumentRangeSemanticTokensProviderRegistry=new T.LanguageFeatureRegistry,e.TokenizationRegistry=new P.TokenizationRegistryImpl;var I;(function(m){m[m.None=0]="None",m[m.Option=1]="Option",m[m.Default=2]="Default",m[m.Preferred=3]="Preferred"})(I=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}))}),define(we[144],Ee([0,1,6,12,4,3,47,54]),function(ae,e,_,S,T,P,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullCommandService=e.CommandsRegistry=e.ICommandService=void 0,e.ICommandService=(0,T.createDecorator)("commandService"),e.CommandsRegistry=new class{constructor(){this._commands=new Map,this._onDidRegisterCommand=new P.Emitter,this.onDidRegisterCommand=this._onDidRegisterCommand.event}registerCommand(D,n){if(!D)throw new Error("invalid command");if(typeof D=="string"){if(!n)throw new Error("invalid command");return this.registerCommand({id:D,handler:n})}if(D.description){const s=[];for(let p of D.description.args)s.push(p.constraint);const h=D.handler;D.handler=function(p,...g){return(0,S.validateConstraints)(g,s),h(p,...g)}}const{id:A}=D;let C=this._commands.get(A);C||(C=new E.LinkedList,this._commands.set(A,C));let v=C.unshift(D),d=(0,_.toDisposable)(()=>{v();const s=this._commands.get(A);(s==null?void 0:s.isEmpty())&&this._commands.delete(A)});return this._onDidRegisterCommand.fire(A),d}registerCommandAlias(D,n){return e.CommandsRegistry.registerCommand(D,(A,...C)=>A.get(e.ICommandService).executeCommand(n,...C))}getCommand(D){const n=this._commands.get(D);if(!(!n||n.isEmpty()))return k.Iterable.first(n)}getCommands(){const D=new Map;for(const n of this._commands.keys()){const A=this.getCommand(n);A&&D.set(n,A)}return D}},e.NullCommandService={_serviceBrand:void 0,onWillExecuteCommand:()=>_.Disposable.None,onDidExecuteCommand:()=>_.Disposable.None,executeCommand(){return Promise.resolve(void 0)}}}),define(we[64],Ee([0,1,8,4,21]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyOrExpr=e.ContextKeyAndExpr=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.ContextKeyExpr=e.ContextKeyExprType=void 0;let P=T.userAgent||"";const E=new Map;E.set("false",!1),E.set("true",!0),E.set("isMac",T.isMacintosh),E.set("isLinux",T.isLinux),E.set("isWindows",T.isWindows),E.set("isWeb",T.isWeb),E.set("isMacNative",T.isMacintosh&&!T.isWeb),E.set("isEdge",P.indexOf("Edg/")>=0),E.set("isFirefox",P.indexOf("Firefox")>=0),E.set("isChrome",P.indexOf("Chrome")>=0),E.set("isSafari",P.indexOf("Safari")>=0),E.set("isIPad",P.indexOf("iPad")>=0);const k=Object.prototype.hasOwnProperty;var D;(function(m){m[m.False=0]="False",m[m.True=1]="True",m[m.Defined=2]="Defined",m[m.Not=3]="Not",m[m.Equals=4]="Equals",m[m.NotEquals=5]="NotEquals",m[m.And=6]="And",m[m.Regex=7]="Regex",m[m.NotRegex=8]="NotRegex",m[m.Or=9]="Or",m[m.In=10]="In",m[m.NotIn=11]="NotIn",m[m.Greater=12]="Greater",m[m.GreaterEquals=13]="GreaterEquals",m[m.Smaller=14]="Smaller",m[m.SmallerEquals=15]="SmallerEquals"})(D=e.ContextKeyExprType||(e.ContextKeyExprType={}));class n{static false(){return C.INSTANCE}static true(){return v.INSTANCE}static has(w){return d.create(w)}static equals(w,R){return s.create(w,R)}static notEquals(w,R){return g.create(w,R)}static regex(w,R){return r.create(w,R)}static in(w,R){return h.create(w,R)}static not(w){return b.create(w)}static and(...w){return l.create(w)}static or(...w){return i.create(w)}static greater(w,R){return c.create(w,R)}static less(w,R){return a.create(w,R)}static deserialize(w,R=!1){if(!!w)return this._deserializeOrExpression(w,R)}static _deserializeOrExpression(w,R){let F=w.split("||");return i.create(F.map(W=>this._deserializeAndExpression(W,R)))}static _deserializeAndExpression(w,R){let F=w.split("&&");return l.create(F.map(W=>this._deserializeOne(W,R)))}static _deserializeOne(w,R){if(w=w.trim(),w.indexOf("!=")>=0){let F=w.split("!=");return g.create(F[0].trim(),this._deserializeValue(F[1],R))}if(w.indexOf("==")>=0){let F=w.split("==");return s.create(F[0].trim(),this._deserializeValue(F[1],R))}if(w.indexOf("=~")>=0){let F=w.split("=~");return r.create(F[0].trim(),this._deserializeRegexValue(F[1],R))}if(w.indexOf(" in ")>=0){let F=w.split(" in ");return h.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(w)){const F=w.split(">=");return u.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(w)){const F=w.split(">");return c.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(w)){const F=w.split("<=");return t.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(w)){const F=w.split("<");return a.create(F[0].trim(),F[1].trim())}return/^\!\s*/.test(w)?b.create(w.substr(1).trim()):d.create(w)}static _deserializeValue(w,R){if(w=w.trim(),w==="true")return!0;if(w==="false")return!1;let F=/^'([^']*)'$/.exec(w);return F?F[1].trim():w}static _deserializeRegexValue(w,R){if((0,_.isFalsyOrWhitespace)(w)){if(R)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let F=w.indexOf("/"),W=w.lastIndexOf("/");if(F===W||F<0){if(R)throw new Error(`bad regexp-value '${w}', missing /-enclosure`);return console.warn(`bad regexp-value '${w}', missing /-enclosure`),null}let oe=w.slice(F+1,W),ie=w[W+1]==="i"?"i":"";try{return new RegExp(oe,ie)}catch(j){if(R)throw new Error(`bad regexp-value '${w}', parse error: ${j}`);return console.warn(`bad regexp-value '${w}', parse error: ${j}`),null}}}e.ContextKeyExpr=n;function A(m,w){return m.cmp(w)}class C{constructor(){this.type=0}cmp(w){return this.type-w.type}equals(w){return w.type===this.type}evaluate(w){return!1}serialize(){return"false"}keys(){return[]}map(w){return this}negate(){return v.INSTANCE}}e.ContextKeyFalseExpr=C,C.INSTANCE=new C;class v{constructor(){this.type=1}cmp(w){return this.type-w.type}equals(w){return w.type===this.type}evaluate(w){return!0}serialize(){return"true"}keys(){return[]}map(w){return this}negate(){return C.INSTANCE}}e.ContextKeyTrueExpr=v,v.INSTANCE=new v;class d{constructor(w){this.key=w,this.type=2}static create(w){const R=E.get(w);return typeof R=="boolean"?R?v.INSTANCE:C.INSTANCE:new d(w)}cmp(w){return w.type!==this.type?this.type-w.type:y(this.key,w.key)}equals(w){return w.type===this.type?this.key===w.key:!1}evaluate(w){return!!w.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(w){return w.mapDefined(this.key)}negate(){return b.create(this.key)}}e.ContextKeyDefinedExpr=d;class s{constructor(w,R){this.key=w,this.value=R,this.type=4}static create(w,R){if(typeof R=="boolean")return R?d.create(w):b.create(w);const F=E.get(w);return typeof F=="boolean"?R===(F?"true":"false")?v.INSTANCE:C.INSTANCE:new s(w,R)}cmp(w){return w.type!==this.type?this.type-w.type:I(this.key,this.value,w.key,w.value)}equals(w){return w.type===this.type?this.key===w.key&&this.value===w.value:!1}evaluate(w){return w.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(w){return w.mapEquals(this.key,this.value)}negate(){return g.create(this.key,this.value)}}e.ContextKeyEqualsExpr=s;class h{constructor(w,R){this.key=w,this.valueKey=R,this.type=10}static create(w,R){return new h(w,R)}cmp(w){return w.type!==this.type?this.type-w.type:I(this.key,this.valueKey,w.key,w.valueKey)}equals(w){return w.type===this.type?this.key===w.key&&this.valueKey===w.valueKey:!1}evaluate(w){const R=w.getValue(this.valueKey),F=w.getValue(this.key);return Array.isArray(R)?R.indexOf(F)>=0:typeof F=="string"&&typeof R=="object"&&R!==null?k.call(R,F):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(w){return w.mapIn(this.key,this.valueKey)}negate(){return p.create(this)}}e.ContextKeyInExpr=h;class p{constructor(w){this._actual=w,this.type=11}static create(w){return new p(w)}cmp(w){return w.type!==this.type?this.type-w.type:this._actual.cmp(w._actual)}equals(w){return w.type===this.type?this._actual.equals(w._actual):!1}evaluate(w){return!this._actual.evaluate(w)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(w){return new p(this._actual.map(w))}negate(){return this._actual}}e.ContextKeyNotInExpr=p;class g{constructor(w,R){this.key=w,this.value=R,this.type=5}static create(w,R){if(typeof R=="boolean")return R?b.create(w):d.create(w);const F=E.get(w);return typeof F=="boolean"?R===(F?"true":"false")?C.INSTANCE:v.INSTANCE:new g(w,R)}cmp(w){return w.type!==this.type?this.type-w.type:I(this.key,this.value,w.key,w.value)}equals(w){return w.type===this.type?this.key===w.key&&this.value===w.value:!1}evaluate(w){return w.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(w){return w.mapNotEquals(this.key,this.value)}negate(){return s.create(this.key,this.value)}}e.ContextKeyNotEqualsExpr=g;class b{constructor(w){this.key=w,this.type=3}static create(w){const R=E.get(w);return typeof R=="boolean"?R?C.INSTANCE:v.INSTANCE:new b(w)}cmp(w){return w.type!==this.type?this.type-w.type:y(this.key,w.key)}equals(w){return w.type===this.type?this.key===w.key:!1}evaluate(w){return!w.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(w){return w.mapNot(this.key)}negate(){return d.create(this.key)}}e.ContextKeyNotExpr=b;class c{constructor(w,R){this.key=w,this.value=R,this.type=12}static create(w,R){return new c(w,R)}cmp(w){return w.type!==this.type?this.type-w.type:I(this.key,this.value,w.key,w.value)}equals(w){return w.type===this.type?this.key===w.key&&this.value===w.value:!1}evaluate(w){return parseFloat(w.getValue(this.key))>parseFloat(this.value)}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(w){return w.mapGreater(this.key,this.value)}negate(){return t.create(this.key,this.value)}}e.ContextKeyGreaterExpr=c;class u{constructor(w,R){this.key=w,this.value=R,this.type=13}static create(w,R){return new u(w,R)}cmp(w){return w.type!==this.type?this.type-w.type:I(this.key,this.value,w.key,w.value)}equals(w){return w.type===this.type?this.key===w.key&&this.value===w.value:!1}evaluate(w){return parseFloat(w.getValue(this.key))>=parseFloat(this.value)}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(w){return w.mapGreaterEquals(this.key,this.value)}negate(){return a.create(this.key,this.value)}}e.ContextKeyGreaterEqualsExpr=u;class a{constructor(w,R){this.key=w,this.value=R,this.type=14}static create(w,R){return new a(w,R)}cmp(w){return w.type!==this.type?this.type-w.type:I(this.key,this.value,w.key,w.value)}equals(w){return w.type===this.type?this.key===w.key&&this.value===w.value:!1}evaluate(w){return parseFloat(w.getValue(this.key))<parseFloat(this.value)}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(w){return w.mapSmaller(this.key,this.value)}negate(){return u.create(this.key,this.value)}}e.ContextKeySmallerExpr=a;class t{constructor(w,R){this.key=w,this.value=R,this.type=15}static create(w,R){return new t(w,R)}cmp(w){return w.type!==this.type?this.type-w.type:I(this.key,this.value,w.key,w.value)}equals(w){return w.type===this.type?this.key===w.key&&this.value===w.value:!1}evaluate(w){return parseFloat(w.getValue(this.key))<=parseFloat(this.value)}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(w){return w.mapSmallerEquals(this.key,this.value)}negate(){return c.create(this.key,this.value)}}e.ContextKeySmallerEqualsExpr=t;class r{constructor(w,R){this.key=w,this.regexp=R,this.type=7}static create(w,R){return new r(w,R)}cmp(w){if(w.type!==this.type)return this.type-w.type;if(this.key<w.key)return-1;if(this.key>w.key)return 1;const R=this.regexp?this.regexp.source:"",F=w.regexp?w.regexp.source:"";return R<F?-1:R>F?1:0}equals(w){if(w.type===this.type){const R=this.regexp?this.regexp.source:"",F=w.regexp?w.regexp.source:"";return this.key===w.key&&R===F}return!1}evaluate(w){let R=w.getValue(this.key);return this.regexp?this.regexp.test(R):!1}serialize(){const w=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${w}`}keys(){return[this.key]}map(w){return w.mapRegex(this.key,this.regexp)}negate(){return o.create(this)}}e.ContextKeyRegexExpr=r;class o{constructor(w){this._actual=w,this.type=8}static create(w){return new o(w)}cmp(w){return w.type!==this.type?this.type-w.type:this._actual.cmp(w._actual)}equals(w){return w.type===this.type?this._actual.equals(w._actual):!1}evaluate(w){return!this._actual.evaluate(w)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(w){return new o(this._actual.map(w))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=o;class l{constructor(w){this.expr=w,this.type=6}static create(w){return l._normalizeArr(w)}cmp(w){if(w.type!==this.type)return this.type-w.type;if(this.expr.length<w.expr.length)return-1;if(this.expr.length>w.expr.length)return 1;for(let R=0,F=this.expr.length;R<F;R++){const W=A(this.expr[R],w.expr[R]);if(W!==0)return W}return 0}equals(w){if(w.type===this.type){if(this.expr.length!==w.expr.length)return!1;for(let R=0,F=this.expr.length;R<F;R++)if(!this.expr[R].equals(w.expr[R]))return!1;return!0}return!1}evaluate(w){for(let R=0,F=this.expr.length;R<F;R++)if(!this.expr[R].evaluate(w))return!1;return!0}static _normalizeArr(w){const R=[];let F=!1;for(const W of w)if(!!W){if(W.type===1){F=!0;continue}if(W.type===0)return C.INSTANCE;if(W.type===6){R.push(...W.expr);continue}R.push(W)}if(R.length===0&&F)return v.INSTANCE;if(R.length!==0){if(R.length===1)return R[0];for(R.sort(A);R.length>1;){const W=R[R.length-1];if(W.type!==9)break;R.pop();const oe=R.pop(),ie=i.create(W.expr.map(j=>l.create([j,oe])));ie&&(R.push(ie),R.sort(A))}return R.length===1?R[0]:new l(R)}}serialize(){return this.expr.map(w=>w.serialize()).join(" && ")}keys(){const w=[];for(let R of this.expr)w.push(...R.keys());return w}map(w){return new l(this.expr.map(R=>R.map(w)))}negate(){let w=[];for(let R of this.expr)w.push(R.negate());return i.create(w)}}e.ContextKeyAndExpr=l;class i{constructor(w){this.expr=w,this.type=9}static create(w){const R=i._normalizeArr(w);if(R.length!==0)return R.length===1?R[0]:new i(R)}cmp(w){if(w.type!==this.type)return this.type-w.type;if(this.expr.length<w.expr.length)return-1;if(this.expr.length>w.expr.length)return 1;for(let R=0,F=this.expr.length;R<F;R++){const W=A(this.expr[R],w.expr[R]);if(W!==0)return W}return 0}equals(w){if(w.type===this.type){if(this.expr.length!==w.expr.length)return!1;for(let R=0,F=this.expr.length;R<F;R++)if(!this.expr[R].equals(w.expr[R]))return!1;return!0}return!1}evaluate(w){for(let R=0,F=this.expr.length;R<F;R++)if(this.expr[R].evaluate(w))return!0;return!1}static _normalizeArr(w){let R=[],F=!1;if(w){for(let W=0,oe=w.length;W<oe;W++){const ie=w[W];if(!!ie){if(ie.type===0){F=!0;continue}if(ie.type===1)return[v.INSTANCE];if(ie.type===9){R=R.concat(ie.expr);continue}R.push(ie)}}if(R.length===0&&F)return[C.INSTANCE];R.sort(A)}return R}serialize(){return this.expr.map(w=>w.serialize()).join(" || ")}keys(){const w=[];for(let R of this.expr)w.push(...R.keys());return w}map(w){return new i(this.expr.map(R=>R.map(w)))}negate(){let w=[];for(let F of this.expr)w.push(F.negate());const R=F=>F.type===9?F.expr:[F];for(;w.length>1;){const F=w.shift(),W=w.shift(),oe=[];for(const ie of R(F))for(const j of R(W))oe.push(n.and(ie,j));w.unshift(n.or(...oe))}return w[0]}}e.ContextKeyOrExpr=i;class f extends d{constructor(w,R,F){super(w);this.key=w,this._defaultValue=R,typeof F=="object"?f._info.push(Object.assign(Object.assign({},F),{key:w})):F!==!0&&f._info.push({key:w,description:F,type:R!=null?typeof R:void 0})}static all(){return f._info.values()}bindTo(w){return w.createKey(this.key,this._defaultValue)}getValue(w){return w.getContextKeyValue(this.key)}toNegated(){return n.not(this.key)}isEqualTo(w){return n.equals(this.key,w)}notEqualsTo(w){return n.notEquals(this.key,w)}}e.RawContextKey=f,f._info=[],e.IContextKeyService=(0,S.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function y(m,w){return m<w?-1:m>w?1:0}function I(m,w,R,F){return m<R?-1:m>R?1:w<F?-1:w>F?1:0}}),define(we[145],Ee([0,1,4]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,_.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,_.refineServiceDecorator)(e.IEnvironmentService)}),define(we[25],Ee([0,1,8,4]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isAuthenticaionProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin";function T(n){return n&&typeof n=="object"&&typeof n.id=="string"&&(!n.uuid||typeof n.uuid=="string")}e.isIExtensionIdentifier=T,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var P;(function(n){n[n.System=0]="System",n[n.User=1]="User"})(P=e.ExtensionType||(e.ExtensionType={}));class E{constructor(A){this.value=A,this._lower=A.toLowerCase()}static equals(A,C){if(typeof A=="undefined"||A===null)return typeof C=="undefined"||C===null;if(typeof C=="undefined"||C===null)return!1;if(typeof A=="string"||typeof C=="string"){let v=typeof A=="string"?A:A.value,d=typeof C=="string"?C:C.value;return _.equalsIgnoreCase(v,d)}return A._lower===C._lower}static toKey(A){return typeof A=="string"?A.toLowerCase():A._lower}}e.ExtensionIdentifier=E;function k(n){return n.contributes&&n.contributes.localizations?n.contributes.localizations.length>0:!1}e.isLanguagePackExtension=k;function D(n){return n.contributes&&n.contributes.authentication?n.contributes.authentication.length>0:!1}e.isAuthenticaionProviderExtension=D,e.IBuiltinExtensionsScannerService=(0,S.createDecorator)("IBuiltinExtensionsScannerService")}),define(we[146],Ee([0,1,8,25]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function T(d,s){return d.uuid&&s.uuid?d.uuid===s.uuid:d.id===s.id?!0:(0,_.compareIgnoreCase)(d.id,s.id)===0}e.areSameExtensions=T;class P{constructor(s,h){this.version=h,this.id=s.id,this.uuid=s.uuid}key(){return`${this.id}-${this.version}`}equals(s){return s instanceof P?T(this,s)&&this.version===s.version:!1}}e.ExtensionIdentifierWithVersion=P;function E(d,s){return`${d}.${s}`}e.getExtensionId=E;function k(d){return d.toLocaleLowerCase()}e.adoptToGalleryExtensionId=k;function D(d,s){return k(E(d,s))}e.getGalleryExtensionId=D;function n(d,s){const h=[],p=g=>{for(const b of h)if(b.some(c=>T(s(c),s(g))))return b;return null};for(const g of d){const b=p(g);b?b.push(g):h.push([g])}return h}e.groupByExtension=n;function A(d){return{id:d.identifier.id,name:d.manifest.name,galleryId:null,publisherId:d.publisherId,publisherName:d.manifest.publisher,publisherDisplayName:d.publisherDisplayName,dependencies:d.manifest.extensionDependencies&&d.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=A;function C(d){return Object.assign({id:d.identifier.id,name:d.name,galleryId:d.identifier.uuid,publisherId:d.publisherId,publisherName:d.publisher,publisherDisplayName:d.publisherDisplayName,dependencies:!!(d.properties.dependencies&&d.properties.dependencies.length>0)},d.telemetryData)}e.getGalleryExtensionTelemetryData=C,e.BetterMergeId=new S.ExtensionIdentifier("pprice.better-merge");function v(d){const s=new Set;for(const h of d)h.malicious&&s.add(h.id.id);return s}e.getMaliciousExtensionsSet=v}),define(we[65],Ee([0,1,122,11,2,4,8,12,22]),function(ae,e,_,S,T,P,E,k,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FileType=e.IFileService=void 0,e.IFileService=(0,P.createDecorator)("fileService");var n;(function(F){F[F.Unknown=0]="Unknown",F[F.File=1]="File",F[F.Directory=2]="Directory",F[F.SymbolicLink=64]="SymbolicLink"})(n=e.FileType||(e.FileType={}));var A;(function(F){F[F.FileReadWrite=2]="FileReadWrite",F[F.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",F[F.FileReadStream=16]="FileReadStream",F[F.FileFolderCopy=8]="FileFolderCopy",F[F.PathCaseSensitive=1024]="PathCaseSensitive",F[F.Readonly=2048]="Readonly",F[F.Trash=4096]="Trash"})(A=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function C(F){return!!(F.capabilities&2)}e.hasReadWriteCapability=C;function v(F){return!!(F.capabilities&8)}e.hasFileFolderCopyCapability=v;function d(F){return!!(F.capabilities&4)}e.hasOpenReadWriteCloseCapability=d;function s(F){return!!(F.capabilities&16)}e.hasFileReadStreamCapability=s;var h;(function(F){F.FileExists="EntryExists",F.FileNotFound="EntryNotFound",F.FileNotADirectory="EntryNotADirectory",F.FileIsADirectory="EntryIsADirectory",F.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",F.FileTooLarge="EntryTooLarge",F.NoPermissions="NoPermissions",F.Unavailable="Unavailable",F.Unknown="Unknown"})(h=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class p extends Error{constructor(W,oe){super(W);this.code=oe}}e.FileSystemProviderError=p;function g(F,W){const oe=new p(F.toString(),W);return c(oe,W),oe}e.createFileSystemProviderError=g;function b(F){return F||g((0,_.localize)(0,null),h.Unknown)}e.ensureFileSystemProviderError=b;function c(F,W){return F.name=W?`${W} (FileSystemError)`:"FileSystemError",F}e.markAsFileSystemProviderError=c;function u(F){if(!F)return h.Unknown;if(F instanceof p)return F.code;const W=/^(.+) \(FileSystemError\)$/.exec(F.name);if(!W)return h.Unknown;switch(W[1]){case h.FileExists:return h.FileExists;case h.FileIsADirectory:return h.FileIsADirectory;case h.FileNotADirectory:return h.FileNotADirectory;case h.FileNotFound:return h.FileNotFound;case h.FileExceedsMemoryLimit:return h.FileExceedsMemoryLimit;case h.FileTooLarge:return h.FileTooLarge;case h.NoPermissions:return h.NoPermissions;case h.Unavailable:return h.Unavailable}return h.Unknown}e.toFileSystemProviderErrorCode=u;function a(F){if(F instanceof f)return F.fileOperationResult;switch(u(F)){case h.FileNotFound:return 1;case h.FileIsADirectory:return 0;case h.FileNotADirectory:return 10;case h.NoPermissions:return 6;case h.FileExists:return 4;case h.FileExceedsMemoryLimit:return 9;case h.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=a;var t;(function(F){F[F.CREATE=0]="CREATE",F[F.DELETE=1]="DELETE",F[F.MOVE=2]="MOVE",F[F.COPY=3]="COPY"})(t=e.FileOperation||(e.FileOperation={}));class r{constructor(W,oe,ie){this.resource=W,this.operation=oe,this.target=ie}isOperation(W){return this.operation===W}}e.FileOperationEvent=r;var o;(function(F){F[F.UPDATED=0]="UPDATED",F[F.ADDED=1]="ADDED",F[F.DELETED=2]="DELETED"})(o=e.FileChangeType||(e.FileChangeType={}));class l{constructor(W,oe){this.ignorePathCasing=oe,this.added=void 0,this.updated=void 0,this.deleted=void 0,this.changes=W;for(const ie of W)switch(ie.type){case 1:this.added||(this.added=D.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.added.set(ie.resource,ie);break;case 0:this.updated||(this.updated=D.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.updated.set(ie.resource,ie);break;case 2:this.deleted||(this.deleted=D.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.deleted.set(ie.resource,ie);break}}contains(W,...oe){return this.doContains(W,{includeChildren:!1},...oe)}affects(W,...oe){return this.doContains(W,{includeChildren:!0},...oe)}doContains(W,oe,...ie){var j,ee,M,x,$,q;if(!W)return!1;const U=ie.length>0;return!!((!U||ie.includes(1))&&(((j=this.added)===null||j===void 0?void 0:j.get(W))||oe.includeChildren&&((ee=this.added)===null||ee===void 0?void 0:ee.findSuperstr(W)))||(!U||ie.includes(0))&&(((M=this.updated)===null||M===void 0?void 0:M.get(W))||oe.includeChildren&&((x=this.updated)===null||x===void 0?void 0:x.findSuperstr(W)))||(!U||ie.includes(2))&&((($=this.deleted)===null||$===void 0?void 0:$.findSubstr(W))||oe.includeChildren&&((q=this.deleted)===null||q===void 0?void 0:q.findSuperstr(W))))}getAdded(){return this.getOfType(1)}gotAdded(){return!!this.added}getDeleted(){return this.getOfType(2)}gotDeleted(){return!!this.deleted}getUpdated(){return this.getOfType(0)}gotUpdated(){return!!this.updated}getOfType(W){const oe=[],ie=W===1?this.added:W===0?this.updated:this.deleted;if(ie)for(const[,j]of ie)oe.push(j);return oe}filter(W){return new l(this.changes.filter(oe=>W(oe)),this.ignorePathCasing)}}e.FileChangesEvent=l;function i(F,W,oe){return!F||!W||F===W||W.length>F.length?!1:(W.charAt(W.length-1)!==S.sep&&(W+=S.sep),oe?(0,E.startsWithIgnoreCase)(F,W):F.indexOf(W)===0)}e.isParent=i;class f extends Error{constructor(W,oe,ie){super(W);this.fileOperationResult=oe,this.options=ie}static isFileOperationError(W){return W instanceof Error&&!(0,k.isUndefinedOrNull)(W.fileOperationResult)}}e.FileOperationError=f;var y;(function(F){F[F.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",F[F.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",F[F.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",F[F.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",F[F.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",F[F.FILE_READ_ONLY=5]="FILE_READ_ONLY",F[F.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",F[F.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",F[F.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",F[F.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",F[F.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",F[F.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(y=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var I;(function(F){F[F.FILE=0]="FILE",F[F.FOLDER=1]="FOLDER",F[F.ROOT_FOLDER=2]="ROOT_FOLDER"})(I=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function m(F){if(!(typeof F.size!="number"||typeof F.mtime!="number"))return F.mtime.toString(29)+F.size.toString(31)}e.etag=m;async function w(F,W){if(!W.canHandleResource(T.URI.from({scheme:F.scheme})))return new Promise(oe=>{const ie=W.onDidChangeFileSystemProviderRegistrations(j=>{j.scheme===F.scheme&&j.added&&(ie.dispose(),oe())})})}e.whenProviderRegistered=w,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class R{static formatSize(W){return(0,k.isNumber)(W)||(W=0),W<R.KB?(0,_.localize)(1,null,W.toFixed(0)):W<R.MB?(0,_.localize)(2,null,(W/R.KB).toFixed(2)):W<R.GB?(0,_.localize)(3,null,(W/R.MB).toFixed(2)):W<R.TB?(0,_.localize)(4,null,(W/R.GB).toFixed(2)):(0,_.localize)(5,null,(W/R.TB).toFixed(2))}}e.ByteSize=R,R.KB=1024,R.MB=R.KB*R.KB,R.GB=R.MB*R.KB,R.TB=R.GB*R.KB}),define(we[66],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class _{constructor(...T){this._entries=new Map;for(let[P,E]of T)this.set(P,E)}set(T,P){const E=this._entries.get(T);return this._entries.set(T,P),E}has(T){return this._entries.has(T)}get(T){return this._entries.get(T)}}e.ServiceCollection=_}),define(we[147],Ee([0,1,10,141,86,4,66,13]),function(ae,e,_,S,T,P,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const D=!1;class n extends Error{constructor(s){super("cyclic dependency between services");this.message=s.toString()}}class A{constructor(s=new E.ServiceCollection,h=!1,p){this._activeInstantiations=new Set,this._services=s,this._strict=h,this._parent=p,this._services.set(P.IInstantiationService,this)}createChild(s){return new A(s,this._strict,this)}invokeFunction(s,...h){let p=v.traceInvocation(s),g=!1;try{return s({get:(c,u)=>{if(g)throw(0,_.illegalState)("service accessor is only valid during the invocation of its target method");const a=this._getOrCreateServiceInstance(c,p);if(!a&&u!==P.optional)throw new Error(`[invokeFunction] unknown service '${c}'`);return a}},...h)}finally{g=!0,p.stop()}}createInstance(s,...h){let p,g;return s instanceof T.SyncDescriptor?(p=v.traceCreation(s.ctor),g=this._createInstance(s.ctor,s.staticArguments.concat(h),p)):(p=v.traceCreation(s),g=this._createInstance(s,h,p)),p.stop(),g}_createInstance(s,h=[],p){let g=P._util.getServiceDependencies(s).sort((u,a)=>u.index-a.index),b=[];for(const u of g){let a=this._getOrCreateServiceInstance(u.id,p);if(!a&&this._strict&&!u.optional)throw new Error(`[createInstance] ${s.name} depends on UNKNOWN service ${u.id}.`);b.push(a)}let c=g.length>0?g[0].index:h.length;if(h.length!==c){console.warn(`[createInstance] First service dependency of ${s.name} at position ${c+1} conflicts with ${h.length} static arguments`);let u=c-h.length;u>0?h=h.concat(new Array(u)):h=h.slice(0,c)}return new s(...[...h,...b])}_setServiceInstance(s,h){if(this._services.get(s)instanceof T.SyncDescriptor)this._services.set(s,h);else if(this._parent)this._parent._setServiceInstance(s,h);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(s){let h=this._services.get(s);return!h&&this._parent?this._parent._getServiceInstanceOrDescriptor(s):h}_getOrCreateServiceInstance(s,h){let p=this._getServiceInstanceOrDescriptor(s);return p instanceof T.SyncDescriptor?this._safeCreateAndCacheServiceInstance(s,p,h.branch(s,!0)):(h.branch(s,!1),p)}_safeCreateAndCacheServiceInstance(s,h,p){if(this._activeInstantiations.has(s))throw new Error(`illegal state - RECURSIVELY instantiating service '${s}'`);this._activeInstantiations.add(s);try{return this._createAndCacheServiceInstance(s,h,p)}finally{this._activeInstantiations.delete(s)}}_createAndCacheServiceInstance(s,h,p){const g=new S.Graph(u=>u.id.toString());let b=0;const c=[{id:s,desc:h,_trace:p}];for(;c.length;){const u=c.pop();if(g.lookupOrInsertNode(u),b++>1e3)throw new n(g);for(let a of P._util.getServiceDependencies(u.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(a.id);if(!t&&!a.optional&&console.warn(`[createInstance] ${s} depends on ${a.id} which is NOT registered.`),t instanceof T.SyncDescriptor){const r={id:a.id,desc:t,_trace:u._trace.branch(a.id,!0)};g.insertEdge(u,r),c.push(r)}}}for(;;){const u=g.roots();if(u.length===0){if(!g.isEmpty())throw new n(g);break}for(const{data:a}of u){if(this._getServiceInstanceOrDescriptor(a.id)instanceof T.SyncDescriptor){const r=this._createServiceInstanceWithOwner(a.id,a.desc.ctor,a.desc.staticArguments,a.desc.supportsDelayedInstantiation,a._trace);this._setServiceInstance(a.id,r)}g.removeNode(a)}}return this._getServiceInstanceOrDescriptor(s)}_createServiceInstanceWithOwner(s,h,p=[],g,b){if(this._services.get(s)instanceof T.SyncDescriptor)return this._createServiceInstance(h,p,g,b);if(this._parent)return this._parent._createServiceInstanceWithOwner(s,h,p,g,b);throw new Error(`illegalState - creating UNKNOWN service instance ${h.name}`)}_createServiceInstance(s,h=[],p,g){if(p){const b=new k.IdleValue(()=>this._createInstance(s,h,g));return new Proxy(Object.create(null),{get(c,u){if(u in c)return c[u];let a=b.value,t=a[u];return typeof t!="function"||(t=t.bind(a),c[u]=t),t},set(c,u,a){return b.value[u]=a,!0}})}else return this._createInstance(s,h,g)}}e.InstantiationService=A;var C;(function(d){d[d.Creation=0]="Creation",d[d.Invocation=1]="Invocation",d[d.Branch=2]="Branch"})(C||(C={}));class v{constructor(s,h){this.type=s,this.name=h,this._start=Date.now(),this._dep=[]}static traceInvocation(s){return D?new v(1,s.name||s.toString().substring(0,42).replace(/\n/g,"")):v._None}static traceCreation(s){return D?new v(0,s.name):v._None}branch(s,h){let p=new v(2,s.toString());return this._dep.push([s,h,p]),p}stop(){let s=Date.now()-this._start;v._totals+=s;let h=!1;function p(b,c){let u=[],a=new Array(b+1).join("	");for(const[t,r,o]of c._dep)if(r&&o){h=!0,u.push(`${a}CREATES -> ${t}`);let l=p(b+1,o);l&&u.push(l)}else u.push(`${a}uses -> ${t}`);return u.join(`
`)}let g=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${p(1,this)}`,`DONE, took ${s.toFixed(2)}ms (grand total ${v._totals.toFixed(2)}ms)`];(s>2||h)&&console.log(g.join(`
`))}}v._None=new class extends v{constructor(){super(-1,null)}stop(){}branch(){return this}},v._totals=0}),define(we[19],Ee([0,1,4,6,21,3,61]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,_.createDecorator)("logService"),e.ILoggerService=(0,_.createDecorator)("loggerService");function k(){return new Date().toISOString()}var D;(function(u){u[u.Trace=0]="Trace",u[u.Debug=1]="Debug",u[u.Info=2]="Info",u[u.Warning=3]="Warning",u[u.Error=4]="Error",u[u.Critical=5]="Critical",u[u.Off=6]="Off"})(D=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=D.Info;class n extends S.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new P.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(a){this.level!==a&&(this.level=a,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=n;class A extends n{constructor(a){super();this.logAlways=a}checkLogLevel(a){return this.logAlways||this.getLevel()<=a}trace(a,...t){this.checkLogLevel(D.Trace)&&this.log(D.Trace,this.format([a,...t]))}debug(a,...t){this.checkLogLevel(D.Debug)&&this.log(D.Debug,this.format([a,...t]))}info(a,...t){this.checkLogLevel(D.Info)&&this.log(D.Info,this.format([a,...t]))}warn(a,...t){this.checkLogLevel(D.Warning)&&this.log(D.Warning,this.format([a,...t]))}error(a,...t){if(this.checkLogLevel(D.Error))if(a instanceof Error){const r=Array.prototype.slice.call(arguments);r[0]=a.stack,this.log(D.Error,this.format(r))}else this.log(D.Error,this.format([a,...t]))}critical(a,...t){this.checkLogLevel(D.Critical)&&this.log(D.Critical,this.format([a,...t]))}flush(){}format(a){let t="";for(let r=0;r<a.length;r++){let o=a[r];if(typeof o=="object")try{o=JSON.stringify(o)}catch(l){}t+=(r>0?" ":"")+o}return t}}e.AbstractMessageLogger=A;class C extends n{constructor(a=e.DEFAULT_LOG_LEVEL){super();this.setLevel(a),this.useColors=!T.isWindows}trace(a,...t){this.getLevel()<=D.Trace&&(this.useColors?console.log(`[90m[main ${k()}][0m`,a,...t):console.log(`[main ${k()}]`,a,...t))}debug(a,...t){this.getLevel()<=D.Debug&&(this.useColors?console.log(`[90m[main ${k()}][0m`,a,...t):console.log(`[main ${k()}]`,a,...t))}info(a,...t){this.getLevel()<=D.Info&&(this.useColors?console.log(`[90m[main ${k()}][0m`,a,...t):console.log(`[main ${k()}]`,a,...t))}warn(a,...t){this.getLevel()<=D.Warning&&(this.useColors?console.warn(`[93m[main ${k()}][0m`,a,...t):console.warn(`[main ${k()}]`,a,...t))}error(a,...t){this.getLevel()<=D.Error&&(this.useColors?console.error(`[91m[main ${k()}][0m`,a,...t):console.error(`[main ${k()}]`,a,...t))}critical(a,...t){this.getLevel()<=D.Critical&&(this.useColors?console.error(`[90m[main ${k()}][0m`,a,...t):console.error(`[main ${k()}]`,a,...t))}dispose(){}flush(){}}e.ConsoleMainLogger=C;class v extends n{constructor(a=e.DEFAULT_LOG_LEVEL){super();this.setLevel(a)}trace(a,...t){this.getLevel()<=D.Trace&&console.log("%cTRACE","color: #888",a,...t)}debug(a,...t){this.getLevel()<=D.Debug&&console.log("%cDEBUG","background: #eee; color: #888",a,...t)}info(a,...t){this.getLevel()<=D.Info&&console.log("%c INFO","color: #33f",a,...t)}warn(a,...t){this.getLevel()<=D.Warning&&console.log("%c WARN","color: #993",a,...t)}error(a,...t){this.getLevel()<=D.Error&&console.log("%c  ERR","color: #f33",a,...t)}critical(a,...t){this.getLevel()<=D.Critical&&console.log("%cCRITI","background: #f33; color: white",a,...t)}dispose(){}flush(){}}e.ConsoleLogger=v;class d extends n{constructor(a,t=e.DEFAULT_LOG_LEVEL){super();this.adapter=a,this.setLevel(t)}trace(a,...t){this.getLevel()<=D.Trace&&this.adapter.log(D.Trace,[this.extractMessage(a),...t])}debug(a,...t){this.getLevel()<=D.Debug&&this.adapter.log(D.Debug,[this.extractMessage(a),...t])}info(a,...t){this.getLevel()<=D.Info&&this.adapter.log(D.Info,[this.extractMessage(a),...t])}warn(a,...t){this.getLevel()<=D.Warning&&this.adapter.log(D.Warning,[this.extractMessage(a),...t])}error(a,...t){this.getLevel()<=D.Error&&this.adapter.log(D.Error,[this.extractMessage(a),...t])}critical(a,...t){this.getLevel()<=D.Critical&&this.adapter.log(D.Critical,[this.extractMessage(a),...t])}extractMessage(a){return typeof a=="string"?a:(0,E.toErrorMessage)(a,this.getLevel()<=D.Trace)}dispose(){}flush(){}}e.AdapterLogger=d;class s extends n{constructor(a){super();this.logServices=a,a.length&&this.setLevel(a[0].getLevel())}setLevel(a){for(const t of this.logServices)t.setLevel(a);super.setLevel(a)}trace(a,...t){for(const r of this.logServices)r.trace(a,...t)}debug(a,...t){for(const r of this.logServices)r.debug(a,...t)}info(a,...t){for(const r of this.logServices)r.info(a,...t)}warn(a,...t){for(const r of this.logServices)r.warn(a,...t)}error(a,...t){for(const r of this.logServices)r.error(a,...t)}critical(a,...t){for(const r of this.logServices)r.critical(a,...t)}flush(){for(const a of this.logServices)a.flush()}dispose(){for(const a of this.logServices)a.dispose()}}e.MultiplexLogService=s;class h extends S.Disposable{constructor(a){super();this.logger=a,this._register(a)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(a){this.logger.setLevel(a)}getLevel(){return this.logger.getLevel()}trace(a,...t){this.logger.trace(a,...t)}debug(a,...t){this.logger.debug(a,...t)}info(a,...t){this.logger.info(a,...t)}warn(a,...t){this.logger.warn(a,...t)}error(a,...t){this.logger.error(a,...t)}critical(a,...t){this.logger.critical(a,...t)}flush(){this.logger.flush()}}e.LogService=h;class p{constructor(){this.onDidChangeLogLevel=new P.Emitter().event}setLevel(a){}getLevel(){return D.Info}trace(a,...t){}debug(a,...t){}info(a,...t){}warn(a,...t){}error(a,...t){}critical(a,...t){}dispose(){}flush(){}}e.NullLogService=p;function g(u){if(u.verbose)return D.Trace;if(typeof u.logLevel=="string"){const a=b(u.logLevel.toLowerCase());if(a!==void 0)return a}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=g;function b(u){switch(u){case"trace":return D.Trace;case"debug":return D.Debug;case"info":return D.Info;case"warn":return D.Warning;case"error":return D.Error;case"critical":return D.Critical;case"off":return D.Off}}e.parseLogLevel=b;function c(u){switch(u){case D.Trace:return"trace";case D.Debug:return"debug";case D.Info:return"info";case D.Warning:return"warn";case D.Error:return"error";case D.Critical:return"critical";case D.Off:return"off"}}e.LogLevelToString=c}),define(we[87],Ee([0,1,4,123,57]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var P;(function(D){D[D.Unnecessary=1]="Unnecessary",D[D.Deprecated=2]="Deprecated"})(P=e.MarkerTag||(e.MarkerTag={}));var E;(function(D){D[D.Hint=1]="Hint",D[D.Info=2]="Info",D[D.Warning=4]="Warning",D[D.Error=8]="Error"})(E=e.MarkerSeverity||(e.MarkerSeverity={})),function(D){function n(s,h){return h-s}D.compare=n;const A=Object.create(null);A[D.Error]=(0,S.localize)(0,null),A[D.Warning]=(0,S.localize)(1,null),A[D.Info]=(0,S.localize)(2,null);function C(s){return A[s]||""}D.toString=C;function v(s){switch(s){case T.default.Error:return D.Error;case T.default.Warning:return D.Warning;case T.default.Info:return D.Info;case T.default.Ignore:return D.Hint}}D.fromSeverity=v;function d(s){switch(s){case D.Error:return T.default.Error;case D.Warning:return T.default.Warning;case D.Info:return T.default.Info;case D.Hint:return T.default.Ignore}}D.toSeverity=d}(E=e.MarkerSeverity||(e.MarkerSeverity={}));var k;(function(D){const n="";function A(v){return C(v,!0)}D.makeKey=A;function C(v,d){let s=[n];return v.source?s.push(v.source.replace("\xA6","\\\xA6")):s.push(n),v.code?typeof v.code=="string"?s.push(v.code.replace("\xA6","\\\xA6")):s.push(v.code.value.replace("\xA6","\\\xA6")):s.push(n),v.severity!==void 0&&v.severity!==null?s.push(E.toString(v.severity)):s.push(n),v.message&&d?s.push(v.message.replace("\xA6","\\\xA6")):s.push(n),v.startLineNumber!==void 0&&v.startLineNumber!==null?s.push(v.startLineNumber.toString()):s.push(n),v.startColumn!==void 0&&v.startColumn!==null?s.push(v.startColumn.toString()):s.push(n),v.endLineNumber!==void 0&&v.endLineNumber!==null?s.push(v.endLineNumber.toString()):s.push(n),v.endColumn!==void 0&&v.endColumn!==null?s.push(v.endColumn.toString()):s.push(n),s.push(n),s.join("\xA6")}D.makeKeyOptionalMessage=C})(k=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=(0,_.createDecorator)("markerService")}),define(we[148],Ee([0,1,57,4,3]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=_.default,e.INotificationService=(0,S.createDecorator)("notificationService");var P;(function(n){n[n.WORKSPACE=0]="WORKSPACE",n[n.GLOBAL=1]="GLOBAL"})(P=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var E;(function(n){n[n.OFF=0]="OFF",n[n.SILENT=1]="SILENT",n[n.ERROR=2]="ERROR"})(E=e.NotificationsFilter||(e.NotificationsFilter={}));class k{constructor(){this.progress=new D,this.onDidClose=T.Event.None,this.onDidChangeVisibility=T.Event.None}updateSeverity(A){}updateMessage(A){}updateActions(A){}close(){}}e.NoOpNotification=k;class D{infinite(){}done(){}total(A){}worked(A){}}e.NoOpProgress=D});var je=this&&this.__decorate||function(ae,e,_,S){var T=arguments.length,P=T<3?e:S===null?S=Object.getOwnPropertyDescriptor(e,_):S,E;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")P=Reflect.decorate(ae,e,_,S);else for(var k=ae.length-1;k>=0;k--)(E=ae[k])&&(P=(T<3?E(P):T>3?E(e,_,P):E(e,_))||P);return T>3&&P&&Object.defineProperty(e,_,P),P},Ke=this&&this.__param||function(ae,e){return function(_,S){e(_,S,ae)}};define(we[149],Ee([0,1,4,20,6,13]),function(ae,e,_,S,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.UnmanagedProgress=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=(0,_.createDecorator)("progressService");var E;(function(A){A[A.Explorer=1]="Explorer",A[A.Scm=3]="Scm",A[A.Extensions=5]="Extensions",A[A.Window=10]="Window",A[A.Notification=15]="Notification",A[A.Dialog=20]="Dialog"})(E=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class k{constructor(C){this.callback=C}get value(){return this._value}report(C){this._value=C,this.callback(this._value)}}e.Progress=k,k.None=Object.freeze({report(){}});let D=class extends T.Disposable{constructor(C,v){super();this.deferred=new P.DeferredPromise,v.withProgress(C,d=>(this.reporter=d,this.lastStep&&d.report(this.lastStep),this.deferred.p)),this._register((0,T.toDisposable)(()=>this.deferred.complete()))}report(C){this.reporter?this.reporter.report(C):this.lastStep=C}};D=je([Ke(1,e.IProgressService)],D),e.UnmanagedProgress=D;class n extends T.Disposable{constructor(C){super();this.progressIndicator=C,this.currentOperationId=0,this.currentOperationDisposables=this._register(new T.DisposableStore)}start(C){this.stop();const v=++this.currentOperationId,d=new S.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{v===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},C),this.currentOperationDisposables.add((0,T.toDisposable)(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add((0,T.toDisposable)(()=>d.cancel())),this.currentOperationDisposables.add((0,T.toDisposable)(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:v,token:d.token,stop:()=>this.doStop(v),isCurrent:()=>this.currentOperationId===v}}stop(){this.doStop(this.currentOperationId)}doStop(C){this.currentOperationId===C&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=n,e.IEditorProgressService=(0,_.createDecorator)("editorProgressService")}),define(we[30],Ee([0,1,12,44]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class T{constructor(){this.data=new Map}add(E,k){S.ok(_.isString(E)),S.ok(_.isObject(k)),S.ok(!this.data.has(E),"There is already an extension with this id"),this.data.set(E,k)}knows(E){return this.data.has(E)}as(E){return this.data.get(E)||null}}e.Registry=new T}),define(we[88],Ee([0,1,30,3]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function T(k){return k.length>0&&k.charAt(k.length-1)==="#"?k.substring(0,k.length-1):k}class P{constructor(){this._onDidChangeSchema=new S.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(D,n){this.schemasById[T(D)]=n,this._onDidChangeSchema.fire(D)}notifySchemaChanged(D){this._onDidChangeSchema.fire(D)}getSchemaContributions(){return{schemas:this.schemasById}}}const E=new P;_.Registry.add(e.Extensions.JSONContribution,E)}),define(we[67],Ee([0,1,121,3,30,12,88]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.overrideIdentifierFromKey=e.OVERRIDE_PROPERTY_PATTERN=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=void 0,e.Extensions={Configuration:"base.contributions.configuration"};var k;(function(p){p[p.APPLICATION=1]="APPLICATION",p[p.MACHINE=2]="MACHINE",p[p.WINDOW=3]="WINDOW",p[p.RESOURCE=4]="RESOURCE",p[p.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",p[p.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(k=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const D=T.Registry.as(E.Extensions.JSONContribution);class n{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new S.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new S.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:_.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},D.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(g,b=!0){this.registerConfigurations([g],b)}registerConfigurations(g,b=!0){const c=[];g.forEach(u=>{c.push(...this.validateAndRegisterProperties(u,b)),this.configurationContributors.push(u),this.registerJSONConfiguration(u)}),D.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(c)}deregisterConfigurations(g){const b=[],c=u=>{if(u.properties)for(const a in u.properties)b.push(a),delete this.configurationProperties[a],this.removeFromSchema(a,u.properties[a]);u.allOf&&u.allOf.forEach(a=>c(a))};for(const u of g){c(u);const a=this.configurationContributors.indexOf(u);a!==-1&&this.configurationContributors.splice(a,1)}D.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(b)}registerDefaultConfigurations(g){const b=[],c=[];for(const u of g)for(const a in u)if(b.push(a),e.OVERRIDE_PROPERTY_PATTERN.test(a)){this.defaultValues[a]=Object.assign(Object.assign({},this.defaultValues[a]||{}),u[a]);const t={type:"object",default:this.defaultValues[a],description:_.localize(1,null,a),$ref:e.resourceLanguageSettingsSchemaId};c.push(C(a)),this.configurationProperties[a]=t,this.defaultLanguageConfigurationOverridesNode.properties[a]=t}else{this.defaultValues[a]=u[a];const t=this.configurationProperties[a];t&&(this.updatePropertyDefaultValue(a,t),this.updateSchema(a,t))}this.registerOverrideIdentifiers(c),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(b)}deregisterDefaultConfigurations(g){const b=[];for(const c of g)for(const u in c)if(b.push(u),delete this.defaultValues[u],e.OVERRIDE_PROPERTY_PATTERN.test(u))delete this.configurationProperties[u],delete this.defaultLanguageConfigurationOverridesNode.properties[u];else{const a=this.configurationProperties[u];a&&(this.updatePropertyDefaultValue(u,a),this.updateSchema(u,a))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(b)}notifyConfigurationSchemaUpdated(...g){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(g){for(const b of g)this.overrideIdentifiers.add(b);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(g,b=!0,c=3){c=P.isUndefinedOrNull(g.scope)?c:g.scope;let u=[],a=g.properties;if(a)for(let r in a){if(b&&s(r)){delete a[r];continue}const o=a[r];if(this.updatePropertyDefaultValue(r,o),e.OVERRIDE_PROPERTY_PATTERN.test(r)?o.scope=void 0:o.scope=P.isUndefinedOrNull(o.scope)?c:o.scope,a[r].hasOwnProperty("included")&&!a[r].included){this.excludedConfigurationProperties[r]=a[r],delete a[r];continue}else this.configurationProperties[r]=a[r];!a[r].deprecationMessage&&a[r].markdownDeprecationMessage&&(a[r].deprecationMessage=a[r].markdownDeprecationMessage),u.push(r)}let t=g.allOf;if(t)for(let r of t)u.push(...this.validateAndRegisterProperties(r,b,c));return u}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(g){const b=c=>{let u=c.properties;if(u)for(const t in u)this.updateSchema(t,u[t]);let a=c.allOf;a&&a.forEach(b)};b(g)}updateSchema(g,b){switch(e.allSettings.properties[g]=b,b.scope){case 1:e.applicationSettings.properties[g]=b;break;case 2:e.machineSettings.properties[g]=b;break;case 6:e.machineOverridableSettings.properties[g]=b;break;case 3:e.windowSettings.properties[g]=b;break;case 4:e.resourceSettings.properties[g]=b;break;case 5:e.resourceSettings.properties[g]=b,this.resourceLanguageSettingsSchema.properties[g]=b;break}}removeFromSchema(g,b){switch(delete e.allSettings.properties[g],b.scope){case 1:delete e.applicationSettings.properties[g];break;case 2:delete e.machineSettings.properties[g];break;case 6:delete e.machineOverridableSettings.properties[g];break;case 3:delete e.windowSettings.properties[g];break;case 4:case 5:delete e.resourceSettings.properties[g];break}}updateOverridePropertyPatternKey(){for(const g of this.overrideIdentifiers.values()){const b=`[${g}]`,c={type:"object",description:_.localize(2,null),errorMessage:_.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(b,c),e.allSettings.properties[b]=c,e.applicationSettings.properties[b]=c,e.machineSettings.properties[b]=c,e.machineOverridableSettings.properties[b]=c,e.windowSettings.properties[b]=c,e.resourceSettings.properties[b]=c}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(g,b){let c=this.defaultValues[g];P.isUndefined(c)&&(c=b.default),P.isUndefined(c)&&(c=v(b.type)),b.default=c}}const A="\\[.*\\]$";e.OVERRIDE_PROPERTY_PATTERN=new RegExp(A);function C(p){return p.substring(1,p.length-1)}e.overrideIdentifierFromKey=C;function v(p){switch(Array.isArray(p)?p[0]:p){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=v;const d=new n;T.Registry.add(e.Extensions.Configuration,d);function s(p){return p.trim()?e.OVERRIDE_PROPERTY_PATTERN.test(p)?_.localize(5,null,p):d.getConfigurationProperties()[p]!==void 0?_.localize(6,null,p):null:_.localize(4,null)}e.validateProperty=s;function h(){const p=[],g=d.getConfigurationProperties();for(const b of Object.keys(g))p.push([b,g[b].scope]);return p.push(["launch",4]),p.push(["task",4]),p}e.getScopes=h}),define(we[89],Ee([0,1,23,12,2,30,4,67]),function(ae,e,_,S,T,P,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.keyFromOverrideIdentifier=e.getDefaultValues=e.getConfigurationKeys=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.toOverrides=e.compare=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,E.createDecorator)("configurationService");function D(r){return r&&typeof r=="object"&&(!r.overrideIdentifier||typeof r.overrideIdentifier=="string")&&(!r.resource||r.resource instanceof T.URI)}e.isConfigurationOverrides=D;var n;(function(r){r[r.USER=1]="USER",r[r.USER_LOCAL=2]="USER_LOCAL",r[r.USER_REMOTE=3]="USER_REMOTE",r[r.WORKSPACE=4]="WORKSPACE",r[r.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",r[r.DEFAULT=6]="DEFAULT",r[r.MEMORY=7]="MEMORY"})(n=e.ConfigurationTarget||(e.ConfigurationTarget={}));function A(r){switch(r){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=A;function C(r,o){const l=o?r?o.keys.filter(R=>r.keys.indexOf(R)===-1):[...o.keys]:[],i=r?o?r.keys.filter(R=>o.keys.indexOf(R)===-1):[...r.keys]:[],f=[];if(o&&r){for(const R of r.keys)if(o.keys.indexOf(R)!==-1){const F=g(r.contents,R),W=g(o.contents,R);_.equals(F,W)||f.push(R)}}const y=[],I=R=>{const F={};for(const W of R)for(const oe of W.identifiers)F[a(oe)]=W;return F},m=o?I(o.overrides):{},w=r?I(r.overrides):{};if(Object.keys(m).length)for(const R of l){const F=m[R];F&&y.push([(0,k.overrideIdentifierFromKey)(R),F.keys])}if(Object.keys(w).length)for(const R of i){const F=w[R];F&&y.push([(0,k.overrideIdentifierFromKey)(R),F.keys])}if(Object.keys(m).length&&Object.keys(w).length)for(const R of f){const F=w[R],W=m[R];if(F&&W){const oe=C({contents:F.contents,keys:F.keys,overrides:[]},{contents:W.contents,keys:W.keys,overrides:[]});y.push([(0,k.overrideIdentifierFromKey)(R),[...oe.added,...oe.removed,...oe.updated]])}}return{added:l,removed:i,updated:f,overrides:y}}e.compare=C;function v(r,o){const l=[];for(const i of Object.keys(r))if(k.OVERRIDE_PROPERTY_PATTERN.test(i)){const f={};for(const y in r[i])f[y]=r[i][y];l.push({identifiers:[(0,k.overrideIdentifierFromKey)(i).trim()],keys:Object.keys(f),contents:d(f,o)})}return l}e.toOverrides=v;function d(r,o){const l=Object.create(null);for(let i in r)s(l,i,r[i],o);return l}e.toValuesTree=d;function s(r,o,l,i){const f=o.split("."),y=f.pop();let I=r;for(let m=0;m<f.length;m++){let w=f[m],R=I[w];switch(typeof R){case"undefined":R=I[w]=Object.create(null);break;case"object":break;default:i(`Ignoring ${o} as ${f.slice(0,m+1).join(".")} is ${JSON.stringify(R)}`);return}I=R}if(typeof I=="object"&&I!==null)try{I[y]=l}catch(m){i(`Ignoring ${o} as ${f.join(".")} is ${JSON.stringify(I)}`)}else i(`Ignoring ${o} as ${f.join(".")} is ${JSON.stringify(I)}`)}e.addToValueTree=s;function h(r,o){const l=o.split(".");p(r,l)}e.removeFromValueTree=h;function p(r,o){const l=o.shift();if(o.length===0){delete r[l];return}if(Object.keys(r).indexOf(l)!==-1){const i=r[l];typeof i=="object"&&!Array.isArray(i)&&(p(i,o),Object.keys(i).length===0&&delete r[l])}}function g(r,o,l){function i(I,m){let w=I;for(const R of m){if(typeof w!="object"||w===null)return;w=w[R]}return w}const f=o.split("."),y=i(r,f);return typeof y=="undefined"?l:y}e.getConfigurationValue=g;function b(r,o,l){Object.keys(o).forEach(i=>{i!=="__proto__"&&(i in r?S.isObject(r[i])&&S.isObject(o[i])?b(r[i],o[i],l):l&&(r[i]=o[i]):r[i]=o[i])})}e.merge=b;function c(){const r=P.Registry.as(k.Extensions.Configuration).getConfigurationProperties();return Object.keys(r)}e.getConfigurationKeys=c;function u(){const r=Object.create(null),o=P.Registry.as(k.Extensions.Configuration).getConfigurationProperties();for(let l in o){let i=o[l].default;s(r,l,i,f=>console.error(`Conflict in default settings: ${f}`))}return r}e.getDefaultValues=u;function a(r){return`[${r}]`}e.keyFromOverrideIdentifier=a;function t(r,o,l){const i=r.inspect(o),f=r.inspect(l);return typeof i.userValue!="undefined"||typeof i.workspaceValue!="undefined"||typeof i.workspaceFolderValue!="undefined"?i.value:typeof f.userValue!="undefined"||typeof f.workspaceValue!="undefined"||typeof f.workspaceFolderValue!="undefined"?f.value:i.defaultValue}e.getMigratedSettingValue=t}),define(we[150],Ee([0,1,46,22,15,12,23,2,67,89,30,6,3]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class d{constructor(t={},r=[],o=[]){this._contents=t,this._keys=r,this._overrides=o,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(t){return t?(0,n.getConfigurationValue)(this.contents,t):this.contents}getOverrideValue(t,r){const o=this.getContentsForOverrideIdentifer(r);return o?t?(0,n.getConfigurationValue)(o,t):o:void 0}getKeysForOverrideIdentifier(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.keys;return[]}override(t){const r=this.getContentsForOverrideIdentifer(t);if(!r||typeof r!="object"||!Object.keys(r).length)return this;let o={};for(const l of T.distinct([...Object.keys(this.contents),...Object.keys(r)])){let i=this.contents[l],f=r[l];f&&(typeof i=="object"&&typeof f=="object"?(i=E.deepClone(i),this.mergeContents(i,f)):i=f),o[l]=i}return new d(o,this.keys,this.overrides)}merge(...t){const r=E.deepClone(this.contents),o=E.deepClone(this.overrides),l=[...this.keys];for(const i of t){this.mergeContents(r,i.contents);for(const f of i.overrides){const[y]=o.filter(I=>T.equals(I.identifiers,f.identifiers));y?this.mergeContents(y.contents,f.contents):o.push(E.deepClone(f))}for(const f of i.keys)l.indexOf(f)===-1&&l.push(f)}return new d(r,l,o)}freeze(){return this.isFrozen=!0,this}mergeContents(t,r){for(const o of Object.keys(r)){if(o in t&&P.isObject(t[o])&&P.isObject(r[o])){this.mergeContents(t[o],r[o]);continue}t[o]=E.deepClone(r[o])}}checkAndFreeze(t){return this.isFrozen&&!Object.isFrozen(t)?E.deepFreeze(t):t}getContentsForOverrideIdentifer(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(t,r){this.addKey(t),(0,n.addToValueTree)(this.contents,t,r,o=>{throw new Error(o)})}removeValue(t){this.removeKey(t)&&(0,n.removeFromValueTree)(this.contents,t)}addKey(t){let r=this.keys.length;for(let o=0;o<r;o++)t.indexOf(this.keys[o])===0&&(r=o);this.keys.splice(r,1,t)}removeKey(t){let r=this.keys.indexOf(t);return r!==-1?(this.keys.splice(r,1),!0):!1}}e.ConfigurationModel=d;class s extends d{constructor(){const t=(0,n.getDefaultValues)(),r=(0,n.getConfigurationKeys)(),o=[];for(const l of Object.keys(t))D.OVERRIDE_PROPERTY_PATTERN.test(l)&&o.push({identifiers:[(0,D.overrideIdentifierFromKey)(l).trim()],keys:Object.keys(t[l]),contents:(0,n.toValuesTree)(t[l],i=>console.error(`Conflict in default settings file: ${i}`))});super(t,r,o)}}e.DefaultConfigurationModel=s;class h{constructor(t,r){this._name=t,this._scopes=r,this._raw=null,this._configurationModel=null,this._parseErrors=[]}get configurationModel(){return this._configurationModel||new d}get errors(){return this._parseErrors}parseContent(t){if(!P.isUndefinedOrNull(t)){const r=this.doParseContent(t);this.parseRaw(r)}}parseRaw(t){this._raw=t;const r=this.doParseRaw(t);this._configurationModel=new d(r.contents,r.keys,r.overrides)}parse(){this._raw&&this.parseRaw(this._raw)}doParseContent(t){let r={},o=null,l=[],i=[],f=[];function y(m){Array.isArray(l)?l.push(m):o&&(l[o]=m)}let I={onObjectBegin:()=>{let m={};y(m),i.push(l),l=m,o=null},onObjectProperty:m=>{o=m},onObjectEnd:()=>{l=i.pop()},onArrayBegin:()=>{let m=[];y(m),i.push(l),l=m,o=null},onArrayEnd:()=>{l=i.pop()},onLiteralValue:y,onError:(m,w,R)=>{f.push({error:m,offset:w,length:R})}};if(t)try{_.visit(t,I),r=l[0]||{}}catch(m){console.error(`Error while parsing settings file ${this._name}: ${m}`),this._parseErrors=[m]}return r}doParseRaw(t){if(this._scopes){const i=A.Registry.as(D.Extensions.Configuration).getConfigurationProperties();t=this.filterByScope(t,i,!0,this._scopes)}const r=(0,n.toValuesTree)(t,i=>console.error(`Conflict in settings file ${this._name}: ${i}`)),o=Object.keys(t),l=(0,n.toOverrides)(t,i=>console.error(`Conflict in settings file ${this._name}: ${i}`));return{contents:r,keys:o,overrides:l}}filterByScope(t,r,o,l){const i={};for(let f in t)if(D.OVERRIDE_PROPERTY_PATTERN.test(f)&&o)i[f]=this.filterByScope(t[f],r,!1,l);else{const y=this.getScope(f,r);(y===void 0||l.indexOf(y)!==-1)&&(i[f]=t[f])}return i}getScope(t,r){const o=r[t];return o?typeof o.scope!="undefined"?o.scope:3:void 0}}e.ConfigurationModelParser=h;class p extends C.Disposable{constructor(t,r,o,l){super();this.userSettingsResource=t,this.scopes=r,this.fileService=l,this._onDidChange=this._register(new v.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new h(this.userSettingsResource.toString(),this.scopes),this._register(this.fileService.watch(o.dirname(this.userSettingsResource))),this._register(v.Event.filter(this.fileService.onDidFilesChange,i=>i.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const t=await this.fileService.readFile(this.userSettingsResource);return this.parser.parseContent(t.value.toString()||"{}"),this.parser.configurationModel}catch(t){return new d}}reprocess(){return this.parser.parse(),this.parser.configurationModel}}e.UserSettings=p;class g{constructor(t,r,o=new d,l=new d,i=new S.ResourceMap,f=new d,y=new S.ResourceMap,I=!0){this._defaultConfiguration=t,this._localUserConfiguration=r,this._remoteUserConfiguration=o,this._workspaceConfiguration=l,this._folderConfigurations=i,this._memoryConfiguration=f,this._memoryConfigurationByResource=y,this._freeze=I,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new S.ResourceMap,this._userConfiguration=null}getValue(t,r,o){return this.getConsolidateConfigurationModel(r,o).getValue(t)}updateValue(t,r,o={}){let l;o.resource?(l=this._memoryConfigurationByResource.get(o.resource),l||(l=new d,this._memoryConfigurationByResource.set(o.resource,l))):l=this._memoryConfiguration,r===void 0?l.removeValue(t):l.setValue(t,r),o.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(t,r,o){const l=this.getConsolidateConfigurationModel(r,o),i=this.getFolderConfigurationModelForResource(r.resource,o),f=r.resource?this._memoryConfigurationByResource.get(r.resource)||this._memoryConfiguration:this._memoryConfiguration,y=r.overrideIdentifier?this._defaultConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._defaultConfiguration.freeze().getValue(t),I=r.overrideIdentifier?this.userConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.userConfiguration.freeze().getValue(t),m=r.overrideIdentifier?this.localUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.localUserConfiguration.freeze().getValue(t),w=r.overrideIdentifier?this.remoteUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.remoteUserConfiguration.freeze().getValue(t),R=o?r.overrideIdentifier?this._workspaceConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._workspaceConfiguration.freeze().getValue(t):void 0,F=i?r.overrideIdentifier?i.freeze().override(r.overrideIdentifier).getValue(t):i.freeze().getValue(t):void 0,W=r.overrideIdentifier?f.override(r.overrideIdentifier).getValue(t):f.getValue(t),oe=l.getValue(t),ie=T.distinct(T.flatten(l.overrides.map(j=>j.identifiers))).filter(j=>l.getOverrideValue(t,j)!==void 0);return{defaultValue:y,userValue:I,userLocalValue:m,userRemoteValue:w,workspaceValue:R,workspaceFolderValue:F,memoryValue:W,value:oe,default:y!==void 0?{value:this._defaultConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,user:I!==void 0?{value:this.userConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userLocal:m!==void 0?{value:this.localUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userRemote:w!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspace:R!==void 0?{value:this._workspaceConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspaceFolder:F!==void 0?{value:i==null?void 0:i.freeze().getValue(t),override:r.overrideIdentifier?i==null?void 0:i.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,memory:W!==void 0?{value:f.getValue(t),override:r.overrideIdentifier?f.getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,overrideIdentifiers:ie.length?ie:void 0}}keys(t){const r=this.getFolderConfigurationModelForResource(void 0,t);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:r?r.freeze().keys:[]}}updateDefaultConfiguration(t){this._defaultConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(t){this._localUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(t){this._remoteUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(t){this._workspaceConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(t,r){this._folderConfigurations.set(t,r),this._foldersConsolidatedConfigurations.delete(t)}deleteFolderConfiguration(t){this.folderConfigurations.delete(t),this._foldersConsolidatedConfigurations.delete(t)}compareAndUpdateDefaultConfiguration(t,r){const o=r.filter(l=>D.OVERRIDE_PROPERTY_PATTERN.test(l)).map(l=>{const i=(0,D.overrideIdentifierFromKey)(l),f=this._defaultConfiguration.getKeysForOverrideIdentifier(i),y=t.getKeysForOverrideIdentifier(i),I=[...y.filter(m=>f.indexOf(m)===-1),...f.filter(m=>y.indexOf(m)===-1),...f.filter(m=>!E.equals(this._defaultConfiguration.override(i).getValue(m),t.override(i).getValue(m)))];return[i,I]});return this.updateDefaultConfiguration(t),{keys:r,overrides:o}}compareAndUpdateLocalUserConfiguration(t){const{added:r,updated:o,removed:l,overrides:i}=(0,n.compare)(this.localUserConfiguration,t),f=[...r,...o,...l];return f.length&&this.updateLocalUserConfiguration(t),{keys:f,overrides:i}}compareAndUpdateRemoteUserConfiguration(t){const{added:r,updated:o,removed:l,overrides:i}=(0,n.compare)(this.remoteUserConfiguration,t);let f=[...r,...o,...l];return f.length&&this.updateRemoteUserConfiguration(t),{keys:f,overrides:i}}compareAndUpdateWorkspaceConfiguration(t){const{added:r,updated:o,removed:l,overrides:i}=(0,n.compare)(this.workspaceConfiguration,t);let f=[...r,...o,...l];return f.length&&this.updateWorkspaceConfiguration(t),{keys:f,overrides:i}}compareAndUpdateFolderConfiguration(t,r){const o=this.folderConfigurations.get(t),{added:l,updated:i,removed:f,overrides:y}=(0,n.compare)(o,r);let I=[...l,...i,...f];return(I.length||!o)&&this.updateFolderConfiguration(t,r),{keys:I,overrides:y}}compareAndDeleteFolderConfiguration(t){const r=this.folderConfigurations.get(t);if(!r)throw new Error("Unknown folder");this.deleteFolderConfiguration(t);const{added:o,updated:l,removed:i,overrides:f}=(0,n.compare)(r,void 0);return{keys:[...o,...l,...i],overrides:f}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(t,r){let o=this.getConsolidatedConfigurationModelForResource(t,r);return t.overrideIdentifier?o.override(t.overrideIdentifier):o}getConsolidatedConfigurationModelForResource({resource:t},r){let o=this.getWorkspaceConsolidatedConfiguration();if(r&&t){const l=r.getFolder(t);l&&(o=this.getFolderConsolidatedConfiguration(l.uri)||o);const i=this._memoryConfigurationByResource.get(t);i&&(o=o.merge(i))}return o}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(t){let r=this._foldersConsolidatedConfigurations.get(t);if(!r){const o=this.getWorkspaceConsolidatedConfiguration(),l=this._folderConfigurations.get(t);l?(r=o.merge(l),this._freeze&&(r=r.freeze()),this._foldersConsolidatedConfigurations.set(t,r)):r=o}return r}getFolderConfigurationModelForResource(t,r){if(r&&t){const o=r.getFolder(t);if(o)return this._folderConfigurations.get(o.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((t,r)=>{const{contents:o,overrides:l,keys:i}=this._folderConfigurations.get(r);return t.push([r,{contents:o,overrides:l,keys:i}]),t},[])}}allKeys(){const t=new Set;return this._defaultConfiguration.freeze().keys.forEach(r=>t.add(r)),this.userConfiguration.freeze().keys.forEach(r=>t.add(r)),this._workspaceConfiguration.freeze().keys.forEach(r=>t.add(r)),this._folderConfigurations.forEach(r=>r.freeze().keys.forEach(o=>t.add(o))),[...t.values()]}getAllKeysForOverrideIdentifier(t){const r=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(t).forEach(o=>r.add(o)),this.userConfiguration.getKeysForOverrideIdentifier(t).forEach(o=>r.add(o)),this._workspaceConfiguration.getKeysForOverrideIdentifier(t).forEach(o=>r.add(o)),this._folderConfigurations.forEach(o=>o.getKeysForOverrideIdentifier(t).forEach(l=>r.add(l))),[...r.values()]}static parse(t){const r=this.parseConfigurationModel(t.defaults),o=this.parseConfigurationModel(t.user),l=this.parseConfigurationModel(t.workspace),i=t.folders.reduce((f,y)=>(f.set(k.URI.revive(y[0]),this.parseConfigurationModel(y[1])),f),new S.ResourceMap);return new g(r,o,new d,l,i,new d,new S.ResourceMap,!1)}static parseConfigurationModel(t){return new d(t.contents,t.keys,t.overrides).freeze()}}e.Configuration=g;function b(...a){if(a.length===0)return{keys:[],overrides:[]};if(a.length===1)return a[0];const t=new Set,r=new Map;for(const l of a)l.keys.forEach(i=>t.add(i)),l.overrides.forEach(([i,f])=>{const y=(0,S.getOrSet)(r,i,new Set);f.forEach(I=>y.add(I))});const o=[];return r.forEach((l,i)=>o.push([i,[...l.values()]])),{keys:[...t.values()],overrides:o}}e.mergeChanges=b;class c{constructor(t,r,o,l){this.change=t,this.previous=r,this.currentConfiguraiton=o,this.currentWorkspace=l,this._previousConfiguration=void 0;const i=new Set;t.keys.forEach(y=>i.add(y)),t.overrides.forEach(([,y])=>y.forEach(I=>i.add(I))),this.affectedKeys=[...i.values()];const f=new d;this.affectedKeys.forEach(y=>f.setValue(y,{})),this.affectedKeysTree=f.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=g.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(t,r){var o;if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,t)){if(r){const l=this.previousConfiguration?this.previousConfiguration.getValue(t,r,(o=this.previous)===null||o===void 0?void 0:o.workspace):void 0,i=this.currentConfiguraiton.getValue(t,r,this.currentWorkspace);return!E.equals(l,i)}return!0}return!1}doesAffectedKeysTreeContains(t,r){let o=(0,n.toValuesTree)({[r]:!0},()=>{}),l;for(;typeof o=="object"&&(l=Object.keys(o)[0]);){if(t=t[l],!t)return!1;o=o[l]}return!0}}e.ConfigurationChangeEvent=c;class u extends c{constructor(t,r,o,l){super({keys:t.allKeys(),overrides:[]},void 0,t,r);this.source=o,this.sourceConfig=l}}e.AllKeysConfigurationChangeEvent=u}),define(we[90],Ee([0,1,4]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,_.createDecorator)("remoteAuthorityResolverService");var S;(function(P){P.Unknown="Unknown",P.NotAvailable="NotAvailable",P.TemporarilyNotAvailable="TemporarilyNotAvailable",P.NoResolverFound="NoResolverFound"})(S=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class T extends Error{constructor(E,k=S.Unknown,D){super(E);this._message=E,this._code=k,this._detail=D,this.isHandled=k===S.NotAvailable&&D===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,T.prototype)}static isTemporarilyNotAvailable(E){return E instanceof T&&E._code===S.TemporarilyNotAvailable}static isNoResolverFound(E){return E instanceof T&&E._code===S.NoResolverFound}static isHandled(E){return E instanceof T&&E.isHandled}}e.RemoteAuthorityResolverError=T}),define(we[91],Ee([0,1,16]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemoteName=e.getRemoteAuthority=void 0;function S(P){return P.scheme===_.Schemas.vscodeRemote?P.authority:void 0}e.getRemoteAuthority=S;function T(P){if(!!P){const E=P.indexOf("+");return E<0?P:P.substr(0,E)}}e.getRemoteName=T}),define(we[151],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class _{constructor(T){this._callback=T,this._terminalBufferMap=new Map}dispose(){for(const T of this._terminalBufferMap.values())T.dispose()}startBuffering(T,P,E=5){let k;return k=P(D=>{const n=typeof D=="string"?D:D.data;let A=this._terminalBufferMap.get(T);if(A){A.data.push(n);return}const C=setTimeout(()=>this._flushBuffer(T),E);A={data:[n],timeoutId:C,dispose:()=>{clearTimeout(C),this._flushBuffer(T),k.dispose()}},this._terminalBufferMap.set(T,A)}),k}stopBuffering(T){const P=this._terminalBufferMap.get(T);P&&P.dispose()}_flushBuffer(T){const P=this._terminalBufferMap.get(T);P&&(this._terminalBufferMap.delete(T),this._callback(T,P.data.join("")))}}e.TerminalDataBufferer=_}),define(we[152],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var _;(function(S){S.DARK="dark",S.LIGHT="light",S.HIGH_CONTRAST="hc"})(_=e.ColorScheme||(e.ColorScheme={}))}),define(we[153],Ee([0,1,4,6,30,3,152,37]),function(ae,e,_,S,T,P,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,_.createDecorator)("themeService");var D;(function(p){function g(b){return b&&typeof b=="object"&&typeof b.id=="string"}p.isThemeColor=g})(D=e.ThemeColor||(e.ThemeColor={}));function n(p){return{id:p}}e.themeColorFromId=n;var A;(function(p){function g(t){return t&&typeof t=="object"&&typeof t.id=="string"&&(typeof t.color=="undefined"||D.isThemeColor(t.color))}p.isThemeIcon=g;const b=new RegExp(`^\\$\\((${k.CSSIcon.iconNameExpression}(?:${k.CSSIcon.iconModifierExpression})?)\\)$`);function c(t){const r=b.exec(t);if(!!r){let[,o]=r;return{id:o}}}p.fromString=c;function u(t,r){let o=t.id;const l=o.lastIndexOf("~");return l!==-1&&(o=o.substring(0,l)),r&&(o=`${o}~${r}`),{id:o}}p.modify=u;function a(t,r){var o,l;return t.id===r.id&&((o=t.color)===null||o===void 0?void 0:o.id)===((l=r.color)===null||l===void 0?void 0:l.id)}p.isEqual=a,p.asClassNameArray=k.CSSIcon.asClassNameArray,p.asClassName=k.CSSIcon.asClassName,p.asCSSSelector=k.CSSIcon.asCSSSelector})(A=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=k.Codicon.file,e.FolderThemeIcon=k.Codicon.folder;function C(p){switch(p){case E.ColorScheme.DARK:return"vs-dark";case E.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=C,e.Extensions={ThemingContribution:"base.contributions.theming"};class v{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new P.Emitter}onColorThemeChange(g){return this.themingParticipants.push(g),this.onThemingParticipantAddedEmitter.fire(g),(0,S.toDisposable)(()=>{const b=this.themingParticipants.indexOf(g);this.themingParticipants.splice(b,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let d=new v;T.Registry.add(e.Extensions.ThemingContribution,d);function s(p){return d.onColorThemeChange(p)}e.registerThemingParticipant=s;class h extends S.Disposable{constructor(g){super();this.themeService=g,this.theme=g.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(b=>this.onThemeChange(b)))}onThemeChange(g){this.theme=g,this.updateStyles()}updateStyles(){}getColor(g,b){let c=this.theme.getColor(g);return c&&b&&(c=b(c,this.theme)),c?c.toString():null}}e.Themable=h}),define(we[154],Ee([0,1,30,153,3,124,88,13,37]),function(ae,e,_,S,T,P,E,k,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.syncing=e.gotoNextLocation=e.gotoPreviousLocation=e.widgetClose=e.iconsSchemaId=e.getIconRegistry=e.registerIcon=e.Extensions=void 0,e.Extensions={IconContribution:"base.contributions.icons"};class n{constructor(){this._onDidChange=new T.Emitter,this.onDidChange=this._onDidChange.event,this.iconSchema={definitions:{icons:{type:"object",properties:{fontId:{type:"string",description:(0,P.localize)(0,null)},fontCharacter:{type:"string",description:(0,P.localize)(1,null)}},additionalProperties:!1,defaultSnippets:[{body:{fontCharacter:"\\\\e030"}}]}},type:"object",properties:{}},this.iconReferenceSchema={type:"string",pattern:`^${D.CSSIcon.iconNameExpression}$`,enum:[],enumDescriptions:[]},this.iconsById={},this.iconFontsById={}}registerIcon(g,b,c,u){const a=this.iconsById[g];if(a){if(c&&!a.description){a.description=c,this.iconSchema.properties[g].markdownDescription=`${c} $(${g})`;const o=this.iconReferenceSchema.enum.indexOf(g);o!==-1&&(this.iconReferenceSchema.enumDescriptions[o]=c),this._onDidChange.fire()}return a}let t={id:g,description:c,defaults:b,deprecationMessage:u};this.iconsById[g]=t;let r={$ref:"#/definitions/icons"};return u&&(r.deprecationMessage=u),c&&(r.markdownDescription=`${c}: $(${g})`),this.iconSchema.properties[g]=r,this.iconReferenceSchema.enum.push(g),this.iconReferenceSchema.enumDescriptions.push(c||""),this._onDidChange.fire(),{id:g}}deregisterIcon(g){delete this.iconsById[g],delete this.iconSchema.properties[g];const b=this.iconReferenceSchema.enum.indexOf(g);b!==-1&&(this.iconReferenceSchema.enum.splice(b,1),this.iconReferenceSchema.enumDescriptions.splice(b,1)),this._onDidChange.fire()}getIcons(){return Object.keys(this.iconsById).map(g=>this.iconsById[g])}getIcon(g){return this.iconsById[g]}getIconSchema(){return this.iconSchema}getIconReferenceSchema(){return this.iconReferenceSchema}registerIconFont(g,b){const c=this.iconFontsById[g];if(c)return c;let u={id:g,definition:b};return this.iconFontsById[g]=u,this._onDidChange.fire(),u}deregisterIconFont(g){delete this.iconFontsById[g]}getIconFonts(){return Object.keys(this.iconFontsById).map(g=>this.iconFontsById[g])}getIconFont(g){return this.iconFontsById[g]}toString(){const g=(a,t)=>a.id.localeCompare(t.id),b=a=>{for(;S.ThemeIcon.isThemeIcon(a.defaults);)a=this.iconsById[a.defaults.id];return`codicon codicon-${a?a.id:""}`};let c=[];c.push("| preview     | identifier                        | default codicon ID                | description"),c.push("| ----------- | --------------------------------- | --------------------------------- | --------------------------------- |");const u=Object.keys(this.iconsById).map(a=>this.iconsById[a]);for(const a of u.filter(t=>!!t.description).sort(g))c.push(`|<i class="${b(a)}"></i>|${a.id}|${S.ThemeIcon.isThemeIcon(a.defaults)?a.defaults.id:a.id}|${a.description||""}|`);c.push("| preview     | identifier                        "),c.push("| ----------- | --------------------------------- |");for(const a of u.filter(t=>!S.ThemeIcon.isThemeIcon(t.defaults)).sort(g))c.push(`|<i class="${b(a)}"></i>|${a.id}|`);return c.join(`
`)}}const A=new n;_.Registry.add(e.Extensions.IconContribution,A);function C(p,g,b,c){return A.registerIcon(p,g,b,c)}e.registerIcon=C;function v(){return A}e.getIconRegistry=v;function d(){for(const p of D.iconRegistry.all)A.registerIcon(p.id,p.definition,p.description);D.iconRegistry.onDidRegister(p=>A.registerIcon(p.id,p.definition,p.description))}d(),e.iconsSchemaId="vscode://schemas/icons";let s=_.Registry.as(E.Extensions.JSONContribution);s.registerSchema(e.iconsSchemaId,A.getIconSchema());const h=new k.RunOnceScheduler(()=>s.notifySchemaChanged(e.iconsSchemaId),200);A.onDidChange(()=>{h.isScheduled()||h.schedule()}),e.widgetClose=C("widget-close",D.Codicon.close,(0,P.localize)(2,null)),e.gotoPreviousLocation=C("goto-previous-location",D.Codicon.arrowUp,(0,P.localize)(3,null)),e.gotoNextLocation=C("goto-next-location",D.Codicon.arrowDown,(0,P.localize)(4,null)),e.syncing=S.ThemeIcon.modify(D.Codicon.sync,"spin")}),define(we[48],Ee([0,1,2,24,4,22]),function(ae,e,_,S,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,T.createDecorator)("contextService");var E;(function(v){v[v.EMPTY=1]="EMPTY",v[v.FOLDER=2]="FOLDER",v[v.WORKSPACE=3]="WORKSPACE"})(E=e.WorkbenchState||(e.WorkbenchState={}));function k(v){const d=v;return!!(d&&typeof d=="object"&&typeof d.id=="string"&&Array.isArray(d.folders))}e.isWorkspace=k;function D(v){const d=v;return!!(d&&typeof d=="object"&&_.URI.isUri(d.uri)&&typeof d.name=="string"&&typeof d.toResource=="function")}e.isWorkspaceFolder=D;class n{constructor(d,s,h,p){this._id=d,this._configuration=h,this._ignorePathCasing=p,this._foldersMap=P.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=s}update(d){this._id=d.id,this._configuration=d.configuration,this._ignorePathCasing=d._ignorePathCasing,this.folders=d.folders}get folders(){return this._folders}set folders(d){this._folders=d,this.updateFoldersMap()}get id(){return this._id}get configuration(){return this._configuration}set configuration(d){this._configuration=d}getFolder(d){return d&&this._foldersMap.findSubstr(d.with({scheme:d.scheme,authority:d.authority,path:d.path}))||null}updateFoldersMap(){this._foldersMap=P.TernarySearchTree.forUris(this._ignorePathCasing);for(const d of this.folders)this._foldersMap.set(d.uri,d)}toJSON(){return{id:this.id,folders:this.folders,configuration:this.configuration}}}e.Workspace=n;class A{constructor(d,s){this.raw=s,this.uri=d.uri,this.index=d.index,this.name=d.name}toResource(d){return(0,S.joinPath)(this.uri,d)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=A;function C(v){return new A({uri:v,index:0,name:(0,S.basenameOrAuthority)(v)},{uri:v.toString()})}e.toWorkspaceFolder=C}),define(we[155],Ee([0,1,4,125,48,2,21,11,24,104,46,16,59,38,91]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isRawUriWorkspaceFolder=e.isRawFileWorkspaceFolder=e.isStoredWorkspaceFolder=e.isUntitledWorkspace=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=e.hasWorkspaceFileExtension=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=void 0,e.WORKSPACE_EXTENSION="code-workspace";const h=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,S.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function p(ee){return(typeof ee=="string"?(0,k.extname)(ee):(0,D.extname)(ee))===h}e.hasWorkspaceFileExtension=p,e.IWorkspacesService=(0,_.createDecorator)("workspacesService");function g(ee){return ee.hasOwnProperty("workspace")}e.isRecentWorkspace=g;function b(ee){return ee.hasOwnProperty("folderUri")}e.isRecentFolder=b;function c(ee){return ee.hasOwnProperty("fileUri")}e.isRecentFile=c;function u(ee){const M=ee;return typeof(M==null?void 0:M.id)=="string"&&P.URI.isUri(M.uri)}e.isSingleFolderWorkspaceIdentifier=u;function a(ee){if(ee.configuration)return{id:ee.id,configPath:ee.configuration};if(ee.folders.length===1)return{id:ee.id,uri:ee.folders[0].uri}}e.toWorkspaceIdentifier=a;function t(ee){const M=ee;return typeof(M==null?void 0:M.id)=="string"&&P.URI.isUri(M.configPath)}e.isWorkspaceIdentifier=t;function r(ee){const M=ee;if(M==null?void 0:M.uri)return{id:M.id,uri:P.URI.revive(M.uri)};const x=ee;if(x==null?void 0:x.configPath)return{id:x.id,configPath:P.URI.revive(x.configPath)};if(ee==null?void 0:ee.id)return{id:ee.id}}e.reviveIdentifier=r;function o(ee,M){return D.extUriBiasedIgnorePathCase.isEqualOrParent(ee,M.untitledWorkspacesHome)}e.isUntitledWorkspace=o;function l(ee){return i(ee)||f(ee)}e.isStoredWorkspaceFolder=l;function i(ee){const M=ee;return typeof(M==null?void 0:M.path)=="string"&&(!M.name||typeof M.name=="string")}e.isRawFileWorkspaceFolder=i;function f(ee){const M=ee;return typeof(M==null?void 0:M.uri)=="string"&&(!M.name||typeof M.name=="string")}e.isRawUriWorkspaceFolder=f;function y(ee,M,x,$,q=!E.isWindows,U){if(ee.scheme!==$.scheme)return{name:x,uri:ee.toString(!0)};let Y=M?void 0:U.relativePath($,ee);if(Y!==void 0)Y.length===0?Y=".":E.isWindows&&ee.scheme===C.Schemas.file&&!q&&(Y=Y.replace(/\//g,"\\"));else if(ee.scheme===C.Schemas.file)Y=ee.fsPath,E.isWindows&&(Y=(0,v.normalizeDriveLetter)(Y),q&&(Y=(0,d.toSlashes)(Y)));else{if(!U.isEqualAuthority(ee.authority,$.authority))return{name:x,uri:ee.toString(!0)};Y=ee.path}return{name:x,path:Y}}e.getStoredWorkspaceFolder=y;function I(ee,M,x){let $=[],q=new Set;const U=x.dirname(M);for(let Y of ee){let Z=null;if(i(Y))Y.path&&(Z=x.resolvePath(U,Y.path));else if(f(Y))try{Z=P.URI.parse(Y.uri),Z.path[0]!=="/"&&(Z=Z.with({path:"/"+Z.path}))}catch(se){console.warn(se)}if(Z){let se=x.getComparisonKey(Z);if(!q.has(se)){q.add(se);const Se=Y.name||x.basenameOrAuthority(Z);$.push(new T.WorkspaceFolder({uri:Z,name:Se,index:$.length},Y))}}}return $}e.toWorkspaceFolders=I;function m(ee,M,x,$,q){let U=w(M,ee);const Y=q.dirname(M),Z=q.dirname($),se=[],Se=R(U.folders);for(const He of U.folders){const N=i(He)?q.resolvePath(Y,He.path):P.URI.parse(He.uri);let V;x?V=!1:V=!i(He)||(0,k.isAbsolute)(He.path),se.push(y(N,V,He.name,Z,Se,q))}const Pe={insertSpaces:!1,tabSize:4,eol:E.isLinux||E.isMacintosh?`
`:`\r
`},$e=n.setProperty(ee,["folders"],se,Pe);let Fe=n.applyEdits(ee,$e);return U.remoteAuthority===(0,s.getRemoteAuthority)($)&&(Fe=n.applyEdits(Fe,n.removeProperty(Fe,["remoteAuthority"],Pe))),Fe}e.rewriteWorkspaceFileForNewLocation=m;function w(ee,M){let x=A.parse(M);if(x&&Array.isArray(x.folders))x.folders=x.folders.filter($=>l($));else throw new Error(`${ee} looks like an invalid workspace file.`);return x}function R(ee){return E.isWindows?ee.some(M=>i(M)&&M.path.indexOf("/")>=0):!0}e.useSlashForPath=R;function F(ee){return ee.workspace&&typeof ee.workspace=="object"&&typeof ee.workspace.id=="string"&&typeof ee.workspace.configPath=="string"}function W(ee){return typeof ee.folderUri=="string"}function oe(ee){return typeof ee.fileUri=="string"}function ie(ee,M){const x={workspaces:[],files:[]};if(ee){const $=function(U,Y){for(let Z=0;Z<U.length;Z++)try{Y(U[Z],Z)}catch(se){M.warn(`Error restoring recent entry ${JSON.stringify(U[Z])}: ${se.toString()}. Skip entry.`)}},q=ee;if(Array.isArray(q.entries))$(q.entries,U=>{const Y=U.label,Z=U.remoteAuthority;F(U)?x.workspaces.push({label:Y,remoteAuthority:Z,workspace:{id:U.workspace.id,configPath:P.URI.parse(U.workspace.configPath)}}):W(U)?x.workspaces.push({label:Y,remoteAuthority:Z,folderUri:P.URI.parse(U.folderUri)}):oe(U)&&x.files.push({label:Y,remoteAuthority:Z,fileUri:P.URI.parse(U.fileUri)})});else{const U=ee;Array.isArray(U.workspaces3)&&$(U.workspaces3,(Y,Z)=>{const se=Array.isArray(U.workspaceLabels)&&U.workspaceLabels[Z]||void 0;typeof Y=="object"&&typeof Y.id=="string"&&typeof Y.configURIPath=="string"?x.workspaces.push({label:se,workspace:{id:Y.id,configPath:P.URI.parse(Y.configURIPath)}}):typeof Y=="string"&&x.workspaces.push({label:se,folderUri:P.URI.parse(Y)})}),Array.isArray(U.files2)&&$(U.files2,(Y,Z)=>{const se=Array.isArray(U.fileLabels)&&U.fileLabels[Z]||void 0;typeof Y=="string"&&x.files.push({label:se,fileUri:P.URI.parse(Y)})})}}return x}e.restoreRecentlyOpened=ie;function j(ee){const M={entries:[]};for(const x of ee.workspaces)b(x)?M.entries.push({folderUri:x.folderUri.toString(),label:x.label,remoteAuthority:x.remoteAuthority}):M.entries.push({workspace:{id:x.workspace.id,configPath:x.workspace.configPath.toString()},label:x.label,remoteAuthority:x.remoteAuthority});for(const x of ee.files)M.entries.push({fileUri:x.fileUri.toString(),label:x.label,remoteAuthority:x.remoteAuthority});return M}e.toStoreData=j}),define(we[92],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class _{constructor(T){this.id=T,this._data=new Map,this._idPool=1}add(T){const P=this._idPool++;return this._data.set(P,T),this.logDebugInfo(),P}get(T,P){return this._data.has(T)?this._data.get(T)[P]:void 0}delete(T){this._data.delete(T),this.logDebugInfo()}logDebugInfo(){!_.enableDebugLogging||console.log(`${this.id} cache size \u2014 ${this._data.size}`)}}e.Cache=_,_.enableDebugLogging=!1}),define(we[156],Ee([0,1,2,3]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=void 0;class T{constructor(){this._onDidChangeTabs=new S.Emitter,this.onDidChangeTabs=this._onDidChangeTabs.event,this._tabs=[]}get tabs(){return this._tabs}$acceptEditorTabs(E){this._tabs=E.map(k=>({name:k.name,group:k.group,resource:_.URI.revive(k.resource)})),this._onDidChangeTabs.fire()}}e.ExtHostEditorTabs=T}),define(we[49],Ee([0,1,16,4]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class T{constructor(){this._systemSchemes=new Set(Object.keys(_.Schemas)),this._providerInfo=new Map}$acceptProviderInfos(E,k){k===null?this._providerInfo.delete(E):this._providerInfo.set(E,k)}isFreeScheme(E){return!this._providerInfo.has(E)&&!this._systemSchemes.has(E)}getCapabilities(E){return this._providerInfo.get(E)}}e.ExtHostFileSystemInfo=T,e.IExtHostFileSystemInfo=(0,S.createDecorator)("IExtHostFileSystemInfo")}),define(we[27],Ee([0,1,4]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=(0,_.createDecorator)("IExtHostInitDataService")}),define(we[157],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class _{constructor(P,E,k){this._id=P,this._shared=E,this._storage=k,this._init=this._storage.getValue(this._shared,this._id,Object.create(null)).then(D=>(this._value=D,this)),this._storageListener=this._storage.onDidChangeStorage(D=>{D.shared===this._shared&&D.key===this._id&&(this._value=D.value)})}get whenReady(){return this._init}get(P,E){let k=this._value[P];return typeof k=="undefined"&&(k=E),k}update(P,E){return this._value[P]=E,this._storage.setValue(this._shared,this._id,this._value)}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=_;class S extends _{constructor(P,E){super(P.identifier.value,!0,E);this._extension=P}setKeysForSync(P){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},P)}}e.ExtensionGlobalMemento=S}),define(we[14],Ee([0,1,4]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=(0,_.createDecorator)("IExtHostRpcService");class S{constructor(P){this.getProxy=P.getProxy.bind(P),this.set=P.set.bind(P),this.assertRegistered=P.assertRegistered.bind(P),this.drain=P.drain.bind(P)}}e.ExtHostRpcService=S});var tt=this&&this.__classPrivateFieldSet||function(ae,e,_){if(!e.has(ae))throw new TypeError("attempted to set private field on non-instance");return e.set(ae,_),_},We=this&&this.__classPrivateFieldGet||function(ae,e){if(!e.has(ae))throw new TypeError("attempted to get private field on non-instance");return e.get(ae)};define(we[158],Ee([0,1,25,3]),function(ae,e,_,S){"use strict";var T;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class P{constructor(k,D){T.set(this,void 0),this._onDidChange=new S.Emitter,this.onDidChange=this._onDidChange.event,this._id=_.ExtensionIdentifier.toKey(k.identifier),tt(this,T,D),We(this,T).onDidChangePassword(n=>{n.extensionId===this._id&&this._onDidChange.fire({key:n.key})})}get(k){return We(this,T).get(this._id,k)}store(k,D){return We(this,T).store(this._id,k,D)}delete(k){return We(this,T).delete(this._id,k)}}e.ExtensionSecrets=P,T=new WeakMap}),define(we[93],Ee([0,1,4,3]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTelemetry=e.ExtHostTelemetry=void 0;class T{constructor(){this._onDidChangeTelemetryEnabled=new S.Emitter,this.onDidChangeTelemetryEnabled=this._onDidChangeTelemetryEnabled.event,this._enabled=!1}getTelemetryEnabled(){return this._enabled}$initializeTelemetryEnabled(E){this._enabled=E}$onDidChangeTelemetryEnabled(E){this._enabled=E,this._onDidChangeTelemetryEnabled.fire(E)}}e.ExtHostTelemetry=T,e.IExtHostTelemetry=(0,_.createDecorator)("IExtHostTelemetry")}),define(we[68],Ee([0,1,4,3,14]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDto=void 0;var P;(function(k){function D(A){return{remoteAddress:A.remoteAddress,localAddress:A.localAddress,public:!!A.public}}k.fromApiTunnel=D;function n(A){return{remoteAddress:{host:A.tunnelRemoteHost,port:A.tunnelRemotePort},localAddress:A.localAddress,public:A.public}}k.fromServiceTunnel=n})(P=e.TunnelDto||(e.TunnelDto={})),e.IExtHostTunnelService=(0,_.createDecorator)("IExtHostTunnelService");let E=class{constructor(D){this.onDidChangeTunnels=new S.Emitter().event}async $applyCandidateFilter(D){return D}async openTunnel(D,n){}async getTunnels(){return[]}async setTunnelExtensionFunctions(D){return{dispose:()=>{}}}registerPortsAttributesProvider(D,n){return{dispose:()=>{}}}async $providePortAttributes(D,n,A,C,v){return[]}async $forwardPort(D,n){}async $closeTunnel(D){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};E=je([Ke(0,T.IExtHostRpcService)],E),e.ExtHostTunnelService=E}),define(we[69],Ee([0,1,4]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=(0,_.createDecorator)("IURITransformerService");class S{constructor(P){P?(this.transformIncoming=P.transformIncoming.bind(P),this.transformOutgoing=P.transformOutgoing.bind(P),this.transformOutgoingURI=P.transformOutgoingURI.bind(P),this.transformOutgoingScheme=P.transformOutgoingScheme.bind(P)):(this.transformIncoming=E=>E,this.transformOutgoing=E=>E,this.transformOutgoingURI=E=>E,this.transformOutgoingScheme=E=>E)}}e.URITransformerService=S}),define(we[70],Ee([0,1,2]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.asWebviewUri=void 0;function S(P,E,k){const D=P.webviewResourceRoot.replace("{{resource}}",k.scheme+T(k)).replace("{{uuid}}",E);return _.URI.parse(D)}e.asWebviewUri=S;function T(P){return P.toString().replace(/^\S+?:/,"")}}),define(we[159],Ee([0,1,3,6,70,29]),function(ae,e,_,S,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class E{constructor(D,n,A){this._proxy=D,this._editors=n,this._initData=A,this._handlePool=0,this._disposables=new S.DisposableStore,this._insets=new Map,this._disposables.add(n.onDidChangeVisibleTextEditors(()=>{const C=n.getVisibleTextEditors();for(const v of this._insets.values())C.indexOf(v.editor)<0&&v.inset.dispose()}))}dispose(){this._insets.forEach(D=>D.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(D,n,A,C,v){let d;for(const u of this._editors.getVisibleTextEditors(!0))if(u.value===D){d=u;break}if(!d)throw new Error("not a visible editor");const s=this,h=this._handlePool++,p=new _.Emitter,g=new _.Emitter,b=new class{constructor(){this._uuid=(0,P.generateUuid)(),this._html="",this._options=Object.create(null)}asWebviewUri(u){return(0,T.asWebviewUri)(s._initData,this._uuid,u)}get cspSource(){return s._initData.webviewCspSource}set options(u){this._options=u,s._proxy.$setOptions(h,u)}get options(){return this._options}set html(u){this._html=u,s._proxy.$setHtml(h,u)}get html(){return this._html}get onDidReceiveMessage(){return p.event}postMessage(u){return s._proxy.$postMessage(h,u)}},c=new class{constructor(){this.editor=D,this.line=n,this.height=A,this.webview=b,this.onDidDispose=g.event}dispose(){s._insets.has(h)&&(s._insets.delete(h),s._proxy.$disposeEditorInset(h),g.fire(),g.dispose(),p.dispose())}};return this._proxy.$createEditorInset(h,d.id,d.value.document.uri,n+1,A,C||{},v.identifier,v.extensionLocation),this._insets.set(h,{editor:D,inset:c,onDidReceiveMessage:p}),c}$onDidDispose(D){const n=this._insets.get(D);n&&n.inset.dispose()}$onDidReceiveMessage(D,n){const A=this._insets.get(D);A&&A.onDidReceiveMessage.fire(n)}}e.ExtHostEditorInsets=E}),define(we[160],Ee([0,1,3,64,135,4,6,22,30,15,51,23,37,154]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ResolvableTreeItem=e.TreeItemCollapsibleState=e.ViewVisibilityState=e.IViewDescriptorService=e.getVisbileViewContextKey=e.FocusedViewContext=e.IViewsService=e.ViewContentGroups=e.getEnabledViewContainerContextKey=e.ViewContainerLocationToString=e.ViewContainerLocation=e.Extensions=e.defaultViewIcon=void 0,e.defaultViewIcon=(0,d.registerIcon)("default-view-icon",v.Codicon.window,(0,T.localize)(0,null));var s;(function(i){i.ViewContainersRegistry="workbench.registry.view.containers",i.ViewsRegistry="workbench.registry.view"})(s=e.Extensions||(e.Extensions={}));var h;(function(i){i[i.Sidebar=0]="Sidebar",i[i.Panel=1]="Panel"})(h=e.ViewContainerLocation||(e.ViewContainerLocation={}));function p(i){switch(i){case 0:return"sidebar";case 1:return"panel"}}e.ViewContainerLocationToString=p;function g(i){return`viewContainer.${i}.enabled`}e.getEnabledViewContainerContextKey=g;class b extends E.Disposable{constructor(){super(...arguments);this._onDidRegister=this._register(new _.Emitter),this.onDidRegister=this._onDidRegister.event,this._onDidDeregister=this._register(new _.Emitter),this.onDidDeregister=this._onDidDeregister.event,this.viewContainers=new Map,this.defaultViewContainers=[]}get all(){return(0,n.flatten)([...this.viewContainers.values()])}registerViewContainer(f,y,I){var m;const w=this.get(f.id);if(w)return w;const R=f;return R.openCommandActionDescriptor=(I==null?void 0:I.donotRegisterOpenCommand)?void 0:(m=R.openCommandActionDescriptor)!==null&&m!==void 0?m:{id:R.id},(0,k.getOrSet)(this.viewContainers,y,[]).push(R),(I==null?void 0:I.isDefault)&&this.defaultViewContainers.push(R),this._onDidRegister.fire({viewContainer:R,viewContainerLocation:y}),R}deregisterViewContainer(f){for(const y of this.viewContainers.keys()){const I=this.viewContainers.get(y),m=I==null?void 0:I.indexOf(f);if(m!==-1){I==null||I.splice(m,1),I.length===0&&this.viewContainers.delete(y),this._onDidDeregister.fire({viewContainer:f,viewContainerLocation:y});return}}}get(f){return this.all.filter(y=>y.id===f)[0]}getViewContainers(f){return[...this.viewContainers.get(f)||[]]}getViewContainerLocation(f){return[...this.viewContainers.keys()].filter(y=>this.getViewContainers(y).filter(I=>(I==null?void 0:I.id)===f.id).length>0)[0]}getDefaultViewContainer(f){return this.defaultViewContainers.find(y=>this.getViewContainerLocation(y)===f)}}D.Registry.add(s.ViewContainersRegistry,new b);var c;(function(i){i.Open="2_open",i.Debug="4_debug",i.SCM="5_scm",i.More="9_more"})(c=e.ViewContentGroups||(e.ViewContentGroups={}));function u(i,f){var y,I,m,w;const R=(y=i.group)!==null&&y!==void 0?y:c.More,F=(I=f.group)!==null&&I!==void 0?I:c.More;return R!==F?R.localeCompare(F):((m=i.order)!==null&&m!==void 0?m:5)-((w=f.order)!==null&&w!==void 0?w:5)}class a extends E.Disposable{constructor(){super(...arguments);this._onViewsRegistered=this._register(new _.Emitter),this.onViewsRegistered=this._onViewsRegistered.event,this._onViewsDeregistered=this._register(new _.Emitter),this.onViewsDeregistered=this._onViewsDeregistered.event,this._onDidChangeContainer=this._register(new _.Emitter),this.onDidChangeContainer=this._onDidChangeContainer.event,this._onDidChangeViewWelcomeContent=this._register(new _.Emitter),this.onDidChangeViewWelcomeContent=this._onDidChangeViewWelcomeContent.event,this._viewContainers=[],this._views=new Map,this._viewWelcomeContents=new A.SetMap}registerViews(f,y){this.registerViews2([{views:f,viewContainer:y}])}registerViews2(f){f.forEach(({views:y,viewContainer:I})=>this.addViews(y,I)),this._onViewsRegistered.fire(f)}deregisterViews(f,y){const I=this.removeViews(f,y);I.length&&this._onViewsDeregistered.fire({views:I,viewContainer:y})}moveViews(f,y){for(const I of this._views.keys())if(I!==y){const m=this.removeViews(f,I);m.length&&(this.addViews(m,y),this._onDidChangeContainer.fire({views:m,from:I,to:y}))}}getViews(f){return this._views.get(f)||[]}getView(f){for(const y of this._viewContainers){const I=(this._views.get(y)||[]).filter(m=>m.id===f)[0];if(I)return I}return null}getViewContainer(f){for(const y of this._viewContainers)if((this._views.get(y)||[]).filter(m=>m.id===f)[0])return y;return null}registerViewWelcomeContent(f,y){return this._viewWelcomeContents.add(f,y),this._onDidChangeViewWelcomeContent.fire(f),(0,E.toDisposable)(()=>{this._viewWelcomeContents.delete(f,y),this._onDidChangeViewWelcomeContent.fire(f)})}registerViewWelcomeContent2(f,y){const I=new Map;for(const[m,w]of y)this._viewWelcomeContents.add(f,w),I.set(m,(0,E.toDisposable)(()=>{this._viewWelcomeContents.delete(f,w),this._onDidChangeViewWelcomeContent.fire(f)}));return this._onDidChangeViewWelcomeContent.fire(f),I}getViewWelcomeContent(f){const y=[];return this._viewWelcomeContents.forEach(f,I=>y.push(I)),y.sort(u)}addViews(f,y){let I=this._views.get(y);I||(I=[],this._views.set(y,I),this._viewContainers.push(y));for(const m of f){if(this.getView(m.id)!==null)throw new Error((0,T.localize)(1,null,m.id));I.push(m)}}removeViews(f,y){const I=this._views.get(y);if(!I)return[];const m=[],w=[];for(const R of I)f.includes(R)?m.push(R):w.push(R);return m.length&&(w.length?this._views.set(y,w):(this._views.delete(y),this._viewContainers.splice(this._viewContainers.indexOf(y),1))),m}}D.Registry.add(s.ViewsRegistry,new a),e.IViewsService=(0,P.createDecorator)("viewsService"),e.FocusedViewContext=new S.RawContextKey("focusedView","",(0,T.localize)(2,null));function t(i){return`view.${i}.visible`}e.getVisbileViewContextKey=t,e.IViewDescriptorService=(0,P.createDecorator)("viewDescriptorService");var r;(function(i){i[i.Default=0]="Default",i[i.Expand=1]="Expand"})(r=e.ViewVisibilityState||(e.ViewVisibilityState={}));var o;(function(i){i[i.None=0]="None",i[i.Collapsed=1]="Collapsed",i[i.Expanded=2]="Expanded"})(o=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));class l{constructor(f,y){this.resolved=!1,this._hasResolve=!1,(0,C.mixin)(this,f),this._hasResolve=!!y,this.resolve=async I=>{var m,w;if(y&&!this.resolved){const R=await y(I);R&&(this.tooltip=(m=this.tooltip)!==null&&m!==void 0?m:R.tooltip,this.command=(w=this.command)!==null&&w!==void 0?w:R.command)}I.isCancellationRequested||(this.resolved=!0)}}get hasResolve(){return this._hasResolve}resetResolve(){this.resolved=!1}asTreeItem(){return{handle:this.handle,parentHandle:this.parentHandle,collapsibleState:this.collapsibleState,label:this.label,description:this.description,icon:this.icon,iconDark:this.iconDark,themeIcon:this.themeIcon,resourceUri:this.resourceUri,tooltip:this.tooltip,contextValue:this.contextValue,command:this.command,children:this.children,accessibilityInformation:this.accessibilityInformation}}}e.ResolvableTreeItem=l}),define(we[161],Ee([0,1,2,144,155,19,145,160]),function(ae,e,_,S,T,P,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MoveViewsAPICommand=e.OpenIssueReporter=e.RemoveFromRecentlyOpenedAPICommand=e.NewWindowAPICommand=void 0;function D(h){return(p,...g)=>h(p.get(S.ICommandService),...g)}class n{static execute(p,g){const b={forceReuseWindow:g&&g.reuseWindow,remoteAuthority:g&&g.remoteAuthority};return p.executeCommand("_files.newWindow",b)}}e.NewWindowAPICommand=n,n.ID="vscode.newWindow",S.CommandsRegistry.registerCommand({id:n.ID,handler:D(n.execute),description:{description:"Opens an new window",args:[]}}),S.CommandsRegistry.registerCommand("_workbench.removeFromRecentlyOpened",function(h,p){return h.get(T.IWorkspacesService).removeRecentlyOpened([p])});class A{static execute(p,g){return typeof g=="string"?g=g.match(/^[^:/?#]+:\/\//)?_.URI.parse(g):_.URI.file(g):g=_.URI.revive(g),p.executeCommand("_workbench.removeFromRecentlyOpened",g)}}e.RemoveFromRecentlyOpenedAPICommand=A,A.ID="vscode.removeFromRecentlyOpened",S.CommandsRegistry.registerCommand(A.ID,D(A.execute));class C{static execute(p,g){const b=typeof g=="string"?{extensionId:g}:g;return p.executeCommand("workbench.action.openIssueReporter",b)}}e.OpenIssueReporter=C,C.ID="vscode.openIssueReporter",S.CommandsRegistry.registerCommand("_workbench.addToRecentlyOpened",async function(h,p){const g=h.get(T.IWorkspacesService);let b;const c=p.uri,u=p.label,a=p.remoteAuthority;return p.type==="workspace"?b={workspace:await g.getWorkspaceIdentifier(c),label:u,remoteAuthority:a}:p.type==="folder"?b={folderUri:c,label:u,remoteAuthority:a}:b={fileUri:c,label:u,remoteAuthority:a},g.addRecentlyOpened([b])}),S.CommandsRegistry.registerCommand("_workbench.getRecentlyOpened",async function(h){return h.get(T.IWorkspacesService).getRecentlyOpened()}),S.CommandsRegistry.registerCommand("_extensionTests.setLogLevel",function(h,p){const g=h.get(P.ILogService),b=h.get(E.IEnvironmentService);b.isExtensionDevelopment&&!!b.extensionTestsLocationURI&&g.setLevel(p)}),S.CommandsRegistry.registerCommand("_extensionTests.getLogLevel",function(h){return h.get(P.ILogService).getLevel()}),S.CommandsRegistry.registerCommand("_workbench.action.moveViews",async function(h,p){const g=h.get(k.IViewDescriptorService),b=g.getViewContainerById(p.destinationId);if(!!b){for(const c of p.viewIds){const u=g.getViewDescriptorById(c);(u==null?void 0:u.canMoveView)&&g.moveViewsToContainer([u],b,k.ViewVisibilityState.Default)}await h.get(k.IViewsService).openViewContainer(b.id,!0)}});class v{static execute(p,g){return!Array.isArray(g==null?void 0:g.viewIds)||typeof(g==null?void 0:g.destinationId)!="string"?Promise.reject("Invalid arguments"):p.executeCommand("_workbench.action.moveViews",g)}}e.MoveViewsAPICommand=v,v.ID="vscode.moveViews",S.CommandsRegistry.registerCommand({id:v.ID,handler:D(v.execute),description:{description:"Move Views",args:[]}});class d{static execute(p,g){return p.executeCommand("_workbench.open",g)}}d.ID="vscode.open",S.CommandsRegistry.registerCommand(d.ID,D(d.execute));class s{static execute(p,g,b,c,u){return p.executeCommand("_workbench.diff",[g,b,c])}}s.ID="vscode.diff",S.CommandsRegistry.registerCommand(s.ID,D(s.execute))}),define(we[162],Ee([0,1,3,13,136]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class P{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new _.Emitter,this._onExit=new _.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(k){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=k}onEvent(k){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=k}onRequest(k){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=k}sendResponse(k){k.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${k.command}`)):this.internalSend("response",k)}sendRequest(k,D,n,A){const C={command:k};if(D&&Object.keys(D).length>0&&(C.arguments=D),this.internalSend("request",C),typeof A=="number"){const v=setTimeout(()=>{clearTimeout(v);const d=this.pendingRequests.get(C.seq);if(d){this.pendingRequests.delete(C.seq);const s={type:"response",seq:0,request_seq:C.seq,success:!1,command:k,message:(0,T.localize)(0,null,A,k)};d(s)}},A)}return n&&this.pendingRequests.set(C.seq,n),C.seq}acceptMessage(k){this.messageCallback?this.messageCallback(k):(this.queue.push(k),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(k,D){return k.type!=="event"||D.type!=="event"}async processQueue(){let k;for(;this.queue.length;){if((!k||this.needsTaskBoundaryBetween(this.queue[0],k))&&await(0,S.timeout)(0),k=this.queue.shift(),!k)return;switch(k.type){case"event":this.eventCallback&&this.eventCallback(k);break;case"request":this.requestCallback&&this.requestCallback(k);break;case"response":const D=k,n=this.pendingRequests.get(D.request_seq);n&&(this.pendingRequests.delete(D.request_seq),n(D));break}}}internalSend(k,D){D.type=k,D.seq=this.sequence++,this.sendMessage(D)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const k=new Map;this.pendingRequests.forEach((D,n)=>k.set(n,D)),await(0,S.timeout)(500),k.forEach((D,n)=>{D({type:"response",seq:0,request_seq:n,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(n)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=P}),define(we[163],Ee([0,1,8,2,11,23,16]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const k=/{([^}]+)}/g;function D(r,o,l){return r.replace(k,function(i,f){return o&&f.length>0&&f[0]!=="_"?i:l&&l.hasOwnProperty(f)?l[f]:i})}e.formatPII=D;function n(r){const o={};for(const l of Object.keys(r))l.startsWith("!")||(o[l]=r[l]);return o}e.filterExceptionsFromTelemetry=n;function A(r){return r.configuration.request==="attach"&&!C(r)}e.isSessionAttach=A;function C(r){let o=r.configuration.type;if(!!o)return o==="vslsShare"&&(o=r.configuration.adapterProxy.configuration.type),(0,_.equalsIgnoreCase)(o,"extensionhost")||(0,_.equalsIgnoreCase)(o,"pwa-extensionhost")?r:r.parentSession?C(r.parentSession):void 0}e.getExtensionHostDebugSession=C;function v(r){return r.type&&(r.label||r.program||r.runtime)}e.isDebuggerMainContribution=v;function d(r,o,l){let i,f=0,y=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g,I=null;for(;I=y.exec(r);){let m=I.index+1,w=m+I[0].length;if(m<=o&&w>=l){i=I[0],f=m;break}}if(i){let m=/\w+/g,w=null;for(;(w=m.exec(i))&&!(w.index+1+f+w[0].length>=l););w&&(i=i.substring(0,m.lastIndex))}return i?{start:f,end:f+i.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=d;const s=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function h(r){return!!(r&&r.match(s))}e.isUri=h;function p(r){if(typeof r.path=="string"&&!(typeof r.sourceReference=="number"&&r.sourceReference>0)){if(h(r.path))return S.URI.parse(r.path);if((0,T.isAbsolute)(r.path))return S.URI.file(r.path)}return r.path}function g(r){if(typeof r.path=="object"){const o=S.URI.revive(r.path);if(o)return o.scheme===E.Schemas.file?o.fsPath:o.toString()}return r.path}function b(r,o){const l=o?p:g,i=(0,P.deepClone)(r);return u(i,(f,y)=>{f&&y&&(y.path=l(y))}),i}e.convertToDAPaths=b;function c(r,o){const l=o?p:g,i=(0,P.deepClone)(r);return u(i,(f,y)=>{!f&&y&&(y.path=l(y))}),i}e.convertToVSCPaths=c;function u(r,o){switch(r.type){case"event":const l=r;switch(l.event){case"output":o(!1,l.body.source);break;case"loadedSource":o(!1,l.body.source);break;case"breakpoint":o(!1,l.body.breakpoint.source);break;default:break}break;case"request":const i=r;switch(i.command){case"setBreakpoints":o(!0,i.arguments.source);break;case"breakpointLocations":o(!0,i.arguments.source);break;case"source":o(!0,i.arguments.source);break;case"gotoTargets":o(!0,i.arguments.source);break;case"launchVSCode":i.arguments.args.forEach(y=>o(!1,y));break;default:break}break;case"response":const f=r;if(f.success&&f.body)switch(f.command){case"stackTrace":f.body.stackFrames.forEach(y=>o(!1,y.source));break;case"loadedSources":f.body.sources.forEach(y=>o(!1,y));break;case"scopes":f.body.scopes.forEach(y=>o(!1,y.source));break;case"setFunctionBreakpoints":f.body.breakpoints.forEach(y=>o(!1,y.source));break;case"setBreakpoints":f.body.breakpoints.forEach(y=>o(!1,y.source));break;default:break}break}}function a(r){return r.filter(o=>{var l;return!((l=o.presentation)===null||l===void 0?void 0:l.hidden)}).sort((o,l)=>o.presentation?l.presentation?o.presentation.group?l.presentation.group?o.presentation.group!==l.presentation.group?o.presentation.group.localeCompare(l.presentation.group):t(o.presentation.order,l.presentation.order):-1:l.presentation.group?1:t(o.presentation.order,l.presentation.order):-1:l.presentation?1:0)}e.getVisibleAndSorted=a;function t(r,o){return typeof r!="number"?typeof o!="number"?0:1:typeof o!="number"?-1:r-o}}),define(we[40],Ee([0,1,28,16,11,21,64]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cellRangesToIndexes=e.cellIndexesToRanges=e.CellStatusbarAlignment=e.NotebookTextDiffEditorPreview=e.ShowCellStatusBarKey=e.CellToolbarLocKey=e.DisplayOrderKey=e.CellSequence=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BEGIN_END=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.sortMimeTypes=e.mimeTypeSupportedByCore=e.mimeTypeIsAlwaysSecure=e.CellUri=e.getCellUndoRedoComparisonKey=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.NotebookCellRunState=e.notebookDocumentMetadataDefaults=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.BUILTIN_RENDERER_ID=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=void 0;var k;(function(I){I[I.Markdown=1]="Markdown",I[I.Code=2]="Code"})(k=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml","text/markdown","image/png","image/jpeg","text/plain"],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=["text/markdown","application/json","text/plain","text/html","image/svg+xml","image/png","image/jpeg"],e.BUILTIN_RENDERER_ID="_builtin",e.RENDERER_NOT_AVAILABLE="_notAvailable";var D;(function(I){I[I.Running=1]="Running",I[I.Idle=2]="Idle"})(D=e.NotebookRunState||(e.NotebookRunState={})),e.notebookDocumentMetadataDefaults={editable:!0,cellEditable:!0,cellHasExecutionOrder:!0,custom:{},runState:D.Idle,trusted:!0};var n;(function(I){I[I.Running=1]="Running",I[I.Idle=2]="Idle",I[I.Success=3]="Success",I[I.Error=4]="Error"})(n=e.NotebookCellRunState||(e.NotebookCellRunState={}));var A;(function(I){I[I.ModelChange=1]="ModelChange",I[I.Move=2]="Move",I[I.CellClearOutput=3]="CellClearOutput",I[I.CellsClearOutput=4]="CellsClearOutput",I[I.ChangeLanguage=5]="ChangeLanguage",I[I.Initialize=6]="Initialize",I[I.ChangeCellMetadata=7]="ChangeCellMetadata",I[I.Output=8]="Output",I[I.OutputItem=9]="OutputItem",I[I.ChangeCellContent=10]="ChangeCellContent",I[I.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",I[I.Unknown=12]="Unknown"})(A=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var C;(function(I){I[I.Handle=0]="Handle",I[I.Index=1]="Index"})(C=e.SelectionStateType||(e.SelectionStateType={}));var v;(function(I){I[I.Replace=1]="Replace",I[I.Output=2]="Output",I[I.Metadata=3]="Metadata",I[I.CellLanguage=4]="CellLanguage",I[I.DocumentMetadata=5]="DocumentMetadata",I[I.OutputsSplice=6]="OutputsSplice",I[I.Move=7]="Move",I[I.Unknown=8]="Unknown",I[I.CellContent=9]="CellContent",I[I.OutputItems=10]="OutputItems"})(v=e.CellEditType||(e.CellEditType={}));function d(I){const m=s.parse(I);return m?m.notebook.toString():I.toString()}e.getCellUndoRedoComparisonKey=d;var s;(function(I){I.scheme=S.Schemas.vscodeNotebookCell;const m=/^ch(\d{7,})/;function w(oe,ie){return oe.with({scheme:I.scheme,fragment:`ch${ie.toString().padStart(7,"0")}${oe.scheme!==S.Schemas.file?oe.scheme:""}`})}I.generate=w;function R(oe){if(oe.scheme===I.scheme){const ie=m.exec(oe.fragment);if(!!ie)return{handle:Number(ie[1]),notebook:oe.with({scheme:oe.fragment.substr(ie[0].length)||S.Schemas.file,fragment:null})}}}I.parse=R;function F(oe,ie){return oe.with({scheme:S.Schemas.vscodeNotebookCellMetadata,fragment:`ch${ie.toString().padStart(7,"0")}${oe.scheme!==S.Schemas.file?oe.scheme:""}`})}I.generateCellMetadataUri=F;function W(oe){if(oe.scheme===S.Schemas.vscodeNotebookCellMetadata){const ie=m.exec(oe.fragment);if(!!ie)return{handle:Number(ie[1]),notebook:oe.with({scheme:oe.fragment.substr(ie[0].length)||S.Schemas.file,fragment:null})}}}I.parseCellMetadataUri=W})(s=e.CellUri||(e.CellUri={}));const h=new Map([["application/json",{alwaysSecure:!0,supportedByCore:!0}],["text/markdown",{alwaysSecure:!0,supportedByCore:!0}],["image/png",{alwaysSecure:!0,supportedByCore:!0}],["text/plain",{alwaysSecure:!0,supportedByCore:!0}],["application/javascript",{supportedByCore:!0}],["text/html",{supportedByCore:!0}],["image/svg+xml",{supportedByCore:!0}],["image/jpeg",{supportedByCore:!0}],["text/x-javascript",{supportedByCore:!0}],["application/x.notebook.error-traceback",{alwaysSecure:!0,supportedByCore:!0}]]);function p(I){var m,w;return(w=(m=h.get(I))===null||m===void 0?void 0:m.alwaysSecure)!==null&&w!==void 0?w:!1}e.mimeTypeIsAlwaysSecure=p;function g(I){var m,w;return(w=(m=h.get(I))===null||m===void 0?void 0:m.supportedByCore)!==null&&w!==void 0?w:!1}e.mimeTypeSupportedByCore=g;function b(I,m){return P.isWindows&&(I=I.replace(/\//g,"\\"),m=m.replace(/\//g,"\\")),_.match(I,m)}function c(I,m,w){let R=0;for(let F=0;F<m.length;F++){if(b(m[F],I))return R;R++}for(let F=0;F<w.length;F++){if(b(w[F],I))return R;R++}return R}function u(I,m,w){return I.sort((R,F)=>c(R,m,w)-c(F,m,w))}e.sortMimeTypes=u;function a(I,m,w,R=(F,W)=>F===W){const F=[];function W(j,ee,M){if(!(ee===0&&M.length===0)){const x=F[F.length-1];x&&x.start+x.deleteCount===j?(x.deleteCount+=ee,x.toInsert.push(...M)):F.push({start:j,deleteCount:ee,toInsert:M})}}let oe=0,ie=0;for(;;){if(oe===I.length){W(oe,0,m.slice(ie));break}if(ie===m.length){W(oe,I.length-oe,[]);break}const j=I[oe],ee=m[ie];if(R(j,ee)){oe+=1,ie+=1;continue}w(ee)?(W(oe,1,[]),oe+=1):(W(oe,0,[ee]),ie+=1)}return F}e.diff=a,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new E.RawContextKey("notebookEditorCursorAtBoundary","none"),e.NOTEBOOK_EDITOR_CURSOR_BEGIN_END=new E.RawContextKey("notebookEditorCursorAtEditorBeginEnd",!1);var t;(function(I){I.default="default",I.option="option"})(t=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function r(I){const m=I;return!!((typeof m.include=="string"||_.isRelativePattern(m.include))&&(typeof m.exclude=="string"||_.isRelativePattern(m.exclude)))}e.isDocumentExcludePattern=r;function o(I,m,w){if(Array.isArray(I.viewType)&&I.viewType.indexOf(m)>=0||I.viewType===m)return!0;if(I.filenamePattern){let R=r(I.filenamePattern)?I.filenamePattern.include:I.filenamePattern,F=r(I.filenamePattern)?I.filenamePattern.exclude:void 0;if(_.match(R,(0,T.basename)(w.fsPath).toLowerCase()))return!(F&&_.match(F,(0,T.basename)(w.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=o;class l{constructor(m){this.textModel=m}getElements(){const m=new Int32Array(this.textModel.cells.length);for(let w=0;w<this.textModel.cells.length;w++)m[w]=this.textModel.cells[w].getHashValue();return m}}e.CellSequence=l,e.DisplayOrderKey="notebook.displayOrder",e.CellToolbarLocKey="notebook.cellToolbarLocation",e.ShowCellStatusBarKey="notebook.showCellStatusBar",e.NotebookTextDiffEditorPreview="notebook.diff.enablePreview";var i;(function(I){I[I.LEFT=0]="LEFT",I[I.RIGHT=1]="RIGHT"})(i=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));function f(I){const m=I.shift();return m===void 0?[]:I.reduce(function(w,R){return R<=w[0][1]?w[0][1]=R+1:w.unshift([R,R+1]),w},[[m,m+1]]).reverse().map(w=>({start:w[0],end:w[1]}))}e.cellIndexesToRanges=f;function y(I){return I.reduce((w,R)=>{for(let F=R.start;F<R.end;F++)w.push(F);return w},[])}e.cellRangesToIndexes=y});var tt=this&&this.__classPrivateFieldSet||function(ae,e,_){if(!e.has(ae))throw new TypeError("attempted to set private field on non-instance");return e.set(ae,_),_},We=this&&this.__classPrivateFieldGet||function(ae,e){if(!e.has(ae))throw new TypeError("attempted to get private field on non-instance");return e.get(ae)};define(we[7],Ee([0,1,15,10,80,22,12,2,29,65,90,40]),function(ae,e,_,S,T,P,E,k,D,n,A,C){"use strict";var v,d,s,h,p,g,b,c,u,a,t,r,o,l,i,f;Object.defineProperty(e,"__esModule",{value:!0}),e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.TestMessage=e.TestState=e.TestItem=e.TestMessageSeverity=e.TestResult=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookRunState=e.NotebookCellRunState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookData=e.NotebookCellData=e.NotebookDocumentMetadata=e.NotebookCellMetadata=e.NotebookCellRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.QuickInputButtons=e.DebugConfigurationProviderTriggerKind=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlineHint=e.InlineHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTriggerKind=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function y(O){function L(){return Reflect.construct(O,arguments,this.constructor)}return Object.defineProperty(L,"name",Object.getOwnPropertyDescriptor(O,"name")),Object.setPrototypeOf(L,O),Object.setPrototypeOf(L.prototype,O.prototype),L}let I=s=class{constructor(L){v.set(this,void 0),tt(this,v,L)}static from(...L){let ne=L;return new s(function(){if(ne){for(const ye of ne)ye&&typeof ye.dispose=="function"&&ye.dispose();ne=void 0}})}dispose(){typeof We(this,v)=="function"&&(We(this,v).call(this),tt(this,v,void 0))}};v=new WeakMap,I=s=je([y],I),e.Disposable=I;let m=h=class{constructor(L,ne){if(L<0)throw(0,S.illegalArgument)("line must be non-negative");if(ne<0)throw(0,S.illegalArgument)("character must be non-negative");this._line=L,this._character=ne}static Min(...L){if(L.length===0)throw new TypeError;let ne=L[0];for(let ye=1;ye<L.length;ye++){const ze=L[ye];ze.isBefore(ne)&&(ne=ze)}return ne}static Max(...L){if(L.length===0)throw new TypeError;let ne=L[0];for(let ye=1;ye<L.length;ye++){const ze=L[ye];ze.isAfter(ne)&&(ne=ze)}return ne}static isPosition(L){if(!L)return!1;if(L instanceof h)return!0;let{line:ne,character:ye}=L;return typeof ne=="number"&&typeof ye=="number"}get line(){return this._line}get character(){return this._character}isBefore(L){return this._line<L._line?!0:L._line<this._line?!1:this._character<L._character}isBeforeOrEqual(L){return this._line<L._line?!0:L._line<this._line?!1:this._character<=L._character}isAfter(L){return!this.isBeforeOrEqual(L)}isAfterOrEqual(L){return!this.isBefore(L)}isEqual(L){return this._line===L._line&&this._character===L._character}compareTo(L){return this._line<L._line?-1:this._line>L.line?1:this._character<L._character?-1:this._character>L._character?1:0}translate(L,ne=0){if(L===null||ne===null)throw(0,S.illegalArgument)();let ye;return typeof L=="undefined"?ye=0:typeof L=="number"?ye=L:(ye=typeof L.lineDelta=="number"?L.lineDelta:0,ne=typeof L.characterDelta=="number"?L.characterDelta:0),ye===0&&ne===0?this:new h(this.line+ye,this.character+ne)}with(L,ne=this.character){if(L===null||ne===null)throw(0,S.illegalArgument)();let ye;return typeof L=="undefined"?ye=this.line:typeof L=="number"?ye=L:(ye=typeof L.line=="number"?L.line:this.line,ne=typeof L.character=="number"?L.character:this.character),ye===this.line&&ne===this.character?this:new h(ye,ne)}toJSON(){return{line:this.line,character:this.character}}};m=h=je([y],m),e.Position=m;let w=p=class{constructor(L,ne,ye,ze){let Ye,it;if(typeof L=="number"&&typeof ne=="number"&&typeof ye=="number"&&typeof ze=="number"?(Ye=new m(L,ne),it=new m(ye,ze)):L instanceof m&&ne instanceof m&&(Ye=L,it=ne),!Ye||!it)throw new Error("Invalid arguments");Ye.isBefore(it)?(this._start=Ye,this._end=it):(this._start=it,this._end=Ye)}static isRange(L){return L instanceof p?!0:L?m.isPosition(L.start)&&m.isPosition(L.end):!1}get start(){return this._start}get end(){return this._end}contains(L){return L instanceof p?this.contains(L._start)&&this.contains(L._end):L instanceof m?!(L.isBefore(this._start)||this._end.isBefore(L)):!1}isEqual(L){return this._start.isEqual(L._start)&&this._end.isEqual(L._end)}intersection(L){const ne=m.Max(L.start,this._start),ye=m.Min(L.end,this._end);if(!ne.isAfter(ye))return new p(ne,ye)}union(L){if(this.contains(L))return this;if(L.contains(this))return L;const ne=m.Min(L.start,this._start),ye=m.Max(L.end,this.end);return new p(ne,ye)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(L,ne=this.end){if(L===null||ne===null)throw(0,S.illegalArgument)();let ye;return L?m.isPosition(L)?ye=L:(ye=L.start||this.start,ne=L.end||this.end):ye=this.start,ye.isEqual(this._start)&&ne.isEqual(this.end)?this:new p(ye,ne)}toJSON(){return[this.start,this.end]}};w=p=je([y],w),e.Range=w;let R=g=class extends w{constructor(L,ne,ye,ze){let Ye,it;if(typeof L=="number"&&typeof ne=="number"&&typeof ye=="number"&&typeof ze=="number"?(Ye=new m(L,ne),it=new m(ye,ze)):L instanceof m&&ne instanceof m&&(Ye=L,it=ne),!Ye||!it)throw new Error("Invalid arguments");super(Ye,it);this._anchor=Ye,this._active=it}static isSelection(L){return L instanceof g?!0:L?w.isRange(L)&&m.isPosition(L.anchor)&&m.isPosition(L.active)&&typeof L.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};R=g=je([y],R),e.Selection=R;class F{constructor(L,ne,ye){if(typeof L!="string"||L.length===0)throw(0,S.illegalArgument)("host");if(typeof ne!="number"||ne===0||Math.round(ne)!==ne)throw(0,S.illegalArgument)("port");if(typeof ye!="undefined"&&(typeof ye!="string"||ye.length===0||!/^[0-9A-Za-z\-]+$/.test(ye)))throw(0,S.illegalArgument)("connectionToken");this.host=L,this.port=Math.round(ne),this.connectionToken=ye}}e.ResolvedAuthority=F;class W extends Error{constructor(L,ne=A.RemoteAuthorityResolverErrorCode.Unknown,ye){super(L);this._message=L,this._code=ne,this._detail=ye,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,W.prototype)}static NotAvailable(L,ne){return new W(L,A.RemoteAuthorityResolverErrorCode.NotAvailable,ne)}static TemporarilyNotAvailable(L){return new W(L,A.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=W;var oe;(function(O){O[O.LF=1]="LF",O[O.CRLF=2]="CRLF"})(oe=e.EndOfLine||(e.EndOfLine={}));var ie;(function(O){O[O.Replace=1]="Replace",O[O.Append=2]="Append",O[O.Prepend=3]="Prepend"})(ie=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let j=b=class{constructor(L,ne){this._range=L,this._newText=ne}static isTextEdit(L){return L instanceof b?!0:L?w.isRange(L)&&typeof L.newText=="string":!1}static replace(L,ne){return new b(L,ne)}static insert(L,ne){return b.replace(new w(L,L),ne)}static delete(L){return b.replace(L,"")}static setEndOfLine(L){const ne=new b(new w(new m(0,0),new m(0,0)),"");return ne.newEol=L,ne}get range(){return this._range}set range(L){if(L&&!w.isRange(L))throw(0,S.illegalArgument)("range");this._range=L}get newText(){return this._newText||""}set newText(L){if(L&&typeof L!="string")throw(0,S.illegalArgument)("newText");this._newText=L}get newEol(){return this._newEol}set newEol(L){if(L&&typeof L!="number")throw(0,S.illegalArgument)("newEol");this._newEol=L}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};j=b=je([y],j),e.TextEdit=j;var ee;(function(O){O[O.File=1]="File",O[O.Text=2]="Text",O[O.Cell=3]="Cell",O[O.CellOutput=4]="CellOutput",O[O.CellReplace=5]="CellReplace",O[O.CellOutputItem=6]="CellOutputItem"})(ee=e.FileEditType||(e.FileEditType={}));let M=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(L,ne,ye,ze){this._edits.push({_type:1,from:L,to:ne,options:ye,metadata:ze})}createFile(L,ne,ye){this._edits.push({_type:1,from:void 0,to:L,options:ne,metadata:ye})}deleteFile(L,ne,ye){this._edits.push({_type:1,from:L,to:void 0,options:ne,metadata:ye})}replaceNotebookMetadata(L,ne,ye){this._edits.push({_type:3,metadata:ye,uri:L,edit:{editType:5,metadata:Object.assign(Object.assign({},C.notebookDocumentMetadataDefaults),ne)},notebookMetadata:ne})}replaceNotebookCells(L,ne,ye,ze,Ye){(ne!==ye||ze.length>0)&&this._edits.push({_type:5,uri:L,index:ne,count:ye-ne,cells:ze,metadata:Ye})}replaceNotebookCellOutput(L,ne,ye,ze){this._editNotebookCellOutput(L,ne,!1,ye,ze)}appendNotebookCellOutput(L,ne,ye,ze){this._editNotebookCellOutput(L,ne,!0,ye,ze)}replaceNotebookCellOutputItems(L,ne,ye,ze,Ye){this._editNotebookCellOutputItems(L,ne,ye,!1,ze,Ye)}appendNotebookCellOutputItems(L,ne,ye,ze,Ye){this._editNotebookCellOutputItems(L,ne,ye,!0,ze,Ye)}_editNotebookCellOutputItems(L,ne,ye,ze,Ye,it){this._edits.push({_type:6,metadata:it,uri:L,index:ne,outputId:ye,append:ze,newOutputItems:Ye})}_editNotebookCellOutput(L,ne,ye,ze,Ye){this._edits.push({_type:4,metadata:Ye,uri:L,index:ne,append:ye,newOutputs:ze,newMetadata:void 0})}replaceNotebookCellMetadata(L,ne,ye,ze){this._edits.push({_type:3,metadata:ze,uri:L,edit:{editType:3,index:ne,metadata:ye}})}replace(L,ne,ye,ze){this._edits.push({_type:2,uri:L,edit:new j(ne,ye),metadata:ze})}insert(L,ne,ye,ze){this.replace(L,new w(ne,ne),ye,ze)}delete(L,ne,ye){this.replace(L,ne,"",ye)}has(L){return this._edits.some(ne=>ne._type===2&&ne.uri.toString()===L.toString())}set(L,ne){if(ne)for(const ye of ne)ye&&this._edits.push({_type:2,uri:L,edit:ye});else{for(let ye=0;ye<this._edits.length;ye++){const ze=this._edits[ye];ze._type===2&&ze.uri.toString()===L.toString()&&(this._edits[ye]=void 0)}(0,_.coalesceInPlace)(this._edits)}}get(L){const ne=[];for(let ye of this._edits)ye._type===2&&ye.uri.toString()===L.toString()&&ne.push(ye.edit);return ne}entries(){const L=new P.ResourceMap;for(let ne of this._edits)if(ne._type===2){let ye=L.get(ne.uri);ye||(ye=[ne.uri,[]],L.set(ne.uri,ye)),ye[1].push(ne.edit)}return[...L.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};M=je([y],M),e.WorkspaceEdit=M;let x=c=class{constructor(L){this._tabstop=1,this.value=L||""}static isSnippetString(L){return L instanceof c?!0:L?typeof L.value=="string":!1}static _escape(L){return L.replace(/\$|}|\\/g,"\\$&")}appendText(L){return this.value+=c._escape(L),this}appendTabstop(L=this._tabstop++){return this.value+="$",this.value+=L,this}appendPlaceholder(L,ne=this._tabstop++){if(typeof L=="function"){const ye=new c;ye._tabstop=this._tabstop,L(ye),this._tabstop=ye._tabstop,L=ye.value}else L=c._escape(L);return this.value+="${",this.value+=ne,this.value+=":",this.value+=L,this.value+="}",this}appendChoice(L,ne=this._tabstop++){const ye=L.map(ze=>ze.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=ne,this.value+="|",this.value+=ye,this.value+="|}",this}appendVariable(L,ne){if(typeof ne=="function"){const ye=new c;ye._tabstop=this._tabstop,ne(ye),this._tabstop=ye._tabstop,ne=ye.value}else typeof ne=="string"&&(ne=ne.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=L,ne&&(this.value+=":",this.value+=ne),this.value+="}",this}};x=c=je([y],x),e.SnippetString=x;var $;(function(O){O[O.Unnecessary=1]="Unnecessary",O[O.Deprecated=2]="Deprecated"})($=e.DiagnosticTag||(e.DiagnosticTag={}));var q;(function(O){O[O.Hint=3]="Hint",O[O.Information=2]="Information",O[O.Warning=1]="Warning",O[O.Error=0]="Error"})(q=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let U=u=class{constructor(L,ne){if(this.uri=L,ne)if(ne instanceof w)this.range=ne;else if(ne instanceof m)this.range=new w(ne,ne);else throw new Error("Illegal argument")}static isLocation(L){return L instanceof u?!0:L?w.isRange(L.range)&&k.URI.isUri(L.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};U=u=je([y],U),e.Location=U;let Y=class{constructor(L,ne){this.location=L,this.message=ne}static is(L){return L?typeof L.message=="string"&&L.location&&w.isRange(L.location.range)&&k.URI.isUri(L.location.uri):!1}static isEqual(L,ne){return L===ne?!0:!L||!ne?!1:L.message===ne.message&&L.location.range.isEqual(ne.location.range)&&L.location.uri.toString()===ne.location.uri.toString()}};Y=je([y],Y),e.DiagnosticRelatedInformation=Y;let Z=class{constructor(L,ne,ye=q.Error){if(!w.isRange(L))throw new TypeError("range must be set");if(!ne)throw new TypeError("message must be set");this.range=L,this.message=ne,this.severity=ye}toJSON(){return{severity:q[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(L,ne){return L===ne?!0:!L||!ne?!1:L.message===ne.message&&L.severity===ne.severity&&L.code===ne.code&&L.severity===ne.severity&&L.source===ne.source&&L.range.isEqual(ne.range)&&(0,_.equals)(L.tags,ne.tags)&&(0,_.equals)(L.relatedInformation,ne.relatedInformation,Y.isEqual)}};Z=je([y],Z),e.Diagnostic=Z;let se=class{constructor(L,ne){if(!L)throw new Error("Illegal argument, contents must be defined");Array.isArray(L)?this.contents=L:(0,T.isMarkdownString)(L)?this.contents=[L]:this.contents=[L],this.range=ne}};se=je([y],se),e.Hover=se;var Se;(function(O){O[O.Text=0]="Text",O[O.Read=1]="Read",O[O.Write=2]="Write"})(Se=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let Pe=class{constructor(L,ne=Se.Text){this.range=L,this.kind=ne}toJSON(){return{range:this.range,kind:Se[this.kind]}}};Pe=je([y],Pe),e.DocumentHighlight=Pe;var $e;(function(O){O[O.File=0]="File",O[O.Module=1]="Module",O[O.Namespace=2]="Namespace",O[O.Package=3]="Package",O[O.Class=4]="Class",O[O.Method=5]="Method",O[O.Property=6]="Property",O[O.Field=7]="Field",O[O.Constructor=8]="Constructor",O[O.Enum=9]="Enum",O[O.Interface=10]="Interface",O[O.Function=11]="Function",O[O.Variable=12]="Variable",O[O.Constant=13]="Constant",O[O.String=14]="String",O[O.Number=15]="Number",O[O.Boolean=16]="Boolean",O[O.Array=17]="Array",O[O.Object=18]="Object",O[O.Key=19]="Key",O[O.Null=20]="Null",O[O.EnumMember=21]="EnumMember",O[O.Struct=22]="Struct",O[O.Event=23]="Event",O[O.Operator=24]="Operator",O[O.TypeParameter=25]="TypeParameter"})($e=e.SymbolKind||(e.SymbolKind={}));var Fe;(function(O){O[O.Deprecated=1]="Deprecated"})(Fe=e.SymbolTag||(e.SymbolTag={}));let He=a=class{constructor(L,ne,ye,ze,Ye){this.name=L,this.kind=ne,this.containerName=Ye,typeof ye=="string"&&(this.containerName=ye),ze instanceof U?this.location=ze:ye instanceof w&&(this.location=new U(ze,ye)),a.validate(this)}static validate(L){if(!L.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:$e[this.kind],location:this.location,containerName:this.containerName}}};He=a=je([y],He),e.SymbolInformation=He;let N=t=class{constructor(L,ne,ye,ze,Ye){this.name=L,this.detail=ne,this.kind=ye,this.range=ze,this.selectionRange=Ye,this.children=[],t.validate(this)}static validate(L){if(!L.name)throw new Error("name must not be falsy");if(!L.range.contains(L.selectionRange))throw new Error("selectionRange must be contained in fullRange");L.children&&L.children.forEach(t.validate)}};N=t=je([y],N),e.DocumentSymbol=N;var V;(function(O){O[O.Automatic=1]="Automatic",O[O.Manual=2]="Manual"})(V=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));let X=class{constructor(L,ne){this.title=L,this.kind=ne}};X=je([y],X),e.CodeAction=X;let re=r=class{constructor(L){this.value=L}append(L){return new r(this.value?this.value+r.sep+L:L)}intersects(L){return this.contains(L)||L.contains(this)}contains(L){return this.value===L.value||L.value.startsWith(this.value+r.sep)}};re.sep=".",re=r=je([y],re),e.CodeActionKind=re,re.Empty=new re(""),re.QuickFix=re.Empty.append("quickfix"),re.Refactor=re.Empty.append("refactor"),re.RefactorExtract=re.Refactor.append("extract"),re.RefactorInline=re.Refactor.append("inline"),re.RefactorRewrite=re.Refactor.append("rewrite"),re.Source=re.Empty.append("source"),re.SourceOrganizeImports=re.Source.append("organizeImports"),re.SourceFixAll=re.Source.append("fixAll");let me=class{constructor(L,ne){if(this.range=L,this.parent=ne,ne&&!ne.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};me=je([y],me),e.SelectionRange=me;class De{constructor(L,ne,ye,ze,Ye,it){this.kind=L,this.name=ne,this.detail=ye,this.uri=ze,this.range=Ye,this.selectionRange=it}}e.CallHierarchyItem=De;class Le{constructor(L,ne){this.fromRanges=ne,this.from=L}}e.CallHierarchyIncomingCall=Le;class ge{constructor(L,ne){this.fromRanges=ne,this.to=L}}e.CallHierarchyOutgoingCall=ge;let Ce=class{constructor(L,ne){this.range=L,this.command=ne}get isResolved(){return!!this.command}};Ce=je([y],Ce),e.CodeLens=Ce;let Ae=o=class{constructor(L,ne=!1){d.set(this,void 0),tt(this,d,new T.MarkdownString(L,{supportThemeIcons:ne}))}static isMarkdownString(L){return L instanceof o?!0:L&&L.appendCodeblock&&L.appendMarkdown&&L.appendText&&L.value!==void 0}get value(){return We(this,d).value}set value(L){We(this,d).value=L}get isTrusted(){return We(this,d).isTrusted}set isTrusted(L){We(this,d).isTrusted=L}get supportThemeIcons(){return We(this,d).supportThemeIcons}appendText(L){return We(this,d).appendText(L),this}appendMarkdown(L){return We(this,d).appendMarkdown(L),this}appendCodeblock(L,ne){return We(this,d).appendCodeblock(ne!=null?ne:"",L),this}};d=new WeakMap,Ae=o=je([y],Ae),e.MarkdownString=Ae;let Ue=class{constructor(L,ne){this.label=L,this.documentation=ne}};Ue=je([y],Ue),e.ParameterInformation=Ue;let be=class{constructor(L,ne){this.label=L,this.documentation=ne,this.parameters=[]}};be=je([y],be),e.SignatureInformation=be;let qe=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};qe=je([y],qe),e.SignatureHelp=qe;var H;(function(O){O[O.Invoke=1]="Invoke",O[O.TriggerCharacter=2]="TriggerCharacter",O[O.ContentChange=3]="ContentChange"})(H=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var Q;(function(O){O[O.Other=0]="Other",O[O.Type=1]="Type",O[O.Parameter=2]="Parameter"})(Q=e.InlineHintKind||(e.InlineHintKind={}));let _e=class{constructor(L,ne,ye){this.text=L,this.range=ne,this.kind=ye}};_e=je([y],_e),e.InlineHint=_e;var Me;(function(O){O[O.Invoke=0]="Invoke",O[O.TriggerCharacter=1]="TriggerCharacter",O[O.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(Me=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Be;(function(O){O[O.Text=0]="Text",O[O.Method=1]="Method",O[O.Function=2]="Function",O[O.Constructor=3]="Constructor",O[O.Field=4]="Field",O[O.Variable=5]="Variable",O[O.Class=6]="Class",O[O.Interface=7]="Interface",O[O.Module=8]="Module",O[O.Property=9]="Property",O[O.Unit=10]="Unit",O[O.Value=11]="Value",O[O.Enum=12]="Enum",O[O.Keyword=13]="Keyword",O[O.Snippet=14]="Snippet",O[O.Color=15]="Color",O[O.File=16]="File",O[O.Reference=17]="Reference",O[O.Folder=18]="Folder",O[O.EnumMember=19]="EnumMember",O[O.Constant=20]="Constant",O[O.Struct=21]="Struct",O[O.Event=22]="Event",O[O.Operator=23]="Operator",O[O.TypeParameter=24]="TypeParameter",O[O.User=25]="User",O[O.Issue=26]="Issue"})(Be=e.CompletionItemKind||(e.CompletionItemKind={}));var Ne;(function(O){O[O.Deprecated=1]="Deprecated"})(Ne=e.CompletionItemTag||(e.CompletionItemTag={}));let Xe=class{constructor(L,ne){this.label=L,this.kind=ne}toJSON(){return{label:this.label,label2:this.label2,kind:this.kind&&Be[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};Xe=je([y],Xe),e.CompletionItem=Xe;let B=class{constructor(L=[],ne=!1){this.items=L,this.isIncomplete=ne}};B=je([y],B),e.CompletionList=B;var te;(function(O){O[O.Active=-1]="Active",O[O.Beside=-2]="Beside",O[O.One=1]="One",O[O.Two=2]="Two",O[O.Three=3]="Three",O[O.Four=4]="Four",O[O.Five=5]="Five",O[O.Six=6]="Six",O[O.Seven=7]="Seven",O[O.Eight=8]="Eight",O[O.Nine=9]="Nine"})(te=e.ViewColumn||(e.ViewColumn={}));var ce;(function(O){O[O.Left=1]="Left",O[O.Right=2]="Right"})(ce=e.StatusBarAlignment||(e.StatusBarAlignment={}));var z;(function(O){O[O.Off=0]="Off",O[O.On=1]="On",O[O.Relative=2]="Relative"})(z=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var G;(function(O){O[O.Manual=1]="Manual",O[O.AfterDelay=2]="AfterDelay",O[O.FocusOut=3]="FocusOut"})(G=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var le;(function(O){O[O.Default=0]="Default",O[O.InCenter=1]="InCenter",O[O.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",O[O.AtTop=3]="AtTop"})(le=e.TextEditorRevealType||(e.TextEditorRevealType={}));var fe;(function(O){O[O.Keyboard=1]="Keyboard",O[O.Mouse=2]="Mouse",O[O.Command=3]="Command"})(fe=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var ve;(function(O){O[O.OpenOpen=0]="OpenOpen",O[O.ClosedClosed=1]="ClosedClosed",O[O.OpenClosed=2]="OpenClosed",O[O.ClosedOpen=3]="ClosedOpen"})(ve=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function(O){function L(ne){switch(ne){case"keyboard":return O.Keyboard;case"mouse":return O.Mouse;case"api":return O.Command}}O.fromValue=L}(fe=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let xe=class{constructor(L,ne){if(ne&&!k.URI.isUri(ne))throw(0,S.illegalArgument)("target");if(!w.isRange(L)||L.isEmpty)throw(0,S.illegalArgument)("range");this.range=L,this.target=ne}};xe=je([y],xe),e.DocumentLink=xe;let Oe=class{constructor(L,ne,ye,ze){this.red=L,this.green=ne,this.blue=ye,this.alpha=ze}};Oe=je([y],Oe),e.Color=Oe;let Ve=class{constructor(L,ne){if(ne&&!(ne instanceof Oe))throw(0,S.illegalArgument)("color");if(!w.isRange(L)||L.isEmpty)throw(0,S.illegalArgument)("range");this.range=L,this.color=ne}};Ve=je([y],Ve),e.ColorInformation=Ve;let Qe=class{constructor(L){if(!L||typeof L!="string")throw(0,S.illegalArgument)("label");this.label=L}};Qe=je([y],Qe),e.ColorPresentation=Qe;var Ze;(function(O){O[O.RGB=0]="RGB",O[O.HEX=1]="HEX",O[O.HSL=2]="HSL"})(Ze=e.ColorFormat||(e.ColorFormat={}));var ht;(function(O){O[O.Error=0]="Error",O[O.Warning=1]="Warning",O[O.Information=2]="Information"})(ht=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));var rt;(function(O){O[O.Always=1]="Always",O[O.Silent=2]="Silent",O[O.Never=3]="Never"})(rt=e.TaskRevealKind||(e.TaskRevealKind={}));var pe;(function(O){O[O.Shared=1]="Shared",O[O.Dedicated=2]="Dedicated",O[O.New=3]="New"})(pe=e.TaskPanelKind||(e.TaskPanelKind={}));let he=l=class{constructor(L,ne){if(typeof L!="string"||typeof ne!="string")throw(0,S.illegalArgument)("name");this._id=L}static from(L){switch(L){case"clean":return l.Clean;case"build":return l.Build;case"rebuild":return l.Rebuild;case"test":return l.Test;default:return}}get id(){return this._id}};he.Clean=new l("clean","Clean"),he.Build=new l("build","Build"),he.Rebuild=new l("rebuild","Rebuild"),he.Test=new l("test","Test"),he=l=je([y],he),e.TaskGroup=he;function ue(O){let L="";for(let ne=0;ne<O.length;ne++)L+=O[ne].replace(/,/g,",,")+",";return L}let K=class{constructor(L,ne,ye){if(typeof L!="string")throw(0,S.illegalArgument)("process");this._args=[],this._process=L,ne!==void 0&&(Array.isArray(ne)?(this._args=ne,this._options=ye):this._options=ne)}get process(){return this._process}set process(L){if(typeof L!="string")throw(0,S.illegalArgument)("process");this._process=L}get args(){return this._args}set args(L){Array.isArray(L)||(L=[]),this._args=L}get options(){return this._options}set options(L){this._options=L}computeId(){const L=[];if(L.push("process"),this._process!==void 0&&L.push(this._process),this._args&&this._args.length>0)for(let ne of this._args)L.push(ne);return ue(L)}};K=je([y],K),e.ProcessExecution=K;let ke=class{constructor(L,ne,ye){if(this._args=[],Array.isArray(ne)){if(!L)throw(0,S.illegalArgument)("command can't be undefined or null");if(typeof L!="string"&&typeof L.value!="string")throw(0,S.illegalArgument)("command");this._command=L,this._args=ne,this._options=ye}else{if(typeof L!="string")throw(0,S.illegalArgument)("commandLine");this._commandLine=L,this._options=ne}}get commandLine(){return this._commandLine}set commandLine(L){if(typeof L!="string")throw(0,S.illegalArgument)("commandLine");this._commandLine=L}get command(){return this._command?this._command:""}set command(L){if(typeof L!="string"&&typeof L.value!="string")throw(0,S.illegalArgument)("command");this._command=L}get args(){return this._args}set args(L){this._args=L||[]}get options(){return this._options}set options(L){this._options=L}computeId(){const L=[];if(L.push("shell"),this._commandLine!==void 0&&L.push(this._commandLine),this._command!==void 0&&L.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(let ne of this._args)L.push(typeof ne=="string"?ne:ne.value);return ue(L)}};ke=je([y],ke),e.ShellExecution=ke;var Te;(function(O){O[O.Escape=1]="Escape",O[O.Strong=2]="Strong",O[O.Weak=3]="Weak"})(Te=e.ShellQuoting||(e.ShellQuoting={}));var et;(function(O){O[O.Global=1]="Global",O[O.Workspace=2]="Workspace"})(et=e.TaskScope||(e.TaskScope={}));class Ge{constructor(L){this._callback=L}computeId(){return"customExecution"+(0,D.generateUuid)()}set callback(L){this._callback=L}get callback(){return this._callback}}e.CustomExecution=Ge;let nt=i=class{constructor(L,ne,ye,ze,Ye,it){this.__deprecated=!1,this._definition=this.definition=L;let st;typeof ne=="string"?(this._name=this.name=ne,this._source=this.source=ye,this.execution=ze,st=Ye,this.__deprecated=!0):ne===et.Global||ne===et.Workspace?(this.target=ne,this._name=this.name=ye,this._source=this.source=ze,this.execution=Ye,st=it):(this.target=ne,this._name=this.name=ye,this._source=this.source=ze,this.execution=Ye,st=it),typeof st=="string"?(this._problemMatchers=[st],this._hasDefinedMatchers=!0):Array.isArray(st)?(this._problemMatchers=st,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(L){this.__id=L}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof K?this._definition={type:i.ProcessType,id:this._execution.computeId()}:this._execution instanceof ke?this._definition={type:i.ShellType,id:this._execution.computeId()}:this._execution instanceof Ge?this._definition={type:i.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:i.EmptyType,id:(0,D.generateUuid)()}}get definition(){return this._definition}set definition(L){if(L==null)throw(0,S.illegalArgument)("Kind can't be undefined or null");this.clear(),this._definition=L}get scope(){return this._scope}set target(L){this.clear(),this._scope=L}get name(){return this._name}set name(L){if(typeof L!="string")throw(0,S.illegalArgument)("name");this.clear(),this._name=L}get execution(){return this._execution}set execution(L){L===null&&(L=void 0),this.clear(),this._execution=L;const ne=this._definition.type;(i.EmptyType===ne||i.ProcessType===ne||i.ShellType===ne||i.ExtensionCallbackType===ne)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(L){if(Array.isArray(L))this.clear(),this._problemMatchers=L,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(L){L!==!0&&L!==!1&&(L=!1),this.clear(),this._isBackground=L}get source(){return this._source}set source(L){if(typeof L!="string"||L.length===0)throw(0,S.illegalArgument)("source must be a string of length > 0");this.clear(),this._source=L}get group(){return this._group}set group(L){L===null&&(L=void 0),this.clear(),this._group=L}get detail(){return this._detail}set detail(L){L===null&&(L=void 0),this._detail=L}get presentationOptions(){return this._presentationOptions}set presentationOptions(L){L==null&&(L=Object.create(null)),this.clear(),this._presentationOptions=L}get runOptions(){return this._runOptions}set runOptions(L){L==null&&(L=Object.create(null)),this.clear(),this._runOptions=L}};nt.ExtensionCallbackType="customExecution",nt.ProcessType="process",nt.ShellType="shell",nt.EmptyType="$empty",nt=i=je([y],nt),e.Task=nt;var ct;(function(O){O[O.SourceControl=1]="SourceControl",O[O.Window=10]="Window",O[O.Notification=15]="Notification"})(ct=e.ProgressLocation||(e.ProgressLocation={}));let Je=class{constructor(L,ne=at.None){this.collapsibleState=ne,k.URI.isUri(L)?this.resourceUri=L:this.label=L}};Je=je([y],Je),e.TreeItem=Je;var at;(function(O){O[O.None=0]="None",O[O.Collapsed=1]="Collapsed",O[O.Expanded=2]="Expanded"})(at=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let lt=class{constructor(L,ne){this.id=L,this.color=ne}};lt=je([y],lt),e.ThemeIcon=lt,lt.File=new lt("file"),lt.Folder=new lt("folder");let ot=class{constructor(L){this.id=L}};ot=je([y],ot),e.ThemeColor=ot;var kt;(function(O){O[O.Global=1]="Global",O[O.Workspace=2]="Workspace",O[O.WorkspaceFolder=3]="WorkspaceFolder"})(kt=e.ConfigurationTarget||(e.ConfigurationTarget={}));let _t=class{constructor(L,ne){if(typeof L!="string"&&(!L||!k.URI.isUri(L)&&!k.URI.isUri(L.uri)))throw(0,S.illegalArgument)("base");if(typeof ne!="string")throw(0,S.illegalArgument)("pattern");typeof L=="string"?(this.baseFolder=k.URI.file(L),this.base=L):k.URI.isUri(L)?(this.baseFolder=L,this.base=L.fsPath):(this.baseFolder=L.uri,this.base=L.uri.fsPath),this.pattern=ne}};_t=je([y],_t),e.RelativePattern=_t;let Ct=class{constructor(L,ne,ye,ze){this.enabled=typeof L=="boolean"?L:!0,typeof ne=="string"&&(this.condition=ne),typeof ye=="string"&&(this.hitCondition=ye),typeof ze=="string"&&(this.logMessage=ze)}get id(){return this._id||(this._id=(0,D.generateUuid)()),this._id}};Ct=je([y],Ct),e.Breakpoint=Ct;let Et=class extends Ct{constructor(L,ne,ye,ze,Ye){super(ne,ye,ze,Ye);if(L===null)throw(0,S.illegalArgument)("location");this.location=L}};Et=je([y],Et),e.SourceBreakpoint=Et;let St=class extends Ct{constructor(L,ne,ye,ze,Ye){super(ne,ye,ze,Ye);this.functionName=L}};St=je([y],St),e.FunctionBreakpoint=St;let gt=class extends Ct{constructor(L,ne,ye,ze,Ye,it,st){super(ze,Ye,it,st);if(!ne)throw(0,S.illegalArgument)("dataId");this.label=L,this.dataId=ne,this.canPersist=ye}};gt=je([y],gt),e.DataBreakpoint=gt;let Rt=class{constructor(L,ne,ye){this.command=L,this.args=ne||[],this.options=ye}};Rt=je([y],Rt),e.DebugAdapterExecutable=Rt;let Ft=class{constructor(L,ne){this.port=L,this.host=ne}};Ft=je([y],Ft),e.DebugAdapterServer=Ft;let ft=class{constructor(L){this.path=L}};ft=je([y],ft),e.DebugAdapterNamedPipeServer=ft;let yt=class{constructor(L){this.implementation=L}};yt=je([y],yt),e.DebugAdapterInlineImplementation=yt;let $t=class{constructor(L,ne){this.range=L,this.expression=ne}};$t=je([y],$t),e.EvaluatableExpression=$t;let zt=class{constructor(L,ne){this.range=L,this.text=ne}};zt=je([y],zt),e.InlineValueText=zt;let Lt=class{constructor(L,ne,ye=!0){this.range=L,this.variableName=ne,this.caseSensitiveLookup=ye}};Lt=je([y],Lt),e.InlineValueVariableLookup=Lt;let dt=class{constructor(L,ne){this.range=L,this.expression=ne}};dt=je([y],dt),e.InlineValueEvaluatableExpression=dt;let Vt=class{constructor(L,ne){this.frameId=L,this.stoppedLocation=ne}};Vt=je([y],Vt),e.InlineValueContext=Vt;var It;(function(O){O[O.Changed=1]="Changed",O[O.Created=2]="Created",O[O.Deleted=3]="Deleted"})(It=e.FileChangeType||(e.FileChangeType={}));let Pt=f=class extends Error{constructor(L,ne=n.FileSystemProviderErrorCode.Unknown,ye){var ze;super(k.URI.isUri(L)?L.toString(!0):L);this.code=(ze=ye==null?void 0:ye.name)!==null&&ze!==void 0?ze:"Unknown",(0,n.markAsFileSystemProviderError)(this,ne),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,f.prototype),typeof Error.captureStackTrace=="function"&&typeof ye=="function"&&Error.captureStackTrace(this,ye)}static FileExists(L){return new f(L,n.FileSystemProviderErrorCode.FileExists,f.FileExists)}static FileNotFound(L){return new f(L,n.FileSystemProviderErrorCode.FileNotFound,f.FileNotFound)}static FileNotADirectory(L){return new f(L,n.FileSystemProviderErrorCode.FileNotADirectory,f.FileNotADirectory)}static FileIsADirectory(L){return new f(L,n.FileSystemProviderErrorCode.FileIsADirectory,f.FileIsADirectory)}static NoPermissions(L){return new f(L,n.FileSystemProviderErrorCode.NoPermissions,f.NoPermissions)}static Unavailable(L){return new f(L,n.FileSystemProviderErrorCode.Unavailable,f.Unavailable)}};Pt=f=je([y],Pt),e.FileSystemError=Pt;let xt=class{constructor(L,ne,ye){this.start=L,this.end=ne,this.kind=ye}};xt=je([y],xt),e.FoldingRange=xt;var un;(function(O){O[O.Comment=1]="Comment",O[O.Imports=2]="Imports",O[O.Region=3]="Region"})(un=e.FoldingRangeKind||(e.FoldingRangeKind={}));var en;(function(O){O[O.Collapsed=0]="Collapsed",O[O.Expanded=1]="Expanded"})(en=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var cn;(function(O){O[O.Editing=0]="Editing",O[O.Preview=1]="Preview"})(cn=e.CommentMode||(e.CommentMode={}));class tn{constructor(L,ne=[]){this.tokenTypes=L,this.tokenModifiers=ne}}e.SemanticTokensLegend=tn;function Mt(O){return typeof O=="undefined"||(0,E.isStringArray)(O)}class jt{constructor(L){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,L){this._hasLegend=!0;for(let ne=0,ye=L.tokenTypes.length;ne<ye;ne++)this._tokenTypeStrToInt.set(L.tokenTypes[ne],ne);for(let ne=0,ye=L.tokenModifiers.length;ne<ye;ne++)this._tokenModifierStrToInt.set(L.tokenModifiers[ne],ne)}}push(L,ne,ye,ze,Ye){if(typeof L=="number"&&typeof ne=="number"&&typeof ye=="number"&&typeof ze=="number"&&(typeof Ye=="number"||typeof Ye=="undefined"))return typeof Ye=="undefined"&&(Ye=0),this._pushEncoded(L,ne,ye,ze,Ye);if(w.isRange(L)&&typeof ne=="string"&&Mt(ye))return this._push(L,ne,ye);throw(0,S.illegalArgument)()}_push(L,ne,ye){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(L.start.line!==L.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(ne))throw new Error("`tokenType` is not in the provided legend");const ze=L.start.line,Ye=L.start.character,it=L.end.character-L.start.character,st=this._tokenTypeStrToInt.get(ne);let pt=0;if(ye)for(const vt of ye){if(!this._tokenModifierStrToInt.has(vt))throw new Error("`tokenModifier` is not in the provided legend");const bt=this._tokenModifierStrToInt.get(vt);pt|=1<<bt>>>0}this._pushEncoded(ze,Ye,it,st,pt)}_pushEncoded(L,ne,ye,ze,Ye){if(this._dataIsSortedAndDeltaEncoded&&(L<this._prevLine||L===this._prevLine&&ne<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const pt=this._data.length/5|0;let vt=0,bt=0;for(let wt=0;wt<pt;wt++){let Dt=this._data[5*wt],Xt=this._data[5*wt+1];Dt===0?(Dt=vt,Xt+=bt):Dt+=vt,this._data[5*wt]=Dt,this._data[5*wt+1]=Xt,vt=Dt,bt=Xt}}let it=L,st=ne;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(it-=this._prevLine,it===0&&(st-=this._prevChar)),this._data[this._dataLen++]=it,this._data[this._dataLen++]=st,this._data[this._dataLen++]=ye,this._data[this._dataLen++]=ze,this._data[this._dataLen++]=Ye,this._prevLine=L,this._prevChar=ne}static _sortAndDeltaEncode(L){let ne=[];const ye=L.length/5|0;for(let st=0;st<ye;st++)ne[st]=st;ne.sort((st,pt)=>{const vt=L[5*st],bt=L[5*pt];if(vt===bt){const wt=L[5*st+1],Dt=L[5*pt+1];return wt-Dt}return vt-bt});const ze=new Uint32Array(L.length);let Ye=0,it=0;for(let st=0;st<ye;st++){const pt=5*ne[st],vt=L[pt+0],bt=L[pt+1],wt=L[pt+2],Dt=L[pt+3],Xt=L[pt+4],Dn=vt-Ye,Pn=Dn===0?bt-it:bt,Zt=5*st;ze[Zt+0]=Dn,ze[Zt+1]=Pn,ze[Zt+2]=wt,ze[Zt+3]=Dt,ze[Zt+4]=Xt,Ye=vt,it=bt}return ze}build(L){return this._dataIsSortedAndDeltaEncoded?new Ot(new Uint32Array(this._data),L):new Ot(jt._sortAndDeltaEncode(this._data),L)}}e.SemanticTokensBuilder=jt;class Ot{constructor(L,ne){this.resultId=ne,this.data=L}}e.SemanticTokens=Ot;class qt{constructor(L,ne,ye){this.start=L,this.deleteCount=ne,this.data=ye}}e.SemanticTokensEdit=qt;class dn{constructor(L,ne){this.resultId=ne,this.edits=L}}e.SemanticTokensEdits=dn;var hn;(function(O){O[O.Separate=0]="Separate",O[O.MergeWithParent=1]="MergeWithParent"})(hn=e.DebugConsoleMode||(e.DebugConsoleMode={}));var At;(function(O){O[O.Initial=1]="Initial",O[O.Dynamic=2]="Dynamic"})(At=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={}));let Bt=class{constructor(){}};Bt.Back={iconPath:new lt("arrow-left")},Bt=je([y],Bt),e.QuickInputButtons=Bt;var fn;(function(O){O[O.UI=1]="UI",O[O.Workspace=2]="Workspace"})(fn=e.ExtensionKind||(e.ExtensionKind={}));class mn{constructor(L,ne,ye){this.badge=L,this.tooltip=ne,this.color=ye}static validate(L){if(L.badge&&L.badge.length!==1&&L.badge.length!==2)throw new Error("The 'badge'-property must be undefined or a short character");if(!L.color&&!L.badge&&!L.tooltip)throw new Error("The decoration is empty")}}e.FileDecoration=mn;let Kt=class{constructor(L){this.kind=L}};Kt=je([y],Kt),e.ColorTheme=Kt;var Gt;(function(O){O[O.Light=1]="Light",O[O.Dark=2]="Dark",O[O.HighContrast=3]="HighContrast"})(Gt=e.ColorThemeKind||(e.ColorThemeKind={}));class nn{constructor(L,ne){if(L<0)throw(0,S.illegalArgument)("start must be positive");if(ne<L)throw(0,S.illegalArgument)("end cannot be smaller than start");this._start=L,this._end=ne}get start(){return this._start}get end(){return this._end}get isEmpty(){return this._start===this._end}}e.NotebookCellRange=nn;class Ht{constructor(L,ne,ye,ze,Ye,it,st,pt,vt,bt,wt){this.editable=L,this.breakpointMargin=ne,this.hasExecutionOrder=ye,this.executionOrder=ze,this.runState=Ye,this.runStartTime=it,this.statusMessage=st,this.lastRunDuration=pt,this.inputCollapsed=vt,this.outputCollapsed=bt,this.custom=wt}with(L){let{editable:ne,breakpointMargin:ye,hasExecutionOrder:ze,executionOrder:Ye,runState:it,runStartTime:st,statusMessage:pt,lastRunDuration:vt,inputCollapsed:bt,outputCollapsed:wt,custom:Dt}=L;return ne===void 0?ne=this.editable:ne===null&&(ne=void 0),ye===void 0?ye=this.breakpointMargin:ye===null&&(ye=void 0),ze===void 0?ze=this.hasExecutionOrder:ze===null&&(ze=void 0),Ye===void 0?Ye=this.executionOrder:Ye===null&&(Ye=void 0),it===void 0?it=this.runState:it===null&&(it=void 0),st===void 0?st=this.runStartTime:st===null&&(st=void 0),pt===void 0?pt=this.statusMessage:pt===null&&(pt=void 0),vt===void 0?vt=this.lastRunDuration:vt===null&&(vt=void 0),bt===void 0?bt=this.inputCollapsed:bt===null&&(bt=void 0),wt===void 0?wt=this.outputCollapsed:wt===null&&(wt=void 0),Dt===void 0?Dt=this.custom:Dt===null&&(Dt=void 0),ne===this.editable&&ye===this.breakpointMargin&&ze===this.hasExecutionOrder&&Ye===this.executionOrder&&it===this.runState&&st===this.runStartTime&&pt===this.statusMessage&&vt===this.lastRunDuration&&bt===this.inputCollapsed&&wt===this.outputCollapsed&&Dt===this.custom?this:new Ht(ne,ye,ze,Ye,it,st,pt,vt,bt,wt,Dt)}}e.NotebookCellMetadata=Ht;class Nt{constructor(L=!0,ne=!0,ye=!0,ze={},Ye=Jt.Idle,it=!0){this.editable=L,this.cellEditable=ne,this.cellHasExecutionOrder=ye,this.custom=ze,this.runState=Ye,this.trusted=it}with(L){let{editable:ne,cellEditable:ye,cellHasExecutionOrder:ze,custom:Ye,runState:it,trusted:st}=L;return ne===void 0?ne=this.editable:ne===null&&(ne=void 0),ye===void 0?ye=this.cellEditable:ye===null&&(ye=void 0),ze===void 0?ze=this.cellHasExecutionOrder:ze===null&&(ze=void 0),Ye===void 0?Ye=this.custom:Ye===null&&(Ye=void 0),it===void 0?it=this.runState:it===null&&(it=void 0),st===void 0?st=this.trusted:st===null&&(st=void 0),ne===this.editable&&ye===this.cellEditable&&ze===this.cellHasExecutionOrder&&Ye===this.custom&&it===this.runState&&st===this.trusted?this:new Nt(ne,ye,ze,Ye,it,st)}}e.NotebookDocumentMetadata=Nt;class Re{constructor(L,ne,ye,ze,Ye){this.kind=L,this.source=ne,this.language=ye,this.outputs=ze!=null?ze:[],this.metadata=Ye}}e.NotebookCellData=Re;class Qt{constructor(L,ne){this.cells=L,this.metadata=ne}}e.NotebookData=Qt;class Ut{constructor(L,ne,ye){this.mime=L,this.value=ne,this.metadata=ye}static isNotebookCellOutputItem(L){return L instanceof Ut}}e.NotebookCellOutputItem=Ut;class mt{constructor(L,ne,ye){this.outputs=L,typeof ne=="string"?(this.id=ne,this.metadata=ye):(this.id=(0,D.generateUuid)(),this.metadata=ne!=null?ne:ye)}}e.NotebookCellOutput=mt;var gn;(function(O){O[O.Markdown=1]="Markdown",O[O.Code=2]="Code"})(gn=e.NotebookCellKind||(e.NotebookCellKind={}));var pn;(function(O){O[O.Running=1]="Running",O[O.Idle=2]="Idle",O[O.Success=3]="Success",O[O.Error=4]="Error"})(pn=e.NotebookCellRunState||(e.NotebookCellRunState={}));var Jt;(function(O){O[O.Running=1]="Running",O[O.Idle=2]="Idle"})(Jt=e.NotebookRunState||(e.NotebookRunState={}));var rn;(function(O){O[O.Left=1]="Left",O[O.Right=2]="Right"})(rn=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var vn;(function(O){O[O.Default=0]="Default",O[O.InCenter=1]="InCenter",O[O.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",O[O.AtTop=3]="AtTop"})(vn=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));let Yt=class{constructor(L,ne){this.label=L,this.timestamp=ne}};Yt=je([y],Yt),e.TimelineItem=Yt;var _n;(function(O){O[O.Production=1]="Production",O[O.Development=2]="Development",O[O.Test=3]="Test"})(_n=e.ExtensionMode||(e.ExtensionMode={}));var bn;(function(O){O[O.Node=1]="Node",O[O.Webworker=2]="Webworker"})(bn=e.ExtensionRuntime||(e.ExtensionRuntime={}));var sn;(function(O){O[O.Other=0]="Other",O[O.Comment=1]="Comment",O[O.String=2]="String",O[O.RegEx=4]="RegEx"})(sn=e.StandardTokenType||(e.StandardTokenType={}));class wn{constructor(L,ne){this.ranges=L,this.wordPattern=ne}}e.LinkedEditingRanges=wn;var En;(function(O){O[O.Unset=0]="Unset",O[O.Queued=1]="Queued",O[O.Running=2]="Running",O[O.Passed=3]="Passed",O[O.Failed=4]="Failed",O[O.Skipped=5]="Skipped",O[O.Errored=6]="Errored"})(En=e.TestResult||(e.TestResult={}));var on;(function(O){O[O.Error=0]="Error",O[O.Warning=1]="Warning",O[O.Information=2]="Information",O[O.Hint=3]="Hint"})(on=e.TestMessageSeverity||(e.TestMessageSeverity={}));class Sn{constructor(L,ne){this.label=ne,this.runnable=!0,this.debuggable=!1,this.children=[],Object.defineProperty(this,"id",{value:L,enumerable:!0,writable:!1})}}e.TestItem=Sn;class yn{constructor(L){this.state=L,this.messages=[]}}e.TestState=yn;class J{constructor(L){this.message=L,this.severity=on.Error}static diff(L,ne,ye){const ze=new J(L);return ze.expectedOutput=ne,ze.actualOutput=ye,ze}}e.TestMessage=J;var de;(function(O){O[O.None=0]="None",O[O.Option=1]="Option",O[O.Default=2]="Default",O[O.Preferred=3]="Preferred"})(de=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var Ie;(function(O){O[O.Untrusted=0]="Untrusted",O[O.Trusted=1]="Trusted",O[O.Unknown=2]="Unknown"})(Ie=e.WorkspaceTrustState||(e.WorkspaceTrustState={}));var ut;(function(O){O[O.Notify=1]="Notify",O[O.OpenBrowser=2]="OpenBrowser",O[O.OpenPreview=3]="OpenPreview",O[O.Silent=4]="Silent",O[O.Ignore=5]="Ignore"})(ut=e.PortAutoForwardAction||(e.PortAutoForwardAction={}))}),define(we[94],Ee([0,1,44,16,8,117,83,7,15]),function(ae,e,_,S,T,P,E,k,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const n=new Map;function A(s,h){h?n.set(s,h):n.delete(s)}e.setWordDefinitionFor=A;function C(s){return n.get(s)}e.getWordDefinitionFor=C;class v extends P.MirrorTextModel{constructor(h,p,g,b,c,u,a,t){super(p,g,b,c);this._proxy=h,this._languageId=u,this._isDirty=a,this._notebook=t,this._isDisposed=!1}dispose(){(0,_.ok)(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(h){return(0,D.equals)(this._lines,h)}get document(){if(!this._document){const h=this;this._document={get uri(){return h._uri},get fileName(){return h._uri.fsPath},get isUntitled(){return h._uri.scheme===S.Schemas.untitled},get languageId(){return h._languageId},get version(){return h._versionId},get isClosed(){return h._isDisposed},get isDirty(){return h._isDirty},get notebook(){return h._notebook},save(){return h._save()},getText(p){return p?h._getTextInRange(p):h.getText()},get eol(){return h._eol===`
`?k.EndOfLine.LF:k.EndOfLine.CRLF},get lineCount(){return h._lines.length},lineAt(p){return h._lineAt(p)},offsetAt(p){return h._offsetAt(p)},positionAt(p){return h._positionAt(p)},validateRange(p){return h._validateRange(p)},validatePosition(p){return h._validatePosition(p)},getWordRangeAtPosition(p,g){return h._getWordRangeAtPosition(p,g)}}}return Object.freeze(this._document)}_acceptLanguageId(h){(0,_.ok)(!this._isDisposed),this._languageId=h}_acceptIsDirty(h){(0,_.ok)(!this._isDisposed),this._isDirty=h}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(h){const p=this._validateRange(h);if(p.isEmpty)return"";if(p.isSingleLine)return this._lines[p.start.line].substring(p.start.character,p.end.character);const g=this._eol,b=p.start.line,c=p.end.line,u=[];u.push(this._lines[b].substring(p.start.character));for(let a=b+1;a<c;a++)u.push(this._lines[a]);return u.push(this._lines[c].substring(0,p.end.character)),u.join(g)}_lineAt(h){let p;if(h instanceof k.Position?p=h.line:typeof h=="number"&&(p=h),typeof p!="number"||p<0||p>=this._lines.length||Math.floor(p)!==p)throw new Error("Illegal value for `line`");return new d(p,this._lines[p],p===this._lines.length-1)}_offsetAt(h){return h=this._validatePosition(h),this._ensureLineStarts(),this._lineStarts.getAccumulatedValue(h.line-1)+h.character}_positionAt(h){h=Math.floor(h),h=Math.max(0,h),this._ensureLineStarts();const p=this._lineStarts.getIndexOf(h),g=this._lines[p.index].length;return new k.Position(p.index,Math.min(p.remainder,g))}_validateRange(h){if(!(h instanceof k.Range))throw new Error("Invalid argument");const p=this._validatePosition(h.start),g=this._validatePosition(h.end);return p===h.start&&g===h.end?h:new k.Range(p.line,p.character,g.line,g.character)}_validatePosition(h){if(!(h instanceof k.Position))throw new Error("Invalid argument");if(this._lines.length===0)return h.with(0,0);let{line:p,character:g}=h,b=!1;if(p<0)p=0,g=0,b=!0;else if(p>=this._lines.length)p=this._lines.length-1,g=this._lines[p].length,b=!0;else{const c=this._lines[p].length;g<0?(g=0,b=!0):g>c&&(g=c,b=!0)}return b?new k.Position(p,g):h}_getWordRangeAtPosition(h,p){const g=this._validatePosition(h);if(!p)p=C(this._languageId);else if((0,T.regExpLeadsToEndlessLoop)(p))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${p.source}' because it matches the empty string.`);const b=(0,E.getWordAtText)(g.character+1,(0,E.ensureValidWordDefinition)(p),this._lines[g.line],0);if(b)return new k.Range(g.line,b.startColumn-1,g.line,b.endColumn-1)}}e.ExtHostDocumentData=v;class d{constructor(h,p,g){this._line=h,this._text=p,this._isLastLine=g}get lineNumber(){return this._line}get text(){return this._text}get range(){return new k.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new k.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=d}),define(we[164],Ee([0,1,7,3,85,6,60,22,2,29]),function(ae,e,_,S,T,P,E,k,D,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookConcatDocument=void 0;class A{constructor(v,d,s,h){this._notebook=s,this._selector=h,this._disposables=new P.DisposableStore,this._isClosed=!1,this._versionId=0,this._onDidChange=new S.Emitter,this.onDidChange=this._onDidChange.event,this.uri=D.URI.from({scheme:"vscode-concat-doc",path:(0,n.generateUuid)()}),this._init(),this._disposables.add(d.onDidChangeDocument(g=>{const b=this._cellUris.get(g.document.uri);b!==void 0&&(this._cellLengths.changeValue(b,this._cells[b].document.getText().length+1),this._cellLines.changeValue(b,this._cells[b].document.lineCount),this._versionId+=1,this._onDidChange.fire(void 0))}));const p=g=>{g===this._notebook&&(this._init(),this._versionId+=1,this._onDidChange.fire(void 0))};this._disposables.add(v.onDidChangeNotebookCells(g=>p(g.document)))}dispose(){this._disposables.dispose(),this._isClosed=!0}get isClosed(){return this._isClosed}_init(){this._cells=[],this._cellUris=new k.ResourceMap;const v=[],d=[];for(const s of this._notebook.cells)s.kind===_.NotebookCellKind.Code&&(!this._selector||(0,E.score)(this._selector,s.document.uri,s.document.languageId,!0))&&(this._cellUris.set(s.document.uri,this._cells.length),this._cells.push(s),v.push(s.document.getText().length+1),d.push(s.document.lineCount));this._cellLengths=new T.PrefixSumComputer(new Uint32Array(v)),this._cellLines=new T.PrefixSumComputer(new Uint32Array(d))}get version(){return this._versionId}getText(v){var d,s;if(!v){let c="";for(const u of this._cells)c+=u.document.getText()+`
`;return c=c.slice(0,-1),c}if(v.isEmpty)return"";const h=this.locationAt(v.start),p=this.locationAt(v.end),g=this._cells[(d=this._cellUris.get(h.uri))!==null&&d!==void 0?d:-1],b=this._cells[(s=this._cellUris.get(p.uri))!==null&&s!==void 0?s:-1];if(!g||!b)return"";if(g===b)return g.document.getText(new _.Range(h.range.start,p.range.end));{const c=g.document.getText(new _.Range(h.range.start,new _.Position(g.document.lineCount,0))),u=b.document.getText(new _.Range(new _.Position(0,0),p.range.end));return c+`
`+u}}offsetAt(v){const d=this._cellLines.getIndexOf(v.line),s=this._cellLengths.getAccumulatedValue(d.index-1),h=this._cells[d.index].document.offsetAt(v.with(d.remainder));return s+h}positionAt(v){if(typeof v=="number"){const s=this._cellLengths.getIndexOf(v),h=this._cellLines.getAccumulatedValue(s.index-1);return this._cells[s.index].document.positionAt(s.remainder).translate(h)}const d=this._cellUris.get(v.uri);if(d!==void 0){const s=this._cellLines.getAccumulatedValue(d-1);return new _.Position(s+v.range.start.line,v.range.start.character)}return new _.Position(0,0)}locationAt(v){_.Range.isRange(v)||(v=new _.Range(v,v));const d=this._cellLines.getIndexOf(v.start.line);let s=d;v.isEmpty||(s=this._cellLines.getIndexOf(v.end.line));const h=new _.Position(d.remainder,v.start.character),p=new _.Position(s.remainder,v.end.character),g=new _.Range(h,p),b=this._cells[d.index];return new _.Location(b.document.uri,b.document.validateRange(g))}contains(v){return this._cellUris.has(v)}validateRange(v){const d=this.validatePosition(v.start),s=this.validatePosition(v.end);return v.with(d,s)}validatePosition(v){const d=this._cellLines.getIndexOf(v.line),s=new _.Position(d.remainder,v.character),h=this._cells[d.index].document.validatePosition(s),p=this._cellLines.getAccumulatedValue(d.index-1);return new _.Position(p+h.line,h.character)}}e.ExtHostNotebookConcatDocument=A}),define(we[165],Ee([0,1,7,14,3]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let P=class{constructor(k){this._actual=new _.ColorTheme(_.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new T.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(k){let D=k==="light"?_.ColorThemeKind.Light:k==="dark"?_.ColorThemeKind.Dark:_.ColorThemeKind.HighContrast;this._actual=new _.ColorTheme(D),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};P=je([Ke(0,S.IExtHostRpcService)],P),e.ExtHostTheming=P}),define(we[166],Ee([0,1,138,4,64]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USER_TASKS_GROUP_KEY=e.ITaskService=e.ProcessExecutionSupportedContext=e.ShellExecutionSupportedContext=e.CustomExecutionSupportedContext=void 0,e.CustomExecutionSupportedContext=new T.RawContextKey("customExecutionSupported",!0,_.localize(0,null)),e.ShellExecutionSupportedContext=new T.RawContextKey("shellExecutionSupported",!1,_.localize(1,null)),e.ProcessExecutionSupportedContext=new T.RawContextKey("processExecutionSupported",!1,_.localize(2,null)),e.ITaskService=(0,S.createDecorator)("taskService"),e.USER_TASKS_GROUP_KEY="settings"}),define(we[167],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function _(T){return[...T.entries()]}e.serializeEnvironmentVariableCollection=_;function S(T){return new Map(T)}e.deserializeEnvironmentVariableCollection=S}),define(we[168],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.getTestSubscriptionKey=e.TestDiffOpType=void 0;var _;(function(E){E[E.Add=0]="Add",E[E.Update=1]="Update",E[E.Remove=2]="Remove",E[E.DeltaDiscoverComplete=3]="DeltaDiscoverComplete",E[E.DeltaRootsComplete=4]="DeltaRootsComplete"})(_=e.TestDiffOpType||(e.TestDiffOpType={}));const S=(E,k)=>`${E}:${k.toString()}`;e.getTestSubscriptionKey=S;class T{add(k){}update(k){}remove(k,D){}complete(){}}e.IncrementalChangeCollector=T;class P{constructor(){this.items=new Map,this.roots=new Set}apply(k){const D=this.createChangeCollector();for(const n of k)switch(n[0]){case 0:{const A=n[1];if(A.parent){if(this.items.has(A.parent)){const C=this.items.get(A.parent);C.children.add(A.item.extId);const v=this.createItem(A,C);this.items.set(A.item.extId,v),D.add(v)}}else{this.roots.add(A.item.extId);const C=this.createItem(A);this.items.set(A.item.extId,C),D.add(C)}break}case 1:{const A=n[1],C=this.items.get(A.item.extId);C&&(Object.assign(C.item,A.item),D.update(C));break}case 2:{const A=this.items.get(n[1]);if(!A)break;A.parent?this.items.get(A.parent).children.delete(A.item.extId):this.roots.delete(A.item.extId);const C=[[n[1]]];for(;C.length;)for(const v of C.pop()){const d=this.items.get(v);d&&(C.push(d.children),this.items.delete(v),D.remove(d,d!==A))}break}case 3:this.updateBusyProviders(n[1]);break;case 4:this.updatePendingRoots(n[1]);break}D.complete()}updateBusyProviders(k){}updatePendingRoots(k){}createChangeCollector(){return new T}}e.AbstractIncrementalTestCollection=P}),define(we[169],Ee([0,1,11,36,12,23,21,59,139]),function(ae,e,_,S,T,P,E,k,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class n{constructor(C,v,d){if(this._contributedVariables=new Map,this._context=C,this._labelService=v,d)if(E.isWindows){const s=Object.create(null);this._envVariables=s,Object.keys(d).forEach(h=>{s[h.toLowerCase()]=d[h]})}else this._envVariables=d}resolve(C,v){return this.recursiveResolve(C?C.uri:void 0,v)}resolveAnyBase(C,v,d,s){const h=P.deepClone(v);return E.isWindows&&h.windows?Object.keys(h.windows).forEach(p=>h[p]=h.windows[p]):E.isMacintosh&&h.osx?Object.keys(h.osx).forEach(p=>h[p]=h.osx[p]):E.isLinux&&h.linux&&Object.keys(h.linux).forEach(p=>h[p]=h.linux[p]),delete h.windows,delete h.osx,delete h.linux,this.recursiveResolve(C?C.uri:void 0,h,d,s)}resolveAny(C,v,d){return this.resolveAnyBase(C,v,d)}resolveAnyMap(C,v,d){const s=new Map;return{newConfig:this.resolveAnyBase(C,v,d,s),resolvedVariables:s}}resolveWithInteractionReplace(C,v,d,s){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(C,v,d,s){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(C,v){if(this._contributedVariables.has(C))throw new Error("Variable "+C+" is contributed twice.");this._contributedVariables.set(C,v)}recursiveResolve(C,v,d,s){if(T.isString(v))return this.resolveString(C,v,d,s);if(T.isArray(v))return v.map(h=>this.recursiveResolve(C,h,d,s));if(T.isObject(v)){let h=Object.create(null);return Object.keys(v).forEach(p=>{const g=this.resolveString(C,p,d,s);h[g]=this.recursiveResolve(C,v[p],d,s)}),h}return v}resolveString(C,v,d,s){return v.replace(n.VARIABLE_REGEXP,(p,g)=>{if(g.includes(n.VARIABLE_LHS))return p;let b=this.evaluateSingleVariable(p,g,C,d);return s&&s.set(g,b),b})}fsPath(C){return this._labelService?this._labelService.getUriLabel(C,{noPrefix:!0}):C.fsPath}evaluateSingleVariable(C,v,d,s){let h;const p=v.split(":");p.length>1&&(v=p[0],h=p[1]);const g=()=>{const u=this._context.getFilePath();if(u)return u;throw new Error((0,D.localize)(0,null,C))},b=()=>{const u=g();if(this._context.getWorkspaceFolderPathForFile){const a=this._context.getWorkspaceFolderPathForFile();if(a)return a}throw new Error((0,D.localize)(1,null,C,_.basename(u)))},c=()=>{if(h){const u=this._context.getFolderUri(h);if(u)return u;throw new Error((0,D.localize)(2,null,C,h))}if(d)return d;throw this._context.getWorkspaceFolderCount()>1?new Error((0,D.localize)(3,null,C)):new Error((0,D.localize)(4,null,C))};switch(v){case"env":if(h){if(this._envVariables){const u=this._envVariables[E.isWindows?h.toLowerCase():h];if(T.isString(u))return u}return""}throw new Error((0,D.localize)(5,null,C));case"config":if(h){const u=this._context.getConfigurationValue(d,h);if(T.isUndefinedOrNull(u))throw new Error((0,D.localize)(6,null,C,h));if(T.isObject(u))throw new Error((0,D.localize)(7,null,C,h));return u}throw new Error((0,D.localize)(8,null,C));case"command":return this.resolveFromMap(C,h,s,"command");case"input":return this.resolveFromMap(C,h,s,"input");default:switch(v){case"workspaceRoot":case"workspaceFolder":return(0,k.normalizeDriveLetter)(this.fsPath(c()));case"cwd":return d||h?(0,k.normalizeDriveLetter)(this.fsPath(c())):S.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return _.basename(this.fsPath(c()));case"lineNumber":const u=this._context.getLineNumber();if(u)return u;throw new Error((0,D.localize)(9,null,C));case"selectedText":const a=this._context.getSelectedText();if(a)return a;throw new Error((0,D.localize)(10,null,C));case"file":return g();case"fileWorkspaceFolder":return b();case"relativeFile":return d||h?_.relative(this.fsPath(c()),g()):g();case"relativeFileDirname":const t=_.dirname(g());if(d||h){const i=_.relative(this.fsPath(c()),t);return i.length===0?".":i}return t;case"fileDirname":return _.dirname(g());case"fileExtname":return _.extname(g());case"fileBasename":return _.basename(g());case"fileBasenameNoExtension":const r=_.basename(g());return r.slice(0,r.length-_.extname(r).length);case"fileDirnameBasename":return _.basename(_.dirname(g()));case"execPath":const o=this._context.getExecPath();return o||C;case"execInstallFolder":const l=this._context.getAppRoot();return l||C;case"pathSeparator":return _.sep;default:try{const i=h?`${v}:${h}`:v;return this.resolveFromMap(C,i,s,void 0)}catch(i){return C}}}}resolveFromMap(C,v,d,s){if(v&&d){const h=s===void 0?d[v]:d[s+":"+v];if(typeof h=="string")return h;throw new Error((0,D.localize)(11,null,C))}return C}}e.AbstractVariableResolverService=n,n.VARIABLE_LHS="${",n.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(we[170],Ee([0,1,4]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.OpenEditorContext=e.GroupChangeKind=e.GroupsOrder=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=(0,_.createDecorator)("editorGroupsService");var S;(function(v){v[v.UP=0]="UP",v[v.DOWN=1]="DOWN",v[v.LEFT=2]="LEFT",v[v.RIGHT=3]="RIGHT"})(S=e.GroupDirection||(e.GroupDirection={}));var T;(function(v){v[v.HORIZONTAL=0]="HORIZONTAL",v[v.VERTICAL=1]="VERTICAL"})(T=e.GroupOrientation||(e.GroupOrientation={}));var P;(function(v){v[v.FIRST=0]="FIRST",v[v.LAST=1]="LAST",v[v.NEXT=2]="NEXT",v[v.PREVIOUS=3]="PREVIOUS"})(P=e.GroupLocation||(e.GroupLocation={}));var E;(function(v){v[v.MINIMIZE_OTHERS=0]="MINIMIZE_OTHERS",v[v.EVEN=1]="EVEN",v[v.TOGGLE=2]="TOGGLE"})(E=e.GroupsArrangement||(e.GroupsArrangement={}));var k;(function(v){v[v.COPY_EDITORS=0]="COPY_EDITORS",v[v.MOVE_EDITORS=1]="MOVE_EDITORS"})(k=e.MergeGroupMode||(e.MergeGroupMode={}));var D;(function(v){v[v.CREATION_TIME=0]="CREATION_TIME",v[v.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",v[v.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(D=e.GroupsOrder||(e.GroupsOrder={}));var n;(function(v){v[v.GROUP_ACTIVE=0]="GROUP_ACTIVE",v[v.GROUP_INDEX=1]="GROUP_INDEX",v[v.EDITOR_OPEN=2]="EDITOR_OPEN",v[v.EDITOR_CLOSE=3]="EDITOR_CLOSE",v[v.EDITOR_MOVE=4]="EDITOR_MOVE",v[v.EDITOR_ACTIVE=5]="EDITOR_ACTIVE",v[v.EDITOR_LABEL=6]="EDITOR_LABEL",v[v.EDITOR_PIN=7]="EDITOR_PIN",v[v.EDITOR_STICKY=8]="EDITOR_STICKY",v[v.EDITOR_DIRTY=9]="EDITOR_DIRTY"})(n=e.GroupChangeKind||(e.GroupChangeKind={}));var A;(function(v){v[v.NEW_EDITOR=1]="NEW_EDITOR",v[v.MOVE_EDITOR=2]="MOVE_EDITOR",v[v.COPY_EDITOR=3]="COPY_EDITOR"})(A=e.OpenEditorContext||(e.OpenEditorContext={}));function C(v){return v.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=C}),define(we[171],Ee([0,1,4]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=(0,_.createDecorator)("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2}),define(we[9],Ee([0,1,63,7,140,2,32,80,87,171,12,224,58,23,15,40]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeActionTriggerKind=e.TestResults=e.TestItem=e.TestMessage=e.TestState=e.NotebookDecorationRenderOptions=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookCellKind=e.NotebookDocumentMetadata=e.NotebookCellMetadata=e.NotebookCellRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlineHintKind=e.InlineHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.Position=e.TokenType=e.Range=e.Selection=void 0;var p;(function(pe){function he(K){const{selectionStartLineNumber:ke,selectionStartColumn:Te,positionLineNumber:et,positionColumn:Ge}=K,nt=new S.Position(ke-1,Te-1),ct=new S.Position(et-1,Ge-1);return new S.Selection(nt,ct)}pe.to=he;function ue(K){const{anchor:ke,active:Te}=K;return{selectionStartLineNumber:ke.line+1,selectionStartColumn:ke.character+1,positionLineNumber:Te.line+1,positionColumn:Te.character+1}}pe.from=ue})(p=e.Selection||(e.Selection={}));var g;(function(pe){function he(K){if(!!K){const{start:ke,end:Te}=K;return{startLineNumber:ke.line+1,startColumn:ke.character+1,endLineNumber:Te.line+1,endColumn:Te.character+1}}}pe.from=he;function ue(K){if(!!K){const{startLineNumber:ke,startColumn:Te,endLineNumber:et,endColumn:Ge}=K;return new S.Range(ke-1,Te-1,et-1,Ge-1)}}pe.to=ue})(g=e.Range||(e.Range={}));var b;(function(pe){function he(ue){switch(ue){case 1:return S.StandardTokenType.Comment;case 0:return S.StandardTokenType.Other;case 4:return S.StandardTokenType.RegEx;case 2:return S.StandardTokenType.String}}pe.to=he})(b=e.TokenType||(e.TokenType={}));var c;(function(pe){function he(K){return new S.Position(K.lineNumber-1,K.column-1)}pe.to=he;function ue(K){return{lineNumber:K.line+1,column:K.character+1}}pe.from=ue})(c=e.Position||(e.Position={}));var u;(function(pe){function he(K){switch(K){case S.DiagnosticTag.Unnecessary:return 1;case S.DiagnosticTag.Deprecated:return 2}}pe.from=he;function ue(K){switch(K){case 1:return S.DiagnosticTag.Unnecessary;case 2:return S.DiagnosticTag.Deprecated;default:return}}pe.to=ue})(u=e.DiagnosticTag||(e.DiagnosticTag={}));var a;(function(pe){function he(K){let ke;return K.code&&((0,A.isString)(K.code)||(0,A.isNumber)(K.code)?ke=String(K.code):ke={value:String(K.code.value),target:K.code.target}),Object.assign(Object.assign({},g.from(K.range)),{message:K.message,source:K.source,code:ke,severity:r.from(K.severity),relatedInformation:K.relatedInformation&&K.relatedInformation.map(t.from),tags:Array.isArray(K.tags)?(0,s.coalesce)(K.tags.map(u.from)):void 0})}pe.from=he;function ue(K){var ke;const Te=new S.Diagnostic(g.to(K),K.message,r.to(K.severity));return Te.source=K.source,Te.code=(0,A.isString)(K.code)?K.code:(ke=K.code)===null||ke===void 0?void 0:ke.value,Te.relatedInformation=K.relatedInformation&&K.relatedInformation.map(t.to),Te.tags=K.tags&&(0,s.coalesce)(K.tags.map(u.to)),Te}pe.to=ue})(a=e.Diagnostic||(e.Diagnostic={}));var t;(function(pe){function he(K){return Object.assign(Object.assign({},g.from(K.location.range)),{message:K.message,resource:K.location.uri})}pe.from=he;function ue(K){return new S.DiagnosticRelatedInformation(new S.Location(K.resource,g.to(K)),K.message)}pe.to=ue})(t=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var r;(function(pe){function he(K){switch(K){case S.DiagnosticSeverity.Error:return D.MarkerSeverity.Error;case S.DiagnosticSeverity.Warning:return D.MarkerSeverity.Warning;case S.DiagnosticSeverity.Information:return D.MarkerSeverity.Info;case S.DiagnosticSeverity.Hint:return D.MarkerSeverity.Hint}return D.MarkerSeverity.Error}pe.from=he;function ue(K){switch(K){case D.MarkerSeverity.Info:return S.DiagnosticSeverity.Information;case D.MarkerSeverity.Warning:return S.DiagnosticSeverity.Warning;case D.MarkerSeverity.Error:return S.DiagnosticSeverity.Error;case D.MarkerSeverity.Hint:return S.DiagnosticSeverity.Hint;default:return S.DiagnosticSeverity.Error}}pe.to=ue})(r=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var o;(function(pe){function he(K){return typeof K=="number"&&K>=S.ViewColumn.One?K-1:K===S.ViewColumn.Beside?n.SIDE_GROUP:n.ACTIVE_GROUP}pe.from=he;function ue(K){if(typeof K=="number"&&K>=0)return K+1;throw new Error("invalid 'EditorGroupColumn'")}pe.to=ue})(o=e.ViewColumn||(e.ViewColumn={}));function l(pe){return typeof pe.range!="undefined"}function i(pe){return pe.length===0?!0:!!l(pe[0])}e.isDecorationOptionsArr=i;var f;(function(pe){function he(Ge){return Ge.map(pe.from)}pe.fromMany=he;function ue(Ge){return Ge&&typeof Ge=="object"&&typeof Ge.language=="string"&&typeof Ge.value=="string"}function K(Ge){let nt;if(ue(Ge)){const{language:lt,value:ot}=Ge;nt={value:"```"+lt+`
`+ot+"\n```\n"}}else S.MarkdownString.isMarkdownString(Ge)?nt={value:Ge.value,isTrusted:Ge.isTrusted,supportThemeIcons:Ge.supportThemeIcons}:typeof Ge=="string"?nt={value:Ge}:nt={value:""};const ct=Object.create(null);nt.uris=ct;const Je=lt=>{try{let ot=P.URI.parse(lt,!0);ot=ot.with({query:ke(ot.query,ct)}),ct[lt]=ot}catch(ot){}return""},at=new C.Renderer;return at.link=Je,at.image=lt=>Je(k.parseHrefAndDimensions(lt).href),C(nt.value,{renderer:at}),nt}pe.from=K;function ke(Ge,nt){if(!Ge)return Ge;let ct;try{ct=(0,v.parse)(Ge)}catch(at){}if(!ct)return Ge;let Je=!1;return ct=(0,d.cloneAndChange)(ct,at=>{if(P.URI.isUri(at)){const lt=`__uri_${Math.random().toString(16).slice(2,8)}`;return nt[lt]=at,Je=!0,lt}else return}),Je?JSON.stringify(ct):Ge}function Te(Ge){const nt=new S.MarkdownString(Ge.value,Ge.supportThemeIcons);return nt.isTrusted=Ge.isTrusted,nt}pe.to=Te;function et(Ge){if(!!Ge)return typeof Ge=="string"?Ge:pe.from(Ge)}pe.fromStrict=et})(f=e.MarkdownString||(e.MarkdownString={}));function y(pe){return i(pe)?pe.map(he=>({range:g.from(he.range),hoverMessage:Array.isArray(he.hoverMessage)?f.fromMany(he.hoverMessage):he.hoverMessage?f.from(he.hoverMessage):void 0,renderOptions:he.renderOptions})):pe.map(he=>({range:g.from(he)}))}e.fromRangeOrRangeWithMessage=y;function I(pe){return typeof pe=="undefined"?pe:typeof pe=="string"?P.URI.file(pe):pe}e.pathOrURIToURI=I;var m;(function(pe){function he(ue){return typeof ue=="undefined"?ue:{contentText:ue.contentText,contentIconPath:ue.contentIconPath?I(ue.contentIconPath):void 0,border:ue.border,borderColor:ue.borderColor,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,color:ue.color,backgroundColor:ue.backgroundColor,margin:ue.margin,width:ue.width,height:ue.height}}pe.from=he})(m=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var w;(function(pe){function he(ue){return typeof ue=="undefined"?ue:{backgroundColor:ue.backgroundColor,outline:ue.outline,outlineColor:ue.outlineColor,outlineStyle:ue.outlineStyle,outlineWidth:ue.outlineWidth,border:ue.border,borderColor:ue.borderColor,borderRadius:ue.borderRadius,borderSpacing:ue.borderSpacing,borderStyle:ue.borderStyle,borderWidth:ue.borderWidth,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,cursor:ue.cursor,color:ue.color,opacity:ue.opacity,letterSpacing:ue.letterSpacing,gutterIconPath:ue.gutterIconPath?I(ue.gutterIconPath):void 0,gutterIconSize:ue.gutterIconSize,overviewRulerColor:ue.overviewRulerColor,before:ue.before?m.from(ue.before):void 0,after:ue.after?m.from(ue.after):void 0}}pe.from=he})(w=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var R;(function(pe){function he(ue){if(typeof ue=="undefined")return ue;switch(ue){case S.DecorationRangeBehavior.OpenOpen:return 0;case S.DecorationRangeBehavior.ClosedClosed:return 1;case S.DecorationRangeBehavior.OpenClosed:return 2;case S.DecorationRangeBehavior.ClosedOpen:return 3}}pe.from=he})(R=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var F;(function(pe){function he(ue){return{isWholeLine:ue.isWholeLine,rangeBehavior:ue.rangeBehavior?R.from(ue.rangeBehavior):void 0,overviewRulerLane:ue.overviewRulerLane,light:ue.light?w.from(ue.light):void 0,dark:ue.dark?w.from(ue.dark):void 0,backgroundColor:ue.backgroundColor,outline:ue.outline,outlineColor:ue.outlineColor,outlineStyle:ue.outlineStyle,outlineWidth:ue.outlineWidth,border:ue.border,borderColor:ue.borderColor,borderRadius:ue.borderRadius,borderSpacing:ue.borderSpacing,borderStyle:ue.borderStyle,borderWidth:ue.borderWidth,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,cursor:ue.cursor,color:ue.color,opacity:ue.opacity,letterSpacing:ue.letterSpacing,gutterIconPath:ue.gutterIconPath?I(ue.gutterIconPath):void 0,gutterIconSize:ue.gutterIconSize,overviewRulerColor:ue.overviewRulerColor,before:ue.before?m.from(ue.before):void 0,after:ue.after?m.from(ue.after):void 0}}pe.from=he})(F=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var W;(function(pe){function he(K){return{text:K.newText,eol:K.newEol&&Q.from(K.newEol),range:g.from(K.range)}}pe.from=he;function ue(K){const ke=new S.TextEdit(g.to(K.range),K.text);return ke.newEol=typeof K.eol=="undefined"?void 0:Q.to(K.eol),ke}pe.to=ue})(W=e.TextEdit||(e.TextEdit={}));var oe;(function(pe){function he(K,ke,Te){var et,Ge,nt;const ct={edits:[]};if(K instanceof S.WorkspaceEdit)for(let Je of K._allEntries())if(Je._type===1)ct.edits.push({_type:1,oldUri:Je.from,newUri:Je.to,options:Je.options,metadata:Je.metadata});else if(Je._type===2){const at=ke==null?void 0:ke.getDocument(Je.uri);ct.edits.push({_type:2,resource:Je.uri,edit:W.from(Je.edit),modelVersionId:at==null?void 0:at.version,metadata:Je.metadata})}else Je._type===3?ct.edits.push({_type:3,metadata:Je.metadata,resource:Je.uri,edit:Je.edit,notebookMetadata:Je.notebookMetadata,notebookVersionId:(et=Te==null?void 0:Te.lookupNotebookDocument(Je.uri))===null||et===void 0?void 0:et.notebookDocument.version}):Je._type===4?(Je.newOutputs&&ct.edits.push({_type:3,metadata:Je.metadata,resource:Je.uri,edit:{editType:2,index:Je.index,append:Je.append,outputs:Je.newOutputs.map(ve.from)}}),Je.newMetadata&&ct.edits.push({_type:3,metadata:Je.metadata,resource:Je.uri,edit:{editType:3,index:Je.index,metadata:Je.newMetadata}})):Je._type===5?ct.edits.push({_type:3,metadata:Je.metadata,resource:Je.uri,notebookVersionId:(Ge=Te==null?void 0:Te.lookupNotebookDocument(Je.uri))===null||Ge===void 0?void 0:Ge.notebookDocument.version,edit:{editType:1,index:Je.index,count:Je.count,cells:Je.cells.map(le.from)}}):Je._type===6&&ct.edits.push({_type:3,metadata:Je.metadata,resource:Je.uri,edit:{editType:10,index:Je.index,outputId:Je.outputId,items:((nt=Je.newOutputItems)===null||nt===void 0?void 0:nt.map(fe.from))||[],append:Je.append}});return ct}pe.from=he;function ue(K){const ke=new S.WorkspaceEdit;for(const Te of K.edits)Te.edit?ke.replace(P.URI.revive(Te.resource),g.to(Te.edit.range),Te.edit.text):ke.renameFile(P.URI.revive(Te.oldUri),P.URI.revive(Te.newUri),Te.options);return ke}pe.to=ue})(oe=e.WorkspaceEdit||(e.WorkspaceEdit={}));var ie;(function(pe){const he=Object.create(null);he[S.SymbolKind.File]=0,he[S.SymbolKind.Module]=1,he[S.SymbolKind.Namespace]=2,he[S.SymbolKind.Package]=3,he[S.SymbolKind.Class]=4,he[S.SymbolKind.Method]=5,he[S.SymbolKind.Property]=6,he[S.SymbolKind.Field]=7,he[S.SymbolKind.Constructor]=8,he[S.SymbolKind.Enum]=9,he[S.SymbolKind.Interface]=10,he[S.SymbolKind.Function]=11,he[S.SymbolKind.Variable]=12,he[S.SymbolKind.Constant]=13,he[S.SymbolKind.String]=14,he[S.SymbolKind.Number]=15,he[S.SymbolKind.Boolean]=16,he[S.SymbolKind.Array]=17,he[S.SymbolKind.Object]=18,he[S.SymbolKind.Key]=19,he[S.SymbolKind.Null]=20,he[S.SymbolKind.EnumMember]=21,he[S.SymbolKind.Struct]=22,he[S.SymbolKind.Event]=23,he[S.SymbolKind.Operator]=24,he[S.SymbolKind.TypeParameter]=25;function ue(ke){return typeof he[ke]=="number"?he[ke]:6}pe.from=ue;function K(ke){for(const Te in he)if(he[Te]===ke)return Number(Te);return S.SymbolKind.Property}pe.to=K})(ie=e.SymbolKind||(e.SymbolKind={}));var j;(function(pe){function he(K){switch(K){case S.SymbolTag.Deprecated:return 1}}pe.from=he;function ue(K){switch(K){case 1:return S.SymbolTag.Deprecated}}pe.to=ue})(j=e.SymbolTag||(e.SymbolTag={}));var ee;(function(pe){function he(K){return{name:K.name,kind:ie.from(K.kind),tags:K.tags&&K.tags.map(j.from),containerName:K.containerName,location:U.from(K.location)}}pe.from=he;function ue(K){const ke=new S.SymbolInformation(K.name,ie.to(K.kind),K.containerName,U.to(K.location));return ke.tags=K.tags&&K.tags.map(j.to),ke}pe.to=ue})(ee=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var M;(function(pe){function he(K){var ke,Te;const et={name:K.name||"!!MISSING: name!!",detail:K.detail,range:g.from(K.range),selectionRange:g.from(K.selectionRange),kind:ie.from(K.kind),tags:(Te=(ke=K.tags)===null||ke===void 0?void 0:ke.map(j.from))!==null&&Te!==void 0?Te:[]};return K.children&&(et.children=K.children.map(he)),et}pe.from=he;function ue(K){const ke=new S.DocumentSymbol(K.name,K.detail,ie.to(K.kind),g.to(K.range),g.to(K.selectionRange));return(0,s.isNonEmptyArray)(K.tags)&&(ke.tags=K.tags.map(j.to)),K.children&&(ke.children=K.children.map(ue)),ke}pe.to=ue})(M=e.DocumentSymbol||(e.DocumentSymbol={}));var x;(function(pe){function he(ue){const K=new S.CallHierarchyItem(ie.to(ue.kind),ue.name,ue.detail||"",P.URI.revive(ue.uri),g.to(ue.range),g.to(ue.selectionRange));return K._sessionId=ue._sessionId,K._itemId=ue._itemId,K}pe.to=he})(x=e.CallHierarchyItem||(e.CallHierarchyItem={}));var $;(function(pe){function he(ue){return new S.CallHierarchyIncomingCall(x.to(ue.from),ue.fromRanges.map(K=>g.to(K)))}pe.to=he})($=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var q;(function(pe){function he(ue){return new S.CallHierarchyOutgoingCall(x.to(ue.to),ue.fromRanges.map(K=>g.to(K)))}pe.to=he})(q=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var U;(function(pe){function he(K){return{range:K.range&&g.from(K.range),uri:K.uri}}pe.from=he;function ue(K){return new S.Location(P.URI.revive(K.uri),g.to(K.range))}pe.to=ue})(U=e.location||(e.location={}));var Y;(function(pe){function he(K){const ke=K,Te=K;return{originSelectionRange:ke.originSelectionRange?g.from(ke.originSelectionRange):void 0,uri:ke.targetUri?ke.targetUri:Te.uri,range:g.from(ke.targetRange?ke.targetRange:Te.range),targetSelectionRange:ke.targetSelectionRange?g.from(ke.targetSelectionRange):void 0}}pe.from=he;function ue(K){return{targetUri:P.URI.revive(K.uri),targetRange:g.to(K.range),targetSelectionRange:K.targetSelectionRange?g.to(K.targetSelectionRange):void 0,originSelectionRange:K.originSelectionRange?g.to(K.originSelectionRange):void 0}}pe.to=ue})(Y=e.DefinitionLink||(e.DefinitionLink={}));var Z;(function(pe){function he(K){return{range:g.from(K.range),contents:f.fromMany(K.contents)}}pe.from=he;function ue(K){return new S.Hover(K.contents.map(f.to),g.to(K.range))}pe.to=ue})(Z=e.Hover||(e.Hover={}));var se;(function(pe){function he(K){return{range:g.from(K.range),expression:K.expression}}pe.from=he;function ue(K){return new S.EvaluatableExpression(g.to(K.range),K.expression)}pe.to=ue})(se=e.EvaluatableExpression||(e.EvaluatableExpression={}));var Se;(function(pe){function he(K){if(K instanceof S.InlineValueText)return{type:"text",range:g.from(K.range),text:K.text};if(K instanceof S.InlineValueVariableLookup)return{type:"variable",range:g.from(K.range),variableName:K.variableName,caseSensitiveLookup:K.caseSensitiveLookup};if(K instanceof S.InlineValueEvaluatableExpression)return{type:"expression",range:g.from(K.range),expression:K.expression};throw new Error("Unknown 'InlineValue' type")}pe.from=he;function ue(K){switch(K.type){case"text":return{range:g.to(K.range),text:K.text};case"variable":return{range:g.to(K.range),variableName:K.variableName,caseSensitiveLookup:K.caseSensitiveLookup};case"expression":return{range:g.to(K.range),expression:K.expression}}}pe.to=ue})(Se=e.InlineValue||(e.InlineValue={}));var Pe;(function(pe){function he(K){return{frameId:K.frameId,stoppedLocation:g.from(K.stoppedLocation)}}pe.from=he;function ue(K){return new S.InlineValueContext(K.frameId,g.to(K.stoppedLocation))}pe.to=ue})(Pe=e.InlineValueContext||(e.InlineValueContext={}));var $e;(function(pe){function he(K){return{range:g.from(K.range),kind:K.kind}}pe.from=he;function ue(K){return new S.DocumentHighlight(g.to(K.range),K.kind)}pe.to=ue})($e=e.DocumentHighlight||(e.DocumentHighlight={}));var Fe;(function(pe){function he(ue){switch(ue){case 1:return S.CompletionTriggerKind.TriggerCharacter;case 2:return S.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return S.CompletionTriggerKind.Invoke}}pe.to=he})(Fe=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var He;(function(pe){function he(ue){return{triggerKind:Fe.to(ue.triggerKind),triggerCharacter:ue.triggerCharacter}}pe.to=he})(He=e.CompletionContext||(e.CompletionContext={}));var N;(function(pe){function he(K){switch(K){case S.CompletionItemTag.Deprecated:return 1}}pe.from=he;function ue(K){switch(K){case 1:return S.CompletionItemTag.Deprecated}}pe.to=ue})(N=e.CompletionItemTag||(e.CompletionItemTag={}));var V;(function(pe){const he=new Map([[S.CompletionItemKind.Method,0],[S.CompletionItemKind.Function,1],[S.CompletionItemKind.Constructor,2],[S.CompletionItemKind.Field,3],[S.CompletionItemKind.Variable,4],[S.CompletionItemKind.Class,5],[S.CompletionItemKind.Interface,7],[S.CompletionItemKind.Struct,6],[S.CompletionItemKind.Module,8],[S.CompletionItemKind.Property,9],[S.CompletionItemKind.Unit,12],[S.CompletionItemKind.Value,13],[S.CompletionItemKind.Constant,14],[S.CompletionItemKind.Enum,15],[S.CompletionItemKind.EnumMember,16],[S.CompletionItemKind.Keyword,17],[S.CompletionItemKind.Snippet,27],[S.CompletionItemKind.Text,18],[S.CompletionItemKind.Color,19],[S.CompletionItemKind.File,20],[S.CompletionItemKind.Reference,21],[S.CompletionItemKind.Folder,23],[S.CompletionItemKind.Event,10],[S.CompletionItemKind.Operator,11],[S.CompletionItemKind.TypeParameter,24],[S.CompletionItemKind.Issue,26],[S.CompletionItemKind.User,25]]);function ue(Te){var et;return(et=he.get(Te))!==null&&et!==void 0?et:9}pe.from=ue;const K=new Map([[0,S.CompletionItemKind.Method],[1,S.CompletionItemKind.Function],[2,S.CompletionItemKind.Constructor],[3,S.CompletionItemKind.Field],[4,S.CompletionItemKind.Variable],[5,S.CompletionItemKind.Class],[7,S.CompletionItemKind.Interface],[6,S.CompletionItemKind.Struct],[8,S.CompletionItemKind.Module],[9,S.CompletionItemKind.Property],[12,S.CompletionItemKind.Unit],[13,S.CompletionItemKind.Value],[14,S.CompletionItemKind.Constant],[15,S.CompletionItemKind.Enum],[16,S.CompletionItemKind.EnumMember],[17,S.CompletionItemKind.Keyword],[27,S.CompletionItemKind.Snippet],[18,S.CompletionItemKind.Text],[19,S.CompletionItemKind.Color],[20,S.CompletionItemKind.File],[21,S.CompletionItemKind.Reference],[23,S.CompletionItemKind.Folder],[10,S.CompletionItemKind.Event],[11,S.CompletionItemKind.Operator],[24,S.CompletionItemKind.TypeParameter],[25,S.CompletionItemKind.User],[26,S.CompletionItemKind.Issue]]);function ke(Te){var et;return(et=K.get(Te))!==null&&et!==void 0?et:S.CompletionItemKind.Property}pe.to=ke})(V=e.CompletionItemKind||(e.CompletionItemKind={}));var X;(function(pe){function he(ue,K){var ke;const Te=new S.CompletionItem(typeof ue.label=="string"?ue.label:ue.label.name);return typeof ue.label!="string"&&(Te.label2=ue.label),Te.insertText=ue.insertText,Te.kind=V.to(ue.kind),Te.tags=(ke=ue.tags)===null||ke===void 0?void 0:ke.map(N.to),Te.detail=ue.detail,Te.documentation=k.isMarkdownString(ue.documentation)?f.to(ue.documentation):ue.documentation,Te.sortText=ue.sortText,Te.filterText=ue.filterText,Te.preselect=ue.preselect,Te.commitCharacters=ue.commitCharacters,E.Range.isIRange(ue.range)?Te.range=g.to(ue.range):typeof ue.range=="object"&&(Te.range={inserting:g.to(ue.range.insert),replacing:g.to(ue.range.replace)}),Te.keepWhitespace=typeof ue.insertTextRules=="undefined"?!1:Boolean(ue.insertTextRules&1),typeof ue.insertTextRules!="undefined"&&ue.insertTextRules&4?Te.insertText=new S.SnippetString(ue.insertText):(Te.insertText=ue.insertText,Te.textEdit=Te.range instanceof S.Range?new S.TextEdit(Te.range,Te.insertText):void 0),ue.additionalTextEdits&&ue.additionalTextEdits.length>0&&(Te.additionalTextEdits=ue.additionalTextEdits.map(et=>W.to(et))),Te.command=K&&ue.command?K.fromInternal(ue.command):void 0,Te}pe.to=he})(X=e.CompletionItem||(e.CompletionItem={}));var re;(function(pe){function he(K){return{label:K.label,documentation:K.documentation?f.fromStrict(K.documentation):void 0}}pe.from=he;function ue(K){return{label:K.label,documentation:k.isMarkdownString(K.documentation)?f.to(K.documentation):K.documentation}}pe.to=ue})(re=e.ParameterInformation||(e.ParameterInformation={}));var me;(function(pe){function he(K){return{label:K.label,documentation:K.documentation?f.fromStrict(K.documentation):void 0,parameters:Array.isArray(K.parameters)?K.parameters.map(re.from):[],activeParameter:K.activeParameter}}pe.from=he;function ue(K){return{label:K.label,documentation:k.isMarkdownString(K.documentation)?f.to(K.documentation):K.documentation,parameters:Array.isArray(K.parameters)?K.parameters.map(re.to):[],activeParameter:K.activeParameter}}pe.to=ue})(me=e.SignatureInformation||(e.SignatureInformation={}));var De;(function(pe){function he(K){return{activeSignature:K.activeSignature,activeParameter:K.activeParameter,signatures:Array.isArray(K.signatures)?K.signatures.map(me.from):[]}}pe.from=he;function ue(K){return{activeSignature:K.activeSignature,activeParameter:K.activeParameter,signatures:Array.isArray(K.signatures)?K.signatures.map(me.to):[]}}pe.to=ue})(De=e.SignatureHelp||(e.SignatureHelp={}));var Le;(function(pe){function he(K){var ke;return{text:K.text,range:g.from(K.range),kind:ge.from((ke=K.kind)!==null&&ke!==void 0?ke:S.InlineHintKind.Other),description:K.description&&f.fromStrict(K.description),whitespaceBefore:K.whitespaceBefore,whitespaceAfter:K.whitespaceAfter}}pe.from=he;function ue(K){const ke=new S.InlineHint(K.text,g.to(K.range),ge.to(K.kind));return ke.whitespaceAfter=K.whitespaceAfter,ke.whitespaceBefore=K.whitespaceBefore,ke.description=k.isMarkdownString(K.description)?f.to(K.description):K.description,ke}pe.to=ue})(Le=e.InlineHint||(e.InlineHint={}));var ge;(function(pe){function he(K){return K}pe.from=he;function ue(K){return K}pe.to=ue})(ge=e.InlineHintKind||(e.InlineHintKind={}));var Ce;(function(pe){function he(K){return{range:g.from(K.range),url:K.target,tooltip:K.tooltip}}pe.from=he;function ue(K){let ke;if(K.url)try{ke=typeof K.url=="string"?P.URI.parse(K.url,!0):P.URI.revive(K.url)}catch(Te){}return new S.DocumentLink(g.to(K.range),ke)}pe.to=ue})(Ce=e.DocumentLink||(e.DocumentLink={}));var Ae;(function(pe){function he(K){const ke=new S.ColorPresentation(K.label);return K.textEdit&&(ke.textEdit=W.to(K.textEdit)),K.additionalTextEdits&&(ke.additionalTextEdits=K.additionalTextEdits.map(Te=>W.to(Te))),ke}pe.to=he;function ue(K){return{label:K.label,textEdit:K.textEdit?W.from(K.textEdit):void 0,additionalTextEdits:K.additionalTextEdits?K.additionalTextEdits.map(ke=>W.from(ke)):void 0}}pe.from=ue})(Ae=e.ColorPresentation||(e.ColorPresentation={}));var Ue;(function(pe){function he(K){return new S.Color(K[0],K[1],K[2],K[3])}pe.to=he;function ue(K){return[K.red,K.green,K.blue,K.alpha]}pe.from=ue})(Ue=e.Color||(e.Color={}));var be;(function(pe){function he(K){return{range:g.from(K.range)}}pe.from=he;function ue(K){return new S.SelectionRange(g.to(K.range))}pe.to=ue})(be=e.SelectionRange||(e.SelectionRange={}));var qe;(function(pe){function he(ue){switch(ue){case 2:return S.TextDocumentSaveReason.AfterDelay;case 1:return S.TextDocumentSaveReason.Manual;case 3:case 4:return S.TextDocumentSaveReason.FocusOut}}pe.to=he})(qe=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var H;(function(pe){function he(K){switch(K){case S.TextEditorLineNumbersStyle.Off:return 0;case S.TextEditorLineNumbersStyle.Relative:return 2;case S.TextEditorLineNumbersStyle.On:default:return 1}}pe.from=he;function ue(K){switch(K){case 0:return S.TextEditorLineNumbersStyle.Off;case 2:return S.TextEditorLineNumbersStyle.Relative;case 1:default:return S.TextEditorLineNumbersStyle.On}}pe.to=ue})(H=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var Q;(function(pe){function he(K){if(K===S.EndOfLine.CRLF)return 1;if(K===S.EndOfLine.LF)return 0}pe.from=he;function ue(K){if(K===1)return S.EndOfLine.CRLF;if(K===0)return S.EndOfLine.LF}pe.to=ue})(Q=e.EndOfLine||(e.EndOfLine={}));var _e;(function(pe){function he(ue){if(typeof ue=="object")return ue.viewId;switch(ue){case S.ProgressLocation.SourceControl:return 3;case S.ProgressLocation.Window:return 10;case S.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}pe.from=he})(_e=e.ProgressLocation||(e.ProgressLocation={}));var Me;(function(pe){function he(ue){const K={start:ue.start+1,end:ue.end+1};return ue.kind&&(K.kind=Be.from(ue.kind)),K}pe.from=he})(Me=e.FoldingRange||(e.FoldingRange={}));var Be;(function(pe){function he(ue){if(ue)switch(ue){case S.FoldingRangeKind.Comment:return _.FoldingRangeKind.Comment;case S.FoldingRangeKind.Imports:return _.FoldingRangeKind.Imports;case S.FoldingRangeKind.Region:return _.FoldingRangeKind.Region}}pe.from=he})(Be=e.FoldingRangeKind||(e.FoldingRangeKind={}));var Ne;(function(pe){function he(ue){if(ue)return{pinned:typeof ue.preview=="boolean"?!ue.preview:void 0,inactive:ue.background,preserveFocus:ue.preserveFocus,selection:typeof ue.selection=="object"?g.from(ue.selection):void 0,override:typeof ue.override=="boolean"?T.EditorOverride.DISABLED:void 0}}pe.from=he})(Ne=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var Xe;(function(pe){function he(K){return K instanceof S.RelativePattern||typeof K=="string"?K:ue(K)?new S.RelativePattern(K.base,K.pattern):K}pe.from=he;function ue(K){const ke=K;return ke&&typeof ke.base=="string"&&typeof ke.pattern=="string"}})(Xe=e.GlobPattern||(e.GlobPattern={}));var B;(function(pe){function he(ue){if(ue){if(Array.isArray(ue))return ue.map(he);if(typeof ue=="string")return ue;{const K=ue;return{language:K.language,scheme:K.scheme,pattern:typeof K.pattern=="undefined"?void 0:Xe.from(K.pattern),exclusive:K.exclusive}}}else return}pe.from=he})(B=e.LanguageSelector||(e.LanguageSelector={}));var te;(function(pe){function he(K){return{start:K.start,end:K.end}}pe.from=he;function ue(K){return new S.NotebookCellRange(K.start,K.end)}pe.to=ue})(te=e.NotebookCellRange||(e.NotebookCellRange={}));var ce;(function(pe){function he(ue){return new S.NotebookCellMetadata(ue.editable,ue.breakpointMargin,ue.hasExecutionOrder,ue.executionOrder,ue.runState,ue.runStartTime,ue.statusMessage,ue.lastRunDuration,ue.inputCollapsed,ue.outputCollapsed,ue.custom)}pe.to=he})(ce=e.NotebookCellMetadata||(e.NotebookCellMetadata={}));var z;(function(pe){function he(K){return K}pe.from=he;function ue(K){return new S.NotebookDocumentMetadata(K.editable,K.cellEditable,K.cellHasExecutionOrder,K.custom,K.runState,K.trusted)}pe.to=ue})(z=e.NotebookDocumentMetadata||(e.NotebookDocumentMetadata={}));var G;(function(pe){function he(K){switch(K){case S.NotebookCellKind.Markdown:return h.CellKind.Markdown;case S.NotebookCellKind.Code:default:return h.CellKind.Code}}pe.from=he;function ue(K){switch(K){case h.CellKind.Markdown:return S.NotebookCellKind.Markdown;case h.CellKind.Code:default:return S.NotebookCellKind.Code}}pe.to=ue})(G=e.NotebookCellKind||(e.NotebookCellKind={}));var le;(function(pe){function he(ue){return{cellKind:G.from(ue.kind),language:ue.language,source:ue.source,metadata:ue.metadata,outputs:ue.outputs?ue.outputs.map(ve.from):[]}}pe.from=he})(le=e.NotebookCellData||(e.NotebookCellData={}));var fe;(function(pe){function he(K){return{mime:K.mime,value:K.value,metadata:K.metadata}}pe.from=he;function ue(K){return new S.NotebookCellOutputItem(K.mime,K.value,K.metadata)}pe.to=ue})(fe=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var ve;(function(pe){function he(K){return{outputId:K.id,outputs:K.outputs.map(fe.from),metadata:K.metadata}}pe.from=he;function ue(K){const ke=K.outputs.map(fe.to);return new S.NotebookCellOutput(ke,K.outputId,K.metadata)}pe.to=ue})(ve=e.NotebookCellOutput||(e.NotebookCellOutput={}));var xe;(function(pe){function he(Te){if(Te!=null){if(Te instanceof S.RelativePattern||typeof Te=="string")return Te;if(ke(Te))return new S.RelativePattern(Te.base,Te.pattern);if(K(Te))return{include:Xe.from(Te.include)||void 0,exclude:Xe.from(Te.exclude)||void 0}}}pe.from=he;function ue(Te){return typeof Te=="string"?Te:ke(Te)?{base:Te.base,pattern:Te.pattern}:{include:Te.include,exclude:Te.exclude}}pe.to=ue;function K(Te){const et=Te,Ge=Xe.from(et.include);if(!(Ge&&Ge instanceof S.RelativePattern||typeof Ge=="string"))return!1;const nt=Xe.from(et.exclude);return!!(nt&&nt instanceof S.RelativePattern||typeof nt=="string")}function ke(Te){const et=Te;return et&&typeof et.base=="string"&&typeof et.pattern=="string"}})(xe=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var Oe;(function(pe){function he(ue){return{backgroundColor:ue.backgroundColor,borderColor:ue.borderColor,top:ue.top?m.from(ue.top):void 0}}pe.from=he})(Oe=e.NotebookDecorationRenderOptions||(e.NotebookDecorationRenderOptions={}));var Ve;(function(pe){function he(K){return{state:K.state,duration:K.duration,messages:K.messages.map(Qe.from)}}pe.from=he;function ue(K){const ke=new S.TestState(K.state);return ke.duration=K.duration,ke.messages=K.messages.map(Qe.to),ke}pe.to=ue})(Ve=e.TestState||(e.TestState={}));var Qe;(function(pe){function he(K){return{message:f.fromStrict(K.message)||"",severity:K.severity,expectedOutput:K.expectedOutput,actualOutput:K.actualOutput,location:K.location?U.from(K.location):void 0}}pe.from=he;function ue(K){const ke=new S.TestMessage(typeof K.message=="string"?K.message:f.to(K.message));return ke.severity=K.severity,ke.actualOutput=K.actualOutput,ke.expectedOutput=K.expectedOutput,ke}pe.to=ue})(Qe=e.TestMessage||(e.TestMessage={}));var Ze;(function(pe){function he(ke){var Te,et;return{extId:ke.id,label:ke.label,location:ke.location?U.from(ke.location):void 0,debuggable:(Te=ke.debuggable)!==null&&Te!==void 0?Te:!1,description:ke.description,runnable:(et=ke.runnable)!==null&&et!==void 0?et:!0}}pe.from=he;function ue(ke){return{id:ke.extId,label:ke.label,location:ke.location&&U.to({range:ke.location.range,uri:P.URI.revive(ke.location.uri)}),debuggable:ke.debuggable,description:ke.description,runnable:ke.runnable}}pe.toPlainShallow=ue;function K(ke){const Te=new S.TestItem(ke.extId,ke.label);return ke.location&&(Te.location=U.to({range:ke.location.range,uri:P.URI.revive(ke.location.uri)})),Te.debuggable=ke.debuggable,Te.description=ke.description,Te.runnable=ke.runnable,Te}pe.toShallow=K})(Ze=e.TestItem||(e.TestItem={}));var ht;(function(pe){function he(ke,Te){var et,Ge,nt;const ct={completedAt:Te.completedAt,id:ke,items:[]},Je=[[null,Te.results]];for(;Je.length;){const[at,lt]=Je.pop();for(const ot of lt){const kt={children:(Ge=(et=ot.children)===null||et===void 0?void 0:et.map(_t=>_t.id))!==null&&Ge!==void 0?Ge:[],computedState:ot.result.state,item:Ze.from(ot),state:Ve.from(ot.result),retired:void 0,parent:(nt=at==null?void 0:at.item.extId)!==null&&nt!==void 0?nt:null,providerId:"",direct:!at};ct.items.push(kt),ot.children&&Je.push([kt,ot.children])}}return ct}pe.from=he;const ue=(ke,Te)=>Object.assign(Object.assign({},Ze.toPlainShallow(ke.item)),{result:Ve.to(ke.state),children:ke.children.map(et=>Te.get(et)).filter(A.isDefined).map(et=>ue(et,Te))});function K(ke){const Te=[],et=new Map;for(const Ge of ke.items)et.set(Ge.item.extId,Ge),Ge.direct&&Te.push(Ge);return{completedAt:ke.completedAt,results:Te.map(Ge=>ue(Ge,et))}}pe.to=K})(ht=e.TestResults||(e.TestResults={}));var rt;(function(pe){function he(ue){switch(ue){case 1:return S.CodeActionTriggerKind.Automatic;case 2:return S.CodeActionTriggerKind.Manual}}pe.to=he})(rt=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}))}),define(we[172],Ee([0,1,2,10,7,9,47]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class k{constructor(n,A,C,v={timeout:1500,errors:3}){this._logService=n,this._documents=A,this._mainThreadBulkEdits=C,this._thresholds=v,this._callbacks=new E.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(n){return(A,C,v)=>{const s={dispose:this._callbacks.push([A,C,n])};return Array.isArray(v)&&v.push(s),s}}async $participateInSave(n,A){const C=_.URI.revive(n);let v=!1;const d=setTimeout(()=>v=!0,this._thresholds.timeout),s=[];try{for(let h of[...this._callbacks]){if(v)break;const p=this._documents.getDocument(C),g=await this._deliverEventAsyncAndBlameBadListeners(h,{document:p,reason:P.TextDocumentSaveReason.to(A)});s.push(g)}}finally{clearTimeout(d)}return s}_deliverEventAsyncAndBlameBadListeners([n,A,C],v){const d=this._badListeners.get(n);return typeof d=="number"&&d>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(C,n,A,v).then(()=>!0,s=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${C.identifier.value}' threw ERROR`),this._logService.error(s),!(s instanceof Error)||s.message!=="concurrent_edits"){const h=this._badListeners.get(n);this._badListeners.set(n,h?h+1:1),typeof h=="number"&&h>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${C.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(n,A,C,v){const d=[],s=Date.now(),{document:h,reason:p}=v,{version:g}=h,b=Object.freeze({document:h,reason:p,waitUntil(c){if(Object.isFrozen(d))throw(0,S.illegalState)("waitUntil can not be called async");d.push(Promise.resolve(c))}});try{A.apply(C,[b])}catch(c){return Promise.reject(c)}return Object.freeze(d),new Promise((c,u)=>{const a=setTimeout(()=>u(new Error("timeout")),this._thresholds.timeout);return Promise.all(d).then(t=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${n.identifier.value}' finished after ${Date.now()-s}ms`),clearTimeout(a),c(t)}).catch(t=>{clearTimeout(a),u(t)})}).then(c=>{const u={edits:[]};for(const a of c)if(Array.isArray(a)&&a.every(t=>t instanceof T.TextEdit))for(const{newText:t,newEol:r,range:o}of a)u.edits.push({_type:2,resource:h.uri,edit:{range:o&&P.Range.from(o),text:t,eol:r&&P.EndOfLine.from(r)}});if(u.edits.length!==0)return g===h.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(u):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=k}),define(we[173],Ee([0,1,3,13,28,2,9,7]),function(ae,e,_,S,T,P,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class D{constructor(C,v,d,s,h){this._onDidCreate=new _.Emitter,this._onDidChange=new _.Emitter,this._onDidDelete=new _.Emitter,this._config=0,d&&(this._config+=1),s&&(this._config+=2),h&&(this._config+=4);const p=(0,T.parse)(v),g=C(b=>{if(!d)for(let c of b.created){const u=P.URI.revive(c);p(u.fsPath)&&this._onDidCreate.fire(u)}if(!s)for(let c of b.changed){const u=P.URI.revive(c);p(u.fsPath)&&this._onDidChange.fire(u)}if(!h)for(let c of b.deleted){const u=P.URI.revive(c);p(u.fsPath)&&this._onDidDelete.fire(u)}});this._disposable=k.Disposable.from(this._onDidCreate,this._onDidChange,this._onDidDelete,g)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class n{constructor(C,v,d){this._logService=v,this._extHostDocumentsAndEditors=d,this._onFileSystemEvent=new _.Emitter,this._onDidRenameFile=new _.Emitter,this._onDidCreateFile=new _.Emitter,this._onDidDeleteFile=new _.Emitter,this._onWillRenameFile=new S.AsyncEmitter,this._onWillCreateFile=new S.AsyncEmitter,this._onWillDeleteFile=new S.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(C,v,d,s){return new D(this._onFileSystemEvent.event,C,v,d,s)}$onFileEvent(C){this._onFileSystemEvent.fire(C)}$onDidRunFileOperation(C,v){switch(C){case 2:this._onDidRenameFile.fire(Object.freeze({files:v.map(d=>({oldUri:P.URI.revive(d.source),newUri:P.URI.revive(d.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:v.map(d=>P.URI.revive(d.target))}));break;case 0:this._onDidCreateFile.fire(Object.freeze({files:v.map(d=>P.URI.revive(d.target))}));break;default:}}getOnWillRenameFileEvent(C){return this._createWillExecuteEvent(C,this._onWillRenameFile)}getOnWillCreateFileEvent(C){return this._createWillExecuteEvent(C,this._onWillCreateFile)}getOnWillDeleteFileEvent(C){return this._createWillExecuteEvent(C,this._onWillDeleteFile)}_createWillExecuteEvent(C,v){return(d,s,h)=>{const p=function(b){d.call(s,b)};return p.extension=C,v.event(p,void 0,h)}}async $onWillRunFileOperation(C,v,d,s){switch(C){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:v.map(h=>({oldUri:P.URI.revive(h.source),newUri:P.URI.revive(h.target)}))},d,s);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:v.map(h=>P.URI.revive(h.target))},d,s);case 0:return await this._fireWillEvent(this._onWillCreateFile,{files:v.map(h=>P.URI.revive(h.target))},d,s)}}async _fireWillEvent(C,v,d,s){const h=new Set,p=[];if(await C.fireAsync(v,s,async(b,c)=>{var u;const a=Date.now(),t=await Promise.resolve(b);t instanceof k.WorkspaceEdit&&(p.push(t),h.add((u=c.extension.displayName)!==null&&u!==void 0?u:c.extension.identifier.value)),Date.now()-a>d&&this._logService.warn("SLOW file-participant",c.extension.identifier)}),!s.isCancellationRequested&&p.length!==0){const g={edits:[]};for(let b of p){let{edits:c}=E.WorkspaceEdit.from(b,this._extHostDocumentsAndEditors);g.edits=g.edits.concat(c)}return{edit:g,extensionNames:Array.from(h)}}}}e.ExtHostFileSystemEventService=n}),define(we[174],Ee([0,1,3,6,16,23,2,9,40]),function(ae,e,_,S,T,P,E,k,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class n{constructor(d,s,h,p){this.start=d,this.deletedCount=s,this.deletedItems=h,this.items=p}static asApiEvents(d){return d.map(s=>({start:s.start,deletedCount:s.deletedCount,deletedItems:s.deletedItems,items:s.items.map(h=>h.cell)}))}}class A{constructor(d,s,h){var p;this._notebook=d,this._extHostDocument=s,this._cellData=h,this._onDidDispose=new _.Emitter,this.onDidDispose=this._onDidDispose.event,this.handle=h.handle,this.uri=E.URI.revive(h.uri),this.cellKind=h.cellKind,this._outputs=h.outputs.map(k.NotebookCellOutput.to),this._metadata=k.NotebookCellMetadata.to((p=h.metadata)!==null&&p!==void 0?p:{})}static asModelAddData(d,s){return{EOL:s.eol,lines:s.source,modeId:s.language,uri:s.uri,isDirty:!1,versionId:1,notebook:d}}dispose(){this._onDidDispose.fire(),this._onDidDispose.dispose()}get cell(){if(!this._cell){const d=this,s=this._extHostDocument.getDocument(this.uri);if(!s)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);this._cell=Object.freeze({get index(){return d._notebook.getCellIndex(d)},notebook:d._notebook.notebookDocument,kind:k.NotebookCellKind.to(this._cellData.cellKind),document:s.document,get outputs(){return d._outputs.slice(0)},get metadata(){return d._metadata}})}return this._cell}setOutputs(d){this._outputs=d.map(k.NotebookCellOutput.to)}setOutputItems(d,s,h){const p=h.map(k.NotebookCellOutputItem.to),g=this._outputs.find(b=>b.id===d);g&&(s||(g.outputs.length=0),g.outputs.push(...p))}setMetadata(d){this._metadata=k.NotebookCellMetadata.to(d)}}e.ExtHostCell=A;class C extends S.Disposable{constructor(d,s,h,p,g,b,c){super();this._proxy=d,this._textDocumentsAndEditors=s,this._textDocuments=h,this._emitter=p,this._viewType=g,this._metadata=b,this.uri=c,this.handle=C._handlePool++,this._cells=[],this._cellDisposableMapping=new Map,this._versionId=0,this._isDirty=!1,this._disposed=!1}dispose(){this._disposed=!0,super.dispose(),(0,S.dispose)(this._cellDisposableMapping.values())}get notebookDocument(){if(!this._notebook){const d=this;this._notebook=Object.freeze({get uri(){return d.uri},get version(){return d._versionId},get fileName(){return d.uri.fsPath},get viewType(){return d._viewType},get isDirty(){return d._isDirty},get isUntitled(){return d.uri.scheme===T.Schemas.untitled},get cells(){return d._cells.map(s=>s.cell)},get metadata(){return d._metadata},set metadata(s){throw new Error("Use WorkspaceEdit to update metadata.")},save(){return d._save()}})}return this._notebook}updateBackup(d){var s;(s=this._backup)===null||s===void 0||s.delete(),this._backup=d}disposeBackup(){var d;(d=this._backup)===null||d===void 0||d.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(d){d.metadata&&(this._metadata=this._metadata.with(d.metadata))}acceptModelChanged(d,s){this._versionId=d.versionId,this._isDirty=s;for(const h of d.rawEvents)h.kind===D.NotebookCellsChangeType.Initialize&&this._spliceNotebookCells(h.changes,!0),h.kind===D.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(h.changes,!1):h.kind===D.NotebookCellsChangeType.Move?this._moveCell(h.index,h.newIdx):h.kind===D.NotebookCellsChangeType.Output?this._setCellOutputs(h.index,h.outputs):h.kind===D.NotebookCellsChangeType.OutputItem?this._setCellOutputItems(h.index,h.outputId,h.append,h.outputItems):h.kind===D.NotebookCellsChangeType.ChangeLanguage?this._changeCellLanguage(h.index,h.language):h.kind===D.NotebookCellsChangeType.ChangeCellMetadata&&this._changeCellMetadata(h.index,h.metadata)}async _save(){return this._disposed?Promise.reject(new Error("Notebook has been closed")):this._proxy.$trySaveDocument(this.uri)}_spliceNotebookCells(d,s){if(!this._disposed){const h=[],p=[],g=[];d.reverse().forEach(b=>{var c;const a=b[2].map(o=>{const l=new A(this,this._textDocumentsAndEditors,o);if(s||p.push(A.asModelAddData(this.notebookDocument,o)),!this._cellDisposableMapping.has(l.handle)){const i=new S.DisposableStore;i.add(l),this._cellDisposableMapping.set(l.handle,i)}return l});for(let o=b[0];o<b[0]+b[1];o++)(c=this._cellDisposableMapping.get(this._cells[o].handle))===null||c===void 0||c.dispose(),this._cellDisposableMapping.delete(this._cells[o].handle);const t=new n(b[0],b[1],[],a),r=this._cells.splice(b[0],b[1],...a);for(let o of r)g.push(o.uri),t.deletedItems.push(o.cell);h.push(t)}),this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:p,removedDocuments:g}),s||this._emitter.emitModelChange((0,P.deepFreeze)({document:this.notebookDocument,changes:n.asApiEvents(h)}))}}_moveCell(d,s){const h=this._cells.splice(d,1);this._cells.splice(s,0,...h);const p=[new n(d,1,h.map(g=>g.cell),[]),new n(s,0,[],h)];this._emitter.emitModelChange((0,P.deepFreeze)({document:this.notebookDocument,changes:n.asApiEvents(p)}))}_setCellOutputs(d,s){const h=this._cells[d];h.setOutputs(s),this._emitter.emitCellOutputsChange((0,P.deepFreeze)({document:this.notebookDocument,cells:[h.cell]}))}_setCellOutputItems(d,s,h,p){const g=this._cells[d];g.setOutputItems(s,h,p),this._emitter.emitCellOutputsChange((0,P.deepFreeze)({document:this.notebookDocument,cells:[g.cell]}))}_changeCellLanguage(d,s){const h=this._cells[d];h.cell.document.languageId!==s&&this._textDocuments.$acceptModelModeChanged(h.uri,s)}_changeCellMetadata(d,s){const h=this._cells[d];h.setMetadata(s||{}),this._emitter.emitCellMetadataChange((0,P.deepFreeze)({document:this.notebookDocument,cell:h.cell}))}getCellFromIndex(d){return this._cells[d]}getCell(d){return this._cells.find(s=>s.handle===d)}getCellIndex(d){return this._cells.indexOf(d)}}e.ExtHostNotebookDocument=C,C._handlePool=0}),define(we[175],Ee([0,1,3,7,9,40]),function(ae,e,_,S,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class E{constructor(n){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=n}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(n){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:Object.assign(Object.assign({},P.notebookDocumentMetadataDefaults),n)})}replaceCellMetadata(n,A){this._throwIfFinalized(),this._collectedEdits.push({editType:3,index:n,metadata:A})}replaceCellOutput(n,A){this._throwIfFinalized(),this._collectedEdits.push({editType:2,index:n,outputs:A.map(C=>T.NotebookCellOutput.from(C))})}replaceCells(n,A,C){this._throwIfFinalized(),!(n===A&&C.length===0)&&this._collectedEdits.push({editType:1,index:n,count:A-n,cells:C.map(T.NotebookCellData.from)})}}class k{constructor(n,A,C,v,d,s,h){this.id=n,this._viewType=A,this._proxy=C,this.notebookData=v,this._selections=[],this._visibleRanges=[],this._visible=!1,this._hasDecorationsForKey=new Set,this._onDidDispose=new _.Emitter,this.onDidDispose=this._onDidDispose.event,this._selections=s,this._visibleRanges=d,this._viewColumn=h}dispose(){this._onDidDispose.fire(),this._onDidDispose.dispose()}get editor(){if(!this._editor){const n=this;this._editor={get document(){return n.notebookData.notebookDocument},get selection(){var A;const C=n._selections[0];return C&&((A=n.notebookData.getCellFromIndex(C.start))===null||A===void 0?void 0:A.cell)},get selections(){return n._selections},get visibleRanges(){return n._visibleRanges},revealRange(A,C){n._proxy.$tryRevealRange(n.id,T.NotebookCellRange.from(A),C!=null?C:S.NotebookEditorRevealType.Default)},get viewColumn(){return n._viewColumn},get onDidDispose(){return n.onDidDispose},edit(A){const C=new E(this.document.version);return A(C),n._applyEdit(C.finalize())},get kernel(){return n._kernel},setDecorations(A,C){return n.setDecorations(A,C)}}}return this._editor}_acceptKernel(n){this._kernel=n}get visible(){return this._visible}_acceptVisibility(n){this._visible=n}_acceptVisibleRanges(n){this._visibleRanges=n}_acceptSelections(n){this._selections=n}_applyEdit(n){if(n.cellEdits.length===0)return Promise.resolve(!0);const A=[];let C=-1;for(let v=0;v<n.cellEdits.length;v++){if(C<0){A.push(n.cellEdits[v]),C++;continue}const s=A[C];if(s.editType===1&&n.cellEdits[v].editType===1){const h=n.cellEdits[v];if(h.editType!==5&&s.index===h.index){s.cells.push(...n.cellEdits[v].cells),s.count+=n.cellEdits[v].count;continue}}A.push(n.cellEdits[v]),C++}return this._proxy.$tryApplyEdits(this._viewType,this.notebookData.uri,n.documentVersionId,A)}setDecorations(n,A){if(!(A.isEmpty&&!this._hasDecorationsForKey.has(n.key)))return A.isEmpty?this._hasDecorationsForKey.delete(n.key):this._hasDecorationsForKey.add(n.key),this._proxy.$trySetDecorations(this.id,T.NotebookCellRange.from(A),n.key)}}e.ExtHostNotebookEditor=k}),define(we[176],Ee([0,1,9,149,130,20,45]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class k{constructor(C){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=C}withProgress(C,v,d){const s=this._handles++,{title:h,location:p,cancellable:g}=v,b=(0,T.localize)(0,null,C.displayName||C.name);return this._proxy.$startProgress(s,{location:_.ProgressLocation.from(p),title:h,source:b,cancellable:g},C),this._withProgress(s,d,!!g)}_withProgress(C,v,d){let s;d&&(s=new P.CancellationTokenSource,this._mapHandleToCancellationSource.set(C,s));const h=g=>{this._proxy.$progressEnd(g),this._mapHandleToCancellationSource.delete(g),s&&s.dispose()};let p;try{p=v(new n(this._proxy,C),d&&s?s.token:P.CancellationToken.None)}catch(g){throw h(C),g}return p.then(g=>h(C),g=>h(C)),p}$acceptProgressCanceled(C){const v=this._mapHandleToCancellationSource.get(C);v&&(v.cancel(),this._mapHandleToCancellationSource.delete(C))}}e.ExtHostProgress=k;function D(A,C){return A.message=C.message,typeof C.increment=="number"&&(typeof A.increment=="number"?A.increment+=C.increment:A.increment=C.increment),A}class n extends S.Progress{constructor(C,v){super(d=>this.throttledReport(d));this._proxy=C,this._handle=v}throttledReport(C){this._proxy.$progressReport(this._handle,C)}}je([(0,E.throttle)(100,(A,C)=>D(A,C),()=>Object.create(null))],n.prototype,"throttledReport",null)}),define(we[95],Ee([0,1,44,10,53,9,7]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class k{constructor(v,d){const s=k._Keys.nextId();v.$registerTextEditorDecorationType(s,P.DecorationRenderOptions.from(d)),this.value=Object.freeze({key:s,dispose(){v.$removeTextEditorDecorationType(s)}})}}e.TextEditorDecorationType=k,k._Keys=new T.IdGenerator("TextEditorDecorationType");class D{constructor(v,d){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=v,this._documentVersionId=v.version,this._undoStopBefore=d.undoStopBefore,this._undoStopAfter=d.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(v,d){this._throwIfFinalized();let s=null;if(v instanceof E.Position)s=new E.Range(v,v);else if(v instanceof E.Range)s=v;else throw new Error("Unrecognized location");this._pushEdit(s,d,!1)}insert(v,d){this._throwIfFinalized(),this._pushEdit(new E.Range(v,v),d,!0)}delete(v){this._throwIfFinalized();let d=null;if(v instanceof E.Range)d=v;else throw new Error("Unrecognized location");this._pushEdit(d,null,!0)}_pushEdit(v,d,s){const h=this._document.validateRange(v);this._collectedEdits.push({range:h,text:d,forceMoveMarkers:s})}setEndOfLine(v){if(this._throwIfFinalized(),v!==E.EndOfLine.LF&&v!==E.EndOfLine.CRLF)throw(0,S.illegalArgument)("endOfLine");this._setEndOfLine=v}}e.TextEditorEdit=D;class n{constructor(v,d,s,h){this._proxy=v,this._id=d,this._accept(s),this._logService=h;const p=this;this.value={get tabSize(){return p._tabSize},set tabSize(g){p._setTabSize(g)},get insertSpaces(){return p._insertSpaces},set insertSpaces(g){p._setInsertSpaces(g)},get cursorStyle(){return p._cursorStyle},set cursorStyle(g){p._setCursorStyle(g)},get lineNumbers(){return p._lineNumbers},set lineNumbers(g){p._setLineNumbers(g)}}}_accept(v){this._tabSize=v.tabSize,this._insertSpaces=v.insertSpaces,this._cursorStyle=v.cursorStyle,this._lineNumbers=P.TextEditorLineNumbersStyle.to(v.lineNumbers)}_validateTabSize(v){if(v==="auto")return"auto";if(typeof v=="number"){const d=Math.floor(v);return d>0?d:null}if(typeof v=="string"){const d=parseInt(v,10);return isNaN(d)?null:d>0?d:null}return null}_setTabSize(v){const d=this._validateTabSize(v);if(d!==null){if(typeof d=="number"){if(this._tabSize===d)return;this._tabSize=d}this._warnOnError(this._proxy.$trySetOptions(this._id,{tabSize:d}))}}_validateInsertSpaces(v){return v==="auto"?"auto":v==="false"?!1:Boolean(v)}_setInsertSpaces(v){const d=this._validateInsertSpaces(v);if(typeof d=="boolean"){if(this._insertSpaces===d)return;this._insertSpaces=d}this._warnOnError(this._proxy.$trySetOptions(this._id,{insertSpaces:d}))}_setCursorStyle(v){this._cursorStyle!==v&&(this._cursorStyle=v,this._warnOnError(this._proxy.$trySetOptions(this._id,{cursorStyle:v})))}_setLineNumbers(v){this._lineNumbers!==v&&(this._lineNumbers=v,this._warnOnError(this._proxy.$trySetOptions(this._id,{lineNumbers:P.TextEditorLineNumbersStyle.from(v)})))}assign(v){const d={};let s=!1;if(typeof v.tabSize!="undefined"){const h=this._validateTabSize(v.tabSize);h==="auto"?(s=!0,d.tabSize=h):typeof h=="number"&&this._tabSize!==h&&(this._tabSize=h,s=!0,d.tabSize=h)}if(typeof v.insertSpaces!="undefined"){const h=this._validateInsertSpaces(v.insertSpaces);h==="auto"?(s=!0,d.insertSpaces=h):this._insertSpaces!==h&&(this._insertSpaces=h,s=!0,d.insertSpaces=h)}typeof v.cursorStyle!="undefined"&&this._cursorStyle!==v.cursorStyle&&(this._cursorStyle=v.cursorStyle,s=!0,d.cursorStyle=v.cursorStyle),typeof v.lineNumbers!="undefined"&&this._lineNumbers!==v.lineNumbers&&(this._lineNumbers=v.lineNumbers,s=!0,d.lineNumbers=P.TextEditorLineNumbersStyle.from(v.lineNumbers)),s&&this._warnOnError(this._proxy.$trySetOptions(this._id,d))}_warnOnError(v){v.catch(d=>this._logService.warn(d))}}e.ExtHostTextEditorOptions=n;class A{constructor(v,d,s,h,p,g,b,c){this.id=v,this._proxy=d,this._logService=s,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=p,this._options=new n(this._proxy,this.id,g,s),this._visibleRanges=b,this._viewColumn=c;const u=this;this.value=Object.freeze({get document(){return h.getValue()},set document(a){throw(0,S.readonly)("document")},get selection(){return u._selections&&u._selections[0]},set selection(a){if(!(a instanceof E.Selection))throw(0,S.illegalArgument)("selection");u._selections=[a],u._trySetSelection()},get selections(){return u._selections},set selections(a){if(!Array.isArray(a)||a.some(t=>!(t instanceof E.Selection)))throw(0,S.illegalArgument)("selections");u._selections=a,u._trySetSelection()},get visibleRanges(){return u._visibleRanges},set visibleRanges(a){throw(0,S.readonly)("visibleRanges")},get options(){return u._options.value},set options(a){u._disposed||u._options.assign(a)},get viewColumn(){return u._viewColumn},set viewColumn(a){throw(0,S.readonly)("viewColumn")},edit(a,t={undoStopBefore:!0,undoStopAfter:!0}){if(u._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const r=new D(h.getValue(),t);return a(r),u._applyEdit(r)},insertSnippet(a,t,r={undoStopBefore:!0,undoStopAfter:!0}){if(u._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let o;if(!t||Array.isArray(t)&&t.length===0)o=u._selections.map(l=>P.Range.from(l));else if(t instanceof E.Position){const{lineNumber:l,column:i}=P.Position.from(t);o=[{startLineNumber:l,startColumn:i,endLineNumber:l,endColumn:i}]}else if(t instanceof E.Range)o=[P.Range.from(t)];else{o=[];for(const l of t)if(l instanceof E.Range)o.push(P.Range.from(l));else{const{lineNumber:i,column:f}=P.Position.from(l);o.push({startLineNumber:i,startColumn:f,endLineNumber:i,endColumn:f})}}return d.$tryInsertSnippet(v,a.value,o,r)},setDecorations(a,t){const r=t.length===0;r&&!u._hasDecorationsForKey.has(a.key)||(r?u._hasDecorationsForKey.delete(a.key):u._hasDecorationsForKey.add(a.key),u._runOnProxy(()=>{if(P.isDecorationOptionsArr(t))return d.$trySetDecorations(v,a.key,P.fromRangeOrRangeWithMessage(t));{const o=new Array(4*t.length);for(let l=0,i=t.length;l<i;l++){const f=t[l];o[4*l]=f.start.line+1,o[4*l+1]=f.start.character+1,o[4*l+2]=f.end.line+1,o[4*l+3]=f.end.character+1}return d.$trySetDecorationsFast(v,a.key,o)}}))},revealRange(a,t){u._runOnProxy(()=>d.$tryRevealRange(v,P.Range.from(a),t||E.TextEditorRevealType.Default))},show(a){d.$tryShowEditor(v,P.ViewColumn.from(a))},hide(){d.$tryHideEditor(v)}})}dispose(){(0,_.ok)(!this._disposed),this._disposed=!0}_acceptOptions(v){(0,_.ok)(!this._disposed),this._options._accept(v)}_acceptVisibleRanges(v){(0,_.ok)(!this._disposed),this._visibleRanges=v}_acceptViewColumn(v){(0,_.ok)(!this._disposed),this._viewColumn=v}_acceptSelections(v){(0,_.ok)(!this._disposed),this._selections=v}async _trySetSelection(){const v=this._selections.map(P.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,v)),this.value}_applyEdit(v){const d=v.finalize();if(d.edits.length===0&&!d.setEndOfLine)return Promise.resolve(!0);const s=d.edits.map(p=>p.range);s.sort((p,g)=>p.end.line===g.end.line?p.end.character===g.end.character?p.start.line===g.start.line?p.start.character-g.start.character:p.start.line-g.start.line:p.end.character-g.end.character:p.end.line-g.end.line);for(let p=0,g=s.length-1;p<g;p++){const b=s[p].end;if(s[p+1].start.isBefore(b))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const h=d.edits.map(p=>({range:P.Range.from(p.range),text:p.text,forceMoveMarkers:p.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,d.documentVersionId,h,{setEndOfLine:typeof d.setEndOfLine=="number"?P.EndOfLine.from(d.setEndOfLine):void 0,undoStopBefore:d.undoStopBefore,undoStopAfter:d.undoStopAfter})}_runOnProxy(v){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):v().then(()=>this,d=>(d instanceof Error&&d.name==="DISPOSED"||this._logService.warn(d),null))}}e.ExtHostTextEditor=A}),define(we[177],Ee([0,1,133,24,2,3,6,13,7,12,15,9,20]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function d(p,g){if((0,n.isString)(p))return{label:p};if(p&&typeof p=="object"&&typeof p.label=="string"){let b;return Array.isArray(p.highlights)&&(b=p.highlights.filter(c=>c.length===2&&typeof c[0]=="number"&&typeof c[1]=="number"),b=b.length?b:void 0),{label:p.label,highlights:b}}}class s{constructor(g,b,c){this._proxy=g,this.commands=b,this.logService=c,this.treeViews=new Map;function u(a){return a&&a.$treeViewId&&a.$treeItemHandle}b.registerArgumentProcessor({processArgument:a=>u(a)?this.convertArgument(a):Array.isArray(a)&&a.length>0?a.map(t=>u(t)?this.convertArgument(t):t):a})}registerTreeDataProvider(g,b,c){const u=this.createTreeView(g,{treeDataProvider:b},c);return{dispose:()=>u.dispose()}}createTreeView(g,b,c){if(!b||!b.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const u=this._proxy.$registerTreeViewDataProvider(g,{showCollapseAll:!!b.showCollapseAll,canSelectMany:!!b.canSelectMany}),a=this.createExtHostTreeView(g,b,c);return{get onDidCollapseElement(){return a.onDidCollapseElement},get onDidExpandElement(){return a.onDidExpandElement},get selection(){return a.selectedElements},get onDidChangeSelection(){return a.onDidChangeSelection},get visible(){return a.visible},get onDidChangeVisibility(){return a.onDidChangeVisibility},get message(){return a.message},set message(t){a.message=t},get title(){return a.title},set title(t){a.title=t},get description(){return a.description},set description(t){a.description=t},reveal:(t,r)=>a.reveal(t,r),dispose:async()=>{await u,this.treeViews.delete(g),a.dispose()}}}$getChildren(g,b){const c=this.treeViews.get(g);return c?c.getChildren(b):Promise.reject(new Error((0,_.localize)(0,null,g)))}async $hasResolve(g){const b=this.treeViews.get(g);if(!b)throw new Error((0,_.localize)(1,null,g));return b.hasResolve}$resolve(g,b,c){const u=this.treeViews.get(g);if(!u)throw new Error((0,_.localize)(2,null,g));return u.resolveTreeItem(b,c)}$setExpanded(g,b,c){const u=this.treeViews.get(g);if(!u)throw new Error((0,_.localize)(3,null,g));u.setExpanded(b,c)}$setSelection(g,b){const c=this.treeViews.get(g);if(!c)throw new Error((0,_.localize)(4,null,g));c.setSelection(b)}$setVisible(g,b){const c=this.treeViews.get(g);if(!c)throw new Error((0,_.localize)(5,null,g));c.setVisible(b)}createExtHostTreeView(g,b,c){const u=new h(g,b,this._proxy,this.commands.converter,this.logService,c);return this.treeViews.set(g,u),u}convertArgument(g){const b=this.treeViews.get(g.$treeViewId);return b?b.getExtensionElement(g.$treeItemHandle):null}}e.ExtHostTreeViews=s;class h extends E.Disposable{constructor(g,b,c,u,a,t){super();if(this.viewId=g,this.proxy=c,this.commands=u,this.logService=a,this.extension=t,this.roots=null,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new P.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new P.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new P.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new P.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new P.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new v.CancellationTokenSource,t.contributes&&t.contributes.views)for(const l in t.contributes.views)for(const i of t.contributes.views[l])i.id===g&&(this._title=i.name);this.dataProvider=b.treeDataProvider,this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(l=>this._onDidChangeData.fire({message:!1,element:l})));let r,o;this._register(P.Event.debounce(this._onDidChangeData.event,(l,i)=>(l||(l={message:!1,elements:[]}),i.element!==!1&&(r||(r=new Promise(f=>o=f),this.refreshPromise=this.refreshPromise.then(()=>r)),l.elements.push(i.element)),i.message&&(l.message=!0),l),200,!0)(({message:l,elements:i})=>{i.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const f=o;return r=null,this.refresh(i).then(()=>f())})),l&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(g=>this.getExtensionElement(g)).filter(g=>!(0,n.isUndefinedOrNull)(g))}getChildren(g){const b=g?this.getExtensionElement(g):void 0;if(g&&!b)return this.logService.error(`No tree item with id '${g}' found.`),Promise.resolve([]);const c=this.getChildrenNodes(g);return(c?Promise.resolve(c):this.fetchChildrenNodes(b)).then(u=>u.map(a=>a.item))}getExtensionElement(g){return this.elements.get(g)}reveal(g,b){b=b||{select:!0,focus:!1};const c=(0,n.isUndefinedOrNull)(b.select)?!0:b.select,u=(0,n.isUndefinedOrNull)(b.focus)?!1:b.focus,a=(0,n.isUndefinedOrNull)(b.expand)?!1:b.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):g?this.refreshPromise.then(()=>this.resolveUnknownParentChain(g)).then(t=>this.resolveTreeNode(g,t[t.length-1]).then(r=>this.proxy.$reveal(this.viewId,{item:r.item,parentChain:t.map(o=>o.item)},{select:c,focus:u,expand:a})),t=>this.logService.error(t)):this.proxy.$reveal(this.viewId,void 0,{select:c,focus:u,expand:a})}get message(){return this._message}set message(g){this._message=g,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(g){this._title=g,this.proxy.$setTitle(this.viewId,g,this._description)}get description(){return this._description}set description(g){this._description=g,this.proxy.$setTitle(this.viewId,this._title,g)}setExpanded(g,b){const c=this.getExtensionElement(g);c&&(b?this._onDidExpandElement.fire(Object.freeze({element:c})):this._onDidCollapseElement.fire(Object.freeze({element:c})))}setSelection(g){(0,A.equals)(this._selectedHandles,g)||(this._selectedHandles=g,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(g){g!==this._visible&&(this._visible=g,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(g,b){var c;if(!!this.dataProvider.resolveTreeItem){const u=this.elements.get(g);if(u){const a=this.nodes.get(u);if(a){const t=(c=await this.dataProvider.resolveTreeItem(a.extensionItem,u,b))!==null&&c!==void 0?c:a.extensionItem;return a.item.tooltip=this.getTooltip(t.tooltip),a.item.command=this.getCommand(a.disposableStore,t.command),a.item}}}}resolveUnknownParentChain(g){return this.resolveParent(g).then(b=>b?this.resolveUnknownParentChain(b).then(c=>this.resolveTreeNode(b,c[c.length-1]).then(u=>(c.push(u),c))):Promise.resolve([]))}resolveParent(g){const b=this.nodes.get(g);return b?Promise.resolve(b.parent?this.elements.get(b.parent.item.handle):void 0):(0,k.asPromise)(()=>this.dataProvider.getParent(g))}resolveTreeNode(g,b){const c=this.nodes.get(g);return c?Promise.resolve(c):(0,k.asPromise)(()=>this.dataProvider.getTreeItem(g)).then(u=>this.createHandle(g,u,b,!0)).then(u=>this.getChildren(b?b.item.handle:void 0).then(()=>{const a=this.getExtensionElement(u);if(a){const t=this.nodes.get(a);if(t)return Promise.resolve(t)}throw new Error(`Cannot resolve tree item for element ${u}`)}))}getChildrenNodes(g){if(g){let b;if(typeof g=="string"){const c=this.getExtensionElement(g);b=c?this.nodes.get(c):void 0}else b=g;return b&&b.children||null}return this.roots}async fetchChildrenNodes(g){this.clearChildren(g);const b=new v.CancellationTokenSource(this._refreshCancellationSource.token);try{const c=g?this.nodes.get(g):void 0,u=await this.dataProvider.getChildren(g);if(b.token.isCancellationRequested)return[];const a=await Promise.all((0,A.coalesce)(u||[]).map(async t=>{const r=await this.dataProvider.getTreeItem(t);return r&&!b.token.isCancellationRequested?this.createAndRegisterTreeNode(t,r,c):null}));return b.token.isCancellationRequested?[]:(0,A.coalesce)(a)}finally{b.dispose()}}refresh(g){if(g.some(c=>!c))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new v.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const c=this.getHandlesToRefresh(g);if(c.length)return this.refreshHandles(c)}return Promise.resolve(void 0)}getHandlesToRefresh(g){const b=new Set;for(const u of g){const a=this.nodes.get(u);if(a&&!b.has(a.item.handle)){let t=a;for(;t&&t.parent&&!b.has(t.parent.item.handle);){const r=this.elements.get(t.parent.item.handle);t=r?this.nodes.get(r):void 0}t&&!t.parent&&b.add(a.item.handle)}}const c=[];return b.forEach(u=>{const a=this.elements.get(u);if(a){const t=this.nodes.get(a);t&&(!t.parent||!b.has(t.parent.item.handle))&&c.push(u)}}),c}refreshHandles(g){const b={};return Promise.all(g.map(c=>this.refreshNode(c).then(u=>{u&&(b[c]=u.item)}))).then(()=>Object.keys(b).length?this.proxy.$refresh(this.viewId,b):void 0)}refreshNode(g){const b=this.getExtensionElement(g);if(b){const c=this.nodes.get(b);if(c)return this.clearChildren(b),(0,k.asPromise)(()=>this.dataProvider.getTreeItem(b)).then(u=>{if(u){const a=this.createTreeNode(b,u,c.parent);return this.updateNodeCache(b,a,c,c.parent),c.dispose(),a}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(g,b,c){const u=this.createTreeNode(g,b,c);if(b.id&&this.elements.has(u.item.handle))throw new Error((0,_.localize)(6,null,b.id));return this.addNodeToCache(g,u),this.addNodeToParentCache(u,c),u}getTooltip(g){return D.MarkdownString.isMarkdownString(g)?C.MarkdownString.from(g):g}getCommand(g,b){return b?this.commands.toInternal(b,g):void 0}createTreeNode(g,b,c){const u=new E.DisposableStore,a=this.createHandle(g,b,c),t=this.getLightIconPath(b);return{item:{handle:a,parentHandle:c?c.item.handle:void 0,label:d(b.label,this.extension),description:b.description,resourceUri:b.resourceUri,tooltip:this.getTooltip(b.tooltip),command:this.getCommand(u,b.command),contextValue:b.contextValue,icon:t,iconDark:this.getDarkIconPath(b)||t,themeIcon:this.getThemeIcon(b),collapsibleState:(0,n.isUndefinedOrNull)(b.collapsibleState)?D.TreeItemCollapsibleState.None:b.collapsibleState,accessibilityInformation:b.accessibilityInformation},extensionItem:b,parent:c,children:void 0,disposableStore:u,dispose(){u.dispose()}}}getThemeIcon(g){return g.iconPath instanceof D.ThemeIcon?g.iconPath:void 0}createHandle(g,{id:b,label:c,resourceUri:u},a,t){if(b)return`${h.ID_HANDLE_PREFIX}/${b}`;const r=d(c,this.extension),o=a?a.item.handle:h.LABEL_HANDLE_PREFIX;let l=r?r.label:u?(0,S.basename)(u):"";l=l.indexOf("/")!==-1?l.replace("/","//"):l;const i=this.nodes.has(g)?this.nodes.get(g).item.handle:void 0,f=this.getChildrenNodes(a)||[];let y,I=0;do{if(y=`${o}/${I}:${l}`,t||!this.elements.has(y)||i===y)break;I++}while(I<=f.length);return y}getLightIconPath(g){if(g.iconPath&&!(g.iconPath instanceof D.ThemeIcon))return typeof g.iconPath=="string"||T.URI.isUri(g.iconPath)?this.getIconPath(g.iconPath):this.getIconPath(g.iconPath.light)}getDarkIconPath(g){if(g.iconPath&&!(g.iconPath instanceof D.ThemeIcon)&&g.iconPath.dark)return this.getIconPath(g.iconPath.dark)}getIconPath(g){return T.URI.isUri(g)?g:T.URI.file(g)}addNodeToCache(g,b){this.elements.set(b.item.handle,g),this.nodes.set(g,b)}updateNodeCache(g,b,c,u){this.elements.delete(b.item.handle),this.nodes.delete(g),b.item.handle!==c.item.handle&&this.elements.delete(c.item.handle),this.addNodeToCache(g,b);const a=this.getChildrenNodes(u)||[],t=a.filter(r=>r.item.handle===c.item.handle)[0];t&&a.splice(a.indexOf(t),1,b)}addNodeToParentCache(g,b){b?(b.children||(b.children=[]),b.children.push(g)):(this.roots||(this.roots=[]),this.roots.push(g))}clearChildren(g){if(g){const b=this.nodes.get(g);if(b){if(b.children)for(const c of b.children){const u=this.elements.get(c.item.handle);u&&this.clear(u)}b.children=void 0}}else this.clearAll()}clear(g){const b=this.nodes.get(g);if(b){if(b.children)for(const c of b.children){const u=this.elements.get(c.item.handle);u&&this.clear(u)}this.nodes.delete(g),this.elements.delete(b.item.handle),b.dispose()}}clearAll(){this.roots=null,this.elements.clear(),this.nodes.forEach(g=>g.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}h.LABEL_HANDLE_PREFIX="0",h.ID_HANDLE_PREFIX="1"}),define(we[178],Ee([0,1,15,13,45,9]),function(ae,e,_,S,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SingleUseTestCollection=e.TestTree=e.TestPosition=e.OwnedTestCollection=void 0;class E{constructor(){this.testIdsToInternal=new Set}getTestById(s){return(0,_.mapFind)(this.testIdsToInternal,h=>{const p=h.get(s);return p&&[h,p]})}createForHierarchy(s=()=>{}){return new n(this.createIdMap(),s)}createIdMap(){const s=new D;return this.testIdsToInternal.add(s),{object:s,dispose:()=>this.testIdsToInternal.delete(s)}}}e.OwnedTestCollection=E;var k;(function(d){d[d.Disconnected=0]="Disconnected",d[d.IsChild=1]="IsChild",d[d.IsParent=2]="IsParent",d[d.IsSame=3]="IsSame"})(k=e.TestPosition||(e.TestPosition={}));class D{constructor(){this.map=new Map,this._roots=new Set,this.roots=this._roots}get size(){return this.map.size}add(s){if(this.map.has(s.item.extId))throw new Error(`Attempted to insert a duplicate test item ID ${s.item.extId}`);this.map.set(s.item.extId,s),s.parent||this._roots.add(s)}has(s){return this.map.has(s)}delete(s){const h=this.map.get(s);return h?(this.map.delete(s),this._roots.delete(h),!0):!1}get(s){return this.map.get(s)}comparePositions(s,h){const p=typeof s=="string"?this.map.get(s):s,g=typeof h=="string"?this.map.get(h):h;if(!p||!g)return 0;if(p===g)return 3;for(let b=this.map.get(g.parent);b;b=this.map.get(b.parent))if(b===p)return 1;for(let b=this.map.get(p.parent);b;b=this.map.get(b.parent))if(b===g)return 2;return 0}[Symbol.iterator](){return this.map.values()}}e.TestTree=D;class n{constructor(s,h){this.testIdToInternal=s,this.publishDiff=h,this.testItemToInternal=new Map,this.diff=[],this.disposed=!1,this.debounceSendDiff=new S.RunOnceScheduler(()=>this.throttleSendDiff(),2)}addRoot(s,h){this.addItem(s,h,null),this.debounceSendDiff.schedule()}getTestByReference(s){return this.testItemToInternal.get(s)}onItemChange(s,h){const p=this.testItemToInternal.get(s);if(!p){this.disposed||console.warn("Received a TestProvider.onDidChangeTest for a test that wasn't seen before as a child.");return}this.addItem(s,h,p.parent),this.debounceSendDiff.schedule()}collectDiff(){const s=this.diff;return this.diff=[],s}pushDiff(s){this.diff.push(s),this.debounceSendDiff.schedule()}dispose(){this.testIdToInternal.dispose(),this.diff=[],this.disposed=!0}addItem(s,h,p){let g=this.testItemToInternal.get(s);if(g)g.previousEquals(s)||(g.item=P.TestItem.from(s),g.previousEquals=v(s),this.diff.push([1,{parent:p,providerId:h,item:g.item}]));else{if(this.testIdToInternal.object.has(s.id))throw new Error(`Attempted to insert a duplicate test item ID ${s.id}`);g={actual:s,parent:p,item:P.TestItem.from(s),providerId:h,previousChildren:new Set,previousEquals:v(s)},this.testIdToInternal.object.add(g),this.testItemToInternal.set(s,g),this.diff.push([0,{parent:p,providerId:h,item:g.item}])}if(s.children){const b=g.previousChildren,c=new Set;for(const u of s.children){const a=this.testIdToInternal.object.get(u.id);a&&a.actual!==u&&this.removeItembyId(u.id);const t=this.addItem(u,h,g.item.extId);b.delete(t.item.extId),c.add(t.item.extId)}for(const u of b)this.removeItembyId(u);g.previousChildren=c}return g}removeItembyId(s){this.diff.push([2,s]);const h=[this.testIdToInternal.object.get(s)];for(;h.length;){const p=h.pop();if(!!p){this.testIdToInternal.object.delete(p.item.extId),this.testItemToInternal.delete(p.actual);for(const g of p.previousChildren)h.push(this.testIdToInternal.object.get(g))}}}throttleSendDiff(){this.flushDiff()}flushDiff(){const s=this.collectDiff();s.length&&this.publishDiff(s)}}je([(0,T.throttle)(200)],n.prototype,"throttleSendDiff",null),e.SingleUseTestCollection=n;const C=Object.keys({id:null,label:null,location:null,debuggable:null,description:null,runnable:null}),v=d=>{const s=[];for(const h of C)s.push(d[h]);return h=>{for(let p=0;p<C.length;p++)if(s[p]!==h[C[p]])return!1;return!0}}}),define(we[179],Ee([0,1,25,3,11]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class P{constructor(A){this.removedDueToLooping=A}}e.DeltaExtensionsResult=P;class E{constructor(A){this._onDidChange=new S.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=A,this._initialize()}_initialize(){this._extensionDescriptions.sort(D),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const A of this._extensionDescriptions){if(this._extensionsMap.has(_.ExtensionIdentifier.toKey(A.identifier))){console.error("Extension `"+A.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(_.ExtensionIdentifier.toKey(A.identifier),A),this._extensionsArr.push(A),Array.isArray(A.activationEvents))for(let C of A.activationEvents)C==="onUri"&&(C=`onUri:${_.ExtensionIdentifier.toKey(A.identifier)}`),this._activationMap.has(C)||this._activationMap.set(C,[]),this._activationMap.get(C).push(A)}}keepOnly(A){const C=new Set;A.forEach(v=>C.add(_.ExtensionIdentifier.toKey(v))),this._extensionDescriptions=this._extensionDescriptions.filter(v=>C.has(_.ExtensionIdentifier.toKey(v.identifier))),this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(A,C){A.length>0&&(this._extensionDescriptions=this._extensionDescriptions.concat(A));const v=E._findLoopingExtensions(this._extensionDescriptions);if(C=C.concat(v.map(d=>d.identifier)),C.length>0){const d=new Set;C.forEach(s=>d.add(_.ExtensionIdentifier.toKey(s))),this._extensionDescriptions=this._extensionDescriptions.filter(s=>!d.has(_.ExtensionIdentifier.toKey(s.identifier)))}return this._initialize(),this._onDidChange.fire(void 0),new P(v)}static _findLoopingExtensions(A){const C=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(p){this._nodesSet.has(p)||(this._nodesSet.add(p),this._nodesArr.push(p))}addArc(p,g){this.addNode(p),this.addNode(g),this._arcs.has(p)?this._arcs.get(p).push(g):this._arcs.set(p,[g])}getArcs(p){return this._arcs.has(p)?this._arcs.get(p):[]}hasOnlyGoodArcs(p,g){const b=C.getArcs(p);for(let c=0;c<b.length;c++)if(!g.has(b[c]))return!1;return!0}getNodes(){return this._nodesArr}};let v=new Map;for(let p of A){const g=_.ExtensionIdentifier.toKey(p.identifier);if(v.set(g,p),p.extensionDependencies)for(let b of p.extensionDependencies){const c=_.ExtensionIdentifier.toKey(b);C.addArc(g,c)}}let d=new Set;C.getNodes().filter(p=>C.getArcs(p).length===0).forEach(p=>d.add(p));let s=C.getNodes().filter(p=>!d.has(p)),h;do{h=!1;for(let p=0;p<s.length;p++){const g=s[p];C.hasOnlyGoodArcs(g,d)&&(s.splice(p,1),p--,d.add(g),h=!0)}}while(h);return s.map(p=>v.get(p))}containsActivationEvent(A){return this._activationMap.has(A)}containsExtension(A){return this._extensionsMap.has(_.ExtensionIdentifier.toKey(A))}getExtensionDescriptionsForActivationEvent(A){const C=this._activationMap.get(A);return C?C.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(A){const C=this._extensionsMap.get(_.ExtensionIdentifier.toKey(A));return C||void 0}}e.ExtensionDescriptionRegistry=E;var k;(function(n){n[n.Builtin=0]="Builtin",n[n.User=1]="User",n[n.Dev=2]="Dev"})(k||(k={}));function D(n,A){const C=n.isBuiltin?0:n.isUnderDevelopment?2:1,v=A.isBuiltin?0:A.isUnderDevelopment?2:1;if(C!==v)return C-v;const d=T.posix.basename(n.extensionLocation.path),s=T.posix.basename(A.extensionLocation.path);return d<s?-1:d>s?1:0}}),define(we[180],Ee([0,1,26]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=void 0;var S;(function(k){k[k.VersionMismatch=55]="VersionMismatch",k[k.UnexpectedError=81]="UnexpectedError"})(S=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var T;(function(k){k[k.Initialized=0]="Initialized",k[k.Ready=1]="Ready",k[k.Terminate=2]="Terminate"})(T=e.MessageType||(e.MessageType={}));function P(k){const D=_.VSBuffer.alloc(1);switch(k){case 0:D.writeUInt8(1,0);break;case 1:D.writeUInt8(2,0);break;case 2:D.writeUInt8(3,0);break}return D}e.createMessageOfType=P;function E(k,D){if(k.byteLength!==1)return!1;switch(k.readUInt8(0)){case 1:return D===0;case 2:return D===1;case 3:return D===2;default:return!1}}e.isMessageOfType=E}),define(we[33],Ee([0,1,3,2,4,25,146]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.throwRequiresWorkspaceTrustError=e.checkRequiresWorkspaceTrust=e.throwProposedApiError=e.checkProposedApiEnabled=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.ExtensionHostKind=e.MissingDependencyError=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new P.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",enableProposedApi:!1,engines:{vscode:""},extensionLocation:S.URI.parse("void:location"),isBuiltin:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=(0,T.createDecorator)("extensionService");class k{constructor(u){this.dependency=u}}e.MissingDependencyError=k;var D;(function(c){c[c.LocalProcess=0]="LocalProcess",c[c.LocalWebWorker=1]="LocalWebWorker",c[c.Remote=2]="Remote"})(D=e.ExtensionHostKind||(e.ExtensionHostKind={}));class n{constructor(u,a,t,r){this.codeLoadingTime=u,this.activateCallTime=a,this.activateResolvedTime=t,this.activationReason=r}}e.ActivationTimes=n;class A{constructor(u,a){this.description=u,this.value=a}}e.ExtensionPointContribution=A,e.ExtensionHostLogFileName="exthost";var C;(function(c){c[c.Normal=0]="Normal",c[c.Immediate=1]="Immediate"})(C=e.ActivationKind||(e.ActivationKind={}));function v(c){c.enableProposedApi||d(c)}e.checkProposedApiEnabled=v;function d(c){throw new Error(`[${c.identifier.value}]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ${c.identifier.value}`)}e.throwProposedApiError=d;function s(c){c.requiresWorkspaceTrust||h(c)}e.checkRequiresWorkspaceTrust=s;function h(c){throw new Error(`[${c.identifier.value}]: This API is only available when the "requiresWorkspaceTrust" is set to "onStart" or "onDemand" in the extension's package.json.`)}e.throwRequiresWorkspaceTrustError=h;function p(c){return{type:c.isBuiltin?0:1,isBuiltin:c.isBuiltin||c.isUserBuiltin,identifier:{id:(0,E.getGalleryExtensionId)(c.publisher,c.name),uuid:c.uuid},manifest:c,location:c.extensionLocation}}e.toExtension=p;function g(c){return Object.assign(Object.assign({identifier:new P.ExtensionIdentifier(c.identifier.id),isBuiltin:c.type===0,isUserBuiltin:c.type===1&&c.isBuiltin,isUnderDevelopment:!1,extensionLocation:c.location},c.manifest),{uuid:c.identifier.uuid})}e.toExtensionDescription=g;class b{constructor(){this.onDidRegisterExtensions=_.Event.None,this.onDidChangeExtensionsStatus=_.Event.None,this.onDidChangeExtensions=_.Event.None,this.onWillActivateByEvent=_.Event.None,this.onDidChangeResponsiveChange=_.Event.None}activateByEvent(u){return Promise.resolve(void 0)}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(u){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(u){return Promise.resolve(0)}restartExtensionHost(){}async setRemoteEnvironment(u){}canAddExtension(){return!1}canRemoveExtension(){return!1}_logOrShowMessage(u,a){}_activateById(u,a){return Promise.resolve()}_onWillActivateExtension(u){}_onDidActivateExtension(u,a,t,r,o){}_onExtensionRuntimeError(u,a){}_onExtensionHostExit(u){}}e.NullExtensionService=b}),define(we[181],Ee([0,1,128,25,33,19]),function(ae,e,_,S,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;const E=Promise.resolve(void 0);class k{constructor(h,p,g,b){this.startup=h,this.codeLoadingTime=p,this.activateCallTime=g,this.activateResolvedTime=b}}e.ExtensionActivationTimes=k,k.NONE=new k(!1,-1,-1,-1);class D{constructor(h){this._startup=h,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(h,p){return h===-1||p===-1?-1:p-h}build(){return new k(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=D;class n{constructor(h,p,g,b,c,u){this.activationFailed=h,this.activationFailedError=p,this.activationTimes=g,this.module=b,this.exports=c,this.subscriptions=u}}e.ActivatedExtension=n;class A extends n{constructor(h){super(!1,null,h,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=A;class C extends n{constructor(){super(!1,null,k.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=C;class v extends n{constructor(h){super(!0,h,k.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=v;let d=class{constructor(h,p,g,b,c){this._logService=c,this._registry=h,this._resolvedExtensionsSet=new Set,p.forEach(u=>this._resolvedExtensionsSet.add(S.ExtensionIdentifier.toKey(u))),this._hostExtensionsMap=new Map,g.forEach(u=>this._hostExtensionsMap.set(S.ExtensionIdentifier.toKey(u),u)),this._host=b,this._activatingExtensions=new Map,this._activatedExtensions=new Map,this._alreadyActivatedEvents=Object.create(null)}isActivated(h){const p=S.ExtensionIdentifier.toKey(h);return this._activatedExtensions.has(p)}getActivatedExtension(h){const p=S.ExtensionIdentifier.toKey(h),g=this._activatedExtensions.get(p);if(!g)throw new Error("Extension `"+h.value+"` is not known or not activated");return g}activateByEvent(h,p){if(this._alreadyActivatedEvents[h])return E;const g=this._registry.getExtensionDescriptionsForActivationEvent(h);return this._activateExtensions(g.map(b=>({id:b.identifier,reason:{startup:p,extensionId:b.identifier,activationEvent:h}}))).then(()=>{this._alreadyActivatedEvents[h]=!0})}activateById(h,p){const g=this._registry.getExtensionDescription(h);if(!g)throw new Error("Extension `"+h+"` is not known");return this._activateExtensions([{id:g.identifier,reason:p}])}_handleActivateRequest(h,p,g){if(this._hostExtensionsMap.has(S.ExtensionIdentifier.toKey(h.id))){p[S.ExtensionIdentifier.toKey(h.id)]=h;return}const b=this._registry.getExtensionDescription(h.id);if(!b){this._host.onExtensionActivationError(h.id,new T.MissingDependencyError(h.id.value));const a=new Error(`Unknown dependency '${h.id.value}'`);this._activatedExtensions.set(S.ExtensionIdentifier.toKey(h.id),new v(a));return}const c=typeof b.extensionDependencies=="undefined"?[]:b.extensionDependencies;let u=!0;for(let a=0,t=c.length;a<t;a++){const r=c[a];if(!this._resolvedExtensionsSet.has(S.ExtensionIdentifier.toKey(r))){const o=this._activatedExtensions.get(S.ExtensionIdentifier.toKey(r));if(!(o&&!o.activationFailed)){if(o&&o.activationFailed){this._host.onExtensionActivationError(b.identifier,_.localize(0,null,b.displayName||b.identifier.value,r));const f=new Error(`Dependency ${r} failed to activate`);f.detail=o.activationFailedError,this._activatedExtensions.set(S.ExtensionIdentifier.toKey(b.identifier),new v(f));return}if(this._hostExtensionsMap.has(S.ExtensionIdentifier.toKey(r))){u=!1,p[S.ExtensionIdentifier.toKey(r)]={id:this._hostExtensionsMap.get(S.ExtensionIdentifier.toKey(r)),reason:h.reason};continue}const l=this._registry.getExtensionDescription(r);if(l){u=!1,p[S.ExtensionIdentifier.toKey(r)]={id:l.identifier,reason:h.reason};continue}this._host.onExtensionActivationError(b.identifier,new T.MissingDependencyError(r));const i=new Error(`Unknown dependency '${r}'`);this._activatedExtensions.set(S.ExtensionIdentifier.toKey(b.identifier),new v(i));return}}}u?p[S.ExtensionIdentifier.toKey(b.identifier)]=h:g.push(h)}_activateExtensions(h){if(h.length===0||(h=h.filter(c=>!this._activatedExtensions.has(S.ExtensionIdentifier.toKey(c.id))),h.length===0))return Promise.resolve(void 0);const p=Object.create(null),g=[];for(let c=0,u=h.length;c<u;c++)this._handleActivateRequest(h[c],p,g);for(let c=0,u=g.length;c<u;c++){const a=S.ExtensionIdentifier.toKey(g[c].id);p[a]&&delete p[a]}const b=Object.keys(p).map(c=>p[c]);return g.length===0?Promise.all(b.map(c=>this._activateExtension(c.id,c.reason))).then(c=>{}):this._activateExtensions(b).then(c=>this._activateExtensions(g))}_activateExtension(h,p){const g=S.ExtensionIdentifier.toKey(h);if(this._activatedExtensions.has(g))return Promise.resolve(void 0);const b=this._activatingExtensions.get(g);if(b)return b;const c=this._host.actualActivateExtension(h,p).then(void 0,u=>(this._host.onExtensionActivationError(h,_.localize(1,null,h.value,u.message)),this._logService.error(`Activating extension ${h.value} failed due to an error:`),this._logService.error(u),new v(u))).then(u=>{this._activatedExtensions.set(g,u),this._activatingExtensions.delete(g)});return this._activatingExtensions.set(g,c),c}};d=je([Ke(4,P.ILogService)],d),e.ExtensionsActivator=d}),define(we[182],Ee([0,1,10]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LazyPromise=void 0;class S{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((P,E)=>{this._actualOk=P,this._actualErr=E,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(P){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=P,this._actual&&this._actualOk(P))}resolveErr(P){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=P,this._actual?this._actualErr(P):(0,_.onUnexpectedError)(P))}then(P,E){return this._ensureActual().then(P,E)}catch(P){return this._ensureActual().then(void 0,P)}finally(P){return this._ensureActual().finally(P)}}e.LazyPromise=S}),define(we[96],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getStringIdentifierForProxy=e.createExtHostContextProxyIdentifier=e.createMainContextProxyIdentifier=e.ProxyIdentifier=void 0;class _{constructor(D,n){this.isMain=D,this.sid=n,this.nid=++_.count}}e.ProxyIdentifier=_,_.count=0;const S=[];function T(k){const D=new _(!0,k);return S[D.nid]=D,D}e.createMainContextProxyIdentifier=T;function P(k){const D=new _(!1,k);return S[D.nid]=D,D}e.createExtHostContextProxyIdentifier=P;function E(k){return S[k].sid}e.getStringIdentifierForProxy=E}),define(we[5],Ee([0,1,2,96,58]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.WorkspaceEditType=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.ObjectIdentifier=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.CellKind=e.WebviewEditorCapabilities=e.TextEditorRevealType=e.UIKind=void 0;var P;(function(c){c[c.Desktop=1]="Desktop",c[c.Web=2]="Web"})(P=e.UIKind||(e.UIKind={}));var E;(function(c){c[c.Default=0]="Default",c[c.InCenter=1]="InCenter",c[c.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",c[c.AtTop=3]="AtTop"})(E=e.TextEditorRevealType||(e.TextEditorRevealType={}));var k;(function(c){c[c.Editable=0]="Editable",c[c.SupportsHotExit=1]="SupportsHotExit"})(k=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var D;(function(c){c[c.Markdown=1]="Markdown",c[c.Code=2]="Code"})(D=e.CellKind||(e.CellKind={}));var n;(function(c){c[c.Text=1]="Text",c[c.Error=2]="Error",c[c.Rich=3]="Rich"})(n=e.CellOutputKind||(e.CellOutputKind={}));var A;(function(c){c[c.Default=0]="Default",c[c.InCenter=1]="InCenter",c[c.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",c[c.AtTop=3]="AtTop"})(A=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var C;(function(c){c[c.None=0]="None",c[c.Process=1]="Process",c[c.Output=2]="Output"})(C=e.CandidatePortSource||(e.CandidatePortSource={}));var v;(function(c){c.name="$ident";function u(t,r){return Object.defineProperty(t,c.name,{value:r,enumerable:!0}),t}c.mixin=u;function a(t){return t[c.name]}c.of=a})(v=e.ObjectIdentifier||(e.ObjectIdentifier={}));class d{static mixin(u){return u._id=d._n++,u}}e.IdObject=d,d._n=0;var s;(function(c){c.label="a",c.kind="b",c.detail="c",c.documentation="d",c.sortText="e",c.filterText="f",c.preselect="g",c.insertText="h",c.insertTextRules="i",c.range="j",c.commitCharacters="k",c.additionalTextEdits="l",c.command="m",c.kindModifier="n",c.label2="o"})(s=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var h;(function(c){c.defaultRanges="a",c.completions="b",c.isIncomplete="c",c.duration="d"})(h=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));var p;(function(c){c[c.File=1]="File",c[c.Text=2]="Text",c[c.Cell=3]="Cell"})(p=e.WorkspaceEditType||(e.WorkspaceEditType={}));function g(c){if(c&&c.edits)for(const u of c.edits)typeof u.resource=="object"?u.resource=_.URI.revive(u.resource):(u.newUri=_.URI.revive(u.newUri),u.oldUri=_.URI.revive(u.oldUri)),u.metadata&&u.metadata.iconPath&&(u.metadata=(0,T.revive)(u.metadata));return c}e.reviveWorkspaceEditDto=g;var b;(function(c){c[c.Workspace=0]="Workspace",c[c.TextDocument=1]="TextDocument"})(b=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:(0,S.createMainContextProxyIdentifier)("MainThreadAuthentication"),MainThreadBulkEdits:(0,S.createMainContextProxyIdentifier)("MainThreadBulkEdits"),MainThreadClipboard:(0,S.createMainContextProxyIdentifier)("MainThreadClipboard"),MainThreadCommands:(0,S.createMainContextProxyIdentifier)("MainThreadCommands"),MainThreadComments:(0,S.createMainContextProxyIdentifier)("MainThreadComments"),MainThreadConfiguration:(0,S.createMainContextProxyIdentifier)("MainThreadConfiguration"),MainThreadConsole:(0,S.createMainContextProxyIdentifier)("MainThreadConsole"),MainThreadDebugService:(0,S.createMainContextProxyIdentifier)("MainThreadDebugService"),MainThreadDecorations:(0,S.createMainContextProxyIdentifier)("MainThreadDecorations"),MainThreadDiagnostics:(0,S.createMainContextProxyIdentifier)("MainThreadDiagnostics"),MainThreadDialogs:(0,S.createMainContextProxyIdentifier)("MainThreadDiaglogs"),MainThreadDocuments:(0,S.createMainContextProxyIdentifier)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,S.createMainContextProxyIdentifier)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,S.createMainContextProxyIdentifier)("MainThreadTextEditors"),MainThreadEditorInsets:(0,S.createMainContextProxyIdentifier)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,S.createMainContextProxyIdentifier)("MainThreadEditorTabs"),MainThreadErrors:(0,S.createMainContextProxyIdentifier)("MainThreadErrors"),MainThreadTreeViews:(0,S.createMainContextProxyIdentifier)("MainThreadTreeViews"),MainThreadDownloadService:(0,S.createMainContextProxyIdentifier)("MainThreadDownloadService"),MainThreadKeytar:(0,S.createMainContextProxyIdentifier)("MainThreadKeytar"),MainThreadLanguageFeatures:(0,S.createMainContextProxyIdentifier)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,S.createMainContextProxyIdentifier)("MainThreadLanguages"),MainThreadLog:(0,S.createMainContextProxyIdentifier)("MainThread"),MainThreadMessageService:(0,S.createMainContextProxyIdentifier)("MainThreadMessageService"),MainThreadOutputService:(0,S.createMainContextProxyIdentifier)("MainThreadOutputService"),MainThreadProgress:(0,S.createMainContextProxyIdentifier)("MainThreadProgress"),MainThreadQuickOpen:(0,S.createMainContextProxyIdentifier)("MainThreadQuickOpen"),MainThreadStatusBar:(0,S.createMainContextProxyIdentifier)("MainThreadStatusBar"),MainThreadSecretState:(0,S.createMainContextProxyIdentifier)("MainThreadSecretState"),MainThreadStorage:(0,S.createMainContextProxyIdentifier)("MainThreadStorage"),MainThreadTelemetry:(0,S.createMainContextProxyIdentifier)("MainThreadTelemetry"),MainThreadTerminalService:(0,S.createMainContextProxyIdentifier)("MainThreadTerminalService"),MainThreadWebviews:(0,S.createMainContextProxyIdentifier)("MainThreadWebviews"),MainThreadWebviewPanels:(0,S.createMainContextProxyIdentifier)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,S.createMainContextProxyIdentifier)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,S.createMainContextProxyIdentifier)("MainThreadCustomEditors"),MainThreadUrls:(0,S.createMainContextProxyIdentifier)("MainThreadUrls"),MainThreadUriOpeners:(0,S.createMainContextProxyIdentifier)("MainThreadUriOpeners"),MainThreadWorkspace:(0,S.createMainContextProxyIdentifier)("MainThreadWorkspace"),MainThreadFileSystem:(0,S.createMainContextProxyIdentifier)("MainThreadFileSystem"),MainThreadExtensionService:(0,S.createMainContextProxyIdentifier)("MainThreadExtensionService"),MainThreadSCM:(0,S.createMainContextProxyIdentifier)("MainThreadSCM"),MainThreadSearch:(0,S.createMainContextProxyIdentifier)("MainThreadSearch"),MainThreadTask:(0,S.createMainContextProxyIdentifier)("MainThreadTask"),MainThreadWindow:(0,S.createMainContextProxyIdentifier)("MainThreadWindow"),MainThreadLabelService:(0,S.createMainContextProxyIdentifier)("MainThreadLabelService"),MainThreadNotebook:(0,S.createMainContextProxyIdentifier)("MainThreadNotebook"),MainThreadTheming:(0,S.createMainContextProxyIdentifier)("MainThreadTheming"),MainThreadTunnelService:(0,S.createMainContextProxyIdentifier)("MainThreadTunnelService"),MainThreadTimeline:(0,S.createMainContextProxyIdentifier)("MainThreadTimeline"),MainThreadTesting:(0,S.createMainContextProxyIdentifier)("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:(0,S.createExtHostContextProxyIdentifier)("ExtHostCommands"),ExtHostConfiguration:(0,S.createExtHostContextProxyIdentifier)("ExtHostConfiguration"),ExtHostDiagnostics:(0,S.createExtHostContextProxyIdentifier)("ExtHostDiagnostics"),ExtHostDebugService:(0,S.createExtHostContextProxyIdentifier)("ExtHostDebugService"),ExtHostDecorations:(0,S.createExtHostContextProxyIdentifier)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,S.createExtHostContextProxyIdentifier)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,S.createExtHostContextProxyIdentifier)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,S.createExtHostContextProxyIdentifier)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,S.createExtHostContextProxyIdentifier)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,S.createExtHostContextProxyIdentifier)("ExtHostEditors"),ExtHostTreeViews:(0,S.createExtHostContextProxyIdentifier)("ExtHostTreeViews"),ExtHostFileSystem:(0,S.createExtHostContextProxyIdentifier)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,S.createExtHostContextProxyIdentifier)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,S.createExtHostContextProxyIdentifier)("ExtHostFileSystemEventService"),ExtHostLanguageFeatures:(0,S.createExtHostContextProxyIdentifier)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,S.createExtHostContextProxyIdentifier)("ExtHostQuickOpen"),ExtHostExtensionService:(0,S.createExtHostContextProxyIdentifier)("ExtHostExtensionService"),ExtHostLogService:(0,S.createExtHostContextProxyIdentifier)("ExtHostLogService"),ExtHostTerminalService:(0,S.createExtHostContextProxyIdentifier)("ExtHostTerminalService"),ExtHostSCM:(0,S.createExtHostContextProxyIdentifier)("ExtHostSCM"),ExtHostSearch:(0,S.createExtHostContextProxyIdentifier)("ExtHostSearch"),ExtHostTask:(0,S.createExtHostContextProxyIdentifier)("ExtHostTask"),ExtHostWorkspace:(0,S.createExtHostContextProxyIdentifier)("ExtHostWorkspace"),ExtHostWindow:(0,S.createExtHostContextProxyIdentifier)("ExtHostWindow"),ExtHostWebviews:(0,S.createExtHostContextProxyIdentifier)("ExtHostWebviews"),ExtHostWebviewPanels:(0,S.createExtHostContextProxyIdentifier)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,S.createExtHostContextProxyIdentifier)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,S.createExtHostContextProxyIdentifier)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,S.createExtHostContextProxyIdentifier)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,S.createExtHostContextProxyIdentifier)("ExtHostEditorTabs"),ExtHostProgress:(0,S.createMainContextProxyIdentifier)("ExtHostProgress"),ExtHostComments:(0,S.createMainContextProxyIdentifier)("ExtHostComments"),ExtHostSecretState:(0,S.createMainContextProxyIdentifier)("ExtHostSecretState"),ExtHostStorage:(0,S.createMainContextProxyIdentifier)("ExtHostStorage"),ExtHostUrls:(0,S.createExtHostContextProxyIdentifier)("ExtHostUrls"),ExtHostUriOpeners:(0,S.createExtHostContextProxyIdentifier)("ExtHostUriOpeners"),ExtHostOutputService:(0,S.createMainContextProxyIdentifier)("ExtHostOutputService"),ExtHosLabelService:(0,S.createMainContextProxyIdentifier)("ExtHostLabelService"),ExtHostNotebook:(0,S.createMainContextProxyIdentifier)("ExtHostNotebook"),ExtHostTheming:(0,S.createMainContextProxyIdentifier)("ExtHostTheming"),ExtHostTunnelService:(0,S.createMainContextProxyIdentifier)("ExtHostTunnelService"),ExtHostAuthentication:(0,S.createMainContextProxyIdentifier)("ExtHostAuthentication"),ExtHostTimeline:(0,S.createMainContextProxyIdentifier)("ExtHostTimeline"),ExtHostTesting:(0,S.createMainContextProxyIdentifier)("ExtHostTesting"),ExtHostTelemetry:(0,S.createMainContextProxyIdentifier)("ExtHostTelemetry")}}),define(we[71],Ee([0,1,5,3,4]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class P{constructor(k){this._onDidChangePassword=new S.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=k.getProxy(_.MainContext.MainThreadSecretState)}async $onDidChangePassword(k){this._onDidChangePassword.fire(k)}get(k,D){return this._proxy.$getPassword(k,D)}store(k,D,n){return this._proxy.$setPassword(k,D,n)}delete(k,D){return this._proxy.$deletePassword(k,D)}}e.ExtHostSecretState=P,e.IExtHostSecretState=(0,T.createDecorator)("IExtHostSecretState")}),define(we[72],Ee([0,1,4,19,5,14]),function(ae,e,_,S,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=(0,_.createDecorator)("IExtHostApiDeprecationService");let E=class{constructor(D,n){this._extHostLogService=n,this._reportedUsages=new Set,this._telemetryShape=D.getProxy(T.MainContext.MainThreadTelemetry)}report(D,n,A){const C=this.getUsageKey(D,n);this._reportedUsages.has(C)||(this._reportedUsages.add(C),n.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${D}' is deprecated. ${A}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:n.identifier.value,apiId:D}))}getUsageKey(D,n){return`${D}-${n.identifier.value}`}};E=je([Ke(0,P.IExtHostRpcService),Ke(1,S.ILogService)],E),e.ExtHostApiDeprecationService=E,e.NullApiDeprecationService=Object.freeze(new class{report(k,D,n){}})}),define(we[183],Ee([0,1,3,5,7,25]),function(ae,e,_,S,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class E{constructor(D){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeAuthenticationProviders=new _.Emitter,this.onDidChangeAuthenticationProviders=this._onDidChangeAuthenticationProviders.event,this._onDidChangeSessions=new _.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=D.getProxy(S.MainContext.MainThreadAuthentication)}$setProviders(D){return this._providers=D,Promise.resolve()}get providers(){return Object.freeze(this._providers.slice())}async getSession(D,n,A,C={}){const v=P.ExtensionIdentifier.toKey(D.identifier),d=this._inFlightRequests.get(v)||[],s=A.sort().join(" ");let h=d.find(p=>p.scopes===s);if(h)return h.result;{const p=this._getSession(D,v,n,A,C);h={scopes:s,result:p},d.push(h),this._inFlightRequests.set(v,d);try{await p}finally{const g=d.findIndex(b=>b.scopes===s);g>-1&&(d.splice(g),this._inFlightRequests.set(v,d))}return p}}async _getSession(D,n,A,C,v={}){await this._proxy.$ensureProvider(A);const d=D.displayName||D.name;return this._proxy.$getSession(A,C,n,d,v)}async removeSession(D,n){const A=this._authenticationProviders.get(D);return A?A.provider.removeSession(n):this._proxy.$removeSession(D,n)}registerAuthenticationProvider(D,n,A,C){var v;if(this._authenticationProviders.get(D))throw new Error(`An authentication provider with id '${D}' is already registered.`);this._authenticationProviders.set(D,{label:n,provider:A,options:C!=null?C:{supportsMultipleAccounts:!1}}),this._providers.find(s=>s.id===D)||this._providers.push({id:D,label:n});const d=A.onDidChangeSessions(s=>{var h,p,g;this._proxy.$sendDidChangeSessions(D,{added:(h=s.added)!==null&&h!==void 0?h:[],changed:(p=s.changed)!==null&&p!==void 0?p:[],removed:(g=s.removed)!==null&&g!==void 0?g:[]})});return this._proxy.$registerAuthenticationProvider(D,n,(v=C==null?void 0:C.supportsMultipleAccounts)!==null&&v!==void 0?v:!1),new T.Disposable(()=>{d.dispose(),this._authenticationProviders.delete(D);const s=this._providers.findIndex(h=>h.id===D);s>-1&&this._providers.splice(s),this._proxy.$unregisterAuthenticationProvider(D)})}$createSession(D,n){const A=this._authenticationProviders.get(D);if(A)return Promise.resolve(A.provider.createSession(n));throw new Error(`Unable to find authentication provider with handle: ${D}`)}$removeSession(D,n){const A=this._authenticationProviders.get(D);if(A)return Promise.resolve(A.provider.removeSession(n));throw new Error(`Unable to find authentication provider with handle: ${D}`)}$getSessions(D,n){const A=this._authenticationProviders.get(D);if(A)return Promise.resolve(A.provider.getSessions(n));throw new Error(`Unable to find authentication provider with handle: ${D}`)}$onDidChangeAuthenticationSessions(D,n){return this._onDidChangeSessions.fire({provider:{id:D,label:n}}),Promise.resolve()}$onDidChangeAuthenticationProviders(D,n){return D.forEach(A=>{this._providers.some(C=>C.id===A.id)||this._providers.push(A)}),n.forEach(A=>{const C=this._providers.findIndex(v=>v.id===A.id);C>-1&&this._providers.splice(C)}),this._onDidChangeAuthenticationProviders.fire({added:D,removed:n}),Promise.resolve()}}e.ExtHostAuthentication=E}),define(we[184],Ee([0,1,5,14,9]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let P=class{constructor(k,D){this._extHostDocumentsAndEditors=D,this._proxy=k.getProxy(_.MainContext.MainThreadBulkEdits)}applyWorkspaceEdit(k){const D=T.WorkspaceEdit.from(k,this._extHostDocumentsAndEditors);return this._proxy.$tryApplyWorkspaceEdit(D)}};P=je([Ke(0,S.IExtHostRpcService)],P),e.ExtHostBulkEdits=P}),define(we[185],Ee([0,1,5]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class S{constructor(P){const E=P.getProxy(_.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return E.$readText()},writeText(k){return E.$writeText(k)}})}}e.ExtHostClipboard=S}),define(we[73],Ee([0,1,12,7,9,23,5,15,19,58,32,39,2,6,4,14]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let p=class{constructor(t,r){this._commands=new Map,this._apiCommands=new Map,this._proxy=t.getProxy(E.MainContext.MainThreadCommands),this._logService=r,this.converter=new g(this,o=>{const l=this._apiCommands.get(o);return(l==null?void 0:l.result)===c.Void?l:void 0},r),this._argumentProcessors=[{processArgument(o){return(0,n.revive)(o)}},{processArgument(o){return(0,P.cloneAndChange)(o,function(l){if(A.Range.isIRange(l))return T.Range.to(l);if(C.Position.isIPosition(l))return T.Position.to(l);if(A.Range.isIRange(l.range)&&v.URI.isUri(l.uri))return T.location.to(l);if(!Array.isArray(l))return l})}}]}registerArgumentProcessor(t){this._argumentProcessors.push(t)}registerApiCommand(t){const r=this.registerCommand(!1,t.id,async(...o)=>{const l=t.args.map((f,y)=>{if(!f.validate(o[y]))throw new Error(`Invalid argument '${f.name}' when running '${t.id}', received: ${o[y]}`);return f.convert(o[y])}),i=await this.executeCommand(t.internalId,...l);return t.result.convert(i,o,this.converter)},void 0,{description:t.description,args:t.args,returns:t.result.description});return this._apiCommands.set(t.id,t),new S.Disposable(()=>{r.dispose(),this._apiCommands.delete(t.id)})}registerCommand(t,r,o,l,i){if(this._logService.trace("ExtHostCommands#registerCommand",r),!r.trim().length)throw new Error("invalid id");if(this._commands.has(r))throw new Error(`command '${r}' already exists`);return this._commands.set(r,{callback:o,thisArg:l,description:i}),t&&this._proxy.$registerCommand(r),new S.Disposable(()=>{this._commands.delete(r)&&t&&this._proxy.$unregisterCommand(r)})}executeCommand(t,...r){return this._logService.trace("ExtHostCommands#executeCommand",t),this._doExecuteCommand(t,r,!0)}async _doExecuteCommand(t,r,o){if(this._commands.has(t))return this._executeContributedCommand(t,r);{const l=(0,P.cloneAndChange)(r,function(i){if(i instanceof S.Position)return T.Position.from(i);if(i instanceof S.Range)return T.Range.from(i);if(i instanceof S.Location)return T.location.from(i);if(!Array.isArray(i))return i});try{const i=await this._proxy.$executeCommand(t,l,o);return(0,n.revive)(i)}catch(i){if(i instanceof Error&&i.message==="$executeCommand:retry")return this._doExecuteCommand(t,r,!1);throw i}}}async _executeContributedCommand(t,r){const o=this._commands.get(t);if(!o)throw new Error("Unknown command");let{callback:l,thisArg:i,description:f}=o;if(f)for(let y=0;y<f.args.length;y++)try{(0,_.validateConstraint)(r[y],f.args[y].constraint)}catch(I){throw new Error(`Running the contributed command: '${t}' failed. Illegal argument '${f.args[y].name}' - ${f.args[y].description}`)}try{return await l.apply(i,r)}catch(y){if(t===this.converter.delegatingCommandId){const I=this.converter.getActualCommand(...r);I&&(t=I.command)}throw this._logService.error(y,t),new Error(`Running the contributed command: '${t}' failed.`)}}$executeContributedCommand(t,...r){return this._logService.trace("ExtHostCommands#$executeContributedCommand",t),this._commands.has(t)?(r=r.map(o=>this._argumentProcessors.reduce((l,i)=>i.processArgument(l),o)),this._executeContributedCommand(t,r)):Promise.reject(new Error(`Contributed command '${t}' does not exist.`))}getCommands(t=!1){return this._logService.trace("ExtHostCommands#getCommands",t),this._proxy.$getCommands().then(r=>(t&&(r=r.filter(o=>o[0]!=="_")),r))}$getContributedCommandHandlerDescriptions(){const t=Object.create(null);for(let[r,o]of this._commands){let{description:l}=o;l&&(t[r]=l)}return Promise.resolve(t)}};p=je([Ke(0,h.IExtHostRpcService),Ke(1,D.ILogService)],p),e.ExtHostCommands=p,e.IExtHostCommands=(0,s.createDecorator)("IExtHostCommands");class g{constructor(t,r,o){this._commands=t,this._lookupApiCommand=r,this._logService=o,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(t,r){if(!!t){const o={$ident:void 0,id:t.command,title:t.title,tooltip:t.tooltip};if(!t.command)return o;const l=this._lookupApiCommand(t.command);if(l)o.id=l.internalId,o.arguments=l.args.map((i,f)=>i.convert(t.arguments&&t.arguments[f]));else if((0,k.isNonEmptyArray)(t.arguments)){const i=++this._cachIdPool;this._cache.set(i,t),r.add((0,d.toDisposable)(()=>{this._cache.delete(i),this._logService.trace("CommandsConverter#DISPOSE",i)})),o.$ident=i,o.id=this.delegatingCommandId,o.arguments=[i],this._logService.trace("CommandsConverter#CREATE",t.command,i)}return o}}fromInternal(t){const r=E.ObjectIdentifier.of(t);return typeof r=="number"?this._cache.get(r):{command:t.id,title:t.title,arguments:t.arguments}}getActualCommand(...t){return this._cache.get(t[0])}_executeConvertedCommand(...t){const r=this.getActualCommand(...t);return this._logService.trace("CommandsConverter#EXECUTE",t[0],r?r.command:"MISSING"),r?this._commands.executeCommand(r.command,...r.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=g;class b{constructor(t,r,o,l){this.name=t,this.description=r,this.validate=o,this.convert=l}optional(){return new b(this.name,`(optional) ${this.description}`,t=>t==null||this.validate(t),t=>t===void 0?void 0:t===null?null:this.convert(t))}with(t,r){return new b(t!=null?t:this.name,r!=null?r:this.description,this.validate,this.convert)}}e.ApiCommandArgument=b,b.Uri=new b("uri","Uri of a text document",a=>v.URI.isUri(a),a=>a),b.Position=new b("position","A position in a text document",a=>S.Position.isPosition(a),T.Position.from),b.Range=new b("range","A range in a text document",a=>S.Range.isRange(a),T.Range.from),b.Selection=new b("selection","A selection in a text document",a=>S.Selection.isSelection(a),T.Selection.from),b.Number=new b("number","",a=>typeof a=="number",a=>a),b.String=new b("string","",a=>typeof a=="string",a=>a),b.CallHierarchyItem=new b("item","A call hierarchy item",a=>a instanceof S.CallHierarchyItem,T.CallHierarchyItem.to);class c{constructor(t,r){this.description=t,this.convert=r}}e.ApiCommandResult=c,c.Void=new c("no result",a=>a);class u{constructor(t,r,o,l,i){this.id=t,this.internalId=r,this.description=o,this.args=l,this.result=i}}e.ApiCommand=u}),define(we[186],Ee([0,1,6,9,7,63,73,161,15,84]),function(ae,e,_,S,T,P,E,k,D,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const A=[new E.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Position],new E.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",v(S.DocumentHighlight.to))),new E.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[E.ApiCommandArgument.Uri],new E.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",(s,h)=>{if(!(0,D.isFalsyOrEmpty)(s)){class p extends T.SymbolInformation{static to(b){const c=new p(b.name,S.SymbolKind.to(b.kind),b.containerName||"",new T.Location(h[0],S.Range.to(b.range)));return c.detail=b.detail,c.range=c.location.range,c.selectionRange=S.Range.to(b.selectionRange),c.children=b.children?b.children.map(p.to):[],c}}return s.map(p.to)}})),new E.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[E.ApiCommandArgument.Uri,new E.ApiCommandArgument("options","Formatting options",s=>!0,s=>s)],new E.ApiCommandResult("A promise that resolves to an array of TextEdits.",v(S.TextEdit.to))),new E.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Range,new E.ApiCommandArgument("options","Formatting options",s=>!0,s=>s)],new E.ApiCommandResult("A promise that resolves to an array of TextEdits.",v(S.TextEdit.to))),new E.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Position,new E.ApiCommandArgument("ch","Trigger character",s=>typeof s=="string",s=>s),new E.ApiCommandArgument("options","Formatting options",s=>!0,s=>s)],new E.ApiCommandResult("A promise that resolves to an array of TextEdits.",v(S.TextEdit.to))),new E.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Position],new E.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",d)),new E.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Position],new E.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",d)),new E.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Position],new E.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",d)),new E.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Position],new E.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",d)),new E.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Position],new E.ApiCommandResult("A promise that resolves to an array of Location-instances.",v(S.location.to))),new E.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Position],new E.ApiCommandResult("A promise that resolves to an array of Hover-instances.",v(S.Hover.to))),new E.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[E.ApiCommandArgument.Uri,new E.ApiCommandArgument("position","A position in a text document",s=>Array.isArray(s)&&s.every(h=>T.Position.isPosition(h)),s=>s.map(S.Position.from))],new E.ApiCommandResult("A promise that resolves to an array of ranges.",s=>s.map(h=>{let p;for(const g of h.reverse())p=new T.SelectionRange(S.Range.to(g),p);return p}))),new E.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[E.ApiCommandArgument.String.with("query","Search string")],new E.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",s=>{const h=[];if(Array.isArray(s))for(let p of s)h.push(...p[1].map(S.WorkspaceSymbol.to));return h})),new E.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Position],new E.ApiCommandResult("A CallHierarchyItem or undefined",s=>s.map(S.CallHierarchyItem.to))),new E.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[E.ApiCommandArgument.CallHierarchyItem],new E.ApiCommandResult("A CallHierarchyItem or undefined",s=>s.map(S.CallHierarchyIncomingCall.to))),new E.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[E.ApiCommandArgument.CallHierarchyItem],new E.ApiCommandResult("A CallHierarchyItem or undefined",s=>s.map(S.CallHierarchyOutgoingCall.to))),new E.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Position,E.ApiCommandArgument.String.with("newName","The new symbol name")],new E.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",s=>{if(!!s){if(s.rejectReason)throw new Error(s.rejectReason);return S.WorkspaceEdit.to(s)}})),new E.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new E.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",s=>s.map(S.DocumentLink.to))),new E.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[E.ApiCommandArgument.Uri],new E.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",s=>{if(!!s)return new T.SemanticTokensLegend(s.tokenTypes,s.tokenModifiers)})),new E.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[E.ApiCommandArgument.Uri],new E.ApiCommandResult("A promise that resolves to SemanticTokens.",s=>{if(!!s){const h=(0,n.decodeSemanticTokensDto)(s);if(h.type==="full")return new T.SemanticTokens(h.data,void 0)}})),new E.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[E.ApiCommandArgument.Uri],new E.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",s=>{if(!!s)return new T.SemanticTokensLegend(s.tokenTypes,s.tokenModifiers)})),new E.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Range],new E.ApiCommandResult("A promise that resolves to SemanticTokens.",s=>{if(!!s){const h=(0,n.decodeSemanticTokensDto)(s);if(h.type==="full")return new T.SemanticTokens(h.data,void 0)}})),new E.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Position,E.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),E.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new E.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(s,h,p)=>{if(!s)return new T.CompletionList([]);const g=s.suggestions.map(b=>S.CompletionItem.to(b,p));return new T.CompletionList(g,s.incomplete)})),new E.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Position,E.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new E.ApiCommandResult("A promise that resolves to SignatureHelp.",s=>{if(s)return S.SignatureHelp.to(s)})),new E.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new E.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(s,h,p)=>v(g=>new T.CodeLens(S.Range.to(g.range),g.command&&p.fromInternal(g.command)))(s))),new E.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[E.ApiCommandArgument.Uri,new E.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",s=>T.Range.isRange(s),s=>T.Selection.isSelection(s)?S.Selection.from(s):S.Range.from(s)),E.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),E.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new E.ApiCommandResult("A promise that resolves to an array of Command-instances.",(s,h,p)=>v(g=>{if(g._isSynthetic){if(!g.command)throw new Error("Synthetic code actions must have a command");return p.fromInternal(g.command)}else{const b=new T.CodeAction(g.title,g.kind?new T.CodeActionKind(g.kind):void 0);return g.edit&&(b.edit=S.WorkspaceEdit.to(g.edit)),g.command&&(b.command=p.fromInternal(g.command)),b.isPreferred=g.isPreferred,b}})(s))),new E.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[E.ApiCommandArgument.Uri],new E.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",s=>s?s.map(h=>new T.ColorInformation(S.Range.to(h.range),S.Color.to(h.color))):[])),new E.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new E.ApiCommandArgument("color","The color to show and insert",s=>s instanceof T.Color,S.Color.from),new E.ApiCommandArgument("context","Context object with uri and range",s=>!0,s=>({uri:s.uri,range:S.Range.from(s.range)}))],new E.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",s=>s?s.map(S.ColorPresentation.to):[])),new E.ApiCommand("vscode.executeInlineHintProvider","_executeInlineHintProvider","Execute inline hints provider",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Range],new E.ApiCommandResult("A promise that resolves to an array of InlineHint objects",s=>s.map(S.InlineHint.to))),new E.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new E.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",v(s=>({viewType:s.viewType,displayName:s.displayName,options:{transientOutputs:s.options.transientOutputs,transientMetadata:s.options.transientMetadata},filenamePattern:s.filenamePattern.map(h=>S.NotebookExclusiveDocumentPattern.to(h))})))),new E.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[E.ApiCommandArgument.Uri,E.ApiCommandArgument.Range],new E.ApiCommandResult("A promise that resolves to an array of InlineValue objects",s=>s.map(S.InlineValue.to))),new E.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[E.ApiCommandArgument.Uri,new E.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",s=>s===void 0||typeof s=="number"||typeof s=="object",s=>s&&(typeof s=="number"?[s,void 0]:[S.ViewColumn.from(s.viewColumn),S.TextEditorOpenOptions.from(s)])).optional(),E.ApiCommandArgument.String.with("label","").optional()],E.ApiCommandResult.Void),new E.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[E.ApiCommandArgument.Uri.with("resource","Resource to open"),E.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new E.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",s=>s===void 0||typeof s=="number"||typeof s=="object",s=>s&&(typeof s=="number"?[s,void 0]:[S.ViewColumn.from(s.viewColumn),S.TextEditorOpenOptions.from(s)])).optional()],E.ApiCommandResult.Void),new E.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[E.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),E.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),E.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new E.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",s=>s===void 0||typeof s=="object",s=>s&&[S.ViewColumn.from(s.viewColumn),S.TextEditorOpenOptions.from(s)]).optional()],E.ApiCommandResult.Void)];class C{constructor(h){this._disposables=new _.DisposableStore,this._commands=h}static register(h){return A.forEach(h.registerApiCommand,h),new C(h).registerCommands()}registerCommands(){const h=p=>(...g)=>p(this._commands,...g);this._register(k.RemoveFromRecentlyOpenedAPICommand.ID,h(k.RemoveFromRecentlyOpenedAPICommand.execute),{description:"Removes an entry with the given path from the recently opened list.",args:[{name:"path",description:"Path to remove from recently opened.",constraint:p=>typeof p=="string"}]}),this._register(k.OpenIssueReporter.ID,h(k.OpenIssueReporter.execute),{description:"Opens the issue reporter with the provided extension id as the selected source",args:[{name:"extensionId",description:"extensionId to report an issue on",constraint:p=>typeof p=="string"||typeof p=="object"&&typeof p.extensionId=="string"}]})}_register(h,p,g){const b=this._commands.registerCommand(!1,h,p,this,g);this._disposables.add(b)}}e.ExtHostApiCommands=C;function v(s){return h=>{if(Array.isArray(h))return h.map(s)}}function d(s){if(!!Array.isArray(s)){const h=[];for(const p of s)P.isLocationLink(p)?h.push(S.DefinitionLink.to(p)):h.push(S.location.to(p));return h}}}),define(we[187],Ee([0,1,13,45,3,6,2,63,25,9,7,5]),function(ae,e,_,S,T,P,E,k,D,n,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCommentThread=e.ExtHostComments=void 0;class v{constructor(u,a,t){this._documents=t,this._commentControllers=new Map,this._commentControllersByExtension=new Map,this._proxy=u.getProxy(C.MainContext.MainThreadComments),a.registerArgumentProcessor({processArgument:r=>{if(r&&r.$mid===6){const o=this._commentControllers.get(r.handle);return o||r}else if(r&&r.$mid===7){const o=this._commentControllers.get(r.commentControlHandle);if(!o)return r;const l=o.getCommentThread(r.commentThreadHandle);return l||r}else if(r&&r.$mid===8){const o=this._commentControllers.get(r.thread.commentControlHandle);if(!o)return r;const l=o.getCommentThread(r.thread.commentThreadHandle);return l?{thread:l,text:r.text}:r}else if(r&&r.$mid===9){const o=this._commentControllers.get(r.thread.commentControlHandle);if(!o)return r;const l=o.getCommentThread(r.thread.commentThreadHandle);if(!l)return r;let i=r.commentUniqueId,f=l.getCommentByUniqueId(i);return f||r}else if(r&&r.$mid===10){const o=this._commentControllers.get(r.thread.commentControlHandle);if(!o)return r;const l=o.getCommentThread(r.thread.commentThreadHandle);if(!l)return r;let i=r.text,f=r.commentUniqueId,y=l.getCommentByUniqueId(f);return y?(y.body=i,y):r}return r}})}createCommentController(u,a,t){const r=v.handlePool++,o=new s(u,r,this._proxy,a,t);this._commentControllers.set(o.handle,o);const l=this._commentControllersByExtension.get(D.ExtensionIdentifier.toKey(u.identifier))||[];return l.push(o),this._commentControllersByExtension.set(D.ExtensionIdentifier.toKey(u.identifier),l),o}$createCommentThreadTemplate(u,a,t){const r=this._commentControllers.get(u);!r||r.$createCommentThreadTemplate(a,t)}async $updateCommentThreadTemplate(u,a,t){const r=this._commentControllers.get(u);!r||r.$updateCommentThreadTemplate(a,t)}$deleteCommentThread(u,a){const t=this._commentControllers.get(u);t&&t.$deleteCommentThread(a)}$provideCommentingRanges(u,a,t){const r=this._commentControllers.get(u);if(!r||!r.commentingRangeProvider)return Promise.resolve(void 0);const o=this._documents.getDocument(E.URI.revive(a));return(0,_.asPromise)(()=>r.commentingRangeProvider.provideCommentingRanges(o,t)).then(l=>l?l.map(i=>n.Range.from(i)):void 0)}$toggleReaction(u,a,t,r,o){const l=this._commentControllers.get(u);return!l||!l.reactionHandler?Promise.resolve(void 0):(0,_.asPromise)(()=>{const i=l.getCommentThread(a);if(i){const f=i.getCommentByUniqueId(r.uniqueIdInThread);if(l!==void 0&&f&&l.reactionHandler)return l.reactionHandler(f,g(o))}return Promise.resolve(void 0)})}dispose(){}}e.ExtHostComments=v,v.handlePool=0;class d{constructor(u,a,t,r,o,l,i){this._proxy=u,this._commentController=a,this._id=t,this._uri=r,this._range=o,this._comments=l,this.handle=d._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new T.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new P.MutableDisposable,this._acceptInputDisposables.value=new P.DisposableStore,this._id===void 0&&(this._id=`${a.id}.${this.handle}`),this._proxy.$createCommentThread(this._commentController.handle,this.handle,this._id,this._uri,n.Range.from(this._range),i),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=l}set threadId(u){this._id=u}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(u){u.isEqual(this._range)||(this._range=u,this.modifications.range=u,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(u){this._canReply!==u&&(this._canReply=u,this.modifications.canReply=u,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(u){this._label=u,this.modifications.label=u,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(u){this._contextValue=u,this.modifications.contextValue=u,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(u){this._comments=u,this.modifications.comments=u,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(u){this._collapseState=u,this.modifications.collapsibleState=u,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}eventuallyUpdateCommentThread(){if(!this._isDiposed){this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new P.DisposableStore);const u=t=>Object.prototype.hasOwnProperty.call(this.modifications,t),a={};u("range")&&(a.range=n.Range.from(this._range)),u("label")&&(a.label=this.label),u("contextValue")&&(a.contextValue=this.contextValue),u("comments")&&(a.comments=this._comments.map(t=>h(this,this._commentController,t,this._commentsMap))),u("collapsibleState")&&(a.collapseState=b(this._collapseState)),u("canReply")&&(a.canReply=this.canReply),this.modifications={},this._proxy.$updateCommentThread(this._commentController.handle,this.handle,this._id,this._uri,a)}}getCommentByUniqueId(u){for(let a of this._commentsMap){let t=a[0],r=a[1];if(u===r)return t}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(u=>u.dispose()),this._proxy.$deleteCommentThread(this._commentController.handle,this.handle)}}d._handlePool=0,je([(0,S.debounce)(100)],d.prototype,"eventuallyUpdateCommentThread",null),e.ExtHostCommentThread=d;class s{constructor(u,a,t,r,o){this._extension=u,this._handle=a,this._proxy=t,this._id=r,this._label=o,this._threads=new Map,this._proxy.$registerCommentController(this.handle,r,o)}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get reactionHandler(){return this._reactionHandler}set reactionHandler(u){this._reactionHandler=u,this._proxy.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!u})}get options(){return this._options}set options(u){this._options=u,this._proxy.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(u,a,t,r){if(typeof u=="string"){const o=new d(this._proxy,this,u,a,t,r,this._extension.identifier);return this._threads.set(o.handle,o),o}else{const o=new d(this._proxy,this,void 0,u,a,t,this._extension.identifier);return this._threads.set(o.handle,o),o}}$createCommentThreadTemplate(u,a){const t=new d(this._proxy,this,void 0,E.URI.revive(u),n.Range.to(a),[],this._extension.identifier);return t.collapsibleState=k.CommentThreadCollapsibleState.Expanded,this._threads.set(t.handle,t),t}$updateCommentThreadTemplate(u,a){let t=this._threads.get(u);t&&(t.range=n.Range.to(a))}$deleteCommentThread(u){let a=this._threads.get(u);a&&a.dispose(),this._threads.delete(u)}getCommentThread(u){return this._threads.get(u)}dispose(){this._threads.forEach(u=>{u.dispose()}),this._proxy.$unregisterCommentController(this.handle)}}function h(c,u,a,t){let r=t.get(a);r||(r=++c.commentHandle,t.set(a,r));const o=a.author&&a.author.iconPath?a.author.iconPath.toString():void 0;return{mode:a.mode,contextValue:a.contextValue,uniqueIdInThread:r,body:n.MarkdownString.from(a.body),userName:a.author.name,userIconPath:o,label:a.label,commentReactions:a.reactions?a.reactions.map(l=>p(l)):void 0}}function p(c){return{label:c.label,iconPath:c.iconPath?n.pathOrURIToURI(c.iconPath):void 0,count:c.count,hasReacted:c.authorHasReacted}}function g(c){return{label:c.label||"",count:c.count||0,iconPath:c.iconPath?E.URI.revive(c.iconPath):"",authorHasReacted:c.hasReacted||!1}}function b(c){if(c!==void 0)switch(c){case A.CommentThreadCollapsibleState.Expanded:return k.CommentThreadCollapsibleState.Expanded;case A.CommentThreadCollapsibleState.Collapsed:return k.CommentThreadCollapsibleState.Collapsed}return k.CommentThreadCollapsibleState.Collapsed}}),define(we[97],Ee([0,1,2,5,7,4,14,19,15,8,11]),function(ae,e,_,S,T,P,E,k,D,n,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let C=class an{constructor(d,s){this._logService=s,this._provider=new Map,this._proxy=d.getProxy(S.MainContext.MainThreadDecorations)}registerFileDecorationProvider(d,s){const h=an._handlePool++;this._provider.set(h,{provider:d,extensionId:s}),this._proxy.$registerDecorationProvider(h,s.value);const p=d.onDidChangeFileDecorations&&d.onDidChangeFileDecorations(g=>{if(!g){this._proxy.$onDidChange(h,null);return}let b=(0,D.asArray)(g);if(b.length<=an._maxEventSize){this._proxy.$onDidChange(h,b);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",s.value,b.length);const c=b.map(t=>({uri:t,rank:(0,n.count)(t.path,"/")})),u=(0,D.groupBy)(c,(t,r)=>t.rank-r.rank||(0,n.compare)(t.uri.path,r.uri.path));let a=[];e:for(let t of u){let r;for(let o of t){let l=(0,A.dirname)(o.uri.path);if(r!==l&&(r=l,a.push(o.uri)>=an._maxEventSize))break e}}this._proxy.$onDidChange(h,a)});return new T.Disposable(()=>{p==null||p.dispose(),this._proxy.$unregisterDecorationProvider(h),this._provider.delete(h)})}async $provideDecorations(d,s,h){if(!this._provider.has(d))return Object.create(null);const p=Object.create(null),{provider:g,extensionId:b}=this._provider.get(d);return await Promise.all(s.map(async c=>{try{const{uri:u,id:a}=c,t=await Promise.resolve(g.provideFileDecoration(_.URI.revive(u),h));if(!t)return;try{T.FileDecoration.validate(t),p[a]=[t.propagate,t.tooltip,t.badge,t.color]}catch(r){this._logService.warn(`INVALID decoration from extension '${b.value}': ${r}`)}}catch(u){this._logService.error(u)}})),p}};C._handlePool=0,C._maxEventSize=250,C=je([Ke(0,E.IExtHostRpcService),Ke(1,k.ILogService)],C),e.ExtHostDecorations=C,e.IExtHostDecorations=(0,P.createDecorator)("IExtHostDecorations")}),define(we[188],Ee([0,1,127,87,2,5,7,9,3,19,22]),function(ae,e,_,S,T,P,E,k,D,n,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class C{constructor(s,h,p,g,b){this._name=s,this._owner=h,this._maxDiagnosticsPerFile=p,this._proxy=g,this._onDidChangeDiagnostics=b,this._isDisposed=!1,this._data=new A.ResourceMap}dispose(){this._isDisposed||(this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._proxy&&this._proxy.$clear(this._owner),this._data=void 0,this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(s,h){if(!s){this.clear();return}this._checkDisposed();let p=[];if(T.URI.isUri(s)){if(!h){this.delete(s);return}this._data.set(s,h.slice()),p=[s]}else if(Array.isArray(s)){p=[];let b;s=[...s].sort(C._compareIndexedTuplesByUri);for(const c of s){const[u,a]=c;if((!b||u.toString()!==b.toString())&&(b&&this._data.get(b).length===0&&this._data.delete(b),b=u,p.push(u),this._data.set(u,[])),a){const t=this._data.get(u);t&&t.push(...a)}else{const t=this._data.get(u);t&&(t.length=0)}}}if(this._onDidChangeDiagnostics.fire(p),!!this._proxy){const g=[];for(let b of p){let c=[];const u=this._data.get(b);if(u)if(u.length>this._maxDiagnosticsPerFile){c=[];const a=[E.DiagnosticSeverity.Error,E.DiagnosticSeverity.Warning,E.DiagnosticSeverity.Information,E.DiagnosticSeverity.Hint];e:for(let t=0;t<4;t++)for(let r of u)if(r.severity===a[t]&&c.push(k.Diagnostic.from(r))===this._maxDiagnosticsPerFile)break e;c.push({severity:S.MarkerSeverity.Info,message:(0,_.localize)(0,null,u.length-this._maxDiagnosticsPerFile),startLineNumber:c[c.length-1].startLineNumber,startColumn:c[c.length-1].startColumn,endLineNumber:c[c.length-1].endLineNumber,endColumn:c[c.length-1].endColumn})}else c=u.map(a=>k.Diagnostic.from(a));g.push([b,c])}this._proxy.$changeMany(this._owner,g)}}delete(s){this._checkDisposed(),this._onDidChangeDiagnostics.fire([s]),this._data.delete(s),this._proxy&&this._proxy.$changeMany(this._owner,[[s,void 0]])}clear(){this._checkDisposed(),this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._data.clear(),this._proxy&&this._proxy.$clear(this._owner)}forEach(s,h){this._checkDisposed();for(let p of this._data.keys())s.apply(h,[p,this.get(p),this])}get(s){this._checkDisposed();const h=this._data.get(s);return Array.isArray(h)?Object.freeze(h.slice(0)):[]}has(s){return this._checkDisposed(),Array.isArray(this._data.get(s))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(s,h){return s[0].toString()<h[0].toString()?-1:s[0].toString()>h[0].toString()?1:0}}e.DiagnosticCollection=C;let v=class Wt{constructor(s,h){this._logService=h,this._collections=new Map,this._onDidChangeDiagnostics=new D.Emitter,this.onDidChangeDiagnostics=D.Event.map(D.Event.debounce(this._onDidChangeDiagnostics.event,Wt._debouncer,50),Wt._mapper),this._proxy=s.getProxy(P.MainContext.MainThreadDiagnostics)}static _debouncer(s,h){return s?s.concat(h):h}static _mapper(s){const h=[],p=new Set;for(const g of s)typeof g=="string"?p.has(g)||(p.add(g),h.push(T.URI.parse(g))):p.has(g.toString())||(p.add(g.toString()),h.push(g));return Object.freeze(h),{uris:h}}createDiagnosticCollection(s,h){const{_collections:p,_proxy:g,_onDidChangeDiagnostics:b,_logService:c}=this,u=new class{$changeMany(r,o){g.$changeMany(r,o),c.trace("[DiagnosticCollection] change many (extension, owner, uris)",s.value,r,o.length===0?"CLEARING":o)}$clear(r){g.$clear(r),c.trace("[DiagnosticCollection] remove all (extension, owner)",s.value,r)}dispose(){g.dispose()}};let a;if(!h)h="_generated_diagnostic_collection_name_#"+Wt._idPool++,a=h;else if(!p.has(h))a=h;else{this._logService.warn(`DiagnosticCollection with name '${h}' does already exist.`);do a=h+Wt._idPool++;while(p.has(a))}return new class extends C{constructor(){super(h,a,Wt._maxDiagnosticsPerFile,u,b);p.set(a,this)}dispose(){super.dispose(),p.delete(a)}}}getDiagnostics(s){if(s)return this._getDiagnostics(s);{const h=new Map,p=[];for(const g of this._collections.values())g.forEach((b,c)=>{let u=h.get(b.toString());typeof u=="undefined"&&(u=p.length,h.set(b.toString(),u),p.push([b,[]])),p[u][1]=p[u][1].concat(...c)});return p}}_getDiagnostics(s){let h=[];for(let p of this._collections.values())p.has(s)&&(h=h.concat(p.get(s)));return h}$acceptMarkersChange(s){if(!this._mirrorCollection){const h="_generated_mirror",p=new C(h,h,Wt._maxDiagnosticsPerFile,void 0,this._onDidChangeDiagnostics);this._collections.set(h,p),this._mirrorCollection=p}for(const[h,p]of s)this._mirrorCollection.set(T.URI.revive(h),p.map(k.Diagnostic.to))}};v._idPool=0,v._maxDiagnosticsPerFile=1e3,v=je([Ke(1,n.ILogService)],v),e.ExtHostDiagnostics=v}),define(we[189],Ee([0,1,2,5]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class T{constructor(E){this._proxy=E.getProxy(S.MainContext.MainThreadDialogs)}showOpenDialog(E){return this._proxy.$showOpenDialog(E).then(k=>k?k.map(D=>_.URI.revive(D)):void 0)}showSaveDialog(E){return this._proxy.$showSaveDialog(E).then(k=>k?_.URI.revive(k):void 0)}}e.ExtHostDialogs=T}),define(we[190],Ee([0,1,10,2,7,5,16,20,8]),function(ae,e,_,S,T,P,E,k,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class n{constructor(C,v,d){this._documentsAndEditors=v,this._logService=d,this._documentContentProviders=new Map,this._proxy=C.getProxy(P.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(C,v){if(Object.keys(E.Schemas).indexOf(C)>=0)throw new Error(`scheme '${C}' already registered`);const d=n._handlePool++;this._documentContentProviders.set(d,v),this._proxy.$registerTextContentProvider(d,C);let s;return typeof v.onDidChange=="function"&&(s=v.onDidChange(h=>{if(h.scheme!==C){this._logService.warn(`Provider for scheme '${C}' is firing event for schema '${h.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(h)&&this.$provideTextDocumentContent(d,h).then(p=>{if(!(!p&&typeof p!="string")){const g=this._documentsAndEditors.getDocument(h);if(!!g){const b=(0,D.splitLines)(p);if(!g.equalLines(b))return this._proxy.$onVirtualDocumentChange(h,p)}}},_.onUnexpectedError)})),new T.Disposable(()=>{this._documentContentProviders.delete(d)&&this._proxy.$unregisterTextContentProvider(d),s&&(s.dispose(),s=void 0)})}$provideTextDocumentContent(C,v){const d=this._documentContentProviders.get(C);return d?Promise.resolve(d.provideTextDocumentContent(S.URI.revive(v),k.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${v.scheme}`))}}e.ExtHostDocumentContentProvider=n,n._handlePool=0}),define(we[191],Ee([0,1,3,6,2,5,94,9,12,23]),function(ae,e,_,S,T,P,E,k,D,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class A{constructor(v,d){this._onDidAddDocument=new _.Emitter,this._onDidRemoveDocument=new _.Emitter,this._onDidChangeDocument=new _.Emitter,this._onDidSaveDocument=new _.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new S.DisposableStore,this._documentLoader=new Map,this._proxy=v.getProxy(P.MainContext.MainThreadDocuments),this._documentsAndEditors=d,this._documentsAndEditors.onDidRemoveDocuments(s=>{for(const h of s)this._onDidRemoveDocument.fire(h.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(s=>{for(const h of s)this._onDidAddDocument.fire(h.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(v){if(!!v){const d=this._documentsAndEditors.getDocument(v);if(d)return d}}getDocument(v){const d=this.getDocumentData(v);if(!(d==null?void 0:d.document))throw new Error(`Unable to retrieve document from URI '${v}'`);return d.document}ensureDocumentData(v){const d=this._documentsAndEditors.getDocument(v);if(d)return Promise.resolve(d);let s=this._documentLoader.get(v.toString());return s||(s=this._proxy.$tryOpenDocument(v).then(h=>{this._documentLoader.delete(v.toString());const p=T.URI.revive(h);return(0,D.assertIsDefined)(this._documentsAndEditors.getDocument(p))},h=>(this._documentLoader.delete(v.toString()),Promise.reject(h))),this._documentLoader.set(v.toString(),s)),s}createDocumentData(v){return this._proxy.$tryCreateDocument(v).then(d=>T.URI.revive(d))}$acceptModelModeChanged(v,d){const s=T.URI.revive(v),h=this._documentsAndEditors.getDocument(s);if(!h)throw new Error("unknown document");this._onDidRemoveDocument.fire(h.document),h._acceptLanguageId(d),this._onDidAddDocument.fire(h.document)}$acceptModelSaved(v){const d=T.URI.revive(v),s=this._documentsAndEditors.getDocument(d);if(!s)throw new Error("unknown document");this.$acceptDirtyStateChanged(v,!1),this._onDidSaveDocument.fire(s.document)}$acceptDirtyStateChanged(v,d){const s=T.URI.revive(v),h=this._documentsAndEditors.getDocument(s);if(!h)throw new Error("unknown document");h._acceptIsDirty(d),this._onDidChangeDocument.fire({document:h.document,contentChanges:[]})}$acceptModelChanged(v,d,s){const h=T.URI.revive(v),p=this._documentsAndEditors.getDocument(h);if(!p)throw new Error("unknown document");p._acceptIsDirty(s),p.onEvents(d),this._onDidChangeDocument.fire((0,n.deepFreeze)({document:p.document,contentChanges:d.changes.map(g=>({range:k.Range.to(g.range),rangeOffset:g.rangeOffset,rangeLength:g.rangeLength,text:g.text}))}))}setWordDefinitionFor(v,d){(0,E.setWordDefinitionFor)(v,d)}}e.ExtHostDocuments=A}),define(we[41],Ee([0,1,44,3,6,2,4,5,94,14,95,9,19,22,16,54,105]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s,h,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class g{constructor(u){this.value=u,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let b=class{constructor(u,a){this._extHostRpc=u,this._logService=a,this._activeEditorId=null,this._editors=new Map,this._documents=new d.ResourceMap,this._onDidAddDocuments=new S.Emitter,this._onDidRemoveDocuments=new S.Emitter,this._onDidChangeVisibleTextEditors=new S.Emitter,this._onDidChangeActiveTextEditor=new S.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(u){this.acceptDocumentsAndEditorsDelta(u)}acceptDocumentsAndEditorsDelta(u){const a=[],t=[],r=[];if(u.removedDocuments)for(const o of u.removedDocuments){const l=P.URI.revive(o),i=this._documents.get(l);(i==null?void 0:i.unref())&&(this._documents.delete(l),a.push(i.value))}if(u.addedDocuments)for(const o of u.addedDocuments){const l=P.URI.revive(o.uri);let i=this._documents.get(l);if(i&&l.scheme!==s.Schemas.vscodeNotebookCell)throw new Error(`document '${l} already exists!'`);i||(i=new g(new D.ExtHostDocumentData(this._extHostRpc.getProxy(k.MainContext.MainThreadDocuments),l,o.lines,o.EOL,o.versionId,o.modeId,o.isDirty,o.notebook)),this._documents.set(l,i),t.push(i.value)),i.ref()}if(u.removedEditors)for(const o of u.removedEditors){const l=this._editors.get(o);this._editors.delete(o),l&&r.push(l)}if(u.addedEditors)for(const o of u.addedEditors){const l=P.URI.revive(o.documentUri);_.ok(this._documents.has(l),`document '${l}' does not exist`),_.ok(!this._editors.has(o.id),`editor '${o.id}' already exists!`);const i=this._documents.get(l).value,f=new A.ExtHostTextEditor(o.id,this._extHostRpc.getProxy(k.MainContext.MainThreadTextEditors),this._logService,new p.Lazy(()=>i.document),o.selections.map(C.Selection.to),o.options,o.visibleRanges.map(y=>C.Range.to(y)),typeof o.editorPosition=="number"?C.ViewColumn.to(o.editorPosition):void 0);this._editors.set(o.id,f)}u.newActiveEditor!==void 0&&(_.ok(u.newActiveEditor===null||this._editors.has(u.newActiveEditor),`active editor '${u.newActiveEditor}' does not exist`),this._activeEditorId=u.newActiveEditor),(0,T.dispose)(a),(0,T.dispose)(r),u.removedDocuments&&this._onDidRemoveDocuments.fire(a),u.addedDocuments&&this._onDidAddDocuments.fire(t),(u.removedEditors||u.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(o=>o.value)),u.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(u){var a;return(a=this._documents.get(u))===null||a===void 0?void 0:a.value}allDocuments(){return h.Iterable.map(this._documents.values(),u=>u.value)}getEditor(u){return this._editors.get(u)}activeEditor(u){if(!!this._activeEditorId){const a=this._editors.get(this._activeEditorId);return u?a:a==null?void 0:a.value}}allEditors(){return[...this._editors.values()]}};b=je([Ke(0,n.IExtHostRpcService),Ke(1,v.ILogService)],b),e.ExtHostDocumentsAndEditors=b,e.IExtHostDocumentsAndEditors=(0,E.createDecorator)("IExtHostDocumentsAndEditors")}),define(we[192],Ee([0,1,2,5,6,7,9,115,8,26]),function(ae,e,_,S,T,P,E,k,D,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class A{constructor(){this._schemes=[]}add(d){this._stateMachine=void 0,this._schemes.push(d)}delete(d){const s=this._schemes.indexOf(d);s>=0&&(this._schemes.splice(s,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const d=this._schemes.sort(),s=[];let h,p,g=14,b=14;for(const c of d){let u=h?(0,D.commonPrefixLength)(h,c):0;for(u===0?p=1:p=b;u<c.length;u++)u+1===c.length?(g=b,b=9):b+=1,s.push([p,c.toUpperCase().charCodeAt(u),b]),s.push([p,c.toLowerCase().charCodeAt(u),b]),p=b;h=c,b=g}s.push([9,58,10]),s.push([10,47,12]),this._stateMachine=new k.StateMachine(s)}}provideDocumentLinks(d){this._initStateMachine();const s=[],h=k.LinkComputer.computeLinks({getLineContent(p){return d.lineAt(p-1).text},getLineCount(){return d.lineCount}},this._stateMachine);for(const p of h){const g=E.DocumentLink.to(p);g.target&&s.push(g)}return s}}class C{constructor(d,s){this._extHostLanguageFeatures=s,this._linkProvider=new A,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._handlePool=0,this._proxy=d.getProxy(S.MainContext.MainThreadFileSystem)}dispose(){var d;(d=this._linkProviderRegistration)===null||d===void 0||d.dispose()}_registerLinkProviderIfNotYetRegistered(){this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(void 0,"*",this._linkProvider))}registerFileSystemProvider(d,s,h,p={}){if(this._registeredSchemes.has(s))throw new Error(`a provider for the scheme '${s}' is already registered`);this._registerLinkProviderIfNotYetRegistered();const g=this._handlePool++;this._linkProvider.add(s),this._registeredSchemes.add(s),this._fsProvider.set(g,h);let b=2;p.isCaseSensitive&&(b+=1024),p.isReadonly&&(b+=2048),typeof h.copy=="function"&&(b+=8),typeof h.open=="function"&&typeof h.close=="function"&&typeof h.read=="function"&&typeof h.write=="function"&&(b+=4),this._proxy.$registerFileSystemProvider(g,s,b).catch(u=>{console.error(`FAILED to register filesystem provider of ${d.value}-extension for the scheme ${s}`),console.error(u)});const c=h.onDidChangeFile(u=>{const a=[];for(const t of u){let{uri:r,type:o}=t;if(r.scheme===s){let l;switch(o){case P.FileChangeType.Changed:l=0;break;case P.FileChangeType.Created:l=1;break;case P.FileChangeType.Deleted:l=2;break;default:throw new Error("Unknown FileChangeType")}a.push({resource:r,type:l})}}this._proxy.$onFileSystemChange(g,a)});return(0,T.toDisposable)(()=>{c.dispose(),this._linkProvider.delete(s),this._registeredSchemes.delete(s),this._fsProvider.delete(g),this._proxy.$unregisterProvider(g)})}static _asIStat(d){const{type:s,ctime:h,mtime:p,size:g}=d;return{type:s,ctime:h,mtime:p,size:g}}$stat(d,s){return Promise.resolve(this._getFsProvider(d).stat(_.URI.revive(s))).then(C._asIStat)}$readdir(d,s){return Promise.resolve(this._getFsProvider(d).readDirectory(_.URI.revive(s)))}$readFile(d,s){return Promise.resolve(this._getFsProvider(d).readFile(_.URI.revive(s))).then(h=>n.VSBuffer.wrap(h))}$writeFile(d,s,h,p){return Promise.resolve(this._getFsProvider(d).writeFile(_.URI.revive(s),h.buffer,p))}$delete(d,s,h){return Promise.resolve(this._getFsProvider(d).delete(_.URI.revive(s),h))}$rename(d,s,h,p){return Promise.resolve(this._getFsProvider(d).rename(_.URI.revive(s),_.URI.revive(h),p))}$copy(d,s,h,p){const g=this._getFsProvider(d);if(!g.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(g.copy(_.URI.revive(s),_.URI.revive(h),p))}$mkdir(d,s){return Promise.resolve(this._getFsProvider(d).createDirectory(_.URI.revive(s)))}$watch(d,s,h,p){const g=this._getFsProvider(d).watch(_.URI.revive(h),p);this._watches.set(s,g)}$unwatch(d,s){const h=this._watches.get(s);h&&(h.dispose(),this._watches.delete(s))}$open(d,s,h){const p=this._getFsProvider(d);if(!p.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(p.open(_.URI.revive(s),h))}$close(d,s){const h=this._getFsProvider(d);if(!h.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(h.close(s))}$read(d,s,h,p){const g=this._getFsProvider(d);if(!g.read)throw new Error('FileSystemProvider does not implement "read"');const b=n.VSBuffer.alloc(p);return Promise.resolve(g.read(s,h,b.buffer,0,p)).then(c=>b.slice(0,c))}$write(d,s,h,p){const g=this._getFsProvider(d);if(!g.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(g.write(s,h,p.buffer,0,p.byteLength))}_getFsProvider(d){const s=this._fsProvider.get(d);if(!s){const h=new Error;throw h.name="ENOPRO",h.message="no provider",h}return s}}e.ExtHostFileSystem=C}),define(we[74],Ee([0,1,5,65,7,26,4,14,49]),function(ae,e,_,S,T,P,E,k,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let n=class Tt{constructor(C,v){const d=C.getProxy(_.MainContext.MainThreadFileSystem);this.value=Object.freeze({stat(s){return d.$stat(s).catch(Tt._handleError)},readDirectory(s){return d.$readdir(s).catch(Tt._handleError)},createDirectory(s){return d.$mkdir(s).catch(Tt._handleError)},async readFile(s){return d.$readFile(s).then(h=>h.buffer).catch(Tt._handleError)},writeFile(s,h){return d.$writeFile(s,P.VSBuffer.wrap(h)).catch(Tt._handleError)},delete(s,h){return d.$delete(s,Object.assign({recursive:!1,useTrash:!1},h)).catch(Tt._handleError)},rename(s,h,p){return d.$rename(s,h,Object.assign({overwrite:!1},p)).catch(Tt._handleError)},copy(s,h,p){return d.$copy(s,h,Object.assign({overwrite:!1},p)).catch(Tt._handleError)},isWritableFileSystem(s){const h=v.getCapabilities(s);if(typeof h=="number")return!(h&2048)}})}static _handleError(C){if(!(C instanceof Error))throw new T.FileSystemError(String(C));if(C.name==="ENOPRO")throw T.FileSystemError.Unavailable(C.message);switch(C.name){case S.FileSystemProviderErrorCode.FileExists:throw T.FileSystemError.FileExists(C.message);case S.FileSystemProviderErrorCode.FileNotFound:throw T.FileSystemError.FileNotFound(C.message);case S.FileSystemProviderErrorCode.FileNotADirectory:throw T.FileSystemError.FileNotADirectory(C.message);case S.FileSystemProviderErrorCode.FileIsADirectory:throw T.FileSystemError.FileIsADirectory(C.message);case S.FileSystemProviderErrorCode.NoPermissions:throw T.FileSystemError.NoPermissions(C.message);case S.FileSystemProviderErrorCode.Unavailable:throw T.FileSystemError.Unavailable(C.message);default:throw new T.FileSystemError(C.message,C.name)}}};n=je([Ke(0,k.IExtHostRpcService),Ke(1,D.IExtHostFileSystemInfo)],n),e.ExtHostConsumerFileSystem=n,e.IExtHostConsumerFileSystem=(0,E.createDecorator)("IExtHostConsumerFileSystem")}),define(we[193],Ee([0,1,6,5]),function(ae,e,_,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class T{constructor(E){this._handlePool=0,this._proxy=E.getProxy(S.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(E){const k=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(k,E),(0,_.toDisposable)(()=>{this._proxy.$unregisterResourceLabelFormatter(k)})}}e.ExtHostLabelService=T}),define(we[194],Ee([0,1,2,23,9,7,13,5,8,32,15,12,112,6,84,53,92,55,10]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s,h,p,g,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class c{constructor(N,V){this._documents=N,this._provider=V}provideDocumentSymbols(N,V){const X=this._documents.getDocument(N);return(0,E.asPromise)(()=>this._provider.provideDocumentSymbols(X,V)).then(re=>{if(!(0,A.isFalsyOrEmpty)(re))return re[0]instanceof P.DocumentSymbol?re.map(T.DocumentSymbol.from):c._asDocumentSymbolTree(re)})}static _asDocumentSymbolTree(N){var V;N=N.slice(0).sort((me,De)=>{let Le=me.location.range.start.compareTo(De.location.range.start);return Le===0&&(Le=De.location.range.end.compareTo(me.location.range.end)),Le});const X=[],re=[];for(const me of N){const De={name:me.name||"!!MISSING: name!!",kind:T.SymbolKind.from(me.kind),tags:((V=me.tags)===null||V===void 0?void 0:V.map(T.SymbolTag.from))||[],detail:"",containerName:me.containerName,range:T.Range.from(me.location.range),selectionRange:T.Range.from(me.location.range),children:[]};for(;;){if(re.length===0){re.push(De),X.push(De);break}const Le=re[re.length-1];if(n.Range.containsRange(Le.range,De.range)&&!n.Range.equalsRange(Le.range,De.range)){Le.children&&Le.children.push(De),re.push(De);break}re.pop()}}return X}}class u{constructor(N,V,X){this._documents=N,this._commands=V,this._provider=X,this._cache=new p.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses(N,V){const X=this._documents.getDocument(N),re=await this._provider.provideCodeLenses(X,V);if(!(!re||V.isCancellationRequested)){const me=this._cache.add(re),De=new d.DisposableStore;this._disposables.set(me,De);const Le={cacheId:me,lenses:[]};for(let ge=0;ge<re.length;ge++)Le.lenses.push({cacheId:[me,ge],range:T.Range.from(re[ge].range),command:this._commands.toInternal(re[ge].command,De)});return Le}}async resolveCodeLens(N,V){var X;const re=N.cacheId&&this._cache.get(...N.cacheId);if(!!re){let me;if(typeof this._provider.resolveCodeLens!="function"||re.isResolved?me=re:me=await this._provider.resolveCodeLens(re,V),me||(me=re),!V.isCancellationRequested){const De=N.cacheId&&this._disposables.get(N.cacheId[0]);if(!!De)return N.command=this._commands.toInternal((X=me.command)!==null&&X!==void 0?X:u._badCmd,De),N}}}releaseCodeLenses(N){var V;(V=this._disposables.get(N))===null||V===void 0||V.dispose(),this._disposables.delete(N),this._cache.delete(N)}}u._badCmd={command:"missing",title:"!!MISSING: command!!"};function a(He){return Array.isArray(He)?He.map(T.DefinitionLink.from):He?[T.DefinitionLink.from(He)]:[]}class t{constructor(N,V){this._documents=N,this._provider=V}provideDefinition(N,V,X){const re=this._documents.getDocument(N),me=T.Position.to(V);return(0,E.asPromise)(()=>this._provider.provideDefinition(re,me,X)).then(a)}}class r{constructor(N,V){this._documents=N,this._provider=V}provideDeclaration(N,V,X){const re=this._documents.getDocument(N),me=T.Position.to(V);return(0,E.asPromise)(()=>this._provider.provideDeclaration(re,me,X)).then(a)}}class o{constructor(N,V){this._documents=N,this._provider=V}provideImplementation(N,V,X){const re=this._documents.getDocument(N),me=T.Position.to(V);return(0,E.asPromise)(()=>this._provider.provideImplementation(re,me,X)).then(a)}}class l{constructor(N,V){this._documents=N,this._provider=V}provideTypeDefinition(N,V,X){const re=this._documents.getDocument(N),me=T.Position.to(V);return(0,E.asPromise)(()=>this._provider.provideTypeDefinition(re,me,X)).then(a)}}class i{constructor(N,V){this._documents=N,this._provider=V}provideHover(N,V,X){const re=this._documents.getDocument(N),me=T.Position.to(V);return(0,E.asPromise)(()=>this._provider.provideHover(re,me,X)).then(De=>{if(!(!De||(0,A.isFalsyOrEmpty)(De.contents)))return De.range||(De.range=re.getWordRangeAtPosition(me)),De.range||(De.range=new P.Range(me,me)),T.Hover.from(De)})}}class f{constructor(N,V){this._documents=N,this._provider=V}provideEvaluatableExpression(N,V,X){const re=this._documents.getDocument(N),me=T.Position.to(V);return(0,E.asPromise)(()=>this._provider.provideEvaluatableExpression(re,me,X)).then(De=>{if(De)return T.EvaluatableExpression.from(De)})}}class y{constructor(N,V){this._documents=N,this._provider=V}provideInlineValues(N,V,X,re){const me=this._documents.getDocument(N);return(0,E.asPromise)(()=>this._provider.provideInlineValues(me,T.Range.to(V),T.InlineValueContext.to(X),re)).then(De=>{if(Array.isArray(De))return De.map(Le=>T.InlineValue.from(Le))})}}class I{constructor(N,V){this._documents=N,this._provider=V}provideDocumentHighlights(N,V,X){const re=this._documents.getDocument(N),me=T.Position.to(V);return(0,E.asPromise)(()=>this._provider.provideDocumentHighlights(re,me,X)).then(De=>{if(Array.isArray(De))return De.map(T.DocumentHighlight.from)})}}class m{constructor(N,V){this._documents=N,this._provider=V}provideLinkedEditingRanges(N,V,X){const re=this._documents.getDocument(N),me=T.Position.to(V);return(0,E.asPromise)(()=>this._provider.provideLinkedEditingRanges(re,me,X)).then(De=>{if(De&&Array.isArray(De.ranges))return{ranges:(0,A.coalesce)(De.ranges.map(T.Range.from)),wordPattern:De.wordPattern}})}}class w{constructor(N,V){this._documents=N,this._provider=V}provideReferences(N,V,X,re){const me=this._documents.getDocument(N),De=T.Position.to(V);return(0,E.asPromise)(()=>this._provider.provideReferences(me,De,X,re)).then(Le=>{if(Array.isArray(Le))return Le.map(T.location.from)})}}class R{constructor(N,V,X,re,me,De,Le){this._documents=N,this._commands=V,this._diagnostics=X,this._provider=re,this._logService=me,this._extension=De,this._apiDeprecation=Le,this._cache=new p.Cache("CodeAction"),this._disposables=new Map}provideCodeActions(N,V,X,re){const me=this._documents.getDocument(N),De=v.Selection.isISelection(V)?T.Selection.to(V):T.Range.to(V),Le=[];for(const Ce of this._diagnostics.getDiagnostics(N))if(De.intersection(Ce.range)&&Le.push(Ce)>R._maxCodeActionsPerFile)break;const ge={diagnostics:Le,only:X.only?new P.CodeActionKind(X.only):void 0,triggerKind:T.CodeActionTriggerKind.to(X.trigger)};return(0,E.asPromise)(()=>this._provider.provideCodeActions(me,De,ge,re)).then(Ce=>{var Ae;if(!(!(0,A.isNonEmptyArray)(Ce)||re.isCancellationRequested)){const Ue=this._cache.add(Ce),be=new d.DisposableStore;this._disposables.set(Ue,be);const qe=[];for(let H=0;H<Ce.length;H++){const Q=Ce[H];!Q||(R._isCommand(Q)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),qe.push({_isSynthetic:!0,title:Q.title,command:this._commands.toInternal(Q,be)})):(ge.only&&(Q.kind?ge.only.contains(Q.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${ge.only.value} 'requested but returned code action is of kind '${Q.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${ge.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),qe.push({cacheId:[Ue,H],title:Q.title,command:Q.command&&this._commands.toInternal(Q.command,be),diagnostics:Q.diagnostics&&Q.diagnostics.map(T.Diagnostic.from),edit:Q.edit&&T.WorkspaceEdit.from(Q.edit),kind:Q.kind&&Q.kind.value,isPreferred:Q.isPreferred,disabled:(Ae=Q.disabled)===null||Ae===void 0?void 0:Ae.reason})))}return{cacheId:Ue,actions:qe}}})}async resolveCodeAction(N,V){var X;const[re,me]=N,De=this._cache.get(re,me);if(!(!De||R._isCommand(De))&&!!this._provider.resolveCodeAction){const Le=(X=await this._provider.resolveCodeAction(De,V))!==null&&X!==void 0?X:De;return(Le==null?void 0:Le.edit)?T.WorkspaceEdit.from(Le.edit):void 0}}releaseCodeActions(N){var V;(V=this._disposables.get(N))===null||V===void 0||V.dispose(),this._disposables.delete(N),this._cache.delete(N)}static _isCommand(N){return typeof N.command=="string"&&typeof N.title=="string"}}R._maxCodeActionsPerFile=1e3;class F{constructor(N,V){this._documents=N,this._provider=V}provideDocumentFormattingEdits(N,V,X){const re=this._documents.getDocument(N);return(0,E.asPromise)(()=>this._provider.provideDocumentFormattingEdits(re,V,X)).then(me=>{if(Array.isArray(me))return me.map(T.TextEdit.from)})}}class W{constructor(N,V){this._documents=N,this._provider=V}provideDocumentRangeFormattingEdits(N,V,X,re){const me=this._documents.getDocument(N),De=T.Range.to(V);return(0,E.asPromise)(()=>this._provider.provideDocumentRangeFormattingEdits(me,De,X,re)).then(Le=>{if(Array.isArray(Le))return Le.map(T.TextEdit.from)})}}class oe{constructor(N,V){this._documents=N,this._provider=V,this.autoFormatTriggerCharacters=[]}provideOnTypeFormattingEdits(N,V,X,re,me){const De=this._documents.getDocument(N),Le=T.Position.to(V);return(0,E.asPromise)(()=>this._provider.provideOnTypeFormattingEdits(De,Le,X,re,me)).then(ge=>{if(Array.isArray(ge))return ge.map(T.TextEdit.from)})}}class ie{constructor(N,V){this._provider=N,this._logService=V,this._symbolCache=new Map,this._resultCache=new Map}provideWorkspaceSymbols(N,V){const X=k.IdObject.mixin({symbols:[]});return(0,E.asPromise)(()=>this._provider.provideWorkspaceSymbols(N,V)).then(re=>{if((0,A.isNonEmptyArray)(re)){for(const me of re)if(!!me){if(!me.name){this._logService.warn("INVALID SymbolInformation, lacks name",me);continue}const De=k.IdObject.mixin(T.WorkspaceSymbol.from(me));this._symbolCache.set(De._id,me),X.symbols.push(De)}}}).then(()=>(X.symbols.length>0&&this._resultCache.set(X._id,[X.symbols[0]._id,X.symbols[X.symbols.length-1]._id]),X))}async resolveWorkspaceSymbol(N,V){if(typeof this._provider.resolveWorkspaceSymbol!="function")return N;const X=this._symbolCache.get(N._id);if(X){const re=await(0,E.asPromise)(()=>this._provider.resolveWorkspaceSymbol(X,V));return re&&(0,S.mixin)(N,T.WorkspaceSymbol.from(re),!0)}}releaseWorkspaceSymbols(N){const V=this._resultCache.get(N);if(V){for(let[X,re]=V;X<=re;X++)this._symbolCache.delete(X);this._resultCache.delete(N)}}}class j{constructor(N,V,X){this._documents=N,this._provider=V,this._logService=X}static supportsResolving(N){return typeof N.prepareRename=="function"}provideRenameEdits(N,V,X,re){const me=this._documents.getDocument(N),De=T.Position.to(V);return(0,E.asPromise)(()=>this._provider.provideRenameEdits(me,De,X,re)).then(Le=>{if(!!Le)return T.WorkspaceEdit.from(Le)},Le=>{const ge=j._asMessage(Le);return ge?{rejectReason:ge,edits:void 0}:Promise.reject(Le)})}resolveRenameLocation(N,V,X){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const re=this._documents.getDocument(N),me=T.Position.to(V);return(0,E.asPromise)(()=>this._provider.prepareRename(re,me,X)).then(De=>{let Le,ge;if(P.Range.isRange(De)?(Le=De,ge=re.getText(De)):(0,C.isObject)(De)&&(Le=De.range,ge=De.placeholder),!!Le){if(Le.start.line>me.line||Le.end.line<me.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:T.Range.from(Le),text:ge}}},De=>{const Le=j._asMessage(De);return Le?{rejectReason:Le,range:void 0,text:void 0}:Promise.reject(De)})}static _asMessage(N){return typeof N=="string"?N:N instanceof Error&&typeof N.message=="string"?N.message:void 0}}class ee{constructor(N,V){this.resultId=N,this.tokens=V}}class M{constructor(N,V){this._documents=N,this._provider=V,this._nextResultId=1,this._previousResults=new Map}provideDocumentSemanticTokens(N,V,X){const re=this._documents.getDocument(N),me=V!==0?this._previousResults.get(V):null;return(0,E.asPromise)(()=>me&&typeof me.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?this._provider.provideDocumentSemanticTokensEdits(re,me.resultId,X):this._provider.provideDocumentSemanticTokens(re,X)).then(De=>(me&&this._previousResults.delete(V),De?(De=M._fixProvidedSemanticTokens(De),this._send(M._convertToEdits(me,De),De)):null))}async releaseDocumentSemanticColoring(N){this._previousResults.delete(N)}static _fixProvidedSemanticTokens(N){return M._isSemanticTokens(N)?M._isCorrectSemanticTokens(N)?N:new P.SemanticTokens(new Uint32Array(N.data),N.resultId):M._isSemanticTokensEdits(N)?M._isCorrectSemanticTokensEdits(N)?N:new P.SemanticTokensEdits(N.edits.map(V=>new P.SemanticTokensEdit(V.start,V.deleteCount,V.data?new Uint32Array(V.data):V.data)),N.resultId):N}static _isSemanticTokens(N){return N&&!!N.data}static _isCorrectSemanticTokens(N){return N.data instanceof Uint32Array}static _isSemanticTokensEdits(N){return N&&Array.isArray(N.edits)}static _isCorrectSemanticTokensEdits(N){for(const V of N.edits)if(!(V.data instanceof Uint32Array))return!1;return!0}static _convertToEdits(N,V){if(!M._isSemanticTokens(V)||!N||!N.tokens)return V;const X=N.tokens,re=X.length,me=V.data,De=me.length;let Le=0;const ge=Math.min(re,De);for(;Le<ge&&X[Le]===me[Le];)Le++;if(Le===re&&Le===De)return new P.SemanticTokensEdits([],V.resultId);let Ce=0;const Ae=ge-Le;for(;Ce<Ae&&X[re-Ce-1]===me[De-Ce-1];)Ce++;return new P.SemanticTokensEdits([{start:Le,deleteCount:re-Le-Ce,data:me.subarray(Le,De-Ce)}],V.resultId)}_send(N,V){if(M._isSemanticTokens(N)){const X=this._nextResultId++;return this._previousResults.set(X,new ee(N.resultId,N.data)),(0,s.encodeSemanticTokensDto)({id:X,type:"full",data:N.data})}if(M._isSemanticTokensEdits(N)){const X=this._nextResultId++;return M._isSemanticTokens(V)?this._previousResults.set(X,new ee(V.resultId,V.data)):this._previousResults.set(X,new ee(N.resultId)),(0,s.encodeSemanticTokensDto)({id:X,type:"delta",deltas:(N.edits||[]).map(re=>({start:re.start,deleteCount:re.deleteCount,data:re.data}))})}return null}}e.DocumentSemanticTokensAdapter=M;class x{constructor(N,V){this._documents=N,this._provider=V}provideDocumentRangeSemanticTokens(N,V,X){const re=this._documents.getDocument(N);return(0,E.asPromise)(()=>this._provider.provideDocumentRangeSemanticTokens(re,T.Range.to(V),X)).then(me=>me?this._send(me):null)}_send(N){return(0,s.encodeSemanticTokensDto)({id:0,type:"full",data:N.data})}}e.DocumentRangeSemanticTokensAdapter=x;class ${constructor(N,V,X,re,me){this._documents=N,this._commands=V,this._provider=X,this._apiDeprecation=re,this._extension=me,this._cache=new p.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving(N){return typeof N.resolveCompletionItem=="function"}async provideCompletionItems(N,V,X,re){const me=this._documents.getDocument(N),De=T.Position.to(V),Le=me.getWordRangeAtPosition(De)||new P.Range(De,De),ge=Le.with({end:De}),Ce=new g.StopWatch(!0),Ae=await(0,E.asPromise)(()=>this._provider.provideCompletionItems(me,De,re,T.CompletionContext.to(X)));if(!!Ae&&!re.isCancellationRequested){const Ue=Array.isArray(Ae)?new P.CompletionList(Ae):Ae,be=$.supportsResolving(this._provider)?this._cache.add(Ue.items):this._cache.add([]),qe=new d.DisposableStore;this._disposables.set(be,qe);const H=[],Q={x:be,b:H,a:{replace:T.Range.from(Le),insert:T.Range.from(ge)},c:Ue.isIncomplete||void 0,d:Ce.elapsed()};for(let _e=0;_e<Ue.items.length;_e++){const Me=Ue.items[_e],Be=this._convertCompletionItem(Me,[be,_e],ge,Le);H.push(Be)}return Q}}async resolveCompletionItem(N,V){if(typeof this._provider.resolveCompletionItem=="function"){const X=this._cache.get(...N);if(!!X){const re=await(0,E.asPromise)(()=>this._provider.resolveCompletionItem(X,V));if(!!re)return this._convertCompletionItem(re,N)}}}releaseCompletionItems(N){var V;(V=this._disposables.get(N))===null||V===void 0||V.dispose(),this._disposables.delete(N),this._cache.delete(N)}_convertCompletionItem(N,V,X,re){var me;const De=this._disposables.get(V[0]);if(!De)throw Error("DisposableStore is missing...");const Le={x:V,a:(me=N.label)!==null&&me!==void 0?me:"",o:N.label2,b:N.kind!==void 0?T.CompletionItemKind.from(N.kind):void 0,n:N.tags&&N.tags.map(T.CompletionItemTag.from),c:N.detail,d:typeof N.documentation=="undefined"?void 0:T.MarkdownString.fromStrict(N.documentation),e:N.sortText!==N.label?N.sortText:void 0,f:N.filterText!==N.label?N.filterText:void 0,g:N.preselect||void 0,i:N.keepWhitespace?1:0,k:N.commitCharacters,l:N.additionalTextEdits&&N.additionalTextEdits.map(T.TextEdit.from),m:this._commands.toInternal(N.command,De)};N.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),Le.h=N.textEdit.newText):typeof N.insertText=="string"?Le.h=N.insertText:N.insertText instanceof P.SnippetString&&(Le.h=N.insertText.value,Le.i|=4);let ge;return N.textEdit?ge=N.textEdit.range:N.range&&(ge=N.range),P.Range.isRange(ge)?Le.j=T.Range.from(ge):ge&&(!(X==null?void 0:X.isEqual(ge.inserting))||!(re==null?void 0:re.isEqual(ge.replacing)))&&(Le.j={insert:T.Range.from(ge.inserting),replace:T.Range.from(ge.replacing)}),Le}}class q{constructor(N,V){this._documents=N,this._provider=V,this._cache=new p.Cache("SignatureHelp")}provideSignatureHelp(N,V,X,re){const me=this._documents.getDocument(N),De=T.Position.to(V),Le=this.reviveContext(X);return(0,E.asPromise)(()=>this._provider.provideSignatureHelp(me,De,re,Le)).then(ge=>{if(ge){const Ce=this._cache.add([ge]);return Object.assign(Object.assign({},T.SignatureHelp.from(ge)),{id:Ce})}})}reviveContext(N){let V;if(N.activeSignatureHelp){const X=T.SignatureHelp.to(N.activeSignatureHelp),re=this._cache.get(N.activeSignatureHelp.id,0);re?(V=re,V.activeSignature=X.activeSignature,V.activeParameter=X.activeParameter):V=X}return Object.assign(Object.assign({},N),{activeSignatureHelp:V})}releaseSignatureHelp(N){this._cache.delete(N)}}class U{constructor(N,V){this._documents=N,this._provider=V}provideInlineHints(N,V,X){const re=this._documents.getDocument(N);return(0,E.asPromise)(()=>this._provider.provideInlineHints(re,T.Range.to(V),X)).then(me=>me?{hints:me.map(T.InlineHint.from)}:void 0)}}class Y{constructor(N,V){this._documents=N,this._provider=V,this._cache=new p.Cache("DocumentLink")}provideLinks(N,V){const X=this._documents.getDocument(N);return(0,E.asPromise)(()=>this._provider.provideDocumentLinks(X,V)).then(re=>{if(!(!Array.isArray(re)||re.length===0)&&!V.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:re.map(T.DocumentLink.from)};{const me=this._cache.add(re),De={links:[],id:me};for(let Le=0;Le<re.length;Le++){const ge=T.DocumentLink.from(re[Le]);ge.cacheId=[me,Le],De.links.push(ge)}return De}}})}resolveLink(N,V){if(typeof this._provider.resolveDocumentLink!="function")return Promise.resolve(void 0);const X=this._cache.get(...N);return X?(0,E.asPromise)(()=>this._provider.resolveDocumentLink(X,V)).then(re=>re&&T.DocumentLink.from(re)||void 0):Promise.resolve(void 0)}releaseLinks(N){this._cache.delete(N)}}class Z{constructor(N,V){this._documents=N,this._provider=V}provideColors(N,V){const X=this._documents.getDocument(N);return(0,E.asPromise)(()=>this._provider.provideDocumentColors(X,V)).then(re=>Array.isArray(re)?re.map(De=>({color:T.Color.from(De.color),range:T.Range.from(De.range)})):[])}provideColorPresentations(N,V,X){const re=this._documents.getDocument(N),me=T.Range.to(V.range),De=T.Color.to(V.color);return(0,E.asPromise)(()=>this._provider.provideColorPresentations(De,{document:re,range:me},X)).then(Le=>{if(!!Array.isArray(Le))return Le.map(T.ColorPresentation.from)})}}class se{constructor(N,V){this._documents=N,this._provider=V}provideFoldingRanges(N,V,X){const re=this._documents.getDocument(N);return(0,E.asPromise)(()=>this._provider.provideFoldingRanges(re,V,X)).then(me=>{if(!!Array.isArray(me))return me.map(T.FoldingRange.from)})}}class Se{constructor(N,V,X){this._documents=N,this._provider=V,this._logService=X}provideSelectionRanges(N,V,X){const re=this._documents.getDocument(N),me=V.map(T.Position.to);return(0,E.asPromise)(()=>this._provider.provideSelectionRanges(re,me,X)).then(De=>{if(!(0,A.isNonEmptyArray)(De))return[];if(De.length!==me.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const Le=[];for(let ge=0;ge<me.length;ge++){const Ce=[];Le.push(Ce);let Ae=me[ge],Ue=De[ge];for(;;){if(!Ue.range.contains(Ae))throw new Error("INVALID selection range, must contain the previous range");if(Ce.push(T.SelectionRange.from(Ue)),!Ue.parent)break;Ae=Ue.range,Ue=Ue.parent}}return Le})}}class Pe{constructor(N,V){this._documents=N,this._provider=V,this._idPool=new h.IdGenerator(""),this._cache=new Map}async prepareSession(N,V,X){const re=this._documents.getDocument(N),me=T.Position.to(V),De=await this._provider.prepareCallHierarchy(re,me,X);if(!!De){const Le=this._idPool.nextId();return this._cache.set(Le,new Map),Array.isArray(De)?De.map(ge=>this._cacheAndConvertItem(Le,ge)):[this._cacheAndConvertItem(Le,De)]}}async provideCallsTo(N,V,X){const re=this._itemFromCache(N,V);if(!re)throw new Error("missing call hierarchy item");const me=await this._provider.provideCallHierarchyIncomingCalls(re,X);if(!!me)return me.map(De=>({from:this._cacheAndConvertItem(N,De.from),fromRanges:De.fromRanges.map(Le=>T.Range.from(Le))}))}async provideCallsFrom(N,V,X){const re=this._itemFromCache(N,V);if(!re)throw new Error("missing call hierarchy item");const me=await this._provider.provideCallHierarchyOutgoingCalls(re,X);if(!!me)return me.map(De=>({to:this._cacheAndConvertItem(N,De.to),fromRanges:De.fromRanges.map(Le=>T.Range.from(Le))}))}releaseSession(N){this._cache.delete(N)}_cacheAndConvertItem(N,V){var X;const re=this._cache.get(N),me={_sessionId:N,_itemId:re.size.toString(36),name:V.name,detail:V.detail,kind:T.SymbolKind.from(V.kind),uri:V.uri,range:T.Range.from(V.range),selectionRange:T.Range.from(V.selectionRange),tags:(X=V.tags)===null||X===void 0?void 0:X.map(T.SymbolTag.from)};return re.set(me._itemId,V),me}_itemFromCache(N,V){const X=this._cache.get(N);return X==null?void 0:X.get(V)}}class $e{constructor(N,V){this.adapter=N,this.extension=V}}class Fe{constructor(N,V,X,re,me,De,Le){this._adapter=new Map,this._uriTransformer=V,this._proxy=N.getProxy(k.MainContext.MainThreadLanguageFeatures),this._documents=X,this._commands=re,this._diagnostics=me,this._logService=De,this._apiDeprecation=Le}_transformDocumentSelector(N){return(0,A.coalesce)((0,A.asArray)(N).map(V=>this._doTransformDocumentSelector(V)))}_doTransformDocumentSelector(N){if(typeof N=="string")return{$serialized:!0,language:N};if(N)return{$serialized:!0,language:N.language,scheme:this._transformScheme(N.scheme),pattern:typeof N.pattern=="undefined"?void 0:T.GlobPattern.from(N.pattern),exclusive:N.exclusive}}_transformScheme(N){return this._uriTransformer&&typeof N=="string"?this._uriTransformer.transformOutgoingScheme(N):N}_createDisposable(N){return new P.Disposable(()=>{this._adapter.delete(N),this._proxy.$unregister(N)})}_nextHandle(){return Fe._handlePool++}_withAdapter(N,V,X,re,me=!1){const De=this._adapter.get(N);if(!De)return Promise.resolve(re);if(De.adapter instanceof V){let Le;De.extension&&(Le=Date.now(),this._logService.trace(`[${De.extension.identifier.value}] INVOKE provider '${V.name}'`));const ge=X(De.adapter,De.extension),Ce=De.extension;return Ce&&Promise.resolve(ge).then(()=>this._logService.trace(`[${Ce.identifier.value}] provider DONE after ${Date.now()-Le}ms`),Ae=>{me&&Ae instanceof b.CancellationError||(this._logService.error(`[${Ce.identifier.value}] provider FAILED`),this._logService.error(Ae))}),ge}return Promise.reject(new Error("no adapter found"))}_addNewAdapter(N,V){const X=this._nextHandle();return this._adapter.set(X,new $e(N,V)),X}static _extLabel(N){return N.displayName||N.name}registerDocumentSymbolProvider(N,V,X,re){const me=this._addNewAdapter(new c(this._documents,X),N),De=re&&re.label||Fe._extLabel(N);return this._proxy.$registerDocumentSymbolProvider(me,this._transformDocumentSelector(V),De),this._createDisposable(me)}$provideDocumentSymbols(N,V,X){return this._withAdapter(N,c,re=>re.provideDocumentSymbols(_.URI.revive(V),X),void 0)}registerCodeLensProvider(N,V,X){const re=this._nextHandle(),me=typeof X.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(re,new $e(new u(this._documents,this._commands.converter,X),N)),this._proxy.$registerCodeLensSupport(re,this._transformDocumentSelector(V),me);let De=this._createDisposable(re);if(me!==void 0){const Le=X.onDidChangeCodeLenses(ge=>this._proxy.$emitCodeLensEvent(me));De=P.Disposable.from(De,Le)}return De}$provideCodeLenses(N,V,X){return this._withAdapter(N,u,re=>re.provideCodeLenses(_.URI.revive(V),X),void 0)}$resolveCodeLens(N,V,X){return this._withAdapter(N,u,re=>re.resolveCodeLens(V,X),void 0)}$releaseCodeLenses(N,V){this._withAdapter(N,u,X=>Promise.resolve(X.releaseCodeLenses(V)),void 0)}registerDefinitionProvider(N,V,X){const re=this._addNewAdapter(new t(this._documents,X),N);return this._proxy.$registerDefinitionSupport(re,this._transformDocumentSelector(V)),this._createDisposable(re)}$provideDefinition(N,V,X,re){return this._withAdapter(N,t,me=>me.provideDefinition(_.URI.revive(V),X,re),[])}registerDeclarationProvider(N,V,X){const re=this._addNewAdapter(new r(this._documents,X),N);return this._proxy.$registerDeclarationSupport(re,this._transformDocumentSelector(V)),this._createDisposable(re)}$provideDeclaration(N,V,X,re){return this._withAdapter(N,r,me=>me.provideDeclaration(_.URI.revive(V),X,re),[])}registerImplementationProvider(N,V,X){const re=this._addNewAdapter(new o(this._documents,X),N);return this._proxy.$registerImplementationSupport(re,this._transformDocumentSelector(V)),this._createDisposable(re)}$provideImplementation(N,V,X,re){return this._withAdapter(N,o,me=>me.provideImplementation(_.URI.revive(V),X,re),[])}registerTypeDefinitionProvider(N,V,X){const re=this._addNewAdapter(new l(this._documents,X),N);return this._proxy.$registerTypeDefinitionSupport(re,this._transformDocumentSelector(V)),this._createDisposable(re)}$provideTypeDefinition(N,V,X,re){return this._withAdapter(N,l,me=>me.provideTypeDefinition(_.URI.revive(V),X,re),[])}registerHoverProvider(N,V,X,re){const me=this._addNewAdapter(new i(this._documents,X),N);return this._proxy.$registerHoverProvider(me,this._transformDocumentSelector(V)),this._createDisposable(me)}$provideHover(N,V,X,re){return this._withAdapter(N,i,me=>me.provideHover(_.URI.revive(V),X,re),void 0)}registerEvaluatableExpressionProvider(N,V,X,re){const me=this._addNewAdapter(new f(this._documents,X),N);return this._proxy.$registerEvaluatableExpressionProvider(me,this._transformDocumentSelector(V)),this._createDisposable(me)}$provideEvaluatableExpression(N,V,X,re){return this._withAdapter(N,f,me=>me.provideEvaluatableExpression(_.URI.revive(V),X,re),void 0)}registerInlineValuesProvider(N,V,X,re){const me=typeof X.onDidChangeInlineValues=="function"?this._nextHandle():void 0,De=this._addNewAdapter(new y(this._documents,X),N);this._proxy.$registerInlineValuesProvider(De,this._transformDocumentSelector(V),me);let Le=this._createDisposable(De);if(me!==void 0){const ge=X.onDidChangeInlineValues(Ce=>this._proxy.$emitInlineValuesEvent(me));Le=P.Disposable.from(Le,ge)}return Le}$provideInlineValues(N,V,X,re,me){return this._withAdapter(N,y,De=>De.provideInlineValues(_.URI.revive(V),X,re,me),void 0)}registerDocumentHighlightProvider(N,V,X){const re=this._addNewAdapter(new I(this._documents,X),N);return this._proxy.$registerDocumentHighlightProvider(re,this._transformDocumentSelector(V)),this._createDisposable(re)}$provideDocumentHighlights(N,V,X,re){return this._withAdapter(N,I,me=>me.provideDocumentHighlights(_.URI.revive(V),X,re),void 0)}registerLinkedEditingRangeProvider(N,V,X){const re=this._addNewAdapter(new m(this._documents,X),N);return this._proxy.$registerLinkedEditingRangeProvider(re,this._transformDocumentSelector(V)),this._createDisposable(re)}$provideLinkedEditingRanges(N,V,X,re){return this._withAdapter(N,m,async me=>{const De=await me.provideLinkedEditingRanges(_.URI.revive(V),X,re);if(De)return{ranges:De.ranges,wordPattern:De.wordPattern?Fe._serializeRegExp(De.wordPattern):void 0}},void 0)}registerReferenceProvider(N,V,X){const re=this._addNewAdapter(new w(this._documents,X),N);return this._proxy.$registerReferenceSupport(re,this._transformDocumentSelector(V)),this._createDisposable(re)}$provideReferences(N,V,X,re,me){return this._withAdapter(N,w,De=>De.provideReferences(_.URI.revive(V),X,re,me),void 0)}registerCodeActionProvider(N,V,X,re){var me,De;const Le=new d.DisposableStore,ge=this._addNewAdapter(new R(this._documents,this._commands.converter,this._diagnostics,X,this._logService,N,this._apiDeprecation),N);return this._proxy.$registerQuickFixSupport(ge,this._transformDocumentSelector(V),{providedKinds:(me=re==null?void 0:re.providedCodeActionKinds)===null||me===void 0?void 0:me.map(Ce=>Ce.value),documentation:(De=re==null?void 0:re.documentation)===null||De===void 0?void 0:De.map(Ce=>({kind:Ce.kind.value,command:this._commands.converter.toInternal(Ce.command,Le)}))},Fe._extLabel(N),Boolean(X.resolveCodeAction)),Le.add(this._createDisposable(ge)),Le}$provideCodeActions(N,V,X,re,me){return this._withAdapter(N,R,De=>De.provideCodeActions(_.URI.revive(V),X,re,me),void 0)}$resolveCodeAction(N,V,X){return this._withAdapter(N,R,re=>re.resolveCodeAction(V,X),void 0)}$releaseCodeActions(N,V){this._withAdapter(N,R,X=>Promise.resolve(X.releaseCodeActions(V)),void 0)}registerDocumentFormattingEditProvider(N,V,X){const re=this._addNewAdapter(new F(this._documents,X),N);return this._proxy.$registerDocumentFormattingSupport(re,this._transformDocumentSelector(V),N.identifier,N.displayName||N.name),this._createDisposable(re)}$provideDocumentFormattingEdits(N,V,X,re){return this._withAdapter(N,F,me=>me.provideDocumentFormattingEdits(_.URI.revive(V),X,re),void 0)}registerDocumentRangeFormattingEditProvider(N,V,X){const re=this._addNewAdapter(new W(this._documents,X),N);return this._proxy.$registerRangeFormattingSupport(re,this._transformDocumentSelector(V),N.identifier,N.displayName||N.name),this._createDisposable(re)}$provideDocumentRangeFormattingEdits(N,V,X,re,me){return this._withAdapter(N,W,De=>De.provideDocumentRangeFormattingEdits(_.URI.revive(V),X,re,me),void 0)}registerOnTypeFormattingEditProvider(N,V,X,re){const me=this._addNewAdapter(new oe(this._documents,X),N);return this._proxy.$registerOnTypeFormattingSupport(me,this._transformDocumentSelector(V),re,N.identifier),this._createDisposable(me)}$provideOnTypeFormattingEdits(N,V,X,re,me,De){return this._withAdapter(N,oe,Le=>Le.provideOnTypeFormattingEdits(_.URI.revive(V),X,re,me,De),void 0)}registerWorkspaceSymbolProvider(N,V){const X=this._addNewAdapter(new ie(V,this._logService),N);return this._proxy.$registerNavigateTypeSupport(X),this._createDisposable(X)}$provideWorkspaceSymbols(N,V,X){return this._withAdapter(N,ie,re=>re.provideWorkspaceSymbols(V,X),{symbols:[]})}$resolveWorkspaceSymbol(N,V,X){return this._withAdapter(N,ie,re=>re.resolveWorkspaceSymbol(V,X),void 0)}$releaseWorkspaceSymbols(N,V){this._withAdapter(N,ie,X=>X.releaseWorkspaceSymbols(V),void 0)}registerRenameProvider(N,V,X){const re=this._addNewAdapter(new j(this._documents,X,this._logService),N);return this._proxy.$registerRenameSupport(re,this._transformDocumentSelector(V),j.supportsResolving(X)),this._createDisposable(re)}$provideRenameEdits(N,V,X,re,me){return this._withAdapter(N,j,De=>De.provideRenameEdits(_.URI.revive(V),X,re,me),void 0)}$resolveRenameLocation(N,V,X,re){return this._withAdapter(N,j,me=>me.resolveRenameLocation(_.URI.revive(V),X,re),void 0)}registerDocumentSemanticTokensProvider(N,V,X,re){const me=this._nextHandle(),De=typeof X.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._adapter.set(me,new $e(new M(this._documents,X),N)),this._proxy.$registerDocumentSemanticTokensProvider(me,this._transformDocumentSelector(V),re,De);let Le=this._createDisposable(me);if(De){const ge=X.onDidChangeSemanticTokens(Ce=>this._proxy.$emitDocumentSemanticTokensEvent(De));Le=P.Disposable.from(Le,ge)}return Le}$provideDocumentSemanticTokens(N,V,X,re){return this._withAdapter(N,M,me=>me.provideDocumentSemanticTokens(_.URI.revive(V),X,re),null,!0)}$releaseDocumentSemanticTokens(N,V){this._withAdapter(N,M,X=>X.releaseDocumentSemanticColoring(V),void 0)}registerDocumentRangeSemanticTokensProvider(N,V,X,re){const me=this._addNewAdapter(new x(this._documents,X),N);return this._proxy.$registerDocumentRangeSemanticTokensProvider(me,this._transformDocumentSelector(V),re),this._createDisposable(me)}$provideDocumentRangeSemanticTokens(N,V,X,re){return this._withAdapter(N,x,me=>me.provideDocumentRangeSemanticTokens(_.URI.revive(V),X,re),null,!0)}registerCompletionItemProvider(N,V,X,re){const me=this._addNewAdapter(new $(this._documents,this._commands.converter,X,this._apiDeprecation,N),N);return this._proxy.$registerSuggestSupport(me,this._transformDocumentSelector(V),re,$.supportsResolving(X),`${N.identifier.value}(${re.join("")})`),this._createDisposable(me)}$provideCompletionItems(N,V,X,re,me){return this._withAdapter(N,$,De=>De.provideCompletionItems(_.URI.revive(V),X,re,me),void 0)}$resolveCompletionItem(N,V,X){return this._withAdapter(N,$,re=>re.resolveCompletionItem(V,X),void 0)}$releaseCompletionItems(N,V){this._withAdapter(N,$,X=>X.releaseCompletionItems(V),void 0)}registerSignatureHelpProvider(N,V,X,re){const me=Array.isArray(re)?{triggerCharacters:re,retriggerCharacters:[]}:re,De=this._addNewAdapter(new q(this._documents,X),N);return this._proxy.$registerSignatureHelpProvider(De,this._transformDocumentSelector(V),me),this._createDisposable(De)}$provideSignatureHelp(N,V,X,re,me){return this._withAdapter(N,q,De=>De.provideSignatureHelp(_.URI.revive(V),X,re,me),void 0)}$releaseSignatureHelp(N,V){this._withAdapter(N,q,X=>X.releaseSignatureHelp(V),void 0)}registerInlineHintsProvider(N,V,X){const re=typeof X.onDidChangeInlineHints=="function"?this._nextHandle():void 0,me=this._addNewAdapter(new U(this._documents,X),N);this._proxy.$registerInlineHintsProvider(me,this._transformDocumentSelector(V),re);let De=this._createDisposable(me);if(re!==void 0){const Le=X.onDidChangeInlineHints(ge=>this._proxy.$emitInlineHintsEvent(re));De=P.Disposable.from(De,Le)}return De}$provideInlineHints(N,V,X,re){return this._withAdapter(N,U,me=>me.provideInlineHints(_.URI.revive(V),X,re),void 0)}registerDocumentLinkProvider(N,V,X){const re=this._addNewAdapter(new Y(this._documents,X),N);return this._proxy.$registerDocumentLinkProvider(re,this._transformDocumentSelector(V),typeof X.resolveDocumentLink=="function"),this._createDisposable(re)}$provideDocumentLinks(N,V,X){return this._withAdapter(N,Y,re=>re.provideLinks(_.URI.revive(V),X),void 0)}$resolveDocumentLink(N,V,X){return this._withAdapter(N,Y,re=>re.resolveLink(V,X),void 0)}$releaseDocumentLinks(N,V){this._withAdapter(N,Y,X=>X.releaseLinks(V),void 0)}registerColorProvider(N,V,X){const re=this._addNewAdapter(new Z(this._documents,X),N);return this._proxy.$registerDocumentColorProvider(re,this._transformDocumentSelector(V)),this._createDisposable(re)}$provideDocumentColors(N,V,X){return this._withAdapter(N,Z,re=>re.provideColors(_.URI.revive(V),X),[])}$provideColorPresentations(N,V,X,re){return this._withAdapter(N,Z,me=>me.provideColorPresentations(_.URI.revive(V),X,re),void 0)}registerFoldingRangeProvider(N,V,X){const re=this._nextHandle(),me=typeof X.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(re,new $e(new se(this._documents,X),N)),this._proxy.$registerFoldingRangeProvider(re,this._transformDocumentSelector(V),me);let De=this._createDisposable(re);if(me!==void 0){const Le=X.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(me));De=P.Disposable.from(De,Le)}return De}$provideFoldingRanges(N,V,X,re){return this._withAdapter(N,se,me=>me.provideFoldingRanges(_.URI.revive(V),X,re),void 0)}registerSelectionRangeProvider(N,V,X){const re=this._addNewAdapter(new Se(this._documents,X,this._logService),N);return this._proxy.$registerSelectionRangeProvider(re,this._transformDocumentSelector(V)),this._createDisposable(re)}$provideSelectionRanges(N,V,X,re){return this._withAdapter(N,Se,me=>me.provideSelectionRanges(_.URI.revive(V),X,re),[])}registerCallHierarchyProvider(N,V,X){const re=this._addNewAdapter(new Pe(this._documents,X),N);return this._proxy.$registerCallHierarchyProvider(re,this._transformDocumentSelector(V)),this._createDisposable(re)}$prepareCallHierarchy(N,V,X,re){return this._withAdapter(N,Pe,me=>Promise.resolve(me.prepareSession(_.URI.revive(V),X,re)),void 0)}$provideCallHierarchyIncomingCalls(N,V,X,re){return this._withAdapter(N,Pe,me=>me.provideCallsTo(V,X,re),void 0)}$provideCallHierarchyOutgoingCalls(N,V,X,re){return this._withAdapter(N,Pe,me=>me.provideCallsFrom(V,X,re),void 0)}$releaseCallHierarchy(N,V){this._withAdapter(N,Pe,X=>Promise.resolve(X.releaseSession(V)),void 0)}static _serializeRegExp(N){return{pattern:N.source,flags:(0,D.regExpFlags)(N)}}static _serializeIndentationRule(N){return{decreaseIndentPattern:Fe._serializeRegExp(N.decreaseIndentPattern),increaseIndentPattern:Fe._serializeRegExp(N.increaseIndentPattern),indentNextLinePattern:N.indentNextLinePattern?Fe._serializeRegExp(N.indentNextLinePattern):void 0,unIndentedLinePattern:N.unIndentedLinePattern?Fe._serializeRegExp(N.unIndentedLinePattern):void 0}}static _serializeOnEnterRule(N){return{beforeText:Fe._serializeRegExp(N.beforeText),afterText:N.afterText?Fe._serializeRegExp(N.afterText):void 0,previousLineText:N.previousLineText?Fe._serializeRegExp(N.previousLineText):void 0,action:N.action}}static _serializeOnEnterRules(N){return N.map(Fe._serializeOnEnterRule)}setLanguageConfiguration(N,V,X){let{wordPattern:re}=X;if(re&&(0,D.regExpLeadsToEndlessLoop)(re))throw new Error(`Invalid language configuration: wordPattern '${re}' is not allowed to match the empty string.`);re?this._documents.setWordDefinitionFor(V,re):this._documents.setWordDefinitionFor(V,void 0),X.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",N,"Do not use."),X.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",N,"Do not use.");const me=this._nextHandle(),De={comments:X.comments,brackets:X.brackets,wordPattern:X.wordPattern?Fe._serializeRegExp(X.wordPattern):void 0,indentationRules:X.indentationRules?Fe._serializeIndentationRule(X.indentationRules):void 0,onEnterRules:X.onEnterRules?Fe._serializeOnEnterRules(X.onEnterRules):void 0,__electricCharacterSupport:X.__electricCharacterSupport,__characterPairSupport:X.__characterPairSupport};return this._proxy.$setLanguageConfiguration(me,V,De),this._createDisposable(me)}$setWordDefinitions(N){for(const V of N)this._documents.setWordDefinitionFor(V.languageId,new RegExp(V.regexSource,V.regexFlags))}}e.ExtHostLanguageFeatures=Fe,Fe._handlePool=0}),define(we[195],Ee([0,1,5,9,7]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class P{constructor(k,D){this._proxy=k.getProxy(_.MainContext.MainThreadLanguages),this._documents=D}getLanguages(){return this._proxy.$getLanguages()}async changeLanguage(k,D){await this._proxy.$changeLanguage(k,D);const n=this._documents.getDocumentData(k);if(!n)throw new Error(`document '${k.toString}' NOT found`);return n.document}async tokenAtPosition(k,D){var n;const A=k.version,C=S.Position.from(D),v=await this._proxy.$tokensAtPosition(k.uri,C),d={type:T.StandardTokenType.Other,range:(n=k.getWordRangeAtPosition(D))!==null&&n!==void 0?n:new T.Range(D.line,D.character,D.line,D.character)};if(!v)return d;const s={range:S.Range.to(v.range),type:S.TokenType.to(v.type)};return!s.range.contains(D)||A!==k.version?d:s}}e.ExtHostLanguages=P}),define(we[196],Ee([0,1,5,19,33]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function P(k){return k&&k.title}let E=class{constructor(D,n){this._logService=n,this._proxy=D.getProxy(_.MainContext.MainThreadMessageService)}showMessage(D,n,A,C,v){const d={extension:D};let s;typeof C=="string"||P(C)?s=[C,...v]:(d.modal=C&&C.modal,d.useCustom=C&&C.useCustom,s=v),d.useCustom&&(0,T.checkProposedApiEnabled)(D);const h=[];for(let p=0;p<s.length;p++){const g=s[p];if(typeof g=="string")h.push({title:g,handle:p,isCloseAffordance:!1});else if(typeof g=="object"){let{title:b,isCloseAffordance:c}=g;h.push({title:b,isCloseAffordance:!!c,handle:p})}else this._logService.warn("Invalid message item:",g)}return this._proxy.$showMessage(n,A,d,h).then(p=>{if(typeof p=="number")return s[p]})}};E=je([Ke(1,S.ILogService)],E),e.ExtHostMessageService=E}),define(we[197],Ee([0,1,20,3,6,2,29,5,9,7,70,40,22,174,175,53,12,56]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s,h,p,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookCellStatusBarItemInternal=e.ExtHostNotebookController=e.NotebookEditorDecorationType=e.ExtHostNotebookKernelProviderAdapter=void 0;class b extends T.Disposable{constructor(i,f,y,I,m){super();this._editorId=i,this.uri=f,this._proxy=y,this._webviewInitData=I,this.document=m,this._onDidReceiveDocumentMessage=new S.Emitter,this._rendererIdToEmitters=new Map,this.contentProviderComm={editorId:this._editorId,onDidReceiveMessage:this._onDidReceiveDocumentMessage.event,postMessage:w=>this._proxy.$postMessage(this._editorId,void 0,w),asWebviewUri:w=>this._asWebviewUri(w)}}onDidReceiveMessage(i,f){var y;this._onDidReceiveDocumentMessage.fire(f),i!==void 0&&((y=this._rendererIdToEmitters.get(i))===null||y===void 0||y.fire(f))}getRendererComm(i){const f=new S.Emitter;return this._rendererIdToEmitters.set(i,f),{editorId:this._editorId,onDidReceiveMessage:f.event,postMessage:y=>this._proxy.$postMessage(this._editorId,i,y),asWebviewUri:y=>this._asWebviewUri(y)}}_asWebviewUri(i){return(0,A.asWebviewUri)(this._webviewInitData,this._editorId,i)}}class c extends T.Disposable{constructor(i,f,y,I){super();this._proxy=i,this._handle=f,this._extension=y,this._provider=I,this._kernelToFriendlyId=new v.ResourceMap,this._friendlyIdToKernel=new v.ResourceMap,this._provider.onDidChangeKernels&&this._register(this._provider.onDidChangeKernels(m=>{const w=m==null?void 0:m.uri;this._proxy.$onNotebookKernelChange(this._handle,w)}))}async provideKernels(i,f){const y=await this._provider.provideKernels(i.notebookDocument,f)||[],I=new Map;let m=0;const w=new Set,R=this._kernelToFriendlyId.get(i.uri),F=y.map(oe=>{let ie=R==null?void 0:R.get(oe);return ie===void 0&&(oe.id&&w.has(oe.id)?ie=`${this._extension.identifier.value}_${oe.id}_${m++}`:ie=`${this._extension.identifier.value}_${oe.id||E.generateUuid()}`),I.set(oe,ie),{id:oe.id,friendlyId:ie,label:oe.label,extension:this._extension.identifier,extensionLocation:this._extension.extensionLocation,providerHandle:this._handle,description:oe.description,detail:oe.detail,isPreferred:oe.isPreferred,preloads:oe.preloads,supportedLanguages:oe.supportedLanguages}});this._kernelToFriendlyId.set(i.uri,I);const W=new Map;return I.forEach((oe,ie)=>{W.set(oe,ie)}),this._friendlyIdToKernel.set(i.uri,W),F}getKernelByFriendlyId(i,f){var y;return(y=this._friendlyIdToKernel.get(i))===null||y===void 0?void 0:y.get(f)}async resolveNotebook(i,f,y,I){var m;const w=(m=this._friendlyIdToKernel.get(f.uri))===null||m===void 0?void 0:m.get(i);if(w&&this._provider.resolveKernel)return this._provider.resolveKernel(w,f.notebookDocument,y,I)}async executeNotebook(i,f,y){var I;const m=(I=this._friendlyIdToKernel.get(f.uri))===null||I===void 0?void 0:I.get(i);if(!!m)return u(y?w=>m.executeCell(f.notebookDocument,y.cell,w):w=>m.executeAllCells(f.notebookDocument,w))}async cancelNotebook(i,f,y){var I;const m=(I=this._friendlyIdToKernel.get(f.uri))===null||I===void 0?void 0:I.get(i);if(!!m)return y?m.cancelCellExecution(f.notebookDocument,y.cell):m.cancelAllCellsExecution(f.notebookDocument)}}e.ExtHostNotebookKernelProviderAdapter=c;async function u(l){const i=new _.CancellationTokenSource;try{await l(i.token)}finally{i.dispose()}}class a{constructor(i,f){const y=a._Keys.nextId();i.$registerNotebookEditorDecorationType(y,D.NotebookDecorationRenderOptions.from(f)),this.value={key:y,dispose(){i.$removeNotebookEditorDecorationType(y)}}}}e.NotebookEditorDecorationType=a,a._Keys=new h.IdGenerator("NotebookEditorDecorationType");class t{constructor(i,f,y,I,m,w,R){this._textDocumentsAndEditors=y,this._textDocuments=I,this._webviewInitData=m,this.logService=w,this._extensionStoragePaths=R,this._notebookContentProviders=new Map,this._notebookKernelProviders=new Map,this._documents=new v.ResourceMap,this._editors=new Map,this._webviewComm=new Map,this._onDidChangeNotebookEditorSelection=new S.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this._onDidChangeNotebookEditorVisibleRanges=new S.Emitter,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event,this._onDidChangeNotebookDocumentMetadata=new S.Emitter,this.onDidChangeNotebookDocumentMetadata=this._onDidChangeNotebookDocumentMetadata.event,this._onDidChangeNotebookCells=new S.Emitter,this.onDidChangeNotebookCells=this._onDidChangeNotebookCells.event,this._onDidChangeCellOutputs=new S.Emitter,this.onDidChangeCellOutputs=this._onDidChangeCellOutputs.event,this._onDidChangeCellMetadata=new S.Emitter,this.onDidChangeCellMetadata=this._onDidChangeCellMetadata.event,this._onDidChangeActiveNotebookEditor=new S.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new S.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new S.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidSaveNotebookDocument=new S.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event,this._onDidChangeActiveNotebookKernel=new S.Emitter,this.onDidChangeActiveNotebookKernel=this._onDidChangeActiveNotebookKernel.event,this._onDidChangeVisibleNotebookEditors=new S.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._backupIdPool=0,this._proxy=i.getProxy(k.MainContext.MainThreadNotebook),this._commandsConverter=f.converter,f.registerArgumentProcessor({processArgument:F=>{var W;if(F&&F.$mid===12){const oe=(W=F.notebookEditor)===null||W===void 0?void 0:W.notebookUri,ie=F.cell.handle,j=this._documents.get(oe),ee=j==null?void 0:j.getCell(ie);if(ee)return ee.cell}return F}})}get activeNotebookEditor(){var i;return(i=this._activeNotebookEditor)===null||i===void 0?void 0:i.editor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(i=>i.editor)}get notebookDocuments(){return[...this._documents.values()]}lookupNotebookDocument(i){return this._documents.get(i)}_getNotebookDocument(i){const f=this._documents.get(i);if(!f)throw new Error(`NO notebook document for '${i}'`);return f}_getProviderData(i){const f=this._notebookContentProviders.get(i);if(!f)throw new Error(`NO provider for '${i}'`);return f}registerNotebookContentProvider(i,f,y,I){var m,w,R;if(this._notebookContentProviders.has(f))throw new Error(`Notebook provider for '${f}' already registered`);this._notebookContentProviders.set(f,{extension:i,provider:y});let F;y.onDidChangeNotebookContentOptions&&(F=y.onDidChangeNotebookContentOptions(()=>{this._proxy.$updateNotebookProviderOptions(f,y.options)}));const W=(m=I==null?void 0:I.viewOptions)===null||m===void 0?void 0:m.filenamePattern.map(oe=>D.NotebookExclusiveDocumentPattern.from(oe)).filter(oe=>oe!==void 0);return((w=I==null?void 0:I.viewOptions)===null||w===void 0?void 0:w.filenamePattern)&&!W&&console.warn(`Notebook content provider view options file name pattern is invalid ${(R=I==null?void 0:I.viewOptions)===null||R===void 0?void 0:R.filenamePattern}`),this._proxy.$registerNotebookProvider({id:i.identifier,location:i.extensionLocation,description:i.description},f,{transientOutputs:(I==null?void 0:I.transientOutputs)||!1,transientMetadata:(I==null?void 0:I.transientMetadata)||{},viewOptions:(I==null?void 0:I.viewOptions)&&W?{displayName:I.viewOptions.displayName,filenamePattern:W,exclusive:I.viewOptions.exclusive||!1}:void 0}),new n.Disposable(()=>{F==null||F.dispose(),this._notebookContentProviders.delete(f),this._proxy.$unregisterNotebookProvider(f)})}registerNotebookKernelProvider(i,f,y){const I=t._notebookKernelProviderHandlePool++,m=new c(this._proxy,I,i,y);return this._notebookKernelProviders.set(I,m),this._proxy.$registerNotebookKernelProvider({id:i.identifier,location:i.extensionLocation,description:i.description},I,{viewType:f.viewType,filenamePattern:f.filenamePattern?D.NotebookExclusiveDocumentPattern.from(f.filenamePattern):void 0}),new n.Disposable(()=>{m.dispose(),this._notebookKernelProviders.delete(I),this._proxy.$unregisterNotebookKernelProvider(I)})}createNotebookEditorDecorationType(i){return new a(this._proxy,i).value}async openNotebookDocument(i){const f=this._documents.get(i);if(f)return f.notebookDocument;const y=await this._proxy.$tryOpenDocument(i),I=this._documents.get(P.URI.revive(y));return(0,p.assertIsDefined)(I==null?void 0:I.notebookDocument)}_withAdapter(i,f,y){const I=this._documents.get(P.URI.revive(f));if(!I)return[];const m=this._notebookKernelProviders.get(i);return m?y(m,I):[]}async showNotebookDocument(i,f){var y;P.URI.isUri(i)&&(i=await this.openNotebookDocument(i));let I;typeof f=="object"?I={position:D.ViewColumn.from(f.viewColumn),preserveFocus:f.preserveFocus,selection:f.selection&&D.NotebookCellRange.from(f.selection),pinned:typeof f.preview=="boolean"?!f.preview:void 0}:I={preserveFocus:!1};const m=await this._proxy.$tryShowNotebookDocument(i.uri,i.viewType,I),w=m&&((y=this._editors.get(m))===null||y===void 0?void 0:y.editor);if(w)return w.editor;throw m?new Error(`Could NOT open editor for "${i.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${i.toString()}".`)}async $provideNotebookKernels(i,f,y){return this._withAdapter(i,f,(I,m)=>I.provideKernels(m,y))}async $resolveNotebookKernel(i,f,y,I,m){await this._withAdapter(i,y,async(w,R)=>{const F=this._webviewComm.get(f);F&&await w.resolveNotebook(I,R,F.contentProviderComm,m)})}async $resolveNotebookEditor(i,f,y){const I=this._notebookContentProviders.get(i),m=P.URI.revive(f),w=this._documents.get(m);if(!(!w||!I)){let R=this._webviewComm.get(y);R||(R=new b(y,m,this._proxy,this._webviewInitData,w),this._webviewComm.set(y,R)),!!I.provider.resolveNotebook&&await I.provider.resolveNotebook(w.notebookDocument,R.contentProviderComm)}}async $executeNotebookKernelFromProvider(i,f,y,I){await this._withAdapter(i,f,async(m,w)=>{const R=I!==void 0?w.getCell(I):void 0;return m.executeNotebook(y,w,R)})}async $cancelNotebookKernelFromProvider(i,f,y,I){await this._withAdapter(i,f,async(m,w)=>{const R=I!==void 0?w.getCell(I):void 0;return m.cancelNotebook(y,w,R)})}async $openNotebook(i,f,y,I,m){const{provider:w}=this._getProviderData(i),R=await w.openNotebook(P.URI.revive(f),{backupId:y,untitledDocumentData:m==null?void 0:m.buffer},I);return{metadata:Object.assign(Object.assign({},C.notebookDocumentMetadataDefaults),R.metadata),cells:R.cells.map(D.NotebookCellData.from)}}async $saveNotebook(i,f,y){const I=this._getNotebookDocument(P.URI.revive(f)),{provider:m}=this._getProviderData(i);return await m.saveNotebook(I.notebookDocument,y),!0}async $saveNotebookAs(i,f,y,I){const m=this._getNotebookDocument(P.URI.revive(f)),{provider:w}=this._getProviderData(i);return await w.saveNotebookAs(P.URI.revive(y),m.notebookDocument,I),!0}async $backupNotebook(i,f,y){var I;const m=this._getNotebookDocument(P.URI.revive(f)),w=this._getProviderData(i),R=(I=this._extensionStoragePaths.workspaceValue(w.extension))!==null&&I!==void 0?I:this._extensionStoragePaths.globalValue(w.extension),F=String((0,g.hash)([m.uri.toString(),this._backupIdPool++])),W=P.URI.joinPath(R,F),oe=await w.provider.backupNotebook(m.notebookDocument,{destination:W},y);return m.updateBackup(oe),oe.id}$acceptNotebookActiveKernelChange(i){i.providerHandle!==void 0&&this._withAdapter(i.providerHandle,i.uri,async(f,y)=>{const I=i.kernelFriendlyId?f.getKernelByFriendlyId(P.URI.revive(i.uri),i.kernelFriendlyId):void 0;this._editors.forEach(m=>{m.editor.notebookData===y&&m.editor._acceptKernel(I)}),this._onDidChangeActiveNotebookKernel.fire({document:y.notebookDocument,kernel:I})})}$onDidReceiveMessage(i,f,y){var I;(I=this._webviewComm.get(i))===null||I===void 0||I.onDidReceiveMessage(f,y)}$acceptModelChanged(i,f,y){this._getNotebookDocument(P.URI.revive(i)).acceptModelChanged(f,y)}$acceptDirtyStateChanged(i,f){const y=this._getNotebookDocument(P.URI.revive(i));y.acceptModelChanged({rawEvents:[],versionId:y.notebookDocument.version},f)}$acceptModelSaved(i){const f=this._getNotebookDocument(P.URI.revive(i));this._onDidSaveNotebookDocument.fire(f.notebookDocument)}$acceptEditorPropertiesChanged(i,f){this.logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",i,f);const y=this._editors.get(i);if(!y)throw new Error(`unknown text editor: ${i}`);f.visibleRanges&&y.editor._acceptVisibleRanges(f.visibleRanges.ranges.map(D.NotebookCellRange.to)),f.selections&&y.editor._acceptSelections(f.selections.selections.map(D.NotebookCellRange.to)),f.visibleRanges&&this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:y.editor.editor,visibleRanges:y.editor.editor.visibleRanges}),f.selections&&this._onDidChangeNotebookEditorSelection.fire(Object.freeze({notebookEditor:y.editor.editor,selections:y.editor.editor.selections}))}$acceptDocumentPropertiesChanged(i,f){this.logService.debug("ExtHostNotebook#$acceptDocumentPropertiesChanged",i.path,f);const y=this._getNotebookDocument(P.URI.revive(i));y.acceptDocumentPropertiesChanged(f),f.metadata&&this._onDidChangeNotebookDocumentMetadata.fire({document:y.notebookDocument})}_createExtHostEditor(i,f,y){var I;const m=i.uri;let w=this._webviewComm.get(f);w||(w=new b(f,m,this._proxy,this._webviewInitData,i),this._webviewComm.set(f,w));const R=new s.ExtHostNotebookEditor(f,i.notebookDocument.viewType,this._proxy,i,y.visibleRanges.map(D.NotebookCellRange.to),y.selections.map(D.NotebookCellRange.to),typeof y.viewColumn=="number"?D.ViewColumn.to(y.viewColumn):void 0);(I=this._editors.get(f))===null||I===void 0||I.editor.dispose(),this._editors.set(f,{editor:R})}$acceptDocumentAndEditorsDelta(i){var f,y,I,m;let w=!1;if(i.removedDocuments)for(const F of i.removedDocuments){const W=P.URI.revive(F),oe=this._documents.get(W);oe&&(oe.dispose(),this._documents.delete(W),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:oe.notebookDocument.cells.map(ie=>ie.document.uri)}),this._onDidCloseNotebookDocument.fire(oe.notebookDocument));for(const ie of this._editors.values())ie.editor.notebookData.uri.toString()===W.toString()&&(ie.editor.dispose(),this._editors.delete(ie.editor.id),w=!0)}if(i.addedDocuments){const F=[];for(const W of i.addedDocuments){const oe=P.URI.revive(W.uri),ie=W.viewType;if(this._documents.has(oe))throw new Error(`adding EXISTING notebook ${oe}`);const j=this,ee=new d.ExtHostNotebookDocument(this._proxy,this._textDocumentsAndEditors,this._textDocuments,{emitModelChange(M){j._onDidChangeNotebookCells.fire(M)},emitCellOutputsChange(M){j._onDidChangeCellOutputs.fire(M)},emitCellMetadataChange(M){j._onDidChangeCellMetadata.fire(M)}},ie,W.metadata?D.NotebookDocumentMetadata.to(W.metadata):new n.NotebookDocumentMetadata,oe);ee.acceptModelChanged({versionId:W.versionId,rawEvents:[{kind:C.NotebookCellsChangeType.Initialize,changes:[[0,0,W.cells]]}]},!1),F.push(...W.cells.map(M=>d.ExtHostCell.asModelAddData(ee.notebookDocument,M))),(f=this._documents.get(oe))===null||f===void 0||f.dispose(),this._documents.set(oe,ee),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:F}),this._onDidOpenNotebookDocument.fire(ee.notebookDocument)}}if(i.addedEditors)for(const F of i.addedEditors){if(this._editors.has(F.id))return;const W=P.URI.revive(F.documentUri),oe=this._documents.get(W);oe&&(this._createExtHostEditor(oe,F.id,F),w=!0)}const R=[];if(i.removedEditors)for(const F of i.removedEditors){const W=this._editors.get(F);W&&(w=!0,this._editors.delete(F),((y=this._activeNotebookEditor)===null||y===void 0?void 0:y.id)===W.editor.id&&(this._activeNotebookEditor=void 0),R.push(W))}if(w&&R.forEach(F=>{F.editor.dispose()}),i.visibleEditors){this._visibleNotebookEditors=i.visibleEditors.map(W=>this._editors.get(W).editor).filter(W=>!!W);const F=new Set;this._visibleNotebookEditors.forEach(W=>F.add(W.id));for(const W of this._editors.values()){const oe=F.has(W.editor.id);W.editor._acceptVisibility(oe)}this._visibleNotebookEditors=[...this._editors.values()].map(W=>W.editor).filter(W=>W.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}i.newActiveEditor===null?this._activeNotebookEditor=void 0:i.newActiveEditor&&(this._activeNotebookEditor=(I=this._editors.get(i.newActiveEditor))===null||I===void 0?void 0:I.editor),i.newActiveEditor!==void 0&&this._onDidChangeActiveNotebookEditor.fire((m=this._activeNotebookEditor)===null||m===void 0?void 0:m.editor)}createNotebookCellStatusBarItemInternal(i,f,y){const I=new r(this._proxy,this._commandsConverter,i,f,y),m=C.CellUri.parse(i.document.uri);if(m){const w=this._documents.get(m.notebook);if(w){const R=w.getCell(m.handle);R&&S.Event.once(R.onDidDispose)(()=>I.dispose())}}return I}}e.ExtHostNotebookController=t,t._notebookKernelProviderHandlePool=0;class r extends T.Disposable{constructor(i,f,y,I,m){super();this._proxy=i,this._commands=f,this._cell=y,this._priority=m,this._id=r.NEXT_ID++,this._isDisposed=!1,this._text="",this._visible=!1,this._internalCommandRegistration=this._register(new T.DisposableStore),this._alignment=I!=null?I:n.NotebookCellStatusBarAlignment.Left}get apiItem(){return this._apiItem||(this._apiItem=o(this)),this._apiItem}get cell(){return this._cell}get alignment(){return this._alignment}set alignment(i){this._alignment=i,this.update()}get priority(){return this._priority}set priority(i){this._priority=i,this.update()}get text(){return this._text}set text(i){this._text=i,this.update()}get tooltip(){return this._tooltip}set tooltip(i){this._tooltip=i,this.update()}get command(){var i;return(i=this._command)===null||i===void 0?void 0:i.fromApi}set command(i){var f;((f=this._command)===null||f===void 0?void 0:f.fromApi)!==i&&(this._internalCommandRegistration.clear(),typeof i=="string"?this._command={fromApi:i,internal:this._commands.toInternal({title:"",command:i},this._internalCommandRegistration)}:i?this._command={fromApi:i,internal:this._commands.toInternal(i,this._internalCommandRegistration)}:this._command=void 0,this.update())}get accessibilityInformation(){return this._accessibilityInformation}set accessibilityInformation(i){this._accessibilityInformation=i,this.update()}show(){this._visible=!0,this.update()}hide(){this._visible=!1,this.update()}dispose(){this.hide(),this._isDisposed=!0,this._internalCommandRegistration.dispose()}update(){var i;if(!this._isDisposed){const f={alignment:this.alignment===n.NotebookCellStatusBarAlignment.Left?0:1,cellResource:this.cell.document.uri,command:(i=this._command)===null||i===void 0?void 0:i.internal,text:this.text,tooltip:this.tooltip,accessibilityInformation:this.accessibilityInformation,priority:this.priority,visible:this._visible};this._proxy.$setStatusBarEntry(this._id,f)}}}e.NotebookCellStatusBarItemInternal=r,r.NEXT_ID=0;function o(l){return Object.freeze({cell:l.cell,get alignment(){return l.alignment},set alignment(i){l.alignment=i},get priority(){return l.priority},set priority(i){l.priority=i},get text(){return l.text},set text(i){l.text=i},get tooltip(){return l.tooltip},set tooltip(i){l.tooltip=i},get command(){return l.command},set command(i){l.command=i},get accessibilityInformation(){return l.accessibilityInformation},set accessibilityInformation(i){l.accessibilityInformation=i},show(){l.show()},hide(){l.hide()},dispose(){l.dispose()}})}}),define(we[98],Ee([0,1,5,3,6,26,4,14]),function(ae,e,_,S,T,P,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.LazyOutputChannel=e.ExtHostPushOutputChannel=e.AbstractExtHostOutputChannel=void 0;class D extends T.Disposable{constructor(s,h,p,g){super();this._onDidAppend=this._register(new S.Emitter),this.onDidAppend=this._onDidAppend.event,this._name=s,this._proxy=g,this._id=g.$register(this.name,h,p),this._disposed=!1,this._offset=0}get name(){return this._name}append(s){this.validate(),this._offset+=s?P.VSBuffer.fromString(s).byteLength:0}update(){this._id.then(s=>this._proxy.$update(s))}appendLine(s){this.validate(),this.append(s+`
`)}clear(){this.validate();const s=this._offset;this._id.then(h=>this._proxy.$clear(h,s))}show(s,h){this.validate(),this._id.then(p=>this._proxy.$reveal(p,!!(typeof s=="boolean"?s:h)))}hide(){this.validate(),this._id.then(s=>this._proxy.$close(s))}validate(){if(this._disposed)throw new Error("Channel has been closed")}dispose(){super.dispose(),this._disposed||this._id.then(s=>this._proxy.$dispose(s)).then(()=>this._disposed=!0)}}e.AbstractExtHostOutputChannel=D;class n extends D{constructor(s,h){super(s,!1,void 0,h)}append(s){super.append(s),this._id.then(h=>this._proxy.$append(h,s)),this._onDidAppend.fire()}}e.ExtHostPushOutputChannel=n;class A extends D{constructor(s,h,p){super(s,!0,h,p)}append(s){throw new Error("Not supported")}}class C{constructor(s,h){this.name=s,this._channel=h}append(s){this._channel.then(h=>h.append(s))}appendLine(s){this._channel.then(h=>h.appendLine(s))}clear(){this._channel.then(s=>s.clear())}show(s,h){this._channel.then(p=>p.show(s,h))}hide(){this._channel.then(s=>s.hide())}dispose(){this._channel.then(s=>s.dispose())}}e.LazyOutputChannel=C;let v=class{constructor(s){this._proxy=s.getProxy(_.MainContext.MainThreadOutputService)}$setVisibleChannel(s){}createOutputChannel(s){if(s=s.trim(),!s)throw new Error("illegal argument `name`. must not be falsy");return new n(s,this._proxy)}createOutputChannelFromLogFile(s,h){if(s=s.trim(),!s)throw new Error("illegal argument `name`. must not be falsy");if(!h)throw new Error("illegal argument `file`. must not be falsy");return new A(s,h,this._proxy)}};v=je([Ke(0,k.IExtHostRpcService)],v),e.ExtHostOutputService=v,e.IExtHostOutputService=(0,E.createDecorator)("IExtHostOutputService")}),define(we[198],Ee([0,1,13,20,3,6,5,2,7,10,15]),function(ae,e,_,S,T,P,E,k,D,n,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function C(v,d,s){const h=v.getProxy(E.MainContext.MainThreadQuickOpen);class p{constructor(o,l){this._sessions=new Map,this._instances=0,this._workspace=o,this._commands=l}showQuickPick(o,l,i,f=S.CancellationToken.None){this._onDidSelectItem=void 0;const y=Promise.resolve(o),I=++this._instances,m=h.$show(I,{placeHolder:i&&i.placeHolder,matchOnDescription:i&&i.matchOnDescription,matchOnDetail:i&&i.matchOnDetail,ignoreFocusLost:i&&i.ignoreFocusOut,canPickMany:i&&i.canPickMany},f),w={},R=m.then(()=>w);return Promise.race([R,y]).then(F=>{if(F!==w)return y.then(W=>{const oe=[];for(let ie=0;ie<W.length;ie++){const j=W[ie];let ee,M,x,$,q;typeof j=="string"?ee=j:(ee=j.label,M=j.description,x=j.detail,$=j.picked,q=j.alwaysShow),oe.push({label:ee,description:M,handle:ie,detail:x,picked:$,alwaysShow:q})}return i&&typeof i.onDidSelectItem=="function"&&(this._onDidSelectItem=ie=>{i.onDidSelectItem(W[ie])}),h.$setItems(I,oe),m.then(ie=>{if(typeof ie=="number")return W[ie];if(Array.isArray(ie))return ie.map(j=>W[j])})})}).then(void 0,F=>{if(!(0,n.isPromiseCanceledError)(F))return h.$setError(I,F),Promise.reject(F)})}$onItemSelected(o){this._onDidSelectItem&&this._onDidSelectItem(o)}showInput(o,l=S.CancellationToken.None){return this._validateInput=o?o.validateInput:void 0,h.$input(o,typeof this._validateInput=="function",l).then(void 0,i=>{if(!(0,n.isPromiseCanceledError)(i))return Promise.reject(i)})}$validateInput(o){return this._validateInput?(0,_.asPromise)(()=>this._validateInput(o)):Promise.resolve(void 0)}async showWorkspaceFolderPick(o,l=S.CancellationToken.None){const i=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[o]);if(!!i){const f=await this._workspace.getWorkspaceFolders2();if(!!f)return f.find(y=>y.uri.toString()===i.uri.toString())}}createQuickPick(o,l){const i=new a(o,l,()=>this._sessions.delete(i._id));return this._sessions.set(i._id,i),i}createInputBox(o){const l=new t(o,()=>this._sessions.delete(l._id));return this._sessions.set(l._id,l),l}$onDidChangeValue(o,l){const i=this._sessions.get(o);i&&i._fireDidChangeValue(l)}$onDidAccept(o){const l=this._sessions.get(o);l&&l._fireDidAccept()}$onDidChangeActive(o,l){const i=this._sessions.get(o);i instanceof a&&i._fireDidChangeActive(l)}$onDidChangeSelection(o,l){const i=this._sessions.get(o);i instanceof a&&i._fireDidChangeSelection(l)}$onDidTriggerButton(o,l){const i=this._sessions.get(o);i&&i._fireDidTriggerButton(l)}$onDidHide(o){const l=this._sessions.get(o);l&&l._fireDidHide()}}class g{constructor(o,l){this._extensionId=o,this._onDidDispose=l,this._id=a._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new T.Emitter,this._onDidChangeValueEmitter=new T.Emitter,this._onDidTriggerButtonEmitter=new T.Emitter,this._onDidHideEmitter=new T.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(o){this._title=o,this.update({title:o})}get step(){return this._steps}set step(o){this._steps=o,this.update({step:o})}get totalSteps(){return this._totalSteps}set totalSteps(o){this._totalSteps=o,this.update({totalSteps:o})}get enabled(){return this._enabled}set enabled(o){this._enabled=o,this.update({enabled:o})}get busy(){return this._busy}set busy(o){this._busy=o,this.update({busy:o})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(o){this._ignoreFocusOut=o,this.update({ignoreFocusOut:o})}get value(){return this._value}set value(o){this._value=o,this.update({value:o})}get placeholder(){return this._placeholder}set placeholder(o){this._placeholder=o,this.update({placeholder:o})}get buttons(){return this._buttons}set buttons(o){this._buttons=o.slice(),this._handlesToButtons.clear(),o.forEach((l,i)=>{const f=l===D.QuickInputButtons.Back?-1:i;this._handlesToButtons.set(f,l)}),this.update({buttons:o.map((l,i)=>({iconPath:b(l.iconPath),tooltip:l.tooltip,handle:l===D.QuickInputButtons.Back?-1:i}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(o){this._value=o,this._onDidChangeValueEmitter.fire(o)}_fireDidTriggerButton(o){const l=this._handlesToButtons.get(o);l&&this._onDidTriggerButtonEmitter.fire(l)}_fireDidHide(){this._expectingHide&&(this._expectingHide=!1,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=(0,P.dispose)(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),h.$dispose(this._id))}update(o){if(!this._disposed){for(const l of Object.keys(o)){const i=o[l];this._pendingUpdate[l]=i===void 0?null:i}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){h.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}g._nextId=1;function b(r){if(r instanceof D.ThemeIcon)return{id:r.id};const o=u(r),l=c(r);return{dark:typeof o=="string"?k.URI.file(o):o,light:typeof l=="string"?k.URI.file(l):l}}function c(r){return typeof r=="object"&&"light"in r?r.light:r}function u(r){return typeof r=="object"&&"dark"in r?r.dark:r}class a extends g{constructor(o,l,i){super(o,i);this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._activeItems=[],this._onDidChangeActiveEmitter=new T.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new T.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(o){this._items=o.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),o.forEach((l,i)=>{this._handlesToItems.set(i,l),this._itemsToHandles.set(l,i)}),this.update({items:o.map((l,i)=>({label:l.label,description:l.description,handle:i,detail:l.detail,picked:l.picked,alwaysShow:l.alwaysShow}))})}get canSelectMany(){return this._canSelectMany}set canSelectMany(o){this._canSelectMany=o,this.update({canSelectMany:o})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(o){this._matchOnDescription=o,this.update({matchOnDescription:o})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(o){this._matchOnDetail=o,this.update({matchOnDetail:o})}get sortByLabel(){return this._sortByLabel}set sortByLabel(o){this._sortByLabel=o,this.update({sortByLabel:o})}get activeItems(){return this._activeItems}set activeItems(o){this._activeItems=o.filter(l=>this._itemsToHandles.has(l)),this.update({activeItems:this._activeItems.map(l=>this._itemsToHandles.get(l))})}get selectedItems(){return this._selectedItems}set selectedItems(o){this._selectedItems=o.filter(l=>this._itemsToHandles.has(l)),this.update({selectedItems:this._selectedItems.map(l=>this._itemsToHandles.get(l))})}_fireDidChangeActive(o){const l=(0,A.coalesce)(o.map(i=>this._handlesToItems.get(i)));this._activeItems=l,this._onDidChangeActiveEmitter.fire(l)}_fireDidChangeSelection(o){const l=(0,A.coalesce)(o.map(i=>this._handlesToItems.get(i)));this._selectedItems=l,this._onDidChangeSelectionEmitter.fire(l)}}class t extends g{constructor(o,l){super(o,l);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(o){this._password=o,this.update({password:o})}get prompt(){return this._prompt}set prompt(o){this._prompt=o,this.update({prompt:o})}get validationMessage(){return this._validationMessage}set validationMessage(o){this._validationMessage=o,this.update({validationMessage:o})}}return new p(d,s)}e.createExtHostQuickOpen=C}),define(we[199],Ee([0,1,2,3,45,6,13,5,15,109,19,25,33]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function d(l){if(l)return typeof l.iconPath=="string"?_.URI.file(l.iconPath):l.iconPath}function s(l,i){if(!l.iconPath&&!i.iconPath)return 0;if(l.iconPath){if(!i.iconPath)return 1}else return-1;const f=typeof l.iconPath=="string"?l.iconPath:l.iconPath.fsPath,y=typeof i.iconPath=="string"?i.iconPath:i.iconPath.fsPath;return(0,n.comparePaths)(f,y)}function h(l,i){let f=0;if(l.strikeThrough!==i.strikeThrough)return l.strikeThrough?1:-1;if(l.faded!==i.faded)return l.faded?1:-1;if(l.tooltip!==i.tooltip)return(l.tooltip||"").localeCompare(i.tooltip||"");if(f=s(l,i),f!==0)return f;if(l.light&&i.light)f=s(l.light,i.light);else{if(l.light)return 1;if(i.light)return-1}if(f!==0)return f;if(l.dark&&i.dark)f=s(l.dark,i.dark);else{if(l.dark)return 1;if(i.dark)return-1}return f}function p(l,i){if(l.command!==i.command)return l.command<i.command?-1:1;if(l.title!==i.title)return l.title<i.title?-1:1;if(l.tooltip!==i.tooltip){if(l.tooltip!==void 0&&i.tooltip!==void 0)return l.tooltip<i.tooltip?-1:1;if(l.tooltip!==void 0)return 1;if(i.tooltip!==void 0)return-1}if(l.arguments===i.arguments)return 0;if(l.arguments)if(i.arguments){if(l.arguments.length!==i.arguments.length)return l.arguments.length-i.arguments.length}else return 1;else return-1;for(let f=0;f<l.arguments.length;f++){const y=l.arguments[f],I=i.arguments[f];if(y!==I)return y<I?-1:1}return 0}function g(l,i){let f=(0,n.comparePaths)(l.resourceUri.fsPath,i.resourceUri.fsPath,!0);if(f!==0)return f;if(l.command&&i.command)f=p(l.command,i.command);else{if(l.command)return 1;if(i.command)return-1}if(f!==0)return f;if(l.decorations&&i.decorations)f=h(l.decorations,i.decorations);else{if(l.decorations)return 1;if(i.decorations)return-1}return f}function b(l,i){for(let f=0;f<l.length;f++)if(l[f]!==i[f])return!1;return!0}function c(l,i){return l.command===i.command&&l.title===i.title&&l.tooltip===i.tooltip&&(l.arguments&&i.arguments?b(l.arguments,i.arguments):l.arguments===i.arguments)}function u(l,i){return(0,D.equals)(l,i,c)}class a{constructor(i,f,y){this._extension=i,this._proxy=f,this._sourceControlHandle=y,this._value="",this._onDidChange=new S.Emitter,this._placeholder="",this._visible=!0}get value(){return this._value}set value(i){this._proxy.$setInputBoxValue(this._sourceControlHandle,i),this.updateValue(i)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(i){this._proxy.$setInputBoxPlaceholder(this._sourceControlHandle,i),this._placeholder=i}get validateInput(){return(0,v.checkProposedApiEnabled)(this._extension),this._validateInput}set validateInput(i){if((0,v.checkProposedApiEnabled)(this._extension),i&&typeof i!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=i,this._proxy.$setValidationProviderIsEnabled(this._sourceControlHandle,!!i)}get visible(){return this._visible}set visible(i){i=!!i,this._visible!==i&&(this._visible=i,this._proxy.$setInputBoxVisibility(this._sourceControlHandle,i))}$onInputBoxValueChange(i){this.updateValue(i)}updateValue(i){this._value=i,this._onDidChange.fire(i)}}e.ExtHostSCMInputBox=a;class t{constructor(i,f,y,I,m){this._proxy=i,this._commands=f,this._sourceControlHandle=y,this._id=I,this._label=m,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new S.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new S.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=t._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(i){this._label=i,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,i)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(i){this._hideWhenEmpty=i,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(i){this._resourceStates=[...i],this._onDidUpdateResourceStates.fire()}getResourceState(i){return this._resourceStatesMap.get(i)}$executeResourceCommand(i,f){const y=this._resourceStatesCommandsMap.get(i);return y?(0,E.asPromise)(()=>this._commands.executeCommand(y.command,...y.arguments||[],f)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){var i;const f=[...this._resourceStates].sort(g),I=(0,D.sortedDiff)(this._resourceSnapshot,f,g).map(R=>{const F=R.toInsert.map(W=>{const oe=this._resourceHandlePool++;this._resourceStatesMap.set(oe,W);const ie=W.resourceUri,j=d(W.decorations),ee=W.decorations&&d(W.decorations.light)||j,M=W.decorations&&d(W.decorations.dark)||j,x=[];let $;if(W.command)if(W.command.command==="vscode.open"||W.command.command==="vscode.diff"){const Se=new P.DisposableStore;$=this._commands.converter.toInternal(W.command,Se),this._resourceStatesDisposablesMap.set(oe,Se)}else this._resourceStatesCommandsMap.set(oe,W.command);ee&&x.push(ee),M&&M.toString()!==(ee==null?void 0:ee.toString())&&x.push(M);const q=W.decorations&&W.decorations.tooltip||"",U=W.decorations&&!!W.decorations.strikeThrough,Y=W.decorations&&!!W.decorations.faded,Z=W.contextValue||"";return{rawResource:[oe,ie,x,q,U,Y,Z,$],handle:oe}});return{start:R.start,deleteCount:R.deleteCount,toInsert:F}}),m=I.map(({start:R,deleteCount:F,toInsert:W})=>[R,F,W.map(oe=>oe.rawResource)]),w=I.reverse();for(const{start:R,deleteCount:F,toInsert:W}of w){const oe=W.map(j=>j.handle),ie=this._handlesSnapshot.splice(R,F,...oe);for(const j of ie)this._resourceStatesMap.delete(j),this._resourceStatesCommandsMap.delete(j),(i=this._resourceStatesDisposablesMap.get(j))===null||i===void 0||i.dispose(),this._resourceStatesDisposablesMap.delete(j)}return this._resourceSnapshot=f,m}dispose(){this._disposed=!0,this._onDidDispose.fire()}}t._handlePool=0;class r{constructor(i,f,y,I,m,w){this._proxy=f,this._commands=y,this._id=I,this._label=m,this._rootUri=w,this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new P.MutableDisposable,this._acceptInputCommand=void 0,this._statusBarDisposables=new P.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new S.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=r._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,this._inputBox=new a(i,this._proxy,this.handle),this._proxy.$registerSourceControl(this.handle,I,m,w)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(i){this._count!==i&&(this._count=i,this._proxy.$updateSourceControl(this.handle,{count:i}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(i){this._quickDiffProvider=i,this._proxy.$updateSourceControl(this.handle,{hasQuickDiffProvider:!!i})}get commitTemplate(){return this._commitTemplate}set commitTemplate(i){i!==this._commitTemplate&&(this._commitTemplate=i,this._proxy.$updateSourceControl(this.handle,{commitTemplate:i}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(i){this._acceptInputDisposables.value=new P.DisposableStore,this._acceptInputCommand=i;const f=this._commands.converter.toInternal(i,this._acceptInputDisposables.value);this._proxy.$updateSourceControl(this.handle,{acceptInputCommand:f})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(i){if(!(this._statusBarCommands&&i&&u(this._statusBarCommands,i))){this._statusBarDisposables.value=new P.DisposableStore,this._statusBarCommands=i;const f=(i||[]).map(y=>this._commands.converter.toInternal(y,this._statusBarDisposables.value));this._proxy.$updateSourceControl(this.handle,{statusBarCommands:f})}}get selected(){return this._selected}createResourceGroup(i,f){const y=new t(this._proxy,this._commands,this.handle,i,f),I=S.Event.once(y.onDidDispose)(()=>this.createdResourceGroups.delete(y));return this.createdResourceGroups.set(y,I),this.eventuallyAddResourceGroups(),y}eventuallyAddResourceGroups(){const i=[],f=[];for(const[y,I]of this.createdResourceGroups){I.dispose();const m=y.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(y),this.eventuallyUpdateResourceStates()});S.Event.once(y.onDidDispose)(()=>{this.updatedResourceGroups.delete(y),m.dispose(),this._groups.delete(y.handle),this._proxy.$unregisterGroup(this.handle,y.handle)}),i.push([y.handle,y.id,y.label,y.features]);const w=y._takeResourceStateSnapshot();w.length>0&&f.push([y.handle,w]),this._groups.set(y.handle,y)}this._proxy.$registerGroups(this.handle,i,f),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const i=[];this.updatedResourceGroups.forEach(f=>{const y=f._takeResourceStateSnapshot();y.length!==0&&i.push([f.handle,y])}),i.length>0&&this._proxy.$spliceResourceStates(this.handle,i),this.updatedResourceGroups.clear()}getResourceGroup(i){return this._groups.get(i)}setSelectionState(i){this._selected=i,this._onDidChangeSelection.fire(i)}dispose(){this._acceptInputDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(i=>i.dispose()),this._proxy.$unregisterSourceControl(this.handle)}}r._handlePool=0,je([(0,T.debounce)(100)],r.prototype,"eventuallyAddResourceGroups",null),je([(0,T.debounce)(100)],r.prototype,"eventuallyUpdateResourceStates",null);let o=class Cn{constructor(i,f,y){this._commands=f,this.logService=y,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new S.Emitter,this._proxy=i.getProxy(k.MainContext.MainThreadSCM),this._telemetry=i.getProxy(k.MainContext.MainThreadTelemetry),f.registerArgumentProcessor({processArgument:I=>{if(I&&I.$mid===3){const m=this._sourceControls.get(I.sourceControlHandle);if(!m)return I;const w=m.getResourceGroup(I.groupHandle);return w?w.getResourceState(I.handle):I}else if(I&&I.$mid===4){const m=this._sourceControls.get(I.sourceControlHandle);return m?m.getResourceGroup(I.groupHandle):I}else if(I&&I.$mid===5){const m=this._sourceControls.get(I.handle);return m||I}return I}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(i,f,y,I){this.logService.trace("ExtHostSCM#createSourceControl",i.identifier.value,f,y,I),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:i.identifier.value});const m=Cn._handlePool++,w=new r(i,this._proxy,this._commands,f,y,I);this._sourceControls.set(m,w);const R=this._sourceControlsByExtension.get(C.ExtensionIdentifier.toKey(i.identifier))||[];return R.push(w),this._sourceControlsByExtension.set(C.ExtensionIdentifier.toKey(i.identifier),R),w}getLastInputBox(i){this.logService.trace("ExtHostSCM#getLastInputBox",i.identifier.value);const f=this._sourceControlsByExtension.get(C.ExtensionIdentifier.toKey(i.identifier)),y=f&&f[f.length-1];return y&&y.inputBox}$provideOriginalResource(i,f,y){const I=_.URI.revive(f);this.logService.trace("ExtHostSCM#$provideOriginalResource",i,I.toString());const m=this._sourceControls.get(i);return!m||!m.quickDiffProvider||!m.quickDiffProvider.provideOriginalResource?Promise.resolve(null):(0,E.asPromise)(()=>m.quickDiffProvider.provideOriginalResource(I,y)).then(w=>w||null)}$onInputBoxValueChange(i,f){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",i);const y=this._sourceControls.get(i);return y&&y.inputBox.$onInputBoxValueChange(f),Promise.resolve(void 0)}$executeResourceCommand(i,f,y,I){this.logService.trace("ExtHostSCM#$executeResourceCommand",i,f,y);const m=this._sourceControls.get(i);if(!m)return Promise.resolve(void 0);const w=m.getResourceGroup(f);return w?w.$executeResourceCommand(y,I):Promise.resolve(void 0)}$validateInput(i,f,y){this.logService.trace("ExtHostSCM#$validateInput",i);const I=this._sourceControls.get(i);return!I||!I.inputBox.validateInput?Promise.resolve(void 0):(0,E.asPromise)(()=>I.inputBox.validateInput(f,y)).then(m=>m?Promise.resolve([m.message,m.type]):Promise.resolve(void 0))}$setSelectedSourceControl(i){var f,y;return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",i),i!==void 0&&((f=this._sourceControls.get(i))===null||f===void 0||f.setSelectionState(!0)),this._selectedSourceControlHandle!==void 0&&((y=this._sourceControls.get(this._selectedSourceControlHandle))===null||y===void 0||y.setSelectionState(!1)),this._selectedSourceControlHandle=i,Promise.resolve(void 0)}};o._handlePool=0,o=je([Ke(2,A.ILogService)],o),e.ExtHostSCM=o});var tt=this&&this.__classPrivateFieldSet||function(ae,e,_){if(!e.has(ae))throw new TypeError("attempted to set private field on non-instance");return e.set(ae,_),_},We=this&&this.__classPrivateFieldGet||function(ae,e){if(!e.has(ae))throw new TypeError("attempted to get private field on non-instance");return e.get(ae)};define(we[200],Ee([0,1,7,5,131,6]),function(ae,e,_,S,T,P){"use strict";var E,k;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class D{constructor(v,d,s,h,p=_.StatusBarAlignment.Left,g,b){E.set(this,void 0),k.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new P.DisposableStore,tt(this,E,v),tt(this,k,d),this._id=D.ID_GEN++,this._statusId=s,this._statusName=h,this._alignment=p,this._priority=g,this._accessibilityInformation=b}get id(){return this._id}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get tooltip(){return this._tooltip}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){var v;return(v=this._command)===null||v===void 0?void 0:v.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(v){this._text=v,this.update()}set tooltip(v){this._tooltip=v,this.update()}set color(v){this._color=v,this.update()}set backgroundColor(v){v&&!D.ALLOWED_BACKGROUND_COLORS.has(v.id)&&(v=void 0),this._backgroundColor=v,this.update()}set command(v){var d;((d=this._command)===null||d===void 0?void 0:d.fromApi)!==v&&(this._internalCommandRegistration.clear(),typeof v=="string"?this._command={fromApi:v,internal:We(this,k).toInternal({title:"",command:v},this._internalCommandRegistration)}:v?this._command={fromApi:v,internal:We(this,k).toInternal(v,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(v){this._accessibilityInformation=v,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,We(this,E).$dispose(this.id)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{var v;this._timeoutHandle=void 0;let d=this._color;this._backgroundColor&&(d=D.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id)),We(this,E).$setEntry(this.id,this._statusId,this._statusName,this._text,this._tooltip,(v=this._command)===null||v===void 0?void 0:v.internal,d,this._backgroundColor,this._alignment===_.StatusBarAlignment.Left?0:1,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=D,E=new WeakMap,k=new WeakMap,D.ID_GEN=0,D.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new _.ThemeColor("statusBarItem.errorForeground")]]);class n{constructor(v){this._messages=[],this._item=v.createStatusBarEntry("status.extensionMessage",(0,T.localize)(0,null),_.StatusBarAlignment.Left,Number.MIN_VALUE)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(v){const d={message:v};return this._messages.unshift(d),this._update(),new _.Disposable(()=>{const s=this._messages.indexOf(d);s>=0&&(this._messages.splice(s,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class A{constructor(v,d){this._proxy=v.getProxy(S.MainContext.MainThreadStatusBar),this._commands=d,this._statusMessage=new n(this)}createStatusBarEntry(v,d,s,h,p){return new D(this._proxy,this._commands,v,d,s,h,p)}setStatusBarMessage(v,d){const s=this._statusMessage.setMessage(v);let h;return typeof d=="number"?h=setTimeout(()=>s.dispose(),d):typeof d!="undefined"&&d.then(()=>s.dispose(),()=>s.dispose()),new _.Disposable(()=>{s.dispose(),clearTimeout(h)})}}e.ExtHostStatusBar=A}),define(we[75],Ee([0,1,5,3,4]),function(ae,e,_,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class P{constructor(k){this._onDidChangeStorage=new S.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=k.getProxy(_.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(k,D){this._proxy.$registerExtensionStorageKeysToSync(k,D)}getValue(k,D,n){return this._proxy.$getValue(k,D).then(A=>A||n)}setValue(k,D,n){return this._proxy.$setValue(k,D,n)}$acceptValue(k,D,n){this._onDidChangeStorage.fire({shared:k,key:D,value:n})}}e.ExtHostStorage=P,e.IExtHostStorage=(0,T.createDecorator)("IExtHostStorage")}),define(we[76],Ee([0,1,4,27,19,74,2]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=(0,_.createDecorator)("IExtensionStoragePaths");let k=class{constructor(n,A,C){var v;this._logService=A,this._extHostFileSystem=C,this._workspace=(v=n.workspace)!==null&&v!==void 0?v:void 0,this._environment=n.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(d=>this._value=d)}async _getOrCreateWorkspaceStoragePath(){var n;if(!this._workspace)return Promise.resolve(void 0);const A=this._workspace.id,C=E.URI.joinPath(this._environment.workspaceStorageHome,A);try{return await this._extHostFileSystem.value.stat(C),this._logService.trace("[ExtHostStorage] storage dir already exists",C),C}catch(v){}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",C),await this._extHostFileSystem.value.createDirectory(C),await this._extHostFileSystem.value.writeFile(E.URI.joinPath(C,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:(n=E.URI.revive(this._workspace.configuration))===null||n===void 0?void 0:n.toString(),name:this._workspace.name},void 0,2))),C}catch(v){this._logService.error("[ExtHostStorage]",v);return}}workspaceValue(n){if(this._value)return E.URI.joinPath(this._value,n.identifier.value)}globalValue(n){return E.URI.joinPath(this._environment.globalStorageHome,n.identifier.value.toLowerCase())}};k=je([Ke(0,S.IExtHostInitDataService),Ke(1,T.ILogService),Ke(2,P.IExtHostConsumerFileSystem)],k),e.ExtensionStoragePaths=k}),define(we[42],Ee([0,1,3,5,4,2,14,6,7,132,10,167,20,29,151]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=(0,T.createDecorator)("IExtHostTerminalService");class h{constructor(t,r,o,l){this._proxy=t,this._id=r,this._creationOptions=o,this._name=l,this._disposed=!1,this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(f=>this._pidPromiseComplete=f);const i=this;this.value={get name(){return i._name||""},get processId(){return i._pidPromise},get creationOptions(){return i._creationOptions},get exitStatus(){return i._exitStatus},sendText(f,y=!0){i._checkDisposed(),i._proxy.$sendText(i._id,f,y)},show(f){i._checkDisposed(),i._proxy.$show(i._id,f)},hide(){i._checkDisposed(),i._proxy.$hide(i._id)},dispose(){i._disposed||(i._disposed=!0,i._proxy.$dispose(i._id))},get dimensions(){if(!(i._cols===void 0||i._rows===void 0))return{columns:i._cols,rows:i._rows}}}}async create(t,r,o,l,i,f,y,I,m){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:this._name,shellPath:t,shellArgs:r,cwd:o,env:l,waitOnExit:i,strictEnv:f,hideFromUser:y,isFeatureTerminal:I,isExtensionOwnedTerminal:m})}async createExtensionTerminal(){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionCustomPtyTerminal:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(t){this._name=t}setExitCode(t){this._exitStatus=Object.freeze({code:t})}setDimensions(t,r){return t===this._cols&&r===this._rows||t===0||r===0?!1:(this._cols=t,this._rows=r,!0)}_setProcessId(t){this._pidPromiseComplete?(this._pidPromiseComplete(t),this._pidPromiseComplete=void 0):this._pidPromise.then(r=>{r!==t&&(this._pidPromise=Promise.resolve(t))})}}e.ExtHostTerminal=h;class p{constructor(t){this._pty=t,this.id=0,this.shouldPersist=!1,this._onProcessData=new _.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessExit=new _.Emitter,this.onProcessExit=this._onProcessExit.event,this._onProcessReady=new _.Emitter,this._onProcessTitleChanged=new _.Emitter,this.onProcessTitleChanged=this._onProcessTitleChanged.event,this._onProcessOverrideDimensions=new _.Emitter,this._onProcessShellTypeChanged=new _.Emitter,this.onProcessShellTypeChanged=this._onProcessShellTypeChanged.event}get onProcessReady(){return this._onProcessReady.event}get onProcessOverrideDimensions(){return this._onProcessOverrideDimensions.event}async start(){}shutdown(){this._pty.close()}input(t){this._pty.handleInput&&this._pty.handleInput(t)}resize(t,r){this._pty.setDimensions&&this._pty.setDimensions({columns:t,rows:r})}acknowledgeDataEvent(t){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(t){this._pty.onDidWrite(r=>this._onProcessData.fire(r)),this._pty.onDidClose&&this._pty.onDidClose((r=void 0)=>{this._onProcessExit.fire(r===void 0?void 0:r)}),this._pty.onDidOverrideDimensions&&this._pty.onDidOverrideDimensions(r=>this._onProcessOverrideDimensions.fire(r&&{cols:r.columns,rows:r.rows})),this._pty.open(t||void 0),this._pty.setDimensions&&t&&this._pty.setDimensions(t),this._onProcessReady.fire({pid:-1,cwd:""})}}e.ExtHostPseudoterminal=p;let g=1,b=class extends k.Disposable{constructor(t,r){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new _.Emitter,this._onDidOpenTerminal=new _.Emitter,this._onDidChangeActiveTerminal=new _.Emitter,this._onDidChangeTerminalDimensions=new _.Emitter,this._proxy=r.getProxy(S.MainContext.MainThreadTerminalService),this._bufferer=new s.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new _.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(t),this._register({dispose:()=>{for(const[o,l]of this._terminalProcesses)l.shutdown(!0)}})}get activeTerminal(){var t;return(t=this._activeTerminal)===null||t===void 0?void 0:t.value}get terminals(){return this._terminals.map(t=>t.value)}get onDidCloseTerminal(){return this._onDidCloseTerminal&&this._onDidCloseTerminal.event}get onDidOpenTerminal(){return this._onDidOpenTerminal&&this._onDidOpenTerminal.event}get onDidChangeActiveTerminal(){return this._onDidChangeActiveTerminal&&this._onDidChangeActiveTerminal.event}get onDidChangeTerminalDimensions(){return this._onDidChangeTerminalDimensions&&this._onDidChangeTerminalDimensions.event}get onDidWriteTerminalData(){return this._onDidWriteTerminalData&&this._onDidWriteTerminalData.event}createExtensionTerminal(t){const r=new h(this._proxy,(0,d.generateUuid)(),t,t.name),o=new p(t.pty);return r.createExtensionTerminal().then(l=>{const i=this._setupExtHostProcessListeners(l,o);this._terminalProcessDisposables[l]=i}),this._terminals.push(r),r.value}attachPtyToTerminal(t,r){if(!this._getTerminalById(t))throw new Error(`Cannot resolve terminal with id ${t} for virtual process`);const l=new p(r),i=this._setupExtHostProcessListeners(t,l);this._terminalProcessDisposables[t]=i}async $acceptActiveTerminalChanged(t){const r=this._activeTerminal;if(t===null){this._activeTerminal=void 0,r!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const o=this._getTerminalById(t);o&&(this._activeTerminal=o,r!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(t,r){const o=this._getTerminalById(t);o&&this._onDidWriteTerminalData.fire({terminal:o.value,data:r})}async $acceptTerminalDimensions(t,r,o){const l=this._getTerminalById(t);l&&l.setDimensions(r,o)&&this._onDidChangeTerminalDimensions.fire({terminal:l.value,dimensions:l.value.dimensions})}async $acceptTerminalMaximumDimensions(t,r,o){var l;(l=this._terminalProcesses.get(t))===null||l===void 0||l.resize(r,o)}async $acceptTerminalTitleChange(t,r){const o=this._getTerminalById(t);o&&(o.name=r)}async $acceptTerminalClosed(t,r){const o=this._getTerminalObjectIndexById(this._terminals,t);if(o!==null){const l=this._terminals.splice(o,1)[0];l.setExitCode(r),this._onDidCloseTerminal.fire(l.value)}}$acceptTerminalOpened(t,r,o,l){if(r){const y=this._getTerminalObjectIndexById(this._terminals,r);if(y!==null){this._terminals[y]._id=t,this._onDidOpenTerminal.fire(this.terminals[y]),this._terminals[y].isOpen=!0;return}}const i={name:l.name,shellPath:l.executable,shellArgs:l.args,cwd:typeof l.cwd=="string"?l.cwd:P.URI.revive(l.cwd),env:l.env,hideFromUser:l.hideFromUser},f=new h(this._proxy,t,i,o);this._terminals.push(f),this._onDidOpenTerminal.fire(f.value),f.isOpen=!0}async $acceptTerminalProcessId(t,r){const o=this._getTerminalById(t);o&&o._setProcessId(r)}async $startExtensionTerminal(t,r){const o=this._getTerminalById(t);if(!o)return{message:(0,n.localize)(0,null,t)};o.isOpen||await new Promise(i=>{const f=this.onDidOpenTerminal(async y=>{y===o.value&&(f.dispose(),i())})});const l=this._terminalProcesses.get(t);l?l.startSendingEvents(r):this._extensionTerminalAwaitingStart[t]={initialDimensions:r}}_setupExtHostProcessListeners(t,r){const o=new k.DisposableStore;o.add(r.onProcessReady(i=>this._proxy.$sendProcessReady(t,i.pid,i.cwd))),o.add(r.onProcessTitleChanged(i=>this._proxy.$sendProcessTitle(t,i))),this._bufferer.startBuffering(t,r.onProcessData),o.add(r.onProcessExit(i=>this._onProcessExit(t,i))),r.onProcessOverrideDimensions&&o.add(r.onProcessOverrideDimensions(i=>this._proxy.$sendOverrideDimensions(t,i))),this._terminalProcesses.set(t,r);const l=this._extensionTerminalAwaitingStart[t];return l&&r instanceof p&&(r.startSendingEvents(l.initialDimensions),delete this._extensionTerminalAwaitingStart[t]),o}$acceptProcessAckDataEvent(t,r){var o;(o=this._terminalProcesses.get(t))===null||o===void 0||o.acknowledgeDataEvent(r)}$acceptProcessInput(t,r){var o;(o=this._terminalProcesses.get(t))===null||o===void 0||o.input(r)}$acceptProcessResize(t,r,o){var l;try{(l=this._terminalProcesses.get(t))===null||l===void 0||l.resize(r,o)}catch(i){if(i.code!=="EPIPE"&&i.code!=="ERR_IPC_CHANNEL_CLOSED")throw i}}$acceptProcessShutdown(t,r){var o;(o=this._terminalProcesses.get(t))===null||o===void 0||o.shutdown(r)}$acceptProcessRequestInitialCwd(t){var r;(r=this._terminalProcesses.get(t))===null||r===void 0||r.getInitialCwd().then(o=>this._proxy.$sendProcessInitialCwd(t,o))}$acceptProcessRequestCwd(t){var r;(r=this._terminalProcesses.get(t))===null||r===void 0||r.getCwd().then(o=>this._proxy.$sendProcessCwd(t,o))}$acceptProcessRequestLatency(t){return t}registerLinkProvider(t){return this._linkProviders.add(t),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new D.Disposable(()=>{this._linkProviders.delete(t),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}async $provideLinks(t,r){const o=this._getTerminalById(t);if(!o)return[];this._terminalLinkCache.delete(t);const l=this._terminalLinkCancellationSource.get(t);l&&l.dispose(!0);const i=new v.CancellationTokenSource;this._terminalLinkCancellationSource.set(t,i);const f=[],y={terminal:o.value,line:r},I=[];for(const R of this._linkProviders)I.push(new Promise(async F=>{i.token.onCancellationRequested(()=>F({provider:R,links:[]}));const W=await R.provideTerminalLinks(y,i.token)||[];i.token.isCancellationRequested||F({provider:R,links:W})}));const m=await Promise.all(I);if(i.token.isCancellationRequested)return[];const w=new Map;for(const R of m)R&&R.links.length>0&&f.push(...R.links.map(F=>{const W={id:g++,startIndex:F.startIndex,length:F.length,label:F.tooltip};return w.set(W.id,{provider:R.provider,link:F}),W}));return this._terminalLinkCache.set(t,w),f}$activateLink(t,r){var o;const l=(o=this._terminalLinkCache.get(t))===null||o===void 0?void 0:o.get(r);!l||l.provider.handleTerminalLink(l.link)}_onProcessExit(t,r){this._bufferer.stopBuffering(t),this._terminalProcesses.delete(t),delete this._extensionTerminalAwaitingStart[t];const o=this._terminalProcessDisposables[t];o&&(o.dispose(),delete this._terminalProcessDisposables[t]),this._proxy.$sendProcessExit(t,r)}_getTerminalById(t){return this._getTerminalObjectById(this._terminals,t)}_getTerminalObjectById(t,r){const o=this._getTerminalObjectIndexById(t,r);return o!==null?t[o]:null}_getTerminalObjectIndexById(t,r){let o=null;return t.some((l,i)=>l._id===r?(o=i,!0):!1),o}getEnvironmentVariableCollection(t){let r=this._environmentVariableCollections.get(t.identifier.value);return r||(r=new c,this._setEnvironmentVariableCollection(t.identifier.value,r)),r}_syncEnvironmentVariableCollection(t,r){const o=(0,C.serializeEnvironmentVariableCollection)(r.map);this._proxy.$setEnvironmentVariableCollection(t,r.persistent,o.length===0?void 0:o)}$initEnvironmentVariableCollections(t){t.forEach(r=>{const o=r[0],l=new c(r[1]);this._setEnvironmentVariableCollection(o,l)})}_setEnvironmentVariableCollection(t,r){this._environmentVariableCollections.set(t,r),r.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(t,r)})}};b=je([Ke(1,E.IExtHostRpcService)],b),e.BaseExtHostTerminalService=b;class c{constructor(t){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new _.Emitter,this.map=new Map(t)}get persistent(){return this._persistent}set persistent(t){this._persistent=t,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(t,r){this._setIfDiffers(t,{value:r,type:D.EnvironmentVariableMutatorType.Replace})}append(t,r){this._setIfDiffers(t,{value:r,type:D.EnvironmentVariableMutatorType.Append})}prepend(t,r){this._setIfDiffers(t,{value:r,type:D.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(t,r){const o=this.map.get(t);(!o||o.value!==r.value||o.type!==r.type)&&(this.map.set(t,r),this._onDidChangeCollection.fire())}get(t){return this.map.get(t)}forEach(t,r){this.map.forEach((o,l)=>t.call(r,l,o,this))}delete(t){this.map.delete(t),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=c;let u=class extends b{constructor(t){super(!1,t)}createTerminal(t,r,o){throw new A.NotSupportedError}createTerminalFromOptions(t){throw new A.NotSupportedError}getDefaultShell(t,r){return""}getDefaultShellArgs(t,r){throw new A.NotSupportedError}$getAvailableShells(){throw new A.NotSupportedError}async $getDefaultShellAndArgs(t){throw new A.NotSupportedError}$acceptWorkspacePermissionsChanged(t){}};u=je([Ke(0,E.IExtHostRpcService)],u),e.WorkerExtHostTerminalService=u}),define(we[201],Ee([0,1,3,15,5,95,9,7]),function(ae,e,_,S,T,P,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class D{constructor(A,C){this._extHostDocumentsAndEditors=C,this._onDidChangeTextEditorSelection=new _.Emitter,this._onDidChangeTextEditorOptions=new _.Emitter,this._onDidChangeTextEditorVisibleRanges=new _.Emitter,this._onDidChangeTextEditorViewColumn=new _.Emitter,this._onDidChangeActiveTextEditor=new _.Emitter,this._onDidChangeVisibleTextEditors=new _.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=A.getProxy(T.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(v=>this._onDidChangeVisibleTextEditors.fire(v)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(v=>this._onDidChangeActiveTextEditor.fire(v))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(A){const C=this._extHostDocumentsAndEditors.allEditors();return A?C:C.map(v=>v.value)}async showTextDocument(A,C,v){let d;typeof C=="number"?d={position:E.ViewColumn.from(C),preserveFocus:v}:typeof C=="object"?d={position:E.ViewColumn.from(C.viewColumn),preserveFocus:C.preserveFocus,selection:typeof C.selection=="object"?E.Range.from(C.selection):void 0,pinned:typeof C.preview=="boolean"?!C.preview:void 0}:d={preserveFocus:!1};const s=await this._proxy.$tryShowTextDocument(A.uri,d),h=s&&this._extHostDocumentsAndEditors.getEditor(s);if(h)return h.value;throw s?new Error(`Could NOT open editor for "${A.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${A.uri.toString()}".`)}createTextEditorDecorationType(A){return new P.TextEditorDecorationType(this._proxy,A).value}$acceptEditorPropertiesChanged(A,C){const v=this._extHostDocumentsAndEditors.getEditor(A);if(!v)throw new Error("unknown text editor");if(C.options&&v._acceptOptions(C.options),C.selections){const d=C.selections.selections.map(E.Selection.to);v._acceptSelections(d)}if(C.visibleRanges){const d=S.coalesce(C.visibleRanges.map(E.Range.to));v._acceptVisibleRanges(d)}if(C.options&&this._onDidChangeTextEditorOptions.fire({textEditor:v.value,options:Object.assign(Object.assign({},C.options),{lineNumbers:E.TextEditorLineNumbersStyle.to(C.options.lineNumbers)})}),C.selections){const d=k.TextEditorSelectionChangeKind.fromValue(C.selections.source),s=C.selections.selections.map(E.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:v.value,selections:s,kind:d})}if(C.visibleRanges){const d=S.coalesce(C.visibleRanges.map(E.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:v.value,visibleRanges:d})}}$acceptEditorPositionData(A){for(const C in A){const v=this._extHostDocumentsAndEditors.getEditor(C);if(!v)throw new Error("Unknown text editor");const d=E.ViewColumn.to(A[C]);v.value.viewColumn!==d&&(v._acceptViewColumn(d),this._onDidChangeTextEditorViewColumn.fire({textEditor:v.value,viewColumn:d}))}}getDiffInformation(A){return Promise.resolve(this._proxy.$getDiffInformation(A))}}e.ExtHostEditors=D});var ln=this&&this.__rest||function(ae,e){var _={};for(var S in ae)Object.prototype.hasOwnProperty.call(ae,S)&&e.indexOf(S)<0&&(_[S]=ae[S]);if(ae!=null&&typeof Object.getOwnPropertySymbols=="function")for(var T=0,S=Object.getOwnPropertySymbols(ae);T<S.length;T++)e.indexOf(S[T])<0&&Object.prototype.propertyIsEnumerable.call(ae,S[T])&&(_[S[T]]=ae[S[T]]);return _};define(we[202],Ee([0,1,2,4,5,6,7]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=(0,S.createDecorator)("IExtHostTimeline");class k{constructor(A,C){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=A.getProxy(T.MainContext.MainThreadTimeline),C.registerArgumentProcessor({processArgument:v=>{var d,s;if(v&&v.$mid===11){const h=v.uri===void 0?void 0:_.URI.revive(v.uri);return(s=(d=this._itemsBySourceAndUriMap.get(v.source))===null||d===void 0?void 0:d.get(D(h)))===null||s===void 0?void 0:s.get(v.handle)}return v}})}async $getTimeline(A,C,v,d,s){const h=this._providers.get(A);return h==null?void 0:h.provideTimeline(_.URI.revive(C),v,d,s)}registerTimelineProvider(A,C,v,d){const s=new P.DisposableStore,h=this.convertTimelineItem(C.id,d,s).bind(this);let p;C.onDidChange&&(p=C.onDidChange(b=>this._proxy.$emitTimelineChangeEvent(Object.assign(Object.assign({uri:void 0,reset:!0},b),{id:C.id})),this));const g=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore(Object.assign(Object.assign({},C),{scheme:A,onDidChange:void 0,async provideTimeline(b,c,u,a){var t;(a==null?void 0:a.resetCache)&&(s.clear(),(t=g.get(C.id))===null||t===void 0||t.clear());const r=await C.provideTimeline(b,c,u);if(r!=null){const o=h(b,a);return Object.assign(Object.assign({},r),{source:C.id,items:r.items.map(o)})}},dispose(){var b;for(const c of g.values())(b=c.get(C.id))===null||b===void 0||b.clear();p==null||p.dispose(),s.dispose()}}))}convertTimelineItem(A,C,v){return(d,s)=>{let h;if(s==null?void 0:s.cacheResults){let p=this._itemsBySourceAndUriMap.get(A);p===void 0&&(p=new Map,this._itemsBySourceAndUriMap.set(A,p));const g=D(d);h=p.get(g),h===void 0&&(h=new Map,p.set(g,h))}return p=>{var g,b;const{iconPath:c}=p,u=ln(p,["iconPath"]),a=`${A}|${(g=p.id)!==null&&g!==void 0?g:p.timestamp}`;h==null||h.set(a,p);let t,r,o;return p.iconPath&&(c instanceof E.ThemeIcon?o={id:c.id}:_.URI.isUri(c)?(t=c,r=c):{light:t,dark:r}=c),Object.assign(Object.assign({},u),{id:(b=u.id)!==null&&b!==void 0?b:void 0,handle:a,source:A,command:p.command?C.toInternal(p.command,v):void 0,icon:t,iconDark:r,themeIcon:o,accessibilityInformation:p.accessibilityInformation})}}}registerTimelineProviderCore(A){if(this._providers.get(A.id))throw new Error(`Timeline Provider ${A.id} already exists.`);return this._proxy.$registerTimelineProvider({id:A.id,label:A.label,scheme:A.scheme}),this._providers.set(A.id,A),(0,P.toDisposable)(()=>{var v;for(const d of this._itemsBySourceAndUriMap.values())(v=d.get(A.id))===null||v===void 0||v.clear();this._providers.delete(A.id),this._proxy.$unregisterTimelineProvider(A.id),A.dispose()})}}e.ExtHostTimeline=k;function D(n){return n==null?void 0:n.toString()}}),define(we[203],Ee([0,1,6,16,2,5]),function(ae,e,_,S,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class E{constructor(D){this._openers=new Map,this._proxy=D.getProxy(P.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(D,n,A,C){if(this._openers.has(n))throw new Error(`Opener with id '${n}' already registered`);const v=C.schemes.find(d=>!E.supportedSchemes.has(d));if(v)throw new Error(`Scheme '${v}' is not supported. Only http and https are currently supported.`);return this._openers.set(n,A),this._proxy.$registerUriOpener(n,C.schemes,D,C.label),(0,_.toDisposable)(()=>{this._openers.delete(n),this._proxy.$unregisterUriOpener(n)})}async $canOpenUri(D,n,A){const C=this._openers.get(D);if(!C)throw new Error(`Unknown opener with id: ${D}`);const v=T.URI.revive(n);return C.canOpenExternalUri(v,A)}async $openUri(D,n,A){const C=this._openers.get(D);if(!C)throw new Error(`Unknown opener id: '${D}'`);return C.openExternalUri(T.URI.revive(n.resolvedUri),{sourceUri:T.URI.revive(n.sourceUri)},A)}}e.ExtHostUriOpeners=E,E.supportedSchemes=new Set([S.Schemas.http,S.Schemas.https])}),define(we[204],Ee([0,1,5,2,6,10,25]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class k{constructor(n){this.handles=new Set,this.handlers=new Map,this._proxy=n.getProxy(_.MainContext.MainThreadUrls)}registerUriHandler(n,A){if(this.handles.has(E.ExtensionIdentifier.toKey(n)))throw new Error(`Protocol handler already registered for extension ${n}`);const C=k.HandlePool++;return this.handles.add(E.ExtensionIdentifier.toKey(n)),this.handlers.set(C,A),this._proxy.$registerUriHandler(C,n),(0,T.toDisposable)(()=>{this.handles.delete(E.ExtensionIdentifier.toKey(n)),this.handlers.delete(C),this._proxy.$unregisterUriHandler(C)})}$handleExternalUri(n,A){const C=this.handlers.get(n);if(!C)return Promise.resolve(void 0);try{C.handleUri(S.URI.revive(A))}catch(v){(0,P.onUnexpectedError)(v)}return Promise.resolve(void 0)}async createAppUri(n){return S.URI.revive(await this._proxy.$createAppUri(n))}}e.ExtHostUrls=k,k.HandlePool=0});var tt=this&&this.__classPrivateFieldSet||function(ae,e,_){if(!e.has(ae))throw new TypeError("attempted to set private field on non-instance");return e.set(ae,_),_},We=this&&this.__classPrivateFieldGet||function(ae,e){if(!e.has(ae))throw new TypeError("attempted to get private field on non-instance");return e.get(ae)};define(we[50],Ee([0,1,3,2,70,5]),function(ae,e,_,S,T,P){"use strict";var E,k,D,n,A,C,v,d,s,h,p;Object.defineProperty(e,"__esModule",{value:!0}),e.reviveOptions=e.serializeWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.ExtHostWebview=void 0;class g{constructor(o,l,i,f,y,I,m){E.set(this,void 0),k.set(this,void 0),D.set(this,void 0),n.set(this,void 0),A.set(this,void 0),C.set(this,void 0),v.set(this,""),d.set(this,void 0),s.set(this,!1),h.set(this,!1),this._onMessageEmitter=new _.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,p.set(this,new _.Emitter),this._onDidDispose=We(this,p).event,tt(this,E,o),tt(this,k,l),tt(this,d,i),tt(this,n,f),tt(this,A,y),tt(this,C,I),tt(this,D,m)}dispose(){tt(this,s,!0),We(this,p).fire(),We(this,p).dispose(),this._onMessageEmitter.dispose()}asWebviewUri(o){return tt(this,h,!0),(0,T.asWebviewUri)(We(this,n),We(this,E),o)}get cspSource(){return We(this,n).webviewCspSource.replace("{{uuid}}",We(this,E))}get html(){return this.assertNotDisposed(),We(this,v)}set html(o){this.assertNotDisposed(),We(this,v)!==o&&(tt(this,v,o),!We(this,h)&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(o)&&(tt(this,h,!0),We(this,D).report("Webview vscode-resource: uris",We(this,C),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),We(this,k).$setHtml(We(this,E),o))}get options(){return this.assertNotDisposed(),We(this,d)}set options(o){this.assertNotDisposed(),We(this,k).$setOptions(We(this,E),u(We(this,C),We(this,A),o)),tt(this,d,o)}async postMessage(o){return We(this,s)?!1:We(this,k).$postMessage(We(this,E),o)}assertNotDisposed(){if(We(this,s))throw new Error("Webview is disposed")}}e.ExtHostWebview=g,E=new WeakMap,k=new WeakMap,D=new WeakMap,n=new WeakMap,A=new WeakMap,C=new WeakMap,v=new WeakMap,d=new WeakMap,s=new WeakMap,h=new WeakMap,p=new WeakMap;class b{constructor(o,l,i,f,y){this.initData=l,this.workspace=i,this._logService=f,this._deprecationService=y,this._webviews=new Map,this._webviewProxy=o.getProxy(P.MainContext.MainThreadWebviews)}$onMessage(o,l){const i=this.getWebview(o);i&&i._onMessageEmitter.fire(l)}$onMissingCsp(o,l){this._logService.warn(`${l} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(o,l,i){const f=new g(o,this._webviewProxy,a(l),this.initData,this.workspace,i,this._deprecationService);return this._webviews.set(o,f),f._onDidDispose(()=>{this._webviews.delete(o)}),f}deleteWebview(o){this._webviews.delete(o)}getWebview(o){return this._webviews.get(o)}}e.ExtHostWebviews=b;function c(r){return{id:r.identifier,location:r.extensionLocation}}e.toExtensionData=c;function u(r,o,l){return{enableCommandUris:l.enableCommandUris,enableScripts:l.enableScripts,portMapping:l.portMapping,localResourceRoots:l.localResourceRoots||t(r,o)}}e.serializeWebviewOptions=u;function a(r){var o;return{enableCommandUris:r.enableCommandUris,enableScripts:r.enableScripts,portMapping:r.portMapping,localResourceRoots:(o=r.localResourceRoots)===null||o===void 0?void 0:o.map(l=>S.URI.from(l))}}e.reviveOptions=a;function t(r,o){return[...((o==null?void 0:o.getWorkspaceFolders())||[]).map(l=>l.uri),r.extensionLocation]}}),define(we[205],Ee([0,1,20,56,6,16,24,2,9,50,92,5,7]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class d{constructor(t,r){this.document=t,this._storagePath=r,this._backupCounter=1,this._edits=new A.Cache("custom documents")}addEdit(t){return this._edits.add([t])}async undo(t,r){await this.getEdit(t).undo(),r||this.disposeBackup()}async redo(t,r){await this.getEdit(t).redo(),r||this.disposeBackup()}disposeEdits(t){for(const r of t)this._edits.delete(r)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const t=u(this.document.uri)+this._backupCounter++;return(0,E.joinPath)(this._storagePath,t)}updateBackup(t){var r;(r=this._backup)===null||r===void 0||r.delete(),this._backup=t}disposeBackup(){var t;(t=this._backup)===null||t===void 0||t.delete(),this._backup=void 0}getEdit(t){const r=this._edits.get(t,0);if(!r)throw new Error("No edit found");return r}}class s{constructor(){this._documents=new Map}get(t,r){return this._documents.get(this.key(t,r))}add(t,r,o){const l=this.key(t,r.uri);if(this._documents.has(l))throw new Error(`Document already exists for viewType:${t} resource:${r.uri}`);const i=new d(r,o);return this._documents.set(l,i),i}delete(t,r){const o=this.key(t,r.uri);this._documents.delete(o)}key(t,r){return`${t}@@@${r}`}}var h;(function(a){a[a.Text=0]="Text",a[a.Custom=1]="Custom"})(h||(h={}));class p{constructor(){this._providers=new Map}addTextProvider(t,r,o){return this.add(0,t,r,o)}addCustomProvider(t,r,o){return this.add(1,t,r,o)}get(t){return this._providers.get(t)}add(t,r,o,l){if(this._providers.has(r))throw new Error(`Provider for viewType:${r} already registered`);return this._providers.set(r,{type:t,extension:o,provider:l}),new v.Disposable(()=>this._providers.delete(r))}}class g{constructor(t,r,o,l,i){this._extHostDocuments=r,this._extensionStoragePaths=o,this._extHostWebview=l,this._extHostWebviewPanels=i,this._editorProviders=new p,this._documents=new s,this._proxy=t.getProxy(C.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(t,r,o,l){const i=new T.DisposableStore;return b(o)?(i.add(this._editorProviders.addTextProvider(r,t,o)),this._proxy.$registerTextEditorProvider((0,n.toExtensionData)(t),r,l.webviewOptions||{},{supportsMove:!!o.moveCustomTextEditor})):(i.add(this._editorProviders.addCustomProvider(r,t,o)),this.supportEditing(o)&&i.add(o.onDidChangeCustomDocument(f=>{const y=this.getCustomDocumentEntry(r,f.document.uri);if(c(f)){const I=y.addEdit(f);this._proxy.$onDidEdit(f.document.uri,r,I,f.label)}else this._proxy.$onContentChange(f.document.uri,r)})),this._proxy.$registerCustomEditorProvider((0,n.toExtensionData)(t),r,l.webviewOptions||{},!!l.supportsMultipleEditorsPerDocument)),v.Disposable.from(i,new v.Disposable(()=>{this._proxy.$unregisterEditorProvider(r)}))}async $createCustomDocument(t,r,o,l,i){var f;const y=this._editorProviders.get(r);if(!y)throw new Error(`No provider found for '${r}'`);if(y.type!==1)throw new Error(`Invalid provide type for '${r}'`);const I=k.URI.revive(t),m=await y.provider.openCustomDocument(I,{backupId:o,untitledDocumentData:l==null?void 0:l.buffer},i);let w;return this.supportEditing(y.provider)&&this._extensionStoragePaths&&(w=(f=this._extensionStoragePaths.workspaceValue(y.extension))!==null&&f!==void 0?f:this._extensionStoragePaths.globalValue(y.extension)),this._documents.add(r,m,w),{editable:this.supportEditing(y.provider)}}async $disposeCustomDocument(t,r){const o=this._editorProviders.get(r);if(!o)throw new Error(`No provider found for '${r}'`);if(o.type!==1)throw new Error(`Invalid provider type for '${r}'`);const l=k.URI.revive(t),{document:i}=this.getCustomDocumentEntry(r,l);this._documents.delete(r,i),i.dispose()}async $resolveWebviewEditor(t,r,o,l,i,f){const y=this._editorProviders.get(o);if(!y)throw new Error(`No provider found for '${o}'`);const I=D.ViewColumn.to(i),m=this._extHostWebview.createNewWebview(r,l.webviewOptions,y.extension),w=this._extHostWebviewPanels.createNewWebviewPanel(r,o,l.title,I,l.panelOptions,m),R=k.URI.revive(t);switch(y.type){case 1:{const{document:F}=this.getCustomDocumentEntry(o,R);return y.provider.resolveCustomEditor(F,w,f)}case 0:{const F=this._extHostDocuments.getDocument(R);return y.provider.resolveCustomTextEditor(F,w,f)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(t,r,o){this.getCustomDocumentEntry(r,t).disposeEdits(o)}async $onMoveCustomEditor(t,r,o){const l=this._editorProviders.get(o);if(!l)throw new Error(`No provider found for '${o}'`);if(!l.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${o}'`);const i=this._extHostWebviewPanels.getWebviewPanel(t);if(!i)throw new Error("No webview found");const f=k.URI.revive(r),y=this._extHostDocuments.getDocument(f);await l.provider.moveCustomTextEditor(y,i,_.CancellationToken.None)}async $undo(t,r,o,l){return this.getCustomDocumentEntry(r,t).undo(o,l)}async $redo(t,r,o,l){return this.getCustomDocumentEntry(r,t).redo(o,l)}async $revert(t,r,o){const l=this.getCustomDocumentEntry(r,t);await this.getCustomEditorProvider(r).revertCustomDocument(l.document,o),l.disposeBackup()}async $onSave(t,r,o){const l=this.getCustomDocumentEntry(r,t);await this.getCustomEditorProvider(r).saveCustomDocument(l.document,o),l.disposeBackup()}async $onSaveAs(t,r,o,l){const i=this.getCustomDocumentEntry(r,t);return this.getCustomEditorProvider(r).saveCustomDocumentAs(i.document,k.URI.revive(o),l)}async $backup(t,r,o){const l=this.getCustomDocumentEntry(r,t),f=await this.getCustomEditorProvider(r).backupCustomDocument(l.document,{destination:l.getNewBackupUri()},o);return l.updateBackup(f),f.id}getCustomDocumentEntry(t,r){const o=this._documents.get(t,k.URI.revive(r));if(!o)throw new Error("No custom document found");return o}getCustomEditorProvider(t){const r=this._editorProviders.get(t),o=r==null?void 0:r.provider;if(!o||!this.supportEditing(o))throw new Error("Custom document is not editable");return o}supportEditing(t){return!!t.onDidChangeCustomDocument}}e.ExtHostCustomEditors=g;function b(a){return typeof a.resolveCustomTextEditor=="function"}function c(a){return typeof a.undo=="function"&&typeof a.redo=="function"}function u(a){const t=a.scheme===P.Schemas.file||a.scheme===P.Schemas.untitled?a.fsPath:a.toString();return(0,S.hash)(t)+""}});var tt=this&&this.__classPrivateFieldSet||function(ae,e,_){if(!e.has(ae))throw new TypeError("attempted to set private field on non-instance");return e.set(ae,_),_},We=this&&this.__classPrivateFieldGet||function(ae,e){if(!e.has(ae))throw new TypeError("attempted to get private field on non-instance");return e.get(ae)};define(we[206],Ee([0,1,3,6,2,29,9,50,5,7]),function(ae,e,_,S,T,P,E,k,D,n){"use strict";var A,C,v,d,s,h,p,g,b,c,u,a,t;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class r extends S.Disposable{constructor(f,y,I,m,w,R,F){super();A.set(this,void 0),C.set(this,void 0),v.set(this,void 0),d.set(this,void 0),s.set(this,void 0),h.set(this,void 0),p.set(this,void 0),g.set(this,void 0),b.set(this,!0),c.set(this,!0),u.set(this,!1),a.set(this,this._register(new _.Emitter)),this.onDidDispose=We(this,a).event,t.set(this,this._register(new _.Emitter)),this.onDidChangeViewState=We(this,t).event,tt(this,A,f),tt(this,C,y),tt(this,v,I),tt(this,s,R),tt(this,g,w),tt(this,h,m),tt(this,d,F)}dispose(){We(this,u)||(tt(this,u,!0),We(this,a).fire(),We(this,C).$disposeWebview(We(this,A)),We(this,d).dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),We(this,d)}get viewType(){return this.assertNotDisposed(),We(this,v)}get title(){return this.assertNotDisposed(),We(this,h)}set title(f){this.assertNotDisposed(),We(this,h)!==f&&(tt(this,h,f),We(this,C).$setTitle(We(this,A),f))}get iconPath(){return this.assertNotDisposed(),We(this,p)}set iconPath(f){this.assertNotDisposed(),We(this,p)!==f&&(tt(this,p,f),We(this,C).$setIconPath(We(this,A),T.URI.isUri(f)?{light:f,dark:f}:f))}get options(){return We(this,s)}get viewColumn(){if(this.assertNotDisposed(),!(typeof We(this,g)=="number"&&We(this,g)<0))return We(this,g)}get active(){return this.assertNotDisposed(),We(this,c)}get visible(){return this.assertNotDisposed(),We(this,b)}_updateViewState(f){We(this,u)||(this.active!==f.active||this.visible!==f.visible||this.viewColumn!==f.viewColumn)&&(tt(this,c,f.active),tt(this,b,f.visible),tt(this,g,f.viewColumn),We(this,t).fire({webviewPanel:this}))}reveal(f,y){this.assertNotDisposed(),We(this,C).$reveal(We(this,A),{viewColumn:f?E.ViewColumn.from(f):void 0,preserveFocus:!!y})}assertNotDisposed(){if(We(this,u))throw new Error("Webview is disposed")}}A=new WeakMap,C=new WeakMap,v=new WeakMap,d=new WeakMap,s=new WeakMap,h=new WeakMap,p=new WeakMap,g=new WeakMap,b=new WeakMap,c=new WeakMap,u=new WeakMap,a=new WeakMap,t=new WeakMap;class o{constructor(f,y,I){this.webviews=y,this.workspace=I,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=f.getProxy(D.MainContext.MainThreadWebviewPanels)}static newHandle(){return(0,P.generateUuid)()}createWebviewPanel(f,y,I,m,w={}){const R=typeof m=="object"?m.viewColumn:m,F={viewColumn:E.ViewColumn.from(R),preserveFocus:typeof m=="object"&&!!m.preserveFocus},W=o.newHandle();this._proxy.$createWebviewPanel((0,k.toExtensionData)(f),W,y,{title:I,panelOptions:l(w),webviewOptions:(0,k.serializeWebviewOptions)(f,this.workspace,w)},F);const oe=this.webviews.createNewWebview(W,w,f);return this.createNewWebviewPanel(W,y,I,R,w,oe)}$onDidChangeWebviewPanelViewStates(f){const y=Object.keys(f);y.sort((I,m)=>{const w=f[I],R=f[m];return w.active?1:R.active?-1:+w.visible-+R.visible});for(const I of y){const m=this.getWebviewPanel(I);if(!!m){const w=f[I];m._updateViewState({active:w.active,visible:w.visible,viewColumn:E.ViewColumn.to(w.position)})}}}async $onDidDisposeWebviewPanel(f){const y=this.getWebviewPanel(f);y==null||y.dispose(),this._webviewPanels.delete(f),this.webviews.deleteWebview(f)}registerWebviewPanelSerializer(f,y,I){if(this._serializers.has(y))throw new Error(`Serializer for '${y}' already registered`);return this._serializers.set(y,{serializer:I,extension:f}),this._proxy.$registerSerializer(y),new n.Disposable(()=>{this._serializers.delete(y),this._proxy.$unregisterSerializer(y)})}async $deserializeWebviewPanel(f,y,I,m){const w=this._serializers.get(y);if(!w)throw new Error(`No serializer found for '${y}'`);const{serializer:R,extension:F}=w,W=this.webviews.createNewWebview(f,I.webviewOptions,F),oe=this.createNewWebviewPanel(f,y,I.title,m,I.panelOptions,W);await R.deserializeWebviewPanel(oe,I.state)}createNewWebviewPanel(f,y,I,m,w,R){const F=new r(f,this._proxy,y,I,m,w,R);return this._webviewPanels.set(f,F),F}getWebviewPanel(f){return this._webviewPanels.get(f)}}e.ExtHostWebviewPanels=o;function l(i){return{enableFindWidget:i.enableFindWidget,retainContextWhenHidden:i.retainContextWhenHidden}}});var tt=this&&this.__classPrivateFieldSet||function(ae,e,_){if(!e.has(ae))throw new TypeError("attempted to set private field on non-instance");return e.set(ae,_),_},We=this&&this.__classPrivateFieldGet||function(ae,e){if(!e.has(ae))throw new TypeError("attempted to get private field on non-instance");return e.get(ae)};define(we[207],Ee([0,1,3,6,50,5,7]),function(ae,e,_,S,T,P,E){"use strict";var k,D,n,A,C,v,d,s,h,p;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class g extends S.Disposable{constructor(u,a,t,r,o,l){super();k.set(this,void 0),D.set(this,void 0),n.set(this,void 0),A.set(this,void 0),C.set(this,!1),v.set(this,void 0),d.set(this,void 0),s.set(this,void 0),h.set(this,this._register(new _.Emitter)),this.onDidChangeVisibility=We(this,h).event,p.set(this,this._register(new _.Emitter)),this.onDidDispose=We(this,p).event,tt(this,n,t),tt(this,d,r),tt(this,k,u),tt(this,D,a),tt(this,A,o),tt(this,v,l)}dispose(){We(this,C)||(tt(this,C,!0),We(this,p).fire(),We(this,A).dispose(),super.dispose())}get title(){return this.assertNotDisposed(),We(this,d)}set title(u){this.assertNotDisposed(),We(this,d)!==u&&(tt(this,d,u),We(this,D).$setWebviewViewTitle(We(this,k),u))}get description(){return this.assertNotDisposed(),We(this,s)}set description(u){this.assertNotDisposed(),We(this,s)!==u&&(tt(this,s,u),We(this,D).$setWebviewViewDescription(We(this,k),u))}get visible(){return We(this,v)}get webview(){return We(this,A)}get viewType(){return We(this,n)}_setVisible(u){u===We(this,v)||We(this,C)||(tt(this,v,u),We(this,h).fire())}show(u){this.assertNotDisposed(),We(this,D).$show(We(this,k),!!u)}assertNotDisposed(){if(We(this,C))throw new Error("Webview is disposed")}}k=new WeakMap,D=new WeakMap,n=new WeakMap,A=new WeakMap,C=new WeakMap,v=new WeakMap,d=new WeakMap,s=new WeakMap,h=new WeakMap,p=new WeakMap;class b{constructor(u,a){this._extHostWebview=a,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=u.getProxy(P.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(u,a,t,r){if(this._viewProviders.has(a))throw new Error(`View provider for '${a}' already registered`);return this._viewProviders.set(a,{provider:t,extension:u}),this._proxy.$registerWebviewViewProvider((0,T.toExtensionData)(u),a,r),new E.Disposable(()=>{this._viewProviders.delete(a),this._proxy.$unregisterWebviewViewProvider(a)})}async $resolveWebviewView(u,a,t,r,o){const l=this._viewProviders.get(a);if(!l)throw new Error(`No view provider found for '${a}'`);const{provider:i,extension:f}=l,y=this._extHostWebview.createNewWebview(u,{},f),I=new g(u,this._proxy,a,t,y,!0);this._webviewViews.set(u,I),await i.resolveWebviewView(I,{state:r},o)}async $onDidChangeWebviewViewVisibility(u,a){this.getWebviewView(u)._setVisible(a)}async $disposeWebviewView(u){const a=this.getWebviewView(u);this._webviewViews.delete(u),a.dispose(),this._extHostWebview.deleteWebview(u)}getWebviewView(u){const a=this._webviewViews.get(u);if(!a)throw new Error("No webview found");return a}}e.ExtHostWebviewViews=b}),define(we[99],Ee([0,1,3,5,2,16,8,4,14]),function(ae,e,_,S,T,P,E,k,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let n=class kn{constructor(C){this._onDidChangeWindowState=new _.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=kn.InitialState,this._proxy=C.getProxy(S.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(v=>this.$onDidChangeWindowFocus(v))}get state(){return this._state}$onDidChangeWindowFocus(C){C!==this._state.focused&&(this._state=Object.assign(Object.assign({},this._state),{focused:C}),this._onDidChangeWindowState.fire(this._state))}openUri(C,v){let d;if(typeof C=="string"){d=C;try{C=T.URI.parse(C)}catch(s){return Promise.reject(`Invalid uri - '${C}'`)}}return(0,E.isFalsyOrWhitespace)(C.scheme)?Promise.reject("Invalid scheme - cannot be empty"):C.scheme===P.Schemas.command?Promise.reject(`Invalid scheme '${C.scheme}'`):this._proxy.$openUri(C,d,v)}async asExternalUri(C,v){if((0,E.isFalsyOrWhitespace)(C.scheme))return Promise.reject("Invalid scheme - cannot be empty");if(!new Set([P.Schemas.http,P.Schemas.https]).has(C.scheme))return Promise.reject(`Invalid scheme '${C.scheme}'`);const d=await this._proxy.$asExternalUri(C,v);return T.URI.from(d)}};n.InitialState={focused:!0},n=je([Ke(0,D.IExtHostRpcService)],n),e.ExtHostWindow=n,e.IExtHostWindow=(0,k.createDecorator)("IExtHostWindow")}),define(we[208],Ee([0,1,19,5,27,14]),function(ae,e,_,S,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let E=class extends _.AbstractLogger{constructor(D,n){super();this._proxy=D.getProxy(S.MainContext.MainThreadLog),this._logFile=n.logFile.toJSON(),this.setLevel(n.logLevel)}$setLevel(D){this.setLevel(D)}trace(D,...n){this.getLevel()<=_.LogLevel.Trace&&this._proxy.$log(this._logFile,_.LogLevel.Trace,Array.from(arguments))}debug(D,...n){this.getLevel()<=_.LogLevel.Debug&&this._proxy.$log(this._logFile,_.LogLevel.Debug,Array.from(arguments))}info(D,...n){this.getLevel()<=_.LogLevel.Info&&this._proxy.$log(this._logFile,_.LogLevel.Info,Array.from(arguments))}warn(D,...n){this.getLevel()<=_.LogLevel.Warning&&this._proxy.$log(this._logFile,_.LogLevel.Warning,Array.from(arguments))}error(D,...n){this.getLevel()<=_.LogLevel.Error&&this._proxy.$log(this._logFile,_.LogLevel.Error,Array.from(arguments))}critical(D,...n){this.getLevel()<=_.LogLevel.Critical&&this._proxy.$log(this._logFile,_.LogLevel.Critical,Array.from(arguments))}flush(){}};E=je([Ke(0,P.IExtHostRpcService),Ke(1,T.IExtHostInitDataService)],E),e.ExtHostLogService=E}),define(we[209],Ee([0,1,13,20,10,3,6,110,182,96,26]),function(ae,e,_,S,T,P,E,k,D,n,A){"use strict";var C;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=void 0;function v(l,i){try{return JSON.stringify(l,i)}catch(f){return"null"}}function d(l,i){return JSON.stringify(l,i)}function s(l){return l?(i,f)=>f&&f.$mid===1?l.transformOutgoing(f):f:null}var h;(function(l){l[l.LocalSide=0]="LocalSide",l[l.OtherSide=1]="OtherSide"})(h=e.RequestInitiator||(e.RequestInitiator={}));var p;(function(l){l[l.Responsive=0]="Responsive",l[l.Unresponsive=1]="Unresponsive"})(p=e.ResponsiveState||(e.ResponsiveState={}));const g=()=>{},b=Symbol.for("rpcProtocol"),c=Symbol.for("rpcProxy");class u extends E.Disposable{constructor(i,f=null,y=null){super();this[C]=!0,this._onDidChangeResponsiveState=this._register(new P.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=i,this._logger=f,this._uriTransformer=y,this._uriReplacer=s(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let I=0,m=n.ProxyIdentifier.count;I<m;I++)this._locals[I]=null,this._proxies[I]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new _.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(I=>this._receiveOneMessage(I))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(i=>{this._pendingRPCReplies[i].resolveErr(T.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(i){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+u.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(i){this._unresponsiveTime=Date.now()+u.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(i){this._responsiveState!==i&&(this._responsiveState=i,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(i){return this._uriTransformer?(0,k.transformIncomingURIs)(i,this._uriTransformer):i}getProxy(i){const{nid:f,sid:y}=i;return this._proxies[f]||(this._proxies[f]=this._createProxy(f,y)),this._proxies[f]}_createProxy(i,f){let y={get:(I,m)=>(typeof m=="string"&&!I[m]&&m.charCodeAt(0)===36&&(I[m]=(...w)=>this._remoteCall(i,m,w)),m===c?f:I[m])};return new Proxy(Object.create(null),y)}set(i,f){return this._locals[i.nid]=f,f}assertRegistered(i){for(let f=0,y=i.length;f<y;f++){const I=i[f];if(!this._locals[I.nid])throw new Error(`Missing actor ${I.sid} (isMain: ${I.isMain})`)}}_receiveOneMessage(i){if(!this._isDisposed){const f=i.byteLength,y=a.read(i,0),I=y.readUInt8(),m=y.readUInt32();switch(I){case 1:case 2:{let{rpcId:w,method:R,args:F}=t.deserializeRequestJSONArgs(y);this._uriTransformer&&(F=(0,k.transformIncomingURIs)(F,this._uriTransformer)),this._receiveRequest(f,m,w,R,F,I===2);break}case 3:case 4:{let{rpcId:w,method:R,args:F}=t.deserializeRequestMixedArgs(y);this._uriTransformer&&(F=(0,k.transformIncomingURIs)(F,this._uriTransformer)),this._receiveRequest(f,m,w,R,F,I===4);break}case 5:{this._logger&&this._logger.logIncoming(f,m,0,"ack"),this._onDidReceiveAcknowledge(m);break}case 6:{this._receiveCancel(f,m);break}case 7:{this._receiveReply(f,m,void 0);break}case 9:{let w=t.deserializeReplyOKJSON(y);this._uriTransformer&&(w=(0,k.transformIncomingURIs)(w,this._uriTransformer)),this._receiveReply(f,m,w);break}case 8:{let w=t.deserializeReplyOKVSBuffer(y);this._receiveReply(f,m,w);break}case 10:{let w=t.deserializeReplyErrError(y);this._uriTransformer&&(w=(0,k.transformIncomingURIs)(w,this._uriTransformer)),this._receiveReplyErr(f,m,w);break}case 11:{this._receiveReplyErr(f,m,void 0);break}default:console.error("received unexpected message"),console.error(i)}}}_receiveRequest(i,f,y,I,m,w){this._logger&&this._logger.logIncoming(i,f,1,`receiveRequest ${(0,n.getStringIdentifierForProxy)(y)}.${I}(`,m);const R=String(f);let F,W;if(w){const ie=new S.CancellationTokenSource;m.push(ie.token),F=this._invokeHandler(y,I,m),W=()=>ie.cancel()}else F=this._invokeHandler(y,I,m),W=g;this._cancelInvokedHandlers[R]=W;const oe=t.serializeAcknowledged(f);this._logger&&this._logger.logOutgoing(oe.byteLength,f,1,"ack"),this._protocol.send(oe),F.then(ie=>{delete this._cancelInvokedHandlers[R];const j=t.serializeReplyOK(f,ie,this._uriReplacer);this._logger&&this._logger.logOutgoing(j.byteLength,f,1,"reply:",ie),this._protocol.send(j)},ie=>{delete this._cancelInvokedHandlers[R];const j=t.serializeReplyErr(f,ie);this._logger&&this._logger.logOutgoing(j.byteLength,f,1,"replyErr:",ie),this._protocol.send(j)})}_receiveCancel(i,f){this._logger&&this._logger.logIncoming(i,f,1,"receiveCancel");const y=String(f);this._cancelInvokedHandlers[y]&&this._cancelInvokedHandlers[y]()}_receiveReply(i,f,y){this._logger&&this._logger.logIncoming(i,f,0,"receiveReply:",y);const I=String(f);if(!!this._pendingRPCReplies.hasOwnProperty(I)){const m=this._pendingRPCReplies[I];delete this._pendingRPCReplies[I],m.resolveOk(y)}}_receiveReplyErr(i,f,y){this._logger&&this._logger.logIncoming(i,f,0,"receiveReplyErr:",y);const I=String(f);if(!!this._pendingRPCReplies.hasOwnProperty(I)){const m=this._pendingRPCReplies[I];delete this._pendingRPCReplies[I];let w;y&&(y.$isError?(w=new Error,w.name=y.name,w.message=y.message,w.stack=y.stack):w=y),m.resolveErr(w)}}_invokeHandler(i,f,y){try{return Promise.resolve(this._doInvokeHandler(i,f,y))}catch(I){return Promise.reject(I)}}_doInvokeHandler(i,f,y){const I=this._locals[i];if(!I)throw new Error("Unknown actor "+(0,n.getStringIdentifierForProxy)(i));let m=I[f];if(typeof m!="function")throw new Error("Unknown method "+f+" on actor "+(0,n.getStringIdentifierForProxy)(i));return m.apply(I,y)}_remoteCall(i,f,y){if(this._isDisposed)return Promise.reject(T.canceled());let I=null;if(y.length>0&&S.CancellationToken.isCancellationToken(y[y.length-1])&&(I=y.pop()),I&&I.isCancellationRequested)return Promise.reject(T.canceled());const m=t.serializeRequestArguments(y,this._uriReplacer),w=++this._lastMessageId,R=String(w),F=new D.LazyPromise;I&&I.onCancellationRequested(()=>{const oe=t.serializeCancel(w);this._logger&&this._logger.logOutgoing(oe.byteLength,w,0,"cancel"),this._protocol.send(t.serializeCancel(w))}),this._pendingRPCReplies[R]=F,this._onWillSendRequest(w);const W=t.serializeRequest(w,i,f,m,!!I);return this._logger&&this._logger.logOutgoing(W.byteLength,w,0,`request: ${(0,n.getStringIdentifierForProxy)(i)}.${f}(`,y),this._protocol.send(W),F}}e.RPCProtocol=u,C=b,u.UNRESPONSIVE_TIME=3*1e3;class a{constructor(i,f){this._buff=i,this._offset=f}static alloc(i,f,y){let I=new a(A.VSBuffer.alloc(y+1+4),0);return I.writeUInt8(i),I.writeUInt32(f),I}static read(i,f){return new a(i,f)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(i){this._buff.writeUInt8(i,this._offset),this._offset+=1}readUInt8(){const i=this._buff.readUInt8(this._offset);return this._offset+=1,i}writeUInt32(i){this._buff.writeUInt32BE(i,this._offset),this._offset+=4}readUInt32(){const i=this._buff.readUInt32BE(this._offset);return this._offset+=4,i}static sizeShortString(i){return 1+i.byteLength}writeShortString(i){this._buff.writeUInt8(i.byteLength,this._offset),this._offset+=1,this._buff.set(i,this._offset),this._offset+=i.byteLength}readShortString(){const i=this._buff.readUInt8(this._offset);this._offset+=1;const y=this._buff.slice(this._offset,this._offset+i).toString();return this._offset+=i,y}static sizeLongString(i){return 4+i.byteLength}writeLongString(i){this._buff.writeUInt32BE(i.byteLength,this._offset),this._offset+=4,this._buff.set(i,this._offset),this._offset+=i.byteLength}readLongString(){const i=this._buff.readUInt32BE(this._offset);this._offset+=4;const y=this._buff.slice(this._offset,this._offset+i).toString();return this._offset+=i,y}writeBuffer(i){this._buff.writeUInt32BE(i.byteLength,this._offset),this._offset+=4,this._buff.set(i,this._offset),this._offset+=i.byteLength}static sizeVSBuffer(i){return 4+i.byteLength}writeVSBuffer(i){this._buff.writeUInt32BE(i.byteLength,this._offset),this._offset+=4,this._buff.set(i,this._offset),this._offset+=i.byteLength}readVSBuffer(){const i=this._buff.readUInt32BE(this._offset);this._offset+=4;const f=this._buff.slice(this._offset,this._offset+i);return this._offset+=i,f}static sizeMixedArray(i,f){let y=0;y+=1;for(let I=0,m=i.length;I<m;I++){const w=i[I],R=f[I];switch(y+=1,R){case 1:y+=this.sizeLongString(w);break;case 2:y+=this.sizeVSBuffer(w);break;case 3:break}}return y}writeMixedArray(i,f){this._buff.writeUInt8(i.length,this._offset),this._offset+=1;for(let y=0,I=i.length;y<I;y++){const m=i[y];switch(f[y]){case 1:this.writeUInt8(1),this.writeLongString(m);break;case 2:this.writeUInt8(2),this.writeVSBuffer(m);break;case 3:this.writeUInt8(3);break}}}readMixedArray(){const i=this._buff.readUInt8(this._offset);this._offset+=1;let f=new Array(i);for(let y=0;y<i;y++)switch(this.readUInt8()){case 1:f[y]=this.readLongString();break;case 2:f[y]=this.readVSBuffer();break;case 3:f[y]=void 0;break}return f}}class t{static _arrayContainsBufferOrUndefined(i){for(let f=0,y=i.length;f<y;f++)if(i[f]instanceof A.VSBuffer||typeof i[f]=="undefined")return!0;return!1}static serializeRequestArguments(i,f){if(this._arrayContainsBufferOrUndefined(i)){let y=[],I=[];for(let m=0,w=i.length;m<w;m++){const R=i[m];R instanceof A.VSBuffer?(y[m]=R,I[m]=2):typeof R=="undefined"?(y[m]=A.VSBuffer.alloc(0),I[m]=3):(y[m]=A.VSBuffer.fromString(d(R,f)),I[m]=1)}return{type:"mixed",args:y,argsType:I}}return{type:"simple",args:d(i,f)}}static serializeRequest(i,f,y,I,m){return I.type==="mixed"?this._requestMixedArgs(i,f,y,I.args,I.argsType,m):this._requestJSONArgs(i,f,y,I.args,m)}static _requestJSONArgs(i,f,y,I,m){const w=A.VSBuffer.fromString(y),R=A.VSBuffer.fromString(I);let F=0;F+=a.sizeUInt8(),F+=a.sizeShortString(w),F+=a.sizeLongString(R);let W=a.alloc(m?2:1,i,F);return W.writeUInt8(f),W.writeShortString(w),W.writeLongString(R),W.buffer}static deserializeRequestJSONArgs(i){const f=i.readUInt8(),y=i.readShortString(),I=i.readLongString();return{rpcId:f,method:y,args:JSON.parse(I)}}static _requestMixedArgs(i,f,y,I,m,w){const R=A.VSBuffer.fromString(y);let F=0;F+=a.sizeUInt8(),F+=a.sizeShortString(R),F+=a.sizeMixedArray(I,m);let W=a.alloc(w?4:3,i,F);return W.writeUInt8(f),W.writeShortString(R),W.writeMixedArray(I,m),W.buffer}static deserializeRequestMixedArgs(i){const f=i.readUInt8(),y=i.readShortString(),I=i.readMixedArray(),m=new Array(I.length);for(let w=0,R=I.length;w<R;w++){const F=I[w];typeof F=="string"?m[w]=JSON.parse(F):m[w]=F}return{rpcId:f,method:y,args:m}}static serializeAcknowledged(i){return a.alloc(5,i,0).buffer}static serializeCancel(i){return a.alloc(6,i,0).buffer}static serializeReplyOK(i,f,y){return typeof f=="undefined"?this._serializeReplyOKEmpty(i):f instanceof A.VSBuffer?this._serializeReplyOKVSBuffer(i,f):this._serializeReplyOKJSON(i,v(f,y))}static _serializeReplyOKEmpty(i){return a.alloc(7,i,0).buffer}static _serializeReplyOKVSBuffer(i,f){let y=0;y+=a.sizeVSBuffer(f);let I=a.alloc(8,i,y);return I.writeVSBuffer(f),I.buffer}static deserializeReplyOKVSBuffer(i){return i.readVSBuffer()}static _serializeReplyOKJSON(i,f){const y=A.VSBuffer.fromString(f);let I=0;I+=a.sizeLongString(y);let m=a.alloc(9,i,I);return m.writeLongString(y),m.buffer}static deserializeReplyOKJSON(i){const f=i.readLongString();return JSON.parse(f)}static serializeReplyErr(i,f){return f?this._serializeReplyErrEror(i,f):this._serializeReplyErrEmpty(i)}static _serializeReplyErrEror(i,f){const y=A.VSBuffer.fromString(v(T.transformErrorForSerialization(f),null));let I=0;I+=a.sizeLongString(y);let m=a.alloc(10,i,I);return m.writeLongString(y),m.buffer}static deserializeReplyErrError(i){const f=i.readLongString();return JSON.parse(f)}static _serializeReplyErrEmpty(i){return a.alloc(11,i,0).buffer}}var r;(function(l){l[l.RequestJSONArgs=1]="RequestJSONArgs",l[l.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",l[l.RequestMixedArgs=3]="RequestMixedArgs",l[l.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",l[l.Acknowledged=5]="Acknowledged",l[l.Cancel=6]="Cancel",l[l.ReplyOKEmpty=7]="ReplyOKEmpty",l[l.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",l[l.ReplyOKJSON=9]="ReplyOKJSON",l[l.ReplyErrError=10]="ReplyErrError",l[l.ReplyErrEmpty=11]="ReplyErrEmpty"})(r||(r={}));var o;(function(l){l[l.String=1]="String",l[l.VSBuffer=2]="VSBuffer",l[l.Undefined=3]="Undefined"})(o||(o={}))}),define(we[210],Ee([0,1]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NestedWorker=void 0;const _=function(P){const E=k=>{self.removeEventListener("message",E);const D=k.data;Object.defineProperties(self,{postMessage:{value(n,A){D.postMessage(n,A)}},onmessage:{get(){return D.onmessage},set(n){D.onmessage=n}}}),D.addEventListener("message",n=>{self.dispatchEvent(new MessageEvent("message",{data:n.data}))}),D.start(),self.Worker=class{constructor(){throw new TypeError("Nested workers from within nested worker are NOT supported.")}},importScripts(P)};self.addEventListener("message",E)}.toString();class S extends EventTarget{constructor(P,E,k){super();this.onmessage=null,this.onmessageerror=null,this.onerror=null;const D=`((${_})('${E}'))`,n=new Blob([D],{type:"application/javascript"}),A=URL.createObjectURL(n),C=new MessageChannel,v=A,d={type:"_newWorker",id:v,port:C.port2,url:A,options:k};P(d,[C.port2]),this.postMessage=C.port1.postMessage.bind(C.port1),this.terminate=()=>{const s={type:"_terminateWorker",id:v};C.port1.postMessage(s),URL.revokeObjectURL(A),C.port1.close(),C.port2.close()},Object.defineProperties(this,{onmessage:{get(){return C.port1.onmessage},set(s){C.port1.onmessage=s}},onmessageerror:{get(){return C.port1.onmessageerror},set(s){C.port1.onmessageerror=s}}}),C.port1.addEventListener("messageerror",s=>{const h=new MessageEvent("messageerror",{data:s.data});this.dispatchEvent(h)}),C.port1.addEventListener("message",s=>{const h=new MessageEvent("message",{data:s.data});this.dispatchEvent(h)}),C.port1.start()}}e.NestedWorker=S}),define(we[211],Ee([0,1,4]),function(ae,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=(0,_.createDecorator)("remoteAgentService")}),define(we[212],Ee([0,1,16,11,21,2,4,211]),function(ae,e,_,S,T,P,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=(0,E.createDecorator)("pathService");let D=class{constructor(A,C){this.localUserHome=A,this.remoteAgentService=C,this.resolveOS=(async()=>{const v=await this.remoteAgentService.getEnvironment();return(v==null?void 0:v.os)||T.OS})(),this.resolveUserHome=(async()=>{const v=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=(v==null?void 0:v.userHome)||A})()}async userHome(A){return(A==null?void 0:A.preferLocal)?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(A=>A===1?S.win32:S.posix)}async fileURI(A){let C="";if(await this.resolveOS===1&&(A=A.replace(/\\/g,"/")),A[0]==="/"&&A[1]==="/"){const d=A.indexOf("/",2);d===-1?(C=A.substring(2),A="/"):(C=A.substring(2,d),A=A.substring(d)||"/")}return P.URI.from({scheme:_.Schemas.file,authority:C,path:A,query:"",fragment:""})}};D=je([Ke(1,k.IRemoteAgentService)],D),e.AbstractPathService=D}),define(we[43],Ee([0,1,15,28,23,38,8,4,11,10]),function(ae,e,_,S,T,P,E,k,D,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=void 0,e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const A="\u27EA ",C=" characters skipped \u27EB",v=(A.length+C.length+5)*2;e.ISearchService=(0,k.createDecorator)("searchService");var d;(function(M){M[M.file=0]="file",M[M.text=1]="text"})(d=e.SearchProviderType||(e.SearchProviderType={}));var s;(function(M){M[M.File=1]="File",M[M.Text=2]="Text"})(s=e.QueryType||(e.QueryType={}));function h(M){return!!M.preview}e.resultIsMatch=h;function p(M){return!!M.resource}e.isFileMatch=p;function g(M){return!!M.message}e.isProgressMessage=g;var b;(function(M){M[M.Normal=0]="Normal",M[M.NewSearchStarted=1]="NewSearchStarted"})(b=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class c{constructor(x){this.resource=x,this.results=[]}}e.FileMatch=c;class u{constructor(x,$,q){this.ranges=$;const U=Array.isArray($)?$:[$];if(q&&q.matchLines===1&&a(U)){x=(0,E.getNLines)(x,q.matchLines);let Y="",Z=0,se=0;const Se=Math.floor(q.charsPerLine/5),Pe=[];for(const $e of U){const Fe=Math.max($e.startColumn-Se,0),He=$e.startColumn+q.charsPerLine;if(Fe>se+Se+v){const N=A+(Fe-se)+C;Y+=N+x.slice(Fe,He),Z+=Fe-(se+N.length)}else Y+=x.slice(se,He);Pe.push(new r(0,$e.startColumn-Z,$e.endColumn-Z)),se=He}this.preview={text:Y,matches:Array.isArray(this.ranges)?Pe:Pe[0]}}else{const Y=Array.isArray($)?$[0].startLineNumber:$.startLineNumber;this.preview={text:x,matches:(0,_.mapArrayOrNot)($,Z=>new t(Z.startLineNumber-Y,Z.startColumn,Z.endLineNumber-Y,Z.endColumn))}}}}e.TextSearchMatch=u;function a(M){const x=M[0].startLineNumber;for(const $ of M)if($.startLineNumber!==x||$.endLineNumber!==x)return!1;return!0}class t{constructor(x,$,q,U){this.startLineNumber=x,this.startColumn=$,this.endLineNumber=q,this.endColumn=U}}e.SearchRange=t;class r extends t{constructor(x,$,q){super(x,$,x,q)}}e.OneLineRange=r;var o;(function(M){M.Default="default",M.FileNames="fileNames",M.Type="type",M.Modified="modified",M.CountDescending="countDescending",M.CountAscending="countAscending"})(o=e.SearchSortOrder||(e.SearchSortOrder={}));function l(M,x=!0){const $=M&&M.files&&M.files.exclude,q=x&&M&&M.search&&M.search.exclude;if(!(!$&&!q)){if(!$||!q)return $||q;let U=Object.create(null);return U=T.mixin(U,T.deepClone($)),U=T.mixin(U,T.deepClone(q),!0),U}}e.getExcludes=l;function i(M,x){return M.excludePattern&&S.match(M.excludePattern,x)?!1:M.includePattern||M.usingSearchPaths?M.includePattern&&S.match(M.includePattern,x)?!0:M.usingSearchPaths?!!M.folderQueries&&M.folderQueries.some($=>{const q=$.folder.fsPath;if(P.isEqualOrParent(x,q)){const U=D.relative(q,x);return!$.includePattern||!!S.match($.includePattern,U)}else return!1}):!1:!0}e.pathIncludedInQuery=i;var f;(function(M){M[M.unknownEncoding=1]="unknownEncoding",M[M.regexParseError=2]="regexParseError",M[M.globParseError=3]="globParseError",M[M.invalidLiteral=4]="invalidLiteral",M[M.rgProcessError=5]="rgProcessError",M[M.other=6]="other",M[M.canceled=7]="canceled"})(f=e.SearchErrorCode||(e.SearchErrorCode={}));class y extends Error{constructor(x,$){super(x);this.code=$}}e.SearchError=y;function I(M){const x=M.message;if((0,n.isPromiseCanceledError)(M))return new y(x,f.canceled);try{const $=JSON.parse(x);return new y($.message,$.code)}catch($){return new y(x,f.other)}}e.deserializeSearchError=I;function m(M){const x={message:M.message,code:M.code};return new Error(JSON.stringify(x))}e.serializeSearchError=m;function w(M){return M.type==="error"?!0:M.type==="success"}e.isSerializedSearchComplete=w;function R(M){return M.type==="success"}e.isSerializedSearchSuccess=R;function F(M){return!!M.path}e.isSerializedFileMatch=F;function W(M,x){const $=M.searchPath?M.searchPath:M.relativePath;return(0,E.fuzzyContains)($,x)}e.isFilePatternMatch=W;class oe{constructor(x){this.path=x,this.results=[]}addMatch(x){this.results.push(x)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=oe;function ie(M,x){const $=Object.assign(Object.assign({},M||{}),x||{});return Object.keys($).filter(q=>{const U=$[q];return typeof U=="boolean"&&U})}e.resolvePatternsForProvider=ie;class j{constructor(x,$){this._parsedIncludeExpression=null,this._excludeExpression=Object.assign(Object.assign({},x.excludePattern||{}),$.excludePattern||{}),this._parsedExcludeExpression=S.parse(this._excludeExpression);let q=x.includePattern;$.includePattern&&(q?q=Object.assign(Object.assign({},q),$.includePattern):q=$.includePattern),q&&(this._parsedIncludeExpression=S.parse(q))}includedInQuerySync(x,$,q){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression(x,$,q)||this._parsedIncludeExpression&&!this._parsedIncludeExpression(x,$,q))}includedInQuery(x,$,q){return Promise.resolve(this._parsedExcludeExpression(x,$,q)).then(Y=>!!Y).then(Y=>Y?!1:this._parsedIncludeExpression?Promise.resolve(this._parsedIncludeExpression(x,$,q)).then(Z=>!!Z):Promise.resolve(!0)).then(Y=>Y)}hasSiblingExcludeClauses(){return ee(this._excludeExpression)}}e.QueryGlobTester=j;function ee(M){for(const x in M)if(typeof M[x]!="boolean")return!0;return!1}}),define(we[31],Ee([0,1,15,13,20,3,22,16,78,24,8,12,2,134,4,19,148,48,49,27,14,7,43,5]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s,h,p,g,b,c,u,a,t,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function o(R,F,W){return new n.ExtUri(oe=>y(oe,W)).isEqual(R,F)}function l(R,F,W){return o(R.uri,F.uri,W)?0:(0,A.compare)(R.uri.toString(),F.uri.toString())}function i(R,F,W){return R.index!==F.index?R.index<F.index?-1:1:o(R.uri,F.uri,W)?(0,A.compare)(R.name,F.name):(0,A.compare)(R.uri.toString(),F.uri.toString())}function f(R,F,W,oe){const ie=R.slice(0).sort((ee,M)=>W(ee,M,oe)),j=F.slice(0).sort((ee,M)=>W(ee,M,oe));return(0,_.delta)(ie,j,(ee,M)=>W(ee,M,oe))}function y(R,F){const W=F.getCapabilities(R.scheme);return!(W&&W&1024)}class I extends g.Workspace{constructor(F,W,oe,ie,j,ee){super(F,oe.map(M=>new g.WorkspaceFolder(M)),ie,ee);this._name=W,this._isUntitled=j,this._workspaceFolders=[],this._structure=E.TernarySearchTree.forUris(ee),oe.forEach(M=>{this._workspaceFolders.push(M),this._structure.set(M.uri,M)})}static toExtHostWorkspace(F,W,oe,ie){if(!F)return{workspace:null,added:[],removed:[]};const{id:j,name:ee,folders:M,configuration:x,isUntitled:$}=F,q=[],U=W;W?M.forEach((Se,Pe)=>{const $e=v.URI.revive(Se.uri),Fe=I._findFolder(oe||W,$e,ie);Fe?(Fe.name=Se.name,Fe.index=Se.index,q.push(Fe)):q.push({uri:$e,name:Se.name,index:Pe})}):q.push(...M.map(({uri:Se,name:Pe,index:$e})=>({uri:v.URI.revive(Se),name:Pe,index:$e}))),q.sort((Se,Pe)=>Se.index<Pe.index?-1:1);const Y=new I(j,ee,q,x?v.URI.revive(x):null,!!$,Se=>y(Se,ie)),{added:Z,removed:se}=f(U?U.workspaceFolders:[],Y.workspaceFolders,l,ie);return{workspace:Y,added:Z,removed:se}}static _findFolder(F,W,oe){for(let ie=0;ie<F.folders.length;ie++){const j=F.workspaceFolders[ie];if(o(j.uri,W,oe))return j}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(F,W){return W&&this._structure.get(F)&&(F=(0,n.dirname)(F)),this._structure.findSubstr(F)}resolveWorkspaceFolder(F){return this._structure.get(F)}}let m=class{constructor(F,W,oe,ie){this._onDidChangeWorkspace=new P.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidChangeWorkspaceTrustState=new P.Emitter,this.onDidChangeWorkspaceTrustState=this._onDidChangeWorkspaceTrustState.event,this._activeSearchCallbacks=[],this._workspaceTrustState=a.WorkspaceTrustState.Unknown,this._logService=ie,this._extHostFileSystemInfo=oe,this._requestIdProvider=new D.Counter,this._barrier=new S.Barrier,this._proxy=F.getProxy(r.MainContext.MainThreadWorkspace),this._messageService=F.getProxy(r.MainContext.MainThreadMessageService);const j=W.workspace;this._confirmedWorkspace=j?new I(j.id,j.name,[],j.configuration?v.URI.revive(j.configuration):null,!!j.isUntitled,ee=>y(ee,oe)):void 0}$initializeWorkspace(F,W){this._workspaceTrustState=W,this.$acceptWorkspaceData(F),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?v.URI.from({scheme:k.Schemas.untitled,path:(0,n.basename)((0,n.dirname)(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(F,W,oe,...ie){const j=[];if(Array.isArray(ie)&&ie.forEach(q=>{v.URI.isUri(q.uri)&&!j.some(U=>o(U.uri,q.uri,this._extHostFileSystemInfo))&&j.push({uri:q.uri,name:q.name||(0,n.basenameOrAuthority)(q.uri)})}),this._unconfirmedWorkspace||[W,oe].some(q=>typeof q!="number"||q<0)||oe===0&&j.length===0)return!1;const ee=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if(W+oe>ee.length)return!1;const M=ee.slice(0);M.splice(W,oe,...j.map(q=>({uri:q.uri,name:q.name||(0,n.basenameOrAuthority)(q.uri),index:void 0})));for(let q=0;q<M.length;q++){const U=M[q];if(M.some((Y,Z)=>Z!==q&&o(U.uri,Y.uri,this._extHostFileSystemInfo)))return!1}M.forEach((q,U)=>q.index=U);const{added:x,removed:$}=f(ee,M,i,this._extHostFileSystemInfo);if(x.length===0&&$.length===0)return!1;if(this._proxy){const q=F.displayName||F.name;this._proxy.$updateWorkspaceFolders(q,W,oe,j).then(void 0,U=>{this._unconfirmedWorkspace=void 0,this._messageService.$showMessage(p.Severity.Error,(0,d.localize)(0,null,q,U.toString()),{extension:F},[])})}return this.trySetWorkspaceFolders(M),!0}getWorkspaceFolder(F,W){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(F,W)}async getWorkspaceFolder2(F,W){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(F,W)}async resolveWorkspaceFolder(F){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(F)}getPath(){if(!!this._actualWorkspace){const{folders:F}=this._actualWorkspace;if(F.length!==0)return F[0].uri.fsPath}}getRelativePath(F,W){let oe,ie="";if(typeof F=="string"?(oe=v.URI.file(F),ie=F):typeof F!="undefined"&&(oe=F,ie=F.fsPath),!oe)return ie;const j=this.getWorkspaceFolder(oe,!0);if(!j)return ie;typeof W=="undefined"&&this._actualWorkspace&&(W=this._actualWorkspace.folders.length>1);let ee=(0,n.relativePath)(j.uri,oe);return W&&j.name&&(ee=`${j.name}/${ee}`),ee}trySetWorkspaceFolders(F){this._actualWorkspace&&(this._unconfirmedWorkspace=I.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:F,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(F){const{workspace:W,added:oe,removed:ie}=I.toExtHostWorkspace(F,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=W||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:oe,removed:ie}))}findFiles(F,W,oe,ie,j=T.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${ie.value}, entryPoint: findFiles`);let ee;if(W===null?ee=!1:W&&(typeof W=="string"?ee=W:ee=W.pattern),j&&j.isCancellationRequested)return Promise.resolve([]);const{includePattern:M,folder:x}=w(F);return this._proxy.$startFileSearch((0,C.withUndefinedAsNull)(M),(0,C.withUndefinedAsNull)(x),(0,C.withUndefinedAsNull)(ee),(0,C.withUndefinedAsNull)(oe),j).then($=>Array.isArray($)?$.map(q=>v.URI.revive(q)):[])}async findTextInFiles(F,W,oe,ie,j=T.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${ie.value}, entryPoint: findTextInFiles`);const ee=this._requestIdProvider.getNext(),M=typeof W.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:W.previewOptions,{includePattern:x,folder:$}=w(W.include),q=typeof W.exclude=="string"?W.exclude:W.exclude?W.exclude.pattern:void 0,U={ignoreSymlinks:typeof W.followSymlinks=="boolean"?!W.followSymlinks:void 0,disregardIgnoreFiles:typeof W.useIgnoreFiles=="boolean"?!W.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof W.useGlobalIgnoreFiles=="boolean"?!W.useGlobalIgnoreFiles:void 0,disregardExcludeSettings:typeof W.useDefaultExcludes=="boolean"?!W.useDefaultExcludes:!0,fileEncoding:W.encoding,maxResults:W.maxResults,previewOptions:M,afterContext:W.afterContext,beforeContext:W.beforeContext,includePattern:x,excludePattern:q},Y=!1;if(this._activeSearchCallbacks[ee]=Z=>{if(!Y){const se=v.URI.revive(Z.resource);Z.results.forEach(Se=>{(0,t.resultIsMatch)(Se)?oe({uri:se,preview:{text:Se.preview.text,matches:(0,_.mapArrayOrNot)(Se.preview.matches,Pe=>new a.Range(Pe.startLineNumber,Pe.startColumn,Pe.endLineNumber,Pe.endColumn))},ranges:(0,_.mapArrayOrNot)(Se.ranges,Pe=>new a.Range(Pe.startLineNumber,Pe.startColumn,Pe.endLineNumber,Pe.endColumn))}):oe({uri:se,text:Se.text,lineNumber:Se.lineNumber})})}},j.isCancellationRequested)return{};try{const Z=await this._proxy.$startTextSearch(F,(0,C.withUndefinedAsNull)($),U,ee,j);return delete this._activeSearchCallbacks[ee],Z||{}}catch(Z){throw delete this._activeSearchCallbacks[ee],Z}}$handleTextSearchResult(F,W){this._activeSearchCallbacks[W]&&this._activeSearchCallbacks[W](F)}saveAll(F){return this._proxy.$saveAll(F)}resolveProxy(F){return this._proxy.$resolveProxy(F)}get trustState(){return this._workspaceTrustState}requireWorkspaceTrust(F){return this._proxy.$requireWorkspaceTrust(F)}$onDidChangeWorkspaceTrustState(F){this._workspaceTrustState=F.currentTrustState,this._onDidChangeWorkspaceTrustState.fire(Object.freeze(F))}};m=je([Ke(0,u.IExtHostRpcService),Ke(1,c.IExtHostInitDataService),Ke(2,b.IExtHostFileSystemInfo),Ke(3,h.ILogService)],m),e.ExtHostWorkspace=m,e.IExtHostWorkspace=(0,s.createDecorator)("IExtHostWorkspace");function w(R){let F,W;return R&&(typeof R=="string"?F=R:(F=R.pattern,W=R.baseFolder||v.URI.file(R.base))),{includePattern:F,folder:W}}}),define(we[34],Ee([0,1,23,3,31,5,7,150,67,12,13,4,14,19,2]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function h(r,o){if(o){const l=o.split(".");let i=r;for(let f=0;i&&f<l.length;f++)i=i[l[f]];return i}}function p(r){return r instanceof s.URI}function g(r){return r&&r.uri instanceof s.URI&&r.languageId&&typeof r.languageId=="string"}function b(r){return r&&!r.uri&&r.languageId&&typeof r.languageId=="string"}function c(r){return r&&r.uri instanceof s.URI&&(!r.name||typeof r.name=="string")&&(!r.index||typeof r.index=="number")}function u(r){if(p(r))return{resource:r};if(g(r))return{resource:r.uri,overrideIdentifier:r.languageId};if(b(r))return{overrideIdentifier:r.languageId};if(c(r))return{resource:r.uri};if(r===null)return{resource:null}}let a=class{constructor(o,l,i){this._proxy=o.getProxy(P.MainContext.MainThreadConfiguration),this._extHostWorkspace=l,this._logService=i,this._barrier=new A.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(o=>this._actual)}$initializeConfiguration(o){this._actual=new t(this._proxy,this._extHostWorkspace,o,this._logService),this._barrier.open()}$acceptConfigurationChanged(o,l){this.getConfigProvider().then(i=>i.$acceptConfigurationChanged(o,l))}};a=je([Ke(0,v.IExtHostRpcService),Ke(1,T.IExtHostWorkspace),Ke(2,d.ILogService)],a),e.ExtHostConfiguration=a;class t{constructor(o,l,i,f){this._onDidChangeConfiguration=new S.Emitter,this._proxy=o,this._logService=f,this._extHostWorkspace=l,this._configuration=k.Configuration.parse(i),this._configurationScopes=this._toMap(i.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(o,l){const i={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=k.Configuration.parse(o),this._configurationScopes=this._toMap(o.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(l,i))}getConfiguration(o,l,i){const f=u(l)||{},y=this._toReadonlyValue(o?h(this._configuration.getValue(void 0,f,this._extHostWorkspace.workspace),o):this._configuration.getValue(void 0,f,this._extHostWorkspace.workspace));o&&this._validateConfigurationAccess(o,f,i==null?void 0:i.identifier);function I(w){if(w==null)return null;if(typeof w=="boolean")return w?1:4;switch(w){case E.ConfigurationTarget.Global:return 1;case E.ConfigurationTarget.Workspace:return 4;case E.ConfigurationTarget.WorkspaceFolder:return 5}}const m={has(w){return typeof h(y,w)!="undefined"},get:(w,R)=>{this._validateConfigurationAccess(o?`${o}.${w}`:w,f,i==null?void 0:i.identifier);let F=h(y,w);if(typeof F=="undefined")F=R;else{let W;const oe=(ie,j)=>{let ee;const M=()=>{W=W||(0,_.deepClone)(y),ee=ee||h(W,j)};return(0,n.isObject)(ie)?new Proxy(ie,{get:(x,$)=>{if(typeof $=="string"&&$.toLowerCase()==="tojson")return M(),()=>ee;if(W)return ee=ee||h(W,j),ee[$];const q=x[$];return typeof $=="string"?oe(q,`${j}.${$}`):q},set:(x,$,q)=>(M(),ee&&(ee[$]=q),!0),deleteProperty:(x,$)=>(M(),ee&&delete ee[$],!0),defineProperty:(x,$,q)=>(M(),ee&&Object.defineProperty(ee,$,q),!0)}):ie};F=oe(F,w)}return F},update:(w,R,F,W)=>{w=o?`${o}.${w}`:w;const oe=I(F);return R!==void 0?this._proxy.$updateConfigurationOption(oe,w,R,f,W):this._proxy.$removeConfigurationOption(oe,w,f,W)},inspect:w=>{var R,F,W,oe,ie,j,ee,M;w=o?`${o}.${w}`:w;const x=(0,_.deepClone)(this._configuration.inspect(w,f,this._extHostWorkspace.workspace));if(x)return{key:w,defaultValue:(R=x.default)===null||R===void 0?void 0:R.value,globalValue:(F=x.user)===null||F===void 0?void 0:F.value,workspaceValue:(W=x.workspace)===null||W===void 0?void 0:W.value,workspaceFolderValue:(oe=x.workspaceFolder)===null||oe===void 0?void 0:oe.value,defaultLanguageValue:(ie=x.default)===null||ie===void 0?void 0:ie.override,globalLanguageValue:(j=x.user)===null||j===void 0?void 0:j.override,workspaceLanguageValue:(ee=x.workspace)===null||ee===void 0?void 0:ee.override,workspaceFolderLanguageValue:(M=x.workspaceFolder)===null||M===void 0?void 0:M.override,languageIds:x.overrideIdentifiers}}};return typeof y=="object"&&(0,_.mixin)(m,y,!1),Object.freeze(m)}_toReadonlyValue(o){const l=i=>(0,n.isObject)(i)?new Proxy(i,{get:(f,y)=>l(f[y]),set:(f,y,I)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(y)}' of object`)},deleteProperty:(f,y)=>{throw new Error(`TypeError: Cannot delete read only property '${String(y)}' of object`)},defineProperty:(f,y)=>{throw new Error(`TypeError: Cannot define property '${String(y)}' for a readonly object`)},setPrototypeOf:f=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):i;return l(o)}_validateConfigurationAccess(o,l,i){const f=D.OVERRIDE_PROPERTY_PATTERN.test(o)?4:this._configurationScopes.get(o),y=i?`[${i.value}] `:"";if(f===4){typeof(l==null?void 0:l.resource)=="undefined"&&this._logService.warn(`${y}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${o}', provide the URI of a resource or 'null' for any resource.`);return}if(f===3){(l==null?void 0:l.resource)&&this._logService.warn(`${y}Accessing a window scoped configuration for a resource is not expected. To associate '${o}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(o,l){const i=new k.ConfigurationChangeEvent(o,l,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(f,y)=>i.affectsConfiguration(f,u(y))})}_toMap(o){return o.reduce((l,i)=>(l.set(i[0],i[1]),l),new Map)}}e.ExtHostConfigProvider=t,e.IExtHostConfiguration=(0,C.createDecorator)("IExtHostConfiguration")});var tt=this&&this.__classPrivateFieldSet||function(ae,e,_){if(!e.has(ae))throw new TypeError("attempted to set private field on non-instance");return e.set(ae,_),_},We=this&&this.__classPrivateFieldGet||function(ae,e){if(!e.has(ae))throw new TypeError("attempted to get private field on non-instance");return e.get(ae)};define(we[100],Ee([0,1,2,13,3,5,7,31,41,34,20,42,14,27,4,16,21,19,72,166,10]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s,h,p,g,b,c,u){"use strict";var a;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var t;(function(ie){function j(M){if(M!=null)return M}ie.from=j;function ee(M){if(M!=null)return M}ie.to=ee})(t=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var r;(function(ie){function j(M){if(M!=null)return M}ie.from=j;function ee(M){if(M!=null)return M}ie.to=ee})(r=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var o;(function(ie){function j(M){if(M!=null)return M}ie.from=j;function ee(M){if(M!=null)return M}ie.to=ee})(o=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var l;(function(ie){function j(x){if(x){const $=x;return $&&!!$.process}else return!1}ie.is=j;function ee(x){if(x!=null){const $={process:x.process,args:x.args};return x.options&&($.options=o.from(x.options)),$}}ie.from=ee;function M(x){if(x!=null)return new E.ProcessExecution(x.process,x.args,x.options)}ie.to=M})(l=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var i;(function(ie){function j(M){if(M!=null)return M}ie.from=j;function ee(M){if(M!=null)return M}ie.to=ee})(i=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var f;(function(ie){function j(x){if(x){const $=x;return $&&(!!$.commandLine||!!$.command)}else return!1}ie.is=j;function ee(x){if(x!=null){const $={};return x.commandLine!==void 0?$.commandLine=x.commandLine:($.command=x.command,$.args=x.args),x.options&&($.options=i.from(x.options)),$}}ie.from=ee;function M(x){if(!(x==null||x.command===void 0&&x.commandLine===void 0))return x.commandLine?new E.ShellExecution(x.commandLine,x.options):new E.ShellExecution(x.command,x.args?x.args:[],x.options)}ie.to=M})(f=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var y;(function(ie){function j(x){if(x){let $=x;return $&&$.customExecution==="customExecution"}else return!1}ie.is=j;function ee(x){return{customExecution:"customExecution"}}ie.from=ee;function M(x,$){return $.get(x)}ie.to=M})(y=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var I;(function(ie){function j(ee,M){let x;return ee.scope!==void 0&&typeof ee.scope!="number"?x=ee.scope.uri:ee.scope!==void 0&&typeof ee.scope=="number"&&(ee.scope===E.TaskScope.Workspace&&M&&M.workspaceFile?x=M.workspaceFile:x=c.USER_TASKS_GROUP_KEY),{id:ee._id,workspaceFolder:x}}ie.from=j})(I=e.TaskHandleDTO||(e.TaskHandleDTO={}));var m;(function(ie){function j(x,$){if(x==null)return[];const q=[];for(let U of x){const Y=ee(U,$);Y&&q.push(Y)}return q}ie.fromMany=j;function ee(x,$){if(x!=null){let q;x.execution instanceof E.ProcessExecution?q=l.from(x.execution):x.execution instanceof E.ShellExecution?q=f.from(x.execution):x.execution&&x.execution instanceof E.CustomExecution&&(q=y.from(x.execution));const U=t.from(x.definition);let Y;if(x.scope?typeof x.scope=="number"?Y=x.scope:Y=x.scope.uri:Y=E.TaskScope.Workspace,!(!U||!Y)){const Z=x.group?x.group.id:void 0;return{_id:x._id,definition:U,name:x.name,source:{extensionId:$.identifier.value,label:x.source,scope:Y},execution:q,isBackground:x.isBackground,group:Z,presentationOptions:r.from(x.presentationOptions),problemMatchers:x.problemMatchers,hasDefinedMatchers:x.hasDefinedMatchers,runOptions:x.runOptions?x.runOptions:{reevaluateOnRerun:!0},detail:x.detail}}}}ie.from=ee;async function M(x,$,q){if(x!=null){let U;l.is(x.execution)?U=l.to(x.execution):f.is(x.execution)?U=f.to(x.execution):y.is(x.execution)&&(U=y.to(x._id,q));const Y=t.to(x.definition);let Z;if(x.source&&(x.source.scope!==void 0?typeof x.source.scope=="number"?Z=x.source.scope:Z=await $.resolveWorkspaceFolder(_.URI.revive(x.source.scope)):Z=E.TaskScope.Workspace),!(!Y||!Z)){const se=new E.Task(Y,Z,x.name,x.source.label,U,x.problemMatchers);return x.isBackground!==void 0&&(se.isBackground=x.isBackground),x.group!==void 0&&(se.group=E.TaskGroup.from(x.group)),x.presentationOptions&&(se.presentationOptions=r.to(x.presentationOptions)),x._id&&(se._id=x._id),x.detail&&(se.detail=x.detail),se}}}ie.to=M})(m=e.TaskDTO||(e.TaskDTO={}));var w;(function(ie){function j(M){return M}ie.from=j;function ee(M){if(!!M)return Object.assign(Object.create(null),M)}ie.to=ee})(w=e.TaskFilterDTO||(e.TaskFilterDTO={}));class R{constructor(j,ee,M){this._id=ee,this._task=M,a.set(this,void 0),tt(this,a,j)}get task(){return this._task}terminate(){We(this,a).terminateTask(this)}fireDidStartProcess(j){}fireDidEndProcess(j){}}a=new WeakMap;var F;(function(ie){function j(ee){return{id:ee._id,task:void 0}}ie.from=j})(F=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let W=class{constructor(j,ee,M,x,$,q,U,Y){this._onDidExecuteTask=new T.Emitter,this._onDidTerminateTask=new T.Emitter,this._onDidTaskProcessStarted=new T.Emitter,this._onDidTaskProcessEnded=new T.Emitter,this._proxy=j.getProxy(P.MainContext.MainThreadTask),this._workspaceProvider=M,this._editorService=x,this._configurationService=$,this._terminalService=q,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=U,this._deprecationService=Y,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider(j,ee,M){if(!M)return new E.Disposable(()=>{});const x=this.nextHandle();return this._handlers.set(x,{type:ee,provider:M,extension:j}),this._proxy.$registerTaskProvider(x,ee),new E.Disposable(()=>{this._handlers.delete(x),this._proxy.$unregisterTaskProvider(x)})}registerTaskSystem(j,ee){this._proxy.$registerTaskSystem(j,ee)}fetchTasks(j){return this._proxy.$fetchTasks(w.from(j)).then(async ee=>{const M=[];for(let x of ee){const $=await m.to(x,this._workspaceProvider,this._providedCustomExecutions2);$&&M.push($)}return M})}get taskExecutions(){const j=[];return this._taskExecutions.forEach(ee=>j.push(ee)),j}terminateTask(j){if(!(j instanceof R))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(j._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask(j,ee,M){const x=this._providedCustomExecutions2.get(j.id);if(x){if(this._activeCustomExecutions2.get(j.id)!==void 0)throw new Error("We should not be trying to start the same custom task executions twice.");this._activeCustomExecutions2.set(j.id,x),this._terminalService.attachPtyToTerminal(ee,await x.callback(M))}this._lastStartedTask=j.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution(j)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(j){const ee=await this.getTaskExecution(j);this._taskExecutionPromises.delete(j.id),this._taskExecutions.delete(j.id),this.customExecutionComplete(j),this._onDidTerminateTask.fire({execution:ee})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(j){const ee=await this.getTaskExecution(j.id);this._onDidTaskProcessStarted.fire({execution:ee,processId:j.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(j){const ee=await this.getTaskExecution(j.id);this._onDidTaskProcessEnded.fire({execution:ee,exitCode:j.exitCode})}$provideTasks(j,ee){const M=this._handlers.get(j);if(!M)return Promise.reject(new Error("no handler found"));const x=[],$=(0,S.asPromise)(()=>M.provider.provideTasks(A.CancellationToken.None)).then(q=>this.provideTasksInternal(ee,x,M,q));return new Promise(q=>{$.then(U=>{Promise.all(x).then(()=>{q(U)})})})}async $resolveTask(j,ee){const M=this._handlers.get(j);if(!M)return Promise.reject(new Error("no handler found"));if(ee.definition.type!==M.type)throw new Error(`Unexpected: Task of type [${ee.definition.type}] cannot be resolved by provider of type [${M.type}].`);const x=await m.to(ee,this._workspaceProvider,this._providedCustomExecutions2);if(!x)throw new Error("Unexpected: Task cannot be resolved.");const $=await M.provider.resolveTask(x,A.CancellationToken.None);if(!!$){this.checkDeprecation($,M);const q=m.from($,M.extension);if(!q)throw new Error("Unexpected: Task cannot be resolved.");if($.definition!==x.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return y.is(q.execution)&&await this.addCustomExecution(q,$,!0),await this.resolveTaskInternal(q)}}nextHandle(){return this._handleCounter++}async addCustomExecution(j,ee,M){const x=await this._proxy.$createTaskId(j);!M&&!this._providedCustomExecutions2.has(x)&&this._notProvidedCustomExecutions.add(x),this._providedCustomExecutions2.set(x,ee.execution)}async getTaskExecution(j,ee){if(typeof j=="string"){const $=this._taskExecutionPromises.get(j);if(!$)throw new Error("Unexpected: The specified task is missing an execution");return $}let M=this._taskExecutionPromises.get(j.id);if(M)return M;const x=new Promise(async($,q)=>{const U=ee||await m.to(j.task,this._workspaceProvider,this._providedCustomExecutions2);U?$(new R(this,j.id,U)):q("Unexpected: Task does not exist.")});return this._taskExecutionPromises.set(j.id,x),x.then($=>(this._taskExecutions.set(j.id,$),$),$=>Promise.reject($))}checkDeprecation(j,ee){j._deprecated&&this._deprecationService.report("Task.constructor",ee.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(j){this._activeCustomExecutions2.get(j.id)&&this._activeCustomExecutions2.delete(j.id),this._notProvidedCustomExecutions.has(j.id)&&this._lastStartedTask!==j.id&&(this._providedCustomExecutions2.delete(j.id),this._notProvidedCustomExecutions.delete(j.id));let M=this._notProvidedCustomExecutions.values(),x=M.next();for(;!x.done;)!this._activeCustomExecutions2.has(x.value)&&this._lastStartedTask!==x.value&&(this._providedCustomExecutions2.delete(x.value),this._notProvidedCustomExecutions.delete(x.value)),x=M.next()}};W=je([Ke(0,v.IExtHostRpcService),Ke(1,d.IExtHostInitDataService),Ke(2,k.IExtHostWorkspace),Ke(3,D.IExtHostDocumentsAndEditors),Ke(4,n.IExtHostConfiguration),Ke(5,C.IExtHostTerminalService),Ke(6,g.ILogService),Ke(7,b.IExtHostApiDeprecationService)],W),e.ExtHostTaskBase=W;let oe=class extends W{constructor(j,ee,M,x,$,q,U,Y){super(j,ee,M,x,$,q,U,Y);this.registerTaskSystem(h.Schemas.vscodeRemote,{scheme:h.Schemas.vscodeRemote,authority:"",platform:p.PlatformToString(0)})}async executeTask(j,ee){if(!ee.execution)throw new Error("Tasks to execute must include an execution");const M=m.from(ee,j);if(M===void 0)throw new Error("Task is not valid");if(y.is(M.execution))await this.addCustomExecution(M,ee,!1);else throw new u.NotSupportedError;const x=await this.getTaskExecution(await this._proxy.$getTaskExecution(M),ee);return this._proxy.$executeTask(M).catch($=>{throw new Error($)}),x}provideTasksInternal(j,ee,M,x){const $=[];if(x)for(let q of x){this.checkDeprecation(q,M),(!q.definition||!j[q.definition.type])&&this._logService.warn(`The task [${q.source}, ${q.name}] uses an undefined task type. The task will be ignored in the future.`);const U=m.from(q,M.extension);U&&y.is(U.execution)?($.push(U),ee.push(this.addCustomExecution(U,q,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:$,extension:M.extension}}async resolveTaskInternal(j){if(y.is(j.execution))return j;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(j,ee){return{process:void 0,variables:Object.create(null)}}$getDefaultShellAndArgs(){throw new Error("Not implemented")}async $jsonTasksSupported(){return!1}async $findExecutable(j,ee,M){}};oe=je([Ke(0,v.IExtHostRpcService),Ke(1,d.IExtHostInitDataService),Ke(2,k.IExtHostWorkspace),Ke(3,D.IExtHostDocumentsAndEditors),Ke(4,n.IExtHostConfiguration),Ke(5,C.IExtHostTerminalService),Ke(6,g.ILogService),Ke(7,b.IExtHostApiDeprecationService)],oe),e.WorkerExtHostTask=oe,e.IExtHostTask=(0,s.createDecorator)("IExtHostTask")});var tt=this&&this.__classPrivateFieldSet||function(ae,e,_){if(!e.has(ae))throw new TypeError("attempted to set private field on non-instance");return e.set(ae,_),_},We=this&&this.__classPrivateFieldGet||function(ae,e){if(!e.has(ae))throw new TypeError("attempted to get private field on non-instance");return e.get(ae)},ln=this&&this.__rest||function(ae,e){var _={};for(var S in ae)Object.prototype.hasOwnProperty.call(ae,S)&&e.indexOf(S)<0&&(_[S]=ae[S]);if(ae!=null&&typeof Object.getOwnPropertySymbols=="function")for(var T=0,S=Object.getOwnPropertySymbols(ae);T<S.length;T++)e.indexOf(S[T])<0&&Object.prototype.propertyIsEnumerable.call(ae,S[T])&&(_[S[T]]=ae[S[T]]);return _};define(we[213],Ee([0,1,15,13,20,3,52,6,23,12,2,29,5,41,14,9,7,31,178,168]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s,h,p,g,b,c){"use strict";var u,a;Object.defineProperty(e,"__esModule",{value:!0}),e.MirroredTestCollection=e.TestItemFilteredWrapper=e.ExtHostTesting=void 0;const t=(w,R)=>`${w}:${R.toString()}`;let r=class{constructor(R,F,W){this.documents=F,this.workspace=W,this.resultsChangedEmitter=new P.Emitter,this.providers=new Map,this.ownedTests=new b.OwnedTestCollection,this.testSubscriptions=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=R.getProxy(v.MainContext.MainThreadTesting),this.workspaceObservers=new I(this.proxy),this.textDocumentObservers=new m(this.proxy,F)}registerTestProvider(R){const F=(0,C.generateUuid)();this.providers.set(F,R),this.proxy.$registerTestProvider(F);const W=[...this.testSubscriptions.keys()];return setTimeout(()=>{var oe;for(const ie of W)(oe=this.testSubscriptions.get(ie))===null||oe===void 0||oe.subscribeFn(F,R)},0),new p.Disposable(()=>{this.providers.delete(F),this.proxy.$unregisterTestProvider(F)})}createTextDocumentTestObserver(R){return this.textDocumentObservers.checkout(R.uri)}createWorkspaceTestObserver(R){return this.workspaceObservers.checkout(R.uri)}async runTests(R,F=T.CancellationToken.None){const W=oe=>oe.map(this.getInternalTestForReference,this).filter(n.isDefined).map(ie=>({providerId:ie.providerId,testId:ie.item.extId}));await this.proxy.$runTests({exclude:R.exclude?W(R.exclude).map(oe=>oe.testId):void 0,tests:W(R.tests),debug:R.debug},F)}publishExtensionProvidedResults(R,F){this.proxy.$publishExtensionProvidedResults(h.TestResults.from((0,C.generateUuid)(),R),F)}$publishTestResults(R){this.results=Object.freeze(R.map(F=>(0,D.deepFreeze)(h.TestResults.to(F))).concat(this.results).sort((F,W)=>W.completedAt-F.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $subscribeToTests(R,F){const W=A.URI.revive(F),oe=t(R,W);if(!this.testSubscriptions.has(oe)){const ie=new T.CancellationTokenSource;let j;if(R===1){let $=this.documents.getDocument(W);if(!$){const q=new k.DisposableStore;$=await new Promise(U=>{q.add((0,S.disposableTimeout)(()=>U(void 0),5e3)),q.add(this.documents.onDidAddDocuments(Y=>{const Z=Y.find(se=>se.document.uri.toString()===W.toString());Z&&U(Z)}))}).finally(()=>q.dispose())}if($){const q=await this.workspace.getWorkspaceFolder2(W,!1);j=U=>U.provideDocumentTestHierarchy?U.provideDocumentTestHierarchy($.document,ie.token):this.createDefaultDocumentTestHierarchy(U,$.document,q,ie.token)}}else{const $=await this.workspace.getWorkspaceFolder2(W,!1);$&&(j=q=>q.provideWorkspaceTestHierarchy($,ie.token))}if(!!j){const ee=async($,q)=>{var U;try{x.pushDiff([3,1]);const Y=await j(q);if(!Y){x.pushDiff([3,-1]);return}x.addRoot(Y.root,$),Promise.resolve(Y.discoveredInitialTests).then(()=>x.pushDiff([3,-1])),Y.onDidChangeTest(Z=>x.onItemChange(Z,$)),(U=Y.onDidInvalidateTest)===null||U===void 0||U.call(Y,Z=>{const se=x.getTestByReference(Z);se?this.proxy.$retireTest(se.item.extId):console.warn("Received a TestProvider.onDidInvalidateTest for a test that does not currently exist.")})}catch(Y){console.error(Y)}},M=new k.DisposableStore,x=M.add(this.ownedTests.createForHierarchy($=>this.proxy.$publishDiff(R,F,$)));M.add((0,k.toDisposable)(()=>ie.dispose(!0)));for(const[$,q]of this.providers)ee($,q);x.pushDiff([4,-1]),this.testSubscriptions.set(oe,{store:M,collection:x,subscribeFn:ee})}}}$unsubscribeFromTests(R,F){var W;const oe=A.URI.revive(F),ie=t(R,oe);(W=this.testSubscriptions.get(ie))===null||W===void 0||W.store.dispose(),this.testSubscriptions.delete(ie)}$acceptDiff(R,F,W){R===1?this.textDocumentObservers.acceptDiff(A.URI.revive(F),W):this.workspaceObservers.acceptDiff(A.URI.revive(F),W)}async $runTestsForProvider(R,F){const W=this.providers.get(R.providerId);if(!!W){const oe=R.ids.map(j=>{var ee;return(ee=this.ownedTests.getTestById(j))===null||ee===void 0?void 0:ee[1]}).filter(n.isDefined),ie=R.excludeExtIds.map(j=>this.ownedTests.getTestById(j)).filter(n.isDefined).filter(([j,ee])=>oe.some(M=>j.comparePositions(M,ee)===1));if(!!oe.length)try{await W.runTests({setState:(j,ee)=>{for(const[M,x]of ie){const $=M.comparePositions(x,j.id);if($===1||$===3)return}this.flushCollectionDiffs(),this.proxy.$updateTestStateInRun(R.runId,j.id,h.TestState.from(ee))},tests:oe.map(j=>o.unwrap(j.actual)),exclude:ie.map(([,j])=>o.unwrap(j.actual)),debug:R.debug},F);for(const{collection:j}of this.testSubscriptions.values())j.flushDiff();return}catch(j){throw console.error(j),j}}}$lookupTest(R){const F=this.ownedTests.getTestById(R.testId);if(!F)return Promise.resolve(void 0);const W=F[1],{actual:oe,previousChildren:ie,previousEquals:j}=W,ee=ln(W,["actual","previousChildren","previousEquals"]);return Promise.resolve(ee)}flushCollectionDiffs(){for(const{collection:R}of this.testSubscriptions.values())R.flushDiff()}getInternalTestForReference(R){var F,W;return(W=(F=this.workspaceObservers.getMirroredTestDataByReference(R))!==null&&F!==void 0?F:(0,_.mapFind)(this.testSubscriptions.values(),oe=>oe.collection.getTestByReference(R)))!==null&&W!==void 0?W:this.textDocumentObservers.getMirroredTestDataByReference(R)}async createDefaultDocumentTestHierarchy(R,F,W,oe){var ie;if(!!W){const j=await R.provideWorkspaceTestHierarchy(W,oe);if(!!j){const ee=new P.Emitter;(ie=j.onDidInvalidateTest)===null||ie===void 0||ie.call(j,x=>{const $=o.getWrapperForTestItem(x,F);$.hasNodeMatchingFilter&&ee.fire($)});const M=new P.Emitter;return j.onDidChangeTest(x=>{const $=o.getWrapperForTestItem(x,F);if($.hasNodeMatchingFilter){if($.reset(),$.hasNodeMatchingFilter){M.fire($);return}M.fire($.visibleParent);return}const U=$.visibleParent;$.reset(),!!$.hasNodeMatchingFilter&&(U.reset(),M.fire(U))}),oe.onCancellationRequested(()=>{o.removeFilter(F),M.dispose()}),{root:o.getWrapperForTestItem(j.root,F),discoveredInitialTests:j.discoveredInitialTests,onDidInvalidateTest:ee.event,onDidChangeTest:M.event}}}}};r=je([Ke(0,s.IExtHostRpcService),Ke(1,d.IExtHostDocumentsAndEditors),Ke(2,g.IExtHostWorkspace)],r),e.ExtHostTesting=r;class o{constructor(R,F,W){this.actual=R,this.filterDocument=F,this.parent=W,this.getWrappedChildren()}static removeFilter(R){this.wrapperMap.delete(R)}static getWrapperForTestItem(R,F,W){let oe=this.wrapperMap.get(F);if(oe==null?void 0:oe.has(R))return oe.get(R);oe||(oe=new WeakMap,this.wrapperMap.set(F,oe));const ie=new o(R,F,W);return oe.set(R,ie),ie}static unwrap(R){return R instanceof o?R.actual:R}get id(){return this.actual.id}get label(){return this.actual.label}get debuggable(){return this.actual.debuggable}get description(){return this.actual.description}get location(){return this.actual.location}get runnable(){return this.actual.runnable}get children(){return this.getWrappedChildren().filter(R=>R.hasNodeMatchingFilter)}get visibleParent(){return this.hasNodeMatchingFilter?this:this.parent.visibleParent}get hasNodeMatchingFilter(){var R;return this.matchesFilter===void 0&&(this.matchesFilter=!this.parent||((R=this.actual.location)===null||R===void 0?void 0:R.uri.toString())===this.filterDocument.uri.toString()||this.getWrappedChildren().some(F=>F.hasNodeMatchingFilter)),this.matchesFilter}reset(){var R;this!==this.visibleParent&&((R=this.parent)===null||R===void 0||R.reset()),this.matchesFilter=void 0}getWrappedChildren(){var R;return((R=this.actual.children)===null||R===void 0?void 0:R.map(F=>o.getWrapperForTestItem(F,this.filterDocument,this)))||[]}}e.TestItemFilteredWrapper=o,o.wrapperMap=new WeakMap;class l extends c.IncrementalChangeCollector{constructor(R,F){super();this.collection=R,this.emitter=F,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add(R){this.added.add(R)}update(R){Object.assign(R.revived,h.TestItem.toPlainShallow(R.item)),this.added.has(R)||this.updated.add(R)}remove(R){if(this.added.has(R)){this.added.delete(R);return}if(this.updated.delete(R),R.parent&&this.alreadyRemoved.has(R.parent)){this.alreadyRemoved.add(R.item.extId);return}this.removed.add(R)}getChangeEvent(){const{collection:R,added:F,updated:W,removed:oe}=this;return{get added(){return[...F].map(R.getPublicTestItem,R)},get updated(){return[...W].map(R.getPublicTestItem,R)},get removed(){return[...oe].map(R.getPublicTestItem,R)}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class i extends c.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new P.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTestItems(){return this.getAllAsTestItem([...this.roots])}getAllAsTestItem(R){let F=[];for(const W of R){const oe=this.items.get(W);oe&&F.push(this.getPublicTestItem(oe))}return F}getMirroredTestDataById(R){return this.items.get(R)}getMirroredTestDataByReference(R){return this.items.get(R.id)}createItem(R,F){return Object.assign(Object.assign({},R),{revived:h.TestItem.toPlainShallow(R.item),depth:F?F.depth+1:0,children:new Set})}createChangeCollector(){return new l(this,this.changeEmitter)}getPublicTestItem(R){return R.wrapped||(R.wrapped=new f(R,this)),R.wrapped}}e.MirroredTestCollection=i;class f{constructor(R,F){u.set(this,void 0),a.set(this,void 0),tt(this,u,R),tt(this,a,F)}get id(){return We(this,u).revived.id}get label(){return We(this,u).revived.label}get description(){return We(this,u).revived.description}get location(){return We(this,u).revived.location}get runnable(){var R;return(R=We(this,u).revived.runnable)!==null&&R!==void 0?R:!0}get debuggable(){var R;return(R=We(this,u).revived.debuggable)!==null&&R!==void 0?R:!1}get children(){return We(this,a).getAllAsTestItem(We(this,u).children)}toJSON(){return{id:this.id,label:this.label,description:this.description,location:this.location,runnable:this.runnable,debuggable:this.debuggable,children:this.children.map(F=>F.toJSON()),providerId:We(this,u).providerId,testId:this.id}}}u=new WeakMap,a=new WeakMap;class y{constructor(){this.resources=new Map}checkout(R){var F,W;const oe=R.toString(),ie=(F=this.resources.get(oe))!==null&&F!==void 0?F:this.createObserverData(R);return(W=ie.pendingDeletion)===null||W===void 0||W.dispose(),ie.observers++,{onDidChangeTest:ie.tests.onDidChangeTests,onDidDiscoverInitialTests:new P.Emitter().event,get tests(){return ie.tests.rootTestItems},dispose:(0,E.once)(()=>{--ie.observers||(ie.pendingDeletion=this.eventuallyDispose(R))})}}getMirroredTestDataByReference(R){for(const{tests:F}of this.resources.values()){const W=F.getMirroredTestDataByReference(R);if(W)return W}}eventuallyDispose(R){return(0,S.disposableTimeout)(()=>this.unlisten(R),10*1e3)}createObserverData(R){const F=new i,W=this.listen(R,ie=>F.apply(ie)),oe={observers:0,tests:F,listener:W};return this.resources.set(R.toString(),oe),oe}unlisten(R){var F;const W=R.toString(),oe=this.resources.get(W);oe&&(oe.observers=-1,(F=oe.pendingDeletion)===null||F===void 0||F.dispose(),oe.listener.dispose(),this.resources.delete(W))}}class I extends y{constructor(R){super();this.proxy=R,this.diffListeners=new Map}acceptDiff(R,F){var W;(W=this.diffListeners.get(R.toString()))===null||W===void 0||W(F)}listen(R,F){this.proxy.$subscribeToDiffs(0,R);const W=R.toString();return this.diffListeners.set(W,F),new p.Disposable(()=>{this.proxy.$unsubscribeFromDiffs(0,R),this.diffListeners.delete(W)})}}class m extends y{constructor(R,F){super();this.proxy=R,this.documents=F,this.diffListeners=new Map}acceptDiff(R,F){var W;(W=this.diffListeners.get(R.toString()))===null||W===void 0||W(F)}listen(R,F){if(!this.documents.getDocument(R))return new p.Disposable(()=>{});const oe=R.toString();return this.diffListeners.set(oe,F),this.proxy.$subscribeToDiffs(1,R),new p.Disposable(()=>{this.proxy.$unsubscribeFromDiffs(1,R),this.diffListeners.delete(oe)})}}}),define(we[214],Ee([0,1,15,51,28,59,22,16,11,24,8,12,2,113,137,89,48,170,212,43]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s,h,p,g,b,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let u=class{constructor(I,m,w,R){this.configurationService=I,this.workspaceContextService=m,this.editorGroupsService=w,this.pathService=R}text(I,m,w={}){I=this.getContentPattern(I,w);const R=this.configurationService.getValue(),F=m&&m.some(oe=>!this.configurationService.getValue({resource:oe}).search.useRipgrep),W=this.commonQuery(m==null?void 0:m.map(p.toWorkspaceFolder),w);return Object.assign(Object.assign({},W),{type:2,contentPattern:I,previewOptions:w.previewOptions,maxFileSize:w.maxFileSize,usePCRE2:R.search.usePCRE2||F||!1,beforeContext:w.beforeContext,afterContext:w.afterContext,userDisabledExcludesAndIgnoreFiles:w.disregardExcludeSettings&&w.disregardIgnoreFiles})}getContentPattern(I,m){const w=this.configurationService.getValue();I.isRegExp&&(I.pattern=I.pattern.replace(/\r?\n/g,"\\n"));const R=Object.assign(Object.assign({},I),{wordSeparators:w.editor.wordSeparators});return this.isCaseSensitive(I,m)&&(R.isCaseSensitive=!0),this.isMultiline(I)&&(R.isMultiline=!0),R}file(I,m={}){const w=this.commonQuery(I,m);return Object.assign(Object.assign({},w),{type:1,filePattern:m.filePattern?m.filePattern.trim():m.filePattern,exists:m.exists,sortByScore:m.sortByScore,cacheKey:m.cacheKey})}handleIncludeExclude(I,m){return I?(I=Array.isArray(I)?I.map(l):l(I),m?this.parseSearchPaths(I):{pattern:t(...Array.isArray(I)?I:[I])}):{}}commonQuery(I=[],m={}){const w=this.handleIncludeExclude(m.includePattern,m.expandPatterns),R=this.handleIncludeExclude(m.excludePattern,m.expandPatterns),F=I.length>1,W=(w.searchPaths&&w.searchPaths.length?w.searchPaths.map(j=>this.getFolderQueryForSearchPath(j,m,R)):I.map(j=>this.getFolderQueryForRoot(j,m,R,F))).filter(j=>!!j),oe={_reason:m._reason,folderQueries:W,usingSearchPaths:!!(w.searchPaths&&w.searchPaths.length),extraFileResources:m.extraFileResources,excludePattern:R.pattern,includePattern:w.pattern,onlyOpenEditors:m.onlyOpenEditors,maxResults:m.maxResults};if(m.onlyOpenEditors){const ee=_.coalesce(_.flatten(this.editorGroupsService.groups.map(x=>x.editors.map($=>$.resource)))).filter(x=>(0,c.pathIncludedInQuery)(oe,x.fsPath)),M=this.commonQueryFromFileList(ee);return Object.assign(Object.assign({},oe),M)}const ie=m.extraFileResources&&m.extraFileResources.filter(j=>(0,c.pathIncludedInQuery)(oe,j.fsPath));return oe.extraFileResources=ie&&ie.length?ie:void 0,oe}commonQueryFromFileList(I){const m=[],w=new E.ResourceMap,R={};let F=!1;return I.forEach(W=>{var oe,ie;if(W.scheme!==k.Schemas.walkThrough)if((0,n.isAbsolutePath)(W)){const ee=(ie=(oe=this.workspaceContextService.getWorkspaceFolder(W))===null||oe===void 0?void 0:oe.uri)!==null&&ie!==void 0?ie:W.with({path:D.dirname(W.fsPath)});let M=w.get(ee);M||(F=!0,M={folder:ee,includePattern:{}},m.push(M),w.set(ee,M));const x=D.relative(ee.fsPath,W.fsPath);(0,C.assertIsDefined)(M.includePattern)[x.replace(/\\/g,"/")]=!0}else W.fsPath&&(F=!0,R[W.fsPath]=!0)}),{folderQueries:m,includePattern:R,usingSearchPaths:!0,excludePattern:F?void 0:{"**/*":!0}}}isCaseSensitive(I,m){if(m.isSmartCase){if(I.isRegExp){if(A.containsUppercaseCharacter(I.pattern,!0))return!0}else if(A.containsUppercaseCharacter(I.pattern))return!0}return!!I.isCaseSensitive}isMultiline(I){return I.isMultiline||I.isRegExp&&(0,d.isMultilineRegexSource)(I.pattern)||I.pattern.indexOf(`
`)>=0?!0:!!I.isMultiline}parseSearchPaths(I){const m=M=>D.isAbsolute(M)||/^\.\.?([\/\\]|$)/.test(M),R=(Array.isArray(I)?I:r(I)).map(M=>{const x=this.pathService.resolvedUserHome;return x?(0,P.untildify)(M,x.scheme===k.Schemas.file?x.fsPath:x.path):M}),F=S.groupBy(R,M=>m(M)?"searchPaths":"exprSegments"),W=(F.exprSegments||[]).map(M=>A.rtrim(M,"/")).map(M=>A.rtrim(M,"\\")).map(M=>(M[0]==="."&&(M="*"+M),o(M))),oe={},ie=this.expandSearchPathPatterns(F.searchPaths||[]);ie&&ie.length&&(oe.searchPaths=ie);const j=_.flatten(W),ee=t(...j);return ee&&(oe.pattern=ee),oe}getExcludesForFolder(I,m){return m.disregardExcludeSettings?void 0:(0,c.getExcludes)(I,!m.disregardSearchExcludeSettings)}expandSearchPathPatterns(I){if(!I||!I.length)return[];const m=_.flatten(I.map(R=>{let{pathPortion:F,globPortion:W}=a(R);W&&(W=i(W));const oe=this.expandOneSearchPath(F);return _.flatten(oe.map(ie=>this.resolveOneSearchPathPattern(ie,W)))})),w=new Map;return m.forEach(R=>{const F=R.searchPath.toString(),W=w.get(F);W?R.pattern&&(W.pattern=W.pattern||{},W.pattern[R.pattern]=!0):w.set(F,{searchPath:R.searchPath,pattern:R.pattern?t(R.pattern):void 0})}),Array.from(w.values())}expandOneSearchPath(I){if(D.isAbsolute(I)){const m=this.workspaceContextService.getWorkspace().folders;return m[0]&&m[0].uri.scheme!==k.Schemas.file?[{searchPath:m[0].uri.with({path:I})}]:[{searchPath:v.URI.file(D.normalize(I))}]}if(this.workspaceContextService.getWorkbenchState()===2){const m=this.workspaceContextService.getWorkspace().folders[0].uri;if(I=l(I),I.startsWith("../")||I===".."){const R=D.posix.resolve(m.path,I);return[{searchPath:m.with({path:R})}]}const w=i(I);return[{searchPath:m,pattern:w}]}else{if(I==="./"||I===".\\")return[];{const m=I.match(/\.[\/\\]([^\/\\]+)(?:[\/\\](.+))?/);if(m){const w=m[1],R=this.workspaceContextService.getWorkspace().folders.filter(F=>F.name===w);if(R.length)return R.map(F=>{const W=m[2];return{searchPath:F.uri,pattern:W&&i(W)}});{const F=s.localize(0,null,w);throw new Error(F)}}}}return[]}resolveOneSearchPathPattern(I,m){const w=I.pattern&&m?`${I.pattern}/${m}`:I.pattern||m,R=[{searchPath:I.searchPath,pattern:w}];return w&&!w.endsWith("**")&&R.push({searchPath:I.searchPath,pattern:w+"/**"}),R}getFolderQueryForSearchPath(I,m,w){const R=this.getFolderQueryForRoot((0,p.toWorkspaceFolder)(I.searchPath),m,w,!1);return R?Object.assign(Object.assign({},R),{includePattern:I.pattern}):null}getFolderQueryForRoot(I,m,w,R){let F;const W=v.URI.isUri(I)?I:I.uri;if(w.searchPaths){const M=w.searchPaths.filter(x=>(0,n.isEqual)(x.searchPath,W))[0];if(M&&!M.pattern)return null;M&&(F=M.pattern)}const oe=this.configurationService.getValue({resource:W}),ie=this.getExcludesForFolder(oe,m),j=Object.assign(Object.assign({},ie||{}),F||{}),ee=v.URI.isUri(I)?(0,n.basename)(I):I.name;return{folder:W,folderName:R?ee:void 0,excludePattern:Object.keys(j).length>0?j:void 0,fileEncoding:oe.files&&oe.files.encoding,disregardIgnoreFiles:typeof m.disregardIgnoreFiles=="boolean"?m.disregardIgnoreFiles:!oe.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof m.disregardGlobalIgnoreFiles=="boolean"?m.disregardGlobalIgnoreFiles:!oe.search.useGlobalIgnoreFiles,ignoreSymlinks:typeof m.ignoreSymlinks=="boolean"?m.ignoreSymlinks:!oe.search.followSymlinks}}};u=je([Ke(0,h.IConfigurationService),Ke(1,p.IWorkspaceContextService),Ke(2,g.IEditorGroupsService),Ke(3,b.IPathService)],u),e.QueryBuilder=u;function a(y){const I=y.match(/[\*\{\}\(\)\[\]\?]/);if(I){const m=I.index,w=y.substr(0,m).match(/[/|\\][^/\\]*$/);if(w){let R=y.substr(0,w.index);return R.match(/[/\\]/)||(R+="/"),{pathPortion:R,globPortion:y.substr((w.index||0)+1)}}}return{pathPortion:y}}function t(...y){return y.length?y.reduce((I,m)=>(I[m]=!0,I),Object.create(null)):void 0}function r(y){return T.splitGlobAware(y,",").map(I=>I.trim()).filter(I=>!!I.length)}function o(y){return[`**/${y}/**`,`**/${y}`].map(m=>m.replace(/\*\*\/\*\*/g,"**"))}function l(y){return y.replace(/\\/g,"/")}function i(y){return l(y).replace(/^\.\//,"").replace(/\/+$/g,"")}function f(y,I){y=_.distinct(y,R=>R.toString());const m=[],w=I.getWorkspace();return y&&y.forEach(R=>{let F;if(I.getWorkbenchState()===2)F=(0,n.relativePath)(w.folders[0].uri,R),F&&F!=="."&&(F="./"+F);else{const W=I.getWorkspaceFolder(R);if(W){const oe=W.name;if(w.folders.filter(j=>j.name===oe).length===1){const j=(0,n.relativePath)(W.uri,R);j===""?F=`./${W.name}`:F=`./${W.name}/${j}`}else F=R.fsPath}}F&&m.push(F)}),m}e.resolveResourcesForSearchIncludes=f}),define(we[215],Ee([0,1,24,2,20,10,4,214,43,48]),function(ae,e,_,S,T,P,E,k,D,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const A=7e3;function C(h,p){const g=p.activationEvents;if(!g)return Promise.resolve(void 0);const b=[],c=[];for(const l of g)if(/^workspaceContains:/.test(l)){const i=l.substr("workspaceContains:".length);i.indexOf("*")>=0||i.indexOf("?")>=0||h.forceUsingSearch?c.push(i):b.push(i)}if(b.length===0&&c.length===0)return Promise.resolve(void 0);let u;const a=new Promise((l,i)=>{u=l}),t=l=>u({activationEvent:l}),r=Promise.all(b.map(l=>v(h,l,t))).then(()=>{}),o=d(h,p.identifier,c,t);return Promise.all([r,o]).then(()=>{u(void 0)}),a}e.checkActivateWorkspaceContainsExtension=C;async function v(h,p,g){for(const b of h.folders)if(await h.exists(_.joinPath(S.URI.revive(b),p))){g(`workspaceContains:${p}`);return}}async function d(h,p,g,b){if(g.length===0)return Promise.resolve(void 0);const c=new T.CancellationTokenSource,u=h.checkExists(h.folders,g,c.token),a=setTimeout(async()=>{c.cancel(),b(`workspaceContainsTimeout:${g.join(",")}`)},A);let t=!1;try{t=await u}catch(r){P.isPromiseCanceledError(r)||P.onUnexpectedError(r)}c.dispose(),clearTimeout(a),t&&b(`workspaceContains:${g.join(",")}`)}function s(h,p,g,b){const c=h.get(E.IInstantiationService),u=h.get(D.ISearchService),t=c.createInstance(k.QueryBuilder).file(p.map(r=>(0,n.toWorkspaceFolder)(S.URI.revive(r))),{_reason:"checkExists",includePattern:g,exists:!0});return u.fileSearch(t,b).then(r=>!!r.limitHit,r=>P.isPromiseCanceledError(r)?!1:Promise.reject(r))}e.checkGlobFileExists=s});var tt=this&&this.__classPrivateFieldSet||function(ae,e,_){if(!e.has(ae))throw new TypeError("attempted to set private field on non-instance");return e.set(ae,_),_},We=this&&this.__classPrivateFieldGet||function(ae,e){if(!e.has(ae))throw new TypeError("attempted to get private field on non-instance");return e.get(ae)};define(we[35],Ee([0,1,129,11,77,24,13,6,22,2,19,5,34,181,75,31,33,179,10,25,16,26,157,7,90,4,27,76,14,66,68,42,3,215,71,158]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s,h,p,g,b,c,u,a,t,r,o,l,i,f,y,I,m,w,R,F,W,oe){"use strict";var ie,j,ee;Object.defineProperty(e,"__esModule",{value:!0}),e.Extension=e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=(0,l.createDecorator)("IHostUtils");let M=class In extends k.Disposable{constructor(U,Y,Z,se,Se,Pe,$e,Fe,He,N){super();this._onDidChangeRemoteConnectionData=this._register(new R.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._hostUtils=Y,this._extHostContext=Z,this._initData=$e,this._extHostWorkspace=se,this._extHostConfiguration=Se,this._logService=Pe,this._extHostTunnelService=He,this._extHostTerminalService=N,this._disposables=new k.DisposableStore,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(C.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(C.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(C.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new E.Barrier,this._readyToStartExtensionHost=new E.Barrier,this._readyToRunExtensions=new E.Barrier,this._registry=new g.ExtensionDescriptionRegistry(this._initData.extensions),this._storage=new s.ExtHostStorage(this._extHostContext),this._secretState=new W.ExtHostSecretState(this._extHostContext),this._storagePath=Fe,this._instaService=U.createChild(new I.ServiceCollection([s.IExtHostStorage,this._storage],[W.IExtHostSecretState,this._secretState]));const V=new Set;this._initData.hostExtensions.forEach(X=>V.add(c.ExtensionIdentifier.toKey(X))),this._activator=new d.ExtensionsActivator(this._registry,this._initData.resolvedExtensions,this._initData.hostExtensions,{onExtensionActivationError:(X,re)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(X,re)},actualActivateExtension:async(X,re)=>{if(V.has(c.ExtensionIdentifier.toKey(X)))return await this._mainThreadExtensionsProxy.$activateExtension(X,re),new d.HostExtension;const me=this._registry.getExtensionDescription(X);return this._activateExtension(me,re)}},this._logService),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),T.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(U){b.onUnexpectedError(U)}}async deactivateAll(){let U=[];try{U=this._registry.getAllExtensionDescriptions().map(Se=>Se.identifier).filter(Se=>this.isActivated(Se)).map(Se=>this._deactivate(Se))}catch(Y){}await Promise.all(U)}isActivated(U){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(U):!1}_activateByEvent(U,Y){return this._activator.activateByEvent(U,Y)}_activateById(U,Y){return this._activator.activateById(U,Y)}activateByIdWithErrors(U,Y){return this._activateById(U,Y).then(()=>{const Z=this._activator.getActivatedExtension(U);if(Z.activationFailed)return Promise.reject(Z.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(U=>this._registry)}getExtensionExports(U){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(U).exports:null}getExtensionPathIndex(){if(!this._extensionPathIndex){const U=D.TernarySearchTree.forPaths(),Y=this._registry.getAllExtensionDescriptions().map(Z=>{if(!!this._getEntryPoint(Z))return this._hostUtils.realpath(Z.extensionLocation.fsPath).then(se=>U.set(n.URI.file(se).fsPath,Z))});this._extensionPathIndex=Promise.all(Y).then(()=>U)}return this._extensionPathIndex}_deactivate(U){let Y=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(U))return Y;const Z=this._activator.getActivatedExtension(U);if(!Z)return Y;try{typeof Z.module.deactivate=="function"&&(Y=Promise.resolve(Z.module.deactivate()).then(void 0,se=>Promise.resolve(void 0)))}catch(se){}try{(0,k.dispose)(Z.subscriptions)}catch(se){}return Y}async _activateExtension(U,Y){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(U.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(U.identifier),this._doActivateExtension(U,Y).then(Z=>{const se=Z.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(U.identifier,se.codeLoadingTime,se.activateCallTime,se.activateResolvedTime,Y),this._logExtensionActivationTimes(U,Y,"success",se),Z},Z=>{throw this._logExtensionActivationTimes(U,Y,"failure"),Z})}_logExtensionActivationTimes(U,Y,Z,se){const Se=x(U,Y);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",Object.assign(Object.assign(Object.assign({},Se),se||{}),{outcome:Z}))}_doActivateExtension(U,Y){const Z=x(U,Y);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",Z);const se=this._getEntryPoint(U);if(!se)return Promise.resolve(new d.EmptyExtension(d.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${U.identifier.value} ${JSON.stringify(Y)}`),this._logService.flush();const Se=new d.ExtensionActivationTimesBuilder(Y.startup);return Promise.all([this._loadCommonJSModule(U.identifier,(0,P.joinPath)(U.extensionLocation,se),Se),this._loadExtensionContext(U)]).then(Pe=>(T.mark(`code/extHost/willActivateExtension/${U.identifier.value}`),In._callActivate(this._logService,U.identifier,Pe[0],Pe[1],Se))).then(Pe=>(T.mark(`code/extHost/didActivateExtension/${U.identifier.value}`),Pe))}_loadExtensionContext(U){const Y=new t.ExtensionGlobalMemento(U,this._storage),Z=new t.ExtensionMemento(U.identifier.value,!1,this._storage),se=new oe.ExtensionSecrets(U,this._secretState),Se=U.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?r.ExtensionMode.Test:r.ExtensionMode.Development:r.ExtensionMode.Production,Pe=this._initData.remote.isRemote?r.ExtensionKind.Workspace:r.ExtensionKind.UI;return this._logService.trace(`ExtensionService#loadExtensionContext ${U.identifier.value}`),Promise.all([Y.whenReady,Z.whenReady,this._storagePath.whenReady]).then(()=>{const $e=this;let Fe;return Object.freeze({globalState:Y,workspaceState:Z,secrets:se,subscriptions:[],get extensionUri(){return U.extensionLocation},get extensionPath(){return U.extensionLocation.fsPath},asAbsolutePath(He){return S.join(U.extensionLocation.fsPath,He)},get storagePath(){var He;return(He=$e._storagePath.workspaceValue(U))===null||He===void 0?void 0:He.fsPath},get globalStoragePath(){return $e._storagePath.globalValue(U).fsPath},get logPath(){return S.join($e._initData.logsLocation.fsPath,U.identifier.value)},get logUri(){return n.URI.joinPath($e._initData.logsLocation,U.identifier.value)},get storageUri(){return $e._storagePath.workspaceValue(U)},get globalStorageUri(){return $e._storagePath.globalValue(U)},get extensionMode(){return Se},get extension(){return(0,p.checkProposedApiEnabled)(U),Fe===void 0&&(Fe=new $(this,U.identifier,U,Pe)),Fe},get extensionRuntime(){return(0,p.checkProposedApiEnabled)(U),$e.extensionRuntime},get environmentVariableCollection(){return $e._extHostTerminalService.getEnvironmentVariableCollection(U)}})})}static _callActivate(U,Y,Z,se,Se){return Z=Z||{activate:void 0,deactivate:void 0},this._callActivateOptional(U,Y,Z,se,Se).then(Pe=>new d.ActivatedExtension(!1,null,Se.build(),Z,Pe,se.subscriptions))}static _callActivateOptional(U,Y,Z,se,Se){if(typeof Z.activate=="function")try{Se.activateCallStart(),U.trace(`ExtensionService#_callActivateOptional ${Y.value}`);const Pe=typeof global=="object"?global:self,$e=Z.activate.apply(Pe,[se]);return Se.activateCallStop(),Se.activateResolveStart(),Promise.resolve($e).then(Fe=>(Se.activateResolveStop(),Fe))}catch(Pe){return Promise.reject(Pe)}else return Promise.resolve(Z)}_activateOneStartupFinished(U,Y){this._activateById(U.identifier,{startup:!1,extensionId:U.identifier,activationEvent:Y}).then(void 0,Z=>{this._logService.error(Z)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(T.getMarks());for(const U of this._registry.getAllExtensionDescriptions())if(U.activationEvents)for(const Y of U.activationEvents)Y==="onStartupFinished"&&this._activateOneStartupFinished(U,Y)}_handleEagerExtensions(){const U=this._activateByEvent("*",!0).then(void 0,Se=>{this._logService.error(Se)});this._disposables.add(this._extHostWorkspace.onDidChangeWorkspace(Se=>this._handleWorkspaceContainsEagerExtensions(Se.added)));const Y=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],Z=this._handleWorkspaceContainsEagerExtensions(Y),se=Promise.all([U,Z]).then(()=>{});return Promise.race([se,(0,E.timeout)(1e4)]).then(()=>{this._activateAllStartupFinished()}),se}_handleWorkspaceContainsEagerExtensions(U){return U.length===0?Promise.resolve(void 0):Promise.all(this._registry.getAllExtensionDescriptions().map(Y=>this._handleWorkspaceContainsEagerExtension(U,Y))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(U,Y){if(!this.isActivated(Y.identifier)){const Z=!this._initData.remote.isRemote&&!!this._initData.remote.authority,se={folders:U.map(Pe=>Pe.uri),forceUsingSearch:Z,exists:Pe=>this._hostUtils.exists(Pe.fsPath),checkExists:(Pe,$e,Fe)=>this._mainThreadWorkspaceProxy.$checkExists(Pe,$e,Fe)},Se=await(0,F.checkActivateWorkspaceContainsExtension)(se,Y);if(!!Se)return this._activateById(Y.identifier,{startup:!0,extensionId:Y.identifier,activationEvent:Se.activationEvent}).then(void 0,Pe=>this._logService.error(Pe))}}_handleExtensionTests(){return this._doHandleExtensionTests().then(void 0,U=>(console.error(U),Promise.reject(U)))}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:U,extensionTestsLocationURI:Y}=this._initData.environment;if(!(U&&Y&&Y.scheme===u.Schemas.file))return Promise.resolve(void 0);const Z=(0,P.originalFSPath)(Y);let se,Se;try{se=await this._loadCommonJSModule(null,n.URI.file(Z),new d.ExtensionActivationTimesBuilder(!1))}catch(Pe){Se=Pe}return se&&typeof se.run=="function"?new Promise((Pe,$e)=>{const Fe=(N,V)=>{N?$e(N.toString()):Pe(void 0),this._testRunnerExit(N||typeof V=="number"&&V>0?1:0)},He=se.run(Z,Fe);He&&He.then&&He.then(()=>{Pe(),this._testRunnerExit(0)}).catch(N=>{$e(N.toString()),this._testRunnerExit(1)})}):(this._testRunnerExit(1),Promise.reject(new Error(Se?Se.toString():_.localize(0,null,Z))))}_testRunnerExit(U){this._logService.info(`extension host terminating: test runner requested exit with code ${U}`),this._logService.flush();const Y=this._mainThreadExtensionsProxy.$onExtensionHostExit(U),Z=this._extHostContext.drain();Promise.race([Promise.all([Y,Z]),(0,E.timeout)(5e3)]).then(()=>{this._logService.info(`exiting with code ${U}`),this._logService.flush(),this._hostUtils.exit(U)})}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>this._handleExtensionTests()).then(()=>{this._logService.info("eager extensions activated")})}registerRemoteAuthorityResolver(U,Y){return this._resolvers[U]=Y,(0,k.toDisposable)(()=>{delete this._resolvers[U]})}async $resolveAuthority(U,Y){const Z=U.indexOf("+");if(Z===-1)throw new Error("Not an authority that can be resolved!");const se=U.substr(0,Z);await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${se}`,!1);const Se=this._resolvers[se];if(!Se)return{type:"error",error:{code:o.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${se}.`,detail:void 0}};try{T.mark(`code/extHost/willResolveAuthority/${se}`);const Pe=await Se.resolve(U,{resolveAttempt:Y});T.mark(`code/extHost/didResolveAuthorityOK/${se}`),this._disposables.add(await this._extHostTunnelService.setTunnelExtensionFunctions(Se));const $e={authority:U,host:Pe.host,port:Pe.port,connectionToken:Pe.connectionToken},Fe={extensionHostEnv:Pe.extensionHostEnv};return{type:"ok",value:{authority:$e,options:Fe,tunnelInformation:{environmentTunnels:Pe.environmentTunnels}}}}catch(Pe){if(T.mark(`code/extHost/didResolveAuthorityError/${se}`),Pe instanceof r.RemoteAuthorityResolverError)return{type:"error",error:{code:Pe._code,message:Pe._message,detail:Pe._detail}};throw Pe}}$startExtensionHost(U){return this._registry.keepOnly(U),this._startExtensionHost()}$activateByEvent(U,Y){return Y===1?this._activateByEvent(U,!1):this._readyToRunExtensions.wait().then(Z=>this._activateByEvent(U,!1))}async $activate(U,Y){return await this._readyToRunExtensions.wait(),this._registry.getExtensionDescription(U)?(await this._activateById(U,Y),!0):!1}async $deltaExtensions(U,Y){U.forEach(se=>se.extensionLocation=n.URI.revive(se.extensionLocation));const Z=await this.getExtensionPathIndex();return await Promise.all(Y.map(async se=>{const Se=this._registry.getExtensionDescription(se);if(!!Se){const Pe=await this._hostUtils.realpath(Se.extensionLocation.fsPath);Z.delete(n.URI.file(Pe).fsPath)}})),await Promise.all(U.map(async se=>{const Se=await this._hostUtils.realpath(se.extensionLocation.fsPath);Z.set(n.URI.file(Se).fsPath,se)})),this._registry.deltaExtensions(U,Y),Promise.resolve(void 0)}async $test_latency(U){return U}async $test_up(U){return U.byteLength}async $test_down(U){let Y=a.VSBuffer.alloc(U),Z=Math.random()%256;for(let se=0;se<U;se++)Y.writeUInt8(Z,se);return Y}async $updateRemoteConnectionData(U){this._remoteConnectionData=U,this._onDidChangeRemoteConnectionData.fire()}};M=je([Ke(0,l.IInstantiationService),Ke(1,e.IHostUtils),Ke(2,y.IExtHostRpcService),Ke(3,h.IExtHostWorkspace),Ke(4,v.IExtHostConfiguration),Ke(5,A.ILogService),Ke(6,i.IExtHostInitDataService),Ke(7,f.IExtensionStoragePaths),Ke(8,m.IExtHostTunnelService),Ke(9,w.IExtHostTerminalService)],M),e.AbstractExtHostExtensionService=M;function x(q,U){return{id:q.identifier.value,name:q.name,extensionVersion:q.version,publisherDisplayName:q.publisher,activationEvents:q.activationEvents?q.activationEvents.join(","):null,isBuiltin:q.isBuiltin,reason:U.activationEvent,reasonId:U.extensionId.value}}e.IExtHostExtensionService=(0,l.createDecorator)("IExtHostExtensionService");class ${constructor(U,Y,Z,se){ie.set(this,void 0),j.set(this,void 0),ee.set(this,void 0),tt(this,ie,U),tt(this,j,Y),tt(this,ee,Z.identifier),this.id=Z.identifier.value,this.extensionUri=Z.extensionLocation,this.extensionPath=S.normalize((0,P.originalFSPath)(Z.extensionLocation)),this.packageJSON=Z,this.extensionKind=se}get isActive(){return We(this,ie).isActivated(We(this,ee))}get exports(){if(this.packageJSON.api!=="none")return We(this,ie).getExtensionExports(We(this,ee))}activate(){return We(this,ie).activateByIdWithErrors(We(this,ee),{startup:!1,extensionId:We(this,j),activationEvent:"api"}).then(()=>this.exports)}}e.Extension=$,ie=new WeakMap,j=new WeakMap,ee=new WeakMap}),define(we[101],Ee([0,1,11,2,3,13,5,7,162,31,35,41,169,34,163,14,4,12]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s,h,p,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostVariableResolverService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=(0,p.createDecorator)("IExtHostDebugService");let b=class{constructor(i,f,y,I,m){this._workspaceService=f,this._extensionService=y,this._editorsService=I,this._configurationService=m,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new T.Emitter,this._onDidTerminateDebugSession=new T.Emitter,this._onDidChangeActiveDebugSession=new T.Emitter,this._onDidReceiveDebugSessionCustomEvent=new T.Emitter,this._debugServiceProxy=i.getProxy(E.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new T.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new u(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(w=>{w.onDidChange(R=>{this.registerAllDebugTypes(w)}),this.registerAllDebugTypes(w)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(i,f){const y=i;if(typeof y.sourceReference=="number"&&y.sourceReference>0){let I=`debug:${encodeURIComponent(y.path||"")}`,m="?";return f&&(I+=`${m}session=${encodeURIComponent(f.id)}`,m="&"),I+=`${m}ref=${y.sourceReference}`,S.URI.parse(I)}else{if(y.path)return S.URI.file(y.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(i){const f=[];for(const y of i.getAllExtensionDescriptions())if(y.contributes){const I=y.contributes.debuggers;if(I&&I.length>0)for(const m of I)(0,s.isDebuggerMainContribution)(m)&&f.push(m.type)}this._debugServiceProxy.$registerDebugTypes(f)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const i=[];return this._breakpoints.forEach(f=>i.push(f)),i}addBreakpoints(i){this.startBreakpoints();const f=i.filter(m=>{const w=m.id;return this._breakpoints.has(w)?!1:(this._breakpoints.set(w,m),!0)});this.fireBreakpointChanges(f,[],[]);const y=[],I=new Map;for(const m of f)if(m instanceof k.SourceBreakpoint){let w=I.get(m.location.uri.toString());w||(w={type:"sourceMulti",uri:m.location.uri,lines:[]},I.set(m.location.uri.toString(),w),y.push(w)),w.lines.push({id:m.id,enabled:m.enabled,condition:m.condition,hitCondition:m.hitCondition,logMessage:m.logMessage,line:m.location.range.start.line,character:m.location.range.start.character})}else m instanceof k.FunctionBreakpoint&&y.push({type:"function",id:m.id,enabled:m.enabled,hitCondition:m.hitCondition,logMessage:m.logMessage,condition:m.condition,functionName:m.functionName});return this._debugServiceProxy.$registerBreakpoints(y)}removeBreakpoints(i){this.startBreakpoints();const f=i.filter(w=>this._breakpoints.delete(w.id));this.fireBreakpointChanges([],f,[]);const y=f.filter(w=>w instanceof k.SourceBreakpoint).map(w=>w.id),I=f.filter(w=>w instanceof k.FunctionBreakpoint).map(w=>w.id),m=f.filter(w=>w instanceof k.DataBreakpoint).map(w=>w.id);return this._debugServiceProxy.$unregisterBreakpoints(y,I,m)}startDebugging(i,f,y){return this._debugServiceProxy.$startDebugging(i?i.uri:void 0,f,{parentSessionID:y.parentSession?y.parentSession.id:void 0,repl:y.consoleMode===k.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:y.noDebug,compact:y.compact})}stopDebugging(i){return this._debugServiceProxy.$stopDebugging(i?i.id:void 0)}registerDebugConfigurationProvider(i,f,y){if(!f)return new k.Disposable(()=>{});const I=this._configProviderHandleCounter++;return this._configProviders.push({type:i,handle:I,provider:f}),this._debugServiceProxy.$registerDebugConfigurationProvider(i,y,!!f.provideDebugConfigurations,!!f.resolveDebugConfiguration,!!f.resolveDebugConfigurationWithSubstitutedVariables,I),new k.Disposable(()=>{this._configProviders=this._configProviders.filter(m=>m.provider!==f),this._debugServiceProxy.$unregisterDebugConfigurationProvider(I)})}registerDebugAdapterDescriptorFactory(i,f,y){if(!y)return new k.Disposable(()=>{});if(!this.definesDebugType(i,f))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${f}' debugger.`);if(this.getAdapterDescriptorFactoryByType(f))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const I=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:f,handle:I,factory:y}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(f,I),new k.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(m=>m.factory!==y),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(I)})}registerDebugAdapterTrackerFactory(i,f){if(!f)return new k.Disposable(()=>{});const y=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:i,handle:y,factory:f}),new k.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(I=>I.factory!==f)})}async $runInTerminal(i,f){return Promise.resolve(void 0)}async $substituteVariables(i,f){if(!this._variableResolver){const[m,w]=await Promise.all([this._workspaceService.getWorkspaceFolders2(),this._configurationService.getConfigProvider()]);this._variableResolver=this.createVariableResolver(m||[],this._editorsService,w)}let y;const I=await this.getFolder(i);return I&&(y={uri:I.uri,name:I.name,index:I.index,toResource:()=>{throw new Error("Not implemented")}}),this._variableResolver.resolveAny(y,f)}createDebugAdapter(i,f){if(i.type==="implementation")return new r(i.implementation)}createSignService(){}async $startDASession(i,f){const y=this,I=await this.getSession(f);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(I.type),I).then(m=>{if(!m)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${I.type}' (extension might have failed to activate)`);const w=this.convertToDto(m),R=this.createDebugAdapter(w,I);if(!R)throw new Error(`Couldn't create a debug adapter for type '${I.type}'.`);const F=R;return this._debugAdapters.set(i,F),this.getDebugAdapterTrackers(I).then(W=>(W&&this._debugAdaptersTrackers.set(i,W),F.onMessage(async oe=>{if(oe.type==="request"&&oe.command==="handshake"){const ie=oe,j={type:"response",seq:0,command:ie.command,request_seq:ie.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const ee=await this._signService.sign(ie.arguments.value);j.body={signature:ee},F.sendResponse(j)}else throw new Error("no signer")}catch(ee){j.success=!1,j.message=ee.message,F.sendResponse(j)}}else W&&W.onDidSendMessage&&W.onDidSendMessage(oe),oe=(0,s.convertToVSCPaths)(oe,!0),y._debugServiceProxy.$acceptDAMessage(i,oe)}),F.onError(oe=>{W&&W.onError&&W.onError(oe),this._debugServiceProxy.$acceptDAError(i,oe.name,oe.message,oe.stack)}),F.onExit(oe=>{W&&W.onExit&&W.onExit((0,g.withNullAsUndefined)(oe),void 0),this._debugServiceProxy.$acceptDAExit(i,(0,g.withNullAsUndefined)(oe),void 0)}),W&&W.onWillStartSession&&W.onWillStartSession(),F.startSession()))})}$sendDAMessage(i,f){f=(0,s.convertToDAPaths)(f,!1);const y=this._debugAdaptersTrackers.get(i);y&&y.onWillReceiveMessage&&y.onWillReceiveMessage(f);const I=this._debugAdapters.get(i);I&&I.sendMessage(f)}$stopDASession(i){const f=this._debugAdaptersTrackers.get(i);this._debugAdaptersTrackers.delete(i),f&&f.onWillStopSession&&f.onWillStopSession();const y=this._debugAdapters.get(i);return this._debugAdapters.delete(i),y?y.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(i){const f=[],y=[],I=[];if(i.added)for(const m of i.added){const w=m.id;if(w&&!this._breakpoints.has(w)){let R;if(m.type==="function")R=new k.FunctionBreakpoint(m.functionName,m.enabled,m.condition,m.hitCondition,m.logMessage);else if(m.type==="data")R=new k.DataBreakpoint(m.label,m.dataId,m.canPersist,m.enabled,m.hitCondition,m.condition,m.logMessage);else{const F=S.URI.revive(m.uri);R=new k.SourceBreakpoint(new k.Location(F,new k.Position(m.line,m.character)),m.enabled,m.condition,m.hitCondition,m.logMessage)}R._id=w,this._breakpoints.set(w,R),f.push(R)}}if(i.removed)for(const m of i.removed){const w=this._breakpoints.get(m);w&&(this._breakpoints.delete(m),y.push(w))}if(i.changed){for(const m of i.changed)if(m.id){const w=this._breakpoints.get(m.id);if(w){if(w instanceof k.FunctionBreakpoint&&m.type==="function"){const R=w;R.enabled=m.enabled,R.condition=m.condition,R.hitCondition=m.hitCondition,R.logMessage=m.logMessage,R.functionName=m.functionName}else if(w instanceof k.SourceBreakpoint&&m.type==="source"){const R=w;R.enabled=m.enabled,R.condition=m.condition,R.hitCondition=m.hitCondition,R.logMessage=m.logMessage,R.location=new k.Location(S.URI.revive(m.uri),new k.Position(m.line,m.character))}I.push(w)}}}this.fireBreakpointChanges(f,y,I)}$provideDebugConfigurations(i,f,y){return(0,P.asPromise)(async()=>{const I=this.getConfigProviderByHandle(i);if(!I)throw new Error("no DebugConfigurationProvider found");if(!I.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const m=await this.getFolder(f);return I.provideDebugConfigurations(m,y)}).then(I=>{if(!I)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return I})}$resolveDebugConfiguration(i,f,y,I){return(0,P.asPromise)(async()=>{const m=this.getConfigProviderByHandle(i);if(!m)throw new Error("no DebugConfigurationProvider found");if(!m.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const w=await this.getFolder(f);return m.resolveDebugConfiguration(w,y,I)})}$resolveDebugConfigurationWithSubstitutedVariables(i,f,y,I){return(0,P.asPromise)(async()=>{const m=this.getConfigProviderByHandle(i);if(!m)throw new Error("no DebugConfigurationProvider found");if(!m.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const w=await this.getFolder(f);return m.resolveDebugConfigurationWithSubstitutedVariables(w,y,I)})}async $provideDebugAdapter(i,f){const y=this.getAdapterDescriptorFactoryByHandle(i);if(!y)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const I=await this.getSession(f);return this.getAdapterDescriptor(y,I).then(m=>{if(!m)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${I.type}'`);return this.convertToDto(m)})}async $acceptDebugSessionStarted(i){const f=await this.getSession(i);this._onDidStartDebugSession.fire(f)}async $acceptDebugSessionTerminated(i){const f=await this.getSession(i);f&&(this._onDidTerminateDebugSession.fire(f),this._debugSessions.delete(f.id))}async $acceptDebugSessionActiveChanged(i){this._activeDebugSession=i?await this.getSession(i):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(i,f){const y=await this.getSession(i);y&&y._acceptNameChanged(f)}async $acceptDebugSessionCustomEvent(i,f){const I={session:await this.getSession(i),event:f.event,body:f.body};this._onDidReceiveDebugSessionCustomEvent.fire(I)}convertToDto(i){if(i instanceof k.DebugAdapterExecutable)return{type:"executable",command:i.command,args:i.args,options:i.options};if(i instanceof k.DebugAdapterServer)return{type:"server",port:i.port,host:i.host};if(i instanceof k.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:i.path};if(i instanceof k.DebugAdapterInlineImplementation)return{type:"implementation",implementation:i.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(i){const f=this._adapterFactories.filter(y=>y.type===i);if(f.length>0)return f[0].factory}getAdapterDescriptorFactoryByHandle(i){const f=this._adapterFactories.filter(y=>y.handle===i);if(f.length>0)return f[0].factory}getConfigProviderByHandle(i){const f=this._configProviders.filter(y=>y.handle===i);if(f.length>0)return f[0].provider}definesDebugType(i,f){if(i.contributes){const y=i.contributes.debuggers;if(y&&y.length>0){for(const I of y)if(I.label&&I.type&&I.type===f)return!0}}return!1}getDebugAdapterTrackers(i){const y=i.configuration.type,I=this._trackerFactories.filter(m=>m.type===y||m.type==="*").map(m=>(0,P.asPromise)(()=>m.factory.createDebugAdapterTracker(i)).then(w=>w,w=>null));return Promise.race([Promise.all(I).then(m=>{const w=m.filter(R=>!!R);if(w.length>0)return new t(w)}),new Promise((m,w)=>{const R=setTimeout(()=>{clearTimeout(R),w(new Error("timeout"))},1e3)})]).catch(m=>{})}async getAdapterDescriptor(i,f){const y=f.configuration.debugServer;if(typeof y=="number")return Promise.resolve(new k.DebugAdapterServer(y));if(i){const m=await this._extensionService.getExtensionRegistry();return(0,P.asPromise)(()=>i.createDebugAdapterDescriptor(f,this.daExecutableFromPackage(f,m))).then(w=>{if(w)return w})}const I=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(f,I))}daExecutableFromPackage(i,f){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(i,f,y){(i.length>0||f.length>0||y.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:i,removed:f,changed:y}))}async getSession(i){if(i)if(typeof i=="string"){const f=this._debugSessions.get(i);if(f)return f}else{let f=this._debugSessions.get(i.id);if(!f){const y=await this.getFolder(i.folderUri);f=new c(this._debugServiceProxy,i.id,i.type,i.name,y,i.configuration),this._debugSessions.set(f.id,f),this._debugServiceProxy.$sessionCached(f.id)}return f}throw new Error("cannot find session")}getFolder(i){if(i){const f=S.URI.revive(i);return this._workspaceService.resolveWorkspaceFolder(f)}return Promise.resolve(void 0)}};b=je([Ke(0,h.IExtHostRpcService),Ke(1,n.IExtHostWorkspace),Ke(2,A.IExtHostExtensionService),Ke(3,C.IExtHostDocumentsAndEditors),Ke(4,d.IExtHostConfiguration)],b),e.ExtHostDebugServiceBase=b;class c{constructor(i,f,y,I,m,w){this._debugServiceProxy=i,this._id=f,this._type=y,this._name=I,this._workspaceFolder=m,this._configuration=w}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(i){this._name=i,this._debugServiceProxy.$setDebugSessionName(this._id,i)}_acceptNameChanged(i){this._name=i}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(i,f){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,i,f)}getDebugProtocolBreakpoint(i){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,i.id)}}e.ExtHostDebugSession=c;class u{constructor(i){this.value=Object.freeze({append(f){i.$appendDebugConsole(f)},appendLine(f){this.append(f+`
`)}})}}e.ExtHostDebugConsole=u;class a extends v.AbstractVariableResolverService{constructor(i,f,y,I,m){super({getFolderUri:w=>{const R=i.filter(F=>F.name===w);if(R&&R.length>0)return R[0].uri},getWorkspaceFolderCount:()=>i.length,getConfigurationValue:(w,R)=>y.getConfiguration(void 0,w).get(R),getAppRoot:()=>I?I.VSCODE_CWD:void 0,getExecPath:()=>I?I.VSCODE_EXEC_PATH:void 0,getFilePath:()=>{if(f){const w=f.activeEditor();if(w)return _.normalize(w.document.uri.fsPath)}},getWorkspaceFolderPathForFile:()=>{if(f&&m){const w=f.activeEditor();if(w){const R=m.getWorkspaceFolder(w.document.uri);if(R)return _.normalize(R.uri.fsPath)}}},getSelectedText:()=>{if(f){const w=f.activeEditor();if(w&&!w.selection.isEmpty)return w.document.getText(w.selection)}},getLineNumber:()=>{if(f){const w=f.activeEditor();if(w)return String(w.selection.end.line+1)}}},void 0,I)}}e.ExtHostVariableResolverService=a;class t{constructor(i){this.trackers=i}onWillStartSession(){this.trackers.forEach(i=>i.onWillStartSession?i.onWillStartSession():void 0)}onWillReceiveMessage(i){this.trackers.forEach(f=>f.onWillReceiveMessage?f.onWillReceiveMessage(i):void 0)}onDidSendMessage(i){this.trackers.forEach(f=>f.onDidSendMessage?f.onDidSendMessage(i):void 0)}onWillStopSession(){this.trackers.forEach(i=>i.onWillStopSession?i.onWillStopSession():void 0)}onError(i){this.trackers.forEach(f=>f.onError?f.onError(i):void 0)}onExit(i,f){this.trackers.forEach(y=>y.onExit?y.onExit(i,f):void 0)}}class r extends D.AbstractDebugAdapter{constructor(i){super();this.implementation=i,i.onDidSendMessage(f=>{this.acceptMessage(f)})}startSession(){return Promise.resolve(void 0)}sendMessage(i){this.implementation.handleMessage(i)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let o=class extends b{constructor(i,f,y,I,m){super(i,f,y,I,m)}createVariableResolver(i,f,y){return new a(i,f,y)}};o=je([Ke(0,h.IExtHostRpcService),Ke(1,n.IExtHostWorkspace),Ke(2,A.IExtHostExtensionService),Ke(3,C.IExtHostDocumentsAndEditors),Ke(4,d.IExtHostConfiguration)],o),e.WorkerExtHostDebugService=o}),define(we[216],Ee([0,1,77,2,5,34,33,25,14,27,4,35,36,19]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let s=class{constructor(c,u,a,t,r,o,l){this._apiFactory=c,this._extensionRegistry=u,this._instaService=a,this._extHostConfiguration=t,this._extHostExtensionService=r,this._initData=o,this._logService=l,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),_.mark("code/extHost/willWaitForConfig");const c=await this._extHostConfiguration.getConfigProvider();_.mark("code/extHost/didWaitForConfig");const u=await this._extHostExtensionService.getExtensionPathIndex();this.register(new h(this._apiFactory,u,this._extensionRegistry,c,this._logService)),this.register(this._instaService.createInstance(p)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(g,u,this._initData.environment.appUriScheme))}register(c){if(Array.isArray(c.nodeModuleName))for(let u of c.nodeModuleName)this._factories.set(u,c);else this._factories.set(c.nodeModuleName,c);typeof c.alternativeModuleName=="function"&&this._alternatives.push(u=>c.alternativeModuleName(u))}};s=je([Ke(2,A.IInstantiationService),Ke(3,P.IExtHostConfiguration),Ke(4,C.IExtHostExtensionService),Ke(5,n.IExtHostInitDataService),Ke(6,d.ILogService)],s),e.RequireInterceptor=s;class h{constructor(c,u,a,t,r){this._apiFactory=c,this._extensionPaths=u,this._extensionRegistry=a,this._configProvider=t,this._logService=r,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(c,u){const a=this._extensionPaths.findSubstr(u.fsPath);if(a){let t=this._extApiImpl.get(k.ExtensionIdentifier.toKey(a.identifier));return t||(t=this._apiFactory(a,this._extensionRegistry,this._configProvider),this._extApiImpl.set(k.ExtensionIdentifier.toKey(a.identifier),t)),t}if(!this._defaultApiImpl){let t="";this._extensionPaths.forEach((r,o)=>t+=`	${o} -> ${r.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${u.fsPath}. These are the extension path mappings: 
${t}`),this._defaultApiImpl=this._apiFactory(E.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let p=class{constructor(c,u){this.nodeModuleName="keytar";const{environment:a}=u,t=c.getProxy(T.MainContext.MainThreadKeytar);if(a.appRoot){let r=a.appRoot.fsPath;v.platform==="win32"&&(r=r.replace(/\\/g,"/")),r[r.length-1]==="/"&&(r=r.substr(0,r.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${r}/node_modules.asar/keytar`),this.alternativeNames.add(`${r}/node_modules/keytar`)}this._impl={getPassword:(r,o)=>t.$getPassword(r,o),setPassword:(r,o,l)=>t.$setPassword(r,o,l),deletePassword:(r,o)=>t.$deletePassword(r,o),findPassword:r=>t.$findPassword(r),findCredentials(r){return t.$findCredentials(r)}}}load(c,u){return this._impl}alternativeModuleName(c){const u=c.length;if(!(u<=7||!this.alternativeNames)){const a=u-7;if((c.charAt(a)==="/"||c.charAt(a)==="\\")&&c.endsWith("keytar")&&(c=c.replace(/\\/g,"/"),this.alternativeNames.has(c)))return"keytar"}}};p=je([Ke(0,D.IExtHostRpcService),Ke(1,n.IExtHostInitDataService)],p);let g=class{constructor(c,u,a){this._extensionPaths=c,this._appUriScheme=u,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=a.getProxy(T.MainContext.MainThreadTelemetry);const t=a.getProxy(T.MainContext.MainThreadWindow);this._impl=(r,o)=>{const l=S.URI.parse(r);return o?this.callOriginal(r,o):l.scheme==="http"||l.scheme==="https"?t.$openUri(l,r,{allowTunneling:!0}):l.scheme==="mailto"||l.scheme===this._appUriScheme?t.$openUri(l,r,{}):this.callOriginal(r,o)}}load(c,u,a){const t=this._extensionPaths.findSubstr(u.fsPath);return t&&(this._extensionId=t.identifier.value,this.sendShimmingTelemetry()),this._original=a(c),this._impl}callOriginal(c,u){return this.sendNoForwardTelemetry(),this._original(c,u)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};g=je([Ke(2,D.IExtHostRpcService)],g)}),define(we[217],Ee([0,1,13,10,77,6,2,5,209,19,62,66,27,147,14,69,35,42]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s,h,p,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class b{constructor(u,a,t,r){this._disposables=new P.DisposableStore,this._isTerminating=!1,this._hostUtils=t;const o=new D.RPCProtocol(u,null,r);a=b._transform(a,o);const l=new C.ServiceCollection(...(0,A.getSingletonServiceDescriptors)());l.set(v.IExtHostInitDataService,Object.assign({_serviceBrand:void 0},a)),l.set(s.IExtHostRpcService,new s.ExtHostRpcService(o)),l.set(h.IURITransformerService,new h.URITransformerService(r)),l.set(p.IHostUtils,t);const i=new d.InstantiationService(l,!0),f=i.invokeFunction(w=>w.get(g.IExtHostTerminalService));this._disposables.add(f),this._logService=i.invokeFunction(w=>w.get(n.ILogService)),T.mark("code/extHost/didCreateServices"),this._logService.info("extension host started"),this._logService.trace("initData",a),this._extensionService=i.invokeFunction(w=>w.get(p.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const y=new WeakMap;this._extensionService.getExtensionPathIndex().then(w=>{Error.prepareStackTrace=(R,F)=>{let W="",oe,ie;for(const j of F)W+=`
	at ${j.toString()}`,ie=j.getFileName(),!oe&&ie&&(oe=w.findSubstr(ie));return y.set(R,oe),`${R.name||"Error"}: ${R.message||""}${W}`}});const I=o.getProxy(k.MainContext.MainThreadExtensionService),m=o.getProxy(k.MainContext.MainThreadErrors);S.setUnexpectedErrorHandler(w=>{const R=S.transformErrorForSerialization(w),F=y.get(w);F?I.$onExtensionRuntimeError(F.identifier,R):m.$onUnexpectedError(R)})}terminate(u){if(!this._isTerminating){this._isTerminating=!0,this._logService.info(`extension host terminating: ${u}`),this._logService.flush(),this._disposables.dispose(),S.setUnexpectedErrorHandler(t=>{});const a=this._extensionService.deactivateAll();setTimeout(()=>{Promise.race([(0,_.timeout)(4e3),a]).finally(()=>{this._logService.info("exiting with code 0"),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(0)})},1e3)}}static _transform(u,a){u.extensions.forEach(r=>r.extensionLocation=E.URI.revive(a.transformIncomingURIs(r.extensionLocation))),u.environment.appRoot=E.URI.revive(a.transformIncomingURIs(u.environment.appRoot));const t=u.environment.extensionDevelopmentLocationURI;return t&&(u.environment.extensionDevelopmentLocationURI=t.map(r=>E.URI.revive(a.transformIncomingURIs(r)))),u.environment.extensionTestsLocationURI=E.URI.revive(a.transformIncomingURIs(u.environment.extensionTestsLocationURI)),u.environment.globalStorageHome=E.URI.revive(a.transformIncomingURIs(u.environment.globalStorageHome)),u.environment.workspaceStorageHome=E.URI.revive(a.transformIncomingURIs(u.environment.workspaceStorageHome)),u.logsLocation=E.URI.revive(a.transformIncomingURIs(u.logsLocation)),u.logFile=E.URI.revive(a.transformIncomingURIs(u.logFile)),u.workspace=a.transformIncomingURIs(u.workspace),u}}e.ExtensionHostMain=b}),define(we[218],Ee([0,1,11,20,61,28,24,55,43,36]),function(ae,e,_,S,T,P,E,k,D,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class A{constructor(d,s,h){this.config=d,this.provider=s,this.sessionToken=h,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=d.filePattern,this.includePattern=d.includePattern&&P.parse(d.includePattern),this.maxResults=d.maxResults||void 0,this.exists=d.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=d.excludePattern&&P.parse(d.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(d=>d.cancel()),this.activeCancellationTokens=new Set}search(d){const s=this.config.folderQueries||[];return new Promise((h,p)=>{const g=b=>{this.resultCount++,d(b)};if(this.isCanceled)return h({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(b=>{const c=b.toString(),u=_.basename(c);this.globalExcludePattern&&this.globalExcludePattern(c,u)||this.matchFile(g,{base:b,basename:u})}),Promise.all(s.map(b=>this.searchInFolder(b,g))).then(b=>{h({limitHit:this.isLimitHit,stats:b[0]||void 0})},b=>{p(new Error((0,T.toErrorMessage)(b)))})})}searchInFolder(d,s){const h=new S.CancellationTokenSource;return new Promise((p,g)=>{const b=this.getSearchOptionsForFolder(d),c=this.initDirectoryTree(),u=new D.QueryGlobTester(this.config,d),a=!u.hasSiblingExcludeClauses();let t;new Promise(r=>(0,n.nextTick)(r)).then(()=>(this.activeCancellationTokens.add(h),t=k.StopWatch.create(),this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},b,h.token))).then(r=>{const o=t.elapsed(),l=k.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(r&&r.forEach(i=>{const f=_.posix.relative(d.folder.path,i.path);if(a){const y=_.basename(i.path);this.matchFile(s,{base:d.folder,relativePath:f,basename:y});return}this.addDirectoryEntries(c,d.folder,f,s)}),this.activeCancellationTokens.delete(h),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(c,u,s),{providerTime:o,postProcessTime:l.elapsed()})}).then(r=>{h.dispose(),p(r)},r=>{h.dispose(),g(r)})})}getSearchOptionsForFolder(d){const s=(0,D.resolvePatternsForProvider)(this.config.includePattern,d.includePattern),h=(0,D.resolvePatternsForProvider)(this.config.excludePattern,d.excludePattern);return{folder:d.folder,excludes:h,includes:s,useIgnoreFiles:!d.disregardIgnoreFiles,useGlobalIgnoreFiles:!d.disregardGlobalIgnoreFiles,followSymlinks:!d.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const d={rootEntries:[],pathToEntries:Object.create(null)};return d.pathToEntries["."]=d.rootEntries,d}addDirectoryEntries({pathToEntries:d},s,h,p){if(h===this.filePattern){const b=_.basename(this.filePattern);this.matchFile(p,{base:s,relativePath:this.filePattern,basename:b})}function g(b){const c=_.basename(b),u=_.dirname(b);let a=d[u];a||(a=d[u]=[],g(u)),a.push({base:s,relativePath:b,basename:c})}g(h)}matchDirectoryTree({rootEntries:d,pathToEntries:s},h,p){const g=this,b=this.filePattern;function c(u){const a=P.hasSiblingFn(()=>u.map(t=>t.basename));for(let t=0,r=u.length;t<r;t++){const o=u[t],{relativePath:l,basename:i}=o;if(!!h.includedInQuerySync(l,i,b!==i?a:void 0)){const f=s[l];if(f)c(f);else{if(l===b)continue;g.matchFile(p,o)}if(g.isLimitHit)break}}}c(d)}matchFile(d,s){(!this.includePattern||s.relativePath&&this.includePattern(s.relativePath,s.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||d(s))}}class C{constructor(){this.sessions=new Map}fileSearch(d,s,h,p){const g=this.getSessionTokenSource(d.cacheKey),b=new A(d,s,g&&g.token);let c=0;const u=a=>{c+=a.length,h(a.map(t=>this.rawMatchToSearchItem(t)))};return this.doSearch(b,C.BATCH_SIZE,u,p).then(a=>({limitHit:a.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:c,detailStats:a.stats}}))}clearCache(d){const s=this.getSessionTokenSource(d);s&&s.cancel()}getSessionTokenSource(d){if(!!d)return this.sessions.has(d)||this.sessions.set(d,new S.CancellationTokenSource),this.sessions.get(d)}rawMatchToSearchItem(d){return d.relativePath?{resource:E.joinPath(d.base,d.relativePath)}:{resource:d.base}}doSearch(d,s,h,p){p.onCancellationRequested(()=>{d.cancel()});const g=c=>{c&&(b.push(c),s>0&&b.length>=s&&(h(b),b=[]))};let b=[];return d.search(g).then(c=>(b.length&&h(b),c),c=>(b.length&&h(b),Promise.reject(c)))}}e.FileSearchManager=C,C.BATCH_SIZE=512}),define(we[219],Ee([0,1,11,15,20,61,24,28,2,43,36,16]),function(ae,e,_,S,T,P,E,k,D,n,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class v{constructor(c,u,a){this.query=c,this.provider=u,this.fileUtils=a,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(c,u){const a=this.query.folderQueries||[],t=new T.CancellationTokenSource;return u.onCancellationRequested(()=>t.cancel()),new Promise((r,o)=>{this.collector=new s(c);let l=!1;const i=(f,y)=>{if(!l&&!this.isLimitHit){const I=this.resultSize(f);p(f)&&typeof this.query.maxResults=="number"&&this.resultCount+I>this.query.maxResults&&(this.isLimitHit=!0,l=!0,t.cancel(),f=this.trimResultToSize(f,this.query.maxResults-this.resultCount));const m=this.resultSize(f);this.resultCount+=m,(m>0||!p(f))&&this.collector.add(f,y)}};Promise.all(a.map((f,y)=>this.searchInFolder(f,I=>i(I,y),t.token))).then(f=>{t.dispose(),this.collector.flush();const y=f.some(I=>!!I&&!!I.limitHit);r({limitHit:this.isLimitHit||y,stats:{type:"textSearchProvider"}})},f=>{t.dispose();const y=(0,P.toErrorMessage)(f);o(new Error(y))})})}resultSize(c){return p(c)?Array.isArray(c.ranges)?c.ranges.length:1:0}trimResultToSize(c,u){const a=Array.isArray(c.ranges)?c.ranges:[c.ranges],t=Array.isArray(c.preview.matches)?c.preview.matches:[c.preview.matches];return{ranges:a.slice(0,u),preview:{matches:t.slice(0,u),text:c.preview.text},uri:c.uri}}searchInFolder(c,u,a){const t=new n.QueryGlobTester(this.query,c),r=[],o={report:i=>{if(!!this.validateProviderResult(i)){const f=c.folder.scheme===C.Schemas.file?k.hasSiblingPromiseFn(()=>this.fileUtils.readdir(E.dirname(i.uri))):void 0,y=E.relativePath(c.folder,i.uri);y&&r.push(t.includedInQuery(y,_.basename(y),f).then(I=>{I&&u(i)}))}}},l=this.getSearchOptionsForFolder(c);return new Promise(i=>(0,A.nextTick)(i)).then(()=>this.provider.provideTextSearchResults(d(this.query.contentPattern),l,o,a)).then(i=>Promise.all(r).then(()=>i))}validateProviderResult(c){if(p(c)){if(Array.isArray(c.ranges)){if(!Array.isArray(c.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(c.preview.matches.length!==c.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(c.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(c){const u=(0,n.resolvePatternsForProvider)(this.query.includePattern,c.includePattern),a=(0,n.resolvePatternsForProvider)(this.query.excludePattern,c.excludePattern),t={folder:D.URI.from(c.folder),excludes:a,includes:u,useIgnoreFiles:!c.disregardIgnoreFiles,useGlobalIgnoreFiles:!c.disregardGlobalIgnoreFiles,followSymlinks:!c.ignoreSymlinks,encoding:c.fileEncoding&&this.fileUtils.toCanonicalName(c.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return t.usePCRE2=this.query.usePCRE2,t}}e.TextSearchManager=v;function d(b){return{isCaseSensitive:b.isCaseSensitive||!1,isRegExp:b.isRegExp||!1,isWordMatch:b.isWordMatch||!1,isMultiline:b.isMultiline||!1,pattern:b.pattern}}class s{constructor(c){this._onResult=c,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new g(512,u=>this.sendItems(u))}add(c,u){this._currentFileMatch&&(this._currentFolderIdx!==u||!E.isEqual(this._currentUri,c.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=u,this._currentFileMatch={resource:c.uri,results:[]}),this._currentFileMatch.results.push(h(c))}pushToCollector(){const c=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,c)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(c){this._onResult(c)}}e.TextSearchResultsCollector=s;function h(b){return p(b)?{preview:{matches:(0,S.mapArrayOrNot)(b.preview.matches,c=>({startLineNumber:c.start.line,startColumn:c.start.character,endLineNumber:c.end.line,endColumn:c.end.character})),text:b.preview.text},ranges:(0,S.mapArrayOrNot)(b.ranges,c=>({startLineNumber:c.start.line,startColumn:c.start.character,endLineNumber:c.end.line,endColumn:c.end.character}))}:{text:b.text,lineNumber:b.lineNumber}}function p(b){return!!b.preview}e.extensionResultIsMatch=p;class g{constructor(c,u){this.maxBatchSize=c,this.cb=u,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(c,u){!c||this.addItemToBatch(c,u)}addItems(c,u){!c||this.addItemsToBatch(c,u)}addItemToBatch(c,u){this.batch.push(c),this.batchSize+=u,this.onUpdate()}addItemsToBatch(c,u){this.batch=this.batch.concat(c),this.batchSize+=u,this.onUpdate()}onUpdate(){this.totalNumberCompleted<g.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},g.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=g,g.TIMEOUT=4e3,g.START_BATCH_AFTER_COUNT=50}),define(we[102],Ee([0,1,6,5,4,218,14,69,19,2,219]),function(ae,e,_,S,T,P,E,k,D,n,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=(0,T.createDecorator)("IExtHostSearch");let C=class{constructor(h,p,g){this.extHostRpc=h,this._uriTransformer=p,this._logService=g,this._proxy=this.extHostRpc.getProxy(S.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new P.FileSearchManager}_transformScheme(h){return this._uriTransformer.transformOutgoingScheme(h)}registerTextSearchProvider(h,p){if(this._textSearchUsedSchemes.has(h))throw new Error(`a text search provider for the scheme '${h}' is already registered`);this._textSearchUsedSchemes.add(h);const g=this._handlePool++;return this._textSearchProvider.set(g,p),this._proxy.$registerTextSearchProvider(g,this._transformScheme(h)),(0,_.toDisposable)(()=>{this._textSearchUsedSchemes.delete(h),this._textSearchProvider.delete(g),this._proxy.$unregisterProvider(g)})}registerFileSearchProvider(h,p){if(this._fileSearchUsedSchemes.has(h))throw new Error(`a file search provider for the scheme '${h}' is already registered`);this._fileSearchUsedSchemes.add(h);const g=this._handlePool++;return this._fileSearchProvider.set(g,p),this._proxy.$registerFileSearchProvider(g,this._transformScheme(h)),(0,_.toDisposable)(()=>{this._fileSearchUsedSchemes.delete(h),this._fileSearchProvider.delete(g),this._proxy.$unregisterProvider(g)})}$provideFileSearchResults(h,p,g,b){const c=v(g),u=this._fileSearchProvider.get(h);if(u)return this._fileSearchManager.fileSearch(c,u,a=>{this._proxy.$handleFileMatch(h,p,a.map(t=>t.resource))},b);throw new Error("unknown provider: "+h)}$clearCache(h){return this._fileSearchManager.clearCache(h),Promise.resolve(void 0)}$provideTextSearchResults(h,p,g,b){const c=this._textSearchProvider.get(h);if(!c||!c.provideTextSearchResults)throw new Error(`Unknown provider ${h}`);const u=v(g);return this.createTextSearchManager(u,c).search(t=>this._proxy.$handleTextMatch(h,p,t),b)}createTextSearchManager(h,p){return new A.TextSearchManager(h,p,{readdir:g=>Promise.resolve([]),toCanonicalName:g=>g})}};C=je([Ke(0,E.IExtHostRpcService),Ke(1,k.IURITransformerService),Ke(2,D.ILogService)],C),e.ExtHostSearch=C;function v(s){return Object.assign(Object.assign({},s),{folderQueries:s.folderQueries&&s.folderQueries.map(d),extraFileResources:s.extraFileResources&&s.extraFileResources.map(h=>n.URI.revive(h))})}e.reviveQuery=v;function d(s){return Object.assign(Object.assign({},s),{folder:n.URI.revive(s.folder)})}}),define(we[220],Ee([0,1,126,20,10,3,57,2,120,82,114,60,65,5,186,185,73,187,34,188,189,190,172,191,41,35,192,173,194,195,196,98,176,198,199,200,75,42,201,177,9,7,204,50,99,31,33,51,159,193,91,97,100,101,102,19,69,14,27,197,165,68,72,183,202,164,76,74,207,205,206,184,49,213,203,71,156,93]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s,h,p,g,b,c,u,a,t,r,o,l,i,f,y,I,m,w,R,F,W,oe,ie,j,ee,M,x,$,q,U,Y,Z,se,Se,Pe,$e,Fe,He,N,V,X,re,me,De,Le,ge,Ce,Ae,Ue,be,qe,H,Q,_e,Me,Be,Ne,Xe,B,te,ce,z,G,le){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function fe(ve){const xe=ve.get(Le.IExtHostInitDataService),Oe=ve.get(B.IExtHostFileSystemInfo),Ve=ve.get(_e.IExtHostConsumerFileSystem),Qe=ve.get(l.IExtHostExtensionService),Ze=ve.get(Z.IExtHostWorkspace),ht=ve.get(le.IExtHostTelemetry),rt=ve.get(b.IExtHostConfiguration),pe=ve.get(me.IURITransformerService),he=ve.get(De.IExtHostRpcService),ue=ve.get(ie.IExtHostStorage),K=ve.get(Q.IExtensionStoragePaths),ke=ve.get(re.ILogService),Te=ve.get(Ae.IExtHostTunnelService),et=ve.get(Ue.IExtHostApiDeprecationService),Ge=ve.get(Y.IExtHostWindow),nt=ve.get(z.IExtHostSecretState);he.set(d.ExtHostContext.ExtHostFileSystemInfo,Oe),he.set(d.ExtHostContext.ExtHostLogService,ke),he.set(d.ExtHostContext.ExtHostWorkspace,Ze),he.set(d.ExtHostContext.ExtHostConfiguration,rt),he.set(d.ExtHostContext.ExtHostExtensionService,Qe),he.set(d.ExtHostContext.ExtHostStorage,ue),he.set(d.ExtHostContext.ExtHostTunnelService,Te),he.set(d.ExtHostContext.ExtHostWindow,Ge),he.set(d.ExtHostContext.ExtHostSecretState,nt),he.set(d.ExtHostContext.ExtHostTelemetry,ht);const ct=he.set(d.ExtHostContext.ExtHostDecorations,ve.get(He.IExtHostDecorations)),Je=he.set(d.ExtHostContext.ExtHostDocumentsAndEditors,ve.get(o.IExtHostDocumentsAndEditors)),at=he.set(d.ExtHostContext.ExtHostCommands,ve.get(p.IExtHostCommands)),lt=he.set(d.ExtHostContext.ExtHostTerminalService,ve.get(j.IExtHostTerminalService)),ot=he.set(d.ExtHostContext.ExtHostDebugService,ve.get(V.IExtHostDebugService)),kt=he.set(d.ExtHostContext.ExtHostSearch,ve.get(X.IExtHostSearch)),_t=he.set(d.ExtHostContext.ExtHostTask,ve.get(N.IExtHostTask)),Ct=he.set(d.ExtHostContext.ExtHostOutputService,ve.get(w.IExtHostOutputService)),Et=he.set(d.ExtHostContext.ExtHostEditorTabs,new G.ExtHostEditorTabs),St=he.set(d.ExtHostContext.ExtHostUrls,new q.ExtHostUrls(he)),gt=he.set(d.ExtHostContext.ExtHostDocuments,new r.ExtHostDocuments(he,Je)),Rt=he.set(d.ExtHostContext.ExtHostDocumentContentProviders,new a.ExtHostDocumentContentProvider(he,Je,ke)),Ft=he.set(d.ExtHostContext.ExtHostDocumentSaveParticipant,new t.ExtHostDocumentSaveParticipant(ke,gt,he.getProxy(d.MainContext.MainThreadBulkEdits))),ft=he.set(d.ExtHostContext.ExtHostNotebook,new ge.ExtHostNotebookController(he,at,Je,gt,xe.environment,ke,K)),yt=he.set(d.ExtHostContext.ExtHostEditors,new ee.ExtHostEditors(he,Je)),$t=he.set(d.ExtHostContext.ExtHostTreeViews,new M.ExtHostTreeViews(he.getProxy(d.MainContext.MainThreadTreeViews),at,ke)),zt=he.set(d.ExtHostContext.ExtHostEditorInsets,new Pe.ExtHostEditorInsets(he.getProxy(d.MainContext.MainThreadEditorInsets),yt,xe.environment)),Lt=he.set(d.ExtHostContext.ExtHostDiagnostics,new c.ExtHostDiagnostics(he,ke)),dt=he.set(d.ExtHostContext.ExtHostLanguageFeatures,new y.ExtHostLanguageFeatures(he,pe,gt,at,Lt,ke,et)),Vt=he.set(d.ExtHostContext.ExtHostFileSystem,new i.ExtHostFileSystem(he,dt)),It=he.set(d.ExtHostContext.ExtHostFileSystemEventService,new f.ExtHostFileSystemEventService(he,ke,Je)),Pt=he.set(d.ExtHostContext.ExtHostQuickOpen,(0,F.createExtHostQuickOpen)(he,Ze,at)),xt=he.set(d.ExtHostContext.ExtHostSCM,new W.ExtHostSCM(he,at,ke)),un=he.set(d.ExtHostContext.ExtHostComments,new g.ExtHostComments(he,at,gt)),en=he.set(d.ExtHostContext.ExtHostProgress,new R.ExtHostProgress(he.getProxy(d.MainContext.MainThreadProgress))),cn=he.set(d.ExtHostContext.ExtHosLabelService,new $e.ExtHostLabelService(he)),tn=he.set(d.ExtHostContext.ExtHostTheming,new Ce.ExtHostTheming(he)),Mt=he.set(d.ExtHostContext.ExtHostAuthentication,new be.ExtHostAuthentication(he)),jt=he.set(d.ExtHostContext.ExtHostTimeline,new qe.ExtHostTimeline(he,at)),Ot=he.set(d.ExtHostContext.ExtHostWebviews,new U.ExtHostWebviews(he,xe.environment,Ze,ke,et)),qt=he.set(d.ExtHostContext.ExtHostWebviewPanels,new Ne.ExtHostWebviewPanels(he,Ot,Ze)),dn=he.set(d.ExtHostContext.ExtHostCustomEditors,new Be.ExtHostCustomEditors(he,gt,K,Ot,qt)),hn=he.set(d.ExtHostContext.ExtHostWebviewViews,new Me.ExtHostWebviewViews(he,Ot)),At=he.set(d.ExtHostContext.ExtHostTesting,new te.ExtHostTesting(he,Je,Ze)),Bt=he.set(d.ExtHostContext.ExtHostUriOpeners,new ce.ExtHostUriOpeners(he)),fn=(0,Se.values)(d.ExtHostContext);he.assertRegistered(fn);const mn=new Xe.ExtHostBulkEdits(he,Je),Kt=new h.ExtHostClipboard(he),Gt=new m.ExtHostMessageService(he,ke),nn=new u.ExtHostDialogs(he),Ht=new oe.ExtHostStatusBar(he,at.converter),Nt=new I.ExtHostLanguages(he,gt);return s.ExtHostApiCommands.register(at),function(Re,Qt,Ut){const mt=function(){let J=!Re.isUnderDevelopment;function de(Ie){J||(ke.info(`Extension '${Re.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),J=!0)}return function Ie(ut){if(Array.isArray(ut))ut.forEach(Ie);else if(typeof ut=="string")de(ut);else{const O=ut;typeof O.scheme=="undefined"&&de(ut),!Re.enableProposedApi&&typeof O.exclusive=="boolean"&&(0,se.throwProposedApiError)(Re)}return ut}}(),gn={getSession(J,de,Ie){return Mt.getSession(Re,J,de,Ie)},get onDidChangeSessions(){return Mt.onDidChangeSessions},registerAuthenticationProvider(J,de,Ie,ut){return Mt.registerAuthenticationProvider(J,de,Ie,ut)},get onDidChangeAuthenticationProviders(){return(0,se.checkProposedApiEnabled)(Re),Mt.onDidChangeAuthenticationProviders},get providers(){return(0,se.checkProposedApiEnabled)(Re),Mt.providers},logout(J,de){return(0,se.checkProposedApiEnabled)(Re),Mt.removeSession(J,de)}},pn={registerCommand(J,de,Ie){return at.registerCommand(!0,J,de,Ie)},registerTextEditorCommand(J,de,Ie){return at.registerCommand(!0,J,(...ut)=>{const O=yt.getActiveTextEditor();if(!O){ke.warn("Cannot execute "+J+" because there is no active text editor.");return}return O.edit(L=>{de.apply(Ie,[O,L,...ut])}).then(L=>{L||ke.warn("Edits from command "+J+" were not applied.")},L=>{ke.warn("An error occurred while running command "+J,L)})})},registerDiffInformationCommand:(J,de,Ie)=>((0,se.checkProposedApiEnabled)(Re),at.registerCommand(!0,J,async(...ut)=>{const O=Je.activeEditor(!0);if(!O){ke.warn("Cannot execute "+J+" because there is no active text editor.");return}const L=await yt.getDiffInformation(O.id);de.apply(Ie,[L,...ut])})),executeCommand(J,...de){return at.executeCommand(J,...de)},getCommands(J=!1){return at.getCommands(J)}},Jt={get machineId(){return xe.telemetryInfo.machineId},get sessionId(){return xe.telemetryInfo.sessionId},get language(){return xe.environment.appLanguage},get appName(){return xe.environment.appName},get appRoot(){var J,de;return(de=(J=xe.environment.appRoot)===null||J===void 0?void 0:J.fsPath)!==null&&de!==void 0?de:""},get uriScheme(){return xe.environment.appUriScheme},get clipboard(){return Kt.value},get shell(){return lt.getDefaultShell(!1,Ut)},get isTelemetryEnabled(){return ht.getTelemetryEnabled()},get onDidChangeTelemetryEnabled(){return ht.onDidChangeTelemetryEnabled},get isNewAppInstall(){const J=Date.now()-new Date(xe.telemetryInfo.firstSessionDate).getTime();return isNaN(J)?!1:J<1e3*60*60*24},openExternal(J,de){return Ge.openUri(J,{allowTunneling:!!xe.remote.authority,allowContributedOpeners:de==null?void 0:de.allowContributedOpeners})},asExternalUri(J){return J.scheme===xe.environment.appUriScheme?St.createAppUri(J):Ge.asExternalUri(J,{allowTunneling:!!xe.remote.authority})},get remoteName(){return(0,Fe.getRemoteName)(xe.remote.authority)},get uiKind(){return xe.uiKind}};xe.environment.extensionTestsLocationURI||Object.freeze(Jt);const rn=xe.remote.isRemote?$.ExtensionKind.Workspace:$.ExtensionKind.UI,vn={registerTestProvider(J){return(0,se.checkProposedApiEnabled)(Re),At.registerTestProvider(J)},createDocumentTestObserver(J){return(0,se.checkProposedApiEnabled)(Re),At.createTextDocumentTestObserver(J)},createWorkspaceTestObserver(J){return(0,se.checkProposedApiEnabled)(Re),At.createWorkspaceTestObserver(J)},runTests(J){return(0,se.checkProposedApiEnabled)(Re),At.runTests(J)},publishTestResult(J,de=!0){return(0,se.checkProposedApiEnabled)(Re),At.publishExtensionProvidedResults(J,de)},get onDidChangeTestResults(){return(0,se.checkProposedApiEnabled)(Re),At.onResultsChanged},get testResults(){return(0,se.checkProposedApiEnabled)(Re),At.results}},Yt={getExtension(J){const de=Qt.getExtensionDescription(J);if(de)return new l.Extension(Qe,Re.identifier,de,rn)},get all(){return Qt.getAllExtensionDescriptions().map(J=>new l.Extension(Qe,Re.identifier,J,rn))},get onDidChange(){return Qt.onDidChange}},_n={createDiagnosticCollection(J){return Lt.createDiagnosticCollection(Re.identifier,J)},get onDidChangeDiagnostics(){return Lt.onDidChangeDiagnostics},getDiagnostics:J=>Lt.getDiagnostics(J),getLanguages(){return Nt.getLanguages()},setTextDocumentLanguage(J,de){return Nt.changeLanguage(J.uri,de)},match(J,de){return(0,C.score)(x.LanguageSelector.from(J),de.uri,de.languageId,!0)},registerCodeActionsProvider(J,de,Ie){return dt.registerCodeActionProvider(Re,mt(J),de,Ie)},registerCodeLensProvider(J,de){return dt.registerCodeLensProvider(Re,mt(J),de)},registerDefinitionProvider(J,de){return dt.registerDefinitionProvider(Re,mt(J),de)},registerDeclarationProvider(J,de){return dt.registerDeclarationProvider(Re,mt(J),de)},registerImplementationProvider(J,de){return dt.registerImplementationProvider(Re,mt(J),de)},registerTypeDefinitionProvider(J,de){return dt.registerTypeDefinitionProvider(Re,mt(J),de)},registerHoverProvider(J,de){return dt.registerHoverProvider(Re,mt(J),de,Re.identifier)},registerEvaluatableExpressionProvider(J,de){return dt.registerEvaluatableExpressionProvider(Re,mt(J),de,Re.identifier)},registerInlineValuesProvider(J,de){return(0,se.checkProposedApiEnabled)(Re),dt.registerInlineValuesProvider(Re,mt(J),de,Re.identifier)},registerDocumentHighlightProvider(J,de){return dt.registerDocumentHighlightProvider(Re,mt(J),de)},registerLinkedEditingRangeProvider(J,de){return dt.registerLinkedEditingRangeProvider(Re,mt(J),de)},registerReferenceProvider(J,de){return dt.registerReferenceProvider(Re,mt(J),de)},registerRenameProvider(J,de){return dt.registerRenameProvider(Re,mt(J),de)},registerDocumentSymbolProvider(J,de,Ie){return dt.registerDocumentSymbolProvider(Re,mt(J),de,Ie)},registerWorkspaceSymbolProvider(J){return dt.registerWorkspaceSymbolProvider(Re,J)},registerDocumentFormattingEditProvider(J,de){return dt.registerDocumentFormattingEditProvider(Re,mt(J),de)},registerDocumentRangeFormattingEditProvider(J,de){return dt.registerDocumentRangeFormattingEditProvider(Re,mt(J),de)},registerOnTypeFormattingEditProvider(J,de,Ie,...ut){return dt.registerOnTypeFormattingEditProvider(Re,mt(J),de,[Ie].concat(ut))},registerDocumentSemanticTokensProvider(J,de,Ie){return dt.registerDocumentSemanticTokensProvider(Re,mt(J),de,Ie)},registerDocumentRangeSemanticTokensProvider(J,de,Ie){return dt.registerDocumentRangeSemanticTokensProvider(Re,mt(J),de,Ie)},registerSignatureHelpProvider(J,de,Ie,...ut){return typeof Ie=="object"?dt.registerSignatureHelpProvider(Re,mt(J),de,Ie):dt.registerSignatureHelpProvider(Re,mt(J),de,typeof Ie=="undefined"?[]:[Ie,...ut])},registerCompletionItemProvider(J,de,...Ie){return dt.registerCompletionItemProvider(Re,mt(J),de,Ie)},registerDocumentLinkProvider(J,de){return dt.registerDocumentLinkProvider(Re,mt(J),de)},registerColorProvider(J,de){return dt.registerColorProvider(Re,mt(J),de)},registerFoldingRangeProvider(J,de){return dt.registerFoldingRangeProvider(Re,mt(J),de)},registerSelectionRangeProvider(J,de){return dt.registerSelectionRangeProvider(Re,J,de)},registerCallHierarchyProvider(J,de){return dt.registerCallHierarchyProvider(Re,J,de)},setLanguageConfiguration:(J,de)=>dt.setLanguageConfiguration(Re,J,de),getTokenInformationAtPosition(J,de){return(0,se.checkProposedApiEnabled)(Re),Nt.tokenAtPosition(J,de)},registerInlineHintsProvider(J,de){return(0,se.checkProposedApiEnabled)(Re),dt.registerInlineHintsProvider(Re,J,de)}},bn={get activeTextEditor(){return yt.getActiveTextEditor()},get visibleTextEditors(){return yt.getVisibleTextEditors()},get activeTerminal(){return lt.activeTerminal},get terminals(){return lt.terminals},async showTextDocument(J,de,Ie){const ut=await(k.URI.isUri(J)?Promise.resolve(sn.openTextDocument(J)):Promise.resolve(J));return yt.showTextDocument(ut,de,Ie)},createTextEditorDecorationType(J){return yt.createTextEditorDecorationType(J)},onDidChangeActiveTextEditor(J,de,Ie){return yt.onDidChangeActiveTextEditor(J,de,Ie)},onDidChangeVisibleTextEditors(J,de,Ie){return yt.onDidChangeVisibleTextEditors(J,de,Ie)},onDidChangeTextEditorSelection(J,de,Ie){return yt.onDidChangeTextEditorSelection(J,de,Ie)},onDidChangeTextEditorOptions(J,de,Ie){return yt.onDidChangeTextEditorOptions(J,de,Ie)},onDidChangeTextEditorVisibleRanges(J,de,Ie){return yt.onDidChangeTextEditorVisibleRanges(J,de,Ie)},onDidChangeTextEditorViewColumn(J,de,Ie){return yt.onDidChangeTextEditorViewColumn(J,de,Ie)},onDidCloseTerminal(J,de,Ie){return lt.onDidCloseTerminal(J,de,Ie)},onDidOpenTerminal(J,de,Ie){return lt.onDidOpenTerminal(J,de,Ie)},onDidChangeActiveTerminal(J,de,Ie){return lt.onDidChangeActiveTerminal(J,de,Ie)},onDidChangeTerminalDimensions(J,de,Ie){return(0,se.checkProposedApiEnabled)(Re),lt.onDidChangeTerminalDimensions(J,de,Ie)},onDidWriteTerminalData(J,de,Ie){return(0,se.checkProposedApiEnabled)(Re),lt.onDidWriteTerminalData(J,de,Ie)},get state(){return Ge.state},onDidChangeWindowState(J,de,Ie){return Ge.onDidChangeWindowState(J,de,Ie)},showInformationMessage(J,...de){return Gt.showMessage(Re,E.default.Info,J,de[0],de.slice(1))},showWarningMessage(J,...de){return Gt.showMessage(Re,E.default.Warning,J,de[0],de.slice(1))},showErrorMessage(J,...de){return Gt.showMessage(Re,E.default.Error,J,de[0],de.slice(1))},showQuickPick(J,de,Ie){return Pt.showQuickPick(J,!!Re.enableProposedApi,de,Ie)},showWorkspaceFolderPick(J){return Pt.showWorkspaceFolderPick(J)},showInputBox(J,de){return Pt.showInput(J,de)},showOpenDialog(J){return nn.showOpenDialog(J)},showSaveDialog(J){return nn.showSaveDialog(J)},createStatusBarItem(J,de){let Ie,ut,O,L;return J&&typeof J!="number"?(Ie=J.id,ut=J.name,O=J.alignment,de=J.priority,L=J.accessibilityInformation):(Ie=Re.identifier.value,ut=_.localize(0,null,Re.displayName||Re.name),O=J),Ht.createStatusBarEntry(Ie,ut,O,de,L)},setStatusBarMessage(J,de){return Ht.setStatusBarMessage(J,de)},withScmProgress(J){return et.report("window.withScmProgress",Re,"Use 'withProgress' instead."),en.withProgress(Re,{location:$.ProgressLocation.SourceControl},(de,Ie)=>J({report(ut){}}))},withProgress(J,de){return en.withProgress(Re,J,de)},createOutputChannel(J){return Ct.createOutputChannel(J)},createWebviewPanel(J,de,Ie,ut){return qt.createWebviewPanel(Re,J,de,Ie,ut)},createWebviewTextEditorInset(J,de,Ie,ut){return(0,se.checkProposedApiEnabled)(Re),zt.createWebviewEditorInset(J,de,Ie,ut,Re)},createTerminal(J,de,Ie){return typeof J=="object"?"pty"in J?lt.createExtensionTerminal(J):lt.createTerminalFromOptions(J):lt.createTerminal(J,de,Ie)},registerTerminalLinkProvider(J){return lt.registerLinkProvider(J)},registerTreeDataProvider(J,de){return $t.registerTreeDataProvider(J,de,Re)},createTreeView(J,de){return $t.createTreeView(J,de,Re)},registerWebviewPanelSerializer:(J,de)=>qt.registerWebviewPanelSerializer(Re,J,de),registerCustomEditorProvider:(J,de,Ie={})=>dn.registerCustomEditorProvider(Re,J,de,Ie),registerFileDecorationProvider(J){return ct.registerFileDecorationProvider(J,Re.identifier)},registerUriHandler(J){return St.registerUriHandler(Re.identifier,J)},createQuickPick(){return Pt.createQuickPick(Re.identifier,!!Re.enableProposedApi)},createInputBox(){return Pt.createInputBox(Re.identifier)},get activeColorTheme(){return tn.activeColorTheme},onDidChangeActiveColorTheme(J,de,Ie){return tn.onDidChangeActiveColorTheme(J,de,Ie)},registerWebviewViewProvider(J,de,Ie){return hn.registerWebviewViewProvider(Re,J,de,Ie==null?void 0:Ie.webviewOptions)},get activeNotebookEditor(){return(0,se.checkProposedApiEnabled)(Re),ft.activeNotebookEditor},onDidChangeActiveNotebookEditor(J,de,Ie){return(0,se.checkProposedApiEnabled)(Re),ft.onDidChangeActiveNotebookEditor(J,de,Ie)},get visibleNotebookEditors(){return(0,se.checkProposedApiEnabled)(Re),ft.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return(0,se.checkProposedApiEnabled)(Re),ft.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(J,de,Ie){return(0,se.checkProposedApiEnabled)(Re),ft.onDidChangeNotebookEditorSelection(J,de,Ie)},onDidChangeNotebookEditorVisibleRanges(J,de,Ie){return(0,se.checkProposedApiEnabled)(Re),ft.onDidChangeNotebookEditorVisibleRanges(J,de,Ie)},showNotebookDocument(J,de){return(0,se.checkProposedApiEnabled)(Re),ft.showNotebookDocument(J,de)},registerExternalUriOpener(J,de,Ie){return(0,se.checkProposedApiEnabled)(Re),Bt.registerExternalUriOpener(Re.identifier,J,de,Ie)},get openEditors(){return(0,se.checkProposedApiEnabled)(Re),Et.tabs},get onDidChangeOpenEditors(){return(0,se.checkProposedApiEnabled)(Re),Et.onDidChangeTabs}},sn={get rootPath(){return et.report("workspace.rootPath",Re,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),Ze.getPath()},set rootPath(J){throw T.readonly()},getWorkspaceFolder(J){return Ze.getWorkspaceFolder(J)},get workspaceFolders(){return Ze.getWorkspaceFolders()},get name(){return Ze.name},set name(J){throw T.readonly()},get workspaceFile(){return Ze.workspaceFile},set workspaceFile(J){throw T.readonly()},updateWorkspaceFolders:(J,de,...Ie)=>Ze.updateWorkspaceFolders(Re,J,de||0,...Ie),onDidChangeWorkspaceFolders:function(J,de,Ie){return Ze.onDidChangeWorkspace(J,de,Ie)},asRelativePath:(J,de)=>Ze.getRelativePath(J,de),findFiles:(J,de,Ie,ut)=>Ze.findFiles(x.GlobPattern.from(J),x.GlobPattern.from(de),Ie,Re.identifier,ut),findTextInFiles:(J,de,Ie,ut)=>{let O,L;return typeof de=="object"?(O=de,L=Ie):(O={},L=de,ut=Ie),Ze.findTextInFiles(J,O||{},L,Re.identifier,ut)},saveAll:J=>Ze.saveAll(J),applyEdit(J){return mn.applyWorkspaceEdit(J)},createFileSystemWatcher:(J,de,Ie,ut)=>It.createFileSystemWatcher(x.GlobPattern.from(J),de,Ie,ut),get textDocuments(){return gt.getAllDocumentData().map(J=>J.document)},set textDocuments(J){throw T.readonly()},openTextDocument(J){let de;const Ie=J;if(typeof J=="string")de=Promise.resolve(k.URI.file(J));else if(k.URI.isUri(J))de=Promise.resolve(J);else if(!Ie||typeof Ie=="object")de=gt.createDocumentData(Ie);else throw new Error("illegal argument - uriOrFileNameOrOptions");return de.then(ut=>gt.ensureDocumentData(ut).then(O=>O.document))},onDidOpenTextDocument:(J,de,Ie)=>gt.onDidAddDocument(J,de,Ie),onDidCloseTextDocument:(J,de,Ie)=>gt.onDidRemoveDocument(J,de,Ie),onDidChangeTextDocument:(J,de,Ie)=>gt.onDidChangeDocument(J,de,Ie),onDidSaveTextDocument:(J,de,Ie)=>gt.onDidSaveDocument(J,de,Ie),onWillSaveTextDocument:(J,de,Ie)=>Ft.getOnWillSaveTextDocumentEvent(Re)(J,de,Ie),onDidChangeConfiguration:(J,de,Ie)=>Ut.onDidChangeConfiguration(J,de,Ie),getConfiguration(J,de){return de=arguments.length===1?void 0:de,Ut.getConfiguration(J,de,Re)},registerTextDocumentContentProvider(J,de){return Rt.registerTextDocumentContentProvider(J,de)},registerTaskProvider:(J,de)=>(et.report("window.registerTaskProvider",Re,"Use the corresponding function on the 'tasks' namespace instead"),_t.registerTaskProvider(Re,J,de)),registerFileSystemProvider(J,de,Ie){return Vt.registerFileSystemProvider(Re.identifier,J,de,Ie)},get fs(){return Ve.value},registerFileSearchProvider:(J,de)=>((0,se.checkProposedApiEnabled)(Re),kt.registerFileSearchProvider(J,de)),registerTextSearchProvider:(J,de)=>((0,se.checkProposedApiEnabled)(Re),kt.registerTextSearchProvider(J,de)),registerRemoteAuthorityResolver:(J,de)=>((0,se.checkProposedApiEnabled)(Re),Qe.registerRemoteAuthorityResolver(J,de)),registerResourceLabelFormatter:J=>((0,se.checkProposedApiEnabled)(Re),cn.$registerResourceLabelFormatter(J)),onDidCreateFiles:(J,de,Ie)=>It.onDidCreateFile(J,de,Ie),onDidDeleteFiles:(J,de,Ie)=>It.onDidDeleteFile(J,de,Ie),onDidRenameFiles:(J,de,Ie)=>It.onDidRenameFile(J,de,Ie),onWillCreateFiles:(J,de,Ie)=>It.getOnWillCreateFileEvent(Re)(J,de,Ie),onWillDeleteFiles:(J,de,Ie)=>It.getOnWillDeleteFileEvent(Re)(J,de,Ie),onWillRenameFiles:(J,de,Ie)=>It.getOnWillRenameFileEvent(Re)(J,de,Ie),openTunnel:J=>((0,se.checkProposedApiEnabled)(Re),Te.openTunnel(Re,J).then(de=>{if(!de)throw new Error("cannot open tunnel");return de})),get tunnels(){return(0,se.checkProposedApiEnabled)(Re),Te.getTunnels()},onDidChangeTunnels:(J,de,Ie)=>((0,se.checkProposedApiEnabled)(Re),Te.onDidChangeTunnels(J,de,Ie)),registerPortAttributesProvider:(J,de)=>((0,se.checkProposedApiEnabled)(Re),Te.registerPortsAttributesProvider(J,de)),registerTimelineProvider:(J,de)=>((0,se.checkProposedApiEnabled)(Re),jt.registerTimelineProvider(J,de,Re.identifier,at.converter)),get trustState(){return(0,se.checkProposedApiEnabled)(Re),(0,se.checkRequiresWorkspaceTrust)(Re),Ze.trustState},requireWorkspaceTrust:J=>((0,se.checkProposedApiEnabled)(Re),(0,se.checkRequiresWorkspaceTrust)(Re),Ze.requireWorkspaceTrust(J)),onDidChangeWorkspaceTrustState:(J,de,Ie)=>Ze.onDidChangeWorkspaceTrustState(J,de,Ie)},wn={get inputBox(){return et.report("scm.inputBox",Re,"Use 'SourceControl.inputBox' instead"),xt.getLastInputBox(Re)},createSourceControl(J,de,Ie){return xt.createSourceControl(Re,J,de,Ie)}},En={createCommentController(J,de){return un.createCommentController(Re,J,de)}},on={get activeDebugSession(){return ot.activeDebugSession},get activeDebugConsole(){return ot.activeDebugConsole},get breakpoints(){return ot.breakpoints},onDidStartDebugSession(J,de,Ie){return ot.onDidStartDebugSession(J,de,Ie)},onDidTerminateDebugSession(J,de,Ie){return ot.onDidTerminateDebugSession(J,de,Ie)},onDidChangeActiveDebugSession(J,de,Ie){return ot.onDidChangeActiveDebugSession(J,de,Ie)},onDidReceiveDebugSessionCustomEvent(J,de,Ie){return ot.onDidReceiveDebugSessionCustomEvent(J,de,Ie)},onDidChangeBreakpoints(J,de,Ie){return ot.onDidChangeBreakpoints(J,de,Ie)},registerDebugConfigurationProvider(J,de,Ie){return ot.registerDebugConfigurationProvider(J,de,Ie||$.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(J,de){return ot.registerDebugAdapterDescriptorFactory(Re,J,de)},registerDebugAdapterTrackerFactory(J,de){return ot.registerDebugAdapterTrackerFactory(J,de)},startDebugging(J,de,Ie){return!Ie||typeof Ie=="object"&&"configuration"in Ie?ot.startDebugging(J,de,{parentSession:Ie}):ot.startDebugging(J,de,Ie||{})},stopDebugging(J){return ot.stopDebugging(J)},addBreakpoints(J){return ot.addBreakpoints(J)},removeBreakpoints(J){return ot.removeBreakpoints(J)},asDebugSourceUri(J,de){return ot.asDebugSourceUri(J,de)}},Sn={registerTaskProvider:(J,de)=>_t.registerTaskProvider(Re,J,de),fetchTasks:J=>_t.fetchTasks(J),executeTask:J=>_t.executeTask(Re,J),get taskExecutions(){return _t.taskExecutions},onDidStartTask:(J,de,Ie)=>_t.onDidStartTask(J,de,Ie),onDidEndTask:(J,de,Ie)=>_t.onDidEndTask(J,de,Ie),onDidStartTaskProcess:(J,de,Ie)=>_t.onDidStartTaskProcess(J,de,Ie),onDidEndTaskProcess:(J,de,Ie)=>_t.onDidEndTaskProcess(J,de,Ie)},yn={openNotebookDocument:J=>((0,se.checkProposedApiEnabled)(Re),ft.openNotebookDocument(J)),get onDidOpenNotebookDocument(){return(0,se.checkProposedApiEnabled)(Re),ft.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return(0,se.checkProposedApiEnabled)(Re),ft.onDidCloseNotebookDocument},get onDidSaveNotebookDocument(){return(0,se.checkProposedApiEnabled)(Re),ft.onDidSaveNotebookDocument},get notebookDocuments(){return(0,se.checkProposedApiEnabled)(Re),ft.notebookDocuments.map(J=>J.notebookDocument)},get onDidChangeActiveNotebookKernel(){return(0,se.checkProposedApiEnabled)(Re),ft.onDidChangeActiveNotebookKernel},registerNotebookContentProvider:(J,de,Ie)=>((0,se.checkProposedApiEnabled)(Re),ft.registerNotebookContentProvider(Re,J,de,Ie)),registerNotebookKernelProvider:(J,de)=>((0,se.checkProposedApiEnabled)(Re),ft.registerNotebookKernelProvider(Re,J,de)),createNotebookEditorDecorationType(J){return(0,se.checkProposedApiEnabled)(Re),ft.createNotebookEditorDecorationType(J)},onDidChangeNotebookDocumentMetadata(J,de,Ie){return(0,se.checkProposedApiEnabled)(Re),ft.onDidChangeNotebookDocumentMetadata(J,de,Ie)},onDidChangeNotebookCells(J,de,Ie){return(0,se.checkProposedApiEnabled)(Re),ft.onDidChangeNotebookCells(J,de,Ie)},onDidChangeCellOutputs(J,de,Ie){return(0,se.checkProposedApiEnabled)(Re),ft.onDidChangeCellOutputs(J,de,Ie)},onDidChangeCellMetadata(J,de,Ie){return(0,se.checkProposedApiEnabled)(Re),ft.onDidChangeCellMetadata(J,de,Ie)},createConcatTextDocument(J,de){return(0,se.checkProposedApiEnabled)(Re),new H.ExtHostNotebookConcatDocument(ft,gt,J,de)},createCellStatusBarItem(J,de,Ie){return(0,se.checkProposedApiEnabled)(Re),ft.createNotebookCellStatusBarItemInternal(J,de,Ie)}};return{version:xe.version,authentication:gn,commands:pn,comments:En,debug:on,env:Jt,extensions:Yt,languages:_n,notebook:yn,scm:wn,tasks:Sn,test:vn,window:bn,workspace:sn,Breakpoint:$.Breakpoint,CallHierarchyIncomingCall:$.CallHierarchyIncomingCall,CallHierarchyItem:$.CallHierarchyItem,CallHierarchyOutgoingCall:$.CallHierarchyOutgoingCall,CancellationError:T.CancellationError,CancellationTokenSource:S.CancellationTokenSource,CandidatePortSource:d.CandidatePortSource,CodeAction:$.CodeAction,CodeActionKind:$.CodeActionKind,CodeActionTriggerKind:$.CodeActionTriggerKind,CodeLens:$.CodeLens,Color:$.Color,ColorInformation:$.ColorInformation,ColorPresentation:$.ColorPresentation,ColorThemeKind:$.ColorThemeKind,CommentMode:$.CommentMode,CommentThreadCollapsibleState:$.CommentThreadCollapsibleState,CompletionItem:$.CompletionItem,CompletionItemKind:$.CompletionItemKind,CompletionItemTag:$.CompletionItemTag,CompletionList:$.CompletionList,CompletionTriggerKind:$.CompletionTriggerKind,ConfigurationTarget:$.ConfigurationTarget,CustomExecution:$.CustomExecution,DebugAdapterExecutable:$.DebugAdapterExecutable,DebugAdapterInlineImplementation:$.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:$.DebugAdapterNamedPipeServer,DebugAdapterServer:$.DebugAdapterServer,DebugConfigurationProviderTriggerKind:$.DebugConfigurationProviderTriggerKind,DebugConsoleMode:$.DebugConsoleMode,DecorationRangeBehavior:$.DecorationRangeBehavior,Diagnostic:$.Diagnostic,DiagnosticRelatedInformation:$.DiagnosticRelatedInformation,DiagnosticSeverity:$.DiagnosticSeverity,DiagnosticTag:$.DiagnosticTag,Disposable:$.Disposable,DocumentHighlight:$.DocumentHighlight,DocumentHighlightKind:$.DocumentHighlightKind,DocumentLink:$.DocumentLink,DocumentSymbol:$.DocumentSymbol,EndOfLine:$.EndOfLine,EnvironmentVariableMutatorType:$.EnvironmentVariableMutatorType,EvaluatableExpression:$.EvaluatableExpression,InlineValueText:$.InlineValueText,InlineValueVariableLookup:$.InlineValueVariableLookup,InlineValueEvaluatableExpression:$.InlineValueEvaluatableExpression,EventEmitter:P.Emitter,ExtensionKind:$.ExtensionKind,ExtensionMode:$.ExtensionMode,ExternalUriOpenerPriority:$.ExternalUriOpenerPriority,FileChangeType:$.FileChangeType,FileDecoration:$.FileDecoration,FileSystemError:$.FileSystemError,FileType:v.FileType,FoldingRange:$.FoldingRange,FoldingRangeKind:$.FoldingRangeKind,FunctionBreakpoint:$.FunctionBreakpoint,Hover:$.Hover,IndentAction:A.IndentAction,Location:$.Location,MarkdownString:$.MarkdownString,OverviewRulerLane:n.OverviewRulerLane,ParameterInformation:$.ParameterInformation,PortAutoForwardAction:$.PortAutoForwardAction,Position:$.Position,ProcessExecution:$.ProcessExecution,ProgressLocation:$.ProgressLocation,QuickInputButtons:$.QuickInputButtons,Range:$.Range,RelativePattern:$.RelativePattern,Selection:$.Selection,SelectionRange:$.SelectionRange,SemanticTokens:$.SemanticTokens,SemanticTokensBuilder:$.SemanticTokensBuilder,SemanticTokensEdit:$.SemanticTokensEdit,SemanticTokensEdits:$.SemanticTokensEdits,SemanticTokensLegend:$.SemanticTokensLegend,ShellExecution:$.ShellExecution,ShellQuoting:$.ShellQuoting,SignatureHelp:$.SignatureHelp,SignatureHelpTriggerKind:$.SignatureHelpTriggerKind,SignatureInformation:$.SignatureInformation,SnippetString:$.SnippetString,SourceBreakpoint:$.SourceBreakpoint,StandardTokenType:$.StandardTokenType,StatusBarAlignment:$.StatusBarAlignment,SymbolInformation:$.SymbolInformation,SymbolKind:$.SymbolKind,SymbolTag:$.SymbolTag,Task:$.Task,TaskGroup:$.TaskGroup,TaskPanelKind:$.TaskPanelKind,TaskRevealKind:$.TaskRevealKind,TaskScope:$.TaskScope,TextDocumentSaveReason:$.TextDocumentSaveReason,TextEdit:$.TextEdit,TextEditorCursorStyle:D.TextEditorCursorStyle,TextEditorLineNumbersStyle:$.TextEditorLineNumbersStyle,TextEditorRevealType:$.TextEditorRevealType,TextEditorSelectionChangeKind:$.TextEditorSelectionChangeKind,ThemeColor:$.ThemeColor,ThemeIcon:$.ThemeIcon,TreeItem:$.TreeItem,TreeItemCollapsibleState:$.TreeItemCollapsibleState,UIKind:d.UIKind,Uri:k.URI,ViewColumn:$.ViewColumn,WorkspaceEdit:$.WorkspaceEdit,InlineHint:$.InlineHint,InlineHintKind:$.InlineHintKind,RemoteAuthorityResolverError:$.RemoteAuthorityResolverError,ResolvedAuthority:$.ResolvedAuthority,SourceControlInputBoxValidationType:$.SourceControlInputBoxValidationType,ExtensionRuntime:$.ExtensionRuntime,TimelineItem:$.TimelineItem,NotebookCellRange:$.NotebookCellRange,NotebookCellKind:$.NotebookCellKind,NotebookCellRunState:$.NotebookCellRunState,NotebookDocumentMetadata:$.NotebookDocumentMetadata,NotebookCellMetadata:$.NotebookCellMetadata,NotebookCellData:$.NotebookCellData,NotebookData:$.NotebookData,NotebookRunState:$.NotebookRunState,NotebookCellStatusBarAlignment:$.NotebookCellStatusBarAlignment,NotebookEditorRevealType:$.NotebookEditorRevealType,NotebookCellOutput:$.NotebookCellOutput,NotebookCellOutputItem:$.NotebookCellOutputItem,LinkedEditingRanges:$.LinkedEditingRanges,TestItem:$.TestItem,TestState:$.TestState,TestResult:$.TestResult,TestMessage:$.TestMessage,TestMessageSeverity:$.TestMessageSeverity,WorkspaceTrustState:$.WorkspaceTrustState}}}e.createApiFactoryAndRegisterActors=fe}),define(we[221],Ee([0,1,62,98,31,97,34,73,41,42,100,101,102,76,75,68,72,99,74,49,71,93]),function(ae,e,_,S,T,P,E,k,D,n,A,C,v,d,s,h,p,g,b,c,u,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,_.registerSingleton)(d.IExtensionStoragePaths,d.ExtensionStoragePaths),(0,_.registerSingleton)(p.IExtHostApiDeprecationService,p.ExtHostApiDeprecationService),(0,_.registerSingleton)(k.IExtHostCommands,k.ExtHostCommands),(0,_.registerSingleton)(E.IExtHostConfiguration,E.ExtHostConfiguration),(0,_.registerSingleton)(b.IExtHostConsumerFileSystem,b.ExtHostConsumerFileSystem),(0,_.registerSingleton)(C.IExtHostDebugService,C.WorkerExtHostDebugService),(0,_.registerSingleton)(P.IExtHostDecorations,P.ExtHostDecorations),(0,_.registerSingleton)(D.IExtHostDocumentsAndEditors,D.ExtHostDocumentsAndEditors),(0,_.registerSingleton)(c.IExtHostFileSystemInfo,c.ExtHostFileSystemInfo),(0,_.registerSingleton)(S.IExtHostOutputService,S.ExtHostOutputService),(0,_.registerSingleton)(v.IExtHostSearch,v.ExtHostSearch),(0,_.registerSingleton)(s.IExtHostStorage,s.ExtHostStorage),(0,_.registerSingleton)(A.IExtHostTask,A.WorkerExtHostTask),(0,_.registerSingleton)(n.IExtHostTerminalService,n.WorkerExtHostTerminalService),(0,_.registerSingleton)(h.IExtHostTunnelService,h.ExtHostTunnelService),(0,_.registerSingleton)(g.IExtHostWindow,g.ExtHostWindow),(0,_.registerSingleton)(T.IExtHostWorkspace,T.ExtHostWorkspace),(0,_.registerSingleton)(u.IExtHostSecretState,u.ExtHostSecretState),(0,_.registerSingleton)(a.IExtHostTelemetry,a.ExtHostTelemetry)}),define(we[222],Ee([0,1,220,35,216,7,13]),function(ae,e,_,S,T,P,E){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;var D;(function(v){var d;const s=(d=self.trustedTypes)===null||d===void 0?void 0:d.createPolicy("TrustedFunctionWorkaround",{createScript:(p,...g)=>{g.forEach(a=>{var t;if(!((t=self.trustedTypes)===null||t===void 0?void 0:t.isScript(a)))throw new Error("TrustedScripts only, please")});const b=g.slice(0,-1).join(","),c=g.pop().toString();return`(function anonymous(${b}) {
${c}
})`}});function h(...p){return s?self.eval(s.createScript("",...p)):new Function(...p)}v.create=h})(D||(D={}));class n extends T.RequireInterceptor{_installInterceptor(){}getModule(d,s){for(let h of this._alternatives){let p=h(d);if(p){d=p;break}}if(this._factories.has(d))return this._factories.get(d).load(d,s,()=>{throw new Error("CANNOT LOAD MODULE from here.")})}}class A extends S.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=P.ExtensionRuntime.Webworker}async _beforeAlmostReadyToRunExtensions(){const d=this._instaService.invokeFunction(_.createApiFactoryAndRegisterActors);this._fakeModules=this._instaService.createInstance(n,d,this._registry),await this._fakeModules.install(),performance.mark("code/extHost/didInitAPI"),await this._waitForDebuggerAttachment()}_getEntryPoint(d){return d.browser}async _loadCommonJSModule(d,s,h){var p,g,b,c,u,a,t,r;s=s.with({path:C(s.path,".js")}),d&&performance.mark(`code/extHost/willFetchExtensionCode/${d.value}`);const o=await fetch(s.toString(!0));if(d&&performance.mark(`code/extHost/didFetchExtensionCode/${d.value}`),o.status!==200)throw new Error(o.statusText);const l=await o.text(),i=`${s.toString(!0)}#vscode-extension`,f=`${l}
//# sourceURL=${i}`;let y;try{y=D.create((g=(p=A._ttpExtensionScripts)===null||p===void 0?void 0:p.createScript("module"))!==null&&g!==void 0?g:"module",(c=(b=A._ttpExtensionScripts)===null||b===void 0?void 0:b.createScript("exports"))!==null&&c!==void 0?c:"exports",(a=(u=A._ttpExtensionScripts)===null||u===void 0?void 0:u.createScript("require"))!==null&&a!==void 0?a:"require",(r=(t=A._ttpExtensionScripts)===null||t===void 0?void 0:t.createScript(f))!==null&&r!==void 0?r:f)}catch(R){throw d?console.error(`Loading code for extension ${d.value} failed: ${R.message}`):console.error(`Loading code failed: ${R.message}`),console.error(`${s.toString(!0)}${typeof R.line=="number"?` line ${R.line}`:""}${typeof R.column=="number"?` column ${R.column}`:""}`),console.error(R),R}const I={},m={exports:I},w=R=>{const F=this._fakeModules.getModule(R,s);if(F===void 0)throw new Error(`Cannot load module '${R}'`);return F};try{return h.codeLoadingStart(),d&&performance.mark(`code/extHost/willLoadExtensionCode/${d.value}`),y(m,I,w),m.exports!==I?m.exports:I}finally{d&&performance.mark(`code/extHost/didLoadExtensionCode/${d.value}`),h.codeLoadingStop()}}async $setRemoteEnvironment(d){throw new Error("Not supported")}async _waitForDebuggerAttachment(d=5e3){if(!!this._initData.environment.isExtensionDevelopmentDebug){const s=Date.now()+d;for(;Date.now()<s&&!("__jsDebugIsReady"in globalThis);)await(0,E.timeout)(10)}}}e.ExtHostExtensionService=A,A._ttpExtensionScripts=(k=self.trustedTypes)===null||k===void 0?void 0:k.createPolicy("ExtensionScripts",{createScript:v=>v});function C(v,d){return v.endsWith(d)?v:v+d}}),define(we[223],Ee([0,1,62,19,35,222,208]),function(ae,e,_,S,T,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,_.registerSingleton)(T.IExtHostExtensionService,P.ExtHostExtensionService),(0,_.registerSingleton)(S.ILogService,E.ExtHostLogService)}),define(we[225],Ee([0,1,26,3,180,217,210,11,77,221,223]),function(ae,e,_,S,T,P,E,k,D){"use strict";var n;Object.defineProperty(e,"__esModule",{value:!0});const A=self.close.bind(self);self.close=()=>console.trace("'close' has been blocked");const C=postMessage.bind(self);if(self.postMessage=()=>console.trace("'postMessage' has been blocked"),self.addEventListener=()=>console.trace("'addEventListener' has been blocked"),self.AMDLoader=void 0,self.NLSLoaderPlugin=void 0,self.define=void 0,self.require=void 0,self.webkitRequestFileSystem=void 0,self.webkitRequestFileSystemSync=void 0,self.webkitResolveLocalFileSystemSyncURL=void 0,self.webkitResolveLocalFileSystemURL=void 0,self.Worker){const p=(n=self.trustedTypes)===null||n===void 0?void 0:n.createPolicy("extensionHostWorker",{createScriptURL:b=>b}),g=self.Worker;Worker=function(b,c){const u=`importScripts('${b}');`;c=c||{},c.name=c.name||k.basename(b.toString());const a=new Blob([u],{type:"application/javascript"}),t=URL.createObjectURL(a);return new g(p?p.createScriptURL(t):t,c)}}else self.Worker=class extends E.NestedWorker{constructor(p,g){super(C,p,Object.assign({name:k.basename(p.toString())},g))}};const v=new class{exit(p){A()}async exists(p){return!0}async realpath(p){return p}};class d{constructor(){const g=new MessageChannel,b=new S.Emitter;let c=!1;C(g.port2,[g.port2]),g.port1.onmessage=u=>{const{data:a}=u;if(!(a instanceof ArrayBuffer)){console.warn("UNKNOWN data received",a);return}const t=_.VSBuffer.wrap(new Uint8Array(a,0,a.byteLength));if((0,T.isMessageOfType)(t,2)){c=!0,h("received terminate message from renderer");return}b.fire(t)},this.protocol={onMessage:b.event,send:u=>{if(!c){const a=u.buffer.buffer.slice(u.buffer.byteOffset,u.buffer.byteOffset+u.buffer.byteLength);g.port1.postMessage(a,[a])}}}}}function s(p){return new Promise(g=>{const b=p.onMessage(c=>{b.dispose();const u=JSON.parse(c.toString());p.send((0,T.createMessageOfType)(0)),g({protocol:p,initData:u})});p.send((0,T.createMessageOfType)(1))})}let h=p=>A();(function(){const g=new d;D.mark("code/extHost/willConnectToRenderer"),s(g.protocol).then(b=>{D.mark("code/extHost/didWaitForInitData");const c=new P.ExtensionHostMain(b.protocol,b.initData,v,null);h=u=>c.terminate(u)})})()})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/9b2ee7fb7d970b9a628fdb3545bdd01d67078d16/core/vs/workbench/services/extensions/worker/extensionHostWorker.js.map
